Introduction

Audio Network System and Design Software

Design Principles

Soundweb London is a configurable, combined hardware and software solution for audio system designers. Using the specifically programmed London Architect software application together with BSS Audio's range of hardware devices, a comprehensive degree of control and routing of audio is available.

Starting with the Architect design package, almost any audio system can be mapped out from source to final destination (i.e. the speakers). Audio can be fed through an impressive array of processing "plug-ins" that are included for signal duties. The resultant design file can then be connected to the hardware devices specified in it and, the user programmed configurations loaded into them. Finally, Architect can go actively 'online' to the devices enabling real time control of parameters, states and status.

CobraNet networking capabilities deliver multi-channel audio distribution over Ethernet and through standard cat5 cabling infrastructures. In typical multiple device systems, audio channels can be easily routed to different areas, rooms and zones. Tremendous flexibility is coupled with 96kHz sound quality and, a host of interesting control options is possible, from adding a simple volume control to touch screen interfaces.

Applications

Soundweb systems have been used extensively all over the world. Successful applications have already included:

Stadiums, conference centres, cruise ships, churches, concert halls, clubs, bars, showrooms and exhibition spaces to name a few. The Millennium Dome in London was exclusively wired for audio with BSS Audio's Soundweb.

Soundweb London builds on these successes and offers more capability, quality and processing power than its predecessors.

Help File V5.00


Major changes and Compatibility

HiQnet London Architect is not compatible with its earlier incarnations, Soundweb Original. Soundweb Designer (.sdf) files cannot be imported into HiQnet London Architect. Audio can still be distributed to and from Soundweb Original devices in the analogue domain but their networks must never be connected together. However 'illustrative' representations of the Soundweb Original devices are provided for inclusion in system designs that include these units.

HiQnet London Architect has a completely new design interface with tabbed windows, contextual palettes and a virtual rack of devices. The object wiring interface has been simplified, there is now no need to switch wiring modes and an easier to use multi wiring system has been designed.

Although many of the tools and processes are similar to Soundweb Designer, the construction of networks is quite different using CobraNet. For example, CobraNet uses inexpensive standard Ethernet switches to connect devices.


Connecting to a Soundweb London network

This guide will walk you through the process of configuring your PC running HiQnet London Architect to communicate with a network of Soundweb London devices. Before you begin, please ensure that all Soundweb London devices are connected to the same network as the PC running HiQnet London Architect.

Install London Architect

Install the latest version of HiQnet London Architect on the computer you will use for system control. You can download it from http://www.bssaudio.com/.

Do not start HiQnet London Architect on the computer until instructed to do so below at Start and Configure HiQnet London Architect

Turn Off Windows Firewall

PC firewall software, such as Windows Firewall or third-party firewall products, can interfere with HiQnet London Architect's ability to connect to a Soundweb London network. To avoid connection problems, firewall software should be disabled.

  1. Open the Windows Control Panel by selecting "Control Panel" from the Start menu.

  2. Double-click "Windows Firewall" to open the Windows Firewall settings.

    Note:     This step will be slightly different if you use the Category view of the Windows Control Panel.

  3. Disable the Windows Firewall by clicking "Off (not recommended)" (You can reactivate the firewall when you are done using HiQnet London Architect).

  4. Turn off any third-party firewall software (Symantec, McAfee, Zone Alarm, etc.).

Adjust Windows Network Properties

All Soundweb London devices must be in the same IP address range as the PC running HiQnet London Architect. Achieving this will depend on whether your network includes a DHCP server, and whether you use static or dynamic addressing. Only basic network configurations are covered here. For more advanced configurations, consult a TCP/IP networking guide or network specialist.

  1. Open the Windows Control Panel by selecting "Control Panel" from the Start menu.

  2. Double-click the Network Connections icon.

    Note:     This step will be slightly different if you use the Category view of the Windows Control Panel.

  3. Right click on the network interface connected to the Soundweb London network and select "Properties".

  4. Find and click "Internet Protocol (TCP/IP)" in the list of network services, then click Properties.

  5. Write down any existing information to be re-entered later.

    • With a DHCP server

    1. Select "Obtain an IP address automatically".

    2. Select "Obtain DNS server address automatically".

    • Without a DHCP server

      • If your Soundweb London devices have not been assigned IP addresses:

      1. Select "Obtain an IP address automatically".

      2. Select "Obtain DNS server address automatically".

      3. Click on the "Alternate Configuration" tab.

      4. Write down any existing information to be re-entered later.

      5. Select "Automatic private IP address".

      • If your Soundweb London devices have been assigned IP addresses outside of the 169.254.x.x range:

      1. Select "Use the following IP address"

      2. Enter a unique IP address in the same range as the Soundweb London network.

      3. Enter the subnet mask used by the Soundweb London network.

        Note: HiQnet London Architect may not be able to access the Soundweb London network if multiple IP addresses are assigned to the network interface (by clicking the "Advanced..." button). Only one IP address should be assigned to each interface.

  6. Click OK and close the network properties windows.

Start and Configure HiQnet London Architect

  1. Start HiQnet London Architect.

  2. If any firewall messages are displayed asking whether to allow network access for HiQnet London Architect or Main.exe, choose "Allow" or "Accept". The safest option is to disable firewall software while using HiQnet London Architect.

  3. Click "Tools" on the HiQnet London Architect menu and select "Application Preferences".

  4. Open the HiQnet tab and check the network interfaces connected to the Soundweb London network.

  5. Click "OK".

Verify Network Connection

  1. Click "View" on the HiQnet London Architect menu and select "Network".

  2. The HiQnet London Architect Network view will open at the bottom of the screen.

  3. Click the green and red Refresh button.

  4. Connected Soundweb London devices will start appearing in the network tree, grouped by model. It can take up to 45 seconds for all devices to be discovered.

  • The Ethernet category shows Soundweb London devices detected by HiQnet London Architect.

  • The Local category shows the PC running HiQnet London Architect.

  • The Unassigned Design Devices branch shows design devices that lack a matching physical device on the network. See the Match Devices section for more information on assigning physical devices to design devices.

Update Device Firmware

All Soundweb London devices on a network must be running the latest firmware included with the version of HiQnet London Architect in use before they may be controlled by HiQnet London Architect. To update the firmware:

  1. In the Network Window, click on the icon shown below to open the firmware wizard.

  2. This will display a list of all the Soundweb London devices discovered on the network.

  3. Make sure all the devices listed are checked and press the Load button. The firmware transfer will take several minutes, during which time the devices may reboot several times.

Configure Device Network Settings

Depending on the layout and configuration of your network, it may be necessary or desirable to change the default TCP/IP settings of your Soundweb London devices. Soundweb London devices default to AutoIP/DHCP mode in which IP settings are obtained from a DHCP server if one is available. If no DHCP server is available, the device will choose an IP address in the 169.254.xxx.xxx range. Soundweb London devices may also be configured to use a static IP address. If the IP address range used by the Soundweb London devices is changed, don't forget to update your PC's TCP/IP settings to match once you're done configuring the devices.

You may also want to assign a new HiQnet address to each device to ease management of the network, simplify the configuration of third-party control systems, and avoid potential HiQnet address conflicts. Refer to the Network Troubleshooting guide for more information.

To change a device's name, TCP/IP settings, or HiQnet address:

  1. In the Network view, find the device you want to change in the device tree under the Ethernet category. Useful information pertaining to the selected device (such as the name, TCP/IP settings, and I/O card configuration) is displayed on the right side of the Network view.

  2. To identify which item in the device tree corresponds to a physical device, click the blue Locate button in the Network view. The Locate button on that Soundweb London device will flash. You can also press the Locate button on the physical device, causing a flashing icon to appear next to the corresponding item in the device tree.

  3. Open the Device Properties window by clicking on the gears icon in the Network view.

    Here you can change the name, HiQnet Address and IP address of the selected device. Device names will be discussed in more detail below.

  4. The device will reboot after you press "OK" on the Modify Device Settings window. After reboot, the device will have the new settings. In some cases the device may need to be restarted manually for the new settings to take effect.

Open or Create a HiQnet London Architect Design File

If a HiQnet London Architect design has been prepared for the Soundweb London network, you will need to open it now.

If the file is stored on the PC running HiQnet London Architect:

  • Click File, select Open, and find and load the file.

If the file is stored on the Soundweb London device network:

  • Click File, select Open From Device Network, and proceed as directed.

Match Devices

If you are working from an existing HiQnet London Architect design, the name, model, and I/O configuration of each physical device on the network must match the name, model, and I/O configuration of each corresponding device in the design. The process of assigning physical devices to design devices is called "matching devices".

To match a physical device to a design device:

  1. Change the name of the physical device to match the name of the corresponding design device. See the Configure Device Network Settings section for instructions on changing a device's name.

  2. When a matching physical device is found for a design device, a message may be displayed indicating that the HiQnet address of the physical device does not match the HiQnet address of the device in the design. It is recommended that you answer "Yes", changing the HiQnet address of the design device to match that of the physical device. If a third-party control system (such as those produced by Crestron or AMX) will be used with the design, then it is recommended that you answer "No" to change the HiQnet address of the physical device to match the design, as third-party controllers depend on consistent HiQnet addresses to communicate with Soundweb London devices. See the previous section on changing device network settings if you wish to set a device's HiQnet address manually.

  3. As each physical device is matched to a design device, its name under the "Ethernet" branch in the device tree will change from red to black, and a green star will appear above the design device in the System Layout window. Remaining unmatched design devices will be shown under "Unassigned Design Devices" in the device tree.

  4. If a design device still doesn't match its intended physical device after changing the physical device's name to match, verify that the devices are the same model and that their I/O card configurations match.

  5. Once the process of matching devices is complete, each design device in the System Layout will have a green star, indicating that it matches a device on the network.

    Note:     some design objects in the System Layout do not correspond to a networked device. These will not be displayed with a green star.

Upload the Design to the Device Network

Once the design devices are all matched to physical devices, it is necessary to upload the device design configurations to the physical devices. To upload the device configurations in HiQnet London Architect to the actual Soundweb London devices:

  1. Click on the "Run" button (which looks like a VCR play button) in the toolbar at the top of the window or the "Online" button at the bottom of the window to upload the device configurations to the Soundweb London network and begin controlling the devices. This is called "Going Online".

    Note: This is not the same as saving the design to the device network.

  2. If the device configurations in HiQnet London Architect differ from those previously uploaded to the Soundweb London devices, the Load window will appear and show which devices on the network need their configurations uploaded.

    • Press the green arrow at the top of the list to upload configurations to all devices sequentially, or press the green arrow next to each device to upload the configuration for that device individually. This will overwrite the design currently in the device with the design open in HiQnet London Architect. After loading is complete, press "OK".

  3. If the HiQnet London Architect device configurations match those on the Soundweb London devices, the Parameter Synchronisation window will appear, allowing you to send control parameters to or receive control parameters from the device.

    • Press the green arrow at the top of the list to send current control parameters in HiQnet London Architect to all devices, or press the green arrow next to each device to send control parameters to that device individually.

    • Press the red arrow at the top of the list to receive current control parameters from all devices, or press the red arrow next to each device to receive control parameters from that device individually.

  4. As you change control parameters while online, the system will respond in real time. The devices will retain their control settings if power is lost, and come back in the same state when power is restored.

  5. You will have to go offline to save any changes you have made to the design file. To go offline and return to design mode, click the "Stop Button" in the tool bar at the top of the window or the "Online" button at the bottom of the window. You can go back online by clicking the "Run" or "Online" buttons again.


Macros

Overview

Macros are user-defined blocks of audio or logic processing, encapsulated in one object. Macros are created in a separate Macro Editor (packaged with the HiQnet London Architect installation), saved as .macro files from that editor and then made available for use in HiQnet London Architect. The Macros must be saved or copied into the 'My Documents\My Macros' folder. Once Macros have been imported into HiQnet London Architect, they then mostly behave just like standard processing objects, or logic objects. The main difference is that Macros have their own functionality - built up from standard objects.

Creating Macros : The Macro Editor

The Macro Editor can be launched from HiQnet London Architect by selecting Tools -> Launch Macro Editor. The Macro Editor is essentially a modified version of the main HiQnet London Architect application, with functionality irrelevant to Macro creation such as the network removed, but with the addition of some extra controls which are needed to create Macros.

Naming the Macro

Enter a name for the Macro in the 'Macro Name' edit box:

Placing the Macro into a group

Enter the Macro into a group using the 'Insert Into Group' combo box:

With the Audio tab selected, only the audio processing groups will be shown. Likewise, with the Logic tab selected, only the logic object groups will be shown.

The default is <NONE>. This means the Macro won't be placed into any group. You can create a new group for the Macro by entering a name into the combo box. You can also choose an existing group from the list - either a standard group, or another group created for another Macro.

Macro Configuration Window

This is where the Processing Object / Logic Object layout of the Macro is designed. One important point is that a Macro must be audio only, or logic only. Any one Macro cannot contain both audio and logic processing at the same time. This is disallowed by the Macro Editor.

Adding Macro ports

To get signals in and out of a Macro, it needs ports. The number of input and output ports wired into the Macro configuration will determine the eventual number of input and output nodes on the Macro object in the main application.

To add input ports, click on the 'In' button:

To add output ports, click on the 'Out' button:

Either button will bring up a dialog as shown below:

Image:Macro port dialog.jpg

Specifying a name, or not, has very specific effects for Macro instances added to designs in the main application.

For input ports, the name specified will be added after the signal names on Macro inputs.

For output ports:

  • With no name specified, signal naming will run through the Macro object as specified by the internal wiring on this output port.

  • With a name specified, the output port will start a new signal name. The new signal name will be the name of the Macro instance, with the name of the output port appended to it.

Add Multiple Ports

If this option is checked, a new section of the dialog appears.

Simply enter the number of ports to be added when the 'OK' button is clicked.

If the Number each port option is checked, then a number will be added to the end of the specified name for each port. Each port will have a different number added to the end of the name.

Set the Start numbering at: number appropriately.

Adding processing

Add processing to the Macro as you would normally in the configuration of a Soundweb London device - except wire to Macro inputs and outputs rather than input and output cards / CobraNet bundle objects.

NOTE: All basic Processing Objects / Logic Objects should be available for use in the design of the Macro, but previously created Macros will NOT be available. i.e. Macros cannot contain other Macros.

Any unwired input or output Macro ports will be ignored. (i.e. it won't show up as input or output nodes on resulting Macro object instances in the main application).

While creating the Macro processing setup, the Compiler Report will show any compiler warnings / errors. However, a compile 'percentage' will not be shown, as the Macro configuration does not represent any specific Soundweb London device and therefore processing capability cannot be determined.

Adding Links

Controls can be linked together within the Macro in the same way that they can be linked from within HiQnet London Architect. All the usual selection of link types are available. These links will exist in the Macro instances when the Macro is used within HiQnet London Architect. Links can either be 'hidden' or 'exposed', depending on whether a control for the link is present anywhere on the Macro Control Panel. (See the 'Macro Control Panel' section below').

Adding Parameter Presets

Parameter Presets can be added to the Macro in the usual manner. However, Device Presets and Venue Presets cannot be added, as they are beyond the scope of individual Macros. NOTE: Parameter preset states must be referenced at least once on the Macro Control Panel for them to be 'exposed' to the user. (See the 'Macro Control Panel' section below).

Macro Control Panel

Macros which do not require an associated control panel should have their Macro Control Panel left blank. This allows the main application to determine that the Macro has no associated panel.

However, if a Default Control Panel is required for a Macro, the Macro Control Panel will have to be configured appropriately. The Macro Control Panel is essentially the same as a Custom Control Panel, and can be edited in the usual way. Either the default panels of the objects within the Macro Configuration can be opened, and their controls can be copied over to the Macro Control Panel, or controls can be added / assigned from the Design Tree View as normal.

Property Tables

Some processing objects such as the Calendar Object and the Preset Trigger have to have their property tables set up at design time. The property tables for these objects will not be available for manipulation from within HiQnet London Architect.

Hiding Controls, links and parameter preset states

Any processing object controls, link controls or parameter presets that aren't referenced at least once on the Macro Control Panel will become 'hidden'. The items will not be present in the design tree view, and will effectively become read-only.

Hidden object controls will keep whatever value they had when the Macro file was saved and cannot be edited by the user of the Macro. (NOTE: 'Hidden' control parameters also have their 'locked' property set for extra protection - this is the same property that is set on FDS controls that are 'locked out' by the user).

Hidden links are always on or off depending on the eventual state when the Macro file is saved. The link state cannot be altered by the user of the Macro.

Hidden Parameter Preset states cannot be recalled by the user of the Macro.

Macro Security

It is possible to 'lock out' the design of a Macro with a password. This is achieved by selecting Tools -> Macro Security in the Macro Editor. To enable security, check the Enable Security for this Macro checkbox. This will bring up a dialog where you enter the password with which to lock the Macro. You can turn security back off by unchecking the checkbox. (Assuming you have remembered the password to get back into the Macro design!).

NOTE: Adding security to a Macro file doesn't alter how the Macro can be used once imported into London Architect. It only blocks opening up the .macro file directly in the Macro Editor, thereby stopping others seeing the internal design of the Macro and / or altering it's operation.

Saving the Macro

Save the Macro as you would a normal file. File -> Save (As...), CTRL + S etc.

The filename doesn't have to bear any resemblance to the Macro name specified in the Macro Configuration. The Macro filename isn't currently presented anywhere to the user in HiQnet London Architect.

The Macro will be saved as a .macro file.

NOTE: The .macro file must be saved in the 'My Documents\My Macros' folder (or a sub-folder) for it to be loaded by the main application. This self-contained file can be shared amongst collegues or other users and can also be made available for download if applicable.

Using Macros

Adding Macros to the design

When the main HiQnet London Architect application is started, it will search for all .macro files in the 'My Documents\My Macros' folder and any sub-folders. Any Macro files found will be visible in the Hardware Tree View, as well as showing up as extra items on the right-click context menu in either the configuration view, or the logic view depending on what kind of Macros are present.

If a Macro has just been created in the Macro Editor and saved into the correct folder, it can be read into the main application by clicking on Tools > Rescan Macro Directory. This will also read in any Macros which have been manually added to the directory as well as omitting any deleted Macros.

If a Macro is saved more than once but with different filenames, only one instance of that Macro will be loaded when the Macro directory is rescanned.

If more than one Macro with the same name and group is saved, then on a rescan all of them will be loaded but HiQnet London Architect will rename the Macros using a suffix of [2], [3], [4] etc.

Macro items and folders in the hardware tree view will use this icon:

Add Macros to your design in the same manner as all other processing / logic objects. Either drag them in from the hardware tree view, or select them in the context menu.

Macros act just like 'standard' Processing Objects / Logic Objects. They can be copied (within the same configuration, or between configurations), have their default panels opened (if one is defined), deleted, added to Parameter Presets or Device Presets (and hence into Venue Presets), compiled, loaded to devices, operated online etc. etc. Any control parameters, link objects and parameter presets within a Macro, and which have been made available on its control panel, will be available in the design tree view under Macro objects and can be used in the same way as any processing object in the main LA application i.e. dragged onto control panels, assigned to control ports and linked to other control parameters etc.

Design Tree View

Macros exist alongside other processing / logic objects in the design tree view, under their own folder - 'Macro Objects'. Under this folder, all the types of Macros in the configuration are listed as folders. Opening up these folders will list the individual Macro instances:

If there is more than one processing object defined within the Macro and more than one object which exposes controls - then (as shown in the example above) object controls will be grouped according to the object. (In the above example, 'Gain' is the name of the Gain Processing Object, and 'Meter' is the name of the Meter Processing Object) Macro designers should therefore make sure that their Processing Objects / Logic Objects are named appropriately.

Exposed Links and Parameter Presets are listed in their own folders under the Macro object. They will NOT appear in the 'main' link and parameter preset sections of the design tree view. (Parameter Presets defined within Macros will also not show up in the Preset toolbar).

Hardware View

Macro groups are included along with all of the other Processing Object groups in the Hardware View within the Processing Objects folder. Selecting "Rescan Macro Directory" from within the tools menu of London Architect will update this view with any new Macros which have been saved to the My Macros folder.

Deleting Macros

When a Macro is deleted, all control parameters contained by that object will be removed. (As is normal with other Processing Objects / Logic Objects).

In addition, all links and Parameter Presets contained by the Macro will also be deleted from the design. (This is why these items are listed under the Macro object rather than in the 'main' lists in the Design Tree).

Macro Versioning

It is important to note that Macros do not try to auto-version old versions of Macros included in designs. This includes Macro panel changes.

So for example, let's consider a Macro that is created and saved in state A.

This Macro is then included in a design.

The .macro file is then re-opened in the Macro Editor and altered in some way. The .macro file is then re-saved in state B. If a new instance of the Macro is then added in the same design, or a different design, it will be added as 'State B'.

The previously added Macro will not be automatically 'upversioned' in any way. It will remain in its original state (i.e. State A). The only way to replace the old Macro in State A with the new State B Macro is to manually delete the original instance and replace it with a new instance.

Different versions of the same Macro can happily exist within the same design without clashing.


CobraNet Multi-unicast

Overview

CobraNet bundles are capable of sending audio to up to four destinations each, bandwidth-dependent.

Multi-unicast is to be considered an advanced user feature and changing the max receivers property from the default of 1 is to be used with caution. The limits on how many bundles can be transmitter from a node are dependent on bandwidth available on the network and DSP usage on the CM1 module. Every multi-unicast configuration should be tested using real hardware before being deployed.

Configuring the multi-unicast feature

A setting in the properties grid of HiQnet London Architect, allows the maximum receivers for a given transmit bundle to be set to between 1 and 4.

To change this, open the configuration view of a BLU-80 or BLU-32 in the design. Click on a transmit bundle and click the properties tab to show the property sheet for the CobraNet transmit bundle.

The default setting for a unicast bundle Maximum Receivers is 1, giving normal unicast bundle behaviour of one transmitter to one receiver. The transmit and receive bundle pair are coloured green under these circumstances.

Changing this setting to 2, 3 or 4 will grant permission for additional receive bundles to receive audio. When more than 1 receiving bundle is configured with the same bundle number, the transmit bundle and associated receive bundles change colour from green to purple.

Monitoring and fault detection

A state variable is provided which indicates the number of receivers that have been configured to receive a bundle. Please note, this does not indicate how many receivers are actually receiving the bundle, but how many have requested it. The Maximum Receivers setting presides. To use this state variable, drag it from the design tree to a control panel, and when online it will reflect the number of receivers requesting this bundle.

Reset-able dropout counters are provided on the bundle control panels. To ensure uninterrupted audio, verify that these remain at zero under all operating conditions of your network.

Capabilities

The figures quoted below are maximum bundle and channel counts found empirically, however, we strongly recommend making full use of the dropout counters on bundle control panels and the error lights on the default panel to qualify your design.

Sample rate

Latency

Bit depth

number of transmit bundles

channels per bundle

48k

5.333

16 bit

13

8 channels

20 bit

11

8 channels

24 bit

10

7 channels

2.666

16 bit

12

8 channels

20 bit

10

8 channels

24 bit

8

7 channels

1.333

16 bit

8

8 channels

20 bit

8

8 channels

24 bit

6

7 channels

96k

5.333

16 bit

14

4 channels

20 bit

11

4 channels

24 bit

12

3 channels

2.666

16 bit

12

4 channels

20 bit

10

4 channels

24 bit

8

3 channels + 1x20 bit

24 bit

11

3 channels

1.333

16 bit

8

4 channels

20 bit

7

4 channels

24 bit

6

3 channels + 1x20 bit

24 bit

7

3 channels


The Hardware

Hardware Devices

BLU-800 Processor with CobraNet and BLU link

BLU-805 Processor with AVB and BLU link

BLU-806 Processor with DANTE and BLU link

BLU-320 I/O Expander with BLU link

BLU-325 I/O Expander with BLU link and AVB

BLU-326 I/O Expander with BLU link and DANTE

BLU-160 Standalone Processor with BLU link

BLU-120 I/O Expander with BLU link and no CobraNet

BLU-100 Fixed card configuration with BLU link

BLU-101 Fixed card configuration with BLU link

BLU-102 Fixed card configuration with BLU link

BLU-80 Processor with CobraNet

BLU-32 I/O Expander

BLU-16 Standalone Processor

BLU-10 Programmable touch-screen wall controller

BLU-8 Programmable Controller

BLU-8v2 Programmable Controller

BLU-3, BLU-6 Wall Mount Controller

BLU-HIF Telephone Headset Interface

BLU-BOB Break Out Box for Blu link

BLU-BIB Break In Box for Blu link

BLU-GPX General Purpose I/O


Hardware Devices

There are a variety of BSS Audio Soundweb London devices available to complete almost any audio system. The Soundweb London "BLU" devices are a range of processing interfaces i.e. BLU-80, BLU-800, BLU-805, BLU-806, BLU-16, BLU-160, BLU-32, BLU-320, BLU-325, BLU-326, BLU-120 and BLU-100, audio interface boxes BLU-BOB and BLU-BIB, GPIO devices BLU-GPX , several accompanying wall mounted controllers i.e. BLU-10, BLU-8, BLU-8v2, BLU-6 & BLU-3 and telephone headset interface BLU-HIF.

The Soundweb London series of processors include LED indication of input or output signal presence, a blue LCD screen to provide device ID and system diagnostics (with the exception of the BLU-100 which has no display). Each Soundweb London device also provides Control Inputs and Logic Outputs for interfacing with GPIO controls such as faders, pots, switches and LEDs. These can be used with the BLU-3 and BLU-6 controllers or custom controllers may be designed and produced. The Logic Outputs can be used to drive third party interfaces to trigger infra-red commands (to control DVD players etc) or power relays to turn other equipment on or off.

Each of the Soundweb London processors (with the exception of the BLU-100) can be fitted with up to 4 input or output cards or a combination of both. Available cards are analogue input and output cards, Acoustic Echo Cancellation (AEC) and Telephone Hybrid cards (which can be used with BLU-800/BLU-805/BLU-806, BLU-160, BLU-320/BLU-325/BLU-326 and BLU-120) and digital input and output cards. This allows for variations in the configuration of the device, for example you could have 8 inputs and 8 outputs or say 16 inputs or 4 inputs and 8 outputs and so on in any combination of analogue, AEC, Telephone Hybrid or digital. The type of card fitted is indicated on the front panel and an also by an LED indicator on the rear panel. The rear LED is green for an analogue input card, amber for an analogue output card, white for an AEC card, yellow for a Telephone Hybrid card, blue for a digital input card and red for a digital output card.

The FDS Series of BSS Audio's acclaimed OmniDrive and MiniDrive loudspeaker processor units (FDS-366T, 336T & 334T) are also fully supported and editable within HiQnet London Architect software.


BLU-800

Soundweb London BLU-800

The BLU-800 has all the features of the BLU-80 with 4 times the DSP power and the addition of BSS Audio BLU link technology. BLU link is a 256 channel(48kHz), redundant, low latency, digital audio transport available on all BLU-800, BLU-160, BLU-320 and BLU-120 devices. The additional DSP power combined with BLU link increases the Soundweb London BLU-800 and BLU-160 matrix capability up to 128x128 in a single device.

Like the BLU-80, the BLU-800 can accept 4 input or output cards, each card being either 4 analogue or digital inputs or 4 analogue or digital outputs. In addition, the BLU-800 can also accept AEC cards and Telephone Hybrid cards. This means that a BLU-800 can be easily configured at base or in the field to provide a wide variation of I/O configurations.

  • 16 Inputs 0 Outputs

  • 12 Inputs 4 Outputs

  • 8 Inputs 8 Outputs

  • 4 Inputs 12 Outputs

  • 0 Inputs 16 Outputs

See Also

  • BLU-800 Technical Specifications

  • BLU link


BLU-805

Soundweb London BLU-805

The BLU-805 has all the features of the BLU-800 with the exception of the networked audio.

The BLU-800 is fitted with a Cobranet card while the BLU-805 is fitted with an AVB card to provide network audio transport.

See Also

  • BLU-805 Technical Specifications

  • BLU link


BLU-806 Processor with DANTE and BLU link

BLU-806

Soundweb London BLU-806

The BLU-806 has all the features of the BLU-800 with the exception of the networked audio.

The BLU-800 is fitted with a Cobranet card while the BLU-806 is fitted with a DANTE card to provide network audio transport.

See Also

  • BLU-806 Technical Specifications

  • BLU link


BLU-320

Soundweb London BLU-320

The BLU-320 has all the features of the BLU-32 with the addition of BSS Audio BLU link technology. BLU link is a 256 channel(48kHz), redundant, low latency, digital audio transport available on all BLU-800/BLU-805 /BLU-806, BLU-160, BLU-320/BLU-325 /BLU-326 and BLU-120 devices.

See Also

  • BLU-320 Technical Specifications

  • BLU link


BLU-325

Soundweb London BLU-325

The BLU-325 has all the features of the BLU-320 with the exception of the networked audio.

The BLU-320 is fitted with a Cobranet card while the BLU-325 is fitted with an AVB card to provide network audio transport.

See Also

  • BLU-325 Technical Specifications

  • BLU link


BLU-326 expander with BLU link and DANTE

BLU-326

Soundweb London BLU-326

The BLU-326 has all the features of the BLU-320 with the exception of the networked audio.

The BLU-320 is fitted with a Cobranet card while the BLU-326 is fitted with an DANTE card to provide network audio transport.

See Also

  • BLU-326 Technical Specifications

  • BLU link


BLU-160

Soundweb London BLU-160

The BLU-160 has all the features of the BLU-16 with 4 times the DSP power and the addition of BSS Audio BLU link technology. BLU link is a 256 channel(48kHz), redundant, low latency, digital audio transport available on all BLU-8, BLU-160, BLU-320/BLU-325/BLU-326 and BLU-120 devices. The additional DSP power combined with BLU link increases the Soundweb London BLU-800/BLU-805 /BLU-806 and BLU-160 matrix capability up to 128x128 in a single device.

See Also

  • BLU-160 Technical Specifications

  • BLU link


BLU-120

Soundweb London BLU-120

The BLU-120 is a more cost effective version of the BLU-320, suitable for applications needing I/O expansion and where CobraNet is not required. This device has the features of a BLU-32 without CobraNet and with the adddition of BSS Audio BLU link technology. BLU link is a 256 channel(48kHz), redundant, low latency, digital audio transport available on all BLU-800/BLU-805/BLU-806, BLU-160, BLU-320/BLU-325/BLU-326 and BLU-120 devices.

See Also

  • BLU-120 Technical Specifications

  • BLU link


BLU-100

The Soundweb London BLU-100 is a cost effective variant of the BLU-160. It differs from the other models in the series in that it has a fixed configuration of 12 analogue inputs and 8 analogue outputs which are accessible using Phoenix/Combicon style connectors on the rear panel. .

This processor features a low latency, fault tolerant digital audio bus of 48 channels operating at a sample rate of 48kHz. It uses standard Category 5e cabling giving a distance of 100m between compatible devices. Fiber media converters can be used to increase the distance between devices to over 40km.

The BLU-100 is compatible with the entire Soundweb London family and its 48 channel digital audio bus represents channels 1-48 of the larger 256 channel digital audio bus when integrated with the BLU-800/BLU-805/BLU-806, BLU-320/BLU-325/BLU-326, BLU-160, BLU-120, BLU-BIB and BLU-BOB devices. Unlike the other members of the Soundweb London family the BLU-100 uses 48kHz sample rate only for all audio I/O, it does not operate at 96kHz.

The analog Inputs provide software configurable gain in 6dB steps up to +48dB per channel and software selectable Phantom Power per channel.

Phantom Power, Signal Present and Clip information per channel is easily accessible, without the requirement for a PC, from clear front panel LED indication. A bi-directional locate function allows devices to be identified both from and within HiQnet London Architect.

Network configuration details and other information can be seen either via London Architect or by using the London Configurator tool which can be found in C:\Program Files\Harman Pro\London Architect.

12 Control Inputs and 6 Logic Outputs allow the BLU-100 to be integrated with GPIO compatible devices. The Soundweb London Interface Kit, comprehensive documentation which details how Soundweb London systems can be integrated with third party control systems, is included within the installation of HiQnet London Architect.

Key Features

  • 12 Analog Inputs (with 48v Phantom Power per Channel)
  • 8 Analog Outputs
  • Configurable Signal Processing
  • Rich Palette of Processing and Logic Objects
  • 48 Channel, Low Latency, Fault Tolerant Digital Audio Bus
  • Clear Front Panel LED Indication
  • Bi-Directional Locate Functionality
  • 12 Control Inputs and 6 Logic Outputs for GPIO Integration
  • Soundweb London Interface Kit for Third Party Control System Integration (Documentation)
  • HiQnet Device
  • Configuration, Control and Monitoring from HiQnet London Architect

Front panel LEDs

The following LEDs are available per audio input channel :

  • SIGNAL
    • The Signal indicator will indicate signal present with a green LED.
  • CLIP
    • The signal clip condition will be signaled with a red LED.
  • 48V
    • Phantom power will be displayed for each input channel with a yellow LED

The following LEDs are available per audio output channel :

  • SIGNAL
    • The Signal indicator will indicate signal present with a green LED.
  • CLIP
    • The signal clip condition will be signaled with a red LED.

Four additional LEDs provide status information for the unit :

  • COM
    • will light GREEN when a network link is established and blink YELLOW with network traffic activity. Will be OFF if no IP address has been established yet.
  • STAT
    • will indicate GREEN when a proper design file is loaded and running, YELLOW if design is paused, and RED if design is stopped. This replicates the same play/pause/stop indication on the current Soundweb London.
  • ERR
    • will normally be off. It will light RED in the case of a critical or fatal error.
  • PWR
    • is BLUE and indicates power is applied. PWR will blink during locate.

BootLoader Mode :

The unit can be placed into BootLoader mode by holding the rear LOCATE button during power up.

The COM, STAT and ERR LEDs will be YELLOW to indicate that the unit is in BootLoader mode.

The BootLoader windows application can then be used to transfer firmware files to the unit when it is in this mode. The COM, STAT and ERR LEDs will alternate ‘All Off’ / ‘All YELLOW’ when the firmware file is being flashed to the device after a successful transfer.

If the Boot code has detected any problems, errors will be indicated on the COM/STAT/ERR LEDs according to the following table :

 | COM LED | STAT LED | ERR LED
General Error | Off | Off | Red
Fatal Error | Red | Red | Red
MAC Address Error | Yellow | Yellow | Red
Invalid Application Error | Off | Green | Red
Invalid FPGA Error | Off | Yellow | Red

Application Starting :

If all boot code checks have passed then the COM, STAT and ERR LEDs will turn GREEN and the application will be launched.

When the application starts up COM, STAT, and ERR will display a chasing YELLOW led pattern until the application has been launched. Note, the unit may be placed into 'Safe Mode' by holding down the rear LOCATE button while the chasing yellow pattern is displayed.

When a firmware upgrade is in progress using London Architect, COM, STAT and ERR will display a chasing GREEN pattern.

See Also

  • BLU-100 Technical Specifications
  • BLU link


BLU-101 Fixed card configuration with BLU link

The Soundweb London BLU-101 has a fixed configuration of 12 analog inputs and 8 analog outputs which are accessible using Phoenix/Combicon style connectors on the rear panel, configurable signal processing, Acoustic Echo Cancellation (AEC) processing, and a high bandwidth, fault tolerant digital audio bus.

The BLU-101 contains dedicated AEC processing for up to 12 independent AEC algorithms. The AEC algorithm can be applied to signals coming from the local analog inputs or from the digital audio bus. 12 individual AEC references (one per algorithm) can provide a solution for multiple conferencing spaces using a single device. The AEC algorithms within the BLU-101 are the same algorithms used on the Soundweb London AEC Input Cards developed for the BLU-800, BLU-320, BLU-160 and BLU-120 devices.

Automatic Gain Control (AGC) and Noise Cancellation (NC) are also provided per AEC algorithm. AGC ensures that microphone levels remain at an optimum level, and NC removes steady state noise (such as from a projector fan or air conditioning device) from the signal path.

This processor features a low latency, fault tolerant digital audio bus of 48 channels operating at a sample rate of 48kHz. It uses standard Category 5e cabling giving a distance of 100m between compatible devices. Fiber media converters can be used to increase the distance between devices to over 40km.

The BLU-101 is compatible with the entire Soundweb London family and its 48 channel digital audio bus represents channels 1-48 of the larger 256 channel digital audio bus when integrated with the BLU-800/BLU-805/BLU-806, BLU-320/BLU-325/BLU-326, BLU-160, BLU-120, BLU-BIB and BLU-BOB devices. Unlike the other members of the Soundweb London family the BLU-101 uses 48kHz sample rate only for all audio I/O, it does not operate at 96kHz.

Analog Inputs provide software configurable gain in 6dB steps up to +48dB per channel and software selectable Phantom Power per channel.

Phantom Power, Signal Present and Clip information per channel is easily accessible, without the requirement for a PC, from clear front panel LED indication. A bi-directional locate function allows devices to be identified both from and within HiQnet London Architect.

Network configuration details and other information can be seen either via London Architect or by using the London Configurator tool which can be found in C:\Program Files\Harman Pro\London Architect.

12 Control Inputs and 6 Logic Outputs allow the BLU-101 to be integrated with GPIO compatible devices. The Soundweb London Interface Kit, comprehensive documentation which details how Soundweb London systems can be integrated with third party control systems, is included within the installation of HiQnet London Architect.

Key Features

  • 12 Analog Inputs (with 48v Phantom Power per Channel)
  • 8 Analog Outputs
  • Configurable Signal Processing
  • 12 Channels of AEC Processing with Auto Gain Control and Noise Cancellation
  • Rich Palette of Processing and Logic Objects
  • 48 Channel, Low Latency, Fault Tolerant Digital Audio Bus
  • Clear Front Panel LED Indication
  • Bi-Directional Locate Functionality
  • 12 Control Inputs and 6 Logic Outputs for GPIO Integration
  • Soundweb London Interface Kit for Third Party Control System Integration (Documentation)
  • HiQnet Device
  • Configuration, Control and Monitoring from HiQnet London Architect

Front panel LEDs

The following LEDs are available per audio input channel :

  • SIGNAL
    • The Signal indicator will indicate signal present with a green LED.
  • CLIP
    • The signal clip condition will be signaled with a red LED.
  • 48V
    • Phantom power will be displayed for each input channel with a yellow LED

The following LEDs are available per audio output channel :

  • SIGNAL
    • The Signal indicator will indicate signal present with a green LED.
  • CLIP
    • The signal clip condition will be signaled with a red LED.

Four additional LEDs provide status information for the unit :

  • COM
    • will light GREEN when a network link is established and blink YELLOW with network traffic activity. Will be OFF if no IP address has been established yet.
  • STAT
    • will indicate GREEN when a proper design file is loaded and running, YELLOW if design is paused, and RED if design is stopped. This replicates the same play/pause/stop indication on the current Soundweb London.
  • ERR
    • will normally be off. It will light RED in the case of a critical or fatal error.
  • PWR
    • is BLUE and indicates power is applied. PWR will blink during locate.

BootLoader Mode :

The unit can be placed into BootLoader mode by holding the rear LOCATE button during power up.

The COM, STAT and ERR LEDs will be YELLOW to indicate that the unit is in BootLoader mode.

The BootLoader windows application can then be used to transfer firmware files to the unit when it is in this mode. The COM, STAT and ERR LEDs will alternate ‘All Off’ / ‘All YELLOW’ when the firmware file is being flashed to the device after a successful transfer.

If the Boot code has detected any problems, errors will be indicated on the COM/STAT/ERR LEDs according to the following table :

 | COM LED | STAT LED | ERR LED
General Error | Off | Off | Red
Fatal Error | Red | Red | Red
MAC Address Error | Yellow | Yellow | Red
Invalid Application Error | Off | Green | Red
Invalid FPGA Error | Off | Yellow | Red

Application Starting :

If all boot code checks have passed then the COM, STAT and ERR LEDs will turn GREEN and the application will be launched.

When the application starts up COM, STAT, and ERR will display a chasing YELLOW led pattern until the application has been launched. Note, the unit may be placed into 'Safe Mode' by holding down the rear LOCATE button while the chasing yellow pattern is displayed.

When a firmware upgrade is in progress using London Architect, COM, STAT and ERR will display a chasing GREEN pattern.

See Also

  • BLU-101 Technical Specifications
  • BLU link


BLU-102 Fixed card configuration with BLU link

The Soundweb London BLU-102 has a fixed configuration of 10 analog inputs and 8 analog outputs which are accessible using Phoenix/Combicon style connectors on the rear panel as well as an analogue telephone interface, configurable signal processing, Acoustic Echo Cancellation (AEC) processing and a high bandwidth, fault tolerant digital audio bus.

The RJ-11 port enables the BLU-102 Telephone Hybrid to interface with a standard POTS (aka PSTN or Analog PBX) telephone network.

The BLU-102 contains dedicated AEC processing for up to 8 independent AEC algorithms. The AEC algorithm can be applied to signals coming from the local analog inputs or from the digital audio bus. 8 individual AEC references (one per algorithm) can provide a solution for multiple conferencing spaces using a single device. The AEC algorithms within the BLU-102 are the same algorithms used on the Soundweb London AEC Input Cards developed for the BLU-800, BLU-320, BLU-160 and BLU-120 devices.

Automatic Gain Control (AGC) and Noise Cancellation (NC) are also provided per AEC algorithm. AGC ensures that microphone levels remain at an optimum level, and NC removes steady state noise (such as from a projector fan or air conditioning device) from the signal path.

This processor features a low latency, fault tolerant digital audio bus of 48 channels operating at 48kHz sample rate. It uses standard Category 5e cabling giving a distance of 100m between compatible devices. Fiber media converters can be used to increase the distance between devices to over 40km.

The BLU-102 is compatible with the entire Soundweb London family and its 48 channel digital audio bus represents channels 1-48 of the larger 256 channel digital audio bus when integrated with the BLU-800/BLU-805/BLU-806, BLU-320/BLU-325/BLU-326, BLU-160, BLU-120, BLU-BIB and BLU-BOB devices. Unlike the other members of the Soundweb London family the BLU-102 uses 48kHz sample rate only for all audio I/O, it does not operate at 96kHz.

Analog Inputs provide software configurable gain in 6dB steps up to +48dB per channel and software selectable Phantom Power per channel.

Phantom Power, Signal Present and Clip information per channel is easily accessible, without the requirement for a PC, from clear front panel LED indication. A bi-directional locate function allows devices to be identified both from and within HiQnet London Architect. Network configuration details and other information can be seen either via London Architect or by using the London Configurator tool which can be found in C:\Program Files\Harman Pro\London Architect.

12 Control Inputs and 6 Logic Outputs allow the BLU-102 to be integrated with GPIO compatible devices. The Soundweb London Interface Kit, comprehensive documentation which details how Soundweb London systems can be integrated with third party control systems, is included within the installation of HiQnet London Architect.

Key Features

  • 10 Analog Inputs (with 48v Phantom Power per Channel)
  • 8 Analog Outputs
  • RJ-11 Telephone Input/Output Port
  • Configurable Signal Processing
  • 8 Channels of AEC Processing with Auto Gain Control and Noise Cancellation
  • Rich Palette of Processing and Logic Objects
  • 48 Channel, Low Latency, Fault Tolerant Digital Audio Bus
  • Clear Front Panel LED Indication
  • Bi-Directional Locate Functionality
  • 12 Control Inputs and 6 Logic Outputs for GPIO Integration
  • Soundweb London Interface Kit for Third Party Control System Integration (Documentation)
  • HiQnet Device
  • Configuration, Control and Monitoring from HiQnet London Architect

Front panel LEDs

The following LEDs are available per audio input channel :

  • SIGNAL
    • The Signal indicator will indicate signal present with a green LED.
  • CLIP
    • The signal clip condition will be signaled with a red LED.
  • 48V
    • Phantom power will be displayed for each input channel with a yellow LED
The following LEDs are available for the telephone hybrid :
  • Rx (Signal)
    • The indicator will indicate Rx (receive) signal present with a green LED.

    Note Rx was labelled as In on early Blu-102 devices

  • Tx (Signal)
    • The indicator will indicate Tx (transmit) signal present with a green LED.

    Note Tx was labelled as Out on early Blu-102 devices

  • OH
    • The indicator will indicate telephone OFF-HOOK with a yellow LED (in position 4).
  • NOTE - The clip LEDs in positions 3 and 4 and the 48V/OH LED in position 3 are not used

The following LEDs are available per audio output channel :
  • SIGNAL
    • The Signal indicator will indicate signal present with a green LED.
  • CLIP
    • The signal clip condition will be signaled with a red LED.

Four additional LEDs provide status information for the unit :
  • COM
    • will light GREEN when a network link is established and blink YELLOW with network traffic activity. Will be OFF if no IP address has been established yet.
  • STAT
    • will indicate GREEN when a proper design file is loaded and running, YELLOW if design is paused, and RED if design is stopped. This replicates the same play/pause/stop indication on the current Soundweb London.
  • ERR
    • will normally be off. It will light RED in the case of a critical or fatal error.
  • PWR
    • is BLUE and indicates power is applied. PWR will blink during locate.

BootLoader Mode :

The unit can be placed into BootLoader mode by holding the rear LOCATE button during power up.

The COM, STAT and ERR LEDs will be YELLOW to indicate that the unit is in BootLoader mode.

The BootLoader windows application can then be used to transfer firmware files to the unit when it is in this mode. The COM, STAT and ERR LEDs will alternate ‘All Off’ / ‘All YELLOW’ when the firmware file is being flashed to the device after a successful transfer.

If the Boot code has detected any problems, errors will be indicated on the COM/STAT/ERR LEDs according to the following table :

 | COM LED | STAT LED | ERR LED
General Error | Off | Off | Red
Fatal Error | Red | Red | Red
MAC Address Error | Yellow | Yellow | Red
Invalid Application Error | Off | Green | Red
Invalid FPGA Error | Off | Yellow | Red

Application Starting :

If all boot code checks have passed then the COM, STAT and ERR LEDs will turn GREEN and the application will be launched.

When the application starts up COM, STAT, and ERR will display a chasing YELLOW led pattern until the application has been launched. Note, the unit may be placed into 'Safe Mode' by holding down the rear LOCATE button while the chasing yellow pattern is displayed.

When a firmware upgrade is in progress using London Architect, COM, STAT and ERR will display a chasing GREEN pattern.

See Also

  • BLU-102 Technical Specifications
  • BLU link


BLU-80

The mainstay of the Soundweb London processing system is the BLU-80. Whether your system requires more inputs than outputs, or more outputs than inputs, Soundweb London can be configured for the optimum system at the optimum cost for the client.

  • Up to 16 mic/line inputs or line level outputs in a single frame, configurable in 4 banks of 4 input or output channels

  • CobraNet - Module offering up to 32x32 network channels

  • Massive DSP power in each frame

  • Integral multi-voltage switched mode PSU for lightweight and universal AC mains operation

  • 12 analogue control ports and 6 logic outputs for GPI hardware interfacing using faders, pots, switches etc

  • Ethernet port for control network

The BLU-80 can accept 4 input or output cards, each card being either 4 analogue or digital inputs or 4 analogue or digital outputs. This means that a BLU-80 can be easily configured at base or in the field to provide a wide variation of I/O configurations.

  • 16 Inputs 0 Outputs

  • 12 Inputs 4 Outputs

  • 8 Inputs 8 Outputs

  • 4 Inputs 12 Outputs

  • 0 Inputs 16 Outputs

Devices may also be partially populated for even more cost-effective system design. The LED indication on the front panel provides quickly understandable signal states, whether they apply to input or output cards or to digital or analogue cards. Field upgrades are therefore very simple and easy to implement. When viewed from the rear, an LED next to each card indicates the type of card installed, so making onsite card identification very easy.

As with Soundweb Original, all analogue connections are balanced, on Phoenix/Combicon connectors.

The CobraNet module provides CobraNet audio networking for the BLU-80. This card allows up to 32 inputs and 32 outputs of digital audio at 48kHz and up to 16 inputs and 16 outputs at 96kHz sampling rates to reach each BLU-80 or BLU-32 frame.

See Also

  • BLU-80 Technical Specifications


BLU-32

Overview

Where cost-effective I/O expansion is required, look to the BLU-32. These devices offer identical I/O flexibility to the BLU-80, but have no DSP and therefore simply allows inputs and outputs to be routed to and from the audio network. Programmed within HiQnet London Architect, the BLU-32 makes it easy to expand I/O simply and at low cost.

Systems can now be built to cater for differing ratios of inputs and outputs, without incurring the cost of unrequired DSP processing.

See Also

  • BLU-32 Technical Specifications


BLU-16

The BLU-16 has all the I/O flexibility and DSP power of the BLU-80, but is a standalone device with no audio networking capability. This makes the BLU-16a cost-effective solution for installations requiring an I/O count of up to 16. Theme bars, restaurants, and gymnasiums - these are typical examples of solutions satisfied by the BLU-16.

All the control options apply to the BLU-16, as per the BLU-80, including the ability to interface with the BLU-10 Programmable Controller. In fact, using a network crossover cable between the BLU-16 and BLU-10 avoids any need for additional Ethernet hardware. Installations requiring multiple BLU-10 controllers can be easily connected using a standard Ethernet switch and standard Ethernet cables.

See Also

  • BLU-16 Technical Specifications


BLU-10 Programmable Controller

The BLU-10 is a programmable controller with touch-screen control providing an attractive and potentially cost-saving control solution. The BLU-10 is considerably cheaper than its predecessor, the 9010 'jellyfish'. It is possible that a BLU-10 could replace a more-expensive proprietary touch screen solution where less complex control interfacing is required.

The BLU-10 can be programmed with up to 100 'pages' each with up to 8 soft 'buttons', which can control any Soundweb London DSP parameter. The pages can be placed in 'folders' for nested menus. Password access to specific folders and pages may be arranged, so that only engineers or key employees can adjust critical system parameters.

A rotary encoder can adjust whatever parameter is assigned to it within London Architect, and numeric displays can be shown on the blue LCD screen.

Note: Display sleep mode. When not in use for a while, the display will turn off until a hand is waved in front of it, when the display will come to life.

Mechanical Installation

The BLU-10 is designed to mount in a standard US 3-gang wall box (available from BSS Audio) using the screws provided with the unit.

BLU-10 connects to Soundweb London hardware via the RJ45 Ethernet control port (not CobraNet). It neither receives nor transmits audio. It is powered from a standard 12V to 48V DC power supply drawing approximately 300mA or can use Power over Ethernet PoE. BSS can provide a suitable supply capable of powering several BLU-10 devices. Many Ethernet switches today can provide PoE capable of powering the BLU-10.

If using the separate power supply connect the positive side nearest the ethernet connector.


BLU-8 Hardware

BLU-8 Programmable Controller

What is the BLU-8?

The BLU-8 sits in the product range between the BLU-3 and BLU-6, both simple wall-mounted controllers that connect to the control ports of a BLU-80 / BLU-32 / BLU-16, and the BLU-10 which is a networked touchscreen wall controller.

Features of a BLU-8

  • Two rotary encoders

  • One 9-segment bargraph meter

  • Five pushbuttons

This is supported by the following aspects

  • IEEE 802.3af Power over Ethernet

  • 12-48V DC power

  • 100 Mbit Ethernet interface

BLU-8 Network operation

The BLU-8 is not designed to work on a network with CobraNet traffic. BSS recommends that CobraNet traffic is transferred on a separate network to the HiQNet control network.

The BLU-8 is capable of handling the following simultaneous communications :

  • Communication with a maximum of 8 HiQNet devices from all the pages configured on the BLU-8, PLUS

  • Communication with one programming device (London Architect).

For optimum performance, the BLU-8 should be used on a dedicated Soundweb London control network with only one instance of HiQnet London Architect present. In this condition the BLU-8 can be used to control the parameters of up to a maximum of 8 other HiQNet devices. It should be noted that as the network on which the BLU-8 resides becomes large, the responsiveness of the BLU-8 can be adversely affected by the volume of network traffic and as such, controls may become slower to respond.

If responsiveness is an issue then please follow the recommendations below to improve the situation :

RECOMMENDATIONS :-

  • No CobraNet traffic on the part of the network with the BLU-8. (CobraNet traffic swamping the network WILL affect the responsiveness of the BLU-8).

  • Use switches rather than hubs in your network implementation.

  • One London Architect PC active on the network at a time.

  • Minimise unnecessary 'broadcast' traffic reaching the BLU-8, the following two steps are aimed at reducing this traffic :

    • Ensure that all the HiQNet devices on the network are included in the London Architect design. If they are not part of the design then they can be powered off to reduce unnecessary traffic on the network.

    • If there are many devices on the network which the BLU-8 does not need to communicate with, then consider placing these devices on a different sub-net to the BLU-8 (on the other side of a network router). The Static Routes feature in London Architect can be used to ensure that the BLU-8 is discovered by London Architect even if the London Architect PC is on a different sub-net to the BLU-8.


BLU-8v2 Programmable Controller

What is the BLU-8v2?

The BLU-8v2 is effectively an upgraded version of the BLU-8 which has all the same features as the BLU-8. The BLU-8v2 however has improved network performance which allows it to operate reliably on large networks alongside other BLU-8v2's and where network traffic is heavy. Any existing designs with BLU-8 can easily be converted to use a BLU-8v2 by using the London Device Conversion from the Tools menu.

The BLU-8v2 sits in the product range between the BLU-3 and BLU-6, both simple wall-mounted controllers that connect to the control ports of a BLU-80 / BLU-32 / BLU-16, and the BLU-10 which is a networked touchscreen wall controller.

Features of a BLU-8v2

  • Two rotary encoders

  • One 9-segment bargraph meter

  • Five pushbuttons

This is supported by the following aspects

  • IEEE 802.3af Power over Ethernet

  • 12-48V DC power

  • 100 Mbit Ethernet interface

BLU-8v2 Network operation

The BLU-8v2 can operate reliably on a large network.


BLU-3/BLU-6

BLU-6

BLU-3

The BLU-3 and BLU-6 wall panels are simple, low cost controllers with switches and rotary fader controls that allow a way for designers to provide a rotary fader control and source select (for switching Presets for example) in a simple wall-mounted panel.

These controllers connect into the GPI control ports on the rear of any BLU-16, BLU-32, BLU-80, BLU-160, BLU-120, BLU-320/BLU-325 /BLU-326, BLU-800/BLU-805 /BLU-806, BLU-100, BLU-101 or BLU-102 device.

The BLU-3 has a rotary fader and an 5-way switch. The switch could select system Presets (e.g. time of day configuration) or signal routings (e.g. DJ box, bar, restaurant). The rotary fader could be assigned to a volume control or an eq frequency for example.

The BLU-6 has a 5-way switch, but instead of a rotary volume control has a pair of spin up or down buttons.

The switches on both units have blank areas for marking the switch functions, either directly onto the white area, or on self-adhesive labels. A set of standard labels in four languages (English, French, German and Spanish) are supplied with each BLU-3 or BLU-6.


BLU-HIF Telephone Headset Interface

The BSS Audio BLU-HIF Telephone Headset Interface facilitates connection of the headset jack of a VoIP/digital phone to an AEC input and analog output of a Soundweb London device. The BLU-HIF therefore allows the VoIP/digital phone to be used as the dialing interface and hybrid for a conference system. This simple interface eliminates the programming requirements associated with third-party control systems, while providing a familiar and low-cost dialing interface to the end user.

The BLU-HIF features an RJ-22 jack for connection to the headset jack of a VoIP/digital phone, a balanced input (Tx) for sending near-side audio, and a balanced output (Rx) for receiving far-side audio. While the BLU-HIF provides substantial isolation of the Rx and Tx signals, near-side audio will still be heard on the Rx channel due to the presence of side-tone. As such, BSS Audio recommends always feeding the Rx channel to an AEC input, as opposed to a standard analog input. The AEC algorithm will remove the side-tone. The Tx channel connects to a standard analog output. (See Figures 1 and 2 for system connection and DSP configuration diagrams).

The wiring configuration within the headset jack of a VoIP/digital phone often differs, depending on the manufacturer. The BLU-HIF comes with two cables whose 4P4C RJ-22 connectors are compatible with the two most common wiring configurations found in the headset jack of VoIP/digital phones. (See Figure 3 for wiring diagram).

The additional 2.5mm jack facilitates connection of two-way communication devices such as cellular phones to the Soundweb London device. This gives the end user the advantage of having an alternate communication path to the outside world, which is particularly useful as a backup to the main phone system. (See Figure 3 for cautionary note regarding BLU-HIF RJ-22 / 2.5mm headset jack connections).

Key Features :

  • RJ-22 Jack for Connection to Headset Jack of VoIP/Digital Phone
  • 1 Balanced Analog Input, 1 Balanced Analog Output for Connection to Soundweb London Device
  • 2.5mm Jack for Alternate Connection to Cellular Phone with TRS Headset Jack
  • Two Cables with Different Wiring Configurations for Quick Compatibility with Most VoIP/Digital Phones (included)
  • Rugged Metal Chassis
  • Surface/Under-Table Mountable

Figure 1: Using the BLU-HIF with a VoIP/Digital Telephone

Figure 2: Using the BLU-HIF with a Phone Equipped with a 2.5mm TRS Jack

Figure 3: Wiring Diagram – BLU-HIF Headset Jacks

BSS Audio has a policy of continued product improvement and accordingly reserves the right to change features and
specifications without prior notice.

See Also

  • BLU-HIF Technical Specifications


BLU-BOB

The Soundweb London BLU-BOB or “break-out box” offers 8 channels of analog audio output expansion via the Soundweb London high bandwidth, fault tolerant digital audio bus.

This expander features a low latency, fault tolerant digital audio bus of 256 channels which uses standard Category 5e cabling giving a distance of 100m between compatible devices. The BSS Audio MC-1 fiber optic media converter can be used to increase the distance between devices to over 10km (6.2 miles) using single mode fiber.

The BLU-BOB output channels are easily configured by six DIP switches located on the rear of the device, which select consecutive channels in groups of eight. This simple configuration allows selection of any 8-channel range from the 256 channels available on the digital audio bus. Output channel assignments are configured by DIP switch selection only. The BLU-BOB is not configured by HiQnet™ London Architect. Note that the BLU link channel dialog will always show 256 channels even if the BLU link ring is set to run at 96K when only 128 channels are available. This is because the BIB and BOB don’t have a specific settings for sample rate and take their sample rate from the master.

The 8 analog line level outputs utilize the same terminal block connectors as the BLU-80 and BLU-800 series' of the Soundweb London family.

Signal present and power status are clearly displayed by front panel LED indicators.

Two chassis styles are available, the first (BLU-BOB1) is a half rack width, desk or wall mounted version and the second (BLU-BOB2) is a 19” single rack space version with mounting ears for equipment racks. Front panel indication and rear panel connections are identical on both versions.

The BLU-BOB break-out box output expanders are powered by a 12VDC adaptor which is included with the device.

The BLU-BOB and the other members of the Soundweb London family provide the building blocks of the perfectly tailored system solution.

Key Features
  • 8 Analog Audio Outputs
  • Standard Terminal Block Connectors for Analog Audio Connections
  • DIP Switches for Channel Range Selection
  • 256 Channel, Low Latency, Fault Tolerant Digital Audio Bus
  • Clear Front Panel LED Indication
  • 12VDC External Power
  • Terminal Block Connectors for Power Connection
  • Half Rack Width, Desk Mount or Wall Mount Chassis (BLU-BOB1)
  • 19” 1RU Chassis (BLU-BOB2)

Channel Assignment Table

Note: When all DIP switches are OFF channels 249-256 will be selected on the BLU-BOB outputs.

See Also

  • BLU-BOB Technical Specifications
  • BLU-BOB Network Specifications
  • BLU link


BLU-BIB Break In Box for Blu link

The Soundweb London BLU-BIB or “break-in-box” offers 8 channels of analog audio input expansion via the Soundweb London high bandwidth, fault tolerant digital audio bus.

This expander features a low latency, fault tolerant digital audio bus of 256 channels which uses standard Category 5e cabling giving a distance of 100m between compatible devices. The BSS Audio MC-1 fiber optic media converter can be used to increase the distance between devices to over 10km (6.2 miles) using single mode fibre.

The BLU-BIB input channels are easily configured by six DIP switches located on the rear of the device, which select consecutive channels in groups of eight. This simple configuration allows selection to any 8-channel range within the 256 channels available on the digital audio bus. Input channel assignments are configured by DIP switch selection only. The BLU-BIB is not configured by HiQnet™ London Architect. Note that the BLU link channel dialog will always show 256 channels even if the BLU link ring is set to run at 96K when only 128 channels are available. This is because the BIB and BOB don’t have a specific settings for sample rate and take their sample rate from the master. Each channel's input gain and Phantom Power is adjusted using buttons on the front panel.

The 8 analog mic/line level outputs utilize the same terminal block connectors as the BLU-80 and BLU-800 series' of the Soundweb London family.

Signal present, clip and Phantom Power per channel are displayed by the front panel LED indicators.

The front panel also contains a power status and applied gain LED indicators. The Power LED on the BLU-BIB blinks when the unit is not getting valid BLU Link audio on the BLU Link port.

The BLU-BIB operates in three different modes which are entered and exited via the front panel controls. Edit Mode allows the user to adjust each channel's input gain and Phantom Power. Normal Mode prevents the user from changing input gain or Phantom Power. Stealth Mode prevents the same changes from occurring, but without LED illumination (except power).

The chassis is a half rack wide and can be mounted using the BSS Audio 1U Rack Mount Kit. It can also be under-table mounted or wall mounted using the included mounting brackets.

The BLU-BIB break-in-box input expander is powered by a 12VDC adaptor which is included with the device.

The BLU-BIB and the other members of the Soundweb London family provide the building blocks of the perfectly tailored system solution.

Operating Instructions

The BLU-BIB operates in three different modes, which are accessed via the front panel controls.

Stealth Mode

Stealth Mode prevents the user from making any changes to the input gain and Phantom Power on any channels. Stealth Mode also prevents all LED’s from illuminating (except for the Power LED), which is useful for installations that require low-profile operation of the BLU-BIB.

To Enter Stealth Mode (from Normal Mode)

• Hold Ch. Buttons 1 + 4 for three seconds

To Exit Stealth Mode (to Normal Mode)

• Hold Ch. Buttons 1 + 4 for three seconds

• The Signal LEDs blink YELLOW

• Enter the lockout code: 1,2,3,4

• If the code is not entered within 30 seconds, the BLU-BIB will return to the regular operation of Stealth Mode

Normal Mode

Normal Mode prevents the user from making any changes to the input gain and Phantom Power on any channels. Normal Mode also provides indication of signal presence, applied input gain and Phantom Power.

To determine a channel’s applied gain:

• Select a channel by pressing one of the Ch. Buttons (1 through 8)

• A GREEN LED will illuminate behind one of the gain level indicators (0, 6, 12, 18, 24,30, 36, 42, 48)

Edit Mode

Edit Mode allows the user to adjust each channel’s input gain and Phantom Power.

To adjust the applied gain or enable/disable Phantom Power on a given channel:

• Select a channel by pressing one of the Ch. Buttons (1 through 8)

• The Signal LED above that channel will blink YELLOW

• Use the Up / Down buttons to adjust gain

• Use the 48 Button to enable or disable Phantom Power

To enter Edit Mode (from Normal Mode):

• Hold Ch. Buttons 1 + 8 for one second

• The Signal LEDs flash GREEN twice

• After 60 seconds of inactivity, Normal Mode will automatically be entered

To exit Edit Mode (to Normal Mode):

• Hold Ch. Buttons 1 + 8 for one second

• The Signal LEDs flash RED twice

The following diagram shows the actions required to enter and exit the various modes of
operation:

Key Features
  • 8 Analog Audio Inputs
  • Standard Terminal Block Connectors for Analog Audio Connections
  • DIP Switches for Channel Range Selection
  • Front Panel Input Gain and Phantom Power Control
  • Front Panel Lockout for Tamper-Free Operation
  • Front Panel "Stealth" Mode for inconspicuous operation
  • 256 Channel, Low Latency, Fault Tolerant Digital Audio Bus
  • Clear Front Panel LED Indication
  • 12VDC External Power
  • Terminal Block Connectors for Power Connection
  • Half Rack Width, Desk Mount or Wall Mount Chassis
  • 1U Rack-Mount Kit available separately

Channel Assignment Table

Note: When all DIP switches are OFF the inputs will be routed to Blu link channels 249-256.

See Also

  • BLU-BIB Technical Specifications
  • BLU-BIB Network Specifications
  • BLU link


BLU-GPX General Purpose I/O

BLU-GPX

OVERVIEW

The Soundweb London BLU-GPX is a network-controlled GPIO expander which facilitates the cost-effective addition of Control Inputs, Logic Outputs, and Relays to systems requiring extra analog control/interfacing capability. The BLU-GPX features the same rich palette of Logic Objects found in other Soundweb London devices, two PoE-enabled Ethernet ports for communications and primary power, a 12VDC power connector for secondary power, a RS-232 port for compatibility with serial devices, a bank of user-configurable front panel LEDs, a user-configurable front panel LCD, a user-configurable piezo buzzer for audible indication, and locate functionality.

The BLU-GPX has 36 Control Inputs. As with the Control Inputs found on other Soundweb London devices, these Control Inputs can be connected to contact closures for controlling binary parameters, resistor ladders for controlling multi-state parameters, or potentiometers for controlling continuous parameters.

The BLU-GPX has 23 Logic Outputs. As with the Logic Outputs found on other Soundweb London devices, these Logic Outputs can be connected directly to voltage-controlled electrical components such as LEDs and relays.

The BLU-GPX has 8 integrated Relay Outputs, each with Normally Open (NO) and Normally Closed (NC) terminals. The Relays will open or close in response to HiQnet parameters, and they can be connected directly to resistance-controlled electrical components circuits. These Relay Outputs reduce the need to source and deploy external relays.

The BLU-GPX has 47 Common (ground) connections. A multiplicity of Common connections results in simplified wiring to and from external equipment, reducing the need to span connections across terminal block connectors. Also provided are 12 Reference connections which facilitate 3-wire mode operation.

The BLU-GPX has open architecture which is fully configurable through HiQnet™ London Architect. A rich palette of logic objects and a “drag and drop” method of configuration provide a simple and familiar design environment. The device is configured, controlled, monitored, and powered via either of the two PoE-enabled Ethernet ports. The device can also be controlled and monitored via the serial port.

For power source backup, an additional 12VDC connector is provided. A front panel ‘Power Supply’ LED provides convenient indication of power supply status.

On the front panel of the BLU-GPX, there are 48 software-programmable LEDs. Each LED is a multi-color indicator capable of red, green, or yellow illumination. The front panel also contains a software-programmable, monochromatic LCD with 80x16 screen resolution for text-based visual indication of user-defined events.

The BLU-GPX has a software-programmable 4 kHz piezo buzzer for audible indication of user-defined events. A bi-directional locate function allows devices to be identified both from and within HiQnet London Architect.

The BLU-GPX and the other members of the Soundweb London family provide the building blocks of the perfectly tailored system
solution.

Key Features:

  • 36 General Purpose Inputs
  • 23 General Purpose Outputs
  • 47 Common Pins for easier wiring
  • 12 References for 3 wire mode
  • 2-wire or 3-wire mode specifiable per input bank
  • 8 Relay Outputs
  • 1 Opto (Device Monitoring
  • Internal 4kHz Piezo Buzzerfor Audible Indication
  • Power supply primary fail indication
  • Logic Capable
  • 2 PoE Enabled ethernet ports for configuration, control, monitoring, primary power and redundant comms
  • 12-48 V DC Aux Power
  • 48 General Purpose LED Indicators (front panel)
  • User configurable LCD (front panel)
  • Bidirectional locate functionality

Front Panel LED Assignment

The BLU-GPX has General Purpose LED indicators on the front panel. Each of these LED indicators can be assigned to a control port or can be driven by the Soundweb London Logic system.

Assigning Front Panel LEDs to Logic Objects

A logic source or a logic end can be assigned to any front panel LED. Simply drag the Logic Object to the desired front panel LED shown in the design tree. The front panel LED will then reflect the state of the logic object.

Assigning Front Panel LEDs to Control Ports

When an LED association is made to a control port, the front panel LED state will be driven from the control port state and not from the LED control state (as would be the case where no control port association existed).

When assigning a control to a control port in a BLU-GPX the dialog enables assigning an associated LED as seen below.

The LED assignments to control ports can be viewed in the design tree within the ‘Front Panel’ folder under the BLU-GPX device as shown

:

The LED's can easily be removed from a control port or can be re-assigned to another port. In the design tree, right click on the control port assignment and select 'Re-assign LED' to open the dialog.

Any previously unassigned LED can be selected to be assigned to the control port or 'None' can be selected to remove the LED assignment altogether.

Front Panel LED Colours

The On and Off colours for the front panel LEDs can be customized from the BLU-GPX device properties :

See Also

  • BLU-GPX Technical Specifications

  • Soundweb London Control Options


PC System Requirements

Soundweb London Architect software runs with Microsoft Windows 2000 and also with both 32-bit and 64-bit versions of Windows XP, Windows Vista and Windows 7.

Recommended PC System for Basic Soundweb London Systems

This covers the majority of Soundweb London systems.

  • 1.6GHz Pentium 4 (or equivalent)

  • 512MB RAM

  • 100MB Free Hard Disc Space (not including Windows XP page file)

  • Screen Resolution Minimum of 1024 x 768

  • Colour Bit Depth of 24bit

Recommended PC System for Advanced Soundweb London Systems

For systems with a large number of devices (>20), complex Soundweb London logic designs or a large number of Parameter Presets, Matrix Mixers, Meters or Links, a higher performance PC may be required to ensure the user experience BSS Audio customers both expect and deserve.

  • 2.8GHz Pentium 4 HT / Dual Core (or equivalent)

  • 1GB RAM

  • 100MB Free Hard Disc Space (not including Windows XP page file)

  • Screen Resolution Minimum of 1024 x 768

  • Colour Bit Depth of 24bit

Only one instance of the application can be run at a time.


Design File Handling

The system design file (extension .architect) is the principal data file; it contains all of the information about your Soundweb system. This includes: connection and layout of the devices, internal processing, Configurations, Presets, Preset Groups and parameter settings (Parameter Presets), security settings, graphical annotations, etc.

The file contains the graphical representation of the DSP processing devices (that are wired together to form the required system). This design is compiled into specialised code that is then loaded into the Soundweb London hardware.

London Architect works with one system design file open at any one time. Only one instance of the application can be run at a time.

System design files are manipulated with the usual commands on the File menu: New, Open, Save and Save As.

Save to Device Network allows the design file to be saved to the network for later recovery should the design file not be available on your computer.

When transferring your system design between different computers you need only copy the system design (.architect) file. No other files are required except where you have created user libraries of graphics, text and colours etc.

Note: If you are using control panels to alter parameters online to a system and you exit a session (without changing the actual design since the last file save), you will be asked if you want to save before quitting. 'Yes' will save the updated parameters. 'No' will retain the original parameter values. The saved file will not change the current settings on the system until the next time you go online with this file.


Multiple Undo facilities

A multiple undo facility is provided for the last 256 tasks performed in the design. Undo is accessed either from the Edit menu, keyboard commands; Ctrl+Z = undo, Ctrl+Y = redo, or from the general toolbar. The undo history is only shown in the small drop down menu next to the undo icon on the general toolbar. Most design functions are reversible.


Interface Overview

Menus

Toolbars

Docking Windows

Design Windows

Tabbed Windows

The Navigator

Navigating Windows

Rack View

Zones


Menus

Many of the features of London Architect Design Software are controlled using the menus.

File Menu

Edit Menu

View Menu

Object Menu

Zone Menu

Panel Menu

Gallery Menu

Logic Menu

System Menu

Tools Menu

Windows Menu

Help Menu


File Menu

The file menu is used to control basic program functions.

New

Open

Close

Save

Save As

Open From Device Network

Save To Device Network

Remove Designs From Device Network

Print

Print Preview

Print Setup


File Menu - New

New

From the File Menu.

Opens an empty design file


File Menu - Open

Open

From the File Menu.

Opens previously saved design files.


File Menu - Close

Close

From the File Menu.

Closes the current design.


Save

From the File Menu

Saves the current design file with the same file name and to the same location to which it was previously saved, thus overwriting the previously saved version. If it is a new design you will be prompted for a file name and location in the same manner as a Save As.


File Menu - Save As

Save As

From the File Menu.

Saves the current design file with a new filename, or to a new location.


File Menu - Open from Device Network

Open from Device Network

From the File Menu.

Opens a design file stored on the local network of BLU devices.


Save To Device Network

From the File Menu

Allows the current design file to be saved to the network for later recovery should the design file not be available on your computer.


File Menu - Remove Designs from Device Network

Remove Designs from Device Network

From the File Menu.

Removes design files from local network BLU devices.


File Menu - Print

Print

From the File Menu.

Print the current design view.


File Menu - Print Preview

Print Preview

From the File Menu.

Produces an on screen preview of what a print out would look like.


File Menu - Print Setup

Print Setup

From the File Menu.

Preferences for printers.


Edit Menu

The edit menu contains general purpose editing commands, and parameter preset controls.

Undo

Redo

Cut

Copy

Paste

Paste Special

Export to clipboard

Copy Properties

Paste Properties

Copy Parameter Values

Paste Parameter Values

Select All

Multiple Rename

Delete

Align

Remove Gaps

Space Equally

Size

Centre

Z Order

Create New Parameter Preset Group

Add To Parameter Preset Group

Remove From Parameter Preset Group

Edit Programs

Edit Device Presets


Undo

From the Edit Menu

Reverses the last action


Redo

From the Edit Menu

Reverses the last undo


Cut

From the Edit Menu

Deletes the current selection and places it in the clipboard


Copy

From the Edit Menu

Places the current selection in the clipboard without removing it


Paste

From the Edit Menu

Copies the clipboard into the working space


Paste Special

From the Edit Menu

Copies the clipboard into the working space and keeps Original Control Connections which may have been placed onto a custom control panel


Export to clipboard

From the Edit Menu

Copies the control parameter onto the clipboard for import to System Architect.


Copy Properties

From the Edit Menu

Copies the contents of a processing objects' property panel,such as the Show Sidechain Input on the Compressor.


Paste Properties

From the Edit Menu

Pastes the previously copied contents of a processing object's property panel onto the currently selected processing object, replacing their current values.


Copy Parameter Values

From the Edit Menu

Places the current parameter values for the selected processing object on the clipboard.


Paste Parameter Values

From the Edit Menu

Sets the parameters for the selected processing object or objects using the values stored on the clipboard. This feature is available in Design and Operate Modes and when Online.


Select All

From the Edit Menu

Selects all the objects in the workspace


Multiple Rename

From the Edit Menu

Allows you to rename all the selected objects at once


Delete

From the Edit Menu

Removes the selected object


Align

From the Edit Menu

The align commands places all the selected objects so either the top, bottom, left or right edges are in a straight line with each other.

  • Align Top Edges

  • Align Bottom Edges

  • Align Left Edges

  • Align Right Edges


Remove Gaps

From the Edit Menu

Remove gaps places the selected objects edge to edge, so there are no gaps in between them.

  • Remove Gaps Horizontally

  • Remove Gaps Vertically


Space Equally

From the Edit Menu

The space command can be used to tidy up the visual appearance of the design, by making the vertical or horizontal spaces the same size.

  • Space Equally Horizontally

  • Space Equally Vertically


Size

From the Edit Menu

The size command can be used to tidy up the visual appearance of the design, by making them the same width, height or size.

  • Make Same Width

  • Make Same Height

  • Make Same Size


Centre

From the Edit Menu

  • Centre Horizontally

  • Centre Vertically


Z Order

From the Edit Menu

The Z order commands can be used to change the layering of objects on the screen. This is useful in controlling which object is visible when objects overlap.

  • Bring Forward One

  • Send Back One

  • Bring To Front

  • Send To Back


Create New Parameter Preset Group

From the Edit Menu.

Creates a new group of parameter presets.


Add To Parameter Preset Group

From the Edit Menu

Adds the currently selected controls to the parameter preset group.


Remove From Parameter Preset Group

From the Edit Menu

Removes the currently selected controls from the parameter preset group.


Edit Programs

From the Edit Menu

Brings up the edit programs dialogue box, which can be used to store, recall, rename and delete programs for the FDS-366, FDS-336 and FDS-334 minidrives. This box can also be used to load FDS programs from your hard disc using the Load From Disk... button. Each FDS is capable of storing 60 programs, which are listed in the program editor.


Edit Device Presets

From the Edit Menu

Brings up the device presets dialogue box, where you can create, recall, store, rename, edit and delete device presets.


View Menu

The View Menu is used to adjust visual aspects of the London Architect.

Hardware

Design

Gallery

Properties

Control Panel Pages

Network

System Output

Compiler Report

Event Log

Instant Messaging

Toolbars

Zoom In

Zoom Out

Audio Path Forward

Audio Path Back

No Diagonals

Auto Page Change


View Hardware

From the View Menu

Displays hardware supported by London Architect.


View Design

From the View Menu

Displays control panels, BLU-10 setup pages, devices, CobraNet bundles, system layouts, presets, links and the network (This Computer).


Gallery

From the View Menu

Displays images, graphics, sounds, controls, texts, colours and animations that can be used within London Architect.


Properties

From the View Menu

Displays properties of the currently selected object.


Control Panel Pages

From the View Menu

Displays the pages of the currently selected control panels.


Network

From the View Menu

Displays local and ethernet network connections, as well as unassigned devices.


System Output

From the View Menu

Displays debug information.


View Compiler Report

From the View Menu

Displays the log of most recent and previous compiles.


View Event Log

From the View Menu

Displays a log of events.


View Instant Messaging

From the View Menu

Allows you to send and receive instant messages


View Toolbars

From the View Menu

Allows you to set the toolbars you want displayed

Standard

Build

Group

View

Device

Direct Inject

Preset


Zoom In

From the View Menu

Zoom in to enlarge the view


Zoom Out

From the View Menu

Zoom out to get a view of the bigger picture


Audio Path Forward

From the View Menu

With a processing object selected, audio path forward will put a green rectangle around it. Subsequent presses of audio path forward will move the highlighted area through the audio path from inputs to outputs. In this state, the keyboard arrows can be used to move the selection either forward or backward.


Audio Path Back

From the View Menu

With a processing object selected, audio path backward will put a green rectangle around it. Subsequent presses of audio path backward will move the highlighted area through the audio path from outputs to inputs. In this state, the keyboard arrows can be used to move the selection either forward or backward.


No Diagonals

From the View Menu

During initial layout, you will not be allowed to connect wires diagonally, only vertically and horizontally. Subsequent editing will however allow diagonals to be made on the same wires.


Auto Page Change

From the View Menu

Allows control panel page changes when you are not in operate mode.


Object Menu

The object menu can be used to configure devices, including the BLU-10.

Card Setup

Add Device Configuration

Delete Device Configuration

Rename Device Configuration

Edit Device Configuration

Launch Associated Application

BLU-10 Button Setup

Run BLU-10 Simulation

End BLU-10 Simulation

BLU-8 Button Setup

Export to System Architect Device File

Add To Library

Convert to Fixed

Convert to Dynamic

Create Wire Tags


Card Setup

From the Object Menu

The card setup dialog, which can be accessed from the right click menu for a device in the main window, allows you to set the card types and positions for each device in your design. Additionally, when you add a device to your design the standard card setup dialog will appear. This is a useful feature since it allows you to go ahead and create a design safe in the knowledge that when you receive your device from the HMG factory the cards will be configured in the same slots as in the design.

Click on the number of each card type that you want in the device (maximum 4 cards) and the cards will be positioned in the slots that they would be positioned in when the device is dispatched from the factory. Click on the X to remove all cards of that type.

The custom card setup option allows you to change the positions of the cards to wherever you want them. Since this is non-standard the devices in the design may not match the devices you receive from the factory and so the card positions will have to be manually changed to match - see your authorized dealer for this service.

Note that if you change the cards to non-standard positions using custom card setup and then select the standard option the cards will be repositioned to the factory default settings. London Architect will however warn you of this before you proceed.


Add Device Configuration

From the Object Menu

Adds further device configurations (more than one configuration can exist in e.g. a BLU-80).


Delete Device Configuration

From the Object Menu

Deletes the configuration currently shown in the configuration window.


Rename Device Configuration

From the Object Menu

Renames the current device configuration.


Edit Device Configuration

From the Object Menu

With the device highlighted, selecting this option will display the current device configuration for editing.


Launch Associated Application

From the Object Menu

Some devices in the Main Window will launch an application when double clicked, very often this will be a GUI for the device. If a device has been created from a DEV file it is also possible to launch the application from the object menu. In order to achieve this add the following line to the DEV file:

<launch>name_of_application</launch>


BLU-10 Button Setup

From the Object Menu

Shows the BLU-10 display. Controls can then be dropped on to set up the BLU-10.


Run BLU-10 Simulation

From the Object Menu

Begins the BLU-10 simulation. It is then possible to see the effect on the BLU-10 of adjusting the controls.


End BLU-10 Simulation

From the Object Menu

Ends the BLU-10 simulation.


BLU-8 and BLU-8 V2 Button Setup

BLU-8 Button Setup

From the Object Menu

Shows the BLU-8 or BLU-8v2 front panel display. Controls can then be dropped on to the buttons and rotaries to set up the BLU-8 or BLU-8v2.


Export to System Architect Device File

From the Object Menu.

Allows a device or group of multiple devices to be exported to a System Architect design file. See Collaborating with HiQnet System Architect.


Add To Library

From the Object Menu

Creates a library object.

The object library allows you to store pre-configured processing objects therefore speeding up deployment of these objects in designs. Within library objects you can choose to hide parameter values and restrict the use of properties.

To create a library object you should first configure (set parameters) the processing object you wish to add. From the Object menu choose ‘Add to Library’. You will then be presented with a wizard.

Choose a name for your processing object. Processing objects in the object library will appear in the Hardware Tree View as a child of the original processing object.

Choose to show or hide the object properties.

Select which parameters you want to hide. Hidden parameters will appear locked and cannot be changed by London Architect.


Convert to Fixed

From the Object Menu

This option is only available for the Matrix Mixer and Matrix Router objects. If the object is set up to have an adjustable number of inputs and outputs it can later be changed to make them fixed. This will increase the speed of design operations.


Convert to Dynamic

From the Object Menu

This option is only available for the Matrix Mixer and Matrix Router objects. If the object is set up to have a fixed number of inputs and outputs and you wish to add or remove some, it can later be changed to make them adjustable


Create Wire Tag

From the Object Menu

Use Wire Tags to reduce wire clutter in your design windows.


Zone Menu

The zone menu can be used to configure zones and ports.

Create Zone

Add Zone Input Port

Add Zone Output Port

Add Multiple Ports

Remove Unused Ports


Create Zone

From the Zone Menu

Creates a representation of a physical area, showing the physical input and output properties.


Add Zone Input Port

From the Zone Menu

Adds a representation of audio input.


Add Zone Output Port

From the Zone Menu

Adds a representation of audio output.


Add Multiple Ports

From the Zone Menu

Can be used to add numerous audio input and output representations.


Remove Unused Ports

From the Zone Menu

Removes unwired zone inputs and outputs.


Panel Menu

The panel menu is used to configure control panels.

New Custom Control Panel

New Custom Control Panel Page

Convert Default to Custom

Rename Custom Control Panel

Delete Control Panel

Delete All Unreferenced Default Control Panels

Link Controls

Remove Control From Link

Delete Link

Create Empty Link

Create PC Control Group

Create Empty PC Control Group

Show Default Control Panel

Reset Default Background

Set Fixed Edge


New Custom Control Panel

From the Panel Menu

Creates a new custom control panel.


New Custom Control Panel Page

From the Panel Menu

Creates a new custom control panel, making control panel layout easy to design. This allows you to include controls from multiple panels in one area.


Convert Default to Custom

From the Panel Menu

Coverts the default control panel into a custom control panel - this cannot be undone.


Rename Custom Control Panel

From the Panel Menu

Renames the active custom control panel.


Delete Control Panel

From the Panel Menu

Deletes the active custom control panel.


Delete All Unreferenced Default Control Panels

From the Panel Menu

Removes any default control panels from the design which are not linked to by other control panels. This can reduce the amount of disk space your .architect file uses.


Link Controls

From the Panel Menu

Allows the user to link the currently selected controls.


Remove Control From Link

From the Panel Menu

Removes individual control from the link.


Delete Link

From the Panel Menu

Deletes link between controls.


Create Empty Link

From the Panel Menu

Creates an empty link. Controls can be assigned to this link at a later date.


Create Empty PC Control Group

From the Panel Menu

Creates an empty PC Control Group. Controls can be assigned to this group at a later date.


Show Default Control Panel

From the Panel Menu

Displays the default control panel of the selected objects.


Reset Default Background

From the Panel Menu

Resets the default background for new custom control panels.


Set Fixed Edge

Fixed Edge on Control Panel

It is possible to select an area of a control panel to remain fixed and visible during scrolling of the view whilst in Operate Mode. A good example of this is the Gated Automixer default control panel.

To adjust the fixed edge on a control panel select “Set Fixed Edge” from the Panel menu. This is also available on the right-click menu on the control panel. During adjustment a dialog will display showing the adjacent edge, the size of the fixed area, and the colour used to indicate the fixed area.

The Edge can be one of None, Left, Right, Top, and Bottom. When None is selected, there is no fixed area on the panel.

The width of the area is the number of pixels from the chosen edge. When fixing to the right or bottom edge this is the number of pixels in from the edge of the furthest object rather than the edge of the panel - which can be altered by resizing the panel.

Use the spin buttons to finely adjust the position of the fixed area.

Use the Colour button to set the appearance of the fixed area on the control panel.

Select ‘OK’ to accept your changes, or ‘Cancel’ to ignore any changes made in the dialog.

NOTE: When laying out your control panel with a fixed edge, you should not place any objects across the boundary of the fixed edge.


Gallery Menu

The gallery menu can be used to add items to and edit items in the gallery.

Image:Gallery Menu.jpg</p> <p> </p> <p><a HREF=


Add

From the Gallery Menu

You can add items to the gallery.

Selected Objects

You can select an object or group of objects from a control panel which will be added to Collections. You must enter a name for the item. It can then be selected and used in other control panels.

Text string

Colour

Text style

Wave files

Animation

Bitmaps


Drop Onto View

From the Gallery Menu

Drops the selected item from the gallery onto the window currently active.


Drop Onto Selected Object

From the Gallery Menu

Drops a selected item from the gallery onto the selected object.


Rename

From the Gallery Menu

Allows user to rename items in the gallery.


Modify

From the Gallery Menu

User can modify properties of objects in the gallery.


Preview

From the Gallery Menu

Selecting and deselecting the preview option switches between displaying a preview of the selected item from the gallery in the space beneath.


Logic Menu

The logic menu contains the controls for the London Architect logic system.

Simulate

Show Run Order

Reset Logic


Simulate

From the Logic Menu

When selected, the logic processes can be seen running on the screen, with LED style indicators showing the on/off status of logic objects. This is only availible when in offline mode.


Show Run Order

From the Logic Menu

When selected, the logic objects are numbered, showing the order they are run in.


Reset Logic

From the Logic Menu

Returns the logic objects to their original state. Counters and Shifters are returned to their initial values, but logic sources are not changed.


System Menu

The system menu is used to switch between operation modes.

Run

Stop

Operate

Design

Go Online

Go Offline

Recompile All Device Configurations

Get Current Parameter Values


Run

From the System Menu

Connects London Architect to the devices, enabling them to be controlled in real time.


Stop

From the System Menu

Disconnects London Architect from the devices, allowing you to edit the design, or change control parameters without affecting their live equivalents.


Operate

From the System Menu

Simulates Online mode, allowing parameters and presets to be controlled, although the real controls are not affected. The values you set can be sent to the devices using the parameter sync when going online.


System Design

From the System Menu

Switches from operate mode back into design mode.


Go Online

From the System Menu

Connects London Architect to the devices, enabling them to be controlled real time.


Go Offline

From the System Menu

Disconnects London Architect from the devices, allowing you to edit the design, or change control parameters without affecting their live equivalents.


Recompile All Device Configurations

From the System Menu

Forces the recompile of all device's DSPs.


Get Current Parameter Values

From the System Menu

This receives all the current parameter values from the device network. You will be prompted about this when you go online if firmware needs updating (see dialog below) since the devices may be reloaded You can then get the current values and save the design with the parameters as they are on the system. Care must be taken when using this feature that the design on the system is in fact the one you want to retrieve the values from, otherwise incorrect values will be set up in your design.


Tools

Audio Coupler

Meter Peak

Meter Trigger

Meter RMS

Noise Generator

Tone Generator


Application Preferences

A number of aspects of the London Architect software can be customised to suit your individual needs. These items are related to the default behaviour of London Architect and therefore apply to all system design files used within this copy of the program. They are accessed from the Tools Menu.

The Application preferences dialog is grouped with the following named tabs:

General

Logging

Startup

File

FDS

Colours

Event Log

HiQnet

Serial

Instant Messaging

Static Routes


File Preferences

These settings affect the design file and are saved with the design file.

File preferences are accessed from the Tools Menu

The File Preferences dialog is grouped with the following tabs:

General

Static Routes

Screen Guidelines

CobraNet

Operating

Going Online

Time Zone


Set Up Design Security Settings

From the Tools Menu

Enables the user to change security settings for individual files. Users can create passwords, enable multiple PC access and add new users.


Log Off

From the Tools Menu

Users can Log Off and Log On again using their user details and passwords.


Set Up Box Security Settings

In order to protect the design file and any configurations on a device you can set up box security for the device which means that information inside the hardware can only be accessed by using a password. Without the password, information inside the hardware will be inaccessible.

From the Tools Menu

Select 'Setup Box Security' and tick the box to enable box security. You will then be prompted for a password. Box security will be enabled once the secure design is downloaded to the device. When box security is active on a device it will be shown in the network pane with [SECURE] appended to the device name

To remove box security on a device, a new design (without box security) will need to be downloaded to the device. The box security password will be required in order to overwrite the secure design currently in the device. Once box security is removed, the device will appear in the network view with its normal device name. The password is encrypted in the design file and will therefore not be requested when uploading the same design file to the same device.

IMPORTANT - If the password is forgotten you will be required to return the device to BSS Audio and any design files stored on the returned device will be lost.


Reset Window Layout

From the Tools Menu

This will return the window layout to default.


Launch macro editor

From the Tools Menu

This will open up the macro editor to create and save macros.


Rescan macro directory

From the Tools Menu

This will cause the application to rescan the 'Macros' folder in the LA install directory, including sub-folders, for all .Macro files. Any macro files found will be visible in the Hardware Tree View, as well as showing up as extra items on the right-click context menu in either the configuration view, or the logic view (depending on what kind of macros are present).


London Device Conversion

London Device Conversion can be accessed via the Tools Menu. This will allow you to convert any existing Soundweb London device into any other Soundweb London device including the conversion of BLU-8 to BLU-8v2 although it is not possible to covert back from a BLU-8v2 to a BLU-8. The design in the original device will be maintained with a few exceptions which are outlined below.

When you convert a device you will be presented with the following dialog.

This lists all the Soundweb London devices in your design. Click a device to select form the list the device type you wish to convert to.

NOTE: In order for the conversion process to be completed the design file must be SAVED, CLOSED and then RE-OPENED.

When you reopen the file you will be prompted to convert with the following dialog.

At this point you can choose to convert the devices or keep them as they originally were. The design file can be saved after the devices have been converted.

The following lists the instances where a converted device does not convert exactly:

  • Any BLU-800 series devices with AEC or Telephone hybrid cards fitted will have those cards changed to Analogue input cards when converted to any BLU-80 series device

  • Any device running at 96kHz cannot be converted into a device which does not operate at that frequency i.e. BLU-100, BLU-101and BLU-102.

  • Any device with processing objects cannot convert to a BLU-32, BLU-320 or BLU-120.

  • If a device such as the BLU-101 and BLU-102 has AEC processing objects in it, those objects will be deleted when converting to non BLU-101 or BLU-102 devices.

  • If a BLU-101 has 3 AEC processing objects in it there will only be 2 if converted to a BLU-102.

  • When converting a BLU-102 the Telephone Hybrid card will only remain for BLU-800 series devices.

  • A BLU-80 can be converted to a BLU-800 which will have one BLU link input and one BLU link output as default.

  • A BLU-16 can be converted to be a BLU-160 with one BLU link input and one BLU link output as default.

  • A BLU-32 can be converted to a BLU-320 which will have two BLU link inputs and two BLU link outputs as default but no further BLU link inputs or outputs can be added to this device

  • When converting from a BLU link device to a non BLU link device the BLU link inputs and outputs will be deleted.


Windows Menu

The window menu can be used to control the layout of windows within London Architect.

Window Sets

Cascade

Tile

Arrange Icons


Window Sets

From the Windows Menu

Use this to arrange the windows into positions of your choice.

First select a SET number. Then, move the windows around to the positions you want them to be arranged in. When you next select that SET number, the windows will re-arrange to the positions you had set.

You can set up to 10 different windows arrangements.

  • Set 1

  • Set 2

  • Set 3

  • Set 4

  • Set 5

  • Set 6

  • Set 7

  • Set 8

  • Set 9

  • Set 0


Cascade

From the Windows Menu

This will cause all the open windows to be cascaded.


Tile

From the Windows Menu

This will cause all the open windows to be tiled.


Arrange Icons

From the Windows Menu

When windows are minimised this command arranges them all in a row at the bottom of the screen.


Help Menu

The help menu is designed to help you use London Architect.

Help Topics

Important CobraNet Information

Read Me

About

Test

Write System Information

Run Utility

Check For Updates


Help Topics

From the Help Menu

This opens the 'Soundweb London Help' which lets you view information on features, updates, contact, hardware, application, options, tutorials and references.


Important CobraNet Information

From the Help Menu

Will display information about CobraNet using your default browser.


Read Me

From the Help Menu

Displays the London Architect Readme file using your default browser.


About

From the Help Menu

Opens a window displaying build version and copyright information, as well as credits.


Test

From the Help Menu

Clear Undo

This clears the undo database. After selecting this you cannot redo your last undo operation (such as delete)

Update All Views

This will update all of the windows

Video Bit Speed

This tests the memory bit performance and screen bit performance and gives a report.

Load View

This will update the current window

Compact Design File

Adding to the design file increases its size. Deleting objects does not cause the file size to be reduced until you save the file. Compact design file will do this for you.

State Variable Report

This gives a report of the status of all the state variables in your design.


Write System Information

This facility found in the Help menu communicates with the external network of devices and creates a report based on its findings. This report is saved as a standard text (.txt) file and can be used to check for inconsistencies between the design and the network / device it is attached to.


Run Utility

From the Help Menu

The following utilities, which can be found in the London Architect folder, are packed with London Architect and can be called from the Help Menu

Boot Loader

London Configurator

IP Settings

DI Message


Check For Updates

From the Help Menu

London Architect will search for an update.


Toolbars

There are seven toolbars available giving quick button style access to sets of program operations. They can be individually shown or hidden from the Toolbars list in the View menu or, by right clicking on any toolbar and selecting which to show/hide.

They are:

Standard

View

Device

Group

Build

Direct Inject

Preset


Standard Toolbar

Contains the usual File operations as found in most application toolbars such as Open, New, Save, Cut, Copy, Paste and Print. The Undo and Redo commands are also here and the undo history is selected from the Undo button's drop down list. Options are also available here to show and/or snap to grid and optional 5 pixel grid. Access to the About this program and Help end this toolbar.


View Toolbar

Easy access buttons to zoom in and out the view of the current design window. This includes the main, zone and configuration windows. Zoom can also be used with the scroll wheel of the mouse in the Navigator. Zoom works from 40% to 100% of the actual window size and this percentage is shown on the tab for the window (tab mode on). Where the zoom has no effect the buttons are greyed out, also as this function relates to the navigator overview they should work whenever this is present.

The two Audio Path buttons allow the designer to trace an audio signal path either back or forward through a design file -- very useful to check the routing, particularly when designs get big and busy! For example, click on any device and press the Audio Path Forward button on this toolbar, the program will automatically open the device's configuration window. Clicking on an arrow in one of the analogue input or output blocks will reopen the main design window (or zone) and highlight that particular node on the device.

The No Diagonals button selects and deselects the use of diagonal wiring. When diagonals are disabled, connections can only be made between objects using vertical and horizontal lines (with 90 degree corners) to reach offset points. This makes for tidier, clearer and more presentable design files but, takes slightly longer to connect certain items together.

The Auto Page Change button allows control panel page changes when not in operate mode.

NB: All the functions in the View toolbar are also available in the View Menu.


Device Toolbar

This toolbar allows you to Add, Delete or Rename configurations within hardware devices. The device Configuration Window must be active in order for these buttons to be available for use.


Group Toolbar

These functions all relate to the design's layout options. Mainly they work for multiple selected objects in the design space and allow:

  • Alignment - left, right, top and bottom

  • Centering - vertical and horizontal

  • Sizing - same width, same height and same size

  • Spacing - space equal horizontal, space equal vertical

  • Removal of gaps - remove horizontally, remove vertically

See Layout Options for more information on how these work.


Build Toolbar

The Build toolbar has two buttons.

  • The first, shown as a play style triangle, runs the design, i.e. to go online and operate the system.

  • The square stop button takes the system offline and out of Operate mode, i.e. back to Design mode.

NB: To go offline but stay in Operate mode use the Online/Offline button on the bottom status bar.


Direct Inject Toolbar

The Direct Inject toolbar has a display area where it displays the serial string generated by the Direct Inject Message Setup dialogue. It also has two buttons: the first opens the DI message setup where serial messages can be configured; the second opens up the DI message tool.

To increase or decrease the size of the DI toolbar do the following:

  • Right click on the background of the toolbars area.

  • Select 'Customize'.

  • With the customize dialog open, click on the serial toolbar edit box, a black border will appear around it.

  • Stretch the right hand edge to increase or decrease the size.


Preset Toolbar

Venue Presets, Parameter Preset Groups and Parameter Presets can all be handled using the buttons on this toolbar.

The drop down lists can be used to select particular Parameter Preset Groups (far left) and Parameter Presets from within those groups for easy recall. The buttons to the immediate right of these drop down lists are for creating, renaming and deleting the presets or preset groups.

The next set of buttons (with mirrored icons) are used to store and recall the Parameter Presets. These buttons are used to instantaneously store or recall the values of the controls which have been added to the selected Parameter Preset Group and which have been saved as a preset, shown in the middle drop down box. In this way Parameter Presets can be overwritten and called as necessary.

The button third from right is the Stored Parameter Value Editor -- an editor for all the parameters that can have their state values stored. Use this to assess all the settings that are to be assigned, only available when a Parameter Preset has been created and had values stored into it.

The penultimate button is the Order Parameter Presets button. With this you can change the order in which Parameter Presets are stored in a Parameter Preset Group. This is especially useful when placing Parameter Preset Groups on to BLU-10's. You can also access this function by right-clicking the Parameter Preset Group in the Design Tree.

The final button (with the 'V' icon) is to call up the Venue Preset creation and recall dialogue box. Use this to set up system wide preset changes.


Docking Windows

Combined together, the Docking Windows provide you with an interface to all design, error reporting and networking features of London Architect. These windows contain all devices and processing objects, galleries for custom control panel work and system design feedback required for creating any scale of networked programmable DSP system. They aid in the design process offering access to many of London Architect's main features and functionalities and, by having multiple windows visible at one time, provide a very quick and user friendly interface for the designer.

Windows can either be docked to a fixed location within the application or left floating on a primary or secondary screen. For those docked they can be visible at all times or retracted providing more space for system design. By hovering the mouse over a retracted tab the required window will be displayed and this window will automatically retract once the mouse is returned to the main design area. By selecting the pin icon at the top right corner of a window it can be pinned to remain visible, and likewise by deselecting the pin, the window will retract once again. Docking Windows which have been closed can be accessed from the View Menu.

Docking Windows display their content either horizontally or vertically depending upon their information and for this reason the default layout is set in two areas. On the left hand side of the application are Hardware, Design, Gallery, Control Panel Pages and Properties, all displaying information vertically. On the bottom of the screen are Event Log, System Output, Compiler Report, Network, and Instant Messaging, all displaying information horizontally. All windows can be docked on the left, right, top or bottom edge of the application to create a workspace that best meets your requirements. To move and re-dock an individual window left click on its name tab and drag it across the screen, a direction pad will appear in the centre of the application and arrows will appear at each side and at the top and bottom of the screen. Hovering the mouse over these icons will cause the window being moved to jump to its docking position accordingly. It is also possible to move windows which are grouped together, to do this left click on the bar at the top of the group of windows. The same icons will appear on screen allowing the group to be moved and docked as before.

Design mode and Operate mode have their own individual screen layout which includes the Docking Windows, these layouts will be restored when switching between the two modes.

'Reset Window Layout' found in the Tools Menu reverts all Docking Windows and toolbars to their default position. This would be useful for example, when switching from a dual monitor to single monitor set-up and a selection of Docking Windows remained inaccessible on the secondary screen.

The available windows are:

Hardware Tree

Design Tree

Gallery Tree

Gallery Categories

Properties Pane

Control Panel Pages Pane

Control Panel Pages Pane as BLU-10 Pages pane

Network Pane

Compiler Report

System Output Pane

Event Log

Instant Messaging


Design tree

This palette helps the designer to locate any used design object within the design file. This is a comprehensive selection device using a folder tree similar to Windows Explorer, enabling the location of everything from hardware devices down to individual controls within control panels. The tree is organised by various categories of design object types to aid in finding items.

If an object selected in this list is within a currently visible design window then a single click will locate and highlight it. Design items can even be found in hidden windows - you don't even have to be in the same layout; in this case double click the item to locate it. London Architect will open the correct window and highlight the object.

This tree is probably the single most important tool used by programmers to build custom control panels. This allows the programmer to quickly navigate around the complete list of controls and graphics available in the default control panels and select elements to incorporate in the custom panels. This eliminates the cumbersome task of navigating around the design file and opening different processing objects to access controls, info boxes or graphics for copying.

Design Categories

This Computer

Allows the designer to assign objectives such as logging out of Architect, show docking windows, online / offline selection or even quitting the application, to control objects.

Control Panels

Shows default and custom Control Panels.

BLU-10 Set-Up Pages

This is a nested tree showing all the folders and pages for any BLU-10s in the design.

Devices

This tree starts with the selection of hardware devices and works down through their associated configurations of processing objects, parameters and settings.

CobraNet Bundles

Shows activated CobraNet bundle settings, as shown in the CobraNet edit box in the Properties for a CobraNet input or output block in the Configuration window.

System Layouts

This is a nested tree; enabling selection of both the Main design window (from any other starting window) and its associated zones. Further down the tree are the hardware devices used in the system and, within them is displayed information relating to the hardware box's settings for display, date and time and 3 wire mode operation of the logic control ports. Also shown is a list of the configurations set up for each device; these contain links to all the processing objects used and their associated control panels. Finally hardware settings for the IO cards and control ports are displayed.

Presets

Displays a list of all the parameter and venue presets in the current design.

Links

Displays a list of all the links in the current design

Key Bindings

Displays a list of all Key Bindings in the design. Key bindings are a way of using keys on your PC keyboard or any external keyboard to control any of the parameters within your HiQnet London Architect design file.

Documents

This enables you to add any file(s) to your .architect file which will then be saved with the design file. You should be aware that adding documents to the design will increase the size of the file which could hinder the Save to Device Network capability if the file becomes very large. Right-click on the documents folder in the design tree to add then edit or delete documents. Multiple documents can be added at once. “Edit” will mark the file as write-able and then attempt to open the document using the registered application for edit. If there are no applications registered to edit the document, then the document will just be opened instead. This may or may not allow the document to be edited. The “open” command sets the document to be read-only and opens the document in the application associated with reading it. Be careful when saving an architect file if you have any documents open, as any document changes may not get saved with the architect file. When a document is added to London Architect a copy is taken of the original, therefore any edits made to the document will have no effect on the original.


Hardware Tree

All Devices, processing objects and tools can be dragged from here onto the design.

Devices

Displays all BSS, dbx, Crown, JBL, Soundcraft and Other hardware devices that can be represented in London Architect.

Logic Objects

Displays a list of all logic objects that can be used in London Architect including macros.

Processing Objects

Displays a list of all signal processing objects that can be used in London Architect including macros.

Tools

Displays the non-processing objects that can be used in London Architect.


Gallery Tree

This panel contains listings by category of objects that can be used within Custom control panels. Items can be added to the gallery through the use of the Gallery Menu.

Select an item in the gallery tree and then right click to carry out the following functions. Note that any changes made to the gallery tree in London Architect will also be automatically made in the Macro Editor and vice versa.

Rename

Renames the item. Only works upon user created items.

Modify

Using modify allows you to change the item whilst the item name remains the same. Only works upon user created items.

Delete

Deletes the item from the gallery tree. The design must be closed down first of all. Only works upon user created items.

Drop onto view

Drops the selected item onto the currently viewed control panel.

Drop onto selected object

Gallery items can be dropped on to control panel objects as references. For example, you can drop a colour on to a 'Frame' object and the 'Frame' object will reference this colour. If the gallery colour is modified, it will update the colour in the 'Frame' object.

Make default background

Gallery items can be set to be the default background for custom control panels.

Preview

When selected, the preview facility displays a picture of the selected gallery item at the bottom of the gallery tree panel.

See the Gallery Categories for more information on the usable objects.


Gallery Categories

  • Animations

Users can add their own animations to this gallery. You can put your animations on a page change button or a preset.

  • Bitmaps

A collection of default bitmaps for applying to rotary controls and faders in creating user controls. Users can add their own bitmaps to this gallery, e.g. company logos or images.

  • Collections

Groups of objects can be selected in the design windows and added to the gallery using the Gallery menu > Add > Selected Objects command. These then become collections that can be dragged as one into the design space. This is useful for recreating multiple instances of user preconfigured control groups. On London Architect’s first run this menu is empty.

  • Colours

By default the only option is a set of Windows system colours. These are useful where a designer wishes aspects of their control panel designs to change colour relatively to the colour scheme set for Windows itself. Simply select the required Windows colour and drag it onto the design area. Be aware that, if the Windows system colours are changed to inappropriate colour schemes, some text and / or graphics may become unclear. This could happen if the design file is loaded on to a third party computer.

User defined custom colours can be placed in this menu by using the Gallery menu > Add > Colour command. Once a colour is chosen and saved in the dialogue that ensues, it will become available in this list.

  • Controls

This is a list of predefined control objects that can be used to configure device controls. It contains buttons, led indicators and switches that are ready to be assigned to control tasks. This list does not contain the generic objects available with the right click menu in a control panel, i.e. this list is where users can library their own controls (i.e. colour, size, shape, etc)

  • Graphics

A user definable selection of imported graphics. On London Architect’s first run this menu is empty.

  • Text Strings

Strings of text can be inputted into the Gallery for use on layouts. This is done by using the Gallery menu > Add > Text String command. Once a phrase is configured here it will appear in this list. Strings can then be drag and dropped onto the design space. These are useful when creating design files that have many aspects that need the same or similar text phrases to be applied. On London Architect’s first run this menu is empty.

  • Text Styles

This list will show text styles that can be created using the Gallery menu > Add > Text Style command. Creating a few text styles will enable you to keep your system design looking design homogenous, at least as far as text handling goes.. This also allows for a global change of text style. If a text style was used from this menu, you can easily change all instances of this style. On London Architect’s first run this menu is empty

  • Wave Files

Standard Windows Wave (extension .wav) sound files can be added to the Gallery using the Gallery menu > Add > Wave file command. These sounds can then be assigned to certain controls and indicators to sound an audible alert or give information.

These sounds are both loaded and played back on the host computer and therefore are only audible through that computers audio system. They cannot be loaded into the hardware and are meant for user warnings and indications in the software interface. On London Architect’s first run this menu is empty.


Properties Pane

The Properties Pane displays information about, and allows changes to be made to, any selected object on a view. Multiple objects can be selected to allow you to change common properties of those selected objects. Each object has a set of General Properties which is common and a set of properties which is unique for that object. See help on individual objects to get information on their properties.


Control Panel Pages Pane

Displays a list of all the custom control panel pages used in the design. By default this window is empty but, once a custom control panel has been created it will appear here if that panel is selected to edit. Any pages that are then layered onto this panel are then shown in a tree structure below it.

Clicking on the various pages in the list will select and bring that page to front in the design space.

Right click on a page to see a drop down menu.

New page

Click on a page to create a new child page one level down in the hierarchy.

Rename page

Pages can be renamed

Set as start page

Only one page can be set as the start page. Setting a page as the start page will override the previous assignment

New sibling master page

Can only be created at the top (master) level

Delete page

Pages can be deleted

Select Objects on Page

Will select all the objects on the page which is highlighted in the Control Panel Pages Pane. The selected objects are shown with a grey box around them.

Select all child objects

Will select all the objects on the page which is highlighted in the Control Panel Pages Pane as well as all the objects on the pages below it in the hierarchy.

Tip: A good example of how this works can be seen if you drag a FDS366 OmniDrive onto the layout and double click it to see its control panel. With this window viewable you will be able to see how the different layers of the control panel are constructed using pages to replace whole areas of controls with displays etc.

Pages are somewhat similar in operation to frames on an internet web site where parts of a layout can change without affecting other areas.


Control Panel Pages Pane as BLU-10 Pages pane

Displays a list of all the BLU-10 folders and pages. By default this window shows one unnamed page. Further pages and folders can be added by use of the right click menu.

New Page

  • Right click on a folder to create a new page within that folder.

Rename Page

  • Pages can be renamed

Set Page Password...

  • For added levels of security, passwords can be created for pages and folders. The following dialog will appear. Enter the password style and the password for a page.

The password can be up to 8 characters long

Set as Start Page

  • Only one page can be set as the start page. This is the page which will be displayed upon startup. Making a different page the start page will override the previous assignment.

Delete Page

  • Pages can be deleted

New Folder

  • Right click on a folder to create another folder within that folder.

Rename folder

  • Folders can be renamed

Set Folder Password

  • Passwords can be set for folders in the same way as they are set for pages

Delete Folder

  • Folders can be deleted. Deleting a folder will also delete any pages below it in the hierarchy.


Network Pane

This is where London Architect communicates with the outside system or network of devices.

A list of all the devices on the network is shown here. If a device exists both on the network and in the design then it will be shown in the network window in black type. This indicates that the devices are matched i.e. same device, same device name, same input and output cards and same sample rate. If a device on the network is not matched to one in the design then it will be in the list in red type. At design time a device can be dragged from the network window onto the configuration window thus guaranteeing a match.

Devices shown in the 'Unreachable' folder are devices which are outside of the PC's subnet. You should edit the device settings and change the IP settings of the device to bring it into the same subnet

Many other useful features are available in the network window as follows:

Go to the IP properties

Edit Static Routes

Refresh the network view

Locate the device on the network

Reboot

Device Properties

Auto create design devices

Load Firmware

Network device network settings

Design device network settings


Go to the IP properties

Opens the Application Preferences window with the HiQnet tab displayed. IP settings can be viewed and changed here.


Edit Static Routes

Opens the File Preferences window with the Static Routes Tab displayed. Static routes can be viewed and edited here.


Refresh the network view

Clicking this causes London Architect to search for any hardware changes on the network it is part of.


Locate the device on the network

Having highlighted a device that is on the network, clicking Locate the device on the network will cause the actual hardware device to light up. On a BLU-10, the screen will flash, on the other devices, the LOCATE button on the right-hand side will flash. This function is useful for locating a specific hardware device when there are multiple London devices on a network.


Reboot

This will reboot the selected BLU device.


Device Properties

Device Settings

Clicking this will display a Modify Device Settings window. It has information about the Device name, the HiQnet Node Address and IP settings. All of these settings can be changed using this window. To change IP setting, uncheck the Use Auto IP box.


Auto create design devices

London Architect searches the network and adds the devices it finds into your design file.


Load Firmware

Allows you to upload firmware to individual BLU devices.


Network device network settings

Displays information for a device which is highlighted on the network.

The information displayed here cannot be changed from within this view. To change the properties of a device use the Device Properties icon at the top of the Network pane.

The properties displayed are as follows.

Name

  • The name of the device

HiQnet Node Address

  • Each device on the network should have a unique HiQnet node address. If two devices have the same HiQnet node address then the behaviour of these devices may become eratic and the devices will be seen to drop on and off the network. Use Device Properties to change the HiQnet Node Address to a unique number.

IP address

  • Each device should have a unique IP address. If using auto IP the devices will negotiate a unique address when put on the network.

Subnet Mask

  • This shows what subnet the IP address belongs to

Gateway Address

  • The IP address of the default gateway. This is used when the device needs to communicate across subnets.

Use AutoIP/DHCP

  • 'Yes' if set to auto IP. No if set to static IP

Serial Number

  • Every HiQnet device has a unique serial number to identify it, usually based on the Ethernet MAC address

Boot Version

  • The firmware version no. of the boot code

Application Version

  • The firmware version no. of the application code

CM1 Version

  • The firmware version n0. of the CobraNet code

CM1 Sample Rate

  • The sample rate for the CobraNet card will be either 48kHz or 96kHz

CM1 Hardware Version

  • The version no. of the CobraNet card fitted in the BLU device

Main Board Hardware Version

  • The version no. of the main board in the device.

FPGA / BLU link Version

  • The version no. of the FPGA in the device.

Card slot A, B, C and D

  • Displays what cards are fitted in the slots. The cards can be analogue input, analogue output, digital input, digital output, AEC, Telephone Hybrid or empty. Where the card type is AEC or Telephone Hybrid the firmware version for the card will also be displayed.


Design device network settings

Displays information for a device which is in the design.

The information contained here must be the same as that for a device on the network in order to have a successful match (indicated by a green star in the top right hand corner of the device in the design view).

Name

  • The name of the device in the design

HiQnet Node Address

  • The HiQnet Node Address of the device in the design. If a device is matched but has a different HiQnet address to the device on the network to which it is matched then the following dialogue will come up:

It is recommended that the node address of the device on the network is kept in order to avoid 2 devices on the network having the same address.

Sample Rate

  • The sample rate of the CM1 card. This can be either 48kHz or 96kHz.

Card Slot A, B, C and D

  • Displays what cards have been set up for the device in the design.


Compiler Report

Displays an interactive report of the compiled design by Device, Processing Object and Configuration. The results can be sorted by clicking on the category headings. All devices in the design can be shown or any one device can be selected from the drop down list to view its compiled status.

The description field will list any inputs or outputs that are not correctly wired to devices and/or processing objects. Clicking or double clicking on an arrow will locate the erring object in the design.


System Output Pane

The system output pane logs events generated by London Architect. It can be useful when trouble shooting issues with the application when directed to by Technical Customer Support.

Right-click the window to access the settings for the logging, or to clear the contents of the window.


Event Log

A powerful monitoring and logging application is built into London Architect that can receive pertinent information from across a network of devices. These 'events' are logged at user decided timing and particular events can be selected to be monitored from only certain devices.

The event log is an important online monitoring system for the network. Almost a standalone application in itself the Event Log tracks state changes relating to the operation of the network of devices. These events are time stamped and stored in a database for retrieval in the pursuit of bug fixing or a better understanding of unusual operations relating to the hardware, e.g. CobraNet and general device network handling parameters.

The Event Log is either shown as a tab at the bottom of the design window or as a hide-able window on the side or top of the design area. The Event Log window can be brought into view by using the View menu.

See the Event Descriptions for more information on the types of information that can be collected.

Configuring the Event Log application

In the Application Preferences for the Event Log preferences (Tools>Application Preferences>Event Log) there is an option to auto archive the Event Log periodically based on a certain number of entries being reached, the default is 10000. If the Event Log experiences problems then try reducing this number or try collecting a reduced number of days worth of events. There is a maximum number of archived Event Logs that will be saved with the design file. You can change this number in the 'General' tab of the File Preferences.

In the Application Preferences you can also enable or disable the Event Log collection and the frequency of the collection. As well as automatically collecting the events, you can manually read the event from the devices by using the 'Get events from devices now' button on the Event Log Toolbar (furthest right).

Event Log data In the Devices

If the data is not collected by the PC, it is stored on the device until collected. If the allocated memory fills up, the data is overwritten oldest first.


Instant Messaging

Use the Instant Messaging window to send and receive text messages to and from any PC on the network running HiQnet London Architect. Use the drop down box to send to all PCs in the design, all PCs on the network, or just a single PC. Up to 10 preset messages can be saved using the Instant Messaging tab in Application Preferences, sent by clicking M1 to M10. Messages can also be typed into the text box at the bottom of the window and sent by either hitting the Enter key or by clicking on the Send button to the right of the window (press Ctrl-Enter to insert a blank line within a message).

Note: a networked PC may be added to a design by dragging that PC from the Network view onto the Main window.


Design Windows

During the process of creating a London Architect design file there are two main Design Windows used for displaying the different levels of a system layout.

Main Window

Configuration Window

Navigating Windows


Main Window

The Main window (which has a Harman Pro watermark in its bottom right corner) is the top level of the design space and layout and wiring of devices can begin here. It will also be referred to as Main, the design area or space and the system layout window.

Main can contain any of the hardware device icons from the hardware tree, including BLU series devices, sources (e.g. cd players, mics etc) and destinations (e.g. amplifiers, speakers and stereo or mono connections). It can also include representations of other companies units (from DBX, Crown, Soundcraft etc) which can be wired up to complete the design.

See the Navigating Windows page for how to move around the window.

NB: at this level all wiring is for display only and although interactive with the hardware (i.e. can show signal existent in the wires) the hardware connections in the real world installation are made by cabling. Further levels of design can be added using Zones.


Configuration Window

When a configurable device (e.g. BLU-80, BLU-16 and BLU-32 - routing only) is double clicked, the device's Configuration window opens. Return to the Main window by either clicking on its tab (see tabbed windows) or through selecting it in the System Layouts folder in the design tree.

The Configuration window is the place to determine the routing of the audio signals which can come via the analogue or digital audio inputs (BLU-16, BLU-80 and BLU-32) where those cards are specified and / or via CobraNet connections (BLU-80, BLU-32). These input sources can then be wired to multiple destinations via a user selection of dsp processing objects. The processing objects that are available are covered individually in more detail in the Processing Object Descriptions section. The configuration window is also the place to lay down any logic processing. This window can be accessed by clicking on the logic button to the left of the configuration window and at the top of the rack window. The logic processing objects that are available are covered individually in detail in the Processing Object Descriptions section.

This window is different to the Main Window. On the left of the window is the Rack, listing the devices in the design, where the Zones were in the Main window. There is also an Audio and a Logic button to change between the configuration view for the audio processing objects and the logic processing objects.

Navigating around this window is the same as for the Main Window . See the Navigating Windows page on how to move around the window.

At the top of the window there is a blue bar which represents the device being configured, the name is displayed clearly. A drop down box on this bar enables the selection and creation of new design Configurations.

The resource meter on the blue bar at the top of the audio configuration window shows what percentage of the processing capability of the device has been used. Double click on it to see more detail displayed.

The resource meter on the blue bar at the top of the logic configuration window gives an approximate indication of CPU usage by the logic system.


Tabbed Windows

The design windows can be shown as tabs (located at the top of the design area). This makes selecting between different types of design windows easier.

Windows that can be represented as a tab include:

  • The Main design area - red tabs

  • Zones - red tabs

  • Configuration windows - orange tabs

  • Control Panels - blue tabs

  • Custom Control Panels - white tabs

  • BLU10 control pages - green tabs

If there are more tabs than space available along the top of the design space then, the tabs can be circulated through by clicking on the arrows next to the tab closing X icon.

For the design and configuration windows the zoom percentage is also shown in the tab.

This function can be switched on or off as desired by using the 'Toggle View Tabs' button in the General toolbar.


Navigator

The Navigator should be familiar to anyone who uses Photoshop, Illustrator etc. This window allows the designer to move quickly and easily around larger layouts. As the design grows the design area grows with it. The Navigator will show the entire contents of the configuration window with a box around the currently viewable area.

Click on and drag the box in the Navigator window to move the viewable area in the design and Configuration windows.

If the Navigator window is not showing the contents of the configuration window it is because the configuration window is too large for the Navigation window to draw.


Navigating Windows

You can move around a design window using either of the following methods:

  • Use the scroll bars
  • Drag the visible area box in the navigator which is shown at the bottom left of the System and Configuration Windows.
  • If you have 'Use middle mouse button to pan and zoom' checked in the 'General' Tab of Application Preferences then you can click, hold and drag with the middle mouse button.

You can zoom in and out of the window using:

  • The zoom in and and out buttons from the view menu or View Toolbar.
  • Hold down CTRL and scroll the middle mouse wheel. If you have 'Use middle mouse button to pan and zoom' checked in the 'General' Tab of Application Preferences then you don't need to press CTRL.


Rack

Each BLU processing device that is added to the design will be inserted into this rack. Devices that have been moved into Zones will be shown in the rack under a black panel with that Zones name -- these panels can be made to hide all the rack devices, useful to help identify devices in larger systems. The order in which the devices are shown on the rack is the same as the order in which they were placed on the Main Window. The order which devices appear in the rack can be altered either by changing the Z Order of the devices on the Main Window or by dragging the devices to a new position within the zone on the rack control. Any devices dragged within the rack will also have their Z Order changed on the Main Window.

Clicking on any of the racked devices (which will show their given names from the Properties) will select that device for configuration and its Configuration window will open. This is a very fast way of working through configuring multiple boxes, i.e. without having to return to the Main window and double click on a further device. Right clicking on any of the racked devices allows you to switch between the logic view and the audio view.


What are Zones?

Zones enable the audio system designer to define specific areas, by for example location or processing type, into a design hierarchy. Groups of selected processors and ancillary equipment can be dealt with in separate layers, all accessible from the Main design space. In this way larger projects can be easily mapped out and identified through a nested structure; represented as both a design tree and a rack of configurable processing.

Zones are shown as a tree to the immediate left of the design window (with "zones" written vertically through it). This tree starts from the Main design page and zones can be created from there down. Zones can be nested inside other zones to form sub areas of processing, e.g. "Monitor Feeds" or "Loudspeaker Crossover Rack".

In the Device Configuration window (accessed by double clicking any device object that supports configurable processing, i.e. BLU80) the zones are represented in a virtual rack. The zones are shown as black name plates; these can be opened (using the arrow icon to the right of the plate) to reveal the configurable devices in their corresponding zones. In this way any device object can be used to gain quick access to the processing of multiple BLU series boxes. Just click on the required BLU icon in the rack to configure that box's processing.

Creating a zone

Zone I/o

Naming a zone

Deleting a zone


Creating a Zone

There are several methods of creating a zone: firstly there is a zone object available in the Hardware tree (in the 'Tools' folder). Simply drag the zone icon (the 'z' in a square) into the design window to create one; this can then be resized and shaped as required by pulling its corner handles to taste.

Zones can also be created by right clicking on the design window and selecting the Zone option from the New menu. They can also be created using the "Create Zone" option in the Zone menu.

Another method of creating a zone involves selecting a single object or, group of objects, in the design space and right clicking on it, the "Create Zone" option is at the bottom of the resultant menu. In this way a selection of objects can be sent into a zone for better plan definition and ease of further processing decisions. The "Create Zone" option also becomes usable in the Zone menu.


Zone I/O

The "Create Zone" option brings up a dialogue box asking how many inputs and outputs you wish to assign to this zone. This is for routing through the zone as required; for example to input audio from a source (i.e. CD player) or another zone and then route this to a speaker installation output.

If you are not sure of the I/O needs at this stage this facility can be added later to the zone by right clicking on the zone object and using the Add or Remove Ports options in that menu (these options are also in the Zone menu).

You can connect anything via these input and output ports as they are only to represent the physical wiring in the real world system. Therefore both audio and CobraNet connections can be made from the Main design area into a zone or, from zone to zone.


Naming a Zone

A name should be added by changing its Object Name in the Properties pane (remember to make sure that the "Show Object Name" is set to "Yes"). Note: The name is initially designated as a Z number. Zones should be given a name that relates to the usage of the processing or geographical site, e.g. "Dance floor", "VIP area", "Stage", "Delay Stack", "Conference Room 1" etc.


Deleting a Zone

Zones can be easily deleted by selecting them and pressing the delete key or, by right clicking and selecting delete from the menu. When a zone is deleted a message box states that all the device configuration views will be closed, this is because the rack of processors will need to refresh to reflect the situation and, any processing layout that was being worked on would obviously become obsolete if it was in the deleted zone.

This operation can be undone from the toolbar menu and all its processing and connections will be reinstated as before.


General tab

The General tab of the Application Preferences dialog is laid out as shown below:

Rotary Control Operation

There are three choices for the way on-screen control panel rotary objects work.

  • Vertical - adjust by clicking in the centre of the control then moving the mouse up and down.

  • Horizontal - adjust by clicking in the centre of the control then moving the mouse from side to side.

  • Rotary - adjust by clicking the mouse on the control and using a circular motion to mimic a hand turning the control.

Each method has its advantages:

  • Linear (vertical or horizontal) control is easier to use when adjusting rotary controls without looking at the screen, e.g. when looking up to listen to audio.

  • Rotary control is sometimes preferred for more accurate control settings and is perhaps more intuitive for novice users.

Major grid marks every...

This alters the view of the grid found in the Main design space (toggled on/off using the Show/Hide Grid toolbar button). While minor grid marks are fixed on a 10x10 spacing, the bolder major grid marks can be adjusted to help align design objects. The range is between 1 and 20 minor grid marks.

Display application closing window

When checked, the application will show a dialog while London Architect is closing down, which can take some time. 'Closing Down' is also shown in the Windows taskbar for the program.

Optimise for tablet PC

Enable this option if you are using a tablet PC and are experiencing mistaken re-triggering of buttons on control panels. With this function enabled, HiQnet London Architect control panels (in operate mode) ignore rapid changes in mouse down/up messages. This helps to prevent multiple mouse clicks often associated with tablet PCs and other touchscreen controllers when gesturing or dragging on the screen.

Display Microsoft On-Screen Keyboard at Log On Dialog

To make it easier to log into a secured design using a tablet PC, this option will display an on-screen keyboard with the Log On Dialog to facilitate password entry without rotating the tablet display to access the physical keyboard.

Auto-adjust On-Screen Keyboard to below Log On Dialog

If the above ''Display Microsoft On-Screen Keyboard at Log On Dialog'' option is enabled as well as this option, the on-screen keyboard will be centered below the Log On Dialog. If this option is not enabled, the on-screen keyboard will have its default position assigned by the operating system.

Splash screen always on top

With this option checked, the screen which is displayed at startup will always be on top of any other application which is running.

Always expand parameters in property grid

The list of parameters for any processing object can be seen in the properties grid by clicking on +. With the "Always expand parameters in property grid" checked, clicking on any processing object will show its parameters within the properties box.

Use Cursor Edit Box Navigation

When this is enabled you can use the cursor keys and TAB / SHIFT + TAB, to navigate between edit boxes on a control panel in operate mode. Use the ENTER key to edit. The currently active edit box is shown highlighted.

Use ALT + cursor keys to bump the current value of the control.

When this option is not set, the cursor keys are used to bump the value of the control last clicked on.

Use middle mouse button to pan and zoom

With this option enabled, you can use the middle mouse wheel to pan and zoom the view. Also, click on the middle mouse wheel and drag to navigate around the window.

If the option is disabled, rotating the middle wheel moves the view up and down, click and hold the middle wheel down to pan and zoom.

Show mute state on Processing Objects

Many processing objects can have their inputs and/or outputs muted. When this box is checked there will be a red indication on all Processing Object inputs and outputs which are muted.


Logging tab

The Logging tab of the Application Preferences is laid out as shown below:

Enable Application Logging

With this box checked, application events will be available at the system output (this tab is at the bottom of the screen). The slider determines the level of logging required. Low is only the most critical, high is all except debug.

Enable Debug Logging

Check this box to add debug output to the log file. Only use if directed by Technical Customer Services.

Write Immediately

Check this box to write the log entries to the log file immediately. This means that no log entries can be lost in the event of a system crash. It can however affect system performance.

Delete Log Archive File on Startup

Check this box to clear the log file on startup. If this is left unchecked, the log file will be appended to the old existing log file. This should be kept checked unless directed by Technical Customer Services.

Maximum Displayed Entries

The maximum number of displayed entries required is entered here, and once that limit is reached, some of the entries will be archived to the log file, system.log, in the London Architect folder.


Startup tab

The Startup tab of the Application Preferences is laid out as shown below:

London Architect can start with a blank screen, a new empty design file, it can load the last file opened or it can load the design from the network. Use the "Load last design" setting from the drop down menu to load your current system design automatically.

A further option can direct the application to try to recover your design file if you experienced a crash with it still open (and perhaps you hadn't saved your changes recently).

If you have chosen to load the last design file on start up and experience problems opening the application, find the original file in Explorer and rename it (keep its .architect extension or it won't be recognised). This will break the link to the file and allow London Architect to load.


File tab

The File tab of the Application Preferences is laid out as shown below:

Prompt to save updated design file

This shows a dialog giving the option to save the file after changes have been made to the design. This option would be switched off when a system has been set up thus allowing parameter changes to be made for testing purposes without inadvertently changing the saved version.

Prompt to exit without saving when security is enabled

With security enabled, if you do not have the required rights, upon exiting a dialog will inform you that the design cannot be saved.

Allow design to remain open when all views are closed

When ticked, the file remains open when all the design windows are closed, rather than asking if you want to save and close. Tip: If the Main window is closed it can be reopened by double clicking the Main icon in the System Layouts tree in the Design pane.

Save to Device Network

  • Save design to network when going online

When set to 'No', the design will never be saved to the device network when going online, and you will not be prompted.

When set to 'Yes' the design will always be saved to all the devices on the network which are in the design and you will not be prompted. Any design which was previously saved in any of the devices on the network which are in your design will automatically be overwritten.

When set to 'Prompt' you will be prompted about saving the design to the device network each time you go online.

  • Save design to network with this key

If the device network is configured using multiple London Architect design files, and so may contain more than one design file, then you should set a unique key for each design file sharing the device network. It should be noted that each device can hold just one design file. When you set a key for a design you will see it in the file name when you ‘Open from device network’. If a PC has startup options to load a design from the network it will load the design which has the same key set as that which is currently set here in Application Preferences. This is useful if you have multiple PCs running different designs on the same network. Note that if you set the same key for more than one design on the network you cannot predict which one will be loaded at startup.

  • Do not delete network design when going online

This is valid only when ‘Save design to network when going online’ is set to ‘No’.

When checked, any changes made before going online to the devices in your design will not be saved to the network. When left unchecked, the saved design will be deleted from all devices in your current design which are on the network when you go online. Be aware that under these conditions, if you ‘Cancel’ the operation when going online the design will still be deleted from the relevant network devices.


FDS tab

The FDS tab of the Application Preferences is laid out as shown below:

These settings relate to the use of an FDS Omnidrive or MiniDrive loudspeaker processor in the design. Architect can communicate on several levels with these devices. If the control panels for these devices are used online then real time control of the FDS devices is possible. To accomplish this, Architect makes a connection with the device and periodically refreshes information in both directions to keep the device and the software synchronised. Programs can be sent and received from the devices.

Disable synchronisation from the device

This facility stops the system from dumping program information to, or from, the FDS processors when going online to the network. If these devices are included in a design and need to either send new parameters (as a program), or receive them, then the choice is given at the time of going online. If this functionality is not required, or it is just slowing down a further design process then disable synchronisation.

Disable FDS polling when Online

Enables disengagement of the application and FDS processors' feedback loop. If using the FDS front panel to set up, or change settings on these devices, then the polling needs to be on to read in the settings from the FDS. However, this is likely to interrupt the meter display so, if the FDS devices are just being monitored (and not programmed) then enabling this option should prevent this happening.

Slow FDS meters

Changes the software meter response time. If responsiveness of the system (e.g. pressing buttons on panels) seems affected then enable this option.

An FDS display object can represent what is being shown on the front panel display of remote FDS processors. The information can be updated over a period of seconds (from 20 to 120; default 30).


Colours tab

The Colours tab of the Application Preferences is laid out as shown below:

The colours that are used to represent the various wiring conventions, e.g. audio and Ethernet can be changed to suit your preference. The highlight colour for the Design Tree can also be changed. Colours can be set back to their defaults if compatibility is required.


Event Log tab

The Event Log tab of the Application Preferences is laid out as shown below:

Settings for the Event logging application can be made here. Depending on the size and complexity of the system in operation you may need to display more or less events in the log. The viewable log can be set to show a number of days worth of events (7 is the default) and an auto archive facility can be used to archive the log when it reaches a certain level of entries (10000 being the default). The frequency at which events are collected can also be set. 'All the time' will log events once a minute, whilst 'Hardly ever' will only log once every 30 minutes. When set for 'All the time' the event log may fill up rapidly.


HiQnet Setup Page

The 'Application Preferences' dialog (accessed from Tools > Application Preferences) features a HiQnet setup page which permits control of how London Architect accesses the HiQnet network.

The Application preferences dialog appears as follows :-

A list of all the network interface cards (NICs) available will appear in the box. Ticking one or more network interfaces will cause London Architect to search for HiQnet devices on the subnet associated with that interface. This process is known as 'Discovery' and uses a broadcast mechanism which means that London Architect can only discover HiQnet devices which are on the same subnet as the network interface card in question. (Broadcast traffic is not passed through routers which connect different subnets together).

Computer Name

Click the checkbox "Use HostName" for London Architect to use the host name setup by the Windows operating system. If this box is unchecked, a different computer name can be entered here. "Use Host Name" is the default.

FTP Setting for Firewall Compatibility

Note// FTP is not supported in Windows 2000

The HiQnet setup page has an option for 'Use Passive FTP for better compatibility with firewalls'. This is selected by default.

London Architect uses FTP transfers to send firmware and design files to HiQnet devices, and also to perform uploads such as the event log. Some problems may arise when FTP is used across firewalls, as in the case of accessing a remote HiQnet network over a 'Virtual Private Network' (VPN) connection.

In normal ('active') mode the FTP client (London Architect) may try to establish a TCP connection to the FTP server (remote HiQnet device). In this case the firewall may block the connection as it arose from outside the firewall. By using 'passive' FTP mode, TCP connections are always established by the FTP server, which is inside the firewall. Passive FTP mode is therefore recommended when communicating with HiQnet devices across firewalls.

Preset Recall Method

Please only change when directed to by BSS Technical Customer Support.

Show Node Address as Hexadecimal

When checked (default) all node addresses are shown in Hexadecimal (base 16) numbers. When unchecked, node addresses are shown as decimal. Hexadecimal numbers are sometimes displayed with 0x preceding the number

Network Sharing With System Architect

If this option is enabled then London Architect will connect to the network via a shared HiQnet service. This enables both London Architect and System Architect to work at the same time on the same PC. Note that the firmware version in the devices must be version 2.00 or later before this feature can be enabled.

Hide Devices on Different Subnets

When this option is enabled, devices which are on a different subnet to the PC are not shown in the network window.

Meter Subscription Rate

The default is set at 100ms for London devices and 200ms for Crown devices. Faster rates will increase the rate at which meters are sent to London Architect at the expense of increased network traffic. Slower rates will help to reduce network traffic on a large system.


Serial tab

The Serial tab of the Application Preferences is laid out as shown below:

The PC's serial COM are displayed here. For serial uses tick the COM ports for London Architect to use. The application needs to be restarted to enable these ports.

By default these ports should be off. If you experience problems with serial connections, i.e. internet connection via a modem not working while Architect is running, then turn these ports off.

Note//
These ports should only be checked when using BSS Omnidrives or Minidrives since once they have been checked they will no longer be available to other applications.


Instant Messaging tab

The Instant Messaging tab of the Application Preferences window is shown below.

Instant messages can be sent to and received from any PC in your design. The Quick Message boxes allow you to store 10 fixed messages which can be sent at the click of a button from the Instant Messaging docking window. Blank lines may be inserted within the messages by pressing Ctrl-Enter.


Static Routes

Static Routes - Application Preferences

Static routes can be set in Application Preferences as well as in File Preferences. Where a device is on a different subnet to the pc, it is possible to set up a static route to get a direct connection to that device. Since static routes which are set in file preferences are saved as part of the design file, it is not possible to open the design from the device network when it is on a different subnet. Setting static routes in Application Preferences allows you to 'see' the device in London Architect and then open the design from a device on the network which is on a different subnet. Where there is a conflict of IP addresses FIle Preferences will always take priority.

The table has three columns and an optional description. The columns are:

- Enable check box. A static route can be enabled and disabled.

- IP Address is the IP address of the remote device.

- Device column is not user editable, but shows the name of the device on the network if the static route is found.

The buttons do the following:

Add

Provides a pop-up dialog where a new route can be added. Enter the IP address of the remote device and an optional description here.

Edit

The Edit button shows the same dialog as Add but is filled with the selected routes values. The route can then be edited.

Remove

The Remove button allows the removal of one or more routes (the list of routes allows multiple select).

Auto

The Auto button will populate the static routes with the devices currently on the network. This will be useful prior to the use of VPN when an installer is on site and can add all devices in one go.

Apply

The Apply button applies any changes. When the changes are applied, the static routes are set up in the network stack, and the network view is refreshed. Discovery will start on any routes just added and the remote devices will appear in the network window. Newly added routes which have been discovered will add the name of the discovered devices in the "Device" column.

Note

Static routes create additional network traffic which may be undesirable on large networks.

The BLU-8 cannot control devices on remote subnets, the BLU-8v2 however, can control devices on remote subnets.


General File Preferences Tab

  • Allow wipe on control objects

Used to quickly change the state of a group of control objects. When this option is not ticked it is necessary to change the state of each object individually by clicking on it with the mouse. With this option enabled a group of control objects can have their states easily changed by clicking on the first object and then dragging the mouse over the others.

  • Keep the most recent archived event logs

Set a value for this to limit the maximum number of Event Log archives.


Static Routes Tab

Static Routes Tab - File preferences

Where a device is on a different subnet to the pc, it is possible to set up a static route to get a direct connection to that device. Static routes can be set up in Application preferences as well as File Preferences.

When using Virtual Private Networks (VPNs) for example, any broadcast packets from London Architect will go no further than the router at the VPN client end of the connection. Static routes is a way around this problem since it defines all the point to point routes to all Soundweb London devices which must be communicated with.

Static routes are set up per design file in the file preferences

The table has three columns and an optional description. The columns are:

- Enable check box. A static route can be enabled and disabled.

- IP Address is the IP address of the remote device.

- Device column is not user editable, but shows the name of the device on the network if the static route is found.

- The dialog also has an option to Send Static Routes to the devices. When this box is unchecked only London Architect has a route to the device with the static route set.

  • Check this box to enable BLU devices to connect across subnets. Upon going online the devices will need to reload their configurations.

  • Uncheck this box to disable the device connection across subnets. Upon going online the devices will need to reload their configuration.

The buttons do the following:

Add

Provides a pop-up dialog where a new route can be added. Enter the IP address of the remote device and an optional description here.

Edit

The Edit button shows the same dialog as Add but is filled with the selected routes values. The route can then be edited.

Remove

The Remove button allows the removal of one or more routes (the list of routes allows multiple select).

Auto

The Auto button will populate the static routes with the devices currently on the network. This will be useful prior to the use of VPN when an installer is on site and can add all devices in one go.

Apply

The Apply button applies any changes. When the changes are applied, the static routes are set up in the network stack, and the network view is refreshed. Discovery will start on any routes just added and the remote devices will appear in the network window. Newly added routes which have been discovered will add the name of the discovered devices in the "Device" column.

Note

Static routes create additional network traffic which may be undesirable on large networks.

The BLU-8 cannot control devices on remote subnets, the BLU-8v2 however, can control devices on remote subnets.


Screen Guidlines Tab

Screen Guidelines Tab

Use Screen Guidelines when designing a system which will be run on a pc with a different monitor size to the one the design is being carried out on, thus ensuring control panels are not too large for the screen. Add fixed or custom screen sizes to the list. Once applied, the screen size will be represented on your pc monitor as a box within custom control panels, in the selected colour and with the selected label size. More than one Screen Guidelines box can be selected at any one time but they will all be the same colour.


CobraNet Tab

These settings are for the network audio behaviour of the design file. The CobraNet bundle start numbering can be adjusted here (default is 1000).

The default audio sample rate across the network can be set here (choose between the standard 48kHz and the higher quality, but higher overhead, 96kHz). As new BLU processors are dragged into the design they will take their default sample rate from this setting. However, devices can be run at the other sample rate as long as they are only connected to other processors using the same sample rate.

Latency

There is also a selection of 3 possible latency settings, this is the finite time that audio takes to pass thru a network device and, if much processing is involved this can very slightly delay the audio in the system. The maximum latency incurred in a CobraNet network is 256 samples (5-1/3ms) at the receiving CM-1 card. This latency can be reduced at the expense of CobraNet audio channels transmittable from device to device and all units on the network must be configured to operate at this latency.

NB:
If 96kHz is chosen the number of usable channels per bundle falls from 8 to 4 if using a latency of 5 1/3ms, as shown in the info box below. Shortening the latency will bring the channel count back up to 8.

This capability will be borne out so long as fewer than 6 switch hops are used on a 100BaseT network. Greater than 6 switch hops may incur more delay. On a Gigabit network you may be able to have 15 switch hops before incurring additional delay.

A CobraNet network utilising the CM-1 module can make use of a number of possible latency times and sample rates.

Latency against sample rate at 20-bit resolution

Latency

Sample Rate

Bit Resolution

CM-1 Channel Capacity

5-1/3ms

48kHz

20

32 In, 32 Out

5-1/3ms

96kHz

20

16 In, 16 Out

2-2/3ms

48kHz

20

32 In, 32 Out

2-2/3ms

96kHz

20

16 In, 16 Out

1-1/3ms

48kHz

20

32 In, 32 Out

1-1/3ms

96kHz

20

16 In, 16 Out


Operating/Going Online Tab

Going Online Tab

Go Online when file is opened

Device timeout when going online

Resynchronise when offline device comes online

Warn when devices go offline

Get Current Values On Subscribe


Go Online when file is opened

Architect can go directly online to the system immediately after the design file has loaded. This is useful particularly when the design is either complete (or nearing completion) and you wish to get straight online to start adjusting parameters or for monitoring applications.

Tick the 'Go Online When File Opened' box to activate this feature.

In the drop down box below there are 3 options:

Do nothing

Assumes that your design file and the state of the system are identical therefore you can begin to start altering control panel audio settings.

Synchronise to devices

Sends all the current parameters from your design file into the system of hardware devices and updates all their settings accordingly.

Synchronise from devices

Polls the system of hardware devices to send all their parameter settings back to Architect. The control panels and other associated settings should change to reflect this.


Device timeout when going online

London Architect will allow this amount of time to go online to all of the devices in the design. If this time is exceeded a pink bar will be displayed against the devices which have failed indicating that a retry is necessary.


Resynchronise when offline device comes online

Tick the 'Resynchronise when offline device comes online' box to activate this feature.

When London Architect detects that a device in the design has come back online, it will ensure that the device is in sync with the design. This is useful when a device may be removed from the system regularly and for long periods of time.


Warn when devices go offline

Tick the "Warn when devices go offline" box to activate this feature. Whilst online to a device or a device network, if one of the devices goes offline for any reason, London Architect will display the following dialog which shows the name of the device which has gone offline. In this case the device is named "Test".

Click on OK to close the dialog.

This feature is useful since it gives an immediate alert if a device goes offline.


Get Current Values On Subscribe

Tick the 'Get Current Values On Subscribe' box to activate this feature.

When enabled London Architect gets the current values of all parameters in the device when going online and subscribing. For any new design files this preference is set to true by default. For any design file saved prior to LA version 4.0 it will be disabled by default.


Operate Tab

  • Go full screen when in operate mode.

Check this box for the design to cover the entire screen when in operate mode. To get out of operate, press the SHIFT key on the keyboard and F5 at the same time. To display docking windows such as event log while in this mode, drag the required parameter from the design window under My Computer onto a custom control panel, this can then be used to enable or disable the window.

  • Remove Tab Bar

Check this box for London Architect to remove the tab bar from the screen when going full screen. The tab bar is the series of tabs which can be used to change the active view.

  • Remove Tab Bar Frame

Check this box for London Architect to remove the grey border around the edge of the screen when going full screen

  • Span full screen across multiple monitors

If you have more than one monitor this will allow the 'Full Screen' to cover them all. Again, holding SHIFT and pressing F5 will cause London Architect to leave operating mode.


Time Zone Tab

Use the drop down box to set the time zone for the region then select a radio button.

  • Do not adjust for daylight saving
  • Standard: This allows you to set a day and time in the month rather than a date since daylight saving often takes place on a specific day of the month. It includes preset entries for UK/EU and US.
  • Custom: Here you can select a start and end date. The time of the change is fixed at 12am

Click on Apply to apply the changes.


Save to Network

  • Parallel Save To Device Network

Check this box to allow faster saving to device network. This is particularly useful where there are several devices in the design and also where you wish to save several copies of the design to the device network.

  • Number of copies of design file to save

Up to 32 copies of the design file can be saved to the device network. If you save more than one copy to the network then you will still be able to recover the design if one or more of the devices in your design is not on the network.

  • Warn if the actual number of copies saved is less than defined above

Tick this box if you want to be notified when less than the number of copies you have specified is actually saved to the device network. This could happen when there are less devices present on the network than the number of copies specified since each device can hold just one design file.


Designing an Audio System

Software System Design

Quick Start - Design Process

Design and Operate Modes

Representation of External Sources and Destinations

Layout Options

Virtual Wiring

Follow Through Naming

Compiling

The Logic System

System Security

Devices

Configuration of Devices

PC Control Groups

Control Panels

Links

Networking Audio and Control signals

Collaborating with HiQnet System Architect


Software System Design

London Architect is ready to aid you in designing almost any type or application of audio system. With its wide range of audio processing devices and varied routing capabilities audio can be directed, spit, assigned and quality controlled all inside software. Audio signals that are inputted into the Soundweb London hardware devices are digitally converted for easy processing, management and redistribution through the CobraNet network to remote locations or further processing and mixing.

At first, it is probably best to work out all of the different applications that will be needed in the system. This includes working out how many zones (areas with separate processing requirements) that the audio needs to be routed to, this is an important concept and can help determine the best use of Architect's new Zone feature.

A map of the audio inputs and outputs should be made up and, notes made of any particular audio processing that will be necessary, i.e. gating an audio mic, EQing an instrument or compressing a hot signal. Experienced users will find that they can, maybe, skip this stage and use the software immediately to design their systems. However, once the brief has been drawn up it can be built within Architect and then used to set up the interfaces for the "real world" installation.


Quick Start - Design Process

Representing the hardware

In order to create a system design file the hardware devices have to be represented in the software. These are available in the Hardware menu and can be dragged onto the Main window / design space. A network capable BLU80 for example, would appear as a Blue rectangular object on the page. The input and output sockets are written on the graphic, these include audio, control and network ports. The simple logic control ports are viewable by switching them to visible in the Properties pane for this device.

Graphical annotation

Using a series of graphics, either provided in the software (e.g. cd players, mics and stereo sources) or using your own custom images (imported into the 'Gallery') your audio sources can be represented.

Wiring up

These can then be 'wired' to the hardware device by clicking on the node connectors and dragging across to connect to the inputs to the left of the device.

Configuring the processing

Double clicking on the device icon will open its Configuration window. This area is where you apply processing 'plug-ins', or objects, to the audio signal. This is also where you can determine the routing of the audio channels within the device, i.e. to extra sets of analogue outputs or across the network to a remote location.

In the Hardware list there is a folder of Processing Objects, select what you need, drag, and drop them onto the Configuration window.

Creating an internal signal path

Simply wire the analogue inputs (represented on the left of the page) into the required processing objects and their outputs to the required outputs (audio or network on the right). This will have created a through path and, if audio was applied to a device loaded with this program audio should pass (subject to the processing parameters!) The resource meter should show a green bar if everything is wired properly.

Important Concepts

  • Use the Hardware tree to create representations of your external devices and controllers.

  • Use the Design tree to navigate around the control panels and devices.

  • Check the Compiler Report to make sure that your design is working.

  • Secure the design appropriately and create user access levels to meet the clients requirements

  • Import your own graphics and logos to the Gallery to brand your design.

  • Use the Event log to check for network and system errors that may not be obvious in normal operation.


Design & Operate modes

London Architect has two main modes of operation:

Design mode

This is the default setting and allows the construction of your system layout using all the design tools and features offered by Architect. (Unless the option to load the design file and go directly online has been chosen in the Preferences, only really of use once a design is up and running)

Operate mode

This is for using the controls set up in the control panels, generally when online to a device or network of devices. Operate mode can also be used offline to set up the functionality of control panels and to assess the general feel of the operational system without actually being online. However, no effect will take place until the system is online and audio is passed. When in Operate mode the cursor will change to a hand when over rotary controls that can be adjusted.

Operate mode is engaged by either pressing the 'Operate' button on the bottom status bar (a green indicator with a tick shows that operate mode is engaged) or, pressing F8 on the keyboard. It can also be engaged using the System menu > Operate command.

Note: Quick Operate mode

There is a quick Operate mode available in the design space; if you hold down the 'alt' key the design grid (if shown) will disappear and the controls can now be used.

Operate is also known as Running the System.


Representation of external sources & destinations

London Architect comes with a selection of typical source objects such as mics, CD & DVD players included in the 'Others' folder in the Hardware tree. Generic mono, and stereo, inputs and outputs can be wired up to the devices to represent the connections of external equipment into / out of the Soundweb London system.

NB: source and destination objects have no functionality within the system other than to represent their existence in the real world and to assist in design file clarity for the designer and client.


Layout Options

There are various alignment and sizing options that can help to create more organised and clearer layouts. All of these operations can be undone with the Undo feature from the Edit Menu.

Select a group of objects (two or more) then use the Edit Menu commands, the right click menu or the Group Toolbar buttons on the selected objects.

Align

To align multiple objects use the following options:

Align > Top, Bottom, Right or Left edges

Objects will be moved in line with with the top, bottom, right or left-most object.

Remove Gaps

To remove gaps between objects use the following options:

Remove Gaps > Horizontally or Vertically

Objects will be positioned next to each other with no gap.

Space Equally

To space objects equally across the design page use the following options:

Space Equally > Horizontally or Vertically

Objects will have equal spacing between them.

Z Order

The order in which overlapping objects are displayed can be changed to prevent objects getting lost in the layout by being hidden by other objects. This is also a useful feature when placing a background image or coloured frame behind objects. Select the object whose Z order you wish to change and use one of the following options:

Z Order > Bring to front, Bring forward one, Send to back, or Send back one

Centre

Single or multiple objects can be centred to the design window using the following options:

Centre > Horizontally or Vertically

Depending upon the selection, objects will be centred either horizontally or vertically in the design window.

Size

To change the dimensions of one or more objects to be the same size as another object, select all of the objects to be sized including the object that you wish to use as the template for the operation then use the following options:

Size > Make same Width, Height or Size.

After selecting the option, the cursor changes to reflect a scale operation. Click the cursor on the object whose dimensions are to be copied. The other selected objects will be sized accordingly. This operation does not work with audio input / output blocks or CobraNet bundles.

For example, 2 sliders are selected, the leftmost being wider than the right and Make Same Width is chosen from the right click menu. The cursor then changes to reflect a scale operation and if the right hand slider is now selected the left slider will change width to match it.

NB: BLU series devices e.g. BLU-80, BLU-32 and BLU-16 can be sized horizontally but not vertically. This is to accommodate longer naming structures within the device icons but, it is not considered useful to be able to extend the vertical height of these objects. If the 'Show Control Ports' option is selected in the Properties for a device then the icon will lengthen to display all the extra ports.


Wiring, Virtual

Virtual wires are used to connect the objects on the design layout and, route the signals between the connection points of internal processing objects and/or input and output ports. These wires are for design clarity and have no relationship to actual signal routing on the design layout pages (i.e. Main and in Zones) the devices must be cabled properly in the real world installation for proper operation. This includes the correct use of line level audio cabling, multicores and cat5 Ethernet cabling where appropriate.

However, when in the Configuration windows for a device, the wiring to connect processing objects is critical. Incorrect connections and unwired ports will show up in the Compiler Report as errors that can be traced back for proper connection.

Wiring Notes

1. An incorrect connection (e.g. an input to input between processing objects or trying to connect an audio output to a network port) is indicated by the wire turning red.

2. The processing objects supplied are set up for the default grid, which is 10x10 pixels. It is strongly suggested that you leave the grid on this setting, and leave the 'snap to grid' option in the toolbar enabled.

3. By default, you are permitted to create vertical, horizontal and diagonal line segments. However, you can tighten this restriction by selecting No Diagonals from the View menu (or toolbar) in order to create tidier and more presentable layouts.

4. If you are in the middle of dragging a wire and you realise that you are doing the wrong thing, pressing the ESC key will abort the drag operation. Also sometimes it seems difficult to release a wire that you may have inadvertently picked up; in this case right clicking in the design space should drop your connection to it.

5. Hovering the cursor over a wire will show the presence of audio or ‘no signal’ – the system needs to be online with an audio feed for anything to show here, thus it is a good indicator of signal flow.

Multi-wiring

To wire up multiple similar connections between devices, processing objects, input/output blocks or network bundles; select the required number of consecutive nodes (now shown in red), click on any one of the nodes and drag the wiring to the required connections.

NB: Where the connections are direct, i.e. 8 outputs to 8 inputs, the connections will be easily made. When there are differing number of connections available HiQnet London Architect will wire all those that are possible from the top down, i.e. the top connection is the anchor that all others follow. Where there are other objects in vertical alignment with the desired destination and, if these have valid connections, HiQnet London Architect will connect sequentially to as many nodes as available, i.e. across a CobraNet bundle and an analogue audio output block. The exact alignment of these objects is not absolutely vital but using the object alignment options in the Edit menu, or toolbar, will help to make sure that the connections are made properly - see layout options.

Multiple dragged wires can be made to turn 90 degrees by holding the left or right arrow key (dependent on which direction is required). The corner will be indicated and the correct angle to keep the wires evenly spaced will be shown and applied when connected to another device.

Single Output to Multiple Input Wiring

There are several methods available to wire from a single output node to multiple input nodes.

1. The most basic method is to click on the output node and wire directly to the input node. Next click on the output node again and wire to the next input node. Repeat for all nodes.

2. Add a wire from the output to the first input node. Next double click the wire to create a Y-split, and wire that to the next output node. Repeat for all nodes.

3. Multiple select all the output nodes. Click the top node to start a mutliple wire. As you move the cursor over to the input node, press the 'C' key. Keep the 'C' key pressed until you have clicked on the output node.

It is possible to combine #2 above with multi-wiring. You can select a group of input nodes, and multi-wire back to existing wires in order to create multiple Y-splits in one go. Use the left and right arrow keys (or Z and X) to stagger the multiple wires. This makes it very quick to create configurations such as the one shown below.


Follow through naming

London Architect automatically takes the user assigned name to a source object, i.e. a CD player or mic, and copies this onto the connected device input port(s). As this path is connected through the device, and assigned processing objects, to an output port each node will take on the name. This is a nice intuitive feature that helps in the easy tracing of audio signal flow.

It is also possible to modify the signal name by using an 'Audio Coupler'. The 'Audio Coupler' does not use any DSP resource so you can add as many as you wish to your configuration. The properties of the 'Audio Coupler' allow you to enter new values for the signal names. You can also use the dollar symbol $ to include the incoming signal name in your modified signal name. You should therefore avoid using the dollar symbol when naming Devices or Processing Objects.


Compiling

The graphical representation of the audio system created in London Architect is correlated to processor code programs that run inside the hardware boxes (e.g. the BLU and FDS series). As the design is created it is itself continuously compiled in the background ready to be uploaded to the hardware at any time. Some systems, such as the control panels and device configurations, can be changed in real time.

In the System Menu there is an option to Recompile All Device Configurations. This can be used to ensure that the system is updated with any design changes you may have made. If you Run the system the design will compile if necessary and go online to the devices.

Resource Meter

The compiler resource meter can be found on the blue bar at the top of the Configuration Window for all devices with DSP. This shows the percentage of DSP resource used for each box. The meter is green while the design is using less than 100% and no errors. If there are any errors in the design, such as unwired inputs, the meter will be orange. If this is the case then check the compiler report for any error messages or warnings and fix the problem.

Out of juice?

If the processing required outstrips the available DSP the bar changes to red and warns that the amount of processing objects used in this configuration won't fit in the device, i.e. further devices will be required to fulfil the extra DSP duties.

Hover the mouse over the resource meter a tool tip states whether the compile is successful also. If the meter colour changes to orange this suggests that the configuration is unlikely to work; the tool tip states that the compile has "warnings" and to see the Compiler Report for further information. This could be due to unconnected processing objects left in the configuration layout; these should be removed if not needed.

When processing objects are added to the layout the resource meter, and its tool tip, states that it is "Compiling". The status bar at the bottom of the screen also shows a waveform animation to represent the background activity.

A further "Advanced Resource Usage" dialog is available by double clicking on the resource meter; this displays further statistics relating to the DSP loading and assignment.

Compiler Report

The Compiler Report is available from the view menu or by selecting its tab panel. It shows a list of any failed connections within the device configuration. If any processing object is not wired up an entry details whether it is an input or output that is at fault and the device that is affected. Red arrows represent the signal flow. Double clicking on an entry will locate the offending object by highlighting it in the design window, making quick repairs possible - either wire it up properly or delete it. A drop down box at the top of the report allows the warnings to be shown by particular device or, for the complete system.

System Output Panel

A more in depth overview of the compilation process is available through the System Output panel (View menu or select its tabbed pane). This is listed by time starting from the initial run of the application.


The Logic System

Each of the DSP configurable Soundweb London devices also contains a configurable logic system. You can toggle between the audio configuration and logic configuration using the audio and logic buttons in the Configuration Window.

The Soundweb London processor contains several processing chips including a CPU (Central Processing Unit) and 2 or more DSPs (Digital Signal Processors). The CPU handles all communication (Ethernet, serial etc.), parameter linking, display, led's etc. The DSPs are for audio signal processing. The logic runs on the Soundweb London CPU, not the DSP. This means it will not use any DSP resources. However, it will use CPU resources which will be explained in more detail below.

Logic Objects are placed and wired up in the same way as in the audio configuration. Many of the logic objects have properties which allow you to add and/or remove input or output ports. Each logic object is quite basic, but when added together they can perform very complex operations, e.g. a priority paging system. Each logic object has a run order which can be displayed by enabling the option in the Logic Menu. The run order is the order in which the logic object will be processed. Attention must be paid to the run order if logic signals are looped back to previous logic objects (like a feedback loop) since the objects may then have a different run order to what you might expect.

Many logic objects have default control panels and parameters which can be controlled. These parameters allow you to interact with the logic system and also facilitate the logic system to interact with the audio system. You can for example link a logic end to a mute. The logic allows a quick method of creating these links. For example, you can drag and drop the mute control from a panel directly on to the logic end object in the logic configuration window. This will automatically create an exact link between the mute parameter and the logic end parameter. The link will appear in the Design Tree under 'Logic Links'.

Resource Meter

At the top of the logic configuration window is a logic resource meter which gives an indication of resource usage. Each logic object has an approximate host processor usage. It is approximate because it is impossible to calculate an exact figure. The resource meter is the total of these approximate values. 100% logic resource usage equates to approximately 50% host CPU usage. However, it is unlikely that you will see this amount of CPU usage being used. This is because there are optimisations in the logic which means that most logic objects will not be processed if no change is made to the inputs, in which case the logic object will not consume any host CPU usage. Other logic objects such as the Calendar object are processed every logic tick (100ms) and so can consume lots of host CPU usage. The logic resource meter therefore gives a worst case figure, based on every logic object being processed every tick. However, you should still not rely on this figure when determining if the logic will run successfully in the device. This is because the host processor which runs the logic also performs many other tasks which cannot be estimated by London Architect. Examples of items which affect host CPU usage are:- number of devices on the network, number of open control panels in London Architect, and cross-device linking.

The only way to determine if the device will successfully run the logic system is to go online with your design file and observe the CPU meter in the device default control panel. This will be required for every device running logic. If the figure is above 90% then there may be occasions where the logic will run slower than every 100ms, and meters will appear to slow down. In extreme cases, controls will grey out on control panels.


System Security

Security Settings

The design file that you create in Soundweb London Architect may need to be protected from other unauthorised people fiddling with parameters or, perhaps you just wish to keep the internal workings of your design as intellectual property rights from your customers.

London Architect offers a versatile security solution by allowing the designer to effectively lock users out of all, or parts, of the system design. A log in screen can be activated that requires a particular user name and password in order to progress further into the design file.

By default the program is in Admin mode. This allows 'Full Access' to Design Rights and 'Full Control' to Control Panels. When system security is enabled, a password must be assigned to Admin to continue. From this point on you will be asked to log in with your password on opening the design file. This creates a first level of security useful for protecting the file while in its early design stages. Once the system design is nearing completion further levels of security can be applied for user access. A new user must be created to gain access to these next settings.

Use the drop down box to add new users to the design file. You may also use the buttons to delete a user, change a users password, and set the start page for the user.

Start Page

You can select an existing control panel from the design which will be displayed when the given user logs on. This is a good way to provide cut down panels to restricted users.

Design Rights

these provide the capability to change the actual system construction; there are three levels of access, 'Read Only' , 'Full Access' and 'Control Panels only'.

  • Full Access allows the user to change any part of the design.

  • Read Only opens the design in operate mode. No part of the design can be changed but all control panels and design windows are available to view.

  • Control Panels only allows the design and layout of control panels to be changed but nothing else. This mode could be useful where the routing and layout of the hardware is set and should not be changed but, other users may want to design and build their own control panels for system control.

Control Panel Rights

A further level of access limitation is available to particular control panels. Each created control panel in the design has its own four levels of access assignable to it. These are:

  1. No Access - completely hides the control panel from the user. Useful for panels that were used to set up the main system but shouldn't now be accessible to the general user.

  2. Read Only - the user can see the control panel but not change any of its parameters. This is useful for monitoring meters and led indicators or external processor displays. Also for demonstration of the controls without the danger of inadvertent parameter changes, e.g. for checking button and fader status.

  3. Hyperlinks only - enables the user to use links between control panels, i.e. to jump between panels but no other functionality is available.

  4. Full Control - enables the user to change all parameters available in this control panel.

For a run through on how to set up basic security policies please see the Security Tutorial .

Auto Logon

Select a user to be automatically logged on when the design file is first loaded.


Devices

Device Names

Each device in your system must have a unique name: this enables the Soundweb network to distinguish one device from another. When you create a device, London Architect will allocate a default name for it (the first device defaults to"U1", the second to "U2" and so on. It is a good idea to replace these names with names of your own, such as "Conference room 1" or "Main paging mixer", in order to help clarify your design. These names will also appear in the system rack in the Configuration window making selection of the correct "zone" processor in multi device systems much easier.

To change the name of a device:

Select the device and in the Properties window type a new name in the "Object Name" box. Make sure that the "Show Object Name" is set as "Yes".

Deleting a Device

To delete a device:

      • Select it and press Del/Backspace

Or

      • Select Delete from the device's right-click menu.

Representation of Device interface ports

In each Configuration window there are blocks that represent the input and output capabilities of the particular processor selected. Input blocks are displayed on the left of the design space and output blocks on the right by default. These blocks can be moved around to suit the design but they cannot be deleted as they represent physical hardware. If an input block is connected to certain source objects, icons will appear in the block, e.g. CD player or mic, the names of devices will follow through onto these blocks too. Double clicking the blocks will open their default control panels.

There will be one block each for the fitted cards (analogue, digital, AEC or Telephone Hybrid), one block represents 4 ports (inputs or outputs), i.e. four blocks in total for the four possible card installs.

Analogue Blocks

These are coloured gold. Clicking on the arrows in these blocks will return the user to the design space highlighting the node and/or object that is connected to this port - useful for tracing the signal path from processor to source input or output destination.

These are coloured blue.

AEC Blocks

These are coloured green. Since the card can be used as either an AEC card or a straight through analogue card, any device connected to an input will be represented on both the AEC input and on the analogue input. The internal Input Reference Return is also represented. Clicking on the arrows in the block has the same effect as for the analogue input and output cards.

Telephone Hybrid Cards

The orange coloured telephone hybrid blocks show the 2 analogue inputs and the Hybrid input and Output

CobraNet Blocks

For devices with CobraNet there will be 8 CobraNet blocks shown (4 input, 4 output), these represent the 'bundles' and route 8 channels each. These are coloured silver by default but change colour when activated to transmit or receive in either Unicast (green) or Multicast mode (purple). Connection arrows are not shown until CobraNet is configured in the Properties.

BLU link Blocks

Image:London Bus Input.jpg

For devices with BLU link, each configuration will have a default pair of BLU Link processing objects. For devices which have configurable DSP, more BLU Link objects can be added, in the same way processing objects are added.


Configuration of Devices

To configure a device for audio processing

Double-click on its icon in the design space; this opens its Configuration Window. This only applies to configurable devices, these include:

  • BLU-16 Configurable DSP, no CobraNet, no BLU link.

  • BLU-32 Non-configurable DSP, CobraNet, no BLU link.

  • BLU-80 Configurable DSP, CobraNet, no BLU link.

  • BLU-120 BLU link, non-configurable DSP, no CobraNet.

  • BLU-160 BLU link, configurable DSP, no CobraNet.

  • BLU-320 BLU link, non-configurable DSP, CobraNet.

  • BLU-325 BLU link, non-configurable DSP, AVB

  • BLU-326 BLU link, non-configurable DSP, AVB

  • BLU-800 BLU link, configurable DSP, CobraNet
  • BLU-805 BLU link, configurable DSP, AVB
  • BLU-806 BLU link, configurable DSP, DANTE
  • BLU-100 BLU link, configurable DSP, fixed card configuration, no CobraNet
  • BLU-101 BLU link, configurable DSP, fixed card configuration, no CobraNet
  • BLU-102 BLU link, configurable DSP, fixed card configuration, no CobraNet

The following devices have different functionality when double clicked:

  • BLU-10 touch screen controller - opens the button setup page.

  • BLU-8 and BLU-8v2 wall controller - opens the button setup page.

  • FDS-366, FDS-336, FDS-334 loudspeaker processors - opens programmable control panels for these units.

  • Crown CTs4200USP/CN, CTs8200USP/CN, MacroTech i, PIP lite, PIP BLU, USP3, USP3/CN, USP4/CN - opens programmable control panels for these units.


Configurations

Each device can store up to twenty different Configurations. A Configuration is a set of processing data for a device and relates to one device only therefore, it does not store information about other devices in the system. You can switch Configurations while the system is running using a Device Preset.

The set of data includes the following:

  • A list of the audio processing objects that are loaded in the device - that defines what function in the system the device will perform.

  • The signal paths between the inputs and outputs of the device (including network channels) and the position of the processing objects in those signal paths and, their connection to each other.

  • Certain other functions such as data relating to the switches on the contact closure (control) ports.

To add a Configuration use the Device menu or, right click in the Configurations drop down box in the device's representation and resource bar at the top of the Configuration window.


Adding processing to Devices

The Hardware list contains a folder showing a list of the 'Processing Objects' available. To add a processing object to your system, drag and drop the name of the required object from the list to the main window area on the right. On releasing the object a representation is created in the window. This is shown as a rectangular block with the name of the object outside and connection points around the edge for the different inputs on the left and outputs on the right.

The objects can be moved around on the layout by picking them up and dragging them with the mouse or, by using the cursor keys on the keyboard when the object is selected.

The inputs and outputs are 'wired' to their corresponding sources and destinations to form a processing signal path. The design will not work if these objects are not connected properly – watch out for red wires that denote incorrect wiring and check the Compiler Report for more information on what is wrong.

Double clicking on an object will open the processor's Default Control Panel (if available). Dedicated controls from these panels can be selected for use in your own separate user created Custom Control Panels .


PC Control Groups

PC Control Groups can be used to monitor and control groups of control parameters i.e. mutes, faders and so on, within the system. Each PC control group can be associated with any number of control parameters which are of the same type and in the same range. The PC control group exposes a single control which can be placed on a custom control panel. The value of this control is determined by the values of the control parameters in the group. The PC must be online to the system in order for the control panels to be monitored. This is a useful feature where there are 2 London devices performing the same action (dual redundancy) since the PC control group will allow you to monitor and control the same control parameters on each London device.

Creating a PC Control Group

There are 2 ways in which to create a PC control group.

1. Create an empty PC control group by selecting it from the Panel Menu. This displays the following dialog:

Image:Create pc control group.jpg

To then add controls to this group, drag the control and drop it onto the control group which can be found in the design tree under "This Computer"

2. Create a PC Control Group from selected objects. This creates a PC Control Group and adds all of the selected parameters on the active control panel to it. The same dialog as above is presented except the mode will already have been determined. If any of the selected parameters are read only then the PC Control Group is automatically set as read only and cannot be changed.

  • Name of PC Control Group: Set a name for the PC Control Group. It will then appear in the This Computer folder in the Design Tree. Drag it from the design tree and drop it onto a control panel to control and monitor the controls in the group. Selecting the control group in the design tree will cause a green box to be displayed around all of the controls in that group to easilly identify its members.

  • Force PC Control Group to be read only: Check this box to set the exposed parameter as read only. If any of the parameters in the group are read only then this box will always be checked and cannot be unchecked.

  • Ignore offline parameters: Check this box for the exposed parameter to ignore any parameters which exist on devices which are no longer online (the controls would appear greyed out on a control panel).

  • Binary Mode: Select binary mode when the parameters in a group are on/off such as mutes, which would normally be represented as buttons on a control panel.

  • Continuous Mode: Select continuous mode when the parameters in the group have a range greater than on or off. Note however, that controls must be in the same range as each other in order to be in the same control group.

  • Value changes: Sets the conditions for a change in the exposed parameter.

    • when all parameters are equal sets the exposed parameter to the value of the parameters in the group when they are all equal.

    • to value of last changed parameter sets the exposed parameter to the value of the last parameter in the group to have changed.

    • to on when all parameters are on sets the exposed parameter to ON only when all the parameters in the group are ON. The exposed parameter will be OFF when all of the parameters in the group are OFF. This applies to button mode only.

    • to ON when more than X controls are ON sets the exposed parameter to ON when more than X number of parameters in the group are set to ON. The value for X is set in the "where X is" edit box. This applies to button mode only.

    • to average of all parameters sets the exposed parameter to the average of all the parameters in the group. This applies to fader mode only.

  • Where X is: Enter a value for the number of parameters which must be ON before the exposed parameter goes ON. This only applies when the Value changes box is set to "to ON when more than X parameters are ON".

  • When value changes: Determines the action to be taken on the parameters in the group when the exposed parameter is changed. This option is not available for read only PC Control Groups.

    • send inverted current state sets all parameters in the group to the inverted value of the exposed parameter. This applies to button mode only.

    • always send off sets all parameters in the group to OFF. This applies to button mode only.

    • always send on sets all parameters in the group to ON. This applies to button mode only.

    • maintain offsets sends the change in the exposed parameter to all the parameters in the group therefore maintaining offsets between parameters in the group. This applies to fader mode only.

Important Information

  • The PC Control Group only exists on the PC

  • PC Control Groups can be found in the "This Computer" folder in the Design Tree


Control Panels

Adjustments to audio settings such as level, phase, compressor threshold, EQ, mutes etc. are made from virtual 'control panels' running within the Architect software. The Control Panels can be likened to the plug-ins often found in other audio applications and behave in a very similar way. The settings (if available) of any audio processing object are initially adjusted using its 'default' control panel. Some of these are modelled on classic BSS Audio hardware such as the VariCurve EQ and OmniDrive loudspeaker crossovers.

External GPI hardware faders, ports, switches and buttons can also be assigned to adjust the controls on these panels via the logic Control Ports on the back of the BLU series processors. To open the default control panel of an audio processing object double-click on the object’s icon in the Configuration Window. The default panels can be broken apart and the individual controls taken to be used in your own 'custom’ control panels.

See Navigating Windows section on how to move around Control Panels.

General Properties

Device Control Panels

Custom Control Panels

Control Panel Objects


Control panel general properties

The 'General Properties' for default and custom control panels are shown below:

Image:Control panel general properties.jpg

Show object name - Set to 'Yes' to display the object name. The object name is displayed at the top left corner of the object. On a default control panel the background is dark and so it is difficult to see the object name when it is displayed, however it can be clearly seen on a custom control panel where the background colour can be selected.

Object name - Sets the name of the object. The object name can be changed here.


Device Control Panels

Each device has a default control panel. The main device control panel is accessed by right clicking on the device (BLU-80, BLU-800, BLU-100 etc.) icon and selecting 'Show Default Control Panel'. These user panels contain settings that are related to the device, and are independent of any of the Configurations, although settings in these panels can be stored in Presets as with other settings. Controls from these panels can be used in custom control panels.

Image:BLU-80 control panel.jpg Image:BLU-32 control panel.jpg Image:BLU-16 control panel.jpg

The device default control panel displays the date and time, CPU and memory usage. CobraNet status information is provided for the BLU-80/BLU-800 and BLU-32/BLU-320 only as well as CobraNet DSP usage. AVB status information is provided for the BLU-805 and BLU-325 devices only. Dante status information is provided for the BLU-806 and BLU-326. The locate button when clicked will cause the blue LED around the physical locate button on the selected device to flash or in the case of the BLU-100, BLU-101 and BLU-102 the PWR LED on the front panel will flash. The control panel can also be used to set the front panel contrast and select 2-wire or 3-wire mode of operation for the control ports.

For the BLU-800/BLU-805/BLU-806, BLU-320/BLU-325/BLU-326, BLU-160, BLU-120, BLU-100, BLU-101 and BLU-102 models the default control panel also displays mastership priority, sync, link, valid, status, threshold and errors, see BLU link topic. These models (with the exception of the BLU-100, BLU-101 and BLU-102) additionally display the internal ambient temperature of the unit in degrees Centigrade and Fahrenheit and have a range from 0 to 85 degrees Celsius. It should be noted that the internal ambient temperature of the case is approximately 15 degrees Celsius above the room ambient, therefore an internal reading of 55 degrees C is outside of the specified ambient operating temperature range. The internal ambient temperature parameter can be used with a Logic Comparator to give an indication of when the internal temperature is above or below a certain value, just drag and drop onto a comparator. The raw value on the comparator is the internal temperature in degrees Celsius multiplied by 100 then converted into hexadecimal. Therefore to set a value for comparison: Value = Hex[Temperature for comparison x 100].

Other control panels within the device are accessible by double clicking on one of the input/output port representations (gold coloured blocks to the left and right of the device's Configuration Window, by default). A control panel is available for the BLU link inputs and outputs which shows audio signal metering and a further control panel is available for CobraNet bundles which show metering for the audio signal flows (when the meters have been switched on in device parameters) as well as whether audio is being received, no. of bundle dropouts and the transmit and receive bundle no.

Image:Cobranet tx panel.jpg

Image:Cobranet rx panel.jpg

Tip: hold down the alt key in design mode to get instant operational use of the controls.


Custom control panels

Custom control panels are where London Architect is perhaps at its most flexible. The designer can create many user defined control panels containing almost any control(s) available to the application. Further, custom defined controls can be created with the wide range of possible types of Control Panel Objects. London Architect also comes supplied with a range of bitmap controls and faders to apply to their functional counterparts Using the Gallery, Control Panels can be designed to look as desired and, can be branded with logos and special backgrounds as per the requirements of the client.

The provision of Windows system colours allows the designer to create custom panels that have colour areas that change depending on the PC's user colour theme.

Text strings can be created during a design, for instances where the same text may need to be applied many times.

Text styles similarly, are storable text properties, such as font type, size and colour. These can then be applied to text strings in the design to create a consistent look and feel for the panels, saving much time inputting different text properties.

Wave audio files that play on the PC can also be loaded into Architect to use as warning or indication noises on button pushes and control adjustments.

Creating Custom Control Panels

Custom Control Panel Pages


Control Panel Objects

Custom control panels can be populated with an assortment of different types of both active and passive objects. Active objects include user interactive buttons, faders, rotaries and combo boxes (amongst others) whilst passive objects include items like text boxes, frames, bitmap graphics and watermarks. Any control from any of the default control panels can also be included into a custom control panel adding up to a comprehensive range of control possibilities for the system.

Using Control panel objects

Most of the bespoke control panel objects can be found in the "New" menu when right clicking on a custom control panel layout.

Control panel objects include:

Analogue VU meter

Border

Combo Box

Compressor Control

CPU Chart

Edit Box

FDS Display

FDS Display Control

Frame

Graphic Button

Dual Graphic Button

Graphic EQ Display

Graphic Fader

Graphic Indicator

Graphic Meter

Graphic Rotary

Hyperlink

Limiter Control

Line

List Box

Matrix Mixer Control

Matrix Router Control

Multi Button

Multi Fader

Phone Number Edit

Note

Preset Selector

Radio List Box

Region Button

Region Button Meter

Region Meter

Spin Control (dec)

Spin Control (inc)

Tab Button

Text

Text Button

Text Indicator

Vector Button

Dual Vector Button

Vector Fader

Vector Meter

Vector Rotary

Watermark

Web Page

X-Y Control

General Properties

There are further objects available in the Gallery Tree under the "Controls" category. These include a selection of colour LEDs, a meter for use with CobraNet bundles and a wide range of switch designs. The Gallery tree also includes many improved graphics of faders and rotaries in the Bitmaps category that can be applied to their corresponding objects.


Analogue VU meter

Image:Analogue VU meter.jpg

The Analogue VU Meter will display the value of any control or indicator dragged onto it. The appearance of this object may be changed by adjusting the properties. Details of the control or indicator which the Analogue VU Meter represents are shown in controlled parameters.

Properties

Image:Analog VU properties.jpg

General Properties

Centre

Centers the scale text horizontally.

Show Scale

Shows the scale on the control.

Subrange

Reduces the range of the control within the Subrange Min and Max user settings.

Subrange Minimum

Sets the low limit for the control within the Subrange.

Subrange Maximum

Sets the high limit for the control within the Subrange.

User Value

Allows you to set your own values for the scale instead of the true values.

User Value Minimum

Set the minimum user value to a number between 0 and 1000.

User Value Maximum

Set the maximum user value to a number between 0 and 1000.

Tick Positions

Set the values at which to show ticks on the scale.

Mark Type

Sets the style of tick marks to be used on the scale. Choose between Line, Circle and None.

Colour

Sets the colour of the scale.

Font

Sets the font style to be used on the scale.

Major Tick Size

The size in pixels used for the major tick marks.

Minor Tick Size

The size in pixels used for the minor tick marks.

Scale Adjust

Adjusts the position of the scale relative to the control. (-256 to +256)

Gap Size

Gap size between text and tick marks.

Angle of Operation

Sets the Angular swing of the meter. (10 to 120)

Needle Colour

Sets the colour of the needle.

Width of Needle

Sets the width of the needle. (1 to 10)

Orientation

Sets the orientation of the meter. (up, down, left and right)

Start Angle of First Arc

Sets the start angle of the first arc.

Arc 1 Colour

Sets the colour of the first arc.

Start Angle of Second Arc

Sets the start angle of the second arc.

Arc 2 Colour

Sets the colour of the second arc.

Start Angle of Third Arc

Sets the start angle of the third arc.

Arc 3 Colour

Sets the colour of the third arc.


Border

Image:Border w handles.jpg

The Border object may be used to define separate areas within a custom control panel. The size and shape of the Border can be changed by moving the red handles which are shown when the Border object is selected. These turn points can be removed by left clicking on a handle whilst holding the shift key. Turn points may also be added by left clicking on a handle whilst holding the ctrl key, these will appear at a clockwise position from the selected handle.

Properties

General Properties

Round Edges

Switches between border rounding on and off to round the edges of the border.

Rounding Factor

Sets the size of the radius of the round edges. (1 to 16)

Width

Sets the border edge line width. (1 to 9)

Colour

Sets the border colour.

Close Border

Switches border type between open and closed. Closed connects the first and last point of the border. Open leaves a gap between the first and last pionts thus allowing for an open border or a 3 sided border.

Snap to Grid

Snaps the end points of the border to the grid.


Combo Box

Drag and drop any multi-state parameter onto the Combo Box for selection. Examples include the gain of an analogue input card (9 states) and a mute button (2 states). Use the properties to change the appearance of the combo box.

Properties

Image:combo box properties.jpg

General Properties

Use State Variable Name

When set to 'YES', the name of the controlled parameter, 'gain' say, will be displayed in the combo box instead of its value.

Display Shortened

If enabled, the units, e.g. dBu, will be removed from the value in the combo box.

Units

The units in which to display the value.

Frames Per Second

The number of frames per second for the frames unit.

Decimal Places

Where the value is a number, the number of decimal places can be selected between 0 and 5.

Alignment

The text can be alligned to the left, right or centre of the box.

Text Colour

Sets the colour of the text displayed in the combo box.

Background Colour

Sets the colour of the background in the combo box.

Border Colour

Sets the colour of the border around the combo box.

Font

Set the font, font style and size here.

Scroll Contents

Allows the text to scroll in the combo box when it does not fit.


Compressor Control

The Compressor Control provides a graphical interface for adjusting the threshold and ratio parameters of the compressor processing object.

Properties

Image:compressor control properties.jpg

General Properties

Fixed Grid

When set to yes the grid lines are a fixed distance apart. (in pixels)

X axis step

Sets the X axis steps. (in control's units)

Y axis step

Sets the Y axis steps. (in control's units)

Background Colour

Sets the colour of the control background.

Grid Colour

Sets the colour of the control grid.

Line Colour

Sets the colour of the control line. Shown above in blue.

Point Colour

Sets the colour of the point.

Label Colour

Sets the colour of the labels.

Target Colour

Sets the colour of the target.

Target Pressed Colour

Sets the colour of the target when pressed.


CPU Chart

Displays real-time performance or status of any assigned control or state variable; this includes the host processor and memory of a Soundweb London DSP unit.

The following Chart Types are available and should be set accordingly to the type of control or state variable assigned.....

CPU

  • Real-time performance indicator of the host processor.

Memory

  • Real-time performance indicator of the on board memory.

Timed

  • Real-time value indicator for controls such as faders and mute buttons.

On Change

  • On change value indicator for controls such as faders and mute buttons, displaying change only when they occur.

Properties

Image:cpu chart properties.jpg

General Properties

Chart Type

Sets the state variable to be charted.


Edit Box

The Edit Box is a read/write box. It will display the value of any parameter which has been dropped onto it from a control panel or from the design tree. Changing the value in the edit box will change the value of its associated parameter.

Properties

General Properties

Use State Variable Name

When set to 'YES', the name of the controlled parameter (e.g. 'gain') will be displayed in the edit box instead of its value.

Display Shortened

If enabled, the units (e.g. dBu) will be removed from the value in the edit box.

Units

The units in which to display the value.

Frames Per Second

The number of frames per second for the frames unit.

Decimal Places

Where the value is a number, the number of decimal places can be selected between 0 and 5.

Read Only

If enabled the control is read only

Alignment

The text can be alligned to the left, right or centre of the edit box.

Text Colour

Sets the colour of the text displayed in the edit box.

Fill Background

Fill the background of the edit box.

Background Colour

Sets the colour of the background in the edit box6

Show Border

Show a border round the edit box.

Border Colour

Sets the colour of the border around the edit box.

Font

Set the font, font style and size here.

Scroll Contents

Allows the text to scroll in the edit box when it does not fit.


FDS Display

The FDS Display can be assigned a text string from the gallery to be used in a custom control panel by a simple drag and drop process.

Properties

Image:fds display properties.jpg

General Properties

Pixel Size

Sets the displayed font pixel size.

Background Colour

Sets the background colour of the display.

Text Colour

Sets the colour of the text displayed.

Horizontal Alignment

Sets the position from left to right for the text displayed.

Vertical Alignment

Sets the position from top to bottom for the text displayed.

Use 7 by 5 style

Sets the style of the text to 7 by 5 when set to Yes.


FDS Display Control

Image:FDS display control.jpg

The FDS Display Control is primarily used within the default control panel of the speaker management product, to display the currently loaded program. It may also be used to display control values including a gain value or mute state, assigned by a drag and drop from either a default control panel or the design tree.

Properties

Image:fds display control properties.jpg

General Properties

Use State Variable Name

When set to Yes displays the name of the state variable.

Display Shortened

When set to Yes the state variable vaule will be shortened.

Pixel Size

Sets the text pixel size within the display.

Background Colour

Sets the background colour in the display.

Text Colour

Sets the text colour in the display.

Horizontal Alignment

Sets the position from left to right for the text within the display area.

Vertical Alignment

Sets the position from top to bottom for the text within the display area.

Use 7 by 5 style

When set to Yes will display the text in 7 by 5 font type.


Frame

The Frame is a graphical object used to create different colored backdrops within the main view, configuration window or custom control panels. These can be joined together to create more complex shapes and are often used in conjunction with a border.

Properties

General Properties

Lock Object

With this set to Yes, the frame cannot be moved.

Show Object Name

When set to Yes displays the object name.

Object Name

Sets the name of the object.

Type

Sets the border style.

Frame Size

Sets the frame size for Raised, Sunken and Etched frame types.

Frame Position

Sets the position with a Tab frame type.

Colour

Sets the colour of the frame background.

Fill Type

Sets the way in which the frame background is filled. This can either be a solid colour or can graduate between the Colour and Second Colour.

Second Colour

The second colour used with gradient Fill Types.


Graphic Button

A fully customisable button which can be associated with any two-state audio or logic object such as a mute or a logic source. Drag and drop the control you wish to associate from the design tree onto the graphic button. The Graphic Button can be customised with up to four bitmaps from the Gallery (just drag and drop) to reference the four states: 'Not pressed, off', 'Not pressed, on', 'Pressed, off' and 'Pressed, on'. A 'Wave file' can also be assigned to give an audible indication when the button is 'on', again, just drag and drop from the Gallery.

Properties

General Properties

Stop Sound on Off

Turns sound off when in the Off state.

On Value

The value to use when on.

Tri-State

Enable this to allow parameters with three values to act as a tri-state on/off.

Flash On

If enabled, flashes the indicator when the parameter is On

Type

The type of button. Normal, momentary, latching or timed.

Inverse

When set to Yes will inverse the operation of the momentary button.

Switch State on Button Down

Switches the state of the button as soon as the mouse button is pressed down.

Timeout (multiples of 100ms)

Sets the time between current state and switched state.

Read Only (Indicator)

When set to Yes will ignore button clicks so the button acts more like an indicator.

Disable Wipe

When set to Yes, wipe will be disabled.

Bump percent

The amount to bump up or down as a percentage of the parameter range.

Text Colour

Select the colour of the text on the button.

Primary Text

Primary text to display on top of the button.

Secondary Text

Secondary text to display on top of the button.

Primary Text Style

The font of the primary text.

Secondary Text Style

The font of the secondary text.

Gap

The size of the gap between primary and secondary text.

Offset

The vertical offset of the text within the button.


Dual Graphic Button

The Dual graphic button is like a combined Graphic Button and Graphic Indicator. Drag and drop the controls you wish to associate from the design tree onto the dual graphic button. When a control is dropped onto it a dialogue box will pop up which allows you to select which parameter to control i.e. indicator or button.

Properties

General Properties

Stop Sound on Off

Turns sound off when in the Off state.

Override On Value

If enabled you can override the On value, otherwise On equals the maximum value.

On Value

The value to use when on.

Tri-State

Enable this to allow parameters with three values to act as a tri-state on/off.

Flash On

If enabled, flashes the indicator when the parameter is On

Type

The type of button. Normal, momentary, latching or timed.

Inverse

When set to Yes will inverse the operation of the momentary button.

Switch State on Button Down

Switches the state of the button as soon as the mouse button is pressed down.

Text Colour

Select the colour of the text on the button.

Primary Text

Primary text to display on top of the button.

Secondary Text

Secondary text to display on top of the button.

Primary Text Style

The font of the primary text.

Secondary Text Style

The font of the secondary text.

Gap

The size of the gap between primary and secondary text.

Offset

The vertical offset of the text within the button.


Graphic EQ Display

Image:Graphic eq display.jpg

This is a fully customisable Graphic EQ display. The Graphic EQ Display can be referenced to an existing Graphic EQ processing object by dragging and dropping it from the design pane. Alternatively, individual faders can be placed on the EQ display from one or a number of graphic EQs.

When dropping a parameter onto the display you will be prompted to select which parameter in the control you wish to assign i.e. Filter 01 to Filter 30. To view the effect of Bypass or Selectivity on the Graphic EQ Display, they must be dragged onto the object to provide visual feedback.

The appearance of the display can also be customised by dragging and dropping colours from the gallery. When doing this you will be prompted as to what you want to asssign the colour to i.e. background colour, grid colour, border colour, border text colour, node colour or line colour.

Properties

Image:graphic eq display properties.jpg

General Properties

Show Grid

When set to Yes the grid will be visible in operate mode.

Show Scale

When set to Yes the scale wil be visible in operate mode.

Override Y Range

When set to Yes allows the "Y" range to be increased.

Override Min Y

Sets the "Y" override minimum size.

Override Max Y

Sets the "Y" override maximum size.

Show all filters

When set to Yes, all curves in the EQ display will be shown.


Graphic Fader

A fully customisable fader which can be associated with any fader or rotary from an audio processing object by dragging and dropping the associated control from the design pane or control panel. The appearance of the fader can be changed through the properties and also by dragging and dropping colours and images onto it from the gallery pane.

Properties

General Properties

Read Only

If enabled, the control will be read only

Scale Position

Sets the position of the scale relative to the control.

Centre

Centers the the scale text horizontally.

Show Scale

When set to Yes the scale will be shown on the control.

Subrange

Sets a range within which the fader will have control.

Subrange Minimum

Sets the lower limit within the subrange.

Subrange Maximum

Sets the upper limit within the subrange.

User Value

When set to Yes allows the user to replace true values with a user defined set of values. It will normally be necessary to set the 'Tick Positions' after setting this property to yes.

User Value Minimum

Sets the lower limit of the User Value.

User Value Maximum

Sets the uper limit of the User Value.

Inverse Scale

Reverses the direction of the displayed scale.

Tick Positions

Sets the value at which to show tick marks on the scale.

Marks Type

Sets the tick mark type between line, circle and none.

Show Tick Labels

Switches visible tick marks on and off.

Colour

Sets the colour of the tick marks.

Font

Sets the font to be used for tick marks.

Major Tick Size

Sets the size in pixels for the major tick marks.

Minor Tick Size

Sets the size in pixels for the minor tick marks.

Scale Adjust

Adjusts the scale position relative to the control.

Gap Size

Sets the gap space between the text and the tick marks.

Use Stepping

When set to Yes allows users to increase and decrease the control value by clicking above or below the trolley.

Horizontal

Allows the user to change the fader between horizontol and vertical travel.

Trolley Alignment

Adjusts the alignment of the trolley within the control slot.

Resize Slot

When set to Yes the fader cap image will scale with the control.


Graphic Indicator

The Graphic Indicator can be referenced to any two-state audio or logic object such as a mute or a logic source. Drag and drop the control you wish to associate from the design pane or the default control panel onto the graphic indicator. The two states of the Graphic Indicator, on image and off image, can be customised using bitmaps from the Gallery. A wave file can be triggered when in the "On" state by dragging it onto the indicator from the gallery.

Properties

General Properties

Stop Sound on Off

Sound will be terminated when in the off state.

On Value

The value to be used as On.

Tri-State

Enable this to allow parameters with three values to act as a tri-state on/off.

Flash On

If enabled, flashes the indicator when the parameter is On


Graphic Meter

A fully customisable meter which can be associated with any meter from any default control panel. The meter is split into a maximum of eight stages, each of which can comprise of up to fifty steps. Each stage can be customized with a bitmap from the Gallery.

Properties

Image:graphic meter properties.jpg

General Properties

Scale Position

Sets the position of the scale relative to the control.

Centre

Centers the scale text horizontally.

Show Scale

Shows the scale on the control.

Subrange

Sets a range within which the fader will have control.

Subrange Minimum

Sets the lower limit for the subrange value.

Subrange Maximum

Sets the upper limit for the subrange value.

User Value

When set to Yes will use a user given value in place of the true values in the visible scale.

User Value Minimum

Sets the lower limit for the user defined values.

User Value Maximum

Sets the upper limit for the user defined values.

Inverse Scale

When set to Yes reverses the travel of the meter scale.

Tick Position

Defines the values at which to show tick marks on the scale.

Marks Type

Sets the mark type to be used on the scale. Circle, line or none.

Show Tick Labels

Shows or hides the value labels on the scale.

Colour

Sets the colour of the scale.

font

Sets the font type visible on the scale.

Major Tick Size

Sets the size in pixels of the major tick marks.

Minor Tick Size

Sets the size in pixels of the minor tick marks.

Scale Adjust

Sets the position of the scale relative to the control.

Gap Size

Sets the gap size between the text and the tick marks.

Steps in Stages 1-8

Sets the number of steps to be used in each section of the meter travel.

Horizontal

Switches the meter between horizontal and vertical travel.

Gap

Sets the gap between meter images.

Mode

Switches between normal and advanced mode on the meter.

Advanced Setup

Enabled when 'Advanced Mode' is selected. Clicking on the button to edit launches a dialog where the meter LED colours may be selected.

See BLU-8 or BLU-8v2 for an example of a practical application of this advanced setup feature.


Graphic Rotary

A fully customisable rotary control which can be associated with any fader or rotary from an audio processing object. The appearance of the Graphic Rotary can be customised with bitmaps from the Gallery.

Properties

General Properties

Read Only

If enabled, control will be read only

Scale Position

Sets the position of the scale relative to the control.

Show Scale

Shows the scale on the control.

Subrange

Reduces the range of the control.

Subrange Minimum

Sets the lower limit for the subrange value.

Subrange Maximum

Sets the upper limit for the subrange value.

User Value

When set to Yes will use a user given value in place of the true values in the visible scale.

User Value Minimum

Sets the lower limit for the user defined values.

Inverse Scale

When set to Yes reverses the travel of the meter scale.

Tick Position

Defines the values at which to show tick marks on the scale.

Marks Type

Sets the mark type to be used on the scale. Circle, line or none.

Show Tick Labels

Shows or hides the value labels on the scale.

Colour

Sets the colour of the scale.

font

Sets the font type visible on the scale.

Major Tick Size

Sets the size in pixels of the major tick marks.

Minor Tick Size

Sets the size in pixels of the minor tick marks.

Scale Adjust

Sets the position of the scale relative to the control.

Gap Size

Sets the gap size between the text and the tick marks.

Minimum Angle of Operation

Sets the angle of the rotary when at the minimum value.

Maximum Angle of Operation

Sets the angle of the rotary when at the maximum value.

Sensitivity

Sets the sensativity of the control. Higher numbers require greater movement to affect a change.

Resize Control

When set to yes, the control will resize with the box.

Opacity

Sets the opacity of the control.


Hyperlink

Use the hyperlink on a control panel to link to a web page or a custom or default control panel from within your design. Either enter the URL in the properties or drag the control panel to link to from the design pane.

Properties

General Properties

Stop Sound on Off

Sets sound to be terminated when in the Off state.

On Value

Sets the value to be used as the On state.

Underline

This allows you to set if and how the hyperlink should be underlined.

Text

Enter the text to be displayed on the hyperlink here.

URL

Enter the network address for the hyperlink to connect to here


Limiter Control

The limiter control will give a graphical representation and allow control of any two parameters which are associated with it. Drag and drop the parameter to control, either from the design pane or from its control panel.

Properties

Image:limiter control properties.jpg

General Properties

Background Colour

Sets the colour of the control background.

Grid Colour

Sets the colour of the control grid.

Line Colour

Sets the line colour.

Point Colour

Sets the point colour.

Label Colour

Sets the colour of the labels on the scale.

Target Colour

Sets the target colour.

Target Presses Colour

Sets the colour of the target when pressed.


Line

Image:Line with handles.jpg

The Line object may be used to define separate areas within a custom control panel. The size and position of the Line can be changed by moving the red handles which are shown when the Line object is selected. Turn points may be added by left clicking on a handle whilst holding the ctrl key, these will appear at a clockwise position from the selected handle. These turn points can also be removed by left clicking on a handle whilst holding the shift key.

Properties

General Properties

Width

Set the thickness of the line here.

Colour

Sets the colour of the line.

Opacity

Sets the line colour opacity.

Close Border

Closes the gap between the first and last points.

Snap To Grid

When set to 'yes' the endpoints of the line always snap to the grid. When set to 'no' the ends of the line can be placed anywhere on the control panel.

Join Type

The type of line join to apply. Miter, bevel, round or miter clipped.

Start Cap

Defines what the begning of the line will look like.

End Cap

Defines what the end of the line will look like.

Line Style

Sets the line type to be displayed. Solid, dash, dot, dash dot, or dash dot dot.

Smooth Edges

Set to 'yes' when the line is not perfectly horizontal or vertical, to smooth it out.


List Box

The list box is a drop down selector which can be placed on a custom control panel. It will display all of the values of any single parameter which has been dropped onto it from a control panel or from the design tree e.g. a source selector, analogue input gain, mute button or slope from a parametric EQ. Selecting a value from the list box will select that value of its associated parameter.

Properties

Image:list box properties.jpg

General Properties

Use State Variable Name When set to Yes displays the name of the state variable.

Display Shortened When set to Yes will shorten the displayed value.

Units Unit of display used for the value.

Frames Per Second Sets the number of frames per second for the frames unit.

Decimal Places Sets the number of decimal places to show when appropriate.

Alignment Sets the text position from left to right within the text field.

Text Colour Sets the colour of the displayed text.

Background Colour Sets the background colour of the list box.

Border Colour Sets the border colour of the list box.

Font Sets the font within the list box.

Scroll Contents When set to Yes will scroll the contents of the list box shoud the text be larger than the display field.

Custom Entries Sets the text to be displayed.


Matrix Mixer Control

Image:Matrix mixer control.jpg

The Matrix Mixer Control is a fully customisable matrix which can be populated with crosspoints and gain controls from single or multiple matrix routers.

On/Off crosspoints and gain controls from a Matrix Mixer are added to the Matrix Mixer Control by dragging them from the Design Pane. The input to output route can be selected from the dialog box which appears. Up to 96 inputs and outputs are available. Please note that a control will not appear until both the gain and on/off crosspoint have been assigned.

The appearance of the Matrix Router Control can be customised from the Properties Pane and, by dragging colours, bitmaps and text sytles from the Gallery Pane.

Properties

Image:matrix mixer control properties.jpg

General Properties

Crosspoint Size

Sets the size of each crosspoint. The first number (width) sets the horizontal matrix boxes and the second number (height) sets the vertical matrix boxes.

Crosspoint Border

Sets the space between one crosspoint and the next one on the active control panel.

Input Label Height

Sets the hight of the input (horizontal) labels.

Output Label Width

Sets the width of the output (vertical) labels.

Label Separation

Sets the space between labels and crosspoints.

Show Overview

Sets overview on and off.

Overview Pixel Separation

Sets the space between pixels on the overview representing crosspoints.

Inputs In Use

Edit this property to set which inputs are available for use from those assigned to the control.

Outputs In Use

Edit this property to set which outputs are available for use from those assigned to the control.

Input Labels

Edit this property to set the labels required for the inputs.

Output Labels

Edit this property to set the labels required for the outputs.

Hide Cursor

Allows the user to hide the cursor when changing the gain.

Gain Sensativity

Sets the sensativity of the mouse when changing gain.


Matrix Router Control

Image:Matrix router control.jpg

The Matrix Router Control is a fully customisable matrix which can be populated with crosspoints from single or multiple matrix routers.

On/Off crosspoints from a Matrix Router are added to the Matrix Router Control by dragging them from the Design Pane. The input to output route can be selected from the dialog box which appears. Up to 96 inputs and outputs are available.

The appearance of the Matrix Router Control can be customised from the Properties Pane and by dragging colours, bitmaps and text sytles from the Gallery Pane.

Properties

Image:matrix router control properties.jpg

General Properties

Crosspoint Size

Sets the size of each crosspoint. The first number (width) sets the horizontal matrix boxes and the second number (height) sets the vertical matrix boxes.

Crosspoint Border

Sets the space between one crosspoint and the next one on the active control panel.

Input Label Height

Sets the hight of the input (horizontal) labels.

Output Label Width

Sets the width of the output (vertical) labels.

Label Separation

Sets the space between labels and crosspoints.

Show Overview

Sets overview on and off.

Overview Pixel Separation

Sets the space between pixels on the overview representing crosspoints.

Inputs In Use

Edit this property to set which inputs are available for use from those assigned to the control.

Outputs In Use

Edit this property to set which outputs are available for use from those assigned to the control.

Input Labels

Edit this property to set the labels required for the inputs.

Output Labels

Edit this property to set the labels required for the outputs.


Multi Button

Multiple parameters can be assigned to this single read/write control button by dragging them on to it. When the indicator is not shown the button will send all on or all off to the assigned buttons depending upon the setting of the trigger value.

An indicator can be set to be on when any one of the buttons is on (or off), or when all of the buttons are on (or off). Alternatively, the indicator can also be set to be on when a set of logic conditions has been met . Settings in the properties will determine how this button can operate.

The appearance of the button can be customised by dragging and dropping from the gallery pane.

Properties

Image:multi button properties.jpg

General Properties

Orientation

Sets the orientation of the text within the button.

Show Indicator

Sets the button indicator on or off.

Indicator Colour

Sets the indicator colour should it be shown.

Indicator On Using

The conditions under which the indicator will be displayed, i.e. when one button is on, when all buttons are on or when the parameters assigned to this control are in the state set by the logic string. This option will be greyed out if Show Indicator is set to No.

Trigger Value

The value to set when the button is pressed.

Logic String

Sets a defined logic string to be sent to control the assigned parameters when the button is pressed. Also the indicator will come on when the parameters assigned to this control are in the state set by the logic string. The logic string is delimited by commas. It is set in the format: parameter1 off, parameter1 on, parameter2 off, parameter2 on and so on. So a string of 0,1,0,1 will set parameters 1 and 2 to the on state. This option is only available with Indicator On Using set to Logic.


Multi Fader

A customisable fader which can be referenced to multiple faders or rotaries from audio processing objects by dragging and dropping the associated controls from the design pane or control panel. Adjusting the fader will then operate all of the controls associated to it. Any offsets between controls are preserved. The appearance of the fader can be changed through the properties and also by dragging and dropping colours onto it from the gallery pane.

Properties

Image:multi fader properties_2.jpg

General Properties

Read Only

If enabled, the control will be read only

Scale Position

Sets the position of the scale relative to the control.

Centre

Centers the the scale text horizontally.

Show Scale

When set to Yes the scale will be shown on the control.

Subrange

Sets a range within which the fade will have control.

Subrange Minimum

Sets the lower limit within the subrange.

Subrange Maximum

Sets the upper limit within the subrange.

User Value

When set to Yes allows the user to replace true values with a user defined set of values. It will normally be necessary to set the 'Tick Positions' after setting this property to yes.

User Value Minimum

Sets the lower limit of the User Value.

User Value Maximum

Sets the uper limit of the User Value.

Inverse Scale

Reverses the direction of the displayed scale.

Tick Positions

Sets the value at which to show tick marks on the scale.

Marks Type

Sets the tick mark type between line, circle and none.

Show Tick Labels

Switches visible tick marks on and off.

Colour

Sets the colour of the tick marks.

Font

Sets the font to be used for tick marks.

Major Tick Size

Sets the size in pixels for the major tick marks.

Minor Tick Size

Sets the size in pixels for the minor tick marks.

Scale Adjust

Adjusts the scale position relative to the control.

Gap Size

Sets the gap space between the text and the tick marks.

Trolley Colour

Sets the colour of the fader trolley.


Note

The Note Object is used to add notes to the layout window, configuration window or custom control panels. The note can be written or read by clicking on the tag at the top left corner.

Properties

General Properties

Lock Object

With this set to Yes, the Note cannot be moved.

Show Object Name

When set to Yes the object name is displayed.

Object Name

Sets the name of the object.

Note Name

This is the text that will appear on the note view.

Show Name

Set to Yes for the note name to be visible in the note view.

Vertical Scroll

Puts a vertical scroll bar on the note section for longer notes.

Text Style

Change the text font, style, and colour for the note name here.

Note Colour

Sets the backbround colour of the note.

Note View Colour

Sets the background colour of the note view.

Note Text Colour

Sets the colour of the text on the note view.

Tag Colour

Sets the colour of the tab to the top left of the note view.

Opacity

Sets the opacity of the note text window when open. This allows background objects to be visible through the note if required.


Phone Number Edit

The Phone Number Edit is a read/write box. It is used on control panels for speed dialing using the hybrid card. Drag a speed dial from the design tree and drop it onto the control. You will then be presented with a dialog which allows you to select which part of the phone number (up to 4 parts) you want to place in the edit box. For the phone number edit to function correctly you must assign all 4 parts from the corresponding parts of a speed dial number.

Properties

General Properties

Use State Variable Name

When set to 'YES', the name of the controlled parameter (e.g. 'gain') will be displayed in the edit box instead of its value.

Display Shortened

If enabled, the units (e.g. dBu) will be removed from the value in the edit box.

Units

The units in which to display the value.

Frames Per Second

The number of frames per second for the frames unit.

Decimal Places

Where the value is a number, the number of decimal places can be selected between 0 and 5.

Read Only

If enabled, the control is read only.

Alignment

The text can be aligned to the left, right or centre of the edit box.

Text Colour

Sets the colour of the text displayed in the edit box.

Background Colour

Sets the colour of the background in the edit box.

Border Colour

Sets the colour of the border around the edit box.

Font

Set the font, font style and size here.

Scroll Contents

Allows the text to scroll in the edit box when it does not fit.


Preset Selector

The Preset Selector is a customizable drop down box which can be populated with parameter presets and/or venue presets. Drag and drop individual preset states from the design pane on to the Preset Selector. Other processing object parameters can also be dropped onto the Preset Selector for selection. When recalled, they will be set to their off state or lowest value e.g. OFF for a phantom power switch or a mute and -inf for a fader.

The appearance of this control can be changed by dragging and dropping colours from the gallery pane.

Properties

Image:preset selector properties.jpg

General Properties

Use State Variable Name

Turns the state variable name display on and off.

Display Shortened

If set to Yes the state variable name will be shortened.

Units

Sets the units with which to display the value.

Frames Per Second

Sets the number of frames per second for the frames unit.

Decimal Places

Sets the number of decimal places to display when appropriate.

Activate On Selection Change

When set to 'Yes', the preset will be activated immediately upon selection. When set to 'No', the preset will not be activated until it is selected and then the arrow to the right is pressed.


Radio List Box

Image:Radio list box.jpg

A Radio List Box can be used to display a custom control panel to the forefront of the application. Multiple custom control panels can be assigned to the Edit Box by dragging and dropping from the Design pane.

The appearance of the list box can be changed in its properties.

Properties

Image:radio list box properties.jpg

General Properties

Use State Variable Name

Turns the state variable name display on and off.

Display Shortened

If set to Yes the state variable name will be shortened.

Units

Sets the units with which to display the value.

Frames Per Second

Sets the number of frames per second for the frames unit.

Decimal Places

Sets the number of decimal places to display when appropriate.

Alignment

Sets the alignment of the text from left to right within the text box.

Text Colour

Sets the colour of the text within the text box.

Background Colour

Sets the list box background colour.

Border Colour

Sets the border colour.

Font

Sets the font type displayed in the list box.

Scroll Contents

When set to Yes will scroll the text content within the list box if it does not fit.


Region Button

The Region Button may be associated with any two-state audio or logic object such as a mute button or a logic source. Drag and drop the control you wish to associate from a control panel or the design pane on to the Region Button. The size and shape of the Region Button can be changed by moving the red handles which are shown when the object is selected. These turn points can be removed by left clicking on a handle whilst holding the shift key. Turn points may also be added by left clicking on a handle whilst holding the ctrl key, these will appear at a clockwise position from the selected handle.

The operation and appearance of the Region Button can be customized from the properties pane, for example the object can be set as a read/write button or as an indicator. A 'Wave file' can also be assigned from the Gallery to give an audible indication when the Region Button is 'on'.

Properties

General Properties

Stop Sound on Off

Terminates sound when in the Off state.

Override On Value

If enabled you can override the On value, othrwise On equals the maximum value.

On Value

Sets the value to be considered as On.

Tri-State

Enable this to allow parameters with three values to act as a tri-state on/off.

Flash On

If enabled, flashes the indicator when the parameter is On.

Type

Sets the type of button to be used. Normal, latching, momentary or timed.

Inverse

Reverses the operation of the button.

Switch State on Button Down

When set to Yes switches the state of the button as soon as the mouse button is pressed.

Timeout (multiples of 100ms)

Sets the delay time before the button changes state.

Read Only (Indicator)

When set to Yes the button will ignore button clicks and act as an indicator only.

Disable Wipe

When set to Yes, wipe will be disabled.

Bump Percent

The amount to bump up or down as a percentage of the parameter range.

Off Colour

Sets the display colour when the button is in the Off state.

Off Opacity

Sets the opacity of the button in the Off state.

On Colour

Sets the display colour when the button is in the On state.

On Opacity

Sets the opacity of the button in the On state.

Snap To Grid

When set to Yes, changes to the size of the button will snap to the nearest grid size.

Show Outline

When set to Yes, the button background will not be visible in design mode.


Region Button Meter

The Region Button Meter can act as a Region Button and a Region Meter. When a control is dropped onto the Region Button Meter a dialogue box will appear which allows you to select which parameter to control. For example, the region button meter can display values as colours like a region meter and act as a toggle switch like a region button.

The size and shape of the Region Meter can be changed by moving the red handles which are shown when the object is selected. These turn points can be removed by left clicking on a handle whilst holding the shift key. Turn points may also be added by left clicking on a handle whilst holding the ctrl key, these will appear at a clockwise position from the selected handle.

The colour for each binary value of the Region Button Meter can be customized from the properties pane along with the on / off opacity value.

Properties

Image:region button meter properties.jpg

General Properties

Stop Sound on Off

Terminates sound when in the Off state.

Override On Value

Changes on value from control default.

On Value

Sets the value to be considered as On.

Type

Sets the type of button to be used. Normal, latching, momentary or timed.

Inverse

Reverses the operation of the button.

Switch State on Button Down

When set to Yes switches the state of the button as soon as the mouse button is pressed.

Timeout (multiples of 100ms)

Sets the delay time before the button changes state.

Read Only (Indicator)

When set to Yes the button will ignore button clicks and act as an indicator only.

Disable Wipe

When set to Yes, wipe will be disabled.

Off Opacity

Sets the opacity of the button in the Off state.

On Opacity

Sets the opacity of the button in the On state.

Snap To Grid

When set to Yes, changes to the size of the button will snap to the nearest grid size.

Show Outline

When set to Yes, the button background will not be visible in design mode.

Colour 0 Through 63

Sets the colour to be displayed when the value is equal to the colour value 0-63.


Region Meter

The Region Meter is primarily used with a Logic End to provide a visual representation of up to 64 binary values, each of which can have can have a unique colour assigned to it.

Drag and drop the control or indicator you wish to associate from a control panel or the design pane on to the Region Meter. The size and shape of the Region Meter can be changed by moving the red handles which are shown when the object is selected. These turn points can be removed by left clicking on a handle whilst holding the shift key. Turn points may also be added by left clicking on a handle whilst holding the ctrl key, these will appear at a clockwise position from the selected handle.

The colour for each binary value of the Region Meter can be customized from the properties pane along with the on / off opacity value.

Properties

Image:region meter properties.jpg

General Properties

Off Opacity

Sets the opacity in the Off state.

On Opacity

Sets the opacity in the On state.

Snap To Grid

When set to Yes, changes to the size of the meter will snap to the nearest grid size.

Show Outline

When set to Yes, the meter background will not be visible in design mode.

Colour 0 Through 63

Sets the colour to be displayed when the value is equal to the colour value 0-63.


Spin Control (dec)

Image:Spin control (dec).jpg

The Spin Control (dec) is a resizable, momentary button used to decrement the value of a continuous control.

Drag and drop control parameters such as faders and rotaries onto the Spin Control (dec) from the Design Pane or a control panel. If a button is associated with the Spin Control (dec) then it will respond by setting the button to 'off' when clicked.

Properties

Image:spin control dec properties.jpg

General Properties

Multiplier

This affects the rate of acceleration. Higher values will give a greater acceleration when the spin control is held down.

Acceleration Type

The acceleration type to use. 'None' will give a slow steady change in value with no acceleration when the spin control is held down. 'Normal' will set the default, there will be an acceleration until the control is released or the parameter reaches its lowest value. If 'Value' is selected then when the spin control is held down the parameter will accelerate towards the set value and then slow down as it approaches it.

Value

This is the value that the parameter will accelerate towards when 'Acceleration type' is set to 'Value'.

Icon Type

The icon on the spin control can be set to display a down, up left or right arrow.


Spin Control (inc)

Image:Spin control (inc).jpg

The Spin Control (inc) is a resizable, momentary button used to increment the value of a continuous control.

Drag and drop control parameters such as faders and rotaries onto the Spin Control (inc) from the Design Pane or a control panel. If a button is associated with the Spin Control (inc) then it will respond by setting the button to 'on' when clicked.

Properties

Image:spin control inc properties.jpg

General Properties

Multiplier

This affects the rate of acceleration. Higher values will give a greater acceleration when the spin control is held down.

Acceleration Type

The acceleration type to use. 'None' will give a slow steady change in value with no acceleration when the spin control is held down. 'Normal' will set the default, there will be an acceleration until the control is released or the parameter reaches its highest value. If 'Value' is selected then when the spin control is held down the parameter will accelerate towards the set value and then slow down as it approaches it.

Value

This is the value that the parameter will accelerate towards when 'Acceleration type' is set to 'Value'.

Icon Type

The icon on the spin control can be set to display a down, up left or right arrow.


Tab Button

A Tab Button can be used to open default control panels, custom control panels and pages. Clicking on the tab button will cause its associated control panel or page to open.

Place the tab button on a custom control panel then drag any custom or default control panel page onto it from the Design Pane.

The Tab Button is resizable and can be customised from the Properties Pane. Colours, text strings and text styles can be dragged onto the button from the Gallery Pane.

Properties

Image:tab button properties.jpg

General Properties

Show Frame

Switches between frame and risen button types.

Orientation

Switches between border above and below the button.


Text

The Text object is used to add text to the layout window, configuration window or custom control panels. The properties for the Text Object can be set to adjust the visual impact of the text as listed below.

Properties

General Properties

Lock Object

With this set to Yes, the text cannot be moved.

Show Object Name

When set to yes displays the object name.

Object Name

Sets the name of the object.

Horizontal Alignment

Sets the horizontal position of the text within the text object box.

Vertical Alignment

Sets the vertical position of the text within the text object box.

Rotation

Sets the angle of the text relative to the text box. This can be set for 0, 90, 180 or 270 degrees of rotation.

Text

Click on the edit button to enter the text.

Text Colour

Sets the colour of the text in the text object.

Fill Background

Turns on the background colour.

Background Colour

Sets the background colour for the text object.

Text Style

Sets the font, style, size and colour of the text withing the text object.

Scroll Contents

Horizontally scrolls the contents of the text object when it is in a custom control panel.


Text Button

The Text Button is a customizable two-state button which displays text and an optional indicator. Drag and drop the control or indicator you wish to associate from a control panel or the Design Pane onto the Text Button.

In addition to parameters within the Properties pane the appearance of the Text Button can be customized by assigning colours and text styles from the Gallery. A 'Wave file' can also be assigned from the Gallery to give an audible indication when the button is 'on'.

Properties

General Properties

Stop Sound on Off

When set to 'YES' the sound will be terminated when in the 'off' state.

Override On Value

If enabled, the 'On Value' can be overridden. Otherwise, 'On' equals the maximum value

On Value

Sets the value to be considered as On, i.e. when set to 'Off', the indicator will show an 'off' state when the button is 'on' and vice versa.

Tri-State

Enable this to allow parameters with three values to act as a tri-state on/off.

Flash On

If enabled, flashes the indicator when the parameter is On.

Type

Sets the type of button to be used. Normal, latching, momentary or timed.

Inverse

Used with momentary buttons only. When set to 'Yes', the operation of the button will be the inverse of normal operation. So if in normal operation the button state is 'off' while it is held down, it will instead be set to 'on' while it is held down.

Switch State on Button Down

When set to Yes switches the state of the button as soon as the mouse button is pressed down. In normal operation the state of the button does not change until the mouse button is released.

Timeout (multiples of 100ms)

Used with timed buttons only. Sets the time that the button will remain in its changed state before reverting back to its 'normal' state.

Read Only (Indicator)

When set to Yes the button will ignore button clicks and act as an indicator only.

Disable Wipe

Wipe can be enabled for all control objects using the General tab of the File Preferences dialog. It is used to quickly change the state of a group of control objects. When enabled, a group of control objects can have their states easily changed by clicking on the first object and then dragging the mouse over the others.

When set to Yes, wipe will be disabled for this object.

Bump Percent

The amount to bump up or down as a percentage of the parameter range.

Orientation

Sets the orientation of the button. Left to Right, Top to Bottom or Bottom to Top.

Use Parameter Name

Set to Shortened or Full to override the text in the button to that of the name of the parameter being controlled.

If set to Shortened, a shortened version of the parameter name will be used. This is useful for Parameter Presets.

If set to Full, the full parameter name will be used.

Show Indicator

When set to Yes the (light) indicator will be displayed on the button.

Show Border

Displays a 3D style border on the button

Text

Enter any text to be displayed on the button here.

Text Style

The font of the text.


Text Indicator

The Text Indicator is a customizable object that can be referenced to any two-state or continuous control.

Drag and drop the desired parameter onto the Text Indicator from either the Design Pane or a control panel. When the associated parameter is active the indicator will display the text which has been entered in the properties.

Properties

Image:text indicator properties.jpg

General Properties

Stop Sound on Off

Terminates sound when in the Off state.

On Value

Sets the value to be considered as On. For example, if the associated parameter is a mute and this property is set to off, the effect will be that when the mute on the control panel is 'off' then the actual mute will be 'on'.

Horizontal Alignment

Sets the horizontal position of the text within the indicator boundary.

Vertical Alignment

Sets the vertical position of the text within the indicator boundary.

Rotation

Sets the rotation of the text within the indicator boundary.

Text

Sets the text to be displayed when the associated parameter is active.

Text Colour

Sets the text colour.

Fill Background

Sets background fill on or off.

Background Colour

Sets the colour of the background when fill is on.

Text Style

Sets the font style for the text.

Scroll Contents

When set to 'Yes' the text contents of the indicator will scroll within the indicator box.

Block Mouse

When set to 'Yes' will block the mouse messages from passing through the indicator when the indicator is on.


Vector Button

The Vector Button may be associated with any two-state audio or logic object such as a mute button or a logic source. Drag and drop the control you wish to associate from a control panel or the design pane on to the Vector Button.

In addition to parameters within the Properties pane the appearance of the Vector Button can be customized by assigning bitmaps and colours from the Gallery. A 'Wave file' can also be assigned from the Gallery to give an audible indication when the button is 'on'.

Properties

General Properties

Stop Sound on Off

Turns sound off when in the Off state.

On Value

The value to use when on e.g. muted or un-muted.

Tri-State

Enable this to allow parameters with three values to act as a tri-state on/off.

Flash On

If enabled, flashes the indicator when the parameter is On

Type

The type of button. Normal, momentary, latching or timed.

Inverse

This only affects 'momentary' buttons. When set to 'Yes' the button will be normally 'off' and momentarily comes on when it is pressed. In normal operation it will be normally 'on' and will go off momentarilly when the button is pressed.

Switch State on Button Down

When set to 'Yes', the state of the button changes as soon as the mouse button is pressed down. In normal operation, the state of the button does not change until it is released.

Timeout (multiples of 100ms)

Sets the time between current state and switched state.

Read Only (Indicator)

When set to Yes the button becomes read only and acts as an indicator.

Disable Wipe

When set to Yes, wipe will be disabled.

Bump Percent

The amount to bump up or down as a percentage of the parameter range.

Indicator Colour

Sets the colour of the indicator within the button.

Button Colour

Sets the colour of the button.

Shape

Sets the shape of the button. Circle or square.

Border Size

Sets the size of the border around the indicator.


Dual Vector Button

The Dual Vector Button is like a Vector Button combined with an indicator in much the same way as the Dual Graphic Button. It may be associated with any two-state audio or logic object such as a mute button or a logic source. Drag and drop the controls you wish to associate from a control panel or the design tree on to the Dual Vector Button. When a control is dropped onto it a dialogue box will pop up which allows you to select which parameter to control i.e. indicator or button

In addition to parameters within the Properties pane, the appearance of the Dual Vector Button can be customized by assigning bitmaps and colours from the Gallery. A 'Wave file' can also be assigned from the Gallery to give an audible indication when the button is 'on'.

Properties

General Properties

Stop Sound on Off

Turns sound off when in the Off state.

Override On Value

If enabled you can override the On value, otherwise On equals the maximum value.

On Value

The value to use when on e.g. muted or unmuted.

Tri-State

Enable this to allow parameters with three values to act as a tri-state on/off.

Flash On

If enabled, flashes the indicator when the parameter is On

Type

The type of button. Normal, momentary, latching or timed.

Inverse

This only affects 'momentary' buttons. When set to 'Yes' the button will be normally 'off' and momentarily comes on when it is pressed. In normal operation it will be normally 'on' and will go off momentarilly when the button is pressed.

Switch State on Button Down

When set to 'Yes', the state of the button changes as soon as the mouse button is pressed down. In normal operation, the state of the button does not change until it is released.

Indicator Colour

Sets the colour of the indicator within the button.

Button Colour

Sets the colour of the button.

Shape

Sets the shape of the button. Circle or square.

Border Size

Sets the size of the border around the indicator.


Vector Fader

The Vector Fader is a customizable fader which can be associated with any fader or rotary from an audio processing object by dragging and dropping the associated control from the Design pane or control panel.

The appearance of the Vector Fader can be changed through the Properties pane and by dragging and dropping colours from the Gallery pane.

Properties

Image:vector fader properties_2.jpg

General Properties

Read Only

If enabled, the control will be read only

Scale Position

Sets the position of the scale relative to the control.

Centre

Centers the the scale text horizontally.

Show Scale

When set to Yes the scale will be shown on the control.

Subrange

Sets a range within which the fader will have control.

Subrange Minimum

Sets the lower limit within the subrange.

Subrange Maximum

Sets the upper limit within the subrange.

User Value

When set to Yes allows the user to replace true values with a user defined set of values. It will normally be necessary to edit the 'Tick Positions' after setting this property to yes.

User Value Minimum

Sets the lower limit of the User Value.

User Value Maximum

Sets the uper limit of the User Value.

Inverse Scale

Reverses the direction of the displayed scale.

Tick Positions

Sets the value at which to show tick marks on the scale.

Marks Type

Allows you to change the appearance of the tick marks. Choose between none, line or circle.

Show Tick Labels

Switches visible tick marks on and off.

Colour

Sets the colour of the tick marks.

Font

Sets the font to be used for tick marks.

Major Tick Size

Sets the size in pixels for the major tick marks.

Minor Tick Size

Sets the size in pixels for the minor tick marks.

Scale Adjust

Adjusts the scale position relative to the control.

Gap Size

Sets the gap space between the text and the tick marks.

Use Stepping

When set to Yes allows users to increase and decrease the control value by clicking above or below the trolley rather than dragging it.

Horizontal

Allows the user to change the fader between horizontal and vertical travel.

Trolley Alignment

Adjusts the alignment of the trolley within the control slot.

Trolley Size

Sets the size of the fader cap.


Vector Meter

The Vector Meter can be associated with any meter, fader or rotary to give an indication of its value or position by dragging and dropping from a control panel or the Design pane. Up to 4 stages each with up to 1000 steps can be displayed on the meter. The appearance and function can be customized in the Properties pane.

Properties

Image:vector meter properties.jpg

General Properties

Scale Position

Sets the position of the scale relative to the control.

Centre

Centers the scale text horizontally.

Show Scale

Shows the scale on the control.

Subrange

Sets a range within which the fader will have control.

Subrange Minimum

Sets the lower limit for the subrange value.

Subrange Maximum

Sets the upper limit for the subrange value.

User Value

When set to Yes will use a user given value in place of the true values in the visible scale. It will normally be necessary to edit the 'Tick Positions' after setting this property to yes.

User Value Minimum

Sets the lower limit for the user defined values.

User Value Maximum

Sets the upper limit for the user defined values.

Inverse Scale

When set to Yes reverses the travel of the meter scale.

Tick Position

Defines the values at which to show tick marks on the scale.

Marks Type

Sets the mark type to be used on the scale. Circle, line or none.

Show Tick Labels

Shows or hides the value labels on the scale.

Colour

Sets the colour of the scale.

font

Sets the font type visible on the scale.

Major Tick Size

Sets the size in pixels of the major tick marks.

Minor Tick Size

Sets the size in pixels of the minor tick marks.

Scale Adjust

Sets the position of the scale relative to the control.

Gap Size

Sets the gap size between the text and the tick marks.

Stage 1 through 4 Colour

Sets the colour of each step within stages 1 through 4.

Stage 1 through 4 Steps

Sets the number of steps within the each of segments 1 through 4.

Gradual Shade

Sets gradual shading for the indicators on or off.


Vector Rotary

The Vector Rotary can be referenced to any fader or rotary from an audio processing object by dragging and dropping the associated control from the Design pane or control panel.

The appearance of the Vector Rotary can be changed through the Properties pane and by dragging and dropping colours and images onto it from the Gallery pane.

Properties

Image:vector rotary properties_2.jpg

General Properties

Read Only

If enabled, control will be read only

Scale Position

Sets the position of the scale relative to the control.

Centre

Centers the scale text horizontally.

Show Scale

Shows the scale on the control.

Subrange

Sets a range within which the rotary will have control.

Subrange Minimum

Sets the lower limit for the subrange value.

Subrange Maximum

Sets the upper limit for the subrange value.

User Value

When set to Yes will use a user given value in place of the true values in the visible scale. It will normally be necessary to edit the 'Tick Positions' after setting this property to yes.

User Value Minimum

Sets the lower limit for the user defined values.

User Value Maximum

Sets the upper limit for the user defined values.

Inverse Scale

When set to Yes reverses the travel of the meter scale.

Tick Position

Defines the values at which to show tick marks on the scale.

Marks Type

Allows you to change the appearance of the tick marks. Choose between none, line or circle.

Show Tick Labels

Shows or hides the value labels on the scale.

Colour

Sets the colour of the scale.

Font

Sets the font type visible on the scale.

Major Tick Size

Sets the size in pixels of the major tick marks.

Minor Tick Size

Sets the size in pixels of the minor tick marks.

Scale Adjust

Sets the position of the scale relative to the control.

Gap Size

Sets the gap size between the text and the tick marks.

Minimum Angle of Operation

Sets the angle of the rotary when at the minimum value.

Maximum Angle of Operation

Sets the angle of the rotary when at the maximum value.

Sensitivity

Sets the sensitivity of the control. Higher numbers require greater movement to affect a change.

Rotary Colour

Sets the colour of the rotary knob.

Line Colour

Sets the colour of the marker line on the rotary knob. Only used when a background image is used.

Line Radius

Sets the line radius.

Line Width

Sets the line width.

Background Image Offset

Sets the offset of the background image within the control.


Watermark

The Watermark Object is used to add a watermark to the layout window, configuration window or custom control panels. A watermark is created by dropping a bitmap from the gallery, a company logo for example, on to the watermark frame. Select the watermark and click on the Gallery Menu to add the watermark to the gallery. This can now be dropped onto a custom control panel by holding CTRL whilst dragging it from the gallery onto the panel. Right clicking on the watermark in the gallery and selecting "Make Default Background" will make the watermark the default for all further new control panels.

Properties

General Properties

Lock Object

With this set to Yes, the object cannot be moved.

Show Object Name

When set to yes displays the object name.

Object Name

Sets the name of the object.

Transparent Background

Turns the background colour on and off.

Background Colour

Sets a background colour for the watermark object.

Vertical Alignment

Sets the vertical position of the bitmap within the watermark objects borders. Choose between top, centre and bottom.

Horizontal Alignment

Sets the horizontal position of the bitmap within the watermark objects borders. Choose between left, centre and right.

Image Repeat

If set, the bitmap image within the watermark will repeat in the direction selected starting at the vertical and horizontal alignment point.


Web Page

The Web Page allows access to internet web sites from within a custom control panel of London Architect. It can also provide an interface to control and monitor IP devices and their administration pages by entering the devices IP address in place of a URL. This includes IP cameras, managed switches, routers and wireless access points.

Properties

Image:web page properties.jpg

General Properties

Web Page

The address of the web site to be displayed in the Web Page.

Show Navigation Buttons

When set to Yes, the navigation bar will be displayed at the top of the Web Page.


X-Y Control

The X-Y Control can be used to operate two parameters at once within a custom control panel. For example you could place a gain control and a frequency control by dragging either from the control panel or the Design Pane. The X-Y control would then allow access to the gain control, frequency control or combination of both at the same time.

Properties

Image:xy control properties.jpg

General Properties

Fixed Grid

When set to Yes, the the grid lines will be a fixed distance apart (in pixels).

X axis steps

The number of X axis steps (in control units).

Y axis steps

The number of Y axis steps (in control units).

Background Colour

Sets the control background colour.

Grid Colour

Sets the control grid colour.

Line Colour

Sets the control line colour.

Point Colour

Sets the control point colour.

Label Colour

Sets the control label colour.

Target Colour

Sets the control target colour.

Target Pressed Colour

Sets the control target colour when pressed.


Control objects general properties

Each of the control panel objects has a set of 'General Properties' as shown below:

Image:Control object properties.jpg

Visible - Set to 'No' for the object to be greyed out.

Lock Object - Set to yes to lock the object. It can then no longer be selected and so it is therefore not possible to carry out any operations on it such as moving or deleting it. To select a locked object, hold CTRL + SHIFT whilst selecting.

Show Object Name - Set to Yes to display the object name.

Object Name - Sets the name of the object. The object name can be changed here.


General Properties

Every Signal Processing Object and every Logic Object has a set of 'General Properties' as shown below:

Show Object Type

Set to Yes to display the object type e.g. gain, compressor, logic end etc.

Show Object Name

Set to Yes to display the object name.

Object Name

Sets the name of the object. In the example above the object name is L1, which can be changed in the properties.

HiQnet Address

Unique address for each processing object


Links

Overview

A link describes the exact or offset virtual association that can be made between two or more similar controls. A typical example would be the grouping of two faders in order to produce a stereo gain control. It is possible to create a link using any controls, found on any control panel (including Logic Object control panels), as long as they operate in the same manner. For example, a link cannot be created between a mute control and a gain control. A link can also further describe the virtual association created between certain control panel objects and certain logic objects.

About links

When a link is created, hierarchical entries are added to the Design Tree, inside the Links folder. One entry is inside the links folder of the design tree and will display what device the link resides in. Another entry can be found in the Devices\Links folder of any device where a link resides. The entry can be named, modified or deleted at any point. If this entry is selected, the controls that form part of the link will be highlighted by a green border, making their identification easy. These controls are also displayed when the entry is expanded to reveal its branches. Each branch will show the name of the control and the processing object from which it derives.

Moving a link

When a link is created it specifically exists in one of the devices in the design and so if that device is not online the link will not work. The link entry in the design tree states which device the link exists in e.g. Link 1 [BLU-80]. By right clicking on the link in the design tree you have the option to move it to another device in the design. When you do this you will be presented with a dialog which lists every device in the design for you to select from. Once you have moved the link you will see that the device name for the link in the design tree has changed accordingly. You will also see that the link is now listed in the folder for the device where it resides.

Creating a link between Control Panel controls

A link is created by selecting a multiple number of controls and choosing Link Controls from the Panels menu. Alternatively, right-clicking one of the selected controls will bring up a pop-up menu in which the Link Controls and other Panel menu commands can be found. A dialog box appears prompting for a name and a link type. Clicking on 'OK' will establish the link and create its corresponding entry in the Design Tree. Expanding the link entry will reveal below it the controls that are associated with the link.

Types of links

Exact - All controls will track together at identical values, regardless of which control is operated.

Soft - All controls will track together with any offset values that existed before the link was enabled

Radio (inter-cancelling) - Allows only one control to be 'on' at one time. (does not apply to faders or rotaries)

Radio with off (inter-cancelling with cancelling) - Allows only one control to be 'on' at one time and allows the control to be set to 'off' (does not apply to faders or rotaries)

Adding to existing links

Once a link entry exists in the Design Tree, additional controls may be associated with the link at any time. Simply click and drag the link entry from the Design Tree onto the control you wish to add. A green border will appear around the control to confirm that this link is allowed. Alternatively, click and drag the control onto the link's entry in the Design Tree.

Empty links

An alternative method for producing a link is to create the link entry first and then associate controls with it afterwards. From the Panel menu select 'Create Empty Link' and a dialog box appears prompting for a name and a link type. Clicking on 'OK' will create an empty link in the Design Tree with which controls can be associated, using the methods described above. It is not possible to drag a logic object directly into an empty link.

Removing controls from a link

Any control can be disassociated from an existing link if it needs to revert to operating independently. Select the control you wish to remove from the link and then choose the Remove Control From Link command in the Panel menu. Alternatively, right-clicking the selected control will bring up a pop-up menu in which the Remove Control From Link command can be found. It is also possible to disassociate a control from a link by deleting its entry in the Design Tree. Controls associated with a link can be revealed by expanding the link entry. Right-clicking any of the controls will display the Remove From Link command.

Creating a link toggle button

Once a link has been made, it may be necessary during use to temporarily disable it. Every link entry in the Design Tree may have a toggling button associated with it, positioned onto a custom control panel.

To create a link toggle button, simply click and drag the link entry from the Design Tree onto a custom control panel. A vector button will appear in a link enabled state. Operate this button to disable or enable the link.

Creating a link with logic objects

It is possible to form a link between certain logic objects and a variety of Control Panel controls. The logic objects that can be part of a link are Logic Source, Logic End and Logic Comparator. To create this type of link simply drag a control from a Control Panel onto the desired logic object in the logic configuration page.

The link entries appear in the design tree in the LINKS folder and also in the DEVICES folder. At this point, the entries can be renamed with more descriptive names.

Notes

Nesting links is not possible in London Architect.

Deleting a link toggle button does not delete the link entry.

It is highly recommended that suitably descriptive names be given to links as they are created.


Collaborating with HiQnet System Architect

HiQnet London Architect and HiQnet System Architect can operate together when running on the same PC and in the same OS. It is possible for HiQnet London Architect to control other HiQnet parameters and HiQnet System Architect to control Soundweb London parameters.

To enable both applications to operate together on the same PC you must:

1. Enable network sharing with System Architect in the HiQnet tab of the Application Preferences in HiQnet London Architect.

2. In System Architect click on the HiQnet icon at the top left of the screen, click 'Options'. When the 'Options' dialog opens select Network Settings then check the box 'Share computer with other HiQnet applications'.

Controlling Soundweb London Parameters in HiQnet System Architect

It is now possible to export most Soundweb London parameters and import them in to HiQnet System Architect for control. Parameters of the BLU-8, BLU-8v2 and BLU-10 are not supported. HiQnet System Architect does not support any configuration of Soundweb London devices.

It is recommended that before proceeding with the exporting of parameters to HiQnet System Architect, your Soundweb London design should be complete and loaded on to your devices. Changing the Soundweb London design once you have started exporting could lead to issues such as parameters not working in HiQnet System Architect.

The following steps describe how to export a Soundweb London parameter and import it into HiQnet System Architect for control:-

1. Launch HiQnet System Architect and HiQnet London Architect.

2. Navigate to the control panel in HiQnet London Architect which contains the parameter you wish to control.

3. Right-click the control, and select 'Export to Clipboard'.

4. Switch to HiQnet System Architect, and open a custom control panel.

5. There are 2 ways in which you can associate the exported parameter with a control in HiQnet System Architect. Either select and place a control on a control panel and then import from the clipboard or import directly from the clipboard onto a suitable control. The 2 methods are described below, first right click in the custom control panel, then either

  • Select Insert then Controls, select the control you want. This will be placed on the panel. Right click on the control and Import from clipboard.

or

  • Select Import from clipboard as, select the control you want. HiQnet System Architect will create the control and assign the parameter which you just exported from LA to the clipboard.

6. At this point, if the Soundweb London device is not already in your venue view, it will be added.

When you run the control panel, changes made to the parameter will be reflected in HiQnet London Architect.

Important Considerations and Limitations

- If you make any changes to your Soundweb London design which requires devices to be reloaded, you will need to de-activate the network and re-activate it in HiQnet System Architect. You will then be prompted for parameter synchronization.

- HiQnet System Architect only supports control of the parameters imported. It does not support any configuration of the Soundweb London devices, nor does it support recalling of Soundweb London Presets.

- Parameters in Soundweb London configurations which are not active will still be accessible by HiQnet System Architect, however, changing the values in HiQnet System Architect will have no effect on the parameter in the device. The parameter in HiQnet System Architect will remain out of sync from the Soundweb London device until the configuration becomes active and the parameter value is changed.

- When controlling linked parameters, the response may be slow and the linked parameters may not update in a timely manner.

- When parameter synchronizing to Soundweb London devices, please ignore the reference to presets on the Parameter Synchronization dialog.

- If the HiQnet node address of a Soundweb London device changes, all parameters from that device need to be imported again. If you are presented with the dialog asking if you would like to keep the node address of the device on the network, you should select 'No'. This ensures that the device on the network keeps the node address as defined in the design file and means any exported parameters will continue to function.

Exporting device files to System Architect

An entire device or even multiple devices can now be exported from London Architect for use within HiQnet System Architect.

To export a single device or multiple devices, simply select then right click on the device(s) in your design or make the selection from the Object Menu then select 'Export to System Architect device file'.

When exporting devices you will be presented with the following dialog:

Browse to the location to store the files.

Select from the two options

Device file for loading devices on the venue view

The file will be saved as "Object Name.device" ready to load onto devices on the System Architect Venue View.

Device file for use in unpacked venue file

The file will be saved as "Object Name HiQnet Node Address.device", use the device file in an unpacked Venue File.

For more information on configuring and control of HiQnet System Architect you should refer to the HiQnet System Architect help file.


Working with the hardware system

Operating the controls

Locating Individual Hardware processors

Online Mode

Matching Devices with the Design file

Connecting to the hardware

Use of Presets


Operating the controls

To use the control panels set up in your design, the software system has to be put into Operate mode. The design can be operated in simulation mode independently of the external hardware. This is useful for setting system parameters and testing the overall operation of the Control Panels. Once online the control panels should be ready for use and interactive with the hardware, i.e. affecting the signals - when passed through the system. Meters will show audio levels where appropriate and, the presence of signal will be shown through Configuration wiring when the mouse pointer is placed over them.

Operate mode is engaged automatically when going online to the devices and will be switched back off when going back offline.


Locating individual hardware processors

Soundweb London processor units include a neat locate capability that allows particular devices to be found easily both on the network and manually. Each BLU processor has a large 'Locate' button on its front panel and a smaller illuminated button on the back panel. These buttons work in tandem and, when one is pressed both will light up enabling easy identification of the unit when racked up with others. This is great in fault finding situations where it would normally be difficult to see which unit is required.

This functionality is extended to the Architect software where it is found in the Network window toolbar. Select the unit to be found in the Ethernet list of devices and press the circular blue 'Locate' icon to identify the device. The corresponding front panel Locate button will light up with a circular display of blue lights and the rear Locate button will also illuminate. You do not need to be online to the network for this to work.


Online mode

Once a hardware connection has been made to the external network of devices the design file can be put online to communicate directly with those devices. In online mode the design file is also switched into operate mode in order to start using controls immediately.

To go online either, press the 'Online' button on the bottom status bar (a green indicator with a tick shows that operate mode is engaged) or, use the Run command in the System menu and toolbar. The system can be 'Stopped' or 'Disconnected' from the network using the requisite commands in these menus.

o A warning dialog will appear if any of the required devices are missing on the network; this shows a list of the objects that should be connected up.

o When online to devices on the network, they will display an icon over their device in the layout window indicating which devices have been found and are online.

o The Open from device network option in the File menu enables the capability of downloading the current set up in the devices on the network to the design file. The design must have been previously saved to the network to facilitate this. This is a new feature in Architect implemented due to customer requests.


Matching Devices with the Design file

A new feature of London Architect is its ability to match the design file with the devices found on the network. This can be useful in several ways, for example, if an existing design needs expansion through the addition of further devices, and these are already installed in the equipment rack, the new units can be identified by Architect and added into the layout for configuration. Even the PC that is being used to communicate to the unit(s) via Ethernet can be auto-created into the layout.

This functionality is achieved in the Network Window by pressing the ‘Auto-create design devices’ button in this window’s specific toolbar (1st button). The Autocreate Devices dialogue will appear; this is split into two sections - 'Devices to match up' and 'Devices to create', also known as the Match list and Create list. The top area is then subdivided between devices that are in the design and those found on the network. Any devices that are not assigned to specific tasks already will be seen on the network and can be put into the Create list, either manually or automatically, depending on the setting of the drop down box between the two lists.


Connecting to the hardware

Connecting the PC to the hardware via Ethernet allows the uploading of the system design, revision of the firmware operating system for connected devices and real time control of parameters and routings within the DSP Soundweb London devices.

It should be ensured that the Soundweb London devices have been installed in their equipment racks, and that the connections between them are the same as in your system design.

PC connection via Ethernet

The PC must have an Ethernet connection (100BT, RJ45 connection) to be connected to the network on which the London Devices reside. Connect using either a CAT-5 crossover cable, or straight through cable if going via a network switch. The "˜Ethernet" RJ45 rear mounted control port is used for this purpose (not the CobraNet ports).

See the tutorial Connecting to a Soundweb London network for further information.


Use of Presets

London Architect has a comprehensive preset capability relating to the recall of system parameters and configurations. With the possible options available to the designer to create custom control for the system the preset use had to be flexible enough to incorporate almost any possibility. Basically the designer can decide which parameters should be chosen to have their values stored for later recall. These sets of parameters (Parameter Preset Groups), and a collection of their values (Parameter Presets), can be recalled system wide.

Venue Presets extend the functionality by allowing change of device configurations (via Device Presets), recalling of multiple Parameter Presets, and even recalling programs in Crown devices.

In this way everything from a single button's on/off state to a system using maybe hundreds of settings and controls can be accommodated.

Parameter Preset Groups

Parameter Presets

Device Presets

Venue Presets

Stored Parameter Value Editor

Building Presets Quick Start

For example, you may want to have a group of audio channels muted in a mixer as a default and then be able to immediately switch all, or some, of these back on to pass audio. To do this find and select all the controls (mutes) on the relevant control panel(s), and save this as a Parameter Preset Group by using the option to "Create new Parameter Preset Group" in the right click menu whilst clicking on one of the selected objects.

Now, using the quick Operate mode (holding down the Alt key) mute the channels (lights on), release the Alt key (as you cannot store a preset in Operate mode) and press the "Add Parameter Preset" button on the preset toolbar (to the right of the second drop down box). Name the preset, eg "Muted" and next press the "Store Parameter Preset" button on the toolbar; this stores the control settings into the "Muted" preset.

You can now alter the controls to un-mute the required channels (use the quick Operate again) and then create a second Parameter Preset, e.g. "Un-Muted", and store this state into it.

If you now select the "Muted" Parameter Preset from the second drop down list in the toolbar and press the "Recall Parameter Preset" button you should see that the mute buttons now light up.

NB: Be careful not to press the store button, instead of the recall, as this will overwrite the preset.


Parameter Preset Groups

Parameter Preset Groups are user selected groups of parameters for use with Parameter Presets.

A Parameter Preset Group is a collection of parameters. Parameters from various processing objects and devices can be included in the same group. Parameter Preset Groups can be created either by right clicking on a processing object (e.g. a gain), or a control panel object (e.g. a fader), and selecting New Parameter Preset Group. Alternatively, a group of parameters can be selected from a custom control panel and by right clicking on the selection, a new Parameter Preset Group can be created which contains the selected objects. Further parameters can be added to a group at a later time by using the Add to Parameter Preset Group selection from the right click menu. When using this menu option, a dialog appears with a list of all existing Parameter Preset Groups. Parameters can be added to a group in this way, thus building up a Parameter Preset Group containing the relevant parameters and no others.

Parameter Preset Groups can be created, renamed or deleted by using the Preset Toolbar.

Click on the 'New Parameter Preset Group' button and enter a useful name for the group, e.g. "Audio Volumes". Parameters can be added to the group later.

If you attempt to add a parameter to a group and it has already been assigned to that group then a dialogue will warn that the operation cannot be completed because these parameters are already included in the group.

Parameter Preset Groups appear in the Design tree in the 'Presetsâ' folder. Dragging a group onto a control panel will create a preset selector on the control panel which allows selection of the parameter presets within that group. Dragging a Parameter Preset onto a control panel will create a preset recall button.

To check the contents of a group use the Stored Parameter Value Editor found on the Preset toolbar. The device which has controls stored in the Parameter Preset Group will be shown in the left hand pane. Open up the tree and you will see a list of the names of all the processing objects which have parameters included in the group. Clicking on a processing object from this list will display its parameters which are included in the group and their preset values in the right hand pane. The preset values can also be changed here.

//]]> //]]>


Parameter Presets

A Parameter Preset stores a set of fixed parameter values for later recall. The parameters which can be included in the preset must first of all exist within a Parameter Preset Group. When a preset is stored, it is the values of the parameters within its group which are stored for later recall.

Parameter Presets can be recalled manually from the drop down list in the Presets toolbar or by using the logic Preset Trigger or logic Preset Table. Alternatively, drag the parameter preset button from the Design Tree and drop it onto a control port or a custom control panel to recall the preset. Parameter presets can also be used as part of a Device or Venue Preset

To add a Parameter Preset to a Parameter Preset Group, press the "Add Parameter Preset" button on the Preset Toolbar. Give the preset a name (relating to its function) and it will then appear in the drop down list of Parameter Presets (second drop down box).

To assign values to the selected parameters, use the quick Operate mode (hold down the Alt key in a control panel) and adjust the controls to the required values. Now, let go of the Alt key (as the settings cannot be stored in Operate mode). These values can now be saved using the "Store Parameter Preset" button from the Preset toolbar.

Once presets are assigned they appear in the Design Tree under the Presets folder. The presets are shown within their Parameter Preset Group.

To check the values stored within a Parameter Preset use the Stored Parameter Value Editor found on the Preset toolbar.


Device Presets

This is a recall for all settings relating to a particular device. This includes the configuration of that device, its associated processing set up and parameter values. A Device Preset is analogous to a Program for an FDS series box.

Device Presets are created by selecting a device in the Main design window and either right clicking on it and selecting "Edit Device Presets" or using the Edit menu>Edit Device Presets option.

The Device Preset window will appear. Here Device Presets can be created, stored, recalled, renamed and deleted. Use the "New" button to create a preset and give it a name relating to its function. The preset will need to have the device's settings stored into it to be any use, press the store button to add all the values for all its parameters.

To change the values of the device to the required settings use the "Edit Values" button to open the Stored Parameter Value Editor. The device will be shown in the left hand pane and there should be entries for the I/O card hardware settings, configurations and control panels included in these configurations.

Several presets of differing values will be needed to make changes possible.


Venue Presets

Recalls settings for the whole system. This includes selected (or all) devices, their Device Presets and Parameter Presets for selected Parameter Preset Groups. Venue Presets are useful for system wide changes in set up across multiple boxes.

To create a Venue Preset press the red 'V' button in the Preset toolbar. This opens the Venue Preset window where these presets can be created, configured, renamed, recalled and deleted.

Start a Venue Preset by pressing the 'New' button. You are then prompted to type a name, use something that describes the purpose of the preset, e.g. for a stadium, 'Pitch set up' and 'Track set up'. Continue with the 'Next' button where you can now select which devices you want to change settings in.

The following screen allows you to select Device Presets to recall when the Venue Preset is selected; click in the Device Presets boxes to engage drop down lists of any pre-stored Device Presets. If the current set up of the devices is what you want to go with then use the 'Snapshot' facility to create Device Presets automatically.

Next a list of pre-configured Parameter Preset Groups can be selected for use with Parameter Presets (in the next screen along if ticked here) to further change settings.

Note that if the required settings have been achieved through a Device Preset selection earlier then there may be no need to use these groups of settings. Conversely, if the Device Presets are not configured, i.e. left blank, then the Venue Preset can be used to exclusively change certain parameters based on predetermined control groups using Parameter Presets.

Device Presets are perhaps better for easy box based overall changes that might include Configuration changes or other hardware settings that cannot be accessed through Parameter Presets. Parameter Presets are better for more focused actions within certain devices.

The final screen shows a summary of the setting that has been created for the Venue Preset; check this carefully to make sure that the preset will have the desired result. You can go back through all the settings to change assignments as necessary. The 'Finish' button in this screen closes the window and returns back to the Venue Presets window.

The settings for a Venue Preset can be edited at any time by clicking on the Venue Preset name in the list and pressing the 'Configure' button, this runs through the process described above again.

Venue Preset recall and the HiQnet Node object

Venue Preset recall is part of the HiQnet protocol and its functionality is available on all HiQnet devices. In a Soundweb London system, Venue Presets can be triggered from a PC running HiQnet London Architect software and/or from a BLU network device. This section will deal with Venue Preset recall from a BLU network device.

By default, a BLU network device sends the Venue Recall command (across the Ethernet Control network) to all the BLU network devices and Crown PIP modules in the design file. This functionality can be extended to other HiQnet network devices by adding the HiQnet Node object to your design, solely for the purpose of recalling Venue Presets from a BLU network device.

Preparing Venue Presets

  • The Venue Presets must exist inside your non-Soundweb HiQnet device. They must be created and loaded into the device using System Architect

  • Equivalent Venue Presets must be created in London Architect. Each Venue Preset will be assigned an ID number incrementally, starting from ID 1. If a Venue Preset is deleted, its ID will be released and used for the next Venue Preset created.

Adding and setting up a HiQnet Node device

  • Drag the HiQnet Node object from the Hardware View onto the Main window. Alternatively the object can be added by right-clicking and selecting it from the drop-down context menu.

  • In the Properties, enter the HiQnet Node address of the device.

  • Go online and load the design into the BLU devices.

The HiQnet Node address of the non-Soundweb device will now respond to a Venue Preset recall from the BLU network device. The Venue Preset can be triggered by using a logic circuit, network wall controller, Control Input ports or 3rd party Serial controller. (eg: AMX, Crestron)

When going online, a BLU network device (except the BLU-8) will hold a list of HiQnet node addresses of the network devices in the design. The Venue Recall messages will continue to be sent to those devices until they are removed from the list. To stop the BLU network device sending Venue Preset recall messages to the HiQnet devices represented by the HiQnet Node objects, follow the procedure below.

Removing a HiQnet Node device and stopping the Venue Recalls

  • Delete the HiQnet Node object from the design

  • Go online

  • Power cycle the BLU network device


Stored Parameter Value Editor

The settings saved into any Preset, up to the Venue Preset, can be reviewed and edited by using the Stored Parameter Value Editor. This is accessed by pressing the button next to the 'V' for Venue Presets on the Preset toolbar or, in the case of a Device Preset by pressing the 'Edit values' button in its set up window.

The values for the particular parameters, shown in the right hand pane, can be edited and updated here live into a Parameter or Device Preset, i.e. they are stored immediately. However, control settings changed here will not be affected until the Parameter Preset is recalled using the toolbar button once the Value Editor is closed.


External Control Options

Soundweb London Control Options

BLU-10 Programming and Operation

BLU-8 Programming and Operation

BLU-8 V2 Programming and Operation

Crown Control


Soundweb London Control Options

Even when the PC is disconnected from the Soundweb system, it is still possible to adjust audio settings and activate Presets using:

  • Switches and knobs hard wired to the control inputs.

  • The Soundweb BLU-10 network remote control panel.

  • The Soundweb BLU-8 programmable wall controller

  • The Soundweb BLU-8 V2 programmable wall controller

  • Proprietary control systems such as AMX and Crestron.

BLU-80/BLU-800/BLU-100 Series - Control Inputs and Logic Outputs introduction

A Soundweb system can be controlled and monitored without an ' online' PC using devices connected to the 'control inputs' and 'logic outputs'. A switch or potentiometer, e.g. BLU-3 selector wall plate connected to a control input, can do anything that could be done with a switch, fader or rotary knob on a control panel in the Architect software.

A Soundweb London BLU-80 / BLU-800 series has a set of 12 control inputs, 6 logic outputs and an opto-isolator circuit. These are pins as part of a 24 way connector at the rear of the device (the other pins are common/ground or reference for completing circuits).

BLU-GPX - Control Inputs and Logic Outputs introduction

A Soundweb London BLU-GPX can be controlled and monitored without an 'online' PC using devices connected to the 'control inputs', 'logic outputs' and ‘Relay Outputs’. A switch or potentiometer, e.g. BLU-3 selector wall plate connected to a control input, can do anything that could be done with a switch, fader or rotary knob on a control panel in the London Architect software.

The BLU-GPX has a set of 36 control inputs, 23 logic outputs, 8 relay outputs and an opto-isolator circuit. These are pins as part of 12, 12-pin connectors at the rear of the device (the other pins are common/ground or reference for completing circuits).

See Also

Control Inputs

Logic Outputs

Relay Outputs

Watchdog output

Assigning Control Ports


Control Inputs

BLU-80/BLU-800/BLU-100 Series

The control input connectors on the back of a BLU-80, BLU-800 or BLU-100 series processor device have two common (C) connections to the left of the control inputs and two software assignable reference voltage outputs (R) to the right. The control inputs have two modes of operation '2-wire' and '3-wire'.

3 wire mode can be enabled in the Properties for a compatible hardware device under the Parameters \ General section. It can also be enabled using the Control Port 3-Wire Mode Enabled button on the device's Default Control Panel.

GPX

The control input connectors on the back of a BLU-GPX series processor device have common (C) connections, and software assignable reference voltage outputs (R).

The control inputs also have two modes of operation '2-wire' and '3-wire'.

3 wire mode can be enabled from using the Control Port 3-Wire Mode Enabled button on the device's Default Control Panel. Each bank of control inputs (1..8, 9..22, 23..36) can be enabled independently.

Control Input operation

Assigning Control Ports

2-wire mode

3-wire mode


2-wire mode

In this mode, the control inputs are internally 'pulled up' to +5V DC via a 4.7kOhm resistor. Therefore, no external voltage source is needed to create contact closure to ground (for switches such as mute buttons) or resistance to ground (for other multi-state or continuous controls such as Parameter Presets or faders).

BLU-80/BLU-800/BLU-100 Series

The diagram below shows connections for an external switch, resistor ladder and potentiometer. Two 'common' ground connections are provided using the 2 'C' pins to the left of the control inputs.

Table of resistor values for use with Parameter Presets or source selectors.

A 47kOhm-log potentiometer connected between a control input and common will allow parameters to be controlled linearly.


3-wire mode

This mode allows the use of linear pots or faders for continuous controls. A pot would be wired as a potential divider with the top of the track connected to the reference output (R), the wiper to a control input and the bottom of the track to the common (C). For good performance pots with track resistance between 10K and 100K are recommended.

BLU-80/BLU-800/BLU-100 Series

3 wire mode can be enabled in the Properties for a compatible hardware device under the Parameters \ General section. It can also be enabled using the Control Port 3-Wire Mode Enabled button on the device's Default Control Panel.

BLU-GPX

3 wire mode can be enabled using the Control Port 3-Wire Mode Enabled button on the device's Default Control Panel. Each bank of control inputs (1..8, 9..22, 23..36) can be enabled independently.


Logic Outputs

An LED control is the typical object that is assigned to a logic output.

The logic outputs can be used to drive indicators or third party devices. For example Logic Outputs can trigger infra-red commands (to control DVD players etc) or power relays to turn other equipment on or off. The logic output can source 10mA, and sink 60mA.

  • Current source:

This is intended for LEDs. The unit can supply up to 10.5mA at around 5V. An LED can be connected directly without the need for a current limit resistor. When assigning the Control or LED to the port in London Architect, set the control port for normal mode.

  • Current sink:

This is intended for relays and higher power devices. The unit can sink up to 60mA from an external supply. If more current is driven into the port, the control port automatically decreases its ability to sink current, protecting the circuitry. As there is hysteresis within this circuit, the full sink capability will not return until current is decreased to below 60mA. When assigning the Control or LED to the port in London Architect, set the control port for inverted mode.

See Also

Assigning Control Ports

Assignment of Logic Outputs is similar to assigning control inputs.

When assigning this object to the control port, a dialog will ask if you want the action to be:

  • Normal (Control or LED in the ON state, causing the logic port to go High, +5v)

or

  • Inverted (Control or LED in the ON state, causing the logic port to go Low, 0v).


Relay Outputs

These outputs are intended to allow interfacing with other systems without having to resource and deploy external relays.

Relay outputs are assigned in the same manner as logic outputs, but without the Inverted option.


Watchdog output

An opto-isolated output functions as a watchdog. The opto-isolator conducts when power is applied to the device and the software is functioning correctly - it is cut off if there has been a power failure or a software crash.

This function can be used to trigger alarm systems or to construct redundant systems. It is not configurable.


Assigning Control Ports

All BSS Soundweb London devices with the exception of the BLU-8, BLU-10, BLU-BIB and BLU-BOB have control ports on the rear panel. The Control Ports can be used to provide simple external control of the system by an operator or provide a means for Soundweb London to control external devices such as screen controls and indicator lamps. The BSS BLU-3 or BLU-6 can be connected to the control ports to provide an external control for the parameters in the device.

There are two groups of Control Ports in the London Architect Design Tree for each Soundweb London device in the system.

Logic Control ports

The Logic Control Ports are located in the Logic folder for the device and provide control to and from the logic objects i.e. Logic Source, Logic End, Logic Source Select..

DSP control ports

The DSP Control Ports provide control to and from the DSP processing objects and are located in the Default config folder. These controls can be any parameter from any default control panel within the design.. Note that although the GPX does not have DSP capability it does have DSP control ports available which can be used to control audio processing objects in the other devices.

Each control port can be assigned to either Logic or DSP however only one Logic control or one DSP control can be associated to a given port at one time. Logic is executed on the host CPU inside the Soundweb London device, not on the DSP chip and therefore does not use any DSP resources. In general Soundweb London devices can store and load up to 20 configurations, each with its own unique control port utilization. Each configuration is listed in the Design Tree and has its own control port assignments. This is why Logic control ports and DSP control ports are shown in separate locations within the Design Tree. Note however, that BLU-GPX devices have just a single configuration (‘Default config’).

Assigning Control Ports In London Architect

The following is a description of how to assign control ports on a BLU-GPX. The procedure is the same for all other device types.

  • Create a new design and add a BLU-GPX to it.

  • Open the Design Tree by selecting View then Design from the main menu bar of London Architect. This will open the Design Tree on your screen.

  • Expand the categories called Devices > BLU-GPX’s > U1.

  • Expand both the ‘Default Config’ folder and the ‘Logic’ folder to see a folder labelled ‘Control Ports’. Both of these folders represent the same set of control ports on the rear panel of the device.

Logic Control Assignment

Logic Input Assignment

To assign a Logic object, a Logic Source say, to a Control Input, drag the button from the Logic Source control panel to the control port in the Logic folder

.

The 'Assign Input Control Port' dialog box shown here will then be displayed

The dialog box displays the control’s origin, a selection for ‘Mode’ and, in the case of the GPX, an ‘Associated LED’ selection is enabled.

Mode displays different options based on the control being assigned to the port. In the case of a Logic Source button, the options are :

· Direct Action - when the port is activated (or shorted to common usually by a switch), then the assigned button will be in the On state.

· Direct Action (Inverted) - when the port is active the assigned button will be in the Off state.

· Toggle Action - each time the port is activated the assigned button will change to its alternate state.

In the case of the GPX an ‘Associated LED’ can be assigned for any of the ‘Mode’ options in this case. The state of the associated LED on the BLU-GPX front panel will follow the On/Off state of the control input as dictated by the ‘Mode’ selection.

The associated LED can be seen in the Control Port tree once the control port is assigned. To display this, click on the ‘+’ sign next to the assigned control item :

Logic Output Assignment

To assign a Logic End to a Logic Output, drag the indicator from the Logic End control panel to the control port in the Logic folder.

The 'Assign Output Port' dialog box shown here will then be displayed

The dialog box displays the control’s origin, a selection for ‘Mode’ and, in the case of the GPX, an ‘Associated LED’ selection is enabled.

Mode displays different options based on the control being assigned to the port. In the case of a Logic End indicator, the options are :

  • Normal
  • Inverted

In the case of the GPX an ‘Associated LED’ can be assigned for any of the ‘Mode’ options in this case. The state of the associated LED on the BLU-GPX front panel will follow the On/Off state of the control input as dictated by the ‘Mode’ selection.

Note: Another method of assigning the control ports is to click and drag the port from the Design Tree and drop it on a Control or Indicator.

The Logic Outputs on Soundweb London are either on or off. They cannot be used as a variable analog output. Because of this, only binary controls like buttons, or indicators such as LED’s may be assigned to the Logic Outputs. These are assigned with the same drag and drop method described earlier.

Relay output Assignment

Relays are assigned to the outputs in exactly the same way as logic outputs are assigned, the only difference being that the ‘Inverted’ mode option is not available for relay outputs.

DSP Control Assignment

Although the BLU-GPX does not have any DSP controls, DSP controls from other Soundweb London devices may be assigned to the BLU-GPX control ports within the ‘Default Config’ configuration. As before, drag the control over to the control port in the Design Tree to associate it with one of the ports. The DSP control types which may be assigned can be broken down into 3 categories;

Binary objects such as buttons and indicators.

Three options are available
  • Direct Action
  • Direct Action (Inverted)
  • Toggle Action

These options function exactly as described above. Once again, in the case of the GPX an ‘Associated LED’ can be assigned for any of these ‘Mode’ options. The state of the associated LED on the BLU-GPX front panel will follow the On/Off state of the control input as dictated by the ‘Mode’ selection.

Multi-state objects such as source selectors and parameter presets

Multi-state objects like source selectors and presets are assigned to control input ports with the same drag and drop method.

`

In this case the Assign Control Input dialog has two selections for the ‘Mode’ :

  • Analog Input
  • Multi-state

Analog Input assigns the control to a single port. This can be controlled by faders and rotaries connected to the control port.

Multi-state assigns the control over several ports depending upon the number of steps on the control. An 8 input source selector for example would use up 8 control inputs, one for each selection (or 9 inputs where the source selector also has an 'Allow None' state). This could be controlled by a selector switch such as that on the BLU-3 or BLU-6.

Scalar objects such as faders and rotaries.

In this case, the 'Assign Control Input dialog' now displays two different options for ‘Mode’ :
  • Analog Input
  • Up/Down Pair

Presets

Presets are assigned in a different manner, as there is no default control panel to drag and drop them from. They must be accessed through the Design tree. By dragging the divider bar at the bottom of the Design Tree, the window can be split to display two instances of the Design Tree. In one half the folders can be expanded to reveal the control ports. In the other half expand the folders to reveal the Presets. You can drag individual presets to specific control ports, or assign an entire preset group to an individual port. When assigning presets, the number of preset states must be the same as the number of steps on the physical control.

See Also

Control Inputs

Logic Outputs


BLU-10 Programming and Operation

The BLU-10 is a touch screen controller with 8 configurable zones, these can display from 1 to 8 assignable "buttons." When using fewer buttons, the remaining buttons can be wider.

There are two hard keys and a rotary encoder. The top key, the "Exit" key, is effectively a 'Cancel Navigation' key, cancelling the current dialog and routing the user back to the previously displayed page. It also acts as a locate key when double pressed. The bottom key is the 'Page' key. This lets you navigate to a new page by displaying a tree of all available pages for quick navigation. The rotary encoder is used to change the value of the selected control. Security passwords can be assigned to any folder or page to create secure access levels for basic and qualified users.

Setting BLU-10 Parameters

The behaviour of the BLU-10 can be set up in Parameters

Sleep Brightness

Sets how bright the display will be when the BLU-10 is in "sleep" mode.

Active brightness

Sets the brightness when the BLU-10 is in use.

Sleep

Can be set to be On or Off. When set to Off, the Sleep Delay has no effect.

Sleep Delay

Sets how long the BLU-10 can be inactive before it enters sleep mode. This only occurs if sleep is set to On.

Start Page

Can be set to On or Off. When set to Off, the Start Page Delay has no effect.

Start Page Delay

Sets how long the BLU-10 can be inactive before it jumps back to the start page. This only occurs if the Start Page has been set to On.

Programming the BLU-10

To open the BLU-10 programming interface either use the BLU-10 Button Setup in the Device menu or double click the BLU-10 icon in the layout. The resultant page shows the blue screen of the controller with the default 'Unnamed page' name for this menu. A series of pages and sub pages can be created for a selection of operations.

Use the Design tree to locate control panel objects, Presets and other settings and drag them onto one of the touch button zones in the display. The control's name and current setting will be written into the box. Touch zone text can be changed in the Properties and two lines of text input per zone are available. The boxes that define the touch areas can also be resized to show longer words by clicking and dragging on the line.

Controls can be dragged from the design tree...

...or from a panel.

Drag to BLU-10 from panel

Setting Button Properties

Line 1 Text, Line 2 Text

Put text on a button to replace the default text.

If either of these fields contain text, that text will be displayed and the default text will be hidden. To restore the original, delete both these fields.

Note that the text will not display if a bitmap overlays that area.

Read Only

Set to "Read Only" to prevent any changes to the control on this button. Some controls such as meters are read only by nature and therefore can not be changed even if the button is not read only. However, in order to display a value without allowing any changes to be made to it, set the button to "Read Only".

Type

Selects the type of button required. The options are:

  • Text - values will be shown in text. Select this for slow changing values such as a mute or a gain.
  • Meter is optimised to draw quickly, select this type to show meters. If the parameter being represented is a meter such as a BLU-80 meter processing object, it will also be drawn with a peak level. Meter type can also be used to represent other parameters such as toggle values e.g. a mute. This gives a simple graphical representation of the parameter. The meter which is currently selected on the BLU-10 is shown with the text inverted. In this image Meter1 is currently selected.

  • Static Image simply draws a bitmap onto the button. These can only be placed on buttons which do not show a value - such as page change or preset buttons. For the bitmap to display the following three conditions must be met:

    • bitmap dragged onto button from the gallery

    • valueless control such as page change button dragged onto button

    • button type set to Static Image
  • Animation type has two functions. The simplest use is to drag a moving image onto the button. This only makes sense when the button does not show a value - such as a page change or preset button. In this case the animated bitmap represents the page change or preset.
  • Value Animation - Any parameter on a BLU-10 can be displayed as an animation. For example a 2 frame animation of a tick box with and without the tick could be used on a mute button to give a visual representation of muted and unmuted. Animations in the form of Animated GIFs can be added to the Gallery via the Gallery Menu . An animation must be at least 2 frames. For parameters with few states, like a mute or logic source, there should be one frame per possible value. For continuous types of controls it’s not practical to have one frame per value, so the range of the parameter is divided by the number of frames. Drop the animated GIF from the gallery on to the button and change the button type in the property to Value Animation. The value animation which is currently selected on the BLU-10 is shown with a vertical bar to the right of the image. In this image Button1 is currently selected.

INSERT IMAGE HERE

Animation Loops

This property is only valid with Type set to Animation. Set this to specify how many times the animation will loop before stopping on the last image in the sequence.

Choose from:

  • Use Anim File Value - Animations in LA store the number of animation loops which is set in the GIF file from which they are loaded. This option specifies that the GIF value is used.
  • Infinite - The animation will loop while that page is shown.
  • 1..32 - Select a value between 1 and 32 times.

Image Horizontal Alignment

A static image or animation can be justified Left, Centre or Right in the button.

Momentary

A simple toggle button can be set to be configured as a momentary button by setting the property to Yes. This would be used for example when connecting a mute control to be used for a paging switch. A feature of momentary buttons is that the button does not become released until the touch screen is released. So if the user presses a momentary button but then slides off of it, as may happen during a long paging message, the button stays active. Normal toggle buttons do not toggle unless the press and release are both on the button.

Momentary Invert

The polarity of the mute button can be inverted by setting the Momentary Invert property to Yes.

Custom Value Strings

Any parameter displayed on a BLU-10 button which is displayed as a button or a list can have the strings associated with a value changed. So, for example, you can change the strings displayed on the BLU-10 for a mute button from displaying 'Unmuted' and 'Muted' to be say, 'Mutes off' and 'Mutes on' or whatever else you decide.. The Custom Value Strings property is enabled when a parameter is assigned to that button. Click the property to bring up a list box that shows the current value strings. Double-click an entry to change it. Custom Value Strings won’t work for preset buttons.

Using the BLU-10

Westminster Folders and Pages

Hierarchy

Buttons are stored on pages which are stored in folders.
Up to 8 buttons can be stored on each page.
There are 2 ways to navigate between pages: Navigation Keys and Page Change buttons.
  • Navigation - Navigate through the folders and pages either by using the hard navigation keys or by use of the touch screen. The hard navigation keys are the two real buttons on the front of the BLU-10. The top key is called the Exit key, and the bottom one is called the Page key.

To navigate to another page, press the Page key. The contents of the current folder will be displayed.

Select another page in this folder or select another folder using the Rotary Control followed by the Page key. Alternatively, touch the lower half of the touch screen to move the selection down or the upper half to move the selection up, followed by OK.

Pressing the Exit key from the page selection screen will return the BLU-10 to the last page selected.

To open a folder, press either the OK button or the Page key. Opening a folder changes to that folder and the user can select a page in that folder or a further nested folder.

To navigate up the tree, select the Parent folder at the top of the list.

Image:Blu-10 folder 1 pages.jpg Image:Blu-10 page 1.jpg

  • Page Change Buttons

Image:Open page 1.jpg

This is a special button on a page which, when selected, causes a jump to another page. Drag a page from the design tree and drop it onto a button. The page must be in the same folder as the current page otherwise all the passwords for all the folders between the two pages would have to be entered.

Passwords

Passwords can be put on folders or pages. They are intended to provide security so that only certain users can control certain parameters.

On Pages

Any page except the Start Page can have a password, which can be numeric or alphanumeric. The password must be entered to open a password protected page. Upon navigating to a password protected page the above dialog is shown.

On Folders

Any folder can have a password, which can be numeric or alphanumeric. The password must be entered to gain access to a password protected folder.

How to set a password

To set a password, go to the BLU-10 Pages pane then right click on the page or folder which requires a password. Select "set page (or folder) password", enter the password style and the password then click on OK. It should be noted that the start page cannot be password protected.

How to enter a password

Highlight the character to enter. The rotary control can be used to move the highlight across the screen. Turn the rotary control clockwise to move the highlight to the right and then down. Turn the rotary control anti-clockwise to move the highlight to the left and then up. Alternatively, the highlight will move to any part of the screen which is touched.

Press the + button to add the character. To insert a space, press the Space button. To change between capital and lower case letters or to show numerals or other symbols, press the Caps button.

When the password is complete, press the OK button.

To correct an incorrectly added character, press the Exit button.

What to do if you forget the password

Send a copy of the configuration file back to BSS for the password to be extracted.

Page Configuration

The look of the BLU-10 display can be customized according to some settings in the BLU-10 page properties.

Button Separators

The button separators are normally shown between buttons as vertical dotted lines with a rounded top.

They can be turned off in the BLU-10 page properties.

Image:Button separators off.jpg

Title

The title normally appears in the centre of a page vertically and on the left horizontally. It can be justified left, centred or right, it can be turned off or inverted. These changes can be made in the BLU-10 page properties.

Button

  • Single Big Button - The whole page can act as a single button. Select which button (1-8) to be on the page. This will hide the title. A bitmap can be put in the background.
  • Default Button - Set in the BLU-10 page properties, this sets the button that the encoder controls until a different button is selected. If set to a button with a toggle control on it then it will default to the first button which can be controlled by the encoder.

Infrared

Infrared is sent by the Infrared LED and bounced back from a hand in front of the BLU-10 to wake it up.

Bitmaps

A bitmap can be dragged onto a button from the gallery in order to enhance the appearance of the button. Bitmaps can only be placed on buttons which do not show a value - such as page change or preset buttons. The button type must be set to Static Image. Note that the screen size is 128 x 64 pixels.

Animations

Animated (moving) Buttons

Buttons can show a moving bitmap on the button instead of the normal text. To display a moving animation the button must first have had an animation dropped on it from gallery. The button must be a type that does not normally display a value i.e. a page change button or a preset and it must have an underlying control.

Animations can be added to the gallery by importing GIFs which should be black and white only. Animations take their timing from the GIF file. For example a GIF consisting of 5 images may choose to display the final image for a couple of seconds before showing the first 4 again. This can be less distracting than a continually moving image. The number of times to cycle through the animation is normally taken from the GIF file but can be overridden in the button properties.

There is a limit to the number and speed at which the BLU-10 can draw pixels. All pixels of an image are redrawn so a large image that is nearly blank takes as long to draw as a "busy" image. In general, a small section of a image moving looks better than the whole image moving.

Single big buttons cannot show animated bitmaps.

Operating the BLU-10 in London Architect

Once the menu pages have been created, the operation of the BLU-10 pages can be tested using the special simulate mode that shows how the controller will work when in use, thus ensuring the correct menu structures are in place before the system goes live. BLU-10 simulation is activated from the Device menu using the Run BLU-10 simulation command.

Click on the touch zones to select operation of the configured controls and presets.

The two buttons enable navigation through a nested menu structure if multiple pages have been created. The bottom button leads to a menu structure displaying the pages for selection by the rotary, the top button acts as a 'Cancel Navigation' button, cancelling the current dialog and routing the BLU-10 back to the previous selected page.

The simulation can be stopped by right clicking on the virtual BLU-10 and selecting 'End Simulation'.


Creating BLU-10 Animations

Procedure for creating animated buttons on the BLU-10

The Gallery within London Architect supports animations. These animations can be used on buttons on the BLU-10 to represent different values of a parameter. So for example, if you want to represent a two state parameter (such as a mute), as a check box, then you would use an animation which had two frames, the first frame would be unmuted (parameter value 0), and the second frame would be muted (parameter value 1). You may also represent a continuous type parameter, such as a gain value, as an animation, however the animation does not need to have a frame for every possible gain value (that would require well over 100,000 different frames). An animation with for example 30 different frames would work.

The gallery currently provides several animations for use on a BLU-10, so it’s unlikely that you would need to create your own. If the animations provided in the gallery are not suitable then you will need to provide your own animations. Detailed below are instructions on how to create animated gifs.

1. Download and install GIMP. You can get it from http://www.gimp.org. It is an open source image editing package.

2. Run GIMP. You should see a Toolbox window. Change the foreground colour to white, and the background colour to black. The foreground colour is shown on top of the background colour in the highlighted image below. Click on the colour box to change it.

3. From the ‘File’ menu in the main GIMP window, choose ‘New’.

4. Each line of text on a BLU-10 is 9 pixels high. However, this does not leave a gap between the button and the page name. The recommended heights for buttons are 8, 17, and 26 pixels high which will use 1, 2 or 3 rows on the BLU-10 button. Width can be anything you wish. For this example we are going to choose 8x8. Expand the Advanced Options, and choose Greyscale for the colour space, and fill with the background colour. Then select OK.

5. Use the zoom icon (the magnifying glass in the toolbox window) to zoom in on the image.

6. Using the pencil tool from the toolbox we will draw an empty rectangle. The pencil should be adjusted to be 1 pixel wide. See image below.

7. This will be our first frame of the animation.

8. To make the next frame which is based on the first frame we use layers. Press CTRL+L to bring up the layers window. Back on the main window, press CTRL+A to select the entire image, and then CTRL+C to copy it, then CTRL+V to paste it. The layers window should show a floating selection. Press the create new layer button.

9. Select the pasted layer in the Layers window

10. Edit this layer with the pencil to draw the check.

11. Repeat steps 8, 9 and 10 to create more layers for use on continuous parameters.

12. From the ‘File’ menu choose ‘Save As’. Browse to your location and give it a name and you MUST put .gif at the end of the filename. The press the ‘Save’ button.

13. You will be asked how you want to save the gif, choose ‘Save as Animation’. Then press the ‘Export’ button.

14. Just accept the suggested options, and press the ‘Save’ button.

15. Back in London Architect choose ‘Add Animation’ from the ‘Gallery’ menu and browse to the animated gif file you just saved. You can now drag that animation onto BLU-10 buttons.


BLU-8 Programming and Operation

Initial Setup

Connecting to the BLU-8

When the BLU-8 is first powered up and attached to the network, it will default to an AutoIP address in the 169.254.x.x range, with subnet mask 255.255.0.0. The BLU-8 will then look for an active DHCP server, and if found, will switch to a DHCP address given by the server. If no DHCP server is available, the PC running HiQnet London Architect will need to use a 169.254.x.x address. If a DHCP server is running, the PC should use an IP address in the same address range as the DHCP server. After the IP address is configured, HiQnet London Architect will show the BLU-8 in its Network View. If it becomes necessary to reset the BLU-8 to its default network settings (for example, if an incorrect or unknown IP address or subnet mask is configured), see the Troubleshooting section of the help. Also, refer to the main HiQnet London Architect networking help for additional information on firewall settings.

Changing BLU-8 Network Settings

The network settings of the BLU-8 may be changed in the HiQnet London Architect Network View. To interact with the BLU-8 in the Network View, select the BLU-8 device in the network tree and click on one of the Network View icons show below:

The following operations can be performed by clicking on the Network View icons (left to right):

  • Locate the device on the network

  • Reboot the device

  • Change the device's settings:

    • Change the device name (Note: a unique name should be given to each BLU-8 in the system)

    • Change the device HiQnet address

    • Configure the device to use AutoIP or DHCP addressing

    • Configure the device to use manual IP address settings

  • Automatically add network devices to the design

  • Upload firmware to devices on the network

Configuring the BLU-8

Basic Configuration

The BLU-8 device can be configured by HiQnet London Architect software in much the same way as other Soundweb London products. The BLU-8 supports 3 modes of operation, in which control parameters and Presets may be assigned to BLU-8 controls. The mode of operation can be selected by clicking on the BLU-8 device in the design view and examining the Properties pane as illustrated in the diagram below:

The following settings may be changed from the BLU-8 Properties pane:

  • The BLU-8 Mode

    • Single Mode - in the first mode the BLU-8 has one programmable page with 7 items on it.

    • Button Mode - in the second mode the BLU-8 has 4 programmable pages with 3 items on each page. These pages are selected using the buttons.

    • Encoder Mode - in the third mode of operation the BLU-8 has 8 programmable pages with 6 items on each page. These pages are selected using the left rotary.

  • LED colours for each available page

    • Chosen from Red, Yellow, Green, Cyan, Blue, Magenta, White, and Amber.

  • Preset recall method used by the BLU-8

    • The "Use Proxy Device" setting instructs the BLU-8 to send Preset Recall messages using another Soundweb London device in the system. As the BLU-8 is a lightweight platform, it does not have the resources to hold all the information about devices in venue presets. The proxy device is sent a recall message which in turn forwards to all relevant devices. This is the most reliable way to recall presets from the BLU-8.

    • The "Proxy Device Name" setting selects a device for the BLU-8 to use as its 'proxy' for sending Preset Recall messages. Set "Use Proxy Device" to Yes then select the name of the device which you want to use as the proxy.

  • The Lockout security PIN number.

    • This number must consist of the digits 1, 2, 3 or 4 only. Entry of the number will enforce this rule. After a download to the BLU-8 this will then be the PIN number which must be entered to unlock the BLU-8 unit. The buttons must be used in the sequence :

'LOCATE', <1st digit>, <2nd digit>, <3rd digit>, <4th digit>, 'LOCATE'

Additional options are available for the controls on the BLU-8 itself, which are described in more detail in the Setting BLU-8 Control Properties section below.

BLU-8 Default Control Panel

The BLU-8 Default Control Panel can be launched by right-clicking on the BLU-8 device in the Main window and selecting 'Show Default Control Panel'. Using this panel the following operations can be performed:

  • Locate the device on the network

  • Configure the Sleep settings for the device:

    • Enable Sleep (On / Off)

    • Sleep Time in seconds

    • Enable Lockout of BLU-8 unit on sleep.

  • Configure the maximum display brightness setting for the device:

    • Brightness: 1 (dim) to 4 (bright)

  • Lock or Unlock the BLU-8 unit.

Sleep Function

  • When the Sleep function is not enabled, the BLU-8 will show the current state of the configured system at all times.

  • When the Sleep function is enabled, the BLU-8 will turn off all leds if there has been no user input for the specified amount of time.

  • Any button press or rotary movement by the operator will 'wake up' the BLU-8 and restore the display showing current system status. There is a 2 second delay after 'wake up' before the BLU-8 controls become active.

  • If the 'Lockout on Sleep' function is also enabled, then when the BLU-8 unit 'wakes up' it will automatically enter its 'Locked' state. Button or rotary movements on the unit will have no effect until the required security PIN number is entered. The sequence of events to wake up and unlock the BLU-8 is as follows :

    • The BLU-8 falls asleep and in doing so the BLU-8 will automatically enter the 'locked' state.

    • The user 'wakes' the BLU-8 with either a button press or a rotary movement.

    • The BLU-8 flashes all of its LEDs, RED, twice, to show that it is currently 'locked'.

    • The user presses 'LOCATE', <PIN>, 'LOCATE' to unlock the BLU-8. (e.g. LOCATE, 1, 2, 3, 4, LOCATE.)

    • The BLU-8 flashes all of its LEDs, GREEN, twice to confirm that it is now 'unlocked'.

    • Normal operation of the BLU-8 can resume.

LED Maximum Brightness

  • There are 6 brightness levels on the BLU-8: Off, Low Intensity, and brightness 1 (dim) to 4 (bright)

  • Disabled controls (such as unavailable channels on a source selector) are unlit.

  • Inactive but selectable controls are displayed at Low Intensity.

  • Active or selected controls are shown using the currently selected 'LED Maximum Brightness' setting, chosen from 1 to 4.

  • It is recommended that a high maximum brightness setting is used (e.g. 4), as this will allow a higher contrast between active and inactive LED states.

Lockout Function

  • The 'Lockout Active' button provides a mechanism to disable the BLU-8 unit until a security PIN number is entered. This might be appropriate when the BLU-8 is located in a public area and restricted access to the BLU-8 functions is required.

  • When the unit is 'Locked' any button or rotary movement will be ignored and all LEDs on the BLU-8 will flash RED twice at 1Hz frequency. This indicates that a PIN number must be entered to unlock the BLU-8.

  • To enter the 4 digit PIN number, use the LOCATE button followed by the 4 button sequence (1..4) followed again by the LOCATE button. The default PIN number is '1234', so the following button sequence would allow the unit to be unlocked : LOCATE, 1, 2, 3, 4, LOCATE.

  • When a correct PIN number sequence is entered, all LEDs on the BLU-8 will flash GREEN twice at 1Hz frequency. The unit will then be 'Unlocked' and normal operation of the buttons and rotaries will be possible.

  • If the PIN sequence entered is incorrect, the BLU-8 will flash RED twice at 1Hz frequency and remain in the 'Locked' state.

  • The 4-digit security PIN number may be entered as a property of the BLU-8 in London Architect, and is composed of the digits 1, 2, 3, or 4 only. This PIN number becomes active on the BLU-8 after a configuration download.

Unlocking a Locked BLU-8 using London Architect

You can use London Architect to unlock a currently locked BLU-8 (e.g. If you have forgotten the Lockout PIN) :

  • Load a London Architect design file which matches the BLU-8 on the network.

  • Click on the BLU-8 unit in the 'Main' view and set the 'Lockout PIN' property as required.

  • Go to 'Operate mode'. In the main view, right click on the BLU-8 with the mouse and select the 'Show Default Control Panel' option. This will open the BLU-8 default control panel.

  • Ensure that the 'Lockout on Sleep' and 'Lockout Active' buttons are OFF.

  • Go online and load the design to the BLU-8.

  • The BLU-8 will be unlocked.

Assigning Controls

The mapping of BLU-8 hardware controls onto control parameters and Presets is performed by a 'drag and drop' method from a control parameter to the BLU-8 Button Setup page, displayed by either double-clicking on the BLU-8 in the Main window or right-clicking on the BLU-8 and selecting BLU-8 Button Setup. Controls can be dragged either from the Design tree or from a control panel with the desired control, as shown in the following diagrams:

OR

The items that may be 'dragged and dropped' onto BLU-8 hardware controls are listed below for each of the 3 BLU-8 modes:

Single Mode

This mode is intended for control and monitoring of parameters and recalling Presets on a single page.

  • Left Rotary:

    • Source Selector input selection

  • Right Rotary:

    • Any writeable control parameter

  • Buttons 1 to 4:

    • Any writeable boolean control parameter, such as a Mute, OR

    • Any Parameter Preset or Venue Preset

  • Meter:

    • Any control parameter

Button Mode

This mode is intended for control and monitoring of parameters and recalling Presets on up to four pages. Page selection is made using the four push buttons on the BLU-8.

  • Left Rotary:

    • Source Selector input selection (one for each page), OR

    • Up to 8 Parameter Presets or Venue Presets (for each page)

  • Right Rotary:

    • Any writeable control parameter (one for each page)

  • Buttons 1 to 4:

    • The buttons are preassigned to pages 1 to 4 in this mode.

  • Meter:

    • Any control parameter (one for each page)

Encoder Mode

This mode is intended for control / monitoring of parameters and Presets on up to eight pages. Page selection is made via the left rotary on the BLU-8.

  • Left Rotary:

    • Each of the eight positions of the rotary encoder is preassigned to pages 1 to 8 in this mode.

  • Right Rotary:

    • Any writeable control parameter (one for each page)

  • Buttons 1 to 4:

    • Any writable boolean control parameter, such as a Mute, OR

    • Any Parameter Preset or Venue Preset (one per button for each page)

  • Meter:

    • Any control parameter (one for each page)

Setting BLU-8 Control Properties

Properties of BLU-8 controls may be set by clicking on the BLU-8 control in HiQnet London Architect (e.g. a button, rotary or meter) and examining the properties pane. The current mapping of control parameters or Presets to the BLU-8 control is also shown in the properties pane. These mappings can be deleted by clicking on the mapping in the properties pane and then clicking the '...' button which appears on the right. Mappings may of course be overridden by dragging another control parameter or Preset onto the BLU-8 control.

The following settings may be changed for controls on the BLU-8, depending on the active Mode:

  • The mode of operation for each button

    • Normal

    • Momentary

    • Inverted operation (e.g. with a mute, the button's LED will be lit when the mute is off)

  • The Active/Disabled inputs of a source selector assigned to the left rotary on the BLU-8.

  • The ability to control a subrange of control parameter values using the right rotary.

    • The minimum and maximum values controlled by the right rotary.

  • The ability to monitor a subrange of control parameter values on the Meter LEDs.

    • The minimum and maximum values displayed by the Meter.

  • The LED colours for the Meter. One colour is chosen from the 8 available LED colours for each of the 9 meter LEDs in all 10 states, encompassing 'all LEDs off' to 'all LEDs on' (minimum value to maximum value).

BLU-8 Button Properties - Button Type / Inverse

In 'Single Mode' and 'Encoder Mode', the BLU-8 button 'Type' and 'Inverse' properties may be set as illustrated in the diagram below:

BLU-8 Left Rotary Properties - Enable Rotary Channels

In 'Single Mode' and 'Button Mode', individual positions of the left rotary may be enabled or disabled by changing the 'Position x Enable' property as illustrated in the diagram below:

NOTE 1: If a source selector is associated with the BLU-8 left rotary, the state of the source selector's 'Allow None' property will automatically be applied to the BLU-8 left rotary on configuration download. With the 'Allow None' property enabled, turn the left rotary until none of it's LEDs are illuminated then press the rotary to select 'None'

NOTE 2: If a source selector is associated with the BLU-8 left rotary, the state of its 'Number of Channels' property will automatically be applied to the BLU-8 left rotary on configuration download. e.g. For a 4 channel source selector, the BLU-8 left rotary channels 5 through 8 will effectively have their 'Position x Enable' properties set to 'No' .

BLU-8 Right Rotary Properties - Subrange

By default, the BLU-8 right rotary will allow adjustment through the entire range (0 to 100%) of its associated control parameter value. This behaviour may be changed by defining a subrange of the control parameter's values to be controlled by the rotary. This subrange will also be indicated by the control display on the Meter LEDs when the rotary is adjusted. In all modes, the BLU-8 right rotary may be changed to control a Subrange of control parameter values by changing the 'Subrange' field to 'Yes' and defining the 'Subrange Minimum' and 'Subrange Maximum' fields as illustrated in the diagram below:

BLU-8 Meter Properties - Meter LED Colours / Subrange

In all configuration modes, the BLU-8 meter colours may be changed using the 'Advanced Setup' property to launch a dialog where the meter LED colours may be selected as illustrated in the diagram below:

Each column of the led meter configuration window corresponds to 10% of the value being displayed. A set of standard bargraph-style meter configurations are provided, coloured according to the page colour. These can be edited, or new meter maps created from scratch. To edit an LED step, click the appropriate led with the left mouse button. With each successive click, the colour will advance through the list of available colours - red, yellow, green, cyan, blue, magenta, white, amber. A right-click on any of the leds will turn them off.

By default, the BLU-8 Meter will display the entire range (0 to 100%) of its associated control parameter value. This behaviour may be changed by defining a subrange of the control parameter's values to be displayed on the Meter. In all configuration modes, the Meter may be changed to display a subrange of control parameter values by changing the 'Subrange' field to 'Yes' and defining the 'Subrange Minimum' and 'Subrange Maximum' fields as illustrated in the diagram above.

Basic BLU-8 Operation

Buttons 1 to 4

In 'Single Mode' and 'Encoder Mode' the BLU-8 buttons will be lit according to the the current state of its assigned control parameter, as follows:

  • Not illuminated:

    • No mapping exists to a control parameter or Preset for this button.

  • Illuminated at low intensity in the current page colour:

    • Button is mapped to a control parameter or Preset and is in the 'Inactive' state.

  • Illuminated at high intensity in the current page colour:

    • Button is mapped to a control parameter or Preset and is in the 'Active' state.

In 'Button Mode' the BLU-8 buttons indicate the available pages (1 to 4) in the configured page colours. The currently active page will have the appropriate button LED illuminated at high intensity with all other button LEDs illuminated at low intensity.

Left Rotary - as Source Selector

The left rotary can be mapped onto a 'Source Selector' control in 'Single Mode' and 'Button Mode'. The current state of each source channel is indicated by its associated LED as follows:

  • Not illuminated:

    • Source channel is not available for selection.

  • Illuminated at low intensity in the current page colour:

    • Source channel is available but not currently selected.

  • Illuminated at high intensity in the current page colour:

    • Source channel is currently selected.

  • Illuminated at high intensity in WHITE (or BLUE if the assigned page colour is WHITE):

    • Source channel is currently highlighted for selection using the left rotary. Pressing the left rotary will select the highlighted source channel.

When the left rotary is turned, a high intensity WHITE LED (or BLUE LED if the assigned page colour is WHITE) will follow the rotary position through the available source channels. A source channel may then be selected by depressing the left rotary shaft, at which point the WHITE or BLUE LED will switch to the current page colour at high intensity, indicating the new selection. If no selection is made within 4 seconds and the rotary shaft is left still, the left rotary LEDs will return to displaying the currently selected source channel. Note that no source channel changes will take place until the rotary is pressed at the desired channel's position.

NOTE 1: If a source selector is associated with the BLU-8 left rotary, the state of its 'Allow None' property will automatically be applied to the BLU-8 left rotary on configuration download. With the 'Allow None' property enabled, turn the left rotary until none of it's LEDs are illuminated then press the rotary to select 'None'

NOTE 2: If a source selector is associated with the BLU-8 left rotary, the state of its 'Number of Channels' property will automatically be applied to the BLU-8 left rotary on configuration download. e.g. For a 4 channel source select, the BLU-8 left rotary channels 5 through 8 will effectively have their 'Position x Enable' properties set to 'No' .

Left Rotary - as Preset Recalls

The left rotary can be mapped to individual Preset recalls in 'Button Mode'. Presets are assigned by London Architect to channels 1 to 8 in the same sequence as they are dropped onto the BLU-8 rotary (the next free channel is assigned to each preset dropped).

NOTE : 'Position x Enable' states in London Architect have no effect with this type of configuration.

The current state of each preset channel is indicated by its associated LED as follows :

  • Not illuminated

    • Channel has no Preset assigned to it.

  • Illuminated at low intensity in current page colour

    • Channel has an associated Preset, but is not currently selected.

  • Illuminated at high intensity in current page colour

    • Channel has an associated Preset, and is the last recalled preset from this BLU-8 unit.

  • Illuminated at high intensity in WHITE colour (or BLUE colour if the assigned page colour is WHITE)

    • Channel is currently highlighted for selection using the left rotary. Pressing the left rotary will select the highlighted source channel, activating it's associated Preset.

When the left rotary is turned, a high intensity WHITE LED (or BLUE LED if the assigned page colour is WHITE) will follow the rotary position through the available Presets. A Preset may then be recalled by depressing the left rotary shaft, at which point the high intensity LED colour will revert back to the current page colour. If no selection is made within 4 seconds with the rotary shaft still, the last activated Preset channel will be indicated by a high intensity LED in the current page colour. Note that no Presets will be recalled until the rotary shaft is depressed at the required Preset channel position.

Left Rotary - as Page Selector

In 'Encoder Mode' the BLU-8 left rotary is used to select the active page (1 to 8):

  • Only one page at a time will have its associated LED illuminated at high intensity and in the page colour.

  • As the left rotary is rotated, the high intensity page selection LED will follow the rotary position through pages 1 to 8 and change in colour to match the highlighted page.

  • A new page may be selected by depressing the left rotary shaft. This will cause the BLU-8 to assign its controls to the new page and change LED colours as necessary.

  • If the rotary shaft is still and no selection is made within 4 seconds, the page selection LED will move back to the position of the currently active page.

Right Rotary - Parameter Level Adjustment

When the right rotary is turned with a control parameter assigned to it, the value of that parameter will be modified according to the rotary position. The current control parameter level is indicated by a single high intensity LED, in the current page colour, on the BLU-8 Meter. This meter LED moves as the rotary position is adjusted. The Meter LEDs will return to their normal function after 4 seconds of right rotary inactivity.

Meter - Meter Level Monitoring

The BLU-8 Meter will indicate the current level of its assigned control parameter. The LEDs are illuminated at high intensity in the colours configured for the Meter in the currently selected page. The Meter LEDs are also used to indicate the value of the right rotary's assigned control parameter whilst it is being turned. This value will also be indicated on the Meter LEDs for 4 seconds after a page change.

Locate Button

  • Dim blue indicates that the BLU-8 is connected to the network.

  • Bright blue flashes indicate that the device is being located from HiQnet London Architect.

  • A steady red light indicates that there is a network error.

Firmware Upgrade

Firmware Upgrade from London Architect

If the firmware version is greater than that currently on BLU-8, HiQnet London Architect will automatically detect this when going Online and will prompt to go through the firmware upgrade process.

The firmware upgrade process can be manually initiated by clicking on the Load Firmware icon in the Network View: .

Once the firmware upgrade is in progress, the following indications may be observed on the BLU-8 LEDs during a successful firmware upgrade:

  • Moving sequence of red button LEDs:

    • The BLU-8 is waiting for firmware.

  • Rotating yellow LEDs around the Left Rotary:

    • Firmware download and programming is in progress.

  • White LEDs around the Left Rotary:

    • Download and programming are complete and the firmware is being checked.

  • Green button LEDs:

    • All firmware checks pass.

  • The application will launch automatically and loader mode will end.

Further possible states on the BLU-8 LEDs during firmware upgrade are given below:

Firmware Upgrade using 'BootLoader.exe' Tool

In certain circumstances the BLU-8 firmware can only be loaded using the 'BootLoader.exe' tool. This is usually when :

  • BLU-8 is having firmware loaded for the first time and has not yet been allocated an IP address.

  • BLU-8 firmware upgrade from London Architect has failed and the BLU-8 has remained in its 'BootLoader' mode.

To load the firmware using the 'BootLoader.exe' tool, the user should perform the following actions :

  • Launch the 'BootLoader.exe' tool

  • Select the 'Acknowledged Transfer Mode' radio button.

  • Wait until the BLU-8 MAC Address appears in the list box (this should only take up to 5 seconds)

  • The MAC Address should start with the sequence '00:0F:D4:xx:xx:xx'. If this is not the case then no firmware loading will be possible as the device has not been assigned the correct BSS Audio MAC address during manufacture (please return the device to BSS Audio).

  • Select the 'Browse' button to locate the BLU-8 firmware file to load.

  • Select the 'Start' button to download the firmware to the BLU-8.

  • The progress of the firmware download / programming may be monitored on the BLU-8 LEDs as before.

Troubleshooting

BLU-8 Special button combinations during normal operation

The following special test modes are available on the BLU-8 as follows :

LOCATE and BUTTON 1 : LED Test 1 Mode

Entering this mode will cause the BLU-8 to be returned to its factory default settings. With BLU-8 operational, holding the 'LOCATE + Button 1' continuously for 5 seconds will cause BLU-8 to run a LED test program where all LEDs are illuminated at different brightnesses in the following sequence :

  • all LEDs RED

  • all LEDs YELLOW

  • all LEDs GREEN

  • all LEDs CYAN

  • all LEDs BLUE

  • all LEDs MAGENTA

  • all LEDs WHITE

  • all LEDs AMBER

Holding the LOCATE button for 5 seconds continuously, will return BLU-8 to its normal operating mode. Power cycling the BLU-8 will also return the BLU-8 to its normal operating mode.

NOTES :

  • On return to normal operating mode, 'Auto IP' mode is automatically selected. This can therefore be used to recover from a situation where an incorrect manual IP address has been assigned to the BLU-8 device. In Auto IP mode the BLU-8 device is assigned either a DHCP allocated IP address or an address in the range 169.254.x.x

  • On return to normal operating mode, the BLU-8's factory default settings will have been restored :

    • Device name will go back to default of "BLU-8"

    • Auto-IP will be enabled by default

    • Sleep function will be disabled

    • LED maximum brightness will be set to 4 (max)

    • The current configuration will be empty (a new configuration can be loaded).

    • Lockout security PIN code will be set to '1234'. Lockout will be disabled.

LOCATE and BUTTON 2 : LED Test 2 Mode

With BLU-8 operational, holding the 'LOCATE + Button 2' continuously for 5 seconds will cause BLU-8 to run a LED test program where all LEDs are illuminated at different brightnesses in the following sequence :

  • all LEDs RED
  • all LEDs YELLOW
  • all LEDs GREEN
  • all LEDs CYAN
  • all LEDs BLUE
  • all LEDs MAGENTA
  • all LEDs WHITE
  • all LEDs AMBER

Holding the LOCATE button for 5 seconds continuously, will return BLU-8 to its normal operating mode. Power cycling the BLU-8 will also return the BLU-8 to its normal operating mode.

NOTE :

  • On return to normal operating mode, 'Auto IP' mode is automatically selected. This can therefore be used to recover from a situation where an incorrect manual IP address has been assigned to the BLU-8 device. In Auto IP mode the BLU-8 device is assigned either a DHCP allocated IP address or an address in the range 169.254.x.x

LOCATE and BUTTON 3 : LED Test 2 Mode - see above

LOCATE and BUTTON 4 : BootLoader Mode

With BLU-8 operational, holding the 'LOCATE + Button 4' continuously for 5 seconds causes BLU-8 to reboot and wait in a 'BootLoader' mode. In this mode (all Buttons will display a moving sequence of red LEDs) the following are possible :

  • Firmware may be downloaded with the 'BootLoader.exe' tool.

  • BLU-8 may be power cycled to return the BLU-8 to its normal operating mode.

  • The special button combinations itemised below for 'BootLoader' mode may be selected.

BLU-8 Special Button Combinations On Power Up

When the BLU-8 powers up, certain special button combinations get taken into account :

LOCATE : Forced BootLoader Mode

Holding the LOCATE button during power up of the BLU-8 device forces BLU-8 into its 'BootLoader' mode. In this mode (all Buttons will display a moving sequence of red LEDs) the following are possible :

  • Firmware may be downloaded with the 'BootLoader.exe' tool.

  • BLU-8 may be power cycled to return the BLU-8 to its normal operating mode.

  • The special button combinations itemised below for BootLoader mode may be selected.

BLU-8 Special Button Combinations In BootLoader Mode

When the BLU-8 BootLoader mode is active (all Buttons will display a moving sequence of red LEDs), the following button combinations can be made :

LOCATE and BUTTON 1 : LED Test 1 Mode

Provided that a valid application is present, holding both 'LOCATE + Button 1' in BootLoader mode will cause BLU-8 to run an LED test program where all LEDs are illuminated at different brightnesses as described previously. Entering this mode will cause the BLU-8 to be returned to its factory default settings.

Holding the LOCATE button for 5 seconds continuously, will return BLU-8 to its normal operating mode. Power cycling the BLU-8 will also return the BLU-8 to its normal operating mode.

NOTES :

  • On return to normal operating mode, 'Auto IP' mode is automatically selected. This can therefore be used to recover from a situation where an incorrect manual IP address has been assigned to the BLU-8 device. In Auto IP mode the BLU-8 device is assigned either a DHCP allocated IP address or an address in the range 169.254.x.x

  • On return to normal operating mode, the BLU-8's factory default settings will have been restored :

    • Device name will go back to default of "BLU-8"

    • Auto-IP will be enabled by default

    • Sleep function will be disabled

    • LED maximum brightness will be set to 4 (max)

    • The current configuration will be empty (a new configuration can be loaded).

    • Lockout security PIN code will be set to '1234'. Lockout will be disabled.

LOCATE and BUTTON 2 : LED Test 2 Mode

Provided that a valid application is present, holding both 'LOCATE + Button 2' in BootLoader mode will cause BLU-8 to run an LED test program where all LEDs are illuminated at different brightnesses as described previously.

Holding the LOCATE button for 5 seconds continuously, will return BLU-8 to its normal operating mode. Power cycling the BLU-8 will also return the BLU-8 to its normal operating mode.

NOTE :

  • On return to normal operating mode, 'Auto IP' mode is automatically selected. This can therefore be used to recover from a situation where an incorrect manual IP address has been assigned to the BLU-8 device. In Auto IP mode the BLU-8 device is assigned either a DHCP allocated IP address or an address in the range 169.254.x.x

LOCATE and BUTTON 3 : LED Test 2 Mode - see above

LOCATE and BUTTON 4 : Attempt Application Launch

Holding both 'LOCATE + Button 4' in BootLoader mode will cause BLU-8 to attempt to run any loaded application. If the application is validated successfully then the BLU-8 will leave BootLoader mode and enter normal operating mode.

BLU-8 Network operation

The BLU-8 is not designed to work on a network with CobraNet traffic. BSS recommends that CobraNet traffic is transferred on a separate network to the HiQNet control network.

The BLU-8 is capable of handling the following simultaneous communications :

  • Communication with a maximum of 8 HiQNet devices from all the pages configured on the BLU-8, PLUS

  • Communication with one programming device (London Architect).

For optimum performance, the BLU-8 should be used on a dedicated Soundweb London control network with only one instance of HiQnet London Architect present. In this condition the BLU-8 can be used to control the parameters of up to a maximum of 8 other HiQNet devices. It should be noted that as the network on which the BLU-8 resides becomes large, the responsiveness of the BLU-8 can be adversely affected by the volume of network traffic and as such, controls may become slower to respond.

If responsiveness is an issue then please follow the recommendations below to improve the situation :

RECOMMENDATIONS :-

  • No Cobranet traffic on the part of the network with the BLU-8. (Cobranet traffic swamping the network WILL affect the responsiveness of the BLU-8).

  • Use switches rather than hubs in your network implementation.

  • One London Architect PC active on the network at a time.

  • Minimise unnecessary 'broadcast' traffic reaching the BLU-8, the following three steps are aimed at reducing this traffic :

    • Setting all devices NOT to use 'Auto IP/DHCP' (i.e. use static IP addresses) will reduce the overall amount of broadcast traffic on the network.

    • Ensure that all the HiQNet devices on the network are included in the London Architect design. If they are not part of the design then they can be powered off to reduce unnecessary traffic on the network.

    • If there are many devices on the network which the BLU-8 does not need to communicate with, then consider placing these devices on a different sub-net to the BLU-8 (on the other side of a network router). The Static Routes feature in London Architect can be used to ensure that the BLU-8 is discovered by London Architect even if the London Architect PC is on a different sub-net to the BLU-8.

DHCP

The BLU-8 is a lightweight platform and therefore has limited memory. Older style DHCP servers that use the larger packets for DHCP IP address assignment are not supported. Whilst we would recommend static IP addresses for the most trouble-free operation, the following is an inexhaustive list of tested DHCP servers.

Tested and work with the BLU-8 (These servers use 342 byte DHCP packets)

  • DrayTech Vigor 2900G Router

  • All Windows XP DHCP servers should work (see http://www.microsoft.com/technet/archive/winntas/plan/capacityplanning/a04_dhcp.mspx?mfr=true)

  • Netgear RP614 v3

  • Internet Software Consortium DHCP Server 2.0

  • Internet Software Consortium DHCP Server 3.0

  • Tftpd32 (http://tftpd32.jounin.net/)

  • Dual DHCP DNS Server (http://sourceforge.net/projects/dhcp-dns-server)

  • Linksys WRT54G v5

Do not work with the BLU-8 (These servers use the older 590 byte DHCP packets)

  • StarTech.com BR4100DC

  • LinkSys BEFSR81
  • Buffalo NFINITI WZR2-G300N
  • Netgear RangeMAX WPN824


BLU-8v2 Programming and Operation

Initial Setup

Connecting to the BLU-8v2

When the BLU-8v2 is first powered up and attached to the network, it will default to an AutoIP address in the 169.254.x.x range, with subnet mask 255.255.0.0. The BLU-8v2 will then look for an active DHCP server, and if found, will switch to a DHCP address given by the server. If no DHCP server is available, the PC running HiQnet London Architect will need to use a 169.254.x.x address. If a DHCP server is running, the PC should use an IP address in the same address range as the DHCP server. After the IP address is configured, HiQnet London Architect will show the BLU-8v2 in its Network View. If it becomes necessary to reset the BLU-8v2 to its default network settings (for example, if an incorrect or unknown IP address or subnet mask is configured), see the Troubleshooting section of the help. Also, refer to the main HiQnet London Architect networking help for additional information on firewall settings.

Changing BLU-8v2 Network Settings

The network settings of the BLU-8v2 may be changed in the HiQnet London Architect Network View. To interact with the BLU-8v2 in the Network View, select the BLU-8v2 device in the network tree and click on one of the Network View icons show below:

The following operations can be performed by clicking on the Network View icons (left to right):

  • Locate the device on the network

  • Reboot the device

  • Change the device's settings:

    • Change the device name (Note: a unique name should be given to each BLU-8v2 in the system)

    • Change the device HiQnet address

    • Configure the device to use AutoIP or DHCP addressing

    • Configure the device to use manual IP address settings

  • Automatically add network devices to the design

  • Upload firmware to devices on the network

Configuring the BLU-8v2

Basic Configuration

The BLU-8v2 device can be configured by HiQnet London Architect software in much the same way as other Soundweb London products. The BLU-8v2 supports 3 modes of operation, in which control parameters and Presets may be assigned to BLU-8v2 controls. The mode of operation can be selected by clicking on the BLU-8v2 device in the design view and examining the Properties pane as illustrated in the diagram below:

The following settings may be changed from the BLU-8v2 Properties pane:

  • The BLU-8v2 Mode

    • Single Mode - in the first mode the BLU-8v2 has one programmable page with 7 items on it.

    • Button Mode - in the second mode the BLU-8v2 has 4 programmable pages with 3 items on each page. These pages are selected using the buttons.

    • Encoder Mode - in the third mode of operation the BLU-8v2 has 8 programmable pages with 6 items on each page. These pages are selected using the left rotary.

  • LED colours for each available page

    • Chosen from Red, Yellow, Green, Cyan, Blue, Magenta, White, and Amber.

  • The Lockout security PIN number.

    • This number must consist of the digits 1, 2, 3 or 4 only. Entry of the number will enforce this rule. After a download to the BLU-8v2 this will then be the PIN number which must be entered to unlock the BLU-8v2 unit. The buttons must be used in the sequence :

'LOCATE', <1st digit>, <2nd digit>, <3rd digit>, <4th digit>, 'LOCATE'

Additional options are available for the controls on the BLU-8v2 itself, which are described in more detail in the Setting BLU-8v2 Control Properties section below.

BLU-8v2 Default Control Panel

The BLU-8v2 Default Control Panel can be launched by right-clicking on the BLU-8v2 device in the Main window and selecting 'Show Default Control Panel'. Using this panel the following operations can be performed:

  • Locate the device on the network

  • Configure the Sleep settings for the device:

    • Enable Sleep (On / Off)

    • Sleep Time in seconds

    • Enable Lockout of BLU-8v2 unit on sleep.

  • Configure the maximum display brightness setting for the device:

    • Brightness: 1 (dim) to 4 (bright)

  • Lock or Unlock the BLU-8v2 unit.

Sleep Function

  • When the Sleep function is not enabled, the BLU-8v2 will show the current state of the configured system at all times.

  • When the Sleep function is enabled, the BLU-8v2 will turn off all LEDs if there has been no user input for the specified amount of time.

  • Any button press or rotary movement by the operator will 'wake up' the BLU-8v2 and restore the display showing current system status. There is a 2 second delay after 'wake up' before the BLU-8v2 controls become active.

  • If the 'Lockout on Sleep' function is also enabled, then when the BLU-8v2 unit 'wakes up' it will automatically enter its 'Locked' state. Button or rotary movements on the unit will have no effect until the required security PIN number is entered. The sequence of events to wake up and unlock the BLU-8v2 is as follows :

    • The BLU-8v2 falls asleep and in doing so the BLU-8v2 will automatically enter the 'locked' state.

    • The user 'wakes' the BLU-8v2 with either a button press or a rotary movement.

    • The BLU-8v2 flashes all of its LEDs, RED, twice, to show that it is currently 'locked'.

    • The user presses 'LOCATE', <PIN>, 'LOCATE' to unlock the BLU-8v2. (e.g. LOCATE, 1, 2, 3, 4, LOCATE.)

    • The BLU-8v2 flashes all of its LEDs, GREEN, twice to confirm that it is now 'unlocked'.

    • Normal operation of the BLU-8v2 can resume.

LED Maximum Brightness

  • There are 6 brightness levels on the BLU-8v2: Off, Low Intensity, and brightness 1 (dim) to 4 (bright)

  • Disabled controls, such as unavailable channels on a source selector, are unlit.

  • Inactive but selectable controls are unlit e.g. where a controlled parameter has gone offline.

  • Active or selected controls are shown using the currently selected 'LED Maximum Brightness' setting, chosen from 1 to 4.

  • It is recommended that a high maximum brightness setting is used (e.g. 4), as this will allow a higher contrast between active and inactive LED states.

Lockout Function

  • The 'Lockout Active' button provides a mechanism to disable the BLU-8v2 unit until a security PIN number is entered. This might be appropriate when the BLU-8v2 is located in a public area and restricted access to the BLU-8v2 functions is required.

  • When the unit is 'Locked' any button or rotary movement will be ignored and all LEDs on the BLU-8v2 will flash RED twice at 1Hz frequency. This indicates that a PIN number must be entered to unlock the BLU-8v2.

  • To enter the 4 digit PIN number, use the LOCATE button followed by the 4 button sequence (1..4) followed again by the LOCATE button. The default PIN number is '1234', so the following button sequence would allow the unit to be unlocked : LOCATE, 1, 2, 3, 4, LOCATE.

  • When a correct PIN number sequence is entered, all LEDs on the BLU-8v2 will flash GREEN twice at 1Hz frequency. The unit will then be 'Unlocked' and normal operation of the buttons and rotaries will be possible.

  • If the PIN sequence entered is incorrect, the BLU-8v2 will flash RED twice at 1Hz frequency and remain in the 'Locked' state.

  • The 4-digit security PIN number may be entered as a property of the BLU-8v2 in London Architect, and is composed of the digits 1, 2, 3, or 4 only. This PIN number becomes active on the BLU-8v2 after a configuration download.

Unlocking a Locked BLU-8v2 using London Architect

You can use London Architect to unlock a currently locked BLU-8v2 (e.g. If you have forgotten the Lockout PIN) :

  • Load a London Architect design file which matches the BLU-8v2 on the network.

  • Click on the BLU-8v2 unit in the 'Main' view and set the 'Lockout PIN' property as required.

  • Go to 'Operate mode'. In the main view, right click on the BLU-8v2 with the mouse and select the 'Show Default Control Panel' option. This will open the BLU-8v2 default control panel.

  • Ensure that the 'Lockout on Sleep' and 'Lockout Active' buttons are OFF.

  • Go online and load the design to the BLU-8v2.

  • The BLU-8v2 will be unlocked.

Assigning Controls

The mapping of BLU-8v2 hardware controls onto control parameters and Presets is performed by a 'drag and drop' method from a control parameter to the BLU-8v2 Button Setup page, displayed by either double-clicking on the BLU-8v2 in the Main window or right-clicking on the BLU-8v2 and selecting BLU-8v2 Button Setup. Controls can be dragged either from the Design tree or from a control panel with the desired control, as shown in the following diagrams:

OR

The items that may be 'dragged and dropped' onto BLU-8v2 hardware controls are listed below for each of the 3 BLU-8v2 modes:

Single Mode

This mode is intended for control and monitoring of parameters and recalling Presets on a single page.

  • Left Rotary:

    • Source Selector input selection

    • Up to 8 parameter presets and/or venue presets

  • Right Rotary:

    • Any writeable control parameter

  • Buttons 1 to 4:

    • Any writeable boolean control parameter, such as a Mute, OR

    • Any Parameter Preset or Venue Preset

  • Meter:

    • Any control parameter

Button Mode

This mode is intended for control and monitoring of parameters and recalling Presets on up to four pages. Page selection is made using the four push buttons on the BLU-8v2.

  • Left Rotary:

    • Source Selector input selection (one for each page), OR

    • Up to 8 Parameter Presets or Venue Presets (for each page)

  • Right Rotary:

    • Any writeable control parameter (one for each page)

  • Buttons 1 to 4:

    • The buttons are preassigned to pages 1 to 4 in this mode.

  • Meter:

    • Any control parameter (one for each page)

Encoder Mode

This mode is intended for control / monitoring of parameters and Presets on up to eight pages. Page selection is made via the left rotary on the BLU-8v2.

  • Left Rotary:

    • Each of the eight positions of the rotary encoder is preassigned to pages 1 to 8 in this mode.

  • Right Rotary:

    • Any writeable control parameter (one for each page)

  • Buttons 1 to 4:

    • Any writeable boolean control parameter, such as a Mute, OR

    • Any Parameter Preset or Venue Preset (one per button for each page)

  • Meter:

    • Any control parameter (one for each page)

Setting BLU-8v2 Control Properties

Properties of BLU-8v2 controls may be set by clicking on the BLU-8v2 control in HiQnet London Architect (e.g. a button, rotary or meter) and examining the properties pane. The current mapping of control parameters or Presets to the BLU-8v2 control is also shown in the properties pane. These mappings can be deleted by clicking on the mapping in the properties pane and then clicking the '...' button which appears on the right. Mappings may of course be overridden by dragging another control parameter or Preset onto the BLU-8v2 control.

The following settings may be changed for controls on the BLU-8v2, depending on the active Mode:

  • The mode of operation for each button

    • Normal

    • Momentary

    • Inverted operation (e.g. with a mute, the button's LED will be lit when the mute is off)

  • The Active/Disabled inputs of a source selector assigned to the left rotary on the BLU-8v2.

  • The ability to control a subrange of control parameter values using the right rotary.

    • The minimum and maximum values controlled by the right rotary.

  • The ability to monitor a subrange of control parameter values on the Meter LEDs.

    • The minimum and maximum values displayed by the Meter.

  • The LED colours for the Meter. One colour is chosen from the 8 available LED colours for each of the 9 meter LEDs in all 10 states, encompassing 'all LEDs off' to 'all LEDs on' (minimum value to maximum value).

BLU-8v2 Button Properties - Button Type / Inverse

In 'Single Mode' and 'Encoder Mode', the BLU-8v2 button 'Type' and 'Inverse' properties may be set as illustrated in the diagram below:

BLU-8v2 Left Rotary Properties - Enable Rotary Channels

In 'Single Mode' and 'Button Mode', individual positions of the left rotary may be enabled or disabled by changing the 'Position x Enable' property as illustrated in the diagram below:

NOTE 1: If a source selector is associated with the BLU-8v2 left rotary, the state of the source selector's 'Allow None' property will automatically be applied to the BLU-8v2 left rotary on configuration download. With the 'Allow None' property enabled, turn the left rotary until none of it's LEDs are illuminated then press the rotary to select 'None'

NOTE 2: If a source selector is associated with the BLU-8v2 left rotary, the state of its 'Number of Channels' property will automatically be applied to the BLU-8v2 left rotary on configuration download. e.g. For a 4 channel source selector, the BLU-8v2 left rotary channels 5 through 8 will effectively have their 'Position x Enable' properties set to 'No' .

BLU-8v2 Right Rotary Properties - Subrange

By default, the BLU-8v2 right rotary will allow adjustment through the entire range (0 to 100%) of its associated control parameter value. This behaviour may be changed by defining a subrange of the control parameter's values to be controlled by the rotary. This subrange will also be indicated by the control display on the Meter LEDs when the rotary is adjusted. In all modes, the BLU-8v2 right rotary may be changed to control a Subrange of control parameter values by changing the 'Subrange' field to 'Yes' and defining the 'Subrange Minimum' and 'Subrange Maximum' fields as illustrated in the diagram below:

BLU-8v2 Meter Properties - Meter LED Colours / Subrange

In all configuration modes, the BLU-8v2 meter colours may be changed using the 'Advanced Setup' property to launch a dialog where the meter LED colours may be selected as illustrated in the diagram below:

Each column of the led meter configuration window corresponds to 10% of the value being displayed. A set of standard bargraph-style meter configurations are provided, coloured according to the page colour. These can be edited, or new meter maps created from scratch. To edit an LED step, click the appropriate led with the left mouse button. With each successive click, the colour will advance through the list of available colours - red, yellow, green, cyan, blue, magenta, white, amber. A right-click on any of the leds will turn them off.

By default, the BLU-8v2 Meter will display the entire range (0 to 100%) of its associated control parameter value. This behaviour may be changed by defining a subrange of the control parameter's values to be displayed on the Meter. In all configuration modes, the Meter may be changed to display a subrange of control parameter values by changing the 'Subrange' field to 'Yes' and defining the 'Subrange Minimum' and 'Subrange Maximum' fields as illustrated in the diagram above.

Basic BLU-8v2 Operation

Buttons 1 to 4

In 'Single Mode' and 'Encoder Mode' the BLU-8v2 buttons will be lit according to the the current state of its assigned control parameter, as follows:

  • Not illuminated:

    • No mapping exists to a control parameter or Preset for this button or the controlled parameter is offline.

  • Illuminated at low intensity in the current page colour:

    • Button is mapped to a control parameter or Preset and is in the 'Inactive' state.

  • Illuminated at high intensity in the current page colour:

    • Button is mapped to a control parameter or Preset and is in the 'Active' state.

In 'Button Mode' the BLU-8v2 buttons indicate the available pages (1 to 4) in the configured page colours. The currently active page will have the appropriate button LED illuminated at high intensity with all other button LEDs illuminated at low intensity.

Left Rotary - as Source Selector

The left rotary can be mapped onto a 'Source Selector' control in 'Single Mode' and 'Button Mode'. The current state of each source channel is indicated by its associated LED as follows:

  • Not illuminated:

    • Source channel is not available for selection. If no channels are illuminated then either no source select mapping exists or the mapped source selector is offline.

  • Illuminated at low intensity in the current page colour:

    • Source channel is available but not currently selected.

  • Illuminated at high intensity in the current page colour:

    • Source channel is currently selected.

  • Illuminated at high intensity in WHITE (or BLUE if the assigned page colour is WHITE):

    • Source channel is currently highlighted for selection using the left rotary. Pressing the left rotary will select the highlighted source channel.

When the left rotary is turned, a high intensity WHITE LED (or BLUE LED if the assigned page colour is WHITE) will follow the rotary position through the available source channels. A source channel may then be selected by depressing the left rotary shaft, at which point the WHITE or BLUE LED will switch to the current page colour at high intensity, indicating the new selection. If no selection is made within 4 seconds and the rotary shaft is left still, the left rotary LEDs will return to displaying the currently selected source channel. Note that no source channel changes will take place until the rotary is pressed at the desired channel's position.

NOTE 1: If a source selector is associated with the BLU-8v2 left rotary, the state of its 'Allow None' property will automatically be applied to the BLU-8v2 left rotary on configuration download. With the 'Allow None' property enabled, turn the left rotary until none of it's LEDs are illuminated then press the rotary to select 'None'

NOTE 2: If a source selector is associated with the BLU-8v2 left rotary, the state of its 'Number of Channels' property will automatically be applied to the BLU-8v2 left rotary on configuration download. e.g. For a 4 channel source select, the BLU-8v2 left rotary channels 5 through 8 will effectively have their 'Position x Enable' properties set to 'No' .

Left Rotary - as Preset Recalls

The left rotary can be mapped to individual Preset recalls in 'Button Mode'. Presets are assigned by London Architect to channels 1 to 8 in the same sequence as they are dropped onto the BLU-8v2 rotary (the next free channel is assigned to each preset dropped).

NOTE : 'Position x Enable' states in London Architect have no effect with this type of configuration.

The current state of each preset channel is indicated by its associated LED as follows :

  • Not illuminated

    • Channel has no Preset assigned to it.

  • Illuminated at low intensity in current page colour

    • Channel has an associated Preset, but is not currently selected.

  • Illuminated at high intensity in current page colour

    • Channel has an associated Preset, and is the last recalled preset from this BLU-8v2 unit.

  • Illuminated at high intensity in WHITE colour (or BLUE colour if the assigned page colour is WHITE)

    • Channel is currently highlighted for selection using the left rotary. Pressing the left rotary will select the highlighted source channel, activating it's associated Preset.

When the left rotary is turned, a high intensity WHITE LED (or BLUE LED if the assigned page colour is WHITE) will follow the rotary position through the available Presets. A Preset may then be recalled by depressing the left rotary shaft, at which point the high intensity LED colour will revert back to the current page colour. If no selection is made within 4 seconds with the rotary shaft still, the last activated Preset channel will be indicated by a high intensity LED in the current page colour. Note that no Presets will be recalled until the rotary shaft is depressed at the required Preset channel position.

Left Rotary - as Page Selector

In 'Encoder Mode' the BLU-8v2 left rotary is used to select the active page (1 to 8):

  • Only one page at a time will have its associated LED illuminated at high intensity and in the page colour.

  • As the left rotary is rotated, the high intensity page selection LED will follow the rotary position through pages 1 to 8 and change in colour to match the highlighted page.

  • A new page may be selected by depressing the left rotary shaft. This will cause the BLU-8v2 to assign its controls to the new page and change LED colours as necessary.

  • If the rotary shaft is still and no selection is made within 4 seconds, the page selection LED will move back to the position of the currently active page.

Right Rotary - Parameter Level Adjustment

When the right rotary is turned with a control parameter assigned to it, the value of that parameter will be modified according to the rotary position. The current control parameter level is indicated by a single high intensity LED, in the current page colour, on the BLU-8v2 Meter. This meter LED moves as the rotary position is adjusted. The Meter LEDs will return to their normal function after 4 seconds of right rotary inactivity.

Meter - Meter Level Monitoring

The BLU-8v2 Meter will indicate the current level of its assigned control parameter. The LEDs are illuminated at high intensity in the colours configured for the Meter in the currently selected page. The Meter LEDs are also used to indicate the value of the right rotary's assigned control parameter whilst it is being turned. This value will also be indicated on the Meter LEDs for 4 seconds after a page change.

Locate Button

  • Dim blue indicates that the BLU-8v2 is connected to the network.

  • Bright blue flashes indicate that the device is being located from HiQnet London Architect.

  • A steady red light indicates that there is a network error.

Firmware Upgrade

Firmware Upgrade from London Architect

If the firmware version is greater than that currently on BLU-8v2, HiQnet London Architect will automatically detect this when going Online and will prompt to go through the firmware upgrade process.

The firmware upgrade process can be manually initiated by clicking on the Load Firmware icon in the Network View: .

During a successful firmware upgrade rotating green LEDs around the Left Rotary will be observed on the BLU-8v2.

Firmware Upgrade using 'BootLoader.exe' Tool

In certain circumstances the BLU-8v2 firmware can only be loaded using the 'BootLoader.exe' tool. This is usually when :

  • BLU-8v2 is having firmware loaded for the first time and has not yet been allocated an IP address.

  • BLU-8v2 firmware upgrade from London Architect has failed.

To load the firmware using the 'BootLoader.exe' tool, the user should perform the following actions :

  • Close down any running copies of London Architect
  • Put the BLU-8v2 in Bootloader mode by holding the LOCATE button during power up of the BLU-8v2 device. Button LEDs 1 to 4 will be illuminated AMBER.
  • Launch the 'BootLoader.exe' tool

  • Select the Standard Transfer Mode' radio button.

  • Wait until the BLU-8v2 MAC Address appears in the list box (this should only take up to 5 seconds)

  • The MAC Address should start with the sequence '00:0F:D4:xx:xx:xx'. If this is not the case then no firmware loading will be possible as the device has not been assigned the correct BSS Audio MAC address during manufacture (please return the device to BSS Audio).

  • Select the 'Browse' button to locate the BLU-8v2 firmware file to load.

  • Select the 'Start' button to download the firmware to the BLU-8v2.

  • The button LEDs 1 to 4 will remain AMBER while the firmware is being transferred and will flash during programming.

Troubleshooting

BLU-8v2 Special button combinations during normal operation

The following special test modes are available on the BLU-8v2 as follows :

LOCATE and BUTTON 1 : LED Test 1 Mode

Entering this mode will cause the BLU-8v2 to be returned to its factory default settings. With BLU-8v2 operational, holding the 'LOCATE + Button 1' continuously for over 5 seconds will cause BLU-8v2 to run a LED test program where all LEDs are illuminated at all brightnesses in the following sequence :

  • all LEDs RED

  • all LEDs YELLOW

  • all LEDs GREEN

  • all LEDs CYAN

  • all LEDs BLUE

  • all LEDs MAGENTA

  • all LEDs WHITE

  • all LEDs AMBER

Holding the LOCATE button for over 5 seconds continuously, will return BLU-8v2 to its normal operating mode. Power cycling the BLU-8v2 will also return the BLU-8v2 to its normal operating mode.

NOTES :

  • On return to normal operating mode, 'Auto IP' mode is automatically selected. This can therefore be used to recover from a situation where an incorrect manual IP address has been assigned to the BLU-8v2 device. In Auto IP mode the BLU-8v2 device is assigned either a DHCP allocated IP address or an address in the range 169.254.x.x

  • On return to normal operating mode, the BLU-8v2's factory default settings will have been restored :

  • Auto-IP will be enabled by default

  • The current configuration will be empty (a new configuration can be loaded).

  • Lockout security PIN code will be set to '1234'. Lockout will be disabled.

LOCATE and BUTTON 2 : LED Test 2 Mode

With BLU-8v2 operational, holding the 'LOCATE + Button 2' continuously for over 5 seconds will cause BLU-8v2 to run a LED test program where all LEDs are illuminated at all brightnesses in the following sequence :

  • all LEDs RED
  • all LEDs YELLOW
  • all LEDs GREEN
  • all LEDs CYAN
  • all LEDs BLUE
  • all LEDs MAGENTA
  • all LEDs WHITE
  • all LEDs AMBER

Holding the LOCATE button for over 5 seconds continuously, will return BLU-8v2 to its normal operating mode. Power cycling the BLU-8v2 will also return the BLU-8v2 to its normal operating mode.

NOTE :

  • On return to normal operating mode, 'Auto IP' mode is automatically selected. This can therefore be used to recover from a situation where an incorrect manual IP address has been assigned to the BLU-8v2 device. In Auto IP mode the BLU-8v2 device is assigned either a DHCP allocated IP address or an address in the range 169.254.x.x

LOCATE and BUTTON 3 : Button Demo Mode

With BLU-8v2 operational, holding the 'LOCATE + Button 3' continuously for over 5 seconds causes BLU-8v2 to run a 'Button' demo program (4 pages).

It is possible to interact with the 'Button' demo program without affecting anything in the 'real world' system.

Holding the LOCATE button for over 5 seconds continuously, will return BLU-8v2 to its normal operating mode. Power cycling the BLU-8v2 will also return the BLU-8v2 to its normal operating mode.

BLU-8v2 Special Button Combinations On Power Up

When the BLU-8v2 powers up, certain special button combinations get taken into account :

LOCATE : Forced BootLoader Mode

Holding the LOCATE button during power up of the BLU-8v2 device forces BLU-8v2 into its 'BootLoader' mode. In this mode buttons 1 to 4 will be illuminated in AMBER. The following are possible :

  • Firmware may be downloaded with the 'BootLoader.exe' tool.

  • BLU-8v2 may be power cycled to return the BLU-8v2 to its normal operating mode.

A successful launch of the application firmware is indicated by the following:

  • Buttons 1 to 4 GREEN colour - Application checksummed correctly.

  • Encoder LEDs rotating in YELLOW colour - Application is starting up.

In BootLoader mode, possible error combinations are indicated on buttons 1 to 4 as follows:

  • Fatal Error - LEDs 1,2,3,4 - RED, RED, RED, RED - Power cycle the unit

  • General Error - LEDs 1, 2, 3, 4 - RED, AMBER, RED, AMBER - Power cycle the unit

  • MAC Address Error - LEDs 1, 2, 3, 4 - RED, WHITE, RED, WHITE - Power cycle the unit

  • FPGA Error - LEDs 1, 2, 3, 4 - RED, BLUE, RED, BLUE - Power cycle the unit

  • Invalid Application Error - LEDs 1, 2, 3, 4 - RED, GREEN, RED, GREEN - Download a new firmware file using Bootloader.exe

BLU-8v2 Network operation

Unlike the original BLU-8, the BLU-8v2 will operate on a network with CobraNet traffic although BSS recommends that for good practice CobraNet traffic is transferred on a separate network to the HiQNet control network.


Crown Control

London Architect also offers simultaneous and integrated control of Crown Audio Modules as used in the CTs series of amplifiers and the MacoTech i Series amplifiers, providing the most powerful CobraNet-based integrated processing, amplification and monitoring system available.

Soundweb London can connect to either the normal USP-3 card or PIP-LITE, the PIP BLU which benefits from BSS Audio BLU link, as well as CobraNet-based CTs 4200, CTs 8200, USP3/CN and USP4/CN, for audio transmission over the network. The control panel within London Architect for these modules can provide feedback information such as error reporting, load monitoring and other amplifier information, as well as the normal signal level indication.

Parameter presets can be stored via London Architect and recalled by using a London device as a proxy. The proxy can be selected in the properties for the device. All London devices which are in your design will be listed for you to select which one you wish to use as proxy. When a parameter preset or venue preset is recalled, the proxy device manages the setting of the Crown module or amplifier to its preset state.

Crown USP3/CNs and USP4/CNs have CobraNet audio and control on the same network. When on a large network with London devices, BSS Audio recommends the use of a VLAN to keep the audio separate from the control network.

The Crown TCP/IQ Utility or HiQnet System Architect will be required to load the latest firmware onto the modules. HiQnet System Architect or the Crown IQwic software is required to configure the PIP cards with the exception of the PIP-BLU which is configured from within London Architect. .

These programs and the latest firmware can be found on Crown Audio's website at http://www.crownaudio.com

For the PIP-BLU - http://www.crownaudio.com/pip_htm/PIPBlu.htm


Event IDs

Event Log Monitor Event IDs

The following are the Categories and Event IDs for the Crown amps.

Macro Tech - i Series

Category | Event | Message | Aux | Network
16 | 1 | Line Voltage Below Limit |  | x
16 | 2 | Line Voltage Above Limit |  | x
16 | 3 | Power Supply Temperature Above Limit |  | x
16 | 4 | Channel 1 Temperature Above Limit |  | x
16 | 5 | Channel 2 Temperature Above Limit |  | x
16 | 6 | Channel 1 Input Clipped |  | x
16 | 7 | Channel 2 Input Clipped |  | x
16 | 8 | Channel 1 Output Clipped |  | x
16 | 9 | Channel 2 Output Clipped |  | x
16 | 10 | Ch1 Load Impedance Below Limit |  | x
16 | 11 | Ch1 Load Impedance Above Limit |  | x
16 | 12 | Ch2 Load Impedance Below Limit |  | x
16 | 13 | Ch2 Load Impedance Above Limit |  | x
16 | 14 | Fan Error |  | x

USP3(/CN)

Category | Event | Message | Aux | Network
16 | 1 | TDH above limit on Channel 1 | x | x
16 | 2 | TDH above limit on Channel 2 | x | x
16 | 3 | Excessive Clipping on Channel 1 | x | x
16 | 4 | Excessive Clipping on Channel 2 | x | x
16 | 5 | Fault on Channel 1 | x | x
16 | 6 | Fault on Channel 2 | x | x
16 | 7 | Load below limit on Channel 1 | x | x
16 | 8 | Load above limit on Channel 1 | x | x
16 | 9 | Load below limit on Channel 2 | x | x
16 | 10 | Load above limit on Channel 2 | x | x
16 | 11 | AC line voltage below limit | x | x
16 | 12 | AC line voltage above limit | x | x
16 | 27 | Component at max workload | x | x
16 | 28 | CobraNet audio dropout on RxX, bundle YYY |  |
16 | 40 | SLM impedance test: failure on Channel 1 |  | x
16 | 40 | SLM impedance test: setup error on Channel 1 |  | x
16 | 40 | SLM impedance test: insufficient signal level on Channel 1 |  | x
16 | 40 | SLM freq resp test: failure on Channel 1 |  | x
16 | 40 | SLM freq resp test: setup error on Channel 1 |  | x
16 | 40 | SLM freq resp test: insufficient signal level on Channel 1 |  | x
16 | 40 | SLM reference curve acquisition: insufficient signal level on Channel 1 |  | x
16 | 40 | SLM impedance test: failure on Channel 2 |  | x
16 | 40 | SLM impedance test: setup error on Channel 2 |  | x
16 | 40 | SLM impedance test: insufficient signal level on Channel 2 |  | x
16 | 40 | SLM freq resp test: failure on Channel 2 |  | x
16 | 40 | SLM freq resp test: setup error on Channel 2 |  | x
16 | 40 | SLM freq resp test: insufficient signal level on Channel 2 |  | x
16 | 40 | SLM reference curve acquisition: insufficient signal level on Channel 2 |  | x
16 | 13 | Pilot tone current below threshold on channel 1 | x | x
16 | 14 | Pilot tone current below threshold on channel 2 | x | x
16 | 15 | Pilot tone current above threshold on channel 1 | x | x
16 | 16 | Pilot tone current above threshold on channel 2 | x | x

PIP-Lite

Category | Event | Message | Aux | Network
16 | 1 | Thermal Reserve above limit on Ch 1 | x | x
16 | 2 | Thermal Reserve above limit on Ch 2 | x | x
16 | 3 | Excessive Clipping on Ch 1 | x | x
16 | 4 | Excessive Clipping on Ch 2 | x | x
16 | 5 | Fault on Ch 1 | x | x
16 | 6 | Fault on Ch 2 | x | x
16 | 7 | Load below limit on Ch 1 | x | x
16 | 8 | Load above limit on Ch 1 | x | x
16 | 9 | Load below limit on Ch 2 | x | x
16 | 10 | Load above limit on Ch 2 | x | x
16 | 11 | AC line voltage below limit | x | x
16 | 12 | AC line voltage above limit | x | x

PIP-BLU

Category | Event | Message | Aux | Network
16 | 1 | Line Voltage Below Limit |  | x
16 | 2 | Line Voltage Above Limit |  | x
16 | 3 | Channel 1 Temperature Above Limit |  | x
16 | 4 | Channel 2 Temperature Above Limit |  | x
16 | 5 | Channel 1 Input Clipped |  | x
16 | 6 | Channel 2 Input Clipped |  | x
16 | 7 | Channel 1 Output Clipped |  | x
16 | 8 | Channel 2 Output Clipped |  | x
16 | 9 | Channel 1 Load Impedance Below Limit |  | x
16 | 10 | Channel 1 Load Impedance Above Limit |  | x
16 | 11 | Channel 2 Load Impedance Below Limit |  | x
16 | 12 | Channel 2 Load Impedance Above Limit |  | x
19 | 97 | Blu Link Master Change Event |  |
19 | 99 | Blu Link Sync Change Event |  |
19 | 100 | Blu Link Audio Event |  |
19 | 101 | Blu Link Error Event |  |

USP4CN

Category | Event | Message | Aux | Network
16 | 1 | Line Voltage Below Limit | x | x
16 | 2 | Line Voltage Above Limit | x | x
16 | 3 | Channel 1 Temperature Above Limit | x | x
16 | 4 | Channel 2 Temperature Above Limit | x | x
16 | 5 | Channel 1 Analog Input Clipped |  | x
16 | 6 | Channel 2 Analog Input Clipped |  | x
16 | 7 | Channel 1 AES Input Clipped |  | x
16 | 8 | Channel 2 AES Input Clipped |  | x
16 | 9 | Channel 1 CobraNet Input Clipped |  | x
16 | 10 | Channel 2 CobraNet Input Clipped |  | x
16 | 11 | Channel 1 Processing Output Clipped | x | x
16 | 12 | Channel 2 Processing Output Clipped | x | x
16 | 13 | Channel 1 Amplifier Output Clipped | x | x
16 | 14 | Channel 2 Amplifier Output Clipped | x | x
16 | 15 | Ch1 Load Impedance Below Limit | x | x
16 | 16 | Ch1 Load Impedance Above Limit | x | x
16 | 17 | Ch2 Load Impedance Below Limit | x | x
16 | 18 | Ch2 Load Impedance Above Limit | x | x
16 | 19 | SLM impedance test: failure on Channel 1 | x | x
16 | 20 | SLM impedance test: failure on Channel 2 | x | x
16 | 21 | SLM impedance test: setup error on Channel 1 | x | x
16 | 22 | SLM impedance test: setup error on Channel 2 | x | x
16 | 23 | SLM impedance test: insufficient signal level on Channel 1 | x | x
16 | 24 | SLM impedance test: insufficient signal level on Channel 2 | x | x
16 | 25 | SLM freq resp test: failure on Channel 1 | x | x
16 | 26 | SLM freq resp test: failure on Channel 2 | x | x
16 | 27 | SLM freq resp test: setup error on Channel 1 | x | x
16 | 28 | SLM freq resp test: setup error on Channel 2 | x | x
16 | 29 | SLM freq resp test: insufficient signal level on Channel 1 | x | x
16 | 30 | SLM freq resp test: insufficient signal level on Channel 2 | x | x
16 | 31 | SLM reference curve acquisition: insufficient signal level on Channel 1 | x | x
16 | 32 | SLM reference curve acquisition: insufficient signal level on Channel 2 | x | x
16 | 33 | Channel 1 Pilot tone Below threshold | x | x
16 | 34 | Channel 2 Pilot tone Below threshold | x | x
16 | 35 | Channel 1 Pilot tone Above threshold | x | x
16 | 36 | Channel 2 Pilot tone Above threshold | x | x
16 | 37 | Channel 1 Source changed to High priority input |  | x
16 | 38 | Channel 2 Source changed to High priority input |  | x
16 | 39 | Channel 1 Source changed to Medium priority input |  | x
16 | 40 | Channel 2 Source changed to Medium priority input |  | x
16 | 41 | Channel 1 Source changed to Low priority input |  | x
16 | 42 | Channel 2 Source changed to Low priority input |  | x

MC-CN

Category | Event | Message | Aux | Network
16 | 1 | CobraNet audio dropout on RxX, bundle YYY |  |
16 | 11 | TDH above limit on Channel 1 | x | x
16 | 12 | TDH above limit on Channel 2 | x | x
16 | 13 | TDH above limit on Channel 3 | x | x
16 | 14 | TDH above limit on Channel 4 | x | x
16 | 15 | TDH above limit on Channel 5 | x | x
16 | 16 | TDH above limit on Channel 6 | x | x
16 | 17 | TDH above limit on Channel 7 | x | x
16 | 18 | TDH above limit on Channel 8 | x | x
16 | 21 | Excessive Clipping on Channel 1 | x | x
16 | 22 | Excessive Clipping on Channel 2 | x | x
16 | 23 | Excessive Clipping on channel 3 | x | x
16 | 24 | Excessive Clipping on channel 4 | x | x
16 | 25 | Excessive Clipping on channel 5 | x | x
16 | 26 | Excessive Clipping on channel 6 | x | x
16 | 27 | Excessive Clipping on channel 7 | x | x
16 | 28 | Excessive Clipping on channel 8 | x | x
16 | 31 | Fault on Channel 1 | x | x
16 | 32 | Fault on Channel 2 | x | x
16 | 33 | Fault on Channel 3 | x | x
16 | 34 | Fault on Channel 4 | x | x
16 | 35 | Fault on Channel 5 | x | x
16 | 36 | Fault on Channel 6 | x | x
16 | 37 | Fault on Channel 7 | x | x
16 | 38 | Fault on Channel 8 | x | x
16 | 41 | Load below limit on Channel 1 | x | x
16 | 42 | Load above limit on Channel 1 | x | x
16 | 43 | Load below limit on Channel 2 | x | x
16 | 44 | Load above limit on Channel 2 | x | x
16 | 45 | Load below limit on channel 3 | x | x
16 | 46 | Load above limit on channel 3 | x | x
16 | 47 | Load below limit on channel 4 | x | x
16 | 48 | Load above limit on channel 4 | x | x
16 | 49 | Load below limit on channel 5 | x | x
16 | 50 | Load above limit on channel 5 | x | x
16 | 51 | Load below limit on channel 6 | x | x
16 | 52 | Load above limit on channel 6 | x | x
16 | 53 | Load below limit on channel 7 | x | x
16 | 54 | Load above limit on channel 7 | x | x
16 | 55 | Load below limit on channel 8 | x | x
16 | 56 | Load above limit on channel 8 | x | x
16 | 61 | Line Voltage out of range |  | x
16 | 71 | Power Supply: Temperature above limit. |  |
16 | 81 | Bridge Switch: Has changed positions on the channel 1-2 pair. | x | x
16 | 82 | Bridge Switch: Has changed positions on the channel 3-4 pair. | x | x
16 | 83 | Bridge Switch: Has changed positions on the channel 5-6 pair | x | x
16 | 84 | Bridge Switch: Has changed positions on the channel 7-8 pair. | x | x
16 | 90 | Component at max workload |  |
16 | 91 | Pilot tone current below threshold on channel | x | x
16 | 92 | Pilot tone current below threshold on channel 2 | x | x
16 | 93 | Pilot tone current below threshold on channel 3 | x | x
16 | 94 | Pilot tone current below threshold on channel 4 | x | x
16 | 95 | Pilot tone current below threshold on channel 5 | x | x
16 | 96 | Pilot tone current below threshold on channel 6 | x | x
16 | 97 | Pilot tone current below threshold on channel 7 | x | x
16 | 98 | Pilot tone current below threshold on channel 8 | x | x
16 | 101 | The Input Pot Position of Channel 1 is not within range of the preferred value | x | x
16 | 102 | The Input Pot Position of Channel 2 is not within range of the preferred value | x | x
16 | 103 | The Input Pot Position of Channel 3 is not within range of the preferred value. | x | x
16 | 104 | The Input Pot Position of Channel 4 is not within range of the preferred value. | x | x
16 | 105 | The Input Pot Position of Channel 5 is not within range of the preferred value. | x | x
16 | 106 | The Input Pot Position of Channel 6 is not within range of the preferred value | x | x
16 | 107 | The Input Pot Position of Channel 7 is not within range of the preferred value. | x | x
16 | 108 | The Input Pot Position of Channel 8 is not within range of the preferred value | x | x
16 | 121 | Pilot tone current above threshold on channel | x | x
16 | 122 | Pilot tone current above threshold on channel 2 | x | x
16 | 123 | Pilot tone current above threshold on channel 3 | x | x
16 | 124 | Pilot tone current above threshold on channel 4 | x | x
16 | 125 | Pilot tone current above threshold on channel 5 | x | x
16 | 126 | Pilot tone current above threshold on channel 6 | x | x
16 | 127 | Pilot tone current above threshold on channel 7 | x | x
16 | 128 | Pilot tone current above threshold on channel 8 | x | x

I-Tech HD

Category | Event | Message | Aux | Network
16 | 1 | Line Voltage Below Limit |  | x
16 | 2 | Line Voltage Above Limit |  | x
16 | 3 | Power Supply Temperature Above Limit |  | x
16 | 4 | Channel 1 Temperature Above Limit |  | x
16 | 5 | Channel 2 Temperature Above Limit |  | x
16 | 6 | Channel 1 Analog Input Clipped |  | x
16 | 7 | Channel 2 Analog Input Clipped |  | x
16 | 8 | Channel 1 AES Input Clipped |  | x
16 | 9 | Channel 2 AES Input Clipped |  | x
16 | 10 | Channel 1 CobraNet Input Clipped |  | x
16 | 11 | Channel 2 CobraNet Input Clipped |  | x
16 | 12 | Channel 1 Processing Output Clipped |  | x
16 | 13 | Channel 2 Processing Output Clipped |  | x
16 | 14 | Channel 1 Amplifier Output Clipped |  | x
16 | 15 | Channel 2 Amplifier Output Clipped |  | x
16 | 16 | Ch1 Load Impedance Below Limit |  | x
16 | 17 | Ch1 Load Impedance Above Limit |  | x
16 | 18 | Ch2 Load Impedance Below Limit |  | x
16 | 19 | Ch2 Load Impedance Above Limit |  | x
16 | 20 | Fan Error |  | x
16 | 21 | SLM impedance test: failure on Channel 1 |  | x
16 | 22 | SLM impedance test: failure on Channel 2 |  | x
16 | 23 | SLM impedance test: setup error on Channel 1 |  | x
16 | 24 | SLM impedance test: setup error on Channel 2 |  | x
16 | 25 | SLM impedance test: insufficient signal level on Channel 1 |  | x
16 | 26 | SLM impedance test: insufficient signal level on Channel 2 |  | x
16 | 27 | SLM freq resp test: failure on Channel 1 |  | x
16 | 28 | SLM freq resp test: failure on Channel 2 |  | x
16 | 29 | SLM freq resp test: setup error on Channel 1 |  | x
16 | 30 | SLM freq resp test: setup error on Channel 2 |  | x
16 | 31 | SLM freq resp test: insufficient signal level on Channel 1 |  | x
16 | 32 | SLM freq resp test: insufficient signal level on Channel 2 |  | x
16 | 33 | SLM reference curve acquisition: insufficient signal level on Channel 1 |  | x
16 | 34 | SLM reference curve acquisition: insufficient signal level on Channel 2 |  | x


Tutorials

Design File Security

Creating a System Login and Setting Up User Level Access

Creating new users

Connecting to a Soundweb London network

Connecting to a Soundweb London network

Using London Architect to manage Omnidrive programs

Using London Architect to manage Omnidrive programs

See Also

Download the Soundweb London Interactive Training Modules


Creating a System Login and Setting Up User Level Access

Setting up Design File Security

To access the Security Settings for this file we need to open the Security Dialog Box. On the Main Menu, select Tools > Set Up Design Security Settings...

You must be in design mode (not Operate) in order for this option to be available in the menu.

Select the Enable Security for this Design File check box.

Setting Up Admin Level Access

Enter and Re-enter your password.

When setting up file security preferences for the first time you are required to enter a password for the System Administrator. Write this password down and keep it in a safe place, THERE IS NO BACK DOOR! If you lose your Admin password you will not be able to log in and make changes to the system.

Now you are ready to create additional user logins and assign their access rights.


Creating new users

There are many different applications that can be applied via the flexibility offered in London Architect's security settings. Multiple users can each be give their own login with access to specific control panels for that user. First of all new users have to be created in order to apply access rights to them.

It would be good policy to consider what access you would like to assign to particular users of your system. For example, you can design custom control panels that have sets of pertinent controls that would be useful in the day to day operation of the system. Particular panels can then be assigned to particular user log ins to further define the level of control given to people with different requirements, and expectations, from the system.

Go to Tools > Set Up Design Security Settings. Tick the Enable Security for this Design File box. You will be prompted to enter a password for the Administrator who is the only one who can set design rights for users.

Select <Add new user...> from the drop down menu. Enter the user name and enter and re-enter the password for that user.

Now set design rights for the user.

There are four levels of Design Rights

  • No Access does not allow any design and four levels of control panel options.
  • Read Only does not allow any design and gives full control of control panels.
  • Control Panels Only allows the design and layout of control panels to be changed and gives full control of control panels
  • Full Access allows the user to change any part of the design and gives full control of control panels.
With No Access selected for Design Rights you can assign various levels of access for each of the Control Panels in your design.

Using the drop down menus, you can choose No Access to prohibit access to this Control Panel. If you choose Read Only, the operator will be able to view the Control Panel but not make any changes. If you select Hyperlinks Only, the operator will be able to view the Control Panel and use and hyperlinks on the panel to jump to other panels. Full Control allows the operator access to all controls located on the Control Panel. These settings can be different for each user on each Control Panel allowing you complete flexibilty when setting up your system security.

When trying to access a secure system, select the user you wish to log in as and enter the correct password to access the system.

Once the security settings are completed close the dialogue box. To test your application you can 'Log Off' from the design file using this command in the Tools menu, alternatively use (Ctrl+L). The design will close and the Log On screen will appear. Select your user from the drop down list, enter the password assigned earlier and press the'Logon' button. The design should now exhibit the particular settings that were programmed for that user.

To change user (or to get back to Admin) use the Log Off command (Tools > Log Off or Ctrl+L). To delete users from the security settings log in as Admin and then use the 'Delete User' button for the selected user. Note that Admin cannot be deleted.

TIP: Before starting Design File Security setup, delete all unreferenced default control panels. This will reduce the number of control panels displayed in the list when defining user access rights and help reduce your file size.

Setting the Start Page

Each user can have a page from a custom control panel which is activated whenever they log on. Pressing the button "Set Start Page..." opens up the start page dialog. The current start page for the user will be highlighted. If no page is highlighted then no start page is set for the user.

Select the control page you wish to activate and press OK. Note that the start page can be any sub-page of a control panel. This is useful for starting different users on different pages within the same control panel. Use "Clear Selection" to clear the start page for the user.


Using London Architect to manage Omnidrive programs

Using London Architect to manage Omnidrive programs

This guide will walk you through the process of using HiQnet London Architect to copy individual Programs to an Omnidrive. Before you begin, please review the firmware update guide and the PC control guide to make sure your device is up to date with the appropriate firmware and you can connect to it with London Architect.

For the purpose of this tutorial we will assume that you have a London Architect file containing an FDS device containing either your own programs or a file distributed by a loudspeaker manufacturer. We will show you how to copy just the program(s) you need from a file into your device.

Start by connecting your device to your PC and launching London Architect. Confirm that your device is listed in the Network window under the Serial COM category. Ensure the serial COM port is enabled.

Open the London Architect file you wish to copy a program from. You will see an FDS-366 device in the Layout window.

Drag the device listed in the Network window under Serial Com up to the Layout window creating a second FDS-366. This device will be displayed with a green star above which indicates that it matches a device connected to the computer.

Before we copy any programs we need to synchronize from the device in order to capture its programs. You can synchronize from a device to capture all its programs for archiving within a London Architect file. Click on the 'Run' button (which looks like a VCR play button) in the tool bar at the top of the window or the 'Online' button at the bottom of the window. This is called 'Going Online'.

A warning message about synchronizing with an Omnidrive will appear. Press OK and the Parameter Synchronization window will be displayed. Pressing the red arrow will receive the current values from the device. Press the red arrow now to receive all the programs from the Omnidrive. If you were to press the green arrow, the values on the computer would be sent to the device.

Once you have finished retrieving all of the programs from the device, click on System in the Main Menu Bar and choose Go Offline from the list. This will take you offline but leave you in Operate mode and allow you to access and change the Omnidrive's programs you just retrieved from the device. When in this mode, changes are done in software only and do not affect the device until you go online and synchronize to the device once again.

In the Layout window, double click on the device you dragged from the Network window (U2) to open its default control panel. Once the Control Panel is open click on the Programs button.

Use the drop down box to view the programs in device U1. This should be the list of programs you want to copy from.

Choose the program from the list that you want to copy and press the Recall button. This will load the selected program into the active memory slot of U2. Now you can store this program to one of the internal Program locations.

Press Store and select a new location to store the program. You will be asked to name the new file. If needed, we suggest using dashes instead of spaces in your file name. Repeat this process for each of the files you wish to copy.

When you are done copying files, it is time to go back online with the device. Click on the Online button and press OK on the warning dialog box to open the Parameter Synchronization window. This time you will send values to the device by clicking the green arrow. After the device has finished loading you may go back offline and save your new London Architect file with all of your programs.


Reference Section

BLU-80/BLU-16/BLU-32 Technical Specifications

BLU-80/BLU-16/BLU-32 Network Specifications

BLU-800/BLU-805/BLU-806/BLU-160/BLU-320/BLU-325/BLU-326/BLU-120 Technical Specifications

BLU-800/BLU-805/BLU-806/BLU-160/BLU-320/BLU-325/BLU-326/BLU-120 Network Specifications

BLU-800/BLU-160/BLU-320/BLU-120 Technical explanation of DSP usage

BLU-80/BLU-16/BLU-32 Installation Guide

BLU-800/BLU-160/BLU-320/BLU-120 Installation Guide

BLU-100 Installation Guide

BLU-101 Installation Guide

BLU-102 Installation Guide

BLU-10 Installation Guide

BLU-8 Installation Guide

BLU-8v2 Installation Guide

BLU-3 Installation Guide

BLU-6 Installation Guide

BLU link

BLU-BOB Technical Specifications

BLU-BOB Network Specifications

BLU-BIB Technical Specifications

BLU-BIB Network Specifications

BLU-HIF Technical Specifications

BLU-100 Technical Specifications

BLU-100 Network Specifications

BLU-101 Technical Specifications

BLU-101 Network Specifications

BLU-102 Technical Specifications

BLU-102 Network Specifications

Control Port Connections

Event Descriptions

DEV Files

BLU Series Firmware Updates

Write System Information

Buddy Link

BNC Sync

Keyboard Shortcuts

Digital Cards

AEC Cards

Telephone Hybrid Cards

Processing Object Descriptions

Support for remote access via VPN

Network Troubleshooting

Network Cable Termination Guide

Boot Loader

London Configurator


BLU-80/BLU-16/BLU-32 Installation Guide

'BLU-80/BLU-16/BLU-32 Installation Guide'

SAFETY NOTIFICATIONS

IMPORTANT SAFETY INSTRUCTIONS
The symbols shown above are internationally accepted symbols that warn of potential hazards with electrical products. The lightning flash with arrowpoint in an equilateral triangle means that there are dangerous voltages present within the unit. The exclamation point in an equilateral triangle indicates that it is necessary for the user to refer to the owner’s manual.

These symbols warn that there are no user serviceable parts inside the unit. Do not open the unit. Do not attempt to service the unit yourself. Refer all servicing to qualified personnel. Opening the chassis for any reason will void the manufacturer’s warranty. Do not get the unit wet. If liquid is spilled on the unit, shut it off immediately and take it to a dealer for service. Disconnect the unit during storms to prevent damage.

NOTICE FOR CUSTOMERS IF YOUR UNIT IS EQUIPPED WITH A POWER CORD

WARNING: THIS APPLIANCE SHALL BE CONNECTED TO A MAINS SOCKET OUTLET WITH A PROTECTIVE EARTHING CONNECTION.

The cores in the mains lead are coloured in accordance with the following code:

GREEN and YELLOW = Earth

BLUE = Neutral

BROWN = Live

As colours of the cores in the mains lead of this appliance may not correspond with the coloured markings identifying the terminals in your plug, proceed as follows:

  • The core which is coloured green and yellow must be connected to the terminal in the plug marked with the letter E, or with the earth symbol, or coloured green, or green and yellow.
  • The core which is coloured blue must be connected to the terminal marked N or coloured black.
  • The core which is coloured brown must be connected to the terminal marked L or coloured red.

This equipment may require the use of a different line cord, attachment plug, or both, depending on the available power source at installation. If the attachment plug needs to be changed, refer servicing to qualified service personnel who should refer to the table below. The green/yellow wire shall be connected directly to the units chassis.

 |  | WIRE COLOR
CONDUCTOR |  | Normal | Alt
L | LIVE | BROWN | BLACK
N | NEUTRAL | BLUE | WHITE
E | EARTH GRD | GREEN/YELL | GREEN

WARNING: If the ground is defeated, certain fault conditions in the unit or in the system to which it is connected can result in full line voltage between chassis and earth ground. Severe injury or death can then result if the chassis and earth ground are touched simultaneously.

WARNING FOR YOUR PROTECTION PLEASE READ THE FOLLOWING:

KEEP THESE INSTRUCTIONS.

HEED ALL WARNINGS.

FOLLOW ALL INSTRUCTIONS.

THE APPARATUS SHALL NOT BE EXPOSED TO DRIPPING OR SPLASHING LIQUID AND NO OBJECT FILLED WITH LIQUID, SUCH AS VASES, SHALL BE PLACED ON THE APPARATUS.

CLEAN ONLY WITH A DRY CLOTH.

DO NOT BLOCK ANY OF THE VENTILATION OPENINGS. INSTALL IN ACCORDANCE WITH THE MANUFACTURER’S INSTRUCTIONS.

DO NOT INSTALL NEAR ANY HEAT SOURCES SUCH AS RADIATORS, HEAT REGISTERS, STOVES, OR OTHER APPARATUS (INCLUDING AMPLIFIERS) THAT PRODUCE HEAT.

ONLY USE ATTACHMENTS/ACCESSORIES SPECIFIED BY THE MANUFACTURER.

UNPLUG THIS APPARATUS DURING LIGHTNING STORMS OR WHEN UNUSED FOR LONG PERIODS OF TIME.

Do not defeat the safety purpose of the polarized or grounding-type plug. A polarized plug has two blades with one wider than the other. A grounding type plug has two blades and a third grounding prong. The wide blade or third prong are provided for your safety. If the provided plug does not fit your outlet, consult an electrician for replacement of the obsolete outlet. Protect the power cord from being walked on or pinched particularly at plugs, convenience receptacles, and the point where they exit from the apparatus. Use only with the cart stand, tripod bracket, or table specified by the manufacture, or sold with the apparatus. When a cart is used, use caution when moving the cart/apparatus combination to avoid injury from tip-over.

Refer all servicing to to qualified service personnel. Servicing is required when the apparatus has been damaged in any way, such as power-supply cord or plug is damaged, liquid has been spilled or objects have fallen into the apparatus, the apparatus has been exposed to rain or moisture, does not operate normally, or has been dropped.

POWER ON/OFF SWITCH: For products provided with a power switch, the power switch DOES NOT break the connection from the mains.

MAINS DISCONNECT: The plug shall remain readily operable. For rack-mount or installation where plug is not accessible, an all-pole mains switch with a contact separation of at least 3 mm in each pole shall be incorporated into the electrical installation of the rack or building.

FOR UNITS EQUIPPED WITH EXTERNALLY ACCESSIBLE FUSE RECEPTACLE: Replace fuse with same type and rating only.

MULTIPLE-INPUT VOLTAGE: This equipment may require the use of a different line cord, attachment plug, or both, depending on the available power source at installation. Connect this equipment only to the power source indicated on the equipment rear panel. To reduce the risk of fire or electric shock, refer servicing to qualified service personnel or equivalent.

U.K. MAINS PLUG WARNING

A molded mains plug that has been cut off from the cord is unsafe. Discard the mains plug at a suitable disposal facility. NEVER UNDER ANY CIRCUMSTANCES SHOULD YOU INSERT A DAMAGED OR CUT MAINS PLUG INTO A 13 AMP POWER SOCKET. Do not use the mains plug without the fuse cover in place. Replacement fuse covers can be obtained from your local retailer. Replacement fuses are 13 amps and MUST be ASTA approved to BS1362.

ELECTROMAGNETIC COMPATABILITY

This unit conforms to the Product Specifications noted on the Declaration of Conformity. Operation is subject to the following two conditions:
  • This device may not cause harmful interference, and
  • This device must accept any interference received, including interference that may cause undesired operation.

Operation of this unit within significant electromagnetic fields should be avoided. Use only shielded interconnecting cables.

REGULATORY INFORMATION

An example of this equipment has been tested and found to comply with the following European and international Standards for Electromagnetic Compatibility and Electrical Safety:
Radiated Emissions (EU): EN55103-1 (1996)

Immunity (EU): EN55103-2 (1996)

Electrical Safety (EU): EN60065 (2002)

Radiated Emissions (USA): FCC part 15 Class B

Electrical safety (USA): UL60065 (2005)

IMPORTANT USER INFORMATION

Do not remove covers. No user serviceable parts inside, refer servicing to qualified service personnel. For continued compliance with international EMC regulations, it is important that all cables be screened, and connected as follows: Audio cable screens to their BLU-80 connector ground. Control cable screens to the ground screws adjacent to the connector. Network cables should be of type CAT.5, fitted with a clip-on ferrite sleeve (STEWART TYPE 28A2029-0A0) near the network socket end. This equipment must be earthed. It should not be necessary to remove any protective earth or signal cable shield connections to prevent ground loops. Any such disconnections are outside the recommended practice of BSS Audio, and will render the EMC or safety certificate void.

MECHANICAL INSTALLATION

The device should be secured to an appropriate electronics enclousure by rack mounting bolts at all four corners. If the unit is likely to undergo extreme vibration through extensive road trucking and touring, the unit must be supported at the rear and/or sides to lessen the stress on the front mounting flange. The necessary support can generally be bought ready-built as a rack tray, or the BLU-80/BLU-32/BLU-16 unit can be mounted between other units. Damage caused by insufficient support is not covered by the warranty. To prevent cosmetic damage to the front panel finish, use protective plastic cups under the rack mounting bolts.

FRONT PANEL

CARD MONITORING

Each card A, B, C & D has a section displaying the following information:

In/Out/Dig

Illuminated - Indicates the type of card installed in that slot. Displays whether the card is Input or Output and if the card is Digital.

CHANNEL MONITORING

Each card has four channels numbered 1 through 4. Each channel has 3 LED indicators showing:

Clip

Illuminated - Indicates clipping in the analogue domain for each channel of the fitted Input or Output card. The LED will illuminate at +18.5dB.

Signal

Illuminated - The Signal LED will illuminate for each channel of a fitted Input or Output card when the signal reaches or exceeds the signal threshold of -20dB.

Sync/48V

Illuminated - Illuminates to indicate +48V phantom power has been activated for the relevant channel of a fitted input card. If the card is a Digital Input card, it illuminates to indicate this unit has sync.

DEVICE MONITORING

Each Soundweb London has indicators on the front panel to display the following:

Conductor

The master clock device of a CobraNetTM system is referred to as the Conductor - the CM-1 modules in the system auto-negotiate which device will transmit the Conductor beat packet. The LED illuminates to indicate which device is acting as the Conductor. NOTE: The BLU-16 does not have CobraNet so it will not have this indicator on its front panel.

Network Link

The Network Link indicates the presence of Cat 5 Ethernet cables. If no cables are connected, the LED is unlit; the LED flashes is either a control or CobraNetTM cable is fitted and remains illuminated if both cables are connected.

Data Activity

The Data Activity LED will flash to indicate that the device is communicating with another control device, either on the network, serial or control ports.

LCD Display

This display will show the status of the device during boot up. After the device has booted, this display will cycle through the following information:

  • Device Name
  • IP Address
  • Firmware Version

You can step through these pages by pressing the Locate switch.

LOCATE

Pressing the Locate switch on the front of the unit will illuminate the Locate switch on the rear and identify the device within London Architect. Similarly the switch will illuminate if the device is selected from within London Architect or from the Locate switch on the rear. Pressing this switch will cycle through the information displayed on the LCD.

CONTRAST [Hold]

Pressing and holding the Locate switch will cycle the LCD through its contrast range.

USB

The front USB port is not supported.

REAR PANEL

BLU-80 shown. BLU-32 layout is identical. BLU-16 has no CobraNetTM connections but is otherwise identical to the BLU-80 and BLU-32.

AC MAINS

AC Mains input to the universal switched-mode power supply, operates over a wide range of AC input voltages from 85V to 270V, 50/60Hz.

COBRANET CONNECTORS - PRIMARY / SECONDARY

The CobraNetTM compatible devices within the SoundwebTM London system are fitted with a Peak Audio CobraNetTM CM-1 module. The module itself offers a Primary and a Secondary CobraNetTM port. Under normal operation the Primary port only receives audio data from and transmits audio data to the network. Should the Primary port or connection fail, the CM-1 module automatically switches to receive from and transmit with the Secondary port.

LOCATE

Pressing the Locate switch on the rear of the unit will illuminate the Locate switch on the front and identify the device within London Architect. Similarly the switch will illuminate if the device is selected from within London Architect or from the Locate switch on the front panel.

RS232

Serial port for connection of external control equipment.

ETHERNET

The main connection for the proprietary system control network, and for third party Ethernet control.

I/O CARD POSITIONS A, B, C AND D

These connectors provide the balanced connections for the I/O card fitted in the four card slots in a Soundweb London device. A green LED next to the slot assignment letter A, B, C or D indicates that an analogue input card is fitted and an amber LED indicates that an analogue output card is fitted. A blue LED indicates that a digital input card is fitted while a red LED indicates a digital output card. The analogue connections are balanced, on Phoenix/Combicon connectors.

AUDIO CABLE WIRING

All audio and control connections to the BLU-80/BLU-32/BLU-16 are via Klippon pluggable terminal block connectors (also known as BL, Phoenix or Combicon). 6-way female Klippon connectors are supplied for making these connections.

Audio Input and Output wiring convention

Soundweb products provide cable shielding ’r;back from the destination’ to eliminate ground loop problems. This means that the shield (S) connection on an input is grounded, whereas the shield connection on an output is floating (although connected via an internal network to ground for EMC compliance).

Balanced wiring - The convention for balanced wiring (2-core plus shield) is:

Unbalanced wiring - The convention for unbalanced wiring to the inputs (1-core plus shield) is:

CONTROL INPUTS

Used to connect switches or potentiometers, e.g. BLU-3 selector wallplate (Part no. Z-BLU-3). Looking at the control port connector (on the back of the unit), there are two common (ground) connections C to the left of the eight CONTROL INPUTS and, two software assignable reference voltage outputs R to the right. The control ports now have two modes of operation. In Soundweb Designer’s Control Ports window these are labelled ’r;2-wire’ and ’r;3-wire’.

2-Wire Mode

In this mode the 12 CONTROL INPUTS are internally ’pulled up’ to +5V DC via a 4.7kOhm resistor. Therefore, no external voltage source is needed to create contact closure to ground for switches such as mute buttons or, resistance to ground (for other multi-state or continuous controls such as Parameter Presets or faders). See 2-wire mode for a table of resistor values for use with Parameter Presets or source selectors. Two ’r;common’ ground connections are provided using the two C connectors to the left of the CONTROL INPUTS. A 47kOhm-log potentiometer connected between a control input and common will allow parameters to be controlled linearly.

3-Wire Mode

This mode allows the use of linear pots or faders for continuous controls. A pot would be wired as a potential divider with the top of the track connected to the reference output R, the wiper to a control input and the bottom of the track to a common C. For good performance pots with track resistance between 10k ohms and 100k ohms are recommended.

LOGIC OUTPUTS

The logic outputs can be used to drive indicators or third party devices. For example Logic Outputs can trigger infra-red commands (to control DVD players etc) or power relays to turn other equipment on or off. The logic output can source 10mA at 5V DC, or sink 60mA up to 50V DC. A high sensitivity relay (such as a reed relay) may be driven by connecting four outputs in parallel. This arrangement will develop 4V across a 500-Ohm coil, providing that all four outputs are made logic 1 simultaneously.

When sourcing from the Logic Output, an LED connected between one output (Anode, A) and common (Cathode, K) will illuminate when the logic output is activated, without requiring any external current limiting resistor.

For Higher current reed type relays you must use the Logic Output to sink current using an external power supply.

OPTO OUTPUT

In addition to the six standard logic outputs, there is an isolated output, which fails safe (open circuit) if the unit becomes faulty.

TECHNICAL SPECIFICATIONS

See BLU-80/BLU-16/BLU-32 Technical Specifications

DECLARATION OF CONFORMITY

Manufacturer’s Name: | BSS Audio
Manufacturer’s Address: | 8760 S. Sandy Parkway
 | Sandy, Utah 84070, USA

declares that the product:

Product name: | BLU 16, BLU 32, BLU 80
 | Note: Product name may be suffixed by the letters-EU.
Product option: | Various combinations of Input / Output Cards

conforms to the following Product Specifications:

Safety: | EN 60065 (2002)
EMC: | EN 55103-1 (1996)
 | EN 55103-2 (1996)

Supplementary Information:

The product herewith complies with the requirements of the Low Voltage Directive 73/23/EEC and the EMC Directive 89/336/EEC as amended by Directive 93/68/EEC.

Vice-President of Engineering – Pro

8760 S. Sandy Parkway

Sandy, Utah 84070, USA

Date: October 24, 2005

European Contact: Your local BSS Audio Sales and Service Office or

Harman Music Group

8760 South Sandy Parkway

Sandy, Utah 84070, USA

Ph: (801) 566-8800

Fax: (801) 566-7005


BLU-80/BLU-16/BLU-32 Technical Specifications

General BLU-16/BLU-80/BLU-32

Mains Voltage | 100-240V AC, 50/60Hz
Power Consumption | <35VA
BTU Rating | <120 BTU/hr
Operating Temperature Range | 5 to 35 °C (41 to 95 °F)
Dimensions (HxWxD) | 1.75" (45mm) (1U) x 19" (483mm) x 9.0" (223mm)
Weight | 7.5lbs / 3.4kg

Front Panel LED Indicators

Per Input | Signal Present, Clip, Sync/48V, I/O card type (IN, OUT, DIG)
Other | LCD Display, Conductor Active, Network Link Active, Data Activity

Analogue Inputs

Up to 16 electronically balanced on Phoenix/Combicon removable screw connectors.

Mic/Line Inputs | Nominal gain 0dB, electronically switchable up to +48dB, in +6dB steps
Input Impedance | 3.5kOhms
Maximum input level | +20dBu with 0dB input gain, +8dBu with 12dB gain
Frequency Response | 20Hz to 20kHz +/-0.2dB, balanced, 150 Ohm
Dynamic Range | 117dB, 20Hz to 20kHz, A-weighted: 114dB unweighted
CMRR | >75dB at 1KHz
Equivalent Input Noise (E.I.N.) | <-128dBu typical with 150Ohm source
Phantom power | 48V nominal, selectable per input
A/D Latency (Rev A) | 41/Fs (0.85ms @ 48k, 0.43ms @ 96k)
A/D Latency (Rev B) | 12/Fs (0.25ms @ 48k, 0.13ms @ 96k)

Digital Inputs

Up to 16 AES/EBU or S/PDIF on Phoenix/Combicon removable screw connectors.

Input Impedance | 110 Ohm (AES/EBU), 75 Ohm (SPDIF)
Sample Rate | 48kHz or 96kHz (Fso)
Sample Rate Conversion | 8kHz to 96kHz (Fsi)
THD + N | <-140dB
SRC Latency | (56.581/Fsi) + (55.658/Fso (1.16ms @ 48k, 0.58ms @ 96k))

*Fsi: Sample rate of input device

Analogue Outputs

Up to 16 electronically balanced on Phoenix/Combicon removable screw connectors

Maximum Output Level | +19dBu
Frequency Response | 20Hz-20KHz (+0.5dB/-1dB)
THD | <0.01% (20Hz to 20KHz, +10dBu output)
Dynamic Range | 108dB typical, (22Hz-22kHz unweighted)
Crosstalk | <-75dB
D/A Latency | 28/Fs (0.58ms @ 48k, 0.29ms @ 96k)
Output Impedance | 40 Ohms balanced and 20 Ohms unbalanced

Digital Outputs

Up to 16 AES/EBU or S/PDIF on Phoenix/Combicon removable screw connectors.

Input Impedance | 110 Ohm (AES/EBU), 75 Ohm (SPDIF)
Sample Rate | 48kHz or 96kHz (Fsi)
Sample Rate Conversion | 8kHz to 96kHz (Fso)
THD + N | <-140dB
SRC Latency | (56.581/Fsi (1.18ms @ 48k, 0.59ms @ 96k)) + (55.658/Fso)

*Fso: Selected sample rate of digital output card

Control Ports

12 inputs and 6 outputs

Control Input Voltage | 0 to 4.5v
Control Input Impedance | 4.7k Ohm to +5V (2-wire mode), >1M Ohm (3-wire mode)
Logic Output Voltage | 0 or +5V unloaded
Logic Output Impedance | 440 Ohm
Logic Output Current | 10mA source, 60mA sink

Watchdog Output

Phoenix/Combicon connector for failsafe control

Opto Output Current | 14mA maximum
Withstanding Voltage | 80V maximum (Off)
Series Impedance | 220Ohm (Isolated)

BSS Audio incorporates high quality mechanical fans in some products. All mechanical fans have a limited life expectancy. We recommend annual inspection of fans for dust occlusion and excessive noise. Fan assemblies should be replaced after six to ten years of use. Environmental factors such as elevated temperature, dust, and smoke can adversely affect fan life. Systems exposed to these conditions should be inspected more frequently. Fan replacement can be performed either at the factory or by an experienced technician in the field. Please contact BSS Technical Support for more information on purchasing replacement parts or product service. BSS Audio has a policy of continued product improvement and accordingly reserves the right to change features and specifications without prior notice.


BLU-80/BLU-16/BLU-32 Network Specifications

Control Network (All Models)

Connectors | RJ45 Ethernet connector
Maximum cable length | 100m/300ft on Category 5e cable between device and Ethernet switch

CobraNet Audio Network (BLU-80, BLU-32, only)

Connectors | 2 x RJ45 Ethernet connectors
Maximum cable length | 100m/300ft on Category 5e cable between device and Ethernet switch

CobraNet rear panel LED indicators:

  • Hardware version 2

The left LED indicator is steady green to indicate a network link and flashes green to indicate network activity.

If a recoverable error condition is encountered it will become red and if the error is unrecoverable, it will flash red.

The right indicator lights green on the CobraNet port in use and lights yellow if it is the conductor.

  • Hardware version 3

The left LED indicator lights yellow on the CobraNet port in use and will blink if the device is also the conductor

The right indicator is green when a link is established and flashes green to indicate network activity.

Both right indicators flash yellow in unison to report an error.


BLU-800/BLU-160/BLU-320/BLU-120 Installation Guide

BLU-800/BLU-805/BLU-806/BLU-160/BLU-320/BLU-325/BLU-326/BLU-120 Installation Guide

SAFETY NOTIFICATIONS

IMPORTANT SAFETY INSTRUCTIONS
The symbols shown above are internationally accepted symbols that warn of potential hazards with electrical products. The lightning flash with arrowpoint in an equilateral triangle means that there are dangerous voltages present within the unit. The exclamation point in an equilateral triangle indicates that it is necessary for the user to refer to the owner’s manual.

These symbols warn that there are no user serviceable parts inside the unit. Do not open the unit. Do not attempt to service the unit yourself. Refer all servicing to qualified personnel. Opening the chassis for any reason will void the manufacturer’s warranty. Do not get the unit wet. If liquid is spilled on the unit, shut it off immediately and take it to a dealer for service. Disconnect the unit during storms to prevent damage.

NOTICE FOR CUSTOMERS IF YOUR UNIT IS EQUIPPED WITH A POWER CORD

WARNING: THIS APPLIANCE SHALL BE CONNECTED TO A MAINS SOCKET OUTLET WITH A PROTECTIVE EARTHING CONNECTION.

The cores in the mains lead are coloured in accordance with the following code:

GREEN and YELLOW = Earth

BLUE = Neutral

BROWN = Live

As colours of the cores in the mains lead of this appliance may not correspond with the coloured markings identifying the terminals in your plug, proceed as follows:

  • The core which is coloured green and yellow must be connected to the terminal in the plug marked with the letter E, or with the earth symbol, or coloured green, or green and yellow.
  • The core which is coloured blue must be connected to the terminal marked N or coloured black.
  • The core which is coloured brown must be connected to the terminal marked L or coloured red.

This equipment may require the use of a different line cord, attachment plug, or both, depending on the available power source at installation. If the attachment plug needs to be changed, refer servicing to qualified service personnel who should refer to the table below. The green/yellow wire shall be connected directly to the units chassis.

 |  | WIRE COLOR
CONDUCTOR |  | Normal | Alt
L | LIVE | BROWN | BLACK
N | NEUTRAL | BLUE | WHITE
E | EARTH GND | GREEN/YELL | GREEN

WARNING: If the ground is defeated, certain fault conditions in the unit or in the system to which it is connected can result in full line voltage between chassis and earth ground. Severe injury or death can then result if the chassis and earth ground are touched simultaneously.

WARNING FOR YOUR PROTECTION PLEASE READ THE FOLLOWING:

KEEP THESE INSTRUCTIONS.

HEED ALL WARNINGS.

FOLLOW ALL INSTRUCTIONS.

THE APPARATUS SHALL NOT BE EXPOSED TO DRIPPING OR SPLASHING LIQUID AND NO OBJECT FILLED WITH LIQUID, SUCH AS VASES, SHALL BE PLACED ON THE APPARATUS.

CLEAN ONLY WITH A DRY CLOTH.

DO NOT BLOCK ANY OF THE VENTILATION OPENINGS. INSTALL IN ACCORDANCE WITH THE MANUFACTURER’S INSTRUCTIONS.

DO NOT INSTALL NEAR ANY HEAT SOURCES SUCH AS RADIATORS, HEAT REGISTERS, STOVES, OR OTHER APPARATUS (INCLUDING AMPLIFIERS) THAT PRODUCE HEAT.

ONLY USE ATTACHMENTS/ACCESSORIES SPECIFIED BY THE MANUFACTURER.

UNPLUG THIS APPARATUS DURING LIGHTNING STORMS OR WHEN UNUSED FOR LONG PERIODS OF TIME.

Do not defeat the safety purpose of the polarized or grounding-type plug. A polarized plug has two blades with one wider than the other. A grounding type plug has two blades and a third grounding prong. The wide blade or third prong are provided for your safety. If the provided plug does not fit your outlet, consult an electrician for replacement of the obsolete outlet. Protect the power cord from being walked on or pinched particularly at plugs, convenience receptacles, and the point where they exit from the apparatus. Use only with the cart stand, tripod bracket, or table specified by the manufacture, or sold with the apparatus. When a cart is used, use caution when moving the cart/apparatus combination to avoid injury from tip-over.

Refer all servicing to qualified service personnel. Servicing is required when the apparatus has been damaged in any way, such as power-supply cord or plug is damaged, liquid has been spilled or objects have fallen into the apparatus, the apparatus has been exposed to rain or moisture, does not operate normally, or has been dropped.

POWER ON/OFF SWITCH: For products provided with a power switch, the power switch DOES NOT break the connection from the mains.

MAINS DISCONNECT: The plug shall remain readily operable. For rack-mount or installation where plug is not accessible, an all-pole mains switch with a contact separation of at least 3 mm in each pole shall be incorporated into the electrical installation of the rack or building.

FOR UNITS EQUIPPED WITH EXTERNALLY ACCESSIBLE FUSE RECEPTACLE: Replace fuse with same type and rating only.

MULTIPLE-INPUT VOLTAGE: This equipment may require the use of a different line cord, attachment plug, or both, depending on the available power source at installation. Connect this equipment only to the power source indicated on the equipment rear panel. To reduce the risk of fire or electric shock, refer servicing to qualified service personnel or equivalent.

U.K. MAINS PLUG WARNING

A molded mains plug that has been cut off from the cord is unsafe. Discard the mains plug at a suitable disposal facility. NEVER UNDER ANY CIRCUMSTANCES SHOULD YOU INSERT A DAMAGED OR CUT MAINS PLUG INTO A 13 AMP POWER SOCKET. Do not use the mains plug without the fuse cover in place. Replacement fuse covers can be obtained from your local retailer. Replacement fuses are 13 amps and MUST be ASTA approved to BS1362.

ELECTROMAGNETIC COMPATIBILITY

This unit conforms to the Product Specifications noted on the Declaration of Conformity. Operation is subject to the following two conditions:

  • This device may not cause harmful interference, and

  • This device must accept any interference received, including interference that may cause undesired operation.

Operation of this unit within significant electromagnetic fields should be avoided. Use only shielded interconnecting cables.

REGULATORY INFORMATION

An example of this equipment has been tested and found to comply with the following European and international Standards for Electromagnetic Compatibility and Electrical Safety:
Radiated Emissions (EU): EN55103-1 (1996)

Immunity (EU): EN55103-2 (1996)

Electrical Safety (EU): EN60065 (2002)

Radiated Emissions (USA): FCC part 15 Class B

Electrical safety (USA): UL60065 (2005)

IMPORTANT USER INFORMATION

Do not remove covers. No user serviceable parts inside, refer servicing to qualified service personnel. For continued compliance with international EMC regulations, it is important that all cables be screened, and connected as follows: Audio cable screens to their BLU-80 connector ground. Control cable screens to the ground screws adjacent to the connector. Network cables should be of type CAT.5, fitted with a clip-on ferrite sleeve (STEWART TYPE 28A2029-0A0) near the network socket end. This equipment must be earthed. It should not be necessary to remove any protective earth or signal cable shield connections to prevent ground loops. Any such disconnections are outside the recommended practice of BSS Audio, and will render the EMC or safety certificate void.

MECHANICAL INSTALLATION

The device should be secured to an appropriate electronics enclosure by rack mounting bolts at all four corners. If the unit is likely to undergo extreme vibration through extensive road trucking and touring, the unit must be supported at the rear and/or sides to lessen the stress on the front mounting flange. The necessary support can generally be bought ready-built as a rack tray, or the BLU-80/BLU-32/BLU-16 unit can be mounted between other units. Damage caused by insufficient support is not covered by the warranty. To prevent cosmetic damage to the front panel finish, use protective plastic cups under the rack mounting bolts.

FRONT PANEL

CARD MONITORING

Each card A, B, C & D has a section displaying the following information:

In/Out/Dig/AEC/Telephone Hybrid

Illuminated - Indicates the type of card installed in that slot. Displays whether the card is Input or Output and if the card is Digital or AEC. The presence of a Telephone Hybrid card is indicated when both the "In" and "Out" LEDs are illuminated.

CHANNEL MONITORING

Each card has four channels numbered 1 through 4. Each channel has 3 LED indicators showing:

Clip

Illuminated - Indicates clipping in the analogue domain for each channel of the fitted Input or Output card. The LED will illuminate at +18.5dB.

Signal

Illuminated - The Signal LED will illuminate for each channel of a fitted Input or Output card when the signal reaches or exceeds the signal threshold of -20dB.

Sync/48V

Illuminated - Illuminates to indicate +48V phantom power has been activated for the relevant channel of a fitted input card. If the card is a Digital Input card, it illuminates to indicate this unit has sync.

DEVICE MONITORING

Each Soundweb London has indicators on the front panel to display the following:

Conductor

The master clock device of a CobraNetTM system is referred to as the Conductor - the CM-1 modules in the system auto-negotiate which device will transmit the Conductor beat packet. The LED illuminates to indicate which device is acting as the Conductor. NOTE: The BLU-16 does not have CobraNet so it will not have this indicator on its front panel.

Network Link

The Network Link indicates the presence of Cat 5 Ethernet cables. If no cables are connected, the LED is unlit; the LED flashes is either a control or CobraNetTM cable is fitted and remains illuminated if both cables are connected.

Data Activity

The Data Activity LED will flash to indicate that the device is communicating with another control device, either on the network, serial or control ports.

LCD Display

This display will show the status of the device during boot up. After the device has booted, this display will cycle through the following information:

  • Device Name
  • IP Address
  • Firmware Version

You can step through these pages by pressing the Locate switch.

LOCATE

Pressing the Locate switch on the front of the unit will illuminate the Locate switch on the rear and identify the device within London Architect. Similarly the switch will illuminate if the device is selected from within London Architect or from the Locate switch on the rear. Pressing this switch will cycle through the information displayed on the LCD.

CONTRAST [Hold]

Pressing and holding the Locate switch will cycle the LCD through its contrast range.

REAR PANEL

BLU-800 rear panel layout is identical to the BLU-320. BLU-160 and BLU-120 have no CobraNetTM or BNC connections but are otherwise identical to the BLU-800 and BLU-320. The BLU-805 and BLU-325 panel is identical except the CobraNet ports are replaced by AVB ports. The BLU-806 and BLU-326 rear panels have the CobraNet ports replaced by Dante ports.

AC MAINS

AC Mains input to the universal switched-mode power supply, operates over a wide range of AC input voltages from 85V to 270V, 50/60Hz.

COBRANET CONNECTORS - PRIMARY / SECONDARY [BLU-800/BLU-80/BLU320/BLU-32]

CobraNetTM is a licenced technology which allows CobraNetTM enabled Soundweb London devices to send and receive (simultaneously) up to 32 channels of audio to and from other CobraNetTM enabled devices. The CobraNetTM compatible devices within the SoundwebTM London system are fitted with a Peak Audio CobraNetTM CM-1 module. The module itself offers a Primary and a Secondary CobraNetTM port. Under normal operation only the Primary port transmits and receives data to and from the network. Should the Primary port or connection fail, the CM-1 module automatically switches to receive from and transmit with the Secondary port.

AVB [BLU-805/BLU-325]

Ethernet AVB or Audio/Video Bridging, is a common name for a set of IEEE standards that ensure the physical transmission of high quality streaming audio and video over a standard Ethernet connection.

The BLU-805 and BLU-325 devices are fitted with an AVB module. The module allows Soundweb London devices to send and receive (simultaneously) up to 64 channels of audio to and from other AVB enabled devices. The module offers a primary and secondary AVB port. Under normal operation, only the primary port transmits and receives data to and from the network. Should the primary port or connection fail, the AVB module automatically switches to receive from and transmit with the secondary port. NOTE: The secondary port is not currently enabled. It will be enabled in a future release of HiQnet London Architect.

The physical AVB connections must be made using Cat 5e cables and an AVB compatible network switch. See Network Specifications for compatible Ethernet switches. Do not connect the AVB ports to any switch which does not support AVB! When connecting only two AVB devices together a direct connection can be made between the primary of one device to the primary of the other.

DANTE [BLU-806/BLU-326]

Dante delivers a self configuring, digital audio network that uses standard Internet Protocols over 100Mb and/or Gigabit Ethernet.

The BLU-806 and BLU-326 devices are fitted with a DANTE digital audio network card. The card allows Soundweb London devices to send and receive (simultaneously) up to 64 channels of audio to and from other DANTE devices. The card offers a primary and secondary DANTE port. Under normal operation, only the primary port transmits and receives data to and from the network. Should the primary port or connection fail, the DANTE card automatically switches to receive from and transmit with the secondary port.

The physical DANTE connections must be made using Cat 5e cables. The DANTE network can be connected in one of two ways. Connection can be made via a network switch or alternatively they can be connected in a daisy chain fashion with the OUT port of one device connected to the IN port of the next device. Redundancy can be provided by completing the loop and connecting the OUT port from the last device to the IN port of the first device in the chain.

BLU-Link

These connectors enable the unit to be connected on a BLU-link network.

The Soundweb London digital audio bus (also informally referred to as "BLU link") is a point-to-point digital audio bus with 256 audio channels at 48K sample rate or 128 audio channels at 96K sample rate. The physical connection is made with Cat 5e cable from the OUT port of one device to the IN port of another device. The devices are connected in a daisy chain fashion continuing with the OUT port of one device connected to the IN port of the next device. Redundancy can be provided by completing the loop and connecting the OUT port from the last device to the IN port of the first device in the chain. DO NOT connect BLU link ports to a hub, network switch, or router. All devices connected in the London BLU link chain must be configured for the same audio sample rate.

BNC (WORD CLOCK or BUDDY LINK/48k) [BLU-800/BLU-805/BLU-806/BLU-320/BLU-325/BLU-326]

The BNC connectors can either be used for an external word clock or for redundancy over Buddy Link. On some London devices the BNC is marked as 'Buddy Link/48kHz' whilst on later devices it is marked 'WORD CLOCK'. Regardless of the marking the BNC connectors can be used in either of 2 ways.

Used as Buddy Link [BLU-800/BLU-320/BLU-80/BLU-32]- On CobraNet equipped Soundweb London devices, these connectors allow two similarly configured SoundwebTM London devices to be linked together and operate as a redundant pair. A 48kHz system clock is generated at the BNC OUT port when used in this fashion. If box 'B' ceases to receive the 48kHz system clock from box 'A', due to a power failure of box 'A', box 'B' will take over and begin receiving and transmitting audio over the CobraNet network.

Used as WORD CLOCK [BLU-800/BLU-805/BLU-806/BLU-320/BLU-325/BLU-326] - These connectors can also facilitate integration with external clocks, allowing the Soundweb London devices to slave to a 'house clock', a common requirement in post-production, theatre and broadcast applications. Synchronising the Soundweb London DSP processing clock to the house clock avoids having to use Sample Rate Conversion on digital signals, resulting in superior audio. The supported sync frequencies are 48kHz, 48kHz pull-down, (47.952kHz), 96kHz and 96kHz pull-down (95.904kHz). See BNC Sync for more information. The sample rate at which the BSS London device is running will be present on WORD CLOCK OUT. NOTE: The BNC WORD CLOCK connectors serve no function when using AVB.

LOCATE

Pressing the Locate switch on the rear of the unit will illuminate the Locate switch on the front and identify the device within London Architect. Similarly the switch will illuminate if the device is selected from within London Architect or from the Locate switch on the front panel.

RS232

The serial port allows 3rd-party control equipment to control and monitor the Soundweb London. The Soundweb London can also send custom serial strings (in Decimal, Hexadecimal, or ASCII format) through the serial port. Therefore, the Soundweb London can control virtually any device which has a serial port and a publicly available protocol guide.

ETHERNET

The main connection for the proprietary system control network. The Ethernet port allows BLU-8v2's, BLU-10's, HiQnet London Architect, iOS devices, and 3rd-party control equipment to control and monitor the Soundweb London. The Ethernet port also allows the Soundweb London to send and receive design files to and from HiQnet London Architect. The Soundweb London can also send custom Ethernet messages (UDP or TCP; in Decimal, Hexadecimal, or ASCII format) through the Ethernet port. Therefore, the Soundweb London can control virtually any device which has an Ethernet port and a publicly available protocol guide.

I/O CARD POSITIONS A, B, C AND D

These connectors provide the balanced connections for the I/O card fitted in the four card slots in a Soundweb London device. A green LED next to the slot assignment letter A, B, C or D indicates that an analogue input card is fitted and an amber LED indicates that an analogue output card is fitted. A blue LED indicates that a digital input card is fitted while a red LED indicates a digital output card. The analogue connections are balanced, on Phoenix/Combicon connectors.

AUDIO CABLE WIRING

All audio and control connections to the BLU-80/BLU-32/BLU-16 are via Klippon pluggable terminal block connectors (also known as BL, Phoenix or Combicon). 6-way female Klippon connectors are supplied for making these connections.

Audio Input and Output wiring convention

Soundweb products provide cable shielding ’r;back from the destination’ to eliminate ground loop problems. This means that the shield (S) connection on an input is grounded, whereas the shield connection on an output is floating (although connected via an internal network to ground for EMC compliance).

Balanced wiring - The convention for balanced wiring (2-core plus shield) is:

Unbalanced wiring - The convention for unbalanced wiring to the inputs (1-core plus shield) is:

CONTROL INPUTS

There are 12 control inputs, also known as “General Purpose Inputs” or “GPI”. The control inputs are used to connect contact closures (for control of binary parameters, such as mutes), resistor ladders (for control of multistate parameters, such as source selectors) or potentiometers (for control of continuous parameters, such as volume faders). There are two common (ground) connections `C' to the left of the 12 control inputs, and two software-assignable reference voltage outputs `R' to the right. The control ports have two modes of operation: 2-wire and 3-wire.

2-Wire Mode

In this mode the 12 CONTROL INPUTS are internally ’pulled up’ to +5V DC via a 4.7kOhm resistor. Therefore, no external voltage source is needed to create contact closure to ground for switches such as mute buttons or, resistance to ground (for other multi-state or continuous controls such as Parameter Presets or faders). See 2-wire mode for a table of resistor values for use with Parameter Presets or source selectors. Two ground connections are provided using the two C connectors to the left of the CONTROL INPUTS. A 47kOhm-log potentiometer connected between a control input and common will allow parameters to be controlled linearly.

3-Wire Mode

This mode allows the use of linear pots or faders for continuous controls. A pot would be wired as a potential divider with the top of the track connected to the reference output R, the wiper to a control input and the bottom of the track to a common C. For good performance pots with track resistance between 10k ohms and 100k ohms are recommended.

LOGIC OUTPUTS

There are 6 logic outputs, also known as “General Purpose Outputs” or “GPO”. They are used to control LED's or relays. The logic output can source 10mA at 5V DC, or sink 60mA up to 50V DC.

A high sensitivity relay (such as a reed relay) can be driven by connecting multiple logic outputs in parallel. In the diagram below, this arrangement will develop 4V across a 500-Ohm coil, providing that all four outputs are activated simultaneously.

When sourcing from the Logic Output, an LED connected between one output (Anode, A) and common (Cathode, K) will illuminate when the logic output is activated, without requiring any external current limiting resistor (the Soundweb London contains an internal 440 Ohm resistor).

For Higher current reed type relays you must use the Logic Output to sink current using an external power supply.

OPTO OUTPUT

In addition to the six standard logic outputs, there is an isolated output, which fails safe (open circuit) if the unit becomes faulty.

TECHNICAL SPECIFICATIONS

See BLU-800/BLU-16/0BLU-320/BLU-120 Technical Specifications

DECLARATION OF CONFORMITY

Manufacturer’s Name: | BSS Audio
Manufacturer’s Address: | 8760 S. Sandy Parkway
 | Sandy, Utah 84070, USA

declares that the product:

Product name: | BLU 160, BLU 320, BLU 800, BLU 120
 | Note: Product name may be suffixed by the letters-EU.
Product option: | Various combinations of Input / Output Cards

conforms to the following Product Specifications:

Safety: | EN 60065 (2002)
EMC: | EN 55103-1 (1996)
 | EN 55103-2 (1996)

Supplementary Information:

The product herewith complies with the requirements of the Low Voltage Directive 73/23/EEC and the EMC Directive 89/336/EEC as amended by Directive 93/68/EEC.

Vice-President of Engineering – Pro

8760 S. Sandy Parkway

Sandy, Utah 84070, USA

Date: October 24, 2005

European Contact: Your local BSS Audio Sales and Service Office or

Harman Music Group

8760 South Sandy Parkway

Sandy, Utah 84070, USA

Ph: (801) 566-8800

Fax: (801) 566-7005


BLU-800/BLU-160/BLU-320/BLU-120 Technical Specifications

BLU-800/BLU-805/BLU-806/BLU-160/BLU-320/BLU-326/BLU-325/BLU-120 Technical Specifications

General BLU-800/BLU-805/BLU-806/BLU-160/BLU-320/BLU-325/BLU-326/BLU-120

Mains Voltage | 100-240V AC, 50/60Hz
Power Consumption | <55VA
BTU Rating | <188 BTU/hr
Operating Temperature Range | 5 to 35 °C (41 to 95 °F)
Dimensions (HxWxD) | 1.75" (45mm) (1U) x 19" (483mm) x 12.5" (318mm)
Weight | 9.1lbs / 4.1kg

Front Panel LED Indicators

Per Input | Signal Present, Clip, Sync/48V, I/O card type (IN, OUT, DIG, AEC, Telephone Hybrid)
Other | LCD Display, Conductor Active, Network Link Active, Data Activity

Analogue Inputs

Up to 16 electronically balanced on Phoenix/Combicon removable screw connectors.

Mic/Line Inputs | Nominal gain 0dB, electronically switchable up to +48dB, in +6dB steps
Input Impedance | 3.5kOhms
Maximum input level | +20dBu with 0dB input gain, +8dBu with 12dB gain
Frequency Response | 20Hz to 20kHz +/-0.2dB, balanced, 150 Ohm
Dynamic Range | 117dB, 20Hz to 20kHz, A-weighted: 114dB unweighted
CMRR | >75dB at 1KHz
Equivalent Input Noise (E.I.N.) | <-128dBu typical with 150 Ohm source
Phantom power | 48V nominal, selectable per input
A/D Latency (Rev A) | 41/Fs (0.85ms @ 48k, 0.43ms @ 96k)
A/D Latency (Rev B) | 12/Fs (0.25ms @ 48k, 0.13ms @ 96k)

AEC Analogue Inputs

Up to 16 electronically balanced on Phoenix/Combicon removable screw connectors.

Mic/Line Inputs | Nominal gain 0dB, electronically switchable up to +48dB, in +6dB steps
Input Impedance | 3.5kOhms
Maximum input level | +20dBu with 0dB input gain, +8dBu with 12dB gain
Frequency Response | 20Hz to 20kHz +/-0.2dB, balanced, 150 Ohm
Dynamic Range | 117dB, 20Hz to 20kHz, A-weighted: 114dB unweighted
CMRR | >75dB at 1KHz
Equivalent Input Noise (E.I.N.) | <-128dBu typical with 150Ohm source
Phantom power | 48V nominal, selectable per input
Pre-AEC Input Latency | 38/Fs (0.79ms @ 48k, AEC operates at 48k only)
Post-AEC Input Latency (Original AEC) | 2385/Fs (49.69ms @ 48k, AEC operates at 48k only)
Post-AEC Input Latency (Full Bandwidth AEC) | 1584/Fs (33ms @ 48kHz AEC operates at 48k only)
Tail Length | 200ms
Convergence Rate | 49dB/s (Average convergence rate)

Digital Inputs

Up to 16 AES/EBU or S/PDIF on Phoenix/Combicon removable screw connectors.

Input Impedance | 110 Ohms (AES/EBU), 75Ohms (SPDIF)
Sample Rate | 48kHz or 96kHz (Fso)
Sample Rate Conversion | 8kHz to 96kHz (Fsi)
THD + N | <-140dB
SCR Latency Off | 3/Fs (0.06ms @ 48k, 0.03ms @ 96k)
SRC Latency On | 59/Fs (1.23ms @ 48k, 0.61ms @ 96k) + 57/Fsi*

*Fsi: Sample rate of input device

Hybrid Analogue Inputs

Up to 2 per card electronically balanced on Phoenix/Combicon removable screw connectors.

Mic/Line Inputs | Nominal gain 0dB, electronically switchable up to +48dB, in +6dB steps
Input Impedance | 3.5kOhm
Maximum input level | +20dBu with 0dB input gain, +8dBu with 12dB gain, balanced, 150 Ohm
CMRR | >75dB at 100Hz, >66dB at 1kHz
Equivalent Input Noise (E.I.N.) | <-128dBu typical with 150 Ohm source, 20kHz, +48dB gain
Phantom power | 48V nominal, selectable per input
A/D Latency | 12/Fs (0.25ms @ 48k)
THD+N | <0.005% typical (20Hz to 20kHz @ +10dBu), balanced, 150 ohm
Frequency Response | 20Hz to 20kHz +/-0.2dB, balanced, 150 ohm
Dynamic Range | 117dB, 20Hz to 20kHz, A-weighted: 114dB unweighted
TELEPHONE INTERFACE |
Ringer Equivalency Number | 0.2 Maximum
Dynamic Range | 67dB
Frequency Response | 300 to 3.3kHz
THD | <0.3%
Transhybrid Loss | >48dB with LEC enabled
LEC Tail Time | 64ms
TX Level | -10dBm RMS average
RX Level | +3.2dBm RMS

Analogue Outputs

Up to 16 electronically balanced on Phoenix/Combicon removable screw connectors

Maximum Output Level | +19dBu
Frequency Response | 20Hz-20KHz (+0.5dB/-1dB)
THD | <0.01% (20Hz to 20KHz, +10dBu output)
Dynamic Range | 108dB typical, (22Hz-22kHz unweighted)
Crosstalk | <-75dB
D/A Latency | 28/Fs (0.58ms @ 48k, 0.29ms @ 96k)
Output Impedance | 40 ohms balanced and 20 ohms unbalanced

Digital Outputs

Up to 16 AES/EBU or S/PDIF on Phoenix/Combicon removable screw connectors.

Input Impedance | 110 Ohms (AES/EBU), 75 Ohms (SPDIF)
Sample Rate | 48kHz or 96kHz (Fsi)
Sample Rate Conversion | 8kHz to 96kHz (Fso)
THD + N | <-140dB
Latency SRC Off | 6/Fs (0.13ms @ 48k, 0.06ms @ 96k)
Latency SRC On | 60/Fs (1.25ms @ 48k, 0.63ms @ 96k) + 56/Fso*

*Fso: Selected sample rate of digital output card

Control Ports

12 inputs and 6 outputs

Control Input Voltage | 0 to 4.5v
Control Input Impedance | 4.7kOhms to +5V (2-wire mode), >1MOhm (3-wire mode)
Logic Output Voltage | 0 or +5V unloaded
Logic Output Impedance | 440 Ohms
Logic Output Current | 10mA source, 60mA sink

Watchdog Output

Phoenix/Combicon connector for failsafe control

Opto Output Current | 14mA maximum
Withstanding Voltage | 80V maximum (Off)
Series Impedance | 220 Ohms (Isolated)

BSS Audio incorporates high quality mechanical fans in some products. All mechanical fans have a limited life expectancy. We recommend annual inspection of fans for dust occlusion and excessive noise. Fan assemblies should be replaced after six to ten years of use. Environmental factors such as elevated temperature, dust, and smoke can adversely affect fan life. Systems exposed to these conditions should be inspected more frequently. Fan replacement can be performed either at the factory or by an experienced technician in the field. Please contact BSS Technical Support for more information on purchasing replacement parts or product service. BSS Audio has a policy of continued product improvement and accordingly reserves the right to change features and specifications without prior notice.


BLU-800/BLU-160/BLU-320/BLU-120 Network Specifications

BLU-800/BLU-805/BLU-806/BLU-160/BLU-320/BLU-325/BLU-326/BLU-120 Network Specifications

Control Network (All Models)

Connectors | RJ45 Ethernet connector
Maximum cable length | 100m/328ft on Category 5e cable between device and Ethernet switch

BLU link Audio Network (All Models)

Connectors | 2 x RJ45 Ethernet connectors
Maximum cable length | 100m/328ft on Category 5e cable between devices
Maximum number of nodes | 60
Latency | 11/Fs (0.23ms @ 48k, 0.11ms @ 96k)
Pass Through Latency | 4/Fs (0.08ms @ 48k, 0.04ms @ 96k)

CobraNet Audio Network (BLU-800, BLU-320 only)

Connectors | 2 x RJ45 Ethernet connectors
Maximum cable length | 100m/328ft on Category 5e cable between device and Ethernet switch
Sample Rate | 48kHz and 96kHz
Latency | 1.33ms to 5.33ms

AVB Network (BLU-805, BLU-325 only)

Connectors | 2 x RJ45 Ethernet connectors - NOTE: The secondary port is not currently enabled. It will be enabled in a future release of HiQnet London Architect.
Maximum cable length | 100m/328ft on Category 5e cable between device and Ethernet switch
Sample Rate | 48kHz
Latency | 2ms
Compatible AVB Switches | BSS Audio/NETGEAR GS724T Ethernet Switch LABX Titaniun 411 Ruggedized AVB Ethernet Bridge Switch

DANTE Network (BLU-806, BLU-326 only)

Connectors | 2 x RJ45 Ethernet connectors
Maximum cable length | 100m/328ft on Category 5e cable between device and Ethernet switch
Sample Rate | 48kHz and 96kHz
Latency | 0.15ms to 5.0ms

CobraNet rear panel LED indicators:

  • Hardware version 2

The left LED indicator is steady green to indicate a network link and flashes green to indicate network activity.

If a recoverable error condition is encountered it will become red and if the error is unrecoverable, it will flash red.

The right indicator lights green on the CobraNet port in use and lights yellow if it is the conductor.

  • Hardware version 3

The left LED indicator lights yellow on the CobraNet port in use and will blink if the device is also the conductor

The right indicator is green when a link is established and flashes green to indicate network activity.

Both right indicators flash yellow in unison to report an error.


BLU-800/BLU-160/BLU-320/BLU-120 DSP Considerations

BLU-800/BLU-805/BLU-806/BLU-160/BLU-320/BLU-325/BLU-326/BLU-120 DSP Considerations

Technical explanation of the DSP usage in BLU-800 and BLU-160

The BLU-800 and BLU-160 are identical when it comes to DSP horsepower, the only difference being that the BLU-800 has CobraNet.(or in the case of the BLU-805, AVB, or in the case of the BLU-806, DANTE)

Creating a default configuration for both devices shows that the BLU-800 uses 15%, and the BLU-160 only uses 3% of DSP resource. This is because the CobraNet module in the BLU-800 is using DSP resources, effectively leaving less user programmable DSP than the BLU-160. To understand why this is, we need to look at how the DSPs are utilised.

In the BLU-800 and BLU-160 there are two DSPs. Each DSP has 128 channels in and out of the DSP. The channels are known as Bus Ports.

The Bus Ports are a finite resource and are part of what makes up the DSP resource usage meter. If you double click the DSP resource meter in London Architect, you can see the individual resource values for each DSP in the Advanced Resource Usage Dialog. The channels in and out of the DSPs are referred to as BusRx and BusTx Ports.

The ‘Worst Case Usage’, which is what is displayed on the meter, uses the highest individual resource value. In the dialog above, it would be the BusRx Ports (the average of DSP0 and DSP1).

Sometimes, either because a single processing object can’t fit on to a single DSP or the signal path extends across both DSPs, the compiler must use some of those Bus Ports to pass the audio between DSPs. If this happens, you may notice a big jump in resource usage, as a lot more Bus Ports are used.

In configurations with large matrices (matrix mixer and matrix router), it is nearly always the Bus Ports which are exhausted first. If we have a BLU-160 with no cards installed (0x0), it is possible to have a 128x128 matrix router, with 128 BLU link channels in and 128 BLU link channels out. The matrix needs to be split across the two DSPs since a single DSP is not powerful enough. Each DSP is handling 128 inputs and 64 outputs, hence each DSP is using 128 BusRx Ports, and 64 BusTx Ports. Because all the BusRx Ports to both DSPs are being used, the resource meter will show 100%. The DSP cycles however will be below 100%. It is therefore possible to still add some DSP processing without going over 100%, so long as no additional processing objects need to span over two DSPs, and an audio path does not go over two DSPs.

It is important to note, that the 128x128 matrix with BLU link as described above will not work in a BLU-800. This is because the BLU-800 has CobraNet, this is also the reason why the default configuration in a BLU-800 uses more DSP resources than a BLU-160. CobraNet has 32 channels, all of which are being fed in to the DSPs, therefore 32 of the 128 BusRx Ports to the DSP are already being used. You could still have a 128x128 matrix in a BLU-800 if the CobraNet was being fed in to the matrix along with 96 channels of BLU link.

The above all assumes running at 48kHz. At 96kHz, the number of BusRx and BusTx Ports are halved.


BLU-100 Installation Guide

SAFETY NOTIFICATIONS

IMPORTANT SAFETY INSTRUCTIONS

The symbols shown above are internationally accepted symbols that warn of potential hazards with electrical products. The lightning flash with arrowpoint in an equilateral triangle means that there are dangerous voltages present within the unit. The exclamation point in an equilateral triangle indicates that it is necessary for the user to refer to the owner’s manual.

These symbols warn that there are no user serviceable parts inside the unit. Do not open the unit. Do not attempt to service the unit yourself. Refer all servicing to qualified personnel. Opening the chassis for any reason will void the manufacturer’s warranty. Do not get the unit wet. If liquid is spilled on the unit, shut it off immediately and take it to a dealer for service. Disconnect the unit during storms to prevent damage.

SAFETY INSTRUCTIONS

NOTICE FOR CUSTOMERS IF YOUR UNIT IS EQUIPPED WITH A POWER CORD

WARNING: THIS APPLIANCE SHALL BE CONNECTED TO A MAINS SOCKET OUTLET WITH A PROTECTIVE EARTHING CONNECTION.

The cores in the mains lead are coloured in accordance with the following code:

GREEN and YELLOW = Earth
BLUE = Neutral
BROWN = Live

As colours of the cores in the mains lead of this appliance may not correspond with the coloured markings identifying the terminals in your plug, proceed as follows:

  • The core which is coloured green and yellow must be connected to the terminal in the plug marked with the letter E, or with the earth symbol, or coloured green, or green and yellow.
  • The core which is coloured blue must be connected to the terminal marked N or coloured black.
  • The core which is coloured brown must be connected to the terminal marked L or coloured red.

This equipment may require the use of a different line cord, attachment plug, or both, depending on the available power source at installation. If the attachment plug needs to be changed, refer servicing to qualified service personnel who should refer to the table below. The green/yellow wire shall be connected directly to the units chassis.

 |  | WIRE COLOR
CONDUCTOR |  | Normal | Alt
L | LIVE | BROWN | BLACK
N | NEUTRAL | BLUE | WHITE
E | EARTH GND | GREEN/YELL | GREEN

WARNING: If the ground is defeated, certain fault conditions in the unit or in the system to which it is connected can result in full line voltage between chassis and earth ground. Severe injury or death can then result if the chassis and earth ground are touched simultaneously.

W ARNING FOR YOUR PROTECTION

PLEASE READ THE FOLLOWING:

KEEP THESE INSTRUCTIONS.

HEED ALL WARNINGS.

FOLLOW ALL INSTRUCTIONS.

THE APPARATUS SHALL NOT BE EXPOSED TO DRIPPING OR SPLASHING LIQUID AND NO OBJECT FILLED WITH LIQUID, SUCH AS VASES, SHALL BE PLACED ON THE APPARATUS.

CLEAN ONLY WITH A DRY CLOTH.

DO NOT BLOCK ANY OF THE VENTILATION OPENINGS. INSTALL IN ACCORDANCE WITH THE MANUFACTURER’S INSTRUCTIONS.

DO NOT INSTALL NEAR ANY HEAT SOURCES SUCH AS RADIATORS, HEAT REGISTERS, STOVES, OR OTHER APPARATUS (INCLUDING AMPLIFIERS) THAT PRODUCE HEAT.

ONLY USE ATTACHMENTS/ACCESSORIES SPECIFIED BY THE MANUFACTURER.

UNPLUG THIS APPARATUS DURING LIGHTNING STORMS OR WHEN UNUSED FOR LONG PERIODS OF TIME.

Do not defeat the safety purpose of the polarized or grounding-type plug. A polarized plug has two blades with one wider than the other. A grounding type plug has two blades and a third grounding prong. The wide blade or third prong are provided for your safety. If the provided plug does not fit your outlet, consult an electrician for replacement of the obsolete outlet. Protect the power cord from being walked on or pinched particularly at plugs, convenience receptacles, and the point where they exit from the apparatus. Use only with the cart stand, tripod bracket, or table specified by the manufacture, or sold with the apparatus. When a cart is used, use caution when moving the cart/apparatus combination to avoid injury from tip-over.

Refer all servicing to to qualified service personnel. Servicing is required when the apparatus has been damaged in any way, such as power-supply cord or plug is damaged, liquid has been spilled or objects have fallen into the apparatus, the apparatus has been exposed to rain or moisture, does not operate normally, or has been dropped.

POWER ON/OFF SWITCH: For products provided with a power switch, the power switch DOES NOT break the connection from the mains.

MAINS DISCONNECT: The plug shall remain readily operable. For rack-mount or installation where plug is not accessible, an all-pole mains switch with a contact separation of at least 3 mm in each pole shall be incorporated into the electrical installation of the rack or building.

FOR UNITS EQUIPPED WITH EXTERNALLY ACCESSIBLE FUSE RECEPTACLE: Replace fuse with same type and rating only.

MULTIPLE-INPUT VOLTAGE: This equipment may require the use of a different line cord, attachment plug, or both, depending on the available power source at installation. Connect this equipment only to the power source indicated on the equipment rear panel. To reduce the risk of fire or electric shock, refer servicing to qualified service personnel or equivalent.

If connected to a 240V supply, a suitable CSA/UL certified power cord shall be used for the supply

U.K. MAINS PLUG WARNING

A molded mains plug that has been cut off from the cord is unsafe. Discard the mains plug at a suitable disposal facility. NEVER UNDER ANY CIRCUMSTANCES SHOULD YOU INSERT A DAMAGED OR CUT MAINS PLUG INTO A 13 AMP POWER SOCKET. Do not use the mains plug without the fuse cover in place. Replacement fuse covers can be obtained from your local retailer. Replacement fuses are 13 amps and MUST be ASTA approved to BS1362.

ELECTROMAGNETIC COMPATIBILITY

This device complies with Part 15 of the FCC Rules and the Product Specifications noted on the Declaration of Conformity. Operation is subject to the following two conditions:

  • This device may not cause harmful interference, and
  • This device must accept any interference received, including interference that may cause undesired operation.

Operation of this unit within significant electromagnetic fields should be avoided. Use only shielded interconnecting cables.

DECLARATION OF CONFORMITY

Manufacturer’s Name: BSS Audio
Manufacturer’s Address: 8760 S. Sandy Parkway
Sandy, Utah 84070, USA

declares that the product:

Product name(s): BLU 101

Note: Product name may be suffixed by the EU.

Product option: None

conforms to the following Product Specifications:

Safety: IEC 60065 -01+Amd 1

EMC: EN 55022:2006

EN 55024:1998
FCC Part 15

Supplementary Information:

The product herewith complies with the requirements of the:

Low Voltage Directive 2006/95/EC

EMC Directive 2004/108/EC.

RoHS Directive 2002/95/EC

WEEE Directive 2002/96/EC

With regard to Directive 2005/32/EC and EC Regulation 1275/2008 of

17 December 2008, this product is designed, produced, and classified as

Professional Audio Equipment and thus is exempt from this Directive.

Vice-President of Engineering

8760 S. Sandy Parkway

Sandy, Utah 84070, USA

Date: April 22, 2010

European Contact: Your local BSS Audio Sales and Service Office or

Harman Music Group

8760 South Sandy Parkway

Sandy, Utah 84070, USA

Ph: (801) 566-8800

Fax: (801) 568-7583

If you want to dispose this product, do not mix it with general household waste. There is a separate collection system for used electronic products in accordance with legislation that requires proper treatment, recovery and recycling.

Private household in the 25 member states of the EU, in Switzerland and Norway may return their used electronic products free of charge to designated collection facilities or to a retailer (if you purchase a similar new one).

For Countries not mentioned above, please contact your local authorities for a correct method of disposal.

By doing so you will ensure that your disposed product undergoes the necessary treatment, recovery and recycling and thus prevent potential negative effects on the environment and human health.

REGULATORY INFORMATION

An example of this equipment has been tested and found to comply with the following European and international Standards for Electromagnetic Compatibility and Electrical Safety:

Radiated Emissions (EU): EN55013 (2001+A1)
Immunity (EU): EN55020 (1998)
Electrical Safety (EU): IEC 60065-01 +AMD1
Electrical safety (USA): UL60065-06

IMPORTANT USER INFORMATION

Do not remove covers. No user serviceable parts inside, refer servicing to qualified service personnel. For continued compliance with international EMC regulations, it is important that all cables be screened, and connected as follows: Audio cable screens to their BLU-80 connector ground. Control cable screens to the ground screws adjacent to the connector. Network cables should be of type CAT.5, fitted with a clip-on ferrite sleeve (STEWART TYPE 28A2029-0A0) near the network socket end. This equipment must be earthed. It should not be necessary to remove any protective earth or signal cable shield connections to prevent ground loops. Any such disconnections are outside the recommended practice of BSS Audio, and will render the EMC or safety certificate void.

MECHANICAL INSTALLATION

The device should be secured to an appropriate electronics enclosure by rack mounting bolts at all four corners. If the unit is likely to undergo extreme vibration through extensive road trucking and touring, the unit must be supported at the rear and/or sides to lessen the stress on the front mounting flange. The necessary support can generally be bought ready-built as a rack tray, or the BLU-100 unit can be mounted between other units. Damage caused by insufficient support is not covered by the warranty. To prevent cosmetic damage to the front panel finish, use protective plastic cups under the rack mounting bolts.

FRONT PANEL

INPUT / OUTPUT CHANNEL MONITORING

Each channel has the following LED indicators:

Clip

Indicates clipping in the analogue domain for each Input or output channel. The LED will illuminate at +18.5dB.

Signal

The Signal LED will illuminate for each Input or output channel when the signal reaches or exceeds the signal threshold of -20dB.

Input channels have a third indicator:

48V

(Input channel only) Illuminates to indicate +48V phantom power has been activated for the relevant input channel.

DEVICE MONITORING

Each Soundweb London has indicators on the front panel to display the following:

COM

The COM LED indicates the presence and status of an Ethernet network connection.

  • OFF - Indicates that no Cat 5 Ethernet cable is present, or that the unit is still in the process of negotiating its IP address.
  • GREEN - Indicates that a Cat 5 Ethernet cable is present and that the unit has established its IP address.
  • YELLOW - will flash Yellow to indicate that the device is communicating with another control device, either on the network, serial or control ports.

STAT

The STAT LED will illuminate :

  • GREEN when a proper design file is loaded and running
  • YELLOW if the design is paused
  • RED if design is stopped.

This replicates the same play/pause/stop indication on the current Soundweb London.

ERR

The ERR LED will normally be off. It will illuminate RED in the case of a critical or fatal error.

PWR

The PWR LED will be illuminated BLUE to indicate that the unit is powered up. When the unit is 'located', this LED will blink.

SPECIAL MODES INDICATION

MODE | DESCRIPTION | COM/STAT/ERR Indication
Error | This indicates an error during the boot sequence. (for example, no valid application is present) | Solid RED colour
BootLoader Mode | The unit is in 'bootloader' mode, either briefly during the normal startup process, or stopped in this mode for firmware maintenance purposes | Solid YELLOW colour
Welcome | During normal startup process. . | Solid GREEN colour
Startup Mode | The unit is starting up. At this point the user can put the unit into ‘safe mode’ by pressing and holding the rear locate button | Chasing YELLOW pattern
Firmware Update Mode | The unit is undergoing a firmware upgrade, flash is being erased or programmed | Chasing GREEN pattern

REAR PANEL

AC MAINS

AC Mains input to the universal switched-mode power supply, operates over a wide range of AC input voltages from 100V to 240V, 50/60Hz.

BLU LINK CONNECTORS - IN / OUT

These connectors enable the unit to be connected on a BLU link network.

LOCATE

Pressing the Locate switch on the rear of the unit will illuminate the PWR LED on the front and identify the device within London Architect. Similarly the switch and PWR LED will illuminate if the device is located from within London Architect.

RS232

Serial port for connection of external control equipment.

ETHERNET

The main connection for the proprietary system control network, and for third party Ethernet control.

BLU link

The London BLU link is a point-to-point digital audio bus with 256 audio channels at 48K sample rate or 128 audio channels at 96K sample rate. The BLU-100 allows access to channels 1-48 of this bus at 48kHz and 47.952kHz (Pulldown) sample rates. The physical connection is made with Cat 5e cable from the OUT port of one device to the IN port of another device. The devices are connected in a daisy chain fashion continuing with the OUT port of one device connected to the IN port of the next device. Redundancy can be provided by completing the loop and connecting the OUT port from the last device to the IN port of the first device in the chain. All devices connected in the London BLU link chain must be configured for the same audio sample rate.

Analogue Input / Output Connections

There are 12 analogue input connections and 8 analogue output connections. The analogue connections are balanced, on Phoenix/Combicon connectors.

AUDIO CABLE WIRING

All audio and control connections to the BLU-100 are via Klippon pluggable terminal block connectors (also known as BL, Phoenix or Combicon). 12-way female Klippon connectors are supplied for making these connections.

Soundweb products provide cable shielding ’back from the destination’ to eliminate ground loop problems. This means that the shield (S) connection on an input is grounded, whereas the shield connection on an output is floating (although connected via an internal network to ground for EMC compliance).

Balanced wiring - The convention for balanced wiring (2-core plus shield) is:

Unbalanced wiring - The convention for unbalanced wiring to the inputs (1-core plus shield) is:

CONTROL INPUTS

Used to connect switches or potentiometers, e.g. BLU-3 selector wallplate (Part no. Z-BLU-3). Looking at the control port connector (on the back of the unit), there are two common (ground) connections C to the left of the eight CONTROL INPUTS and, two software assignable reference voltage outputs R to the right. The control ports now have two modes of operation. In Soundweb Designer’s Control Ports window these are labelled ’2-wire’ and ’3-wire’.

2-Wire Mode

In this mode the 12 CONTROL INPUTS are internally ’pulled up’ to +5V DC via a 4.7kOhm resistor. Therefore, no external voltage source is needed to create contact closure to ground for switches such as mute buttons or, resistance to ground (for other multi-state or continuous controls such as Parameter Presets or faders). See 2-wire mode for a table of resistor values for use with Parameter Presets or source selectors. Two ’r;common’ ground connections are provided using the two C connectors to the left of the CONTROL INPUTS. A 47kOhm-log potentiometer connected between a control input and common will allow parameters to be controlled linearly.

3-Wire Mode

This mode allows the use of linear pots or faders for continuous controls. A pot would be wired as a potential divider with the top of the track connected to the reference output R, the wiper to a control input and the bottom of the track to a common C. For good performance pots with track resistance between 10k ohms and 100k ohms are recommended.

LOGIC OUTPUTS

The logic outputs can be used to drive indicators or third party devices. For example Logic Outputs can trigger infra-red commands (to control DVD players etc) or power relays to turn other equipment on or off. The logic output can source 10mA at 5V DC, or sink 60mA up to 50V DC. There are six standard logic outputs which produce 0V or +5V DC via an internal 440 Ohm resistor and two internally connected common (ground) connections C. An LED connected between one output (Anode, A) and common (Cathode, K) will illuminate when the LOGIC OUTPUT is activated, without requiring any external current limiting resistor. A high sensitivity relay (such as a reed relay) may be driven by connecting four outputs in parallel. This arrangement will develop 4V across a 500-Ohm coil, providing that all four outputs are made logic 1 simultaneously.

OPTO OUTPUT

In addition to the six standard logic outputs, there is an isolated output, which fails safe (open circuit) if the unit becomes faulty.

When sourcing from the Logic Output, an LED connected between one output (Anode, A) and common (Cathode, K) will illuminate when the logic output is activated, without requiring any external current limiting resistor.

For Higher current reed type relays you must use the Logic Output to sink current using an external power supply.

OPTO OUTPUT

In addition to the six standard logic outputs, there is an isolated output, which fails safe (open circuit) if the unit becomes faulty.

TECHNICAL SPECIFICATIONS

See BLU-100 Technical Specifications


BLU-100 Technical Specifications

General BLU-100

Mains Voltage | 100-240V AC, 50/60Hz
Power Consumption | <55VA
BTU Rating | <188 BTU/hr
Operating Temperature Range | 5 to 35 °C (41 to 95 °F)
Dimensions (HxWxD) | 1.75" (45mm) (1U) x 19" (483mm) x 9.0" (229mm)
Weight | 6.4lbs / 2.9kg

Front Panel LED Indicators

Per Input | Signal Present, Clip, 48V
Other | COM, STAT, ERR, PWR

Analogue Inputs

12 electronically balanced on Phoenix/Combicon removable screw connectors.

Mic/Line Inputs | Nominal gain 0dB, electronically switchable up to +48dB, in +6dB steps
Input Impedance | 3.0kOhms
Maximum input level | +20dBu with 0dB input gain, +8dBu with 12dB gain
CMRR | >75dB at 1 kHz
Equivalent Input Noise (E.I.N.) | <-125dBu typical with 150 Ohm source
Phantom power | 48V nominal, selectable per input
A/D Latency | 37/Fs (0.77ms @ 48k)

Analogue Outputs

8 electronically balanced on Phoenix/Combicon removable screw connectors

Maximum Output Level | +19dBu
Frequency Response | 20Hz-20KHz (+0.5dB/-1dB)
THD | <0.01% (20Hz to 20kHz, +10dBu output)
Dynamic Range | >108dB typical (22Hz to 22kHz unweighted)
Crosstalk | <-75dB
D/A Latency | 29/Fs (0.60ms @ 48k)
Output Impedance | 120 Ohms

Control Ports

12 inputs and 6 outputs

Control Input Voltage | 0 to 4.5v
Control Input Impedance | 4.7kOhms to +5V (2-wire mode), >1MOhm (3-wire mode)
Logic Output Voltage | 0 or +5V unloaded
Logic Output Impedance | 440 Ohms
Logic Output Current | 10mA source, 60mA sink

Watchdog Output

Phoenix/Combicon connector for fail-safe control

Opto Output Current | 14mA maximum
Withstanding Voltage | 80V maximum (Off)
Series Impedance | 220 Ohms (Isolated)

BSS Audio incorporates high quality mechanical fans in some products. All mechanical fans have a limited life expectancy. We recommend annual inspection of fans for dust occlusion and excessive noise. Fan assemblies should be replaced after six to ten years of use. Environmental factors such as elevated temperature, dust, and smoke can adversely affect fan life. Systems exposed to these conditions should be inspected more frequently. Fan replacement can be performed either at the factory or by an experienced technician in the field. Please contact BSS Technical Support for more information on purchasing replacement parts or product service. BSS Audio has a policy of continued product improvement and accordingly reserves the right to change features and specifications without prior notice.


BLU-100 Network Specifications

Control Network

Connectors | RJ45 Ethernet connector
Maximum cable length | 100m/300ft on Category 5e cable between device and Ethernet switch

BLU link Audio Network

Connectors | 2 x RJ45 Ethernet connectors
Maximum cable length | 100m/300ft on Category 5e cable between devices
Maximum number of nodes | 60
Latency | 11/Fs (0.23ms@48kHz)
Pass Through Latency | 4/Fs (0.08ms @ 48kHz)


BLU-101 Installation Guide

SAFETY NOTIFICATIONS

IMPORTANT SAFETY INSTRUCTIONS

The symbols shown above are internationally accepted symbols that warn of potential hazards with electrical products. The lightning flash with arrowpoint in an equilateral triangle means that there are dangerous voltages present within the unit. The exclamation point in an equilateral triangle indicates that it is necessary for the user to refer to the owner’s manual.

These symbols warn that there are no user serviceable parts inside the unit. Do not open the unit. Do not attempt to service the unit yourself. Refer all servicing to qualified personnel. Opening the chassis for any reason will void the manufacturer’s warranty. Do not get the unit wet. If liquid is spilled on the unit, shut it off immediately and take it to a dealer for service. Disconnect the unit during storms to prevent damage.

SAFETY INSTRUCTIONS

NOTICE FOR CUSTOMERS IF YOUR UNIT IS EQUIPPED WITH A POWER CORD

WARNING: THIS APPLIANCE SHALL BE CONNECTED TO A MAINS SOCKET OUTLET WITH A PROTECTIVE EARTHING CONNECTION.

The cores in the mains lead are coloured in accordance with the following code:

GREEN and YELLOW = Earth
BLUE = Neutral
BROWN = Live

As colours of the cores in the mains lead of this appliance may not correspond with the coloured markings identifying the terminals in your plug, proceed as follows:

  • The core which is coloured green and yellow must be connected to the terminal in the plug marked with the letter E, or with the earth symbol, or coloured green, or green and yellow.
  • The core which is coloured blue must be connected to the terminal marked N or coloured black.
  • The core which is coloured brown must be connected to the terminal marked L or coloured red.

This equipment may require the use of a different line cord, attachment plug, or both, depending on the available power source at installation. If the attachment plug needs to be changed, refer servicing to qualified service personnel who should refer to the table below. The green/yellow wire shall be connected directly to the units chassis.

 |  | WIRE COLOR
CONDUCTOR |  | Normal | Alt
L | LIVE | BROWN | BLACK
N | NEUTRAL | BLUE | WHITE
E | EARTH GND | GREEN/YELL | GREEN

WARNING: If the ground is defeated, certain fault conditions in the unit or in the system to which it is connected can result in full line voltage between chassis and earth ground. Severe injury or death can then result if the chassis and earth ground are touched simultaneously.

W ARNING FOR YOUR PROTECTION

PLEASE READ THE FOLLOWING:

KEEP THESE INSTRUCTIONS.

HEED ALL WARNINGS.

FOLLOW ALL INSTRUCTIONS.

THE APPARATUS SHALL NOT BE EXPOSED TO DRIPPING OR SPLASHING LIQUID AND NO OBJECT FILLED WITH LIQUID, SUCH AS VASES, SHALL BE PLACED ON THE APPARATUS.

CLEAN ONLY WITH A DRY CLOTH.

DO NOT BLOCK ANY OF THE VENTILATION OPENINGS. INSTALL IN ACCORDANCE WITH THE MANUFACTURER’S INSTRUCTIONS.

DO NOT INSTALL NEAR ANY HEAT SOURCES SUCH AS RADIATORS, HEAT REGISTERS, STOVES, OR OTHER APPARATUS (INCLUDING AMPLIFIERS) THAT PRODUCE HEAT.

ONLY USE ATTACHMENTS/ACCESSORIES SPECIFIED BY THE MANUFACTURER.

UNPLUG THIS APPARATUS DURING LIGHTNING STORMS OR WHEN UNUSED FOR LONG PERIODS OF TIME.

Do not defeat the safety purpose of the polarized or grounding-type plug. A polarized plug has two blades with one wider than the other. A grounding type plug has two blades and a third grounding prong. The wide blade or third prong are provided for your safety. If the provided plug does not fit your outlet, consult an electrician for replacement of the obsolete outlet. Protect the power cord from being walked on or pinched particularly at plugs, convenience receptacles, and the point where they exit from the apparatus. Use only with the cart stand, tripod bracket, or table specified by the manufacture, or sold with the apparatus. When a cart is used, use caution when moving the cart/apparatus combination to avoid injury from tip-over.

Refer all servicing to to qualified service personnel. Servicing is required when the apparatus has been damaged in any way, such as power-supply cord or plug is damaged, liquid has been spilled or objects have fallen into the apparatus, the apparatus has been exposed to rain or moisture, does not operate normally, or has been dropped.

POWER ON/OFF SWITCH: For products provided with a power switch, the power switch DOES NOT break the connection from the mains.

MAINS DISCONNECT: The plug shall remain readily operable. For rack-mount or installation where plug is not accessible, an all-pole mains switch with a contact separation of at least 3 mm in each pole shall be incorporated into the electrical installation of the rack or building.

FOR UNITS EQUIPPED WITH EXTERNALLY ACCESSIBLE FUSE RECEPTACLE: Replace fuse with same type and rating only.

MULTIPLE-INPUT VOLTAGE: This equipment may require the use of a different line cord, attachment plug, or both, depending on the available power source at installation. Connect this equipment only to the power source indicated on the equipment rear panel. To reduce the risk of fire or electric shock, refer servicing to qualified service personnel or equivalent.

If connected to a 240V supply, a suitable CSA/UL certified power cord shall be used for the supply

U.K. MAINS PLUG WARNING

A molded mains plug that has been cut off from the cord is unsafe. Discard the mains plug at a suitable disposal facility. NEVER UNDER ANY CIRCUMSTANCES SHOULD YOU INSERT A DAMAGED OR CUT MAINS PLUG INTO A 13 AMP POWER SOCKET. Do not use the mains plug without the fuse cover in place. Replacement fuse covers can be obtained from your local retailer. Replacement fuses are 13 amps and MUST be ASTA approved to BS1362.

ELECTROMAGNETIC COMPATIBILITY

This device complies with Part 15 of the FCC Rules and the Product Specifications noted on the Declaration of Conformity. Operation is subject to the following two conditions:

  • This device may not cause harmful interference, and
  • This device must accept any interference received, including interference that may cause undesired operation.

Operation of this unit within significant electromagnetic fields should be avoided. Use only shielded interconnecting cables.

DECLARATION OF CONFORMITY

Manufacturer’s Name: BSS Audio
Manufacturer’s Address: 8760 S. Sandy Parkway
Sandy, Utah 84070, USA

declares that the product:

Product name(s): BLU 101

Note: Product name may be suffixed by the EU.

Product option: None

conforms to the following Product Specifications:

Safety: IEC 60065 -01+Amd 1

EMC: EN 55022:2006

EN 55024:1998
FCC Part 15

Supplementary Information:

The product herewith complies with the requirements of the:

Low Voltage Directive 2006/95/EC

EMC Directive 2004/108/EC.

RoHS Directive 2002/95/EC

WEEE Directive 2002/96/EC

With regard to Directive 2005/32/EC and EC Regulation 1275/2008 of

17 December 2008, this product is designed, produced, and classified as

Professional Audio Equipment and thus is exempt from this Directive.

Roger Johnsen

Vice-President of Engineering

8760 S. Sandy Parkway

Sandy, Utah 84070, USA

Date: July 7, 2010

European Contact: Your local BSS Audio Sales and Service Office or

Harman Music Group

8760 South Sandy Parkway

Sandy, Utah 84070, USA

Ph: (801) 566-8800

Fax: (801) 568-7583

If you want to dispose this product, do not mix it with general household waste. There is a separate collection system for used electronic products in accordance with legislation that requires proper treatment, recovery and recycling.

Private household in the 25 member states of the EU, in Switzerland and Norway may return their used electronic products free of charge to designated collection facilities or to a retailer (if you purchase a similar new one).

For Countries not mentioned above, please contact your local authorities for a correct method of disposal.

By doing so you will ensure that your disposed product undergoes the necessary treatment, recovery and recycling and thus prevent potential negative effects on the environment and human health.

REGULATORY INFORMATION

An example of this equipment has been tested and found to comply with the following European and international Standards for Electromagnetic Compatibility and Electrical Safety:

Radiated Emissions (EU): EN55013 (2001+A1)
Immunity (EU): EN55020 (1998)
Electrical Safety (EU): IEC 60065-01 +AMD1
Electrical safety (USA): UL60065-06

IMPORTANT USER INFORMATION

Do not remove covers. No user serviceable parts inside, refer servicing to qualified service personnel. For continued compliance with international EMC regulations, it is important that all cables be screened, and connected as follows: Audio cable screens to their BLU-80 connector ground. Control cable screens to the ground screws adjacent to the connector. Network cables should be of type CAT.5, fitted with a clip-on ferrite sleeve (STEWART TYPE 28A2029-0A0) near the network socket end. This equipment must be earthed. It should not be necessary to remove any protective earth or signal cable shield connections to prevent ground loops. Any such disconnections are outside the recommended practice of BSS Audio, and will render the EMC or safety certificate void.

MECHANICAL INSTALLATION

The device should be secured to an appropriate electronics enclosure by rack mounting bolts at all four corners. If the unit is likely to undergo extreme vibration through extensive road trucking and touring, the unit must be supported at the rear and/or sides to lessen the stress on the front mounting flange. Damage caused by insufficient support is not covered by the warranty. To prevent cosmetic damage to the front panel finish, use protective plastic cups under the rack mounting bolts.

FRONT PANEL

INPUT / OUTPUT CHANNEL MONITORING

Each channel has the following LED indicators:

Clip

Indicates clipping in the analogue domain for each Input or output channel. The LED will illuminate at +18.5dB.

Signal

The Signal LED will illuminate for each Input or output channel when the signal reaches or exceeds the signal threshold of -20dB.

Input channels have a third indicator:

48V

(Input channel only) Illuminates to indicate +48V phantom power has been activated for the relevant input channel.

OTHER INDICATORS

Each Soundweb London has indicators on the front panel to display the following:

COM

The COM LED indicates the presence and status of an Ethernet network connection.

  • OFF - Indicates that no Cat 5 Ethernet cable is present, or that the unit is still in the process of negotiating its IP address.
  • GREEN - Indicates that a Cat 5 Ethernet cable is present and that the unit has established its IP address.
  • YELLOW - will flash Yellow to indicate that the device is communicating with another control device, either on the network, serial or control ports.

STAT

The STAT LED will illuminate :

  • GREEN when a proper design file is loaded and running
  • YELLOW if the design is paused
  • RED if design is stopped.

ERR

The ERR LED will normally be off. It will illuminate RED in the case of a critical or fatal error.

PWR

The PWR LED will be illuminated BLUE to indicate that the unit is powered up. When the unit is 'located', this LED will blink.

SPECIAL MODES INDICATION

MODE | DESCRIPTION | COM/STAT/ERR Indication
Error | This indicates an error during the boot sequence. (for example, no valid application is present) | Solid RED colour
BootLoader Mode | The unit is in 'bootloader' mode, either briefly during the normal startup process, or stopped in this mode for firmware maintenance purposes | Solid YELLOW colour
Welcome screen | During normal startup process. | Solid GREEN colour
Startup Mode | The unit is starting up. At this point the user can put the unit into ‘safe mode’ by pressing and holding the rear locate button | Chasing YELLOW pattern
Firmware Update Mode | The unit is undergoing a firmware upgrade, flash is being erased or programmed | Chasing GREEN pattern

REAR PANEL

AC MAINS

AC Mains input to the universal switched-mode power supply, operates over a wide range of AC input voltages from 100V to 240V, 50/60Hz.

LOCATE

Pressing the Locate switch on the rear of the unit will illuminate the PWR LED on the front and identify the device within London Architect. Similarly the switch and PWR LED will illuminate if the device is located from within London Architect.

RS232

Serial port for connection of external control equipment.

ETHERNET

The main connection for the proprietary system control network, and for third party Ethernet control.

BLU link

The London BLU link is a point-to-point digital audio bus with 256 audio channels at 48K sample rate or 128 audio channels at 96K sample rate. The BLU-101 allows access to channels 1-48 of this bus at 48kHz and 47.952kHz (Pulldown) sample rates.. The physical connection is made with Cat 5e cable from the OUT port of one device to the IN port of another device. The devices are connected in a daisy chain fashion continuing with the OUT port of one device connected to the IN port of the next device. Redundancy can be provided by completing the loop and connecting the OUT port from the last device to the IN port of the first device in the chain. All devices connected in the London BLU link chain must be configured for the same audio sample rate.

Analogue Input / Output Connections

There are 12 analogue input connections and 8 analogue output connections. The analogue connections are balanced, on Phoenix/Combicon connectors.

AEC

The BLU-101 has AEC capabilities which enable it to cancel acoustic echo arising when sound from a loudspeaker enters a microphone in the same room in a conference application.

The BLU-101 contains dedicated AEC processing for up to 12 independent AEC algorithms. The AEC algorithm can be applied to signals coming from the local analog inputs or from the digital audio bus. 12 individual AEC references (one per algorithm) allow the user to provide a solution for multiple conferencing spaces using a single device. Automatic Gain Control (AGC) and Noise Cancellation (NC) are also provided per AEC algorithm. AGC ensures that microphone levels remain at an optimum level, and NC removes steady state noise (such as from a projector fan or air conditioning device) from the signal path. Non-Linear Processing (NLP) dynamically adjusts to minimize echo caused by under or over-cancellation.

AUDIO CABLE WIRING

All audio and control connections to the BLU-101 are via Klippon pluggable terminal block connectors (also known as BL, Phoenix or Combicon). 12-way female Klippon connectors are supplied for making these connections.

Soundweb products provide cable shielding ’back from the destination’ to eliminate ground loop problems. This means that the shield (S) connection on an input is grounded, whereas the shield connection on an output is floating (although connected via an internal network to ground for EMC compliance).

Balanced wiring - The convention for balanced wiring (2-core plus shield) is:

Unbalanced wiring - The convention for unbalanced wiring to the inputs (1-core plus shield) is:

CONTROL INPUTS

Used to connect switches or potentiometers, e.g. BLU-3 selector wallplate (Part no. Z-BLU-3). Looking at the control port connector (on the back of the unit), there are two common (ground) connections C to the left of the eight CONTROL INPUTS and, two software assignable reference voltage outputs R to the right. The control ports now have two modes of operation. In Soundweb Designer’s Control Ports window these are labelled ’2-wire’ and ’3-wire’.

2-Wire Mode

In this mode the 12 CONTROL INPUTS are internally ’pulled up’ to +5V DC via a 4.7kOhm resistor. Therefore, no external voltage source is needed to create contact closure to ground for switches such as mute buttons or, resistance to ground (for other multi-state or continuous controls such as Parameter Presets or faders). See 2-wire mode for a table of resistor values for use with Parameter Presets or source selectors. Two ’r;common’ ground connections are provided using the two C connectors to the left of the CONTROL INPUTS. A 47kOhm-log potentiometer connected between a control input and common will allow parameters to be controlled linearly.

3-Wire Mode

This mode allows the use of linear pots or faders for continuous controls. A pot would be wired as a potential divider with the top of the track connected to the reference output R, the wiper to a control input and the bottom of the track to a common C. For good performance pots with track resistance between 10k ohms and 100k ohms are recommended.

c

LOGIC OUTPUTS

The logic outputs can be used to drive indicators or third party devices. For example Logic Outputs can trigger infra-red commands (to control DVD players etc) or power relays to turn other equipment on or off. The logic output can source 10mA at 5V DC, or sink 60mA up to 50V DC. There are six standard logic outputs which produce 0V or +5V DC via an internal 440 Ohm resistor and two internally connected common (ground) connections C. An LED connected between one output (Anode, A) and common (Cathode, K) will illuminate when the LOGIC OUTPUT is activated, without requiring any external current limiting resistor. A high sensitivity relay (such as a reed relay) may be driven by connecting four outputs in parallel. This arrangement will develop 4V across a 500-Ohm coil, providing that all four outputs are made logic 1 simultaneously.

OPTO OUTPUT

In addition to the six standard logic outputs, there is an isolated output, which fails safe (open circuit) if the unit becomes faulty.

When sourcing from the Logic Output, an LED connected between one output (Anode, A) and common (Cathode, K) will illuminate when the logic output is activated, without requiring any external current limiting resistor.

For Higher current reed type relays you must use the Logic Output to sink current using an external power supply.

TECHNICAL SPECIFICATIONS

See BLU-101 Technical Specifications


BLU-101 Technical Specifications

General BLU-101

Mains Voltage | 100-240V AC, 50/60Hz
Power Consumption | <55VA
BTU Rating | <188 BTU/hr
Operating Temperature Range | 5 to 35 °C (41 to 95 °F)
Dimensions (HxWxD) | 1.75" (45mm) (1U) x 19" (483mm) x 12.5" (318mm)
Weight | 6.4lbs / 2.9kg

Front Panel LED Indicators

Per Input | Signal Present, Clip, 48V
Other | COM, STAT, ERR, PWR

Analogue Inputs

12 electronically balanced on Phoenix/Combicon removable screw connectors.

Mic/Line Inputs | Nominal gain 0dB, electronically switchable up to +48dB, in +6dB steps
Input Impedance | 3.0kOhms
Maximum input level | +20dBu with 0dB input gain, +8dBu with 12dB gain
CMRR | >75dB at 1kHz
Equivalent Input Noise (E.I.N.) | <-125dBu typical with 150 Ohm source
Phantom power | 48V nominal, selectable per input
A/D Latency | 37/Fs (0.77ms @ 48k)

AEC Processing

12 Independent Algorithms

AEC Processing Latency (Original AEC) | 2385/Fs [49.69ms @ 48kHz]
AEC Processing Latency (Full Bandwidth AEC) | 1584/Fs [33ms @ 48kHz]
Tail Length | 200ms
Average Convergence Rate | 49dB/s (Net convergence over multiple FFT bands)

Analogue Outputs

8 electronically balanced on Phoenix/Combicon removable screw connectors

Maximum Output Level | +19dBu
Frequency Response | 20Hz-20KHz (+0.5dB/-1dB)
THD | <0.01% (20Hz to 20kHz, +10dBu output)
Dynamic Range | >108dB typical (22Hz to22kHz unweighted)
Crosstalk | <-75dB
D/A Latency | 29/Fs (0.60ms @ 48k)
Output Impedance | 40 Ohms balanced and 20 Ohms unbalanced

Control Ports

12 inputs and 6 outputs

Control Input Voltage | 0 to 4.5v
Control Input Impedance | 4.7kOhms to +5V (2-wire mode), >1MOhm (3-wire mode)
Logic Output Voltage | 0 or +5V unloaded
Logic Output Impedance | 440 Ohms
Logic Output Current | 10mA source, 60mA sink

Watchdog Output

Phoenix/Combicon connector for failsafe control

Opto Output Current | 14mA maximum
Withstanding Voltage | 80V maximum (Off)
Series Impedance | 220 Ohms (Isolated)

BSS Audio incorporates high quality mechanical fans in some products. All mechanical fans have a limited life expectancy. We recommend annual inspection of fans for dust occlusion and excessive noise. Fan assemblies should be replaced after six to ten years of use. Environmental factors such as elevated temperature, dust, and smoke can adversely affect fan life. Systems exposed to these conditions should be inspected more frequently. Fan replacement can be performed either at the factory or by an experienced technician in the field. Please contact BSS Technical Support for more information on purchasing replacement parts or product service. BSS Audio has a policy of continued product improvement and accordingly reserves the right to change features and specifications without prior notice.


BLU-101 Network Specifications

Control Network

Connectors | RJ45 Ethernet connector
Maximum cable length | 100m/300ft on Category 5e cable between device and Ethernet switch

BLU link Audio Network

Connectors | 2 x RJ45 Ethernet connectors
Maximum cable length | 100m/300ft on Category 5e cable between devices
Maximum number of nodes | 60
Latency | 11/Fs (0.23ms@48kHz)
Pass Through Latency | 4/Fs (0.08ms @ 48kHz)


BLU-102 Installation Guide

SAFETY NOTIFICATIONS

IMPORTANT SAFETY INSTRUCTIONS

The symbols shown above are internationally accepted symbols that warn of potential hazards with electrical products. The lightning flash with arrowpoint in an equilateral triangle means that there are dangerous voltages present within the unit. The exclamation point in an equilateral triangle indicates that it is necessary for the user to refer to the owner’s manual.

These symbols warn that there are no user serviceable parts inside the unit. Do not open the unit. Do not attempt to service the unit yourself. Refer all servicing to qualified personnel. Opening the chassis for any reason will void the manufacturer’s warranty. Do not get the unit wet. If liquid is spilled on the unit, shut it off immediately and take it to a dealer for service. Disconnect the unit during storms to prevent damage.

SAFETY INSTRUCTIONS

NOTICE FOR CUSTOMERS IF YOUR UNIT IS EQUIPPED WITH A POWER CORD

WARNING: THIS APPLIANCE SHALL BE CONNECTED TO A MAINS SOCKET OUTLET WITH A PROTECTIVE EARTHING CONNECTION.

The cores in the mains lead are coloured in accordance with the following code:

GREEN and YELLOW = Earth
BLUE = Neutral
BROWN = Live

As colours of the cores in the mains lead of this appliance may not correspond with the coloured markings identifying the terminals in your plug, proceed as follows:

  • The core which is coloured green and yellow must be connected to the terminal in the plug marked with the letter E, or with the earth symbol, or coloured green, or green and yellow.
  • The core which is coloured blue must be connected to the terminal marked N or coloured black.
  • The core which is coloured brown must be connected to the terminal marked L or coloured red.

This equipment may require the use of a different line cord, attachment plug, or both, depending on the available power source at installation. If the attachment plug needs to be changed, refer servicing to qualified service personnel who should refer to the table below. The green/yellow wire shall be connected directly to the units chassis.

 |  | WIRE COLOR
CONDUCTOR |  | Normal | Alt
L | LIVE | BROWN | BLACK
N | NEUTRAL | BLUE | WHITE
E | EARTH GND | GREEN/YELL | GREEN

WARNING: If the ground is defeated, certain fault conditions in the unit or in the system to which it is connected can result in full line voltage between chassis and earth ground. Severe injury or death can then result if the chassis and earth ground are touched simultaneously.

W ARNING FOR YOUR PROTECTION

PLEASE READ THE FOLLOWING:

KEEP THESE INSTRUCTIONS.

HEED ALL WARNINGS.

FOLLOW ALL INSTRUCTIONS.

THE APPARATUS SHALL NOT BE EXPOSED TO DRIPPING OR SPLASHING LIQUID AND NO OBJECT FILLED WITH LIQUID, SUCH AS VASES, SHALL BE PLACED ON THE APPARATUS.

CLEAN ONLY WITH A DRY CLOTH.

DO NOT BLOCK ANY OF THE VENTILATION OPENINGS. INSTALL IN ACCORDANCE WITH THE MANUFACTURER’S INSTRUCTIONS.

DO NOT INSTALL NEAR ANY HEAT SOURCES SUCH AS RADIATORS, HEAT REGISTERS, STOVES, OR OTHER APPARATUS (INCLUDING AMPLIFIERS) THAT PRODUCE HEAT.

ONLY USE ATTACHMENTS/ACCESSORIES SPECIFIED BY THE MANUFACTURER.

UNPLUG THIS APPARATUS DURING LIGHTNING STORMS OR WHEN UNUSED FOR LONG PERIODS OF TIME.

Do not defeat the safety purpose of the polarized or grounding-type plug. A polarized plug has two blades with one wider than the other. A grounding type plug has two blades and a third grounding prong. The wide blade or third prong are provided for your safety. If the provided plug does not fit your outlet, consult an electrician for replacement of the obsolete outlet. Protect the power cord from being walked on or pinched particularly at plugs, convenience receptacles, and the point where they exit from the apparatus. Use only with the cart stand, tripod bracket, or table specified by the manufacture, or sold with the apparatus. When a cart is used, use caution when moving the cart/apparatus combination to avoid injury from tip-over.

Refer all servicing to to qualified service personnel. Servicing is required when the apparatus has been damaged in any way, such as power-supply cord or plug is damaged, liquid has been spilled or objects have fallen into the apparatus, the apparatus has been exposed to rain or moisture, does not operate normally, or has been dropped.

POWER ON/OFF SWITCH: For products provided with a power switch, the power switch DOES NOT break the connection from the mains.

MAINS DISCONNECT: The plug shall remain readily operable. For rack-mount or installation where plug is not accessible, an all-pole mains switch with a contact separation of at least 3 mm in each pole shall be incorporated into the electrical installation of the rack or building.

FOR UNITS EQUIPPED WITH EXTERNALLY ACCESSIBLE FUSE RECEPTACLE: Replace fuse with same type and rating only.

MULTIPLE-INPUT VOLTAGE: This equipment may require the use of a different line cord, attachment plug, or both, depending on the available power source at installation. Connect this equipment only to the power source indicated on the equipment rear panel. To reduce the risk of fire or electric shock, refer servicing to qualified service personnel or equivalent.

If connected to a 240V supply, a suitable CSA/UL certified power cord shall be used for the supply

U.K. MAINS PLUG WARNING

A molded mains plug that has been cut off from the cord is unsafe. Discard the mains plug at a suitable disposal facility. NEVER UNDER ANY CIRCUMSTANCES SHOULD YOU INSERT A DAMAGED OR CUT MAINS PLUG INTO A 13 AMP POWER SOCKET. Do not use the mains plug without the fuse cover in place. Replacement fuse covers can be obtained from your local retailer. Replacement fuses are 13 amps and MUST be ASTA approved to BS1362.

ELECTROMAGNETIC COMPATIBILITY

This device complies with Part 15 of the FCC Rules and the Product Specifications noted on the Declaration of Conformity. Operation is subject to the following two conditions:

  • This device may not cause harmful interference, and
  • This device must accept any interference received, including interference that may cause undesired operation.

Operation of this unit within significant electromagnetic fields should be avoided. Use only shielded interconnecting cables.

Finland, Norway and Sweden

Apparatet skal tilkoples jordet stikkontakt.

Caution

Certified 26 AWG telephone wires to be used for

connection to telecommunication network..

DECLARATION OF CONFORMITY

Manufacturer’s Name: BSS Audio
Manufacturer’s Address: 8760 S. Sandy Parkway
Sandy, Utah 84070, USA

declares that the product:

Product name(s): BLU 102

Note: Product name may be suffixed by the EU.

Product option: None

conforms to the following Product Specifications:

Safety: IEC 60065 -01+Amd 1

EMC: EN 55022:2006

EN 55024:1998
FCC Part 15

Supplementary Information:

The product herewith complies with the requirements of the:

Low Voltage Directive 2006/95/EC

EMC Directive 2004/108/EC.

RoHS Directive 2002/95/EC

WEEE Directive 2002/96/EC

With regard to Directive 2005/32/EC and EC Regulation 1275/2008 of

17 December 2008, this product is designed, produced, and classified as

Professional Audio Equipment and thus is exempt from this Directive.

Vice-President of Engineering

8760 S. Sandy Parkway

Sandy, Utah 84070, USA

Date: August 23, 2010

European Contact: Your local BSS Audio Sales and Service Office or

Harman Music Group

8760 South Sandy Parkway

Sandy, Utah 84070, USA

Ph: (801) 566-8800

Fax: (801) 568-7583

If you want to dispose this product, do not mix it with general household waste. There is a separate collection system for used electronic products in accordance with legislation that requires proper treatment, recovery and recycling.

Private household in the 25 member states of the EU, in Switzerland and Norway may return their used electronic products free of charge to designated collection facilities or to a retailer (if you purchase a similar new one).

For Countries not mentioned above, please contact your local authorities for a correct method of disposal.

By doing so you will ensure that your disposed product undergoes the necessary treatment, recovery and recycling and thus prevent potential negative effects on the environment and human health.

REGULATORY INFORMATION

An example of this equipment has been tested and found to comply with the following European and international Standards for Electromagnetic Compatibility and Electrical Safety:

Radiated Emissions (EU): EN55022:2006
Immunity (EU): EN55024:1998
Electrical Safety (EU): IEC 60065-01 +AMD1
Electrical safety (USA): UL60065-06

Telecom:

AS/ACIF: S002:2005

Industry Canada: CS-03

U.S. FCC Part 68 TIA-968-B

TIA-1096-A

IMPORTANT USER INFORMATION

Do not remove covers. No user serviceable parts inside, refer servicing to qualified service personnel. For continued compliance with international EMC regulations, it is important that all cables be screened, and connected as follows: Audio cable screens to their BLU-80 connector ground. Control cable screens to the ground screws adjacent to the connector. Network cables should be of type CAT.5, fitted with a clip-on ferrite sleeve (STEWART TYPE 28A2029-0A0) near the network socket end. This equipment must be earthed. It should not be necessary to remove any protective earth or signal cable shield connections to prevent ground loops. Any such disconnections are outside the recommended practice of BSS Audio, and will render the EMC or safety certificate void.

MECHANICAL INSTALLATION

The device should be secured to an appropriate electronics enclosure by rack mounting bolts at all four corners. If the unit is likely to undergo extreme vibration through extensive road trucking and touring, the unit must be supported at the rear and/or sides to lessen the stress on the front mounting flange. Damage caused by insufficient support is not covered by the warranty. To prevent cosmetic damage to the front panel finish, use protective plastic cups under the rack mounting bolts.

FRONT PANEL

INPUT / OUTPUT CHANNEL MONITORING

Each channel has the following LED indicators:

Clip

Indicates clipping in the analogue domain for each Input or output channel. The LED will illuminate at +18.5dB.

Signal

The Signal LED will illuminate for each Input or output channel when the signal reaches or exceeds the signal threshold of -20dB.

Input channels have a third indicator:

48V

(Input channel only) Illuminates to indicate +48V phantom power has been activated for the relevant input channel.

OH

Indicates when the telephone hybrid is off-hook

IN

Illuminates green when the telephone hybrid is receiving signal (RX)

OUT

Illuminates green when the telephone hybrid is transmitting signal (TX)

OTHER INDICATORS

Each Soundweb London has indicators on the front panel to display the following:

COM

The COM LED indicates the presence and status of an Ethernet network connection.

  • OFF - Indicates that no Cat 5 Ethernet cable is present, or that the unit is still in the process of negotiating its IP address.
  • GREEN - Indicates that a Cat 5 Ethernet cable is present and that the unit has established its IP address.
  • YELLOW - will flash Yellow to indicate that the device is communicating with another control device, either on the network, serial or control ports.

STAT

The STAT LED will illuminate :

  • GREEN when a proper design file is loaded and running
  • YELLOW if the design is paused
  • RED if design is stopped.

ERR

The ERR LED will normally be off. It will illuminate RED in the case of a critical or fatal error.

PWR

The PWR LED will be illuminated BLUE to indicate that the unit is powered up. When the unit is 'located', this LED will blink.

SPECIAL MODES INDICATION

MODE | DESCRIPTION | COM/STAT/ERR Indication
Error | This indicates an error during the boot sequence. (for example, no valid application is present) | Solid RED colour
BootLoader Mode | The unit is in 'bootloader' mode, either briefly during the normal startup process, or stopped in this mode for firmware maintenance purposes | Solid YELLOW colour
Welcome screen | During normal startup process. | Solid GREEN colour
Startup Mode | The unit is starting up. At this point the user can put the unit into ‘safe mode’ by pressing and holding the rear locate button | Chasing YELLOW pattern
Firmware Update Mode | The unit is undergoing a firmware upgrade, flash is being erased or programmed | Chasing GREEN pattern

REAR PANEL

AC MAINS

AC Mains input to the universal switched-mode power supply, operates over a wide range of AC input voltages from 100V to 240V, 50/60Hz.

LOCATE

Pressing the Locate switch on the rear of the unit will illuminate the PWR LED on the front and identify the device within London Architect. Similarly the switch and PWR LED will illuminate if the device is located from within London Architect.

RS232

Serial port for connection of external control equipment.

ETHERNET

The main connection for the proprietary system control network, and for third party Ethernet control.

BLU link

The London BLU link is a point-to-point digital audio bus with 256 audio channels at 48K sample rate or 128 audio channels at 96K sample rate. The BLU-102 allows access to channels 1-48 of this bus at 48kHz and 47.952kHz (Pulldown) sample rates. The physical connection is made with Cat 5e cable from the OUT port of one device to the IN port of another device. The devices are connected in a daisy chain fashion continuing with the OUT port of one device connected to the IN port of the next device. Redundancy can be provided by completing the loop and connecting the OUT port from the last device to the IN port of the first device in the chain. All devices connected in the London BLU link chain must be configured for the same audio sample rate.

Analogue Input / Output Connections

There are 12 analogue input connections and 8 analogue output connections. The analogue connections are balanced, on Phoenix/Combicon connectors.

AEC

The BLU-102 has AEC capabilities which enable it to cancel acoustic echo arising when sound from a loudspeaker enters a microphone in the same room in a conference application.

The BLU-102 contains dedicated AEC processing for up to 12 independent AEC algorithms. The AEC algorithm can be applied to signals coming from the local analog inputs or from the digital audio bus. 12 individual AEC references (one per algorithm) allow the user to provide a solution for multiple conferencing spaces using a single device. Automatic Gain Control (AGC) and Noise Cancellation (NC) are also provided per AEC algorithm. AGC ensures that microphone levels remain at an optimum level, and NC removes steady state noise (such as from a projector fan or air conditioning device) from the signal path. Non-Linear Processing (NLP) dynamically adjusts to minimize echo caused by under or over-cancellation.

Telephone Jack

The BLU-102 has a telephone hybrid in and out channel via a telephone jack. This RJ-11 jack allows connection to a standard POTS (aka PSTN or Analog PBX) telephone network.

AUDIO CABLE WIRING

All audio and control connections to the BLU-102 are via Klippon pluggable terminal block connectors (also known as BL, Phoenix or Combicon). 12-way female Klippon connectors are supplied for making these connections.

Soundweb products provide cable shielding ’back from the destination’ to eliminate ground loop problems. This means that the shield (S) connection on an input is grounded, whereas the shield connection on an output is floating (although connected via an internal network to ground for EMC compliance).

Balanced wiring - The convention for balanced wiring (2-core plus shield) is:

Unbalanced wiring - The convention for unbalanced wiring to the inputs (1-core plus shield) is:

CONTROL INPUTS

Used to connect switches or potentiometers, e.g. BLU-3 selector wallplate (Part no. Z-BLU-3). Looking at the control port connector (on the back of the unit), there are two common (ground) connections C to the left of the eight CONTROL INPUTS and, two software assignable reference voltage outputs R to the right. The control ports now have two modes of operation. In Soundweb Designer’s Control Ports window these are labelled ’2-wire’ and ’3-wire’.

2-Wire Mode

In this mode the 12 CONTROL INPUTS are internally ’pulled up’ to +5V DC via a 4.7kOhm resistor. Therefore, no external voltage source is needed to create contact closure to ground for switches such as mute buttons or, resistance to ground (for other multi-state or continuous controls such as Parameter Presets or faders). See 2-wire mode for a table of resistor values for use with Parameter Presets or source selectors. Two ’r;common’ ground connections are provided using the two C connectors to the left of the CONTROL INPUTS. A 47kOhm-log potentiometer connected between a control input and common will allow parameters to be controlled linearly.

3-Wire Mode

This mode allows the use of linear pots or faders for continuous controls. A pot would be wired as a potential divider with the top of the track connected to the reference output R, the wiper to a control input and the bottom of the track to a common C. For good performance pots with track resistance between 10k ohms and 100k ohms are recommended.

c

LOGIC OUTPUTS

The logic outputs can be used to drive indicators or third party devices. For example Logic Outputs can trigger infra-red commands (to control DVD players etc) or power relays to turn other equipment on or off. The logic output can source 10mA at 5V DC, or sink 60mA up to 50V DC. There are six standard logic outputs which produce 0V or +5V DC via an internal 440 Ohm resistor and two internally connected common (ground) connections C. An LED connected between one output (Anode, A) and common (Cathode, K) will illuminate when the LOGIC OUTPUT is activated, without requiring any external current limiting resistor. A high sensitivity relay (such as a reed relay) may be driven by connecting four outputs in parallel. This arrangement will develop 4V across a 500-Ohm coil, providing that all four outputs are made logic 1 simultaneously.

OPTO OUTPUT

In addition to the six standard logic outputs, there is an isolated output, which fails safe (open circuit) if the unit becomes faulty.

When sourcing from the Logic Output, an LED connected between one output (Anode, A) and common (Cathode, K) will illuminate when the logic output is activated, without requiring any external current limiting resistor.

For Higher current reed type relays you must use the Logic Output to sink current using an external power supply.

TECHNICAL SPECIFICATIONS

See BLU-102 Technical Specifications

ACTA Customer Information

a) This equipment complies with Part 68 of the FCC rules. On the back panel of this equipment is a label that contains, among other information, the FCC registration number and ringer equivalence number (REN) for this equipment. If requested, this information must be provided to the telephone company.

b) This device connects to the telephone network using RJ11C.

c) A plug and jack used to connect this equipment to the premises wiring and telephone network must comply with the applicable FCC Part 68 rules and requirements adopted by the ACTA. A compliant telephone cord and modular plug is provided with this product. It is designed to be connected to a compatible modular jack that is also compliant. See installation instructions for details.

d) The REN is used to determine the number of devices that may be connected to a telephone line. Excessive RENs on a telephone line may result in the devices not ringing in response to an incoming call. In most but not all areas, the sum of RENs should not exceed five (5.0). To be certain of the number of devices that may be connected to a line, as determined by the total RENs, contact the local telephone company. 3 July 2003 part of the product identifier that has the format US:AAAEQ##TXXXX. The digits represented by ## are the REN without a decimal point (e.g., 03 is a REN of 0.3). For earlier products, the REN is separately shown on the label.

e) If this equipment BLU-102 causes harm to the telephone network, the telephone company will notify you in advance that temporary discontinuance of service may be required. But if advance notice isn’t practical, the telephone company will notify the customer as soon as possible. Also, you will be advised of your right to file a complaint with the FCC if you believe it is necessary.

f) The telephone company may make changes in its facilities, equipment, operations or procedures that could affect the operation of the equipment. If this happens the telephone company will provide advance notice in order for you to make necessary modifications to maintain uninterrupted service.

g) If trouble is experienced with this equipment BLU-102, for repair or warranty information, please contact Harman in the USA 1-801-566-8800 If the equipment is causing harm to the telephone network, the telephone company may request that you disconnect the equipment until the problem is resolved.

h) This equipment is of a type that is not intended to be repaired by a customer.

i) Connection to party line service is subject to state tariffs. Contact the state public utility commission, public service commission or corporation commission for information.

j) If your home has specially wired alarm equipment connected to the telephone line, ensure the installation of this US:HMGBR00BBLU102 does not disable your alarm equipment. If you have questions about what will disable alarm equipment, consult your telephone company or a qualified installer.

Industry Canada Statements

This product meets the applicable Industry Canada technical specifications./Le présent matériel est conforme aux specifications techniques applicables d’Industrie Canada.

The Ringer Equivalence Number (REN) is an indication of the maximum number of devices allowed to be connected to a telephone interface. The termination of an interface may consist of any combination of devices subject only to the requirement that the sum of the RENs of all the devices not exceed five. / L’indice d’équivalence de la sonnerie (IES) sert à indiquer le nombre maximal de terminaux qui peuvent être raccordés à une interface téléphonique. La terminaison d’une interface peut consister en une combinaison quelconque de dispositifs, à la seule condition que la somme d’indices d’équivalence de la sonnerie de tous les dispositifs n’excède pas cinq.


BLU-102 Technical Specifications

General BLU-102

Mains Voltage | 100-240V AC, 50/60Hz
Power Consumption | <55VA
BTU Rating | <188 BTU/hr
Operating Temperature Range | 5 to 35 °C (41 to 95 °F)
Dimensions (HxWxD) | 1.75" (45mm) (1U) x 19" (483mm) x 9" (318mm)
Weight | 6.4lbs / 2.9kg

Front Panel LED Indicators

Per Analogue or AEC Input | Signal Present, Clip, 48V
Telephone Hybrid | Tx, Rx, OH
Other | COM, STAT, ERR, PWR

Analogue Inputs

10 electronically balanced on Phoenix/Combicon removable screw connectors.

Mic/Line Inputs | Nominal gain 0dB, electronically switchable up to +48dB, in +6dB steps
Input Impedance | 3.0kOhms
Maximum input level | +20dBu with 0dB input gain, +8dBu with 12dB gain
CMRR | >75dB at 1 kHz
Equivalent Input Noise (E.I.N.) | <-125dBu typical with 150 Ohm source
Phantom power | 48V nominal, selectable per input
A/D Latency | 37/Fs (0.77ms @ 48k)

AEC Processing

8 Independent Algorithms

AEC Processing Latency (Original AEC) | 2385/Fs [49.69ms @ 48kHz]
AEC Processing Latency (Full Bandwidth AEC) | 1584/Fs [33ms @ 48kHz]
Tail Length | 200ms
Average Convergence Rate | 49dB/s (Net convergence over multiple FFT bands)

Telephone Interface

2 electronically balanced on Phoenix/Combicon removable screw connectors.

AC-REN | 0.0B
Dynamic Range | 67dB
Frequency Response | 300 to 3.3kHz
THD | <0.3%
Transhybrid Loss | >48dB with LEC enabled
LEC Tail Time | 64ms
TX Level | -10dBm RMS average
RX Level | +3.2dBm RMS

Analogue Outputs

8 electronically balanced on Phoenix/Combicon removable screw connectors

Maximum Output Level | +19dBu
Frequency Response | 20Hz-20KHz (+0.5dB/-1dB)
THD | <0.01% (20Hz to 20kHz, +10dBu output
Dynamic Range | >108dB typical (22Hz to22kHz unweighted)
Crosstalk | <-75dB
D/A Latency | 29/Fs (0.60ms @ 48k)
Output Impedance | 40 Ohms balanced and 20 Ohms unbalanced

Control Ports

12 inputs and 6 outputs

Control Input Voltage | 0 to 4.5v
Control Input Impedance | 4.7kOhms to +5V (2-wire mode), >1MOhm (3-wire mode)
Logic Output Voltage | 0 or +5V unloaded
Logic Output Impedance | 440 Ohms
Logic Output Current | 10mA source, 60mA sink

Watchdog Output

Phoenix/Combicon connector for failsafe control

Opto Output Current | 14mA maximum
Withstanding Voltage | 80V maximum (Off)
Series Impedance | 220 Ohms (Isolated)

BSS Audio incorporates high quality mechanical fans in some products. All mechanical fans have a limited life expectancy. We recommend annual inspection of fans for dust occlusion and excessive noise. Fan assemblies should be replaced after six to ten years of use. Environmental factors such as elevated temperature, dust, and smoke can adversely affect fan life. Systems exposed to these conditions should be inspected more frequently. Fan replacement can be performed either at the factory or by an experienced technician in the field. Please contact BSS Technical Support for more information on purchasing replacement parts or product service. BSS Audio has a policy of continued product improvement and accordingly reserves the right to change features and specifications without prior notice.


BLU-102 Network Specifications

Control Network

Connectors | RJ45 Ethernet connector
Maximum cable length | 100m/300ft on Category 5e cable between device and Ethernet switch

BLU link Audio Network

Connectors | 2 x RJ45 Ethernet connectors
Maximum cable length | 100m/300ft on Category 5e cable between devices
Maximum number of nodes | 60
Latency | 11/Fs (0.23ms@48kHz)
Pass Through Latency | 4/Fs (0.08ms @ 48kHz)


BLU-BOB Technical Specifications

General BLU-BOB

Mains Voltage | 12V DC adaptor included
BTU Rating | <51 BTU/hr
Operating Temperature Range | 5 to 35 °C (41 to 95 °F)
Dimensions BLU-BOB1 (HxWxD) | 1.65"(42mm) x 8.63"(219mm) x 7.75"(197mm)
Dimensions BLU-BOB2 (HxWxD) | 1.75"(45mm) x 19"(483mm) x 7.75"(197mm)
Weight BLU-BOB1 | 2.96lbs / 1.34kg
Weight BLU-BOB2 | 5.13lbs / 2.33kg

Front Panel LED Indicators

Per Output | Signal Present Per Output
Other | Power

Analogue Outputs

8 electronically balanced on Phoenix/Combicon removable screw connectors

Maximum Output Level | +19dBu
Frequency Response | 20Hz-20KHz (+0.5dB/-1dB)
THD | <0.01% (20Hz to 20KHz, +10dBu output)
Dynamic Range | 108dB typical, (22Hz-22kHz unweighted)
Crosstalk | <-75dB
D/A Latency | 28/Fs

BSS Audio has a policy of continued product improvement and accordingly reserves the right to change features and specifications without prior notice.


BLU-BOB Network Specifications

Digital Audio Bus

Connectors | 2 x RJ45 Ethernet Connectors
Max Cable Length | 100m/300ft on Category 5e cable between devices
Maximum Number of Nodes | 60
Latency per Node | 4Fs


BLU-BIB Technical Specifications

General BLU-BIB

Mains Voltage | 12V DC adaptor included
BTU Rating | <65 BTU/hr
Operating Temperature Range | 5 to 35 °C (41 to 95 °F)
Dimensions (HxWxD) | 1.65"(42mm) x 8.63"(219mm) x 7.75"(197mm)
Weight | 2.96lbs / 1.34kg

Front Panel LED Indicators

Per Output | Signal Present Per Output
Other | Power, gain ( 0/6/12/18/24/30/36/42/48 dB )

Analogue Outputs

8 electronically balanced on Phoenix/Combicon removable screw connectors

Mic/Line Inputs | Nominal gain 0dB, electronically switchable up to +48dB, in +6dB steps
Input Impedance | 3.0k Ohm
CMRR | >40dB at 1kHz
Frequency Response | 20Hz to 20kHz +/-0.2dB, balanced, 150 ohm
Dynamic Range | 117dB, 20Hz to 20kHz, A-weighted: 114dB unweighted
Maximum Input Level | +20dBu with 0dB input gain, +8dBu with 12dB gain
Equivalent Input Noise (E.I.N.) | <-123dBu typical with 150 Ohm source
Phantom Power | 48V nominal, selectable per input
A/D Latency | 37/Fs (0.77ms @ 48k, 0.43ms @96k)

BSS Audio has a policy of continued product improvement and accordingly reserves the right to change features and specifications without prior notice.


BLU-BIB Network Specifications

Digital Audio Bus

Connectors | 2 x RJ45 Ethernet Connectors
Max Cable Length | 100m/300ft on Category 5e cable between devices
Maximum Number of Nodes | 60
Latency per Node | 4Fs


BLU-HIF Technical Specifications

General BLU-HIF

Headset Jacks | RJ-22 or 2.5mm TRS
Line Level Audio Jacks | 6 Pos 5.08 Phoenix / Combicon
Headset I/O | Transformer Isolated
Line Level Audio I/O | Transformer Isolated, Balanced
Maximum Input Level | 10dBu
THD+N | <0.1% typical (200Hz to 20kHz @ 0dBu), <0.3% typical (100Hz to 200Hz @ 0dBu)
Frequency Response | 100Hz to 20kHz +/-0.5dB
Dimensions (HxWxD) | 5.24" (133.1mm) x 2.10" (53.34mm) x 1.61" (40.89mm)
Weight | 1.75lbs / 0.79kg

BSS Audio has a policy of continued product improvement and accordingly reserves the right to change features and specifications without prior notice.


BLU-10 Installation Guide

'BLU-10 Controller Installation Guide'

DECLARATION OF CONFORMITY

Manufacturer’s Name: | BSS Audio
Manufacturer’s Address: | 8760 S. Sandy Parkway Sandy, Utah 84070, USA

Declares that the product:

Product name: | BLU-10
 | Note: Product name may be suffixed by the letters-EU and BLU, BLK or WHT.
Product option: | PS48POE (power adapter)
 | BSS 999-PSU (power adapter)

conforms to the following Product Specifications:

Safety: | Low Voltage Device
EMC: | EN 55103-1 (1996)
 | EN 55103-2 (1996)

Supplementary Information:

The product herewith complies with the requirements of the Low Voltage Directive 73/23/EEC and the EMC Directive 89/336/EEC as amended by Directive 93/68/EEC.

Vice-President of Engineering – Pro

8760 S. Sandy Parkway

Sandy, Utah 84070, USA

Date: October 24, 2005

European Contact: Your local BSS Audio Sales and Service Office or

Harman Music Group

8760 South Sandy Parkway

Sandy, Utah 84070, USA

Ph: (801) 566-8800

Fax: (801) 566-7005

http://www.bssaudio.com

REGULATORY INFORMATION

An example of this equipment has been tested and found to comply with the International Standards for Electromagnetic Compatibility as referenced in the Declaration of Conformity above (only when used with a metal wall-box).

All interconnecting Ethernet cables must be of a shielded type.

INTRODUCTION

This guide has been written with the aim of helping installers and sound engineers alike to get the most out of the BLU-10. It is recommended that you read this manual before attempting to operate the unit.

Comments and questions regarding the BLU-10 or other BSS Audio products are welcomed. You can contact us at the address or world wide web sites shown above.

PACKING LIST

QUANTITY | DESCRIPTION | PART # (BLACK) | PART # (WHITE)
1 | BLU-10 | BSSBLU10-BLK | BSSBLU10-WHT
4 | 6-32 X 3/4 slotted machine screws in black or silver | 28-0255 | 28-0254
1 | 2-way Weidmuller Combicon connector | 32-0275 | 32-0275

MECHANICAL INSTALLATION

The BLU-10 is designed to fit into a standard 3-gang US wall box. Screws are provided to fix the unit in place.

Dimensions of the unit are shown below. The use of a metal wall box is recommended to ensure that the installation meets necessary EMC standards. A list of recommended boxes is also shown below.

MANUFACTURER | PART # | DESCRIPTION
Carlon | BH-353A | New work 3 gang box
Carlon | 355R | Old work 3 gang box

  1. Place the Lexan overlay in the front plastic tray of the BLU-10. Optionally, this may be replaced with a custom overlay in a color and style to match the décor of the facility or with your own branding.
  2. Affix legend stickers in place on the labelling areas of the Lexan overlay, if required. If a custom overlay has been used, this labelling may have been included in the artwork.
  3. Place the clear cover molding on top of the Lexan, taking care to align correctly so that the buttons are not trapped.
  4. Screw the entire unit into the wallbox with the screws provided.

POWER

The BLU-10 requires 12-48V DC to be supplied externally. There are two ways to do this:

Connect a suitable supply to the 12-48V DC connector,

or

the unit may be powered via the Ethernet connector using IEEE802.3af Power Over Ethernet (POE).

TYPICAL MID-SPAN ETHERNET POWERING DEVICES

3Com® Power over Ethernet Single-Port Midspan Solution - p/n 3CNJPSE

3Com® Power over Ethernet Multiport Midspan Solution - p/n 3CNJPSE24

Cisco Unified IP Phone Power Injector – p/n CP-PWR-INJ

TYPICAL ETHERNET SWITCHES WITH POWER OVER ETHERNET PORTS

3Com® SuperStack® 3 Switch 4400 PWR - p/n 3C17205

HP ProCurve Switch 2626-PWR - p/n J8164A#ABA

NETWORK CONNECTION

The BLU-10 connects into a Soundweb London network via its Ethernet port, either directly into the rear of a rackmount device (e.g BLU-16) with a Cat 5 crossover cable, or with a standard Cat 5 cable into an Ethernet switch.

The BLU-10 is shipped in with Auto-IP enabled, ready for first configuration. Static IP addresses are recommended, but DHCP is supported. Please see the important note about DHCP in the HiQnet London Architect help file.

USB

The USB port is not supported.

TECHNICAL SPECIFICATIONS

Maximum network cable length: | 300 feet (100 meters)
Power consumption: | 300 mA max at 12V
Operating temperature: | 32-104 degrees Fahrenheit (0-40 degrees Celsius)
Screen size | 128 x 64 pixels


BLU-8 Installation Guide

DECLARATION OF CONFORMITY

Manufacturer’s Name: | BSS Audio
Manufacturer’s Address: | 8760 S. Sandy Parkway Sandy, Utah 84070, USA

declares that the product:

Product name: | BLU-8
 | Note: Product name may be suffixed by the letters-EU and BLK or WHT.
Product option: | PS48POE (power adapter)
 | BSS 999-PSU (power adapter)

conforms to the following Product Specifications:

Safety: | Low Voltage Device
EMC: | EN 55013 (2001+A1)
 | EN 55020 (1998)

Supplementary Information:

The product herewith complies with the requirements of the Low Voltage Directive 73/23/EEC and the EMC Directive 89/336/EEC as amended by Directive 93/68/EEC.

Vice-President of Engineering – Pro

8760 S. Sandy Parkway

Sandy, Utah 84070, USA

Date: October 24, 2005

European Contact: Your local BSS Audio Sales and Service Office or

Harman Music Group

8760 South Sandy Parkway

Sandy, Utah 84070, USA

Ph: (801) 566-8800

Fax: (801) 566-7005

http://www.bssaudio.com

REGULATORY INFORMATION

An example of this equipment has been tested and found to comply with the International Standards for Electromagnetic Compatibility as referenced in the Declaration of Conformity above (only when used with a metal wall-box).

All interconnecting Ethernet cables must be of a shielded type.

INTRODUCTION

This guide has been written with the aim of helping installers and sound engineers to get the most out of the BLU-8. It is recommended that you read this manual before attempting to operate the unit.

Comments and questions regarding the BLU-8 or other BSS Audio products are welcomed. You can contact us at the address or world wide web sites shown above.

PACKING LIST

QUANTITY | DESCRIPTION | PART # (BLACK) | PART # (WHITE)
1 | BLU-8 | BSSBLU8-BLK | BSSBLU8-WHT
4 | 6-32 X 3/4 slotted machine screws in black or silver | 28-0254 | 28-0255
1 | International sticker sheet | 30-0309 | 30-0309
1 | 2-way Weidmuller Combicon connector | 32-0275 | 32-0275
1 | Lexan overlay | 30-1276 | 30-1277

MECHANICAL INSTALLATION

The BLU-8 is designed to fit into a standard 3-gang US wall box. Screws are provided to fix the unit in place.

Dimensions of the unit are shown below. The use of a metal wall box is recommended to ensure that the installation meets necessary EMC standards. A list of recommended boxes is also shown below.

MANUFACTURER | PART # | DESCRIPTION
Carlon | BH-353A | New work 3 gang box
Carlon | 355R | Old work 3 gang box

  1. Place the Lexan overlay in the front plastic tray of the BLU-8. Optionally, this may be replaced with a custom overlay in a color and style to match the decor of the facility or with your own branding.
  2. Affix legend stickers in place on the labelling areas of the Lexan overlay, if required. If a custom overlay has been used, this labelling may have been included in the artwork.
  3. Place the clear cover molding on top of the Lexan, taking care to align correctly so that the buttons are not trapped.
  4. Screw the entire unit into the wallbox with the screws provided.

POWER

The BLU-8 requires 12-48V DC to be supplied externally. There are two ways to do this:

Connect a suitable supply to the 12-48V DC connector,

or

the unit may be powered via the Ethernet connector using IEEE802.3af Power Over Ethernet (POE).

TYPICAL MID-SPAN ETHERNET POWERING DEVICES

3Com® Power over Ethernet Single-Port Midspan Solution - p/n 3CNJPSE

3Com® Power over Ethernet Multiport Midspan Solution - p/n 3CNJPSE24

Cisco Unified IP Phone Power Injector – p/n CP-PWR-INJ

TYPICAL ETHERNET SWITCHES WITH POWER OVER ETHERNET PORTS

3Com® SuperStack® 3 Switch 4400 PWR - p/n 3C17205

HP ProCurve Switch 2626-PWR - p/n J8164A#ABA

NETWORK CONNECTION

The BLU-8 connects into a Soundweb London network via its Ethernet port, either directly into the rear of a rackmount device (e.g BLU-16) with a Cat 5 crossover cable, or with a standard Cat 5 cable into an Ethernet switch.

The BLU-8 is shipped in with Auto-IP enabled, ready for first configuration. Static IP addresses are recommended, but DHCP is supported. Please see the important note about DHCP in the HiQnet London Architect help file.

TECHNICAL SPECIFICATIONS

Maximum network cable length: | 300 feet (100 meters)
Power consumption: | 300 mA max at 12V
Operating temperature: | 32-104 degrees Fahrenheit
 | (0-40 degrees Celsius)


BLU-8v2 Installation Guide

DECLARATION OF CONFORMITY

Manufacturer’s Name: | BSS Audio
Manufacturer’s Address: | 8760 S. Sandy Parkway Sandy, Utah 84070, USA

declares that the product:

Product name: | BLU-8v2
 | Note: Product name may be suffixed by the letters-EU and BLK or WHT.
Product option: | PS48POE (power adapter)
 | BSS 999-PSU (power adapter)

conforms to the following Product Specifications:

Safety: | IEC 60065 - 01+Amd 1
EMC: | EN 55022:2006
 | EN 55024:1998
 | FCC Part 15

Supplementary Information:

The product herewith complies with the requirements of the:
Product name: | BLU-8v2
 | Note: Product name may be suffixed by the letters-EU and BLK or WHT.
Product option: | PS48POE (power adapter)
 | BSS 999-PSU (power adapter)

With regard to Directive 2005/32/EC and EC Regulation 1275/2008 of 17 December 2008, this product is designed, produced, and classified as Professional Audio Equipment and thus is exempt from this Directive.

Roger Johnsen
Director, Engineering
Signal Processing
8760 S. Sandy Parkway
Sandy, Utah 84070, USA
Date: April 27, 2011

European Contact: Your local BSS Audio Sales and Service Office or

Harman Music Group
8760 South Sandy Parkway
Sandy, Utah 84070, USA
Ph: (801) 566-8800
Fax: (801) 566-7005

http://www.bssaudio.com

REGULATORY INFORMATION

An example of this equipment has been tested and found to comply with the International Standards for Electromagnetic Compatibility as referenced in the Declaration of Conformity above (only when used with a metal wall-box).

All interconnecting Ethernet cables must be of a shielded type.

INTRODUCTION

This guide has been written with the aim of helping installers and sound engineers to get the most out of the BLU-8v2. It is recommended that you read this manual before attempting to operate the unit.

Comments and questions regarding the BLU-8v2 or other BSS Audio products are welcomed. You can contact us at the address or world wide web sites shown above.

PACKING LIST

QUANTITY | DESCRIPTION | PART # (BLACK) | PART # (WHITE)
1 | BLU-8v2 | BSSBLU8-BLK | BSSBLU8-WHT
4 | 6-32 X 3/4 slotted machine screws in black or silver | 28-0254 | 28-0255
1 | International sticker sheet | 30-0309 | 30-0309
1 | 2-way Weidmuller Combicon connector | 32-0275 | 32-0275
1 | Lexan overlay | 30-0471 | 30-0472

MECHANICAL INSTALLATION

The BLU-8v2 is designed to fit into a standard 3-gang US wall box. Screws are provided to fix the unit in place.

Dimensions of the unit are shown below. The use of a metal wall box is recommended to ensure that the installation meets necessary EMC standards. A list of recommended boxes is also shown below.

MANUFACTURER | PART # | DESCRIPTION
Carlon | BH-353A | New work 3 gang box
Carlon | 355R | Old work 3 gang box

  1. Place the Lexan overlay in the front plastic tray of the BLU-8v2. Optionally, this may be replaced with a custom overlay in a color and style to match the decor of the facility or with your own branding.
  2. Affix legend stickers in place on the labelling areas of the Lexan overlay, if required. If a custom overlay has been used, this labelling may have been included in the artwork.
  3. Place the clear cover molding on top of the Lexan, taking care to align correctly so that the buttons are not trapped.
  4. Screw the entire unit into the wallbox with the screws provided.

POWER

The BLU-8v2 requires 12-48V DC to be supplied externally. There are two ways to do this:

Connect a suitable supply to the 12-48V DC connector,

or

the unit may be powered via the Ethernet connector using IEEE802.3af Power Over Ethernet (POE).

TYPICAL MID-SPAN ETHERNET POWERING DEVICES

3Com® Power over Ethernet Single-Port Midspan Solution - p/n 3CNJPSE

3Com® Power over Ethernet Multiport Midspan Solution - p/n 3CNJPSE24

Cisco Unified IP Phone Power Injector – p/n CP-PWR-INJ

TYPICAL ETHERNET SWITCHES WITH POWER OVER ETHERNET PORTS

3Com® SuperStack® 3 Switch 4400 PWR - p/n 3C17205

HP ProCurve Switch 2626-PWR - p/n J8164A#ABA

NETWORK CONNECTION

The BLU-8v2 connects into a Soundweb London network via its Ethernet port, either directly into the rear of a rackmount device (e.g BLU-16) with a Cat 5 crossover cable, or with a standard Cat 5 cable into an Ethernet switch.

The BLU-8v2 is shipped with Auto-IP enabled, ready for first configuration. Static IP addresses are recommended, but DHCP is supported. Please see the important note about DHCP in the HiQnet London Architect help file.

TECHNICAL SPECIFICATIONS

Maximum network cable length: | 300 feet (100 meters)
Power consumption: | 300 mA max at 12V
Operating temperature: | 32-104 degrees Fahrenheit
 | (0-40 degrees Celsius)


BLU-3 Installation Guide

'BLU-3 Wall Panel Installation Guide'

Useful Information

This guide aims to help installers and sound engineers to get the most out of the BLU-3. It is recommended that you read this manual, particularly the section on mechanical installation, before attempting to operate the unit. Any comments or questions regarding the BLU-3 or other BSS products are welcomed. You can contact us at:

BSS AUDIO

8760 South Sandy Parkway

Sandy, Utah 84070, USA

Ph: (801) 566-8800

Fax: (801) 566-7005

http://www.bssaudio.com

Installation

The BLU-3 is a wall mounted controller which can be used to adjust control parameters within the Soundweb design. For example, the rotary switch could be used to control a source selector or parameter preset group and the rotary level control could be used to alter the level of a gain object. The unit is mounted into a standard UK light switch wall box, the dimensions are shown below. The pitch between the fixing hole centres is 60mm. Mounting screws are provided.

Wiring

Wiring follows the standard control input wiring for a BLU-16, BLU-32 or BLU-80, shown below. The printing on the PCB also shows the correct wiring convention. The cable used should be regular audio cable, or any quality shielded twin-core cable.

Parts for the BLU-3 are also available as spares. Please contact BSS sales for more details.


BLU-6 Installation Guide

'BLU-6 Wall Panel Installation Guide'

USEFUL INFORMATION

This guide aims to help installers and sound engineers to get the most out of the BLU-6. It is recommended that you read this manual, particularly the section on mechanical installation, before attempting to operate the unit. Any comments or questions regarding the BLU-6 or other BSS products are welcomed. You can contact us at:

BSS AUDIO

8760 South Sandy Parkway

Sandy, Utah 84070, USA

Ph: (801) 566-8800

Fax: (801) 566-7005

http://www.bssaudio.com

INSTALLATION

The BLU-6 is a wall mounted controller which can be used to adjust control parameters within the Soundweb design. For example, the rotary switch could be used to control a source selector or parameter preset group and the up and down buttons could be used to alter the level of a gain object.

A sticker sheet is provided with the unit, which should cover most locational requirements. The sheet covers 4 languages: English, French, German and Spanish.

The unit is mounted into a standard UK light switch wall box, the dimensions are shown below. The pitch between the fixing hole centres is 60mm. Mounting screws are provided.

WIRING

Wiring follows the standard control input wiring for a BLU-16, BLU-32, BLU-80, shown below. The printing on the PCB also shows the correct wiring convention. The cable used should be regular audio cable, or any quality shielded multi-core cable.


BLU-GPX Technical Specifications

General BLU-GPX

Primary Power | IEEE802.3af Power over Ethernet PoE
Secondary Power | 12-48VDC, 19W external power supply
Operating Temperature Range | 5 to 35 °C (41 to 95 °F)
Dimensions (HxWxD) | 1.752 (45mm) x 19" (483mm) x 7.75" (197mm)
Weight | 2.96lbs / 1.34kg

Front Panel LED Indicators

General Purpose Indicators | 48 Software-Programmable LED Indicators
Other | Network Link; Data Activity, Power Supply

Control Ports

Control Ports | 36 Inputs and 23 Outputs, 3.5mm phoenix/Combicon
Control Input Voltage | 0 to 4.5v
Control Input Impedance | 4.7kOhms to +5V (2-wire mode), >1MOhm (3-wire mode)
Logic Output Voltage | 0 or +5V unloaded
Logic Output Impedance | 440 Ohms
Logic Output Current | 10mA source, 60mA sink

Relays

Relays

8 Isolated, N/O, N/C, Common terminals, 3.5mm Phoenix/Combicon

Watchdog Output

Phoenix/Combicon connector for failsafe control

Opto Output Current | 14mA maximum
Withstanding Voltage | 80V maximum (Off)
Series Impedance | 220 Ohms (Isolated)

BSS Audio incorporates high quality mechanical fans in some products. All mechanical fans have a limited life expectancy. We recommend annual inspection of fans for dust occlusion and excessive noise. Fan assemblies should be replaced after six to ten years of use. Environmental factors such as elevated temperature, dust, and smoke can adversely affect fan life. Systems exposed to these conditions should be inspected more frequently. Fan replacement can be performed either at the factory or by an experienced technician in the field. Please contact BSS Technical Support for more information on purchasing replacement parts or product service. BSS Audio has a policy of continued product improvement and accordingly reserves the right to change features and specifications without prior notice.


BLU-GPX Network Specifications

Control Network

Connectors | RJ45 Ethernet connector
Maximum cable length | 100m/300ft on Category 5e cable between device and Ethernet switch


Networking Audio and Control Signals

CobraNet Information

CobraNet Configuration in London Architect

CobraNet notes


CobraNet Information

CobraNet is a widely adopted audio network solution. London Architect has been created to maximise the inclusion of CobraNet devices, including Crown and other manufacturers, in a single system design. Peak Audio's CM-1 module has been used within the BLU series processors to interface with the hardware.

Channel Count

As standard, devices within the Soundweb London system are capable of transmitting and receiving a maximum of 32 channels of CobraNet audio onto and from the network. This channel count may be reduced if higher sample rates or lower latencies are required - see Table C. Each BLU-80 and BLU-32 Soundweb London device may transmit and receive four CobraNet bundles which can carry a maximum of 8 audio channels at the default setting of 48 kHz, 20 bit.

Bundles

Each output bundle may be assigned to be Unicast or Multicast. A Unicast bundle may have only a single receiving device and will not be transmitted unless the receiving device is requesting, enabling destination controlled routing. A Multicast bundle may have multiple receiving devices. No more than three Multicast bundles should exist within the network to maintain a sensible level of network traffic.

Sample Rate and Bit Depth

To maximise channel count, the CobraNet network should be configured to operate at 48kHz. Each bundle can carry 8 channels of audio data at 16 or 20 bit. A maximum of 7 channels will be available if all channels within a bundle are required to be 24 bit.

The CobraNet network can also be configured to operate at 96kHz. It is recommended that CobraNet is not used on a system where a device in the design has it's clock synchronised to BNC since the CobraNet clock will not be synchronised to the word clock and this will compromise the CobraNet audio.

Latency

Delay is incurred by the buffering of audio data into Ethernet packets in CobraNet transmitters and receivers. Additional delay is incurred in analog to digital conversion, digital to analog conversion and sample rate conversion. These additional delays are usually only in the order of dozens of samples and of no consequence. Data on an Ethernet network travels at the speed of light, and for long distance runs optical fire connections should be used. Standard fast Ethernet runs over CAT-5 copper cable should be up to 100m.

The maximum latency incurred in a CobraNet network is 256 samples (5-1/3ms) per switch or device through which the audio data must pass. This latency can be reduced at the expense of CobraNet audio channels transmittable from device to device and all devices on the network must be configured to operate at this latency.

A CobraNet network utilising the CM-1 module can make use of a number of possible latency times and sample rates. See the Application Preferences in the Tools Menu.

Latency against sample rate at 20-bit resolution:

Latency | Sample Rate | Bit Resolution | CM-1 Channel Capacity
5-1/3ms | 48kHz | 20 | 32 In, 32 Out
5-1/3ms | 96kHz | 20 | 16 In, 16 Out
2-2/3ms | 48kHz | 20 | 32 In, 32 Out
2-2/3ms | 96kHz | 20 | 16 In, 16 Out
1-1/3ms | 48kHz | 20 | 32 In, 32 Out
1-1/3ms | 96kHz | 20 | 16 In, 16 Out

For a comprehensive list of latency and how it affects channel count please refer to the "Impoortant CobraNet Information" document from the Help menu.

Clock

The CM-1 modules within the devices on the network automatically negotiate a 'conductor' that generates a master clock for the network. An LED on the front panel of the BLU-80 and BLU-32 indicates which device contains the conductor. If the conductor device should fail then the network will assign the conductor status to another device, this process takes milliseconds, although audio cannot be passed through a CobraNet network without a conductor.

Network

The Soundweb London system requires an Ethernet LAN backbone for both proprietary system communications/control and CobraNet audio distribution. Consequently each Soundweb London processor requires a total of two network ports for CobraNet audio and one for control. CAT-5 cable should be employed for connectivity. It is recommended that the network should be a discrete system for audio and communications and should not be used for any other network purposes. Crown Audio amplifiers and other CobraNet devices may be connected.

CobraNet does not use TCPIP and should happily coexist on a network running this protocol. CobraNet does not run successfully over current wireless networks due to their inability to guarantee real time transmission (as needed for audio)

Switches & Hubs

Ethernet repeater hubs are not recommended and may not be connected into a switched CobraNet network. A network may consist only of all switches or all repeaters. The Hewlett Packard ProCurve is the Harman Group recommended range of Ethernet switches, for more recommendations check the Peak website. CobraNet currently runs the system at 100BT speed but a gigabit backbone is recommended, particularly in shared usage systems (although it is recommended to have a separate network for CobraNet to avoid collisions and data queuing).

Switch 'hops'

Where possible, the CobraNet network should not include more than seven switch hops (seven switches between transmitting and receiving Soundweb London devices). An additional 256 sample latency will be induced for each subsequent switch hop. To combat this, a gigabit Ethernet backbone should be employed which will increase the number of switch hops before additional latency occurs.

CM-1 RJ45 LED Flash Codes

Each CM-1 card has two RJ45 network ports labled Primary and Secondary. These ports each have two LED indicators that will flash to indicate the status of the port. Here are the flash codes for these ports:

 | Left LED | Right LED
Conductor | Flashing Orange | Flashing Green
Performer | Solid Orange | Flashing Green
Fault | Flashing Orange | Flashing Orange

Redundancy

The CobraNet compatible devices within the Soundweb London system are fitted with a Peak Audio/Cirrus Logic CobraNet CM-1 module. The module itself offers a Primary and a Secondary CobraNet port. Under normal operation the Primary port only receives audio data from and transmits audio data to the network. Should the Primary port or connection fail, the CM-1 module automatically switches to receive from and transmit with the Secondary port. This must be considered in network design. It may be appropriate to connect the Primary CobraNet port to a Primary network and the Secondary CobraNet port to a Secondary, backup network. In this event, it should be noted that the backup network should in some way be bridged to the Primary network in order for the audio data to be present on the Secondary network should the module switch over.

Communications

Third party controllers may be connected into the system via the serial port using the raw message protocol.

Video

CobraNet, at the time of writing, is not yet capable of delivering video, although this functionality is being developed.

CM1 DSP

The CM1 CobraNet interface card has onboard DSP used to perform various functions. CobraNet latency, bit depth, sample rate and total number of audio channels transmitted or received can increase the CM1 DSP usage. When trouble shooting CobraNet problems, make sure you are not exceeding 100% usage on the CM1 DSP meter. This meter can be found in the Default Control Panel for each London CobraNet device (BLU-80, BLU-32, BLU-800 & BLU320).

CM1 Meters

To conserve valuable DSP resources on the CM1 card, the CobraNet meters on the transmit and receive bundles are turned off by default. These can be turned on to aid in trouble shooting CobraNet, but should not be left on unless the DSP usage on the CM1 can support the current design without exceeding 100% usage.

To turn the CM1 meters on:

  1. In Design Mode, highlight the London CobraNet device in the Main Layout Window.

  2. Open the Properties Window.

  3. Expand the Parameters section.

  4. Change the value of CobraNet Meters to ON.

  5. Go Online with the system.

  6. Choose Send Values to Network Device from the Parameter Synchronization dialog.


CobraNet Configuration in London Architect

To configure Cobranet networking for a Soundweb audio system the bundles need to be activated and set to transmit or receive data; by default they are all inactive. To complete a network there needs to be at least one transmitting bundle active and one actively receiving in another device. Basically an output bundle needs to transmit to a receiving input bundle in a remote device.

To set up CobraNet follow this process:

You will need at least two network capable processors (Blu80 or Blu32) in your design space.

  • In the design space, double click a CobraNet capable Blu series processor icon (Blu80 or Blu32) to open its Configuration window (or use the right click to 'Edit Configuration').

The initial layout for this device will show 4 CobraNet input blocks on the left and, 4 output blocks on the right, each containing 8 channels or slots. The blocks represent the bundles. When inactive they are shown in silver/grey.

  • To configure CobraNet parameters open the Properties pane (select its tab, or use the View menu to show Properties) and select one of the bundle blocks (a single click on the icon).

  • In the 'Signal Names' section of the Properties, custom signal names can be inserted for each channel.

  • In the 'Parameters' section of the Properties there is the entry 'Number'; the default value is shown as "None {0}". Click in this value field to open the CobraNet edit box.

  • To create a bundle setting, click on the '+' button, this brings up the Bundle Properties dialogue box.

Here you can add a 'Name' and 'Description' of your assigned functionality for this bundle. The 'Number' will automatically update as you create bundles, although you can manually assign numbers.

NB: Multicast bundles use numbering from 1-255 and, Unicast start at 1000 by default (although this can be changed in the File Preferences - accessible in the CobraNet edit box by pressing the 'Prefs' button).

A bundle has to be assigned a broadcast state, either Unicast (for most purposes) or Multicast where many destinations are needed..

  • Choose which to use and press the 'ok' button on the dialogue to close and save your settings.

A new entry will now exist that shows the newly assigned bundle by an icon that is either green with a single fork legend for Unicast or, purple with a triple fork for Multicast. This helps to easily identify bundle casting types for later assignment. The names, numbers and information are all displayed here but the 'Rate' entry will be blank until a valid network is created.

The corresponding bundle block in the Configuration window will now change colour to show its broadcast status, green for Unicast, purple for Multicast.

To create a network routing, another bundle must be assigned to the same bundle setting to form a connection. If you have just configured an input bundle block then a corresponding output block needs to be selected in a different device.

  • Go back to the Main page (or zone) where your other device is located and double click it to open its Configuration window (or use the right click Edit Configuration'). Select an appropriate bundle block and head for the Properties and 'Number' field to open the CobraNet edit box. This time select the bundle entry that you have just created.

If a valid connection is possible then a sample rate will appear in the 'Rate' field. An arrow will now be displayed on the corresponding bundle block in the Configuration window. If you click on this arrow it will open the Configuration window for the other device and highlight the connected bundle block (now also displaying an arrow).

A single bundle network connection is now complete. Continue using this process to activate further network connections as needed.


CobraNet notes

1. Note that a wiring connection between devices, using the CobraNet nodes on the device icons in the Main Window is not necessary to create a network connection but is recommended in order to provide a graphical representation of the installation cabling infrastructure. These are the cat5 ethernet cables that carry multiple channels of audio.

Wiring between input and output CobraNet blocks is required in the devices' Configuration Window(s) in order to pass audio through the device to a further destination, either via CobraNet or to analogue connections.

2. Bundle settings that are inaccurate or unused can be deleted in the CobraNet edit box by selection and pressing the "-" button.

3. An input or receiving bundle has only the "Number" property.

A transmitting output bundle has further properties that include setting a bit depth for each of the 8 slots. This can be chosen between 16, 20 and 24 bit for each channel. There are limitations to the channel count and bundle capability based on the combination of sample rate and frequency, check the CobraNet Information section for more details. The output bundle's "Priority" in the network sequence can be adjusted from 1-255, default being 16 and, its transmit position can be changed also.

4. Devices using different sample rates can be accommodated in a system design. The sample rate is set by clicking on the device's icon in the design space and changing this property (either 48KHz or 96KHz). However, devices having different sample rates cannot be connected to pass audio directly on the network. The File Preferences option to select sample rate is a default setting for all newly created devices, i.e. to configure a whole system in 96KHz select this option before starting to layout your devices.

5. If CobraNet bundles are not activated, i.e. still silver, control panels, for processing objects wired to these bundles in the same device configuration, will not allow use of their controls in online or run mode. Activate the bundles correctly to enable use of the controls.


AVB

AVB Network Card

AVB Overview

The Soundweb London BLU-805 and BLU-325 are capable of sending and receiving Ethernet AVB audio. AVB, or Audio/Video Bridging, is a common name for a set of IEEE standards that ensure the transmission of high quality streaming audio and video over a standard Ethernet connection.

Note: Soundweb London devices cannot send, receive, or process video data.

As a networked audio transport, AVB is similar to CobraNet in many ways, with a few key differences:

  • Non-proprietary, based on open standards

  • Guaranteed delivery of media

  • No need to specify “multicast” or “unicast” transmissions. Any transmitted AVB stream can have 1 or more receivers. Unlike CobraNet multicast bundles, AVB streams with multiple receivers will only transmit to those receivers, and they will not needlessly broadcast across the entire network

  • Simplified network switch management due to the above three bullets

  • Reduced latency

    • Latency range for CobraNet in Soundweb London: 1.33ms – 5.33ms

    • Latency range for AVB in Soundweb London: 0.5ms – 2.0ms

  • Increased audio I/O capability per device

    • Max CobraNet audio channels in Soundweb London: 32x32 per device

    • Max AVB audio channels in Soundweb London: 64x64 per device

The AVB standards were created through a consortium of industry experts which was then ratified and accepted by the IEEE industry standards body. This means that AVB is not just another proprietary non-standard protocol that floats on top of the Ethernet layers. AVB is the Ethernet. The big difference between AVB and previous solutions for network streamed media (such as CobraNet) is that the IEEE controls the Ethernet standards, which allowed for the specifications of not just the endpoints, but more importantly the switches. This allows an entire network to be designed to accommodate audio and video, with compatibility between AVB devices that are made by different manufacturers.

The standards specify a means to provide time synchronized low latency audio and video over standard CAT5e cable. The majority of the bandwidth across the network is reserved to carry audio and video, and to guarantee the arrival of a signal

.

In order to accomplish transporting the large amount of information required by both audio and video across a network, bandwidth is reserved and defended throughout the network by the switches. By default the switch will reserve and defend 75% of network bandwidth to be exclusively used for AVB media, both audio and video. This will guarantee precisely synchronized audio/video without interruption from non-time sensitive data and communication, such as email or control protocol traffic (also known as “Best Effort” traffic). By design, the switch will not allow for the audio or video to become corrupted.

Each audio/video sample is time-stamped with exactly what time to play, and all AVB devices are synchronized to a common clock known as the Grand Master clock. This allows for the synchronization of multiple streams of audio and video to be rendered at the correct time with respect to each other.

An AVB network inherently supports multiple simultaneous sample rates and (sample) clock sources which allow video and audio streams to be synchronized even though they travel on different paths with different sample rates.

Details for the six IEEE audio/video bridging standards (802.1AS, 8021.Qat, 802.1Qav, 802.1BA, 1722, and 1733) are available at IEEE.org and AVnu.org

Soundweb London AVB Module

The BLU-805 and BLU-325 devices are fitted with an AVB module. The module offers a Primary and a Secondary AVB port. Under normal operation, only the Primary port transmits and receives data to and from the network. Should the Primary port or connection fail, the AVB module automatically switches to receive from and transmit with the Secondary port. This must be considered in the network design. It may be appropriate to connect the Primary AVB port to a Primary network and the Secondary AVB port to a Secondary, backup network. In this event, it should be noted that the backup network should in some way be bridged to the Primary network in order for the audio data to be present on the Secondary network should the module switch over.

NOTE: The secondary port is not currently enabled. It will be enabled in a future release of HiQnet London Architect.

Network Connections

Devices can only be connected together through switches which support AVB. Examples of such switches are the BSS Audio / NETGEAR GS724T Ethernet Switch or the LABX Titanium 411 Ruggedized AVB Ethernet Bridge Switch. Do not connect the AVB ports to any switch which does not support AVB.

The AVB devices can be wired in London Architect as shown.

Note that the standard Ethernet ports (labeled “Control” in London Architect) must also be physically connected to ensure communication between the devices. In the same way that Soundweb London CobraNet ports send and receive audio only (not control data), the Soundweb London AVB ports send and receive audio only.

In 2-device systems, it is possible to connect the AVB ports directly together, as shown

.

Cable Requirements

CAT5e or better cable may be used, allowing cable runs of up to 100m per connection. If more distance is required, Gigabit fiber converters—such as the BLU-MC1—can be used. 100Mb (“Fast Ethernet”) fiber converters cannot be used for the Soundweb London AVB ports, because they are Gigabit ports.

AVB Audio Channels per Device

Audio channel rules

    • The Soundweb London AVB module can transmit 64 channels and receive 64 channels simultaneously (64x64).

    • The card cannot transmit more than 64 channels or receive more than 64 channels in total.

Stream rules:

  • An AVB stream may contain between 1 and 32 channels (inclusive).

  • Each AVB card can transmit up to 64 streams

  • Each AVB card can receive up to 62 streams with a further 2 streams reserved for MCN

Talker (Transmit)

Example A: 2 streams of 32 channels

Example B: 32 streams of 2 channels

Example C: 29 streams of 2 channels, plus 1 stream of 5 channels plus 1 stream of 1 channel

Example D: 61 streams of 1 channel plus 1 stream of 3 channels

Example E: 64 streams of 1 channel

Listener (Receive)

Example A: 2 streams of 32 channels

Example B: 32 streams of 2 channels

Example C: 29 streams of 2 channels, plus 1 stream of 5 channels plus 1 stream of 1 channel

Example D: 61 streams of 1 channel plus 1 stream of 3 channels

Example E: 62 streams of 1 channel

There are thousands of permutations as long as the total number of channels transmitted is 64 or less. Similarly, the total number of channels received must be 64 or less.

Note: It is advised to configure and use (multi-channel streams) vs. (single channel streams). This is the most efficient transport method for transmitting and/or receiving AVB audio channels across a network switch.

Resource Meter

The configuration view of a BLU-805 or BLU-325 contains a second resource meter which displays the AVB resources only. This AVB resource meter shows the % of streams and channels used for a particular configuration as shown below.

In the above example, 32 AVB input channels are enabled, and 32 AVB output channels are enabled. 32x32 is exactly half of the BLU device’s AVB I/O capability. Therefore 50% is displayed in the AVB resource meter (which is the same shade of purple as the AVB input/output objects).

In a design where, for example, 32 AVB input channels are enabled, 50% will still be displayed even though no output channels have been enabled. As output channels are enabled the resource meter will continue to display 50% until the number of outputs channels enabled exceeds 32.

In a design where, for example, 33 AVB input channels are enabled and no AVB output channels are enabled then 51% will be displayed on the resource meter. Again as output channels are enabled the resource meter will continue to display 50% until the number of outputs channels enabled exceeds 32.

The above examples also apply to the resource meter where it is the output channels which have been assigned.

Creating Streams

In the configuration window of a BLU-805 and a BLU-325, by default there is one AVB Input processing object (Rx, Listener) and one AVB Output processing object (Tx, Talker). Initially they have no nodes on them.

You can add or remove as many AVB processing objects as you wish inside a BLU-805 and BLU-325 although the number of streams is limited as described.

Streams are defined system-wide. They can be created using the dialog which can be accessed in several ways:

  • The System Menu - ‘System->AVB Streams...’

  • When creating a new AVB Input or Output object - the dialog pops up when the object is created

  • By opening the dialog from the AVB input or output properties by clicking on an AVB Input or Output object, then accessing the Stream ID parameter from the properties.

Use the above dialog to view details of, add, delete and edit streams.

Define AVB Stream

Click on the 'NEW' button to open the 'Define AVB Stream' dialog shown below.

  • Name - The name of the stream. This is used within London Architect only.

  • ID Type - Full or Harman. A stream is given a system wide unique ID. There are 2 types of ID :-

    • Full - The full 8 byte AVB stream ID. This is usually displayed in hexadecimal and is used to connect up to non-Harman AVB equipment.

    • Harman - A simpler, smaller stream ID which is used instead of the full stream ID within a Soundweb London system. This number is simply shorthand for a range of full 8-byte IDs reserved by Harman.

    • ID - If the ID Type is ‘Full’ then the ID is a 16 digit Hexadecimal number. E.g.000FD4001E710000. If you are interfacing to non-London AVB equipment you should find the stream ID from the 3rd party user interface or software interface.

    • Description - A longer description of the stream for documenting the design. This is used within London Architect only.

    • Number of Channels - The number of channels in the stream. Changing this number will add/remove channels from the stream

    • Channel List :- The list of channels within a stream. Channels can be added, deleted, moved using the buttons on the right. To edit the name of the stream click on the channel name.

Channel names are displayed on the Stream Tx and Rx objects after the signal name.

Stream Restrictions

Streams are subject to the following restrictions :-

  • An AVB card cannot receive a stream that it is transmitting. (See example A)

  • An AVB card cannot receive the same stream more than once. (See example B)

  • An AVB stream ID must be unique within an AVB network. (See example C)

If London Architect detects a problem with a stream the AVB Input and AVB Output objects are drawn in red. In this state a tooltip will show what the error is:-

Example A:

Example B:

Example C:

Control Panel

PTP (Precision Time Protocol)

  • PTP Grand master - This indicator will be amber when the device has arbitrated as the PTP clock grand master for the cloud.

  • PTP Locked - This indicator will be green when the device is grand master for the cloud or if the device has synchronized with the grand master clock.

  • PTP Grand Master ID - This is the ID of the PTP clock that has arbitrated as grand master for the cloud.

  • PTP Priority 1 - This value controls the most significant value of the BMCA (Best Master Clock Arbitration) priority vector that is used in arbitration of the clock grand master. Set the priority of the PTP Grand Master here. The device with the highest priority will be Grand Master. A priority setting of 0 is the highest priority and a setting of 255 has the lowest priority.

  • PTP Priority 2 - This value controls the least significant value of the BMCA priority vector.

  • AVB Peer Primary - This indicator will be green when the device has recognized that it (the primary port) is a member of the AVB cloud.

  • AVB Peer Secondary - This indicator will be green when the device has recognized that it (the Secondary port) is a member of the AVB cloud.

Media Clock

  • Media Clock Master - This indicator is amber when the device is the Media Clock Master for this media clock domain.

  • Media Clock ID - This identifier is used by London Architect to ensure that signals routed from one device to another are synchronized to the same media clock.

  • Media Clock Locked - This indicator is green when the device is listening to the house clock stream for this domain and the house clock has been successfully recovered from it.

  • Media Clock Priority - This value is compared during Media Clock Master Arbitration to determine which device should be the Media Clock Master. A lower value corresponds to higher priority clock, so setting this SV to 0 would make the device win most often and 255 would make the device win least often.

  • MCN Pilot Stream ID - The full stream ID of the current pilot stream.

The following parameters can be accessed from the Design Tree

  • MCN Primary MAC - Shows the MAC address of the current MCN clock master.

  • MCN Reserve MAC - Shows the MAC address of the reserve MCN clock master.

  • PTP Path Delay Primary - Delay (in nanoseconds) between this device and its immediate peer on the network.

  • PTP Path Delay Secondary - Delay (in nanoseconds) between this device and its immediate peer on the network.

  • VLAN ID - The ID of the VLAN used by the AVB traffic.

  • Primary Port MAC - The MAC address of the primary Ethernet port of the AVBX card.

  • Secondary Port MAC - The MAC address of the secondary Ethernet port of the AVBX card.

Transmitter Object (Talker) Properties

  • Stream ID - The ID of the stream. Either a full 8 byte stream ID or a shorter Harman ID.

  • State (Stream Active) - True when the stream is being transmitted to at least one listener.

  • Presentation Offset - The latency setting of the talker (in nanoseconds). The default setting is 2ms (2,000,000ns). When set to 2ms, the stream is guaranteed to be delivered to the receiving device exactly 2ms after transmission, but only if there are 7 or less network switch hops in between the transmitter and receiver. This setting can be reduced, at the expense of fewer allowed switch hops.

Receiver Object (Listener) Properties

  • Stream ID - The ID of the stream. Either a full 8 byte stream ID or a shorter Harman ID.

  • State (Stream Active) - True when the stream is being received.

  • Force Pilot Stream - When 'on' the RX stream is used as the AVB pilot stream. The pilot stream is the stream that the London BLU device recovers the audio clock from. Therefore, if you are interfacing to a 3rd party device which does not support MCN, you will need to set the BLU-805 or BLU-325 to sync its audio clock to the stream coming from that device. So, to receive an audio stream from an AVB console, you use the full stream ID and set force pilot stream to On.

Clocking

The device will clock from the AVB under any of the following conditions

  • It is an MCN slave and it is locked to an MCN pilot stream.

  • It is an MCN master and another device is receiving its MCN pilot stream.

  • It is clocking off one of the RX streams using the ‘Force Pilot Stream’ option.

See BLU link Mastership for further clocking scenarios where the device is not clocking from the AVB..

AVB vs CobraNet I/O Comparison

Users already familiar with CobraNet will perhaps find it useful to compare the two transports’ I/O capabilities.

Whereas CobraNet-capable BLU devices can simultaneously send and receive up to 32 channels of CobraNet audio (32x32), AVB-capable BLU devices can simultaneously send and receive up to 64 channels of AVB audio (64x64).

Whereas up to 8 channels of audio can be packaged into 1 CobraNet “bundle,” up to 32 channels of audio can be packaged into 1 AVB “stream.”

Whereas CobraNet-capable Soundweb London devices can simultaneously transmit up to 4 CobraNet bundles and receive up to 4 CobraNet bundles (4x4), AVB-capable Soundweb London devices can simultaneously transmit up to 64 streams and receive up to 62 streams (62x64).

PTP (Precision Time Protocol)

Precision Time Protocol is used to synchronise time in the AVB cloud. One device is elected as Grand Master and each device uses PTP to calculate the exact time. Once the devices have agreed on the current time they can then create synchronised audio clocks using Media Clock Negotiation.

MCN (Media Clock Negotiation)

Media Clock Negotiation is used to synchronise audio clocks between devices in a single audio clock domain. AVB allows multiple media clocks on the network with multiple sample rates co-existing. Each talker stream must specify which media clock it is using. There can be 256 different media clocks on an AVB network.

Individual AVB devices will have a number of audio clocks that it uses. Typically, there is one audio clock used by a device and all the audio within the device uses that clock.

Media clocks are propagated throughout the AVB network using streams. These streams may also contain data (audio), but that is not a requirement. For each media clock domain, primary and secondary clock masters are negotiated using the MCN protocol. If the MCM priorities for all devices in a given PTP cloud are the same, the device with the lowest MAC address wins. The primary and secondary clock masters create media clock streams which all devices can listen to. Devices monitor the primary and secondary media clock streams, and if the primary fails the secondary will be promoted to primary and a new secondary media clock master will be negotiated based on the defined priority or lowest MAC address.

Suitable Switches

  • BSS Audio / NETGEAR GS724T Ethernet Switch
  • LABX Titanium 411 Ruggedized AVB Ethernet Bridge Switch


Dante Networked Audio

DANTE Network Card

Dante Overview

The Soundweb London BLU-806 and BLU-326 are capable of sending and receiving Dante audio.

Audinate’s Dante™ is a modern high performance digital media transport system that runs over standard IP networks. Dante allows many channels of low-latency audio to be transmitted and received over a single Ethernet cable, using off-the-shelf IT equipment. Additional information about Dante can be found at www.audinate.com.

Each Soundweb London BLU-806 and BLU-326 device is capable of sending 64 channels and receiving 64 channels of Dante audio at 48kHz. The devices are capable of sending 32 channels and receiving 32 channels of Dante audio at 96kHz.

The configuration of a Soundweb London Dante system can be thought of in two parts, the creation of Dante transmitters and receivers, and the routing between Dante transmitters and receivers.

HiQnet London Architect is used to create Dante transmit and receive objects within compatible devices. User-defined names can be applied to the Dante transmit and receive objects and their associated channels. The user-defined names are stored on the Dante Network Card when a Dante-enabled Soundweb London device is loaded.

The routing of Dante audio between Dante-enabled Soundweb London devices is configured using Dante Controller. Dante Controller is an application from Audinate that runs on a PC or Mac. It provides an intuitive Graphical User Interface allowing the discovery of Dante devices on a network, the setup of audio routing and the monitoring of device status. The Dante Controller software application can be downloaded from www.audinate.com.

The user-defined names of Dante channels, previously configured within HiQnet London Architect, automatically populate within Dante Controller devices discovered online. Routing between Dante transmitters and receivers is configured by clicking the appropriate crosspoints in the Dante Controller software application.

Dante Controller allows audio routing configuration Presets to be saved and loaded. Presets are a snapshot of the current audio routing configuration for backup or use at a later time.

Detailed information about Dante Controller can be found from the Help menu within the Dante Controller software application itself.

Soundweb London Dante Module

The BLU-806 and BLU-326 devices are fitted with DANTE module. The module offers a Primary and a Secondary DANTE port. Under normal operation, only the Primary port transmits and receives data to and from the network. Should the Primary port or connection fail, the DANTE module automatically switches to receive from and transmit with the Secondary port. This must be considered in the network design. It may be appropriate to connect the Primary DANTE port to a Primary network and the Secondary DANTE port to a Secondary, backup network. In this event, it should be noted that the backup network should in some way be bridged to the Primary network in order for the audio data to be present on the Secondary network should the module switch over.

Firmware

If the firmware on the Dante card is out of date London Architect will warn of this before going online. Dante firmware can be loaded using the Dante firmware Update Manager which can be downloaded from www.audinate.com. The firmware - 'SoundwebLondonDante.dnt' - can be found in the \\London Architect\Firmware folder. Note that in order for this to work only one network card in your PC should be enabled, all others should be disabled before loading the Dante firmware

Network Connections

Devices can be connected together through switches. The DANTE devices can be wired in London Architect as shown.

.

Note that the standard Ethernet ports (labelled “Control” in London Architect) must also be physically connected to ensure communication between the devices.

Cable Requirements

Dante supports both Fast Ethernet and Gigabit Ethernet. CAT5e or better cable may be used, allowing cable runs of up to 100m per connection. If more distance is required, Gigabit fiber converters—such as the BLU-MC1—can be used. 100Mb (“Fast Ethernet”) fiber converters can also be used for the Soundweb London DANTE ports.

Audio Channels

Dante supports the following:

Gigabit: 512 x 512 48kHz/24bit audio channels can be sent over a single link, giving a total of 1024 bi-directional channels. For 96kHz 24bit audio the channel capacity is halved.

100Mbps (Fast Ethernet): 48 x 48 48kHz/24bit audio channels can be sent over a single link, giving a total of 96 bi-directional channels. For 96kHz/24bit audio the channel capacity is halved.

In London Architect a maximum of 32 channels can be assigned to any single Dante Processing Object. At 48kHz a maximum of 64 input and 64 output channels can be configured. At 96kHz a maximum of 32 input and 32 output channels can be configured for a single device.

Resource Meter

The configuration view of a BLU-806 or BLU-326 contains a second resource meter which displays the DANTE resources only. This DANTE resource meter shows the % of channels used for a particular configuration.

At a sample rate of 48kHz a maximum of 64 input and 64 output channels can be configured. This will show on the DANTE resource meter as 100%. However, the meter will also display 100% if 64 input or 64 output channels have been configured. In the image above the resource meter displays 50% since half of the allowable inputs or outputs have been configured.

Routing Channels

Audio routing should be wired within London Architect in the normal manner, however the Dante Controller software is require to configure the audio routing over the Dante network.

Control Panel

Clock Master

Displays the MAC address of the Dante clock master.

Reboot Dante

Allows the Dante network card to be rebooted from within HiQnet London Architect. This is the preferred method of rebooting the card rather than using the reboot feature of Dante Controller.

Primary/Secondary Interface Speed

Displays the current Ethernet link speed of the primary/secondary interface. Possible values are ‘Not Connected’, ‘100 Mb/s’ or ‘1Gb/s’

Primary/Seconday Interface Link

Indicates a good Ethernet connection to a switch

Primary/Seconday Interface Clock Status

Displays the clock status of the primary/secondary interface. Possible values are ‘Not Available’, ‘Master’, ‘Slave’, ‘Passive’, ‘Link Down’ and ‘ Not Supported’

Properties

Notes on BLU link sync

By default the BLU-806 and BLU-326 devices are set to sync their audio clocks from the Dante network card. In addition, the BLU-806 and BLU-326 can also be forced to sync to BLU link or BNC in a similar way to the other London devices.

However, in the ’Sync to BLU link’ and ‘Sync to BNC’ modes of operation the Dante network card in the device will also be set to ‘Slave To External Word Clock’ and the BLU link or BNC clock is sent to the Dante card. Therefore, the entire Dante network is set to slave off the London device.

Rename Dante Card

The default behaviour of the BLU-806 and BLU-326 is to rename the Dante card to have the same name as the device. This makes the BSS London devices easily identifiable within in Dante Controller. However, it is possible to override this behaviour and to allow the Dante network card to be named within Dante Controller. Set the ‘Rename Dante Card’ property to ‘No’ to stop the BLU-806/BLU-326 renaming the Dante network card.

Rename Dante Channels

The default behaviour of the BLU-806 and BLU-326 is to rename the input and output channel labels on the Dante card. This facility is designed to make the channels easily identifiable within Dante Controller. Set the ‘Rename Dante Channels’ to ‘No’ to stop the BLU-806/BLU-326 renaming the Dante input and output channels.

Dante Input/Rx Object

Control Panel

Channel Connected

Indicates that the channel is connected and audio is flowing. This is equivalent to the green tick icon within the Dante Controller software :-

Channel Names

Below each channel meter is a text indicator with the channel name. This is provided to help identify the channel within Dante Controller.

Properties

Number of Channels

Allows changing the number of channels within an Input/Rx Object.

Increasing the number of channels will cause new channels to be created and automatically named to ensure their names do not clash. The new channels are added to the end of the list of current channels.

Decreasing the number of channels will cause a number of channels at the bottom of the list of names to be removed.

Enable Meters

By default each input channel is metered and the level is displayed on the control panel. Turning off meters frees up some DSP resource but the audio levels are no longer visible on the control panel.

Channel Names

The names of the channels can be modified in the channel name editor. The names are sent to the Dante Card to allow easy identification of the channels within Dante Controller.

Dante Output/Tx Object

Control Panel

Channel Names

Below each channel meter is a text indicator with the channel name. This is provided to help identify the channel within Dante Controller.

Properties

Number of Channels

Allows changing the number of channels within an Output/Tx object.

Increasing the number of channels will cause new channels to be created and automatically named to ensure their names do not clash. The new channels are added to the end of the list of current channels.

Decreasing the number of channels will cause a number of channels at the bottom of the list of names to be removed.

Enable Meters

By default each input channel is metered and the level is displayed on the control panel. Turning off meters frees up some DSP resource but the audio levels are no longer visible on the control panel.

Channel Names

The names of the channels can be modified in the channel name editor. The names are sent to the Dante Card to allow easy identification of the channels within Dante Controller.

Dante Channel Naming

Dante Input/Rx and Dante Output/Rx objects have configurable channel names. These channel names are used to identify the individual channels within the Dante controller software. Both objects have a ‘Channel Names’ property which allows the channel names to be created, deleted, edited or re-ordered.

After adding some channels to a Dante PO, London architect automatically names each channel with default names. These names can be retained or changed using the editor shown below. Double click on the channel name to rename it. Click OK when done.

Note, the Dante controller does not allow duplicate channel names within a single device.

Clocking

The device will clock from the Dante network by default whenever there is a Dante network connection, otherwise it will clock from BLU link or BNC. The Dante card differs from Cobranet or AVB in that it can be forced to clock from an external source which means that if the device is set to sync from either BNC or BLU link, the Dante card will also sync to that clock preserving high quality audio over the Dante network from an external clock.

Clock Master Negotiation

The flow chart below demonstrates the clock master negotiation for devices on a Dante network.


BLU link

Overview

BLU link is an audio bus found on all BLU-800/BLU-805, BLU-160, BLU-320/BLU-325 and BLU-120, BLU-100, BLU-101 and BLU-102 devices. It carries 256 channels of audio at 48kHz, and 128 channels at 96kHz, both at 24bit (note that BLU-100, BLU-101 and BLU-102 are restricted to 48 channels at 48kHz). When connected in a loop, it has redundancy, allowing any one BLU link cable to break while still maintaining audio.

Hardware Configuration

On the rear of the BLU link devices there are two BLU link ports. One is the BLU link In, and the other BLU link Out. Devices are connected together by wiring out to in on all of the devices within your BLU link network, making sure that the loop is complete so that there are no empty BLU link ports. This is how three BLU-800 devices should be wired together:

You should not connect the BLU link ports to anything else other than BLU link ports. BLU link will not function if you tried to connect the BLU link to an Ethernet switch for example.

Fault Tolerance

The network is capable of a degree of fault tolerance due to the fact that each device receives the same audio from 2 other devices. If a cable is broken the devices which are no longer connected will detect the cable break. One device will detect that its 'In' port is unconnected and the other will detect that its 'Out' port is undetected.

In the diagram above, if there was a break in the cable between U3 and U1, U1 will detect that its 'In' port is no longer connected. Therefore the audio it sends to the DSPs must now come from its 'Out' port. In addition, its default behaviour of passing audio from 'In' to 'Out' and vice versa is no longer applicable. Instead it must route incoming audio from its 'Out' port back out of the same port.

U3 will detect that its 'Out' port is no longer connected. Since its default behaviour is to receive audio from its 'In' port, it can continue doing that. However, its default behaviour of passing audio from 'In' to 'Out' and vice versa is no longer applicable. Instead it must route incoming audio from its 'In' back out of the same port.

The two devices in the middle of the ring do not know that the ring has been broken and continue to forward audio between their 'In' and 'Out' ports. They will also continue to take their audio from their 'In' port to send to the DSPs.

In this broken network a signal transmitted by U3 will travel back along the ring until it reaches U1. There the audio does a U-turn and heads around the ring the other way and is then received by all the devices on the network since it will be present at their 'In' port inputs.

Note that when the cable is broken, the audio takes longer to reach its destination than before. This added delay is not compensated for in any way, but is a side-effect of the way the fault tolerance works.

Mastership

The BLU link network requires one device on the ring to act as master for the whole ring. The master will provide the clock for all the other devices on the ring. This means that the whole ring is synchronised to a single audio clock.

If a device has a CM1 card installed i.e. BLU-800 or BLU-320, and the device is connected to a valid CobraNet network, then that device will receive its clock from the CM1 card by default. Therefore, if you connect a BLU-800 or BLU-320 to a CobraNet network, you must ensure that devices on a particular BLU link ring are only connected to a single CobraNet network.

If a device has an AVBX card installed i.e. a BLU-805 or a BLU-325, and that device is connected to a valid AVB network, then that device will receive its clock from the AVB card by default. Therefore, if you connect a BLU-805 or a BLU-325 to an AVB network, you must ensure that devices on a particular BLU link ring are only connected to a single AVB network.

If a device has a DANTE card installed i.e. a BLU-806 or a BLU-326, and that device is connected to a valid DANTE network, then that device will receive its clock from the DANTE card by default. Therefore, if you connect a BLU-806 or a BLU-326 to a DANTE network, you must ensure that devices on a particular BLU link ring are only connected to a single DANTE network.

It is not possible to connect multiple devices on one BLU link ring to different CobraNet or to different AVB or DANTE networks. Neither is it possible to connect multiple devices to a mix of Cobranet and AVB networks. This is because each CobraNet or AVB network will have a conductor to provide the clock. The BLU link ring would then have multiple clocks present on one network, and this is not permitted.

If a BLU-800, BLU-320, BLU-805, BLU-325, BLU-806 or a BLU-326 is set in properties to Sync to BNC then that device will take its clock from the BNC input on its rear panel. Priority for these units should be set higher than other units to ensure the BLU link master is a unit with a BNC connection. London Architect will warn of errors in priority settings before going online. In this case it is recommended that the CobraNet or AVB network should not be used since CobraNet / AVB audio will be compromised as it is synchronising from a different clock source. The DANTE network can be used as the DANTE card will sync from an external clock.

Mastership is negotiated between all the devices on the ring, and a change to the ring will trigger the negotiation to be started. There are various rules for determining which device on the ring becomes clock master :-

  • If there is only one device (BLU-800, BLU-805, BLU-806, BLU-320, BLU-325 or BLU-326) synchronised to BNC then that is the master.

  • If there are multiple devices synchronised to BNC then they compare mastership priorities.

  • If there are multiple devices synchronised to BNC with the same highest priority, then they use MAC address to decide which is master.

  • If no devices are set to synchronise to BNC and there is only one device connected to CobraNet (or AVB in the case of BLU-805 and BLU-325, or DANTE in the case of the BLU-806 and BLU-326) then that is master.

  • If no devices are set to synchronise to BNC and there are multiple devices connected to CobraNet (or AVB or DANTE), then they compare master priorities.

  • If no devices are set to synchronise to BNC and there are multiple devices on CobraNet (or AVB or DANTE) with the same highest priority, then they use MAC address to decide which is master.

  • If no devices are set to synchronise to BNC and no devices are connected to CobraNet (or AVB or DANTE), then they first compare master priorities. Next, if the priorities are the same, they compare MAC addresses.
BLU-link LED indicators

These are found on the Blu link ports on the back panel of the device and indicate the following:
  • Green LEDs

The green LED will indicate a link on that particular port

  • Orange LEDs

Both on: The box is the master. (No green LEDs will be on if no cables are connected).

Only one on: The box is locked to the data coming in on that particular port

Both off: The box is locked to CobraNet

Control Panel

The default control panel is accessed by right clicking on the device in the Main Window and selecting 'Show Default Control Panel'. The default control panels for a BLU-800 and a BLU-805 are shown below.

The BLU-800/BLU-320/BLU-160/BLU-120/BLU-100/BLU-101/BLU-102/BLU-805/BLU-325 control panels are like the control panels for the BLU-80/BLU-32/BLU-16 devices but with some extra features as outlined below.

  • BLU link V2 indicator - On if all devices connected via BLU link have BLU link version 2. BLU link version 2 has fixed latency.

  • Mastership Priority - 0 to 254 (254 is highest priority)

  • Sync LEDs - One of the following LEDs will be lit to show how this device is synchronized:-

    • Master - This device is clock master

    • BLU link In - This device is receiving clock from the BLU link 'In' connection

    • BLU link Out - This device is receiving clock from the BLU link 'Out' connection

    • CobraNet - This device is receiving clock from the CobraNet network

    • AVB - This device is receiving clock from the AVB network.

    • DANTE - This device is receiving clock from the Dante network.

    • BNC - This device is receiving clock from the BNC IN connection.

    • Error - This BLU link network is connected to multiple CobraNet/AVB networks

    • BNC and Error - This device is set to sync from BNC but no BNC clock is connected.

  • Link In - On if a valid ethernet link is present on the 'In' port

  • Link Out - On if a valid ethernet link is present on the 'Out' port

  • Valid In - On if valid BLU link audio is present on the 'In' port

  • Valid Out - On if valid BLU link audio is present on the 'Out' port

  • Corrected Counters - The corrected counters show the number of recoverable bit errors that have occurred

  • Error Counters - The error counters show the number of unrecoverable bit errors that have occurred

  • Threshold - The BLU link IN and OUT ports will be disabled when the number of errors on the error counter reaches the value set by Threshold. A setting of 0 means that the Threshold is OFF and the ports will not be disabled.

  • Status - Shows the status of the BLU link IN and OUT ports as Enabled or Disabled. When the port is disabled no BLU link audio will pass.

  • Reset - resets the error counters and sets the status of the IN and OUT ports to Enabled.

Software Configuration

The BLU link devices placed in the Main Window show the BLU link In and Out ports which allow you to wire the devices together, as shown in the diagram above. Note: It is not necessary to wire the BLU link ports together within HiQnet London Architect in order for BLU link to function.

Editing BLU link Networks

Multiple BLU link networks can exist within a London Architect design file. By default, each device belongs to BLU link 1. Every BLU link device must be part of one BLU link network. The device properties show which BLU link network the device is part of. Click on the ... icon to edit.

Image:BLU link network.jpg

This property can be edited to add, delete, edit the name of, and assign the device to a BLU link network. The diagram above shows that four BLU link networks exist in this design file, and that the device belongs to BLU link 1 which is shown highlighted.

Configuring a Device

In the Configuration Window of a BLU-800 and a BLU-160, by default, there is one BLU link Input and one BLU link Output processing object. Initially they have no nodes on them.

Image:BLU link Input.jpg

You can add and remove as many BLU link processing objects as you wish inside a BLU-800 and BLU-160. The BLU-320 by default contains 2 BLU link Inputs and 2 BLU link Outputs and the BLU-120, BLU-100, BLU-101 and BLU-102 by default contain 1 BLU link Input and 1 BLU link Output. You cannot add or delete BLU link processing objects in the BLU-320 or BLU-120.

Each BLU link processing object supports a maximum of 32 channels. To edit the channels on a BLU link processing object, select the BLU link input and click on channel assignment in the 'BLU link Channels' property of the object. This brings up the BLU link channel dialog.

Image:BLU link Channels.jpg

The left pane shows all the BLU link channels in the network (which the device is part of). The channels can be sorted by clicking on the column headers. Channels can also be grouped by dragging and dropping the column headers in to the space above the column headers. The columns in the list are:

  • Channel - The BLU link channel number. This column can include the DIP switch settings for the BLU-BOB. Enable the 'Show BLU-BOB DIP switch settings' preference at the bottom of the dialog.

  • Name - The signal name of the channel. This is the name of the signal which feeds the BLU link Output processing object for this channel.

  • Tx Object - This is the name of the BLU link Output processing object which is transmitting this channel.

  • Tx Device - This is the name of the BLU-XX0 device which is transmitting this channel.

  • Rx Object - This is the name of the BLU link Input processing object which is currently receiving this channel.

  • Rx Device - This is the name of the BLU-XX0 device which is receiving this channel.

The Tx and Rx columns may contain more than one entry if multiple objects are sending/receiving the same channel. Channels shown in bold are channels which are not being transmitted by the current configuration. When configuring a BLU link Output, only channels in bold can be added to the pane on the right.

Show BLU-BOB DIP switch settings' - When enabled, displays the BLU-BOB DIP switch values (1 to 6) and the channel within that group. For example, 010001,4 is channel 140 (fourth channel in group 17).

The right pane shows the channels selected for that BLU link processing object. You can use the 'Move Up' and 'Move Down' buttons to change the order in which the channels appear on the object. To add a channel to the BLU link processing object, select one or more channels in the left pane, and press the 'Add ->' button. To remove channels from the processing object, select one or more channels in the right pane, and press the 'Remove' button.

Channels which have been partly or fully configured are in one of three states.

  • Valid. These channels are shown highlighted in blue. The channels have valid transmitters and receivers.

  • Warning. These channels are shown highlighted in amber. There are three scenarios where a channel shows a warning:

1.No receiver. The channel is transmitting but is not being received by any device.

2.No transmitter. The channel is being received, but no device is sending the channel.

3.Possible clash. This happens when multiple configurations of different devices are transmitting on the same channel. Though it is possible to never have two configs active at the same time transmitting on the same channel, the possibility exists of two devices transmitting on the same channel. It is up to you to configure presets correctly to avoid multiple transmitters on the same channel.

  • Error. These channels are shown highlighted in pink. An error is shown where there is more than one device transmitting on the same BLU link channel.

You can hover your cursor over a channel to see a tool tip describing the state of the channel.

All devices on the same BLU link network must be running at the same sample rate, all at 48kHz, or all at 96kHz. If any devices are running at different sample rates, you will be warned about this when entering the channel assignment dialog. If any channels are in error (highlighted pink), or have different sample rates, then you will be prevented from going online to the devices. The BLU link channel assignments will have to be corrected.

BLU link Specification

  • Based on Gigabit Ethernet technology

  • 100m over CAT5e cable.

  • >100m using fibre converters.

  • 256 Channels at 48KHz (BLU-100, BLU-101 and BLU-102 are restricted to 48 channels at 48kHz)

  • 128 Channels at 96KHz (BLU-100, BLU-101 and BLU-102 do not operate at 96kHz)

  • Bus-like architecture. Audio transmitted on a channel is available at all other devices on the network automatically.

  • Wired in a loop for redundancy

  • Recovers from a single cable break


Control Port Connections

12 Control inputs

  • Control input voltage 0 to 4.5v

  • Control input impedance 4.7kOhms to +5V (2-wire mode), >1Mohm (3-wire mode)

6 Logic outputs

  • Logic output voltage 0 or +5V unloaded

  • Logic output impedance 440 Ohms

  • Logic output current 10mA source, 60mA sink

2 Common / ground

2 Reference (voltage set in software)

2 connectors for the opto isolated watchdog

  • Opto. output current14mA maximum

  • Opto. output withstanding voltage 80V maximum (Off)

  • Opto. output series impedance 220 Ohms (isolated)


Event Descriptions

The event log contains a list of events which have occurred in a device. Descriptions of the events are detailed below.

0 Unknown event

  • Fault

  • Unknown events

An event occurred which HiQnet London Architect does not know about.

1 CError

  • Fault

  • Unknown events

Description

An internal error occurred. There is no user-friendly description, but the error numbers can be used by BSS to try and trace any problems.

5 IP Address Change

  • Info

  • Network events

  • Example Details :- IP address has changed 192.168.0.1

Description

The IP address of the device was changed. This change would be caused by DHCP, Auto IP or the user allocating a fixed address.

6 Device booted

  • Warning

  • Miscellaneous events

  • Example Details :- The device has booted, version:1.14.0

Description

The device was powered up. If you see these events at unexpected times then it indicates problems with the power supply to the device.

8 CobraNet Buddylink Changed

  • Info

  • CobraNet events

  • Example Details :- CobraNet buddylink was enabled/disabled On

Description

The CobraNet buddylink status changed.

9 Conductor status changed

  • Info

  • CobraNet events

  • Example Details :- On

Description

The CobraNet conductor status changed.

10 Sync Changed

  • Info

  • CobraNet events

  • Example Details :- On
Description

The CobraNet buddylink status changed

11 Mute changed

  • Info

  • CobraNet events

  • Example Details :- Mute

Description

The CobraNet mute status has changed.

12 Activated venue preset

  • Info

  • Configuration events

  • Example Details :- 1

Description

A venue preset was activated. This will be due to the device being loaded or the device acting upon a venue recall.

13 Activated parameter preset

  • Info

  • Configuration events

  • Example Details :- 1

Description

A parameter preset was activated. This will be due to the device acting upon a parameter preset recall.

14 Failed to activate venue preset

  • Fault

  • Configuration events

  • Example Details :- 1

Description

A venue preset failed to activate. Typically, the configuration files are missing or corrupt due to a failed load of the device.

15 Failed to activate parameter preset

  • Fault

  • Configuration events

  • Example Details :- 1

Description

A parameter preset failed to activate. Typically, the configuration files are missing or corrupt due to a failed load of the device.

16 TX bundle changed

  • Info

  • CobraNet events

  • Example Details :- CobraNet transmit bundle was setBundle A transmitting on 1000

Description

An output bundle changed the bundle number it is transmitting on.

17 RX bundle changed

  • Info

  • CobraNet events

  • Example Details :- CobraNet receive bundle was set Bundle B receiving on 1001

Description

An input bundle changed the bundle number it is receiving on.

18 DSPs reset

  • Info

  • DSP events

Description

The DSPs were reset. This is quite normal and will happen every time a configuration is loaded.

19 Audio on

  • Info

  • DSP events

Description

The audio was turned on. The audio is turned back on as the last step of a configuration change.

20 Audio off

  • Info

  • DSP events

Description

The audio was turned off. The audio is turned off as the first step of a configuration change.

21 DSPs crashed

  • Fault

  • DSP events

Description

The DSPs crashed and were restarted.

22 DSPs recovered after crash

  • Info

  • DSP events

Description

The DSPs successfully restarted after a crash.

23 Wrong CM1 firmware

  • Fault

  • Configuration events

  • Example Details :- Incorrect CM1 firmware for required sample rate.

Description

The firmware of the CM1 CobraNet card needs to be updated to support the sample rate of the design being loaded.

34 Failed to recall venue

  • Fault

  • Configuration events

  • Example Details :- Failed to recall a venue configVenue attempted 1

Description

A HiQnet venue recall failed.

35 Failed to recall scene

  • Fault

  • Configuration events

  • Example Details :- Failed to recall a scene parameter Scene attempted 2

Description

A HiQnet scene recall failed.

36 Failed to load config files

  • Fault

  • Configuration events

  • Example Details :- Failed to load the config files for the unit Error code 0

Description

The configuration files failed to load. Typically this is caused by corrupt files due to a failed ftp session.

37 Device has gone offline

  • Warning

  • Application events

  • Example Details :- Device name

Description

One of the devices on the network stopped communicating to HiQnet London Architect.

38 Device has come online

  • Info

  • Application events

  • Example Details :- Device name

Description

A device on the network started communicating to HiQnet London Architect.

39 Device has lost connection

  • Warning

  • Application events

  • Example Details :- Device name

Description

One of the devices on the network was not responding as quick as expected or was responding intermittently.

40 Device has gained connection

  • Info

  • Application events

  • Example Details :- Device name

Description

A device on the network started responding correctly after 39 "Device has lost connection"

41 Going online

  • Info

  • Application events

Description

Simply a record of when HiQnet London Architect went online.

42 Going offline

  • Info

  • Application events

Description

Simply a record of when HiQnet London Architect went offline.

43 Attributes never returned from device

  • Fault

  • Application events

Description

HiQnet London Architect was unable to fully discover a device on the network.

44 Synchronisation to device failed

  • Fault

  • Application events

  • Example Details :- Device name

Description

The user has chosen to have HiQnet London Architect to automatically re-synchronize offline devices in the file preferences. However, HiQnet London Architect failed to synchronize a device.

45 New failed

  • Fault

  • Memory events

Description

The device ran out of memory. This would usually indicate a software error, but could also be caused by a very large design.

46 Device failed to load configuration within timeout

  • Fault

  • Application events

  • Example Details :- Device name

Description

HiQnet London Architect tried to load a device, but timed-out because the device took too long to load the configuration.

47 No network sockets

  • Info

  • Network events

Description

The device ran out of TCP sockets. TCP sockets are used to communicate with devices, and are used for FTP, Telnet and HiQnet. There is a finite number of sockets, and once they are all open, no more will be available until one has been closed.

48 Fatal Error

  • Fault

  • Miscellaneous events

Description

A serious error occurred on the device and it had to be rebooted. Details of the error should be sent to BSS Audio to help resolve the problem.

49 Packet could not be sent

  • Warning

  • Network events

  • Example Details :- Destination node 0x100

Description

A HiQnet message could not be sent. This would usually be because the destination device is not present on the network.

50 Keep alive failed

  • Warning

  • Network events

  • Example Details :- Node 0x100

Description

The HiQnet route to a device timed out. This will occur normally when new devices are powered up and announce themselves to the network. However, if this occurs between two devices that should have a permanent connection (e.g. Because of linking etc) then this would indicate a problem.

51 Serial receive buffer high tide

  • Warning

  • AMX/Serial events

  • Example Details :- The serial input buffer reached 80% full

Description

The RS232 input buffer was getting full. This would indicate that too much serial data was being set to the device.

52 Serial receive buffer full

  • Fault

  • AMX/Serial events

  • Example Details :- The serial buffer was completely full and characters will be lost

Description

The RS232 input buffer was full and characters were probably lost. This would indicate that too much serial data was being set to the device.

53 Ethernet receiver frame length error

  • Fault

  • Network events

  • Example Details :- The last ethernet frame was too long

Description

An Ethernet packet was received which was too long. This indicates a possible problem with the network.

54 Ethernet receiver data not aligned

  • Fault

  • Network events

  • Example Details :- A frame contained a number of bits not divisible by 8

Description

An Ethernet packet was corrupt. This indicates a possible problem with the network.

55 Ethernet received a short frame

  • Fault

  • Network events

  • Example Details :- The last ethernet frame was too short

Description

An Ethernet packet was corrupt. This indicates a possible problem with the network.

56 Ethernet receiver CRC error

  • Fault

  • Network events

  • Example Details :- The last ethernet frame contains a CRC error

Description

An Ethernet packet was corrupt. This indicates a possible problem with the network.

57 Ethernet receiver buffer overrun

  • Fault

  • Network events

  • Example Details :- A receiver FIFO overrun occurred, possibly due to packet storm 2000 buffers used

Description

The device ran out of Ethernet packets. This is usually due to a packet storm created when a network contains a loop.

58 Ethernet receiver buffer truncated

  • Fault

  • Network events

  • Example Details :- The receiver truncated the frame, most likely because it was too long

Description

An Ethernet packet was corrupt. This indicates a possible problem with the network.

59 Failed to discover device

  • Warning

  • Network events

  • Example Details :- Node 0x200

Description

The device failed to discover another device on the network. Check that the device it is looking for is running and connected to the network correctly.

60 TCP stream invalid

  • Warning

  • Network events

  • Example Details :- IP=192.168.0.2

Description

A HiQnet socket has become corrupt. This would indicate a problem with the network or the device with the IP address shown in the details.

61 Packet store empty

  • Warning

  • Network events

Description

The device ran out of HiQnet packets which it uses internally. This would indicate that it is having trouble sending out packets and that many of them are being queued up.

62 TCP send failed

  • Warning

  • Network events

  • Example Details :- Node 0x42

Description

The device failed to send some data on a socket to the device with the HiQnet node address shown in the details.

63 Cobranet firmware reprogram failed

  • Fault

  • Cobranet events

  • Example Details: Something went wrong in reprogramming the CM1 module.

Description

An error occurred whilst reprogramming the CM1 flash. The numbers given in the details are error numbers.

64 Digital input card error status change

  • Warning

  • Digital I/O events

  • Example Details :- Digital input card error status changed Card :3 Channels 1&4 To value Error cleared

Description

These events are included to help monitor the digital audio cards.

65 Digital input card non audio status change

  • Warning

  • Digital I/O events

  • Example Details :- Digital Digital input card non-audio status changed Card:3 Channels1&2 To value Non audio cleared

Description

These events are included to help monitor the digital audio cards.

66 Digital input card marginal status change

  • Warning

  • Digital I/O events

  • Example Details :- Digital input card marginal status changed Card3 Channels3&4 To value Marginal

Description

These events are included to help monitor the digital audio cards.

67 Digital input card Receiver lock change

  • Warning

  • Digital I/O events

  • Example Details :- Digital input card receiver lock status changed Card2 Channels1&2 To value: Locked

Description

These events are included to help monitor the digital audio cards.

68 Digital input card SRC lock error

  • Fault

  • Digital I/O events

  • Example Details :- Digital input card sample rate converter lock error Card3 Channels3&4 To value Lock recovered

Description

These events are included to help monitor the digital audio cards.

69 Digital input card Bypass change

  • Info

  • Digital I/O events

  • Example Details :- Digital input card bypass setting changed Card0 Channels1&2 To value Bypass

Description

These events are included to help monitor the digital audio cards.

70 Digital input card SyncBus drive change

  • Info

  • Digital I/O events

  • Example Details :- Digital input card Syncbus setting changed Card1 To value channel A

Description

These events are included to help monitor the digital audio cards.

71 Digital input card Type change

  • Info

  • Digital I/O events

  • Example Details :- Digital input card Type setting changed Card3 Channels1&2 Type SPDIF

Description

These events are included to help monitor the digital audio cards. The type can be either AES or SPDIF.

72 Digital output card Type change

  • Info

  • Digital I/O events

  • Example Details :- Digital output card Type setting changed Card2 Channels1&2 Type AES

Description

These events are included to help monitor the digital audio cards. The type can be either AES or SPDIF.

73 Digital output card Bypass change

  • Info

  • Digital I/O events

  • Example Details :- Digital output card bypass setting changed Card3 Channels3&4 To value Not bypass

Description

These events are included to help monitor the digital audio cards.

74 Digital output card SyncBus drive change

  • Info

  • Digital I/O events

  • Example Details :- Digital output card Syncbus setting changed Card: 2 To value: channel B

Description

These events are included to help monitor the digital audio cards.

75 Digital output card Status change

  • Info

  • Digital I/O events

  • Example Details :- Digital output card Status changed Card3 Channels3&4 Value Error: circular sync

Description

These events are included to help monitor the digital audio cards.

  • The value can be:-

    • locked

    • not locked

    • Error: sync to self

    • Error: sync to analogue card

    • Error: sync to empty slot

    • Warning: incompatible clock

    • Error: circular sync

    • Error: unknown status value

76 DHCP lease expired

  • Warning

  • Network events

  • Example Details :- The IP address assigned by DHCP has expired 192.168.1.2

Description

The IP address timed out and the device reverted back to auto IP. This would indicate that the DHCP server on the network has stopped working or the device can no longer communicate with the DHCP server.

77 AEC Card Run at 96k

  • Warning
  • AEC events
  • Example Details :- Attempt to run AEC card at 96kHz, AEC card disabled Card: B Channel: 1

Description

Attempt to load a design using 96kHz sample rate to a device containing an AEC card. The AEC card can only operate with a design using 48kHz sample rate.

[edit]

78 AEC rack box version

  • Warning
  • AEC events
  • Example Details :- Attempt to run AEC card with inadequate PSU, AEC card disabled Rack box version: 1

Description

Attempt to use an AEC card on old hardware not supporting AEC. AEC cards should only be used on BLU-800/BLU-805/BLU-806, BLU-320/BLU-325/BLU-326, BLU-160 or BLU-120 devices.

[edit]

79 AEC firmware not loaded

  • Warning
  • AEC events
  • Example Details :- AEC boot detected no application firmware loaded Card: C Channel: 1

Description

No AEC application firmware was detected on the AEC card. The user should perform a firmware upgrade for this device.

80 CM1 card stopped responding

  • Fault

  • CobraNet events

  • Example Details :- CM1 card stopped responding

Description

The CM1 card is not responding. This can be caused if the card crashes due to unusual network activity.

81 AEC firmware version

  • Info
  • AEC events
  • Example Details :- AEC firmware version: Card: A Channel: 1 Version: 4

Description

Reports the AEC firmware version detected for the AEC card channel.

[edit]

82 AEC POC test failed

  • Fault
  • AEC events
  • Example Details :- AEC power on complete failed, CPU did not power up Card: A Channel: 2

Description

A CPU on an AEC card failed to boot up properly. The AEC card may be defective or a reboot may be required.

[edit]

85 AEC download status FAIL before download

  • Fault
  • AEC events
  • Example Details :- AEC download status FAIL before download Card: A Channel: 2 status: burning failed [4]

Description

The AEC card is in an unexpected state prior to performing a firmware upgrade.

[edit]

87 AEC download status FAIL after download

  • Fault
  • AEC events
  • Example Details :- AEC download status FAIL after download Card: A Channel: 2 status: burning failed [4]

Description

The AEC card is in an unexpected state after performing a firmware download to the card.

[edit]

89 AEC download status before download

  • Info
  • AEC events
  • Example Details :- AEC download status before download Card: A Channel: 2 status: Idle [0]

Description

The AEC card status before performing a firmware upgrade.

[edit]

91 AEC download status after download

  • Info
  • AEC events
  • Example Details :- AEC download status after download Card: A Channel: 2 status: Burning in progress [3]

Description

The AEC card status after performing a firmware download to the card.

[edit]

92 AEC download status after flash write

  • Info
  • AEC events
  • Example Details :- AEC download status after flash write Card: A Channel: 2 status: Complete successful [5]

Description

The AEC card status after completing a firmware upgrade.

95 Ambient board temperature outside range

  • Warning

  • Hardware events

  • Example Details :- Ambient board temperature warning. Temperature: 80 degrees C

Description

On BLU-800, BLU-320, BLU-160 and BLU-120 devices there is a temperature sensor mounted on the PCB. This event is fired if the temperature goes above 60 degrees centigrade.

97 Master change

  • Info

  • BLU Link events

  • Example Details :- BLU link master has changed. Master MAC: 00:0F:D4:01:02:03

Description

The BLU Link clock master has changed. The MAC address identifies the new master.

98 Multiple conductors

  • Fault

  • BLU Link events

  • Example Details :- Multiple cobraNet networks detected

Description

There are multiple CobraNet networks connected to the same BLU Link ring. In this scenario, the BLU Link ring cannot elect a clock master.

99 Sync change

  • Info

  • BLU Link events

  • Example Details :- BLU link sync has changed. Sync: BLU Link In

Description

The BLU Link hardware has changed where it gets its clock from. There are four possible clock sources :- Master, BLU Link In, BLU Link Out and CobraNet.

100 Audio error

  • Warning

  • BLU Link events

  • Example Details :- Audio error on BLU link. Error on in port

Description

The BLU Link hardware can detect errors in the audio data. If errors are detected on one of the ports this event is fired.

101 BLU link error

  • Warning

  • BLU Link events

  • Example Details :- Miscellaneous BLU link error

Description

There was a error with the BLU Link clock mastership.

106 AEC Stopped Responding

  • Fault
  • AEC events
  • Example Details :- AEC channel has stopped responding Card: A Channel: 2

Description

The specified channel of the AEC card has stopped responding. A reboot of the unit may be required to recover.

120 User logged in to the design

  • Admin
  • Security events
  • Example details:- User has logged on
Description

User has logged on or logged off or entered an incorrect password


DEV Files

What is a dev?

DEV files are a powerful way for end users to customize their 'device' library in London Architect; they are the representations of devices that are created when dragged out of the Hardware Tree onto the Main layout. Dev files are located in the 'Devices' directory of the London Architect program folder. User created dev files can be organized in user created directories under this main Devices folder, for example ... London Architect/Devices/My Devices/MyVideoServer.dev.

DEV files utilize the very powerful, yet easy to use, XML programming language. If you open up one of the dev files in the Devices directory you will see what the XML looks like. You may already know how to write xml, in which case the following descriptions of the syntax should help you easily create your own device. If not, just look on the web for some tutorials, it's fairly easy. Most of the xml is pretty self explanatory, and you can simply copy an existing file and alter it to suit your purposes.

Description of the various elements included in this dev file:

<?xml version="1.0"?> This is a header telling editors about the file, which may then provide correct formatting or context sensitive colouring. It is optional, and not needed by London Architect.

<device>...¦</device> This starts and ends the device definition script.

<!-- text --> This is a remark statement. Where text is any string or text, this text will be ignored. This is useful in documenting Who, What, When, Where, or Why.

<name> ... </name> This is used to set the name of your device.

<description> ... </description> A description of what it is. (Reserved for future use)

<manufacturer> ... </manufacturer> This tells London Architect where to place the device in the Device tree (in the Hardware pane) and in the right click menu. Typical values would be BSS, Crown, JBL, Soundcraft etc. General devices such as mic are in 'Other'. London Architect will add a new heading to these menus based on the data you have entered here. All additional devices with the same manufacturer will be placed under the same heading.

<group> ... </group> This defines the folder in the Hardware Pane for the DEV file to go into

<size width="######" height="######"/> The size of the device. This is the size it will be when created, and it cannot be re sized any smaller. Where "######" is an integer defining the size in pixels.

<gui
                     order="######"
                     showname="value"
                     showtype="value"
                     resize="value"
                     icon="name"
                     />  General GUI related information.

  • showname :- Where "value" is true or false. If showname is "true" then the name is drawn above the object.

  • showtype :- Where "value" is true or false. If showtype is "true" then the type is drawn above the object.

  • resize :- Where "value" is true or false. If resize is "true" the device can be resized.

  • icon :- Where "name" is the name of the icon image to use. [e.g. micicon.bmp.] Icons are used in the various trees and menus within London Architect. See the chart below.

  • order :- Where "######" is an integer value used to sort the devices in the hardware tree view, and on the right click New menu. The higher the value, the higher up the view/list the device will be listed.

Icons

<background image="File" fill="value"/> This tells London Architect how to draw the device.

  • Image :-If image is defined it is the name of the image file to use. [e.g. mic.bmp]
  • fill :- Where "value" is true or false. If fill is "true" then the background is filled with the fill colour. If you set the image, then often you don't want the background to be drawn. London Architect will center your bmp in the object as defined in the size statement above. For best results resize your bitmap to the same size that you defined for your object. The image file must reside in the Generic directory with the dev file.

<fillcolour red="###" green="###" blue="###" /> or <fillcolor red="###" green="###" blue="###" /> Specifies the fill colour for the background where "###" is a number between 0 and 255.

<textcolour red="###"
                     green="###"
                     blue="###" /> or <textcolor red="###"
                     green="###"
                     blue="###"
                     />  Specifies the text colour for the
                     node text where "###"
                     is a number between 0 and 255.

<transparentcolour red="###" green="###" blue="###" /> or <transparentcolor red="###" green="###" blue="###" /> Specifies the colour which is to be considered transparent when drawing the background image where "###" is a number between 0 and 255.

<input name="Text" type="value" visible=" value "/>

<output name="Text" type="value" visible=" value " signalfrom="inputnode" format=" value"/> Specifies an input or output node. Input nodes are displayed on the left, Output nodes are displayed on the right.

  • name :- Where "Text" is the name of the node. If not defined, the node text is not drawn. [E.g. name=""]. This is useful for really basic objects such as mics where you really don't want the node text drawn.

  • type :- Where "value" can be one of the following :-

audio :- Your basic audio node.

digital :- A digital node.

audio+digital :- A node that can take either analogue or digital.

ethernet :- A generic ethernet port.

cobranet1 :- A cobraNet port.

cobranet2 :- A backup cobraNet port.

serial :- A serial port.

control :- A control port.

highpower :- A high power analogue port. E.g. amp output/speaker input.

video :- A composite video port

usb :- A usb port

buddylink :- CobraNet buddylink node.

blulink :- BLU link ethernet port.

blulink+ethernet :- BLU link and standard ethernet port.

fibre :- Fibre optic port.

  • visible :- Where "value" is true or false. If visible is "true" then the node is visible on the object.

  • signalfrom :- Where "inputnode" is the name of the name of the input node that the signal comes from. This is used to provide signal routing through the device. If signalfrom is not specified, the name of the node is shown. This is used on outputs only.

Illegal Characters in a DEV file

There are four characters which are illegal in DEV files and so must be replaced with a special sequence if you wish to use them. These are as follows:

& replace with &amp;

< replace with &lt;

> replace with &gt;

" replace with &quot;

Sample DEV file

Now let's take a closer look at a sample script.

<?xml version="1.0"?>

<device>

<name>My Video Server</name>
<description>Composite Video Server</description>
<manufacturer>ACME</manufacturer>
<group>Other</group>
<size width="110" height="80"/>
<gui icon="ethernet" showname="true" showtype="true" resize="false"/>
<textcolour red="255" green="255" blue="255"/>

<!-- Ports-->
<output name="Audio L" type="audio"/>
<output name="Audio R" type="audio"/>
<output name="Video" type="video"/>
<input name="Ethernet" type="ethernet"/>

</device>

<?xml version="1.0"?> The first line is the header.

<device> This line defines the beginning of the device script

<name>My Video Server</name> This is the name of your device.

<description>Composite Video Server</description> This is the description of the device.

<manufacturer>ACME</manufacturer> This is the Manufacturer of the device.

<group>Other</group> This defines what group this object is part of.

<size width="110" height="80"/> This defines the size of the graphic object.

<gui icon="ethernet" showname="true" showtype="true" resize="false"/> This defines the icon that London Architect will use in the menu trees, as well as how the graphic object will be displayed on the desktop.

<textcolour red="255" green="255" blue="255"/> This defines the color of the node text on the graphic object.

<!-- Ports--> This is a remark statement used to describe the following section of code.

<output name="Audio L" type="audio"/>

<output name="Audio L" type="audio"/>

<output name="Video" type="video"/>

<input name="Ethernet" type="ethernet"/> These define all the ports on the device.

</device> This ends the device script.

And here is how it looks on the desktop:


Device Firmware

Firmware Updates for BLU processors

The various BLU series interfaces can have their firmware operating systems upgraded (as and when updates for either new features or bug fixes are released). Built into London Architect is a firmware loader program that enables the hardware to be upgraded directly.

The Load Firmware option is found in the toolbar of the Network window. Pressing this button opens a dialogue that lists compatible devices found on the network. If no devices are connected then this list is empty, connect your Soundweb system and go online to the network first.


Buddy Link

Buddy Link allows two similar CobraNet devices (i.e. BLU-800, BLU-320, BLU-80 or BLU-32) to operate as a redundant pair with fail-over capability. Buddy Link is a clock connection (48kHz on a BNC coaxial cable) from Buddy Link Out of primary device to Buddy Link In of the secondary device. Presence of the clock signal at the Buddy Link In of the secondary unit indicates proper operation of the primary unit.

The primary unit will not produce Buddy Link clock output if it has no power. The Buddy Link signal is generated by the CM-1 module and may continue to function while a fault condition exists in the audio processing system. Buddy Link should never be used for life safety applications.

If the Buddy link input signal is present at the BNC IN, a unit will send empty reservation requests. This prevents the unit from transmitting any bundles. This also prevents the unit from receiving unicast bundles (including multi-unicast). A unit in this state will still receive multicast bundles and will process any audio in multicast bundles.


BNC Sync

Film studios, broadcast and theatres can benefit from the external word clock sync capability of the London Series via the BLU-800/BLU-805/BLU-806 and BLU-320/BLU-325/BLU-326 rear panel BNC IN connectors. The supported sync frequencies are 48kHz, 48kHz pull-down (47.952kHz), 96kHz and 96kHz pull-down (95.904kHz). Synchronizing the Soundweb London internal DSP processing clock to the House clock avoids having to use Sample Rate Conversion, resulting in superior audio.

Operation - To set up a system to use an external word clock as the master clock for the BLU link ring

  • Set 'Sync to BNC' or 'Sync to BLU link' in the properties for the device.

  • The BLU-800 or BLU-320 by default will sync to CobraNet if there is a valid CobraNet connection, otherwise they will sync to BNC or BLU link. The BLU-805 or BLU-325 by default will sync to AVB if there is a valid AVB connection, otherwise they will sync to BNC or BLU link. The BLU-806 or BLU-326 by default will sync to BNC or BLU link since the DANTE card will then sync externally from the device clock. If there is neither a valid CobraNet or AVB connection these devices will then sync to the BLU link bus, this can be seen on the control panel for the device.

  • Set 'Sync to BNC' or 'Sync to BLU link' in the properties for the device. The BNC can be selected as the word clock for the BLU-800 or BLU-320. More than one device can be selected to sync to BNC, BNC Sync will be indicated on the device control panel.

  • The word clock can be applied to all BNC devices. This means that if one of the BNC devices loses its word clock (e.g. BNC cable has been pulled) the system will continue to be synchronised to the word clock via another device.

  • The Mastership Priority of the BNC units must be set to a higher value than all other units which do not have Sync to BNC selected in the properties, the BNC device with the highest priority will be the master for the BLU link ring.

  • If this is not the case then London Architect will prevent you from going online. Mastership priority is set on the device control panel, 254 is the highest priority, 0 is the lowest.

  • If the BNC input is invalid (cable missing or incorrect word clock) the device will synchronise to the BLU link bus. The control panel for the device will indicate both BNC and Error to indicate that there is an invalid word clock.

I

  • DO NOT USE COBRANET OR AVB on any devices which synchronise to an external word clock as the CobraNet (or AVB) clock will not be synchronised to this clock and it would produce undesirable audio effects. A yellow warning triangle will be shown on the CobraNet or AVB nodes of the device icon of CobraNet or AVB devices where Sync to BNC or Sync to BLU link has been selected in the device properties.

  • Dante networked audio can be used on devices which sync to external word clock as it does support this. However it does not support the pull-down frequencies. Under this condition the Dante card will not be synchronised to the device clock and it would produce undesirable audio effects. A yellow warning triangle will be shown on the Dante nodes of the device icon where Sync to BNC or BLU link has been selected with pull-down frequencies in the device properties.

  • The BLU-160 and BLU-120 will default to synchronise to BLU link at all times since they do not use CobraNet, AVB or DANTE. The sample rate and sample rate pull-down is selected in properties for the device.

  • The BLU-100, BLU-101 and BLU-102 will also default to synchronise to BLU link. The 48kHz sample rate and sample rate pull-down is selected in properties for the device.

  • The same sample rate must be selected for every device in the design otherwise London Architect will not permit you to go online and will display a warning.

  • The BLU-BIB and BLU-BOB will auto-switch and lock to whatever sample rate frequency is detected on their ports.

IMPORTANT, PLEASE NOTE

BLU-BOBs and BLU-BIBs with version numbers below v1.05 are not compatible with BLU link pull-down sample rates. If the design requires pull-down and you have a pre v1.05 BLU-BIB or BLU-BOB, please contact Customer Services at bss.support@harman.com for guidance. BLU-BOBs and BLU-BIBs with a sticker on the rear panel showing V1.05 or above are compatible with pull-down rates.

  • Crown amplifiers with PIP-BLU cards fitted for BLU link audio transport are not currently supported for BLU link networks with 'Sync to BNC' configured. LA will not go online with a design which includes a PIP BLU and a Soundweb London with 'Sync to BNC' configured

Example: System designed to synchronise from the word clock at the BNC input.

The following example shows how to set up a system which is designed to synchronise to an external word clock which is running at the 48kHz pull-down sample rate of 47.952kHz..

System components:

  • BLU-800 Sync to BNC

  • BLU-800 Sync to BNC

  • BLU-320 Sync to BLU link

  • BLU-120, BLU-160, BLU-100, BLU-101, BLU102

U1 - this device will be the master of the BLU link ring

In Properties,
  • Set the Sample Rate to 48kHz
  • Select the Sample Rate Pull-down 47.952kHz
  • Set BLU link Sync, to 'Sync to BNC'

On the Device Control Panel

  • Set the Mastership Priority to be higher than that set for all other devices

U2 - this device will take over as the master if there is an invalid BNC connection, or no BNC connected, to U1. Otherwise it will sync to the BLU link ring

In Properties,

  • Set the Sample Rate to 48kHz
  • Select the Sample Rate Pull-down 47.952kHz
  • Set BLU link Sync, to 'Sync to BNC'

On the Device Control Panel

  • Set the Mastership Priority to be lower than U1 but higher than that set for all other devices

U3 - this device will synchronise from the BLU link network where U1 is the master

In Properties,

  • Set the Sample Rate to 48kHz
  • Select the Sample Rate Pull-down 47.952kHz
  • Set BLU link Sync, to 'Sync to BLU link'

On the Device Control Panel

  • Set the Mastership Priority to be lower than U1 and U2

U4 and U5 - these devices will synchronise from the BLU link bus where U1 is the master

In Properties,

  • Set the Sample Rate to 48kHz
  • Select the Sample Rate Pull-down 47.952kHz
  • Set BLU link Sync, to 'Sync to BLU link'

On the Device Control Panel

  • Set the Mastership Priority to be lower than U1 and U2

U7, U8 and U9 - these devices will synchronise from the BLU link bus where U1 is the master

In Properties,

  • Select the Sample Rate Pull-down 47.952kHz
  • Set BLU link Sync, to 'Sync to BLU link'

On the Device Control Panel

  • Set the Mastership Priority to be lower than U1 and U2


Keyboard Shortcuts

Ctrl+N : Create new design file

Ctrl+O : Open design file

Ctrl+S : Save design file

Ctrl+Z : Undo

Ctrl+Y : Redo

Ctrl+X : Cut

Ctrl+C : Copy

Ctrl+V : Paste

Ctrl+A : Select All

Ctrl+L : Log off

Ctrl+F5 : Run

Shift+F5 : Stop

F8 : Operate

Alt : While held, engages the Soft-Operate mode allowing adjustment of parameters while in design mode.


AEC Cards

There are 2 AEC versions available, the original AEC algorithm or full bandwidth AEC. The type can be selected in properties for the AEC card or AEC processing object. The full bandwidth AEC option will give improved audio performance and we would recommend that you enable this option. Any designs which have been created in an earlier version of London Architect where this feature was not available will retain the original AEC when loaded. Existing systems may be upgraded to the full bandwidth AEC version but additional system tuning may be required for optimum performance. New designs will default to the full bandwidth AEC.

Front Panel Information on Soundweb London Devices

AEC cards can only operate within a BLU-800/BLU-805/BLU-806, BLU-160, BLU-320/BLU-325/BLU-326 or BLU-120 at a sample rate of 48kHz. If an AEC card is fitted to one of these devices which had already been configured for 96kHz the AEC LEDs on the front panel will flash to indicate this. Attempts to go online will fail and be recorded in the Event Log. It will be necessary to change the sample rate in the design to 48kHz before going online to the device.

AEC Definitions

Convergence Rate
Measures the speed of the linear processing component of the AEC algorithm and does not include the non-linear processing or suppression (NLP) as dictated by industry standards. This means this is a measure of how fast the algorithm can recognize and remove echo from the signal path.

Double Talk
Both far and near side speech are present.

Echo Return Loss (ERL)
This is a measure of the coupling between the AEC reference signal and the AEC input signal.

Echo Return Loss Enhancement (ERLE)
This shows the loss through the linear AEC algorithm (not including the non-linear processing.)

Far Side (Reference)
This is the remote side of the conference which will be heard from the near-side speakers.

Gain Structure
Proper gain structure will provide an adequate signal to noise ratio and reasonable headroom for an input signal.

Near Side (Local)
This is the local side of the conference where the echo canceller is located.

Non-Linear Processing (NLP)
The non-linear processing increases the power of the echo cancellation for difficult acoustic environments.

Noise Cancelation (NC)
Noise cancellation removes ambient noise from the AEC signal (e.g. computer fan noise).

Voice Activity Detection (VAD)
Detects whether the audio is speech or silence/background noise.

Acoustic Echo Cancellation (AEC)

Acoustic echo occurs in a conferencing system when the far-side speech played in the loudspeakers is picked up by microphones in the room and is transmitted back to the far side. This transmitted signal is a delayed version of the original, which causes the echo.

The received far-side signal does not transfer directly from the speaker to the microphone, but is subject to the artifacts of the room. This may include differing signal paths causing reverb, frequency filtering and attenuation. These effects are the transfer function of the room. The transfer function of the room is also dynamic, as objects in the room move or the microphone moves position.

To correctly subtract the required signal, the AEC therefore needs to simulate the dynamic room transfer function. It can then apply that transfer function to the received signal and correctly subtract the modified original signal.

Each AEC card consists of 4 AEC input channels. Each channel offers the following features:

  • Independent 20Hz - 8kHz algorithm for the original AEC or 20Hz - 20kHz algorithm for the full bandwidth AEC selectable
  • Individual AEC references
  • Automatic Gain Control (AGC)
  • Noise Cancellation (NC)
  • Adaptive (Speech Passing) Non-Linear Processing (NLP)
  • Extremely fast convergence rates of 49dB/s

NOTE: AEC Input cards can only be used in BLU-800/BLU-805/BLU-806, BLU-320/BLU-325/BLU-326, BLU-160 or BLU-120 devices.

AEC Card Control Panel

The AEC default control panel is ordered in two groups of controls for every input channel. The first group of controls are identical to the standard Soundweb London input cards and function in the same manner. These controls are the audio input meter (configurable as Pre or Post-AEC), input meter controls - Attack, Release, Reference, and Phantom Power - for each input channel. The second group of controls are the AEC controls.

AEC Control Panel

The basic AEC control panel allows enabling and disabling of AEC and AGC, and allows setting levels for noise cancellation, non-linear processing and signal threshold. The AEC control panel for the BLU-101 and BLU-102 AEC processing object differs from that of the AEC input card since it does not show the analogue input meters and input controls which can be found on the control panel for the analogue input card for those devices.

AEC

This button enables or disables AEC processing for each channel. When this button is enabled the AEC algorithm will remove the acoustic echo from the audio channel with linear processing and with a specified amount of non-linear processing. (See NLP Level below.)

ERL Meter

The Echo Return Loss (ERL) meter is a measure of the room's natural attenuation of the far-side audio as it leaves the speaker(s) and re-enters the microphone(s). This parameter is controlled by proper gain structure setup (ensuring a good signal to noise ratio and reasonable headroom for the AEC input signal). A proper gain structure is critical for distortion free sound and optimal performance for AEC. This is the single most important parameter when setting up the AEC system.

The AEC algorithm will only be able to recognize and remove echo to its best extent when this meter is displaying in the 'green' range. The 'green' range is indicated on the control panel below 0dB. The algorithm will continue to converge over 0dB, but the convergence rate will decrease in that range. If the ERL meter is over 10dB, convergence should not be expected.

This meter will not update during double-talk. It is updated based on far-side speech only.

ERLE Meter

The Echo Return Loss Enhancement (ERLE) Meter measures how much acoustic echo is being removed from the signal path. This measurement consists of the natural room attenuation as indicated by the ERL meter and the amount of echo removed by the AEC algorithm. A lower signal indicates more echo being removed. The lower the meter, the better.

NOTE: As dictated by industry standards, NLP contributions are not included in this reading. NLP contributions are made in addition to this meter's reading.

NLP Level

The Non-Linear Processing (NLP) setting determines the amount of non-linear suppression that will be applied in conjunction with the AEC algorithm for each channel. NLP will remove the residual echo not removed by the linear part of the AEC algorithm.

This parameter represents a trade-off between achieving good double-talk performance, with no suppression of the local speech signal, and very robust echo suppression, with no echo audible on the far side. At its most aggressive setting (NLP at 100%), the non-linear processing will remove any of the residual far-side echo picked up by the microphone. However, this is done with an increased risk that some of the near-side speech will be degraded as well, especially during double-talk. At its least aggressive setting (NLP at 0%), the non-linear processing is effectively disabled, which may let some echo through, but will allow for a more natural double-talk performance.

The best setting for this parameter may depend on several factors, including the acoustic properties of the room and user preference. The default value of 50% may give a good balance between these two competing goals.

NC Level

The Noise-Cancellation (NC) setting will determine the amount of noise cancellation that will be applied to each channel. The noise cancellation algorithm is a very advanced algorithm that will remove steady-state noise without compromising the quality of speech passing through the channel. This algorithm is great for removing projector noise, HVAC, and other unwanted background noise that can compromise speech intelligibility.

Signal Threshold

In a conferencing system, some microphones may have a mute or push-to-talk feature built in. If a mic goes into or comes out of mute, then the characteristics of the conferencing system change instantly, and echo may leak through as the AEC re-converges. A signal threshold is defined to allow mics with mute or push-to-talk features to work seamlessly with AEC. Using the threshold, a level can be defined that is below the normal, ambient noise floor of the room. If the mic level goes below this level, then the AEC algorithm will treat the microphone as muted, and minimize any echo that would have occurred otherwise. The "Active" LED indicates that the microphone level is over the threshold, and the mic is not treated as being muted. When the LED is off, the mic level is below the threshold, and the mic will be treated as being muted.

To set the threshold:

  • Put the microphone in its muted mode.
  • Set the threshold to a level where the LED turns itself on and off randomly.
  • Raise the threshold from this level by 3 to 6 dB. The LED should now be off with no flickering.
  • Take the microphone out of its muted mode and the LED should illuminate.

This process may need to be repeated if the microphone's preamp gain is adjusted. To disable the mute feature based on signal threshold, simply set the threshold to its minimum value.

Advanced Panel

The advanced panel gives access to controls for the automatic gain control.

AGC

The Automatic Gain Control is designed for voice applications. It is designed to compensate for varying distances between the speaker and their microphone as well as speech level variances at the near end. This provides the far end with a signal that will automatically be increased or decreased to maintain a consistent audio level. Setting the maximum gain too high can cause inconsistent gain structures and bring up the noise floor. The AGC will adjust the gain during near side speech only. This means that during pauses in near side speech, the noise floor will maintain a constant level, and will not grow to hit a target gain output. Only near side speech signals are used to control the gain.

To use the AGC, first define target levels for the transmitted speech signal. The default target levels for AGC are a maximum of 6dBu and a minimum of -10dBu, which define a target window with 16dB of dynamic range. If the speech level is within the target window already, then the AGC-applied gain will go to 0 dB.

If the speech signal is below the target window (i.e., below the minimum target level), then the AGC will increase the gain (to a limit) so that the signal level meets the minimum target level. The AGC will limit the gain it can add to a signal by a maximum gain setting. Once the AGC has adjusted its gain high enough to meet the maximum gain setting, it will stop adding gain, even if the minimum target level is not reached. This is useful to stop very weak speech signals, such as whispering, from driving the gain too high. Setting the maximum gain too high can cause inconsistent gain structures and bring up the noise floor.

Similarly, if the level of the speech signal is higher than the maximum target level, then the AGC will reduce the gain, by as much as the minimum gain setting, in an attempt to bring the speech level down to the maximum target level.

A generous range for the maximum gain and the minimum gain have been provided. Care should be taken, particularly with the maximum gain setting, to avoid extreme levels. Situations where the maximum gain setting should be set over 10dB will be rare. The maximum gain setting has the potential to break a gain structure, so set it carefully, especially if the setting is to be used over 10dB.

The attack and release rates for the AGC describe how fast it will adjust its gain. Because the AGC only adjusts gain during near-side speech signals (and not during unvoiced consonants like t, s, p, and f), the attack and release rates should be set higher than other typical AGC implementations.

The AGC meter shows the current amount of gain being applied to the signal.

Here is a summary of the AGC settings:

  • AGC On : On/Off switch to enable/disable automatic gain control
  • AGC Max Target : Range -20 dBu to +20 dBu (default is +6 dBu)
  • AGC Min Target : Range -20 dBu to +20 dBu (default is -10 dBu)
  • AGC Max Gain : Range 0 dB to +20 dB (default is +6 dB)
  • AGC Min Gain : Range -20 dB to 0 dB (default is -6 dB)
  • AGC Max Rise Rate : Range 0.1 to 100 dB/s (default is 13.33 dB/s)
  • AGC Max Fall Rate : Range 0.1 to 100 dB/s (default is 15.62 dB/s)

AEC Card Properties

Use Meter

Will enable input channel metering for this card.

Enable Mutes

Se to YES will add input mutes to the control panel.

Metering Point

Changes the point in the audio path used for metering. Can be pre or post AEC. The default is to meter pre-AEC so that the meter shows the level of audio being received by the AEC card before any processing is applied.

Full Bandwidth (20kHz)

You can select either one of the 2 versions of AEC algorithm to use. Set to 'No' to select the original version AEC with limited bandwidth. Set to 'Yes' to select the later version AEC algorithm with a higher bandwidth which will give an improved sound quality.

Note: Designs created in versions of London Architect before version 3.04 will default to 'No' for full bandwidth when loaded into London Architect. Designs created from version 3.04 onward will default to 'Yes' for full bandwidth. In a design which has more than one AEC card it is possible to have the bandwidth set individually for each card.

Parameters

  • Reference - as per standard analogue input card
  • Attack - as per standard analogue input card
  • Release - as per standard analogue input card
  • Gain - as per standard analogue input card
  • Phantom Switch - as per standard analogue input card
  • AEC Enable - Appears on the default panel, described in 'AEC Card Control Panel' section.
  • NLP Enable - Non-linear processing is on by default. This parameter is for advanced use and is accessible via the design tree.
  • NLP Level - Appears on the default panel, described in 'AEC Card Control Panel' section.
  • NC Enable - Noise cancellation is on by default. This parameter is for advanced use and is accessible via the design tree.
  • NC Level - Appears on the default panel, described in 'AEC Card Control Panel' section.
  • Signal Threshold - Appears on the default panel, described in 'AEC Card Control Panel' section.
  • AGC Enable - Appears on the default panel, described in 'AEC Card Control Panel' section.
  • AGC Max Gain - This parameter sets the maximum gain for AGC operation. It is for advanced use and is accessible via the design tree.
  • AGC Min Gain - This parameter sets the minimum gain for AGC operation. It is for advanced use and is accessible via the design tree.
  • AGC Max Target - This parameter sets the maximum target for AGC operation. It is for advanced use and is accessible via the design tree.
  • AGC Min Target - This parameter sets the minimum target for AGC operation. It is for advanced use and is accessible via the design tree.
  • AGC Attack - This parameter sets the maximum rise rate (dB/s) for AGC operation. It is for advanced use and is accessible via the design tree.
  • AGC Release - This parameter sets the maximum fall rate (dB/s) for AGC operation. It is for advanced use and is accessible via the design tree.

London Architect Configuration Symbol

For each recognized AEC card in a Soundweb London unit the following configuration symbols will appear in the Default Configuration view:

The left hand 'AEC Input Card' block functions like a standard Soundweb London input card. This block contains the 4 channels of processed AEC audio as well as the 4 channels of 'dry' (unprocessed) input audio being fed into the Soundweb London AEC card. The right hand block 'AEC Input Ref (REFERENCE) Return' is used to provide the REFERENCE signal for each AEC algorithm. The Reference signal is the signal that will be removed by the AEC algorithm from the signal path. The Reference signal should be taken from as close to the output as possible. This will provide the AEC algorithm with the most accurate representation of the signal (to be cancelled) and will provide the best AEC performance.

Example: Basic Conferencing without Local Sound Reinforcement

Local Sound Reinforcement refers to a design where the local microphones feed both the far-side and the local room speakers. This typically applies in large rooms where other participants located in the same room can't hear the person speaking.

This example shows 4 microphones feeding the local audio to the far-side via a Telephone Hybrid. The far side audio is received via the Telephone Hybrid and processed by the London's Low Pass, High Pass, and Parametric EQ's before being sent to the local room's speaker(s) for the local participants to hear. Once the far-side audio leaves the local-side's speakers the signal will bounce around the room, re-enter the local microphone (mixing with the local side's speech), and the far-side signal will be sent back to the far-side resulting in 'echo'. To prevent this echo, the far-side signal is sent to the Reference inputs of the AEC card where the AEC algorithm will compare this signal with the input signals of the AEC card (the microphones) and remove the Reference signal (far side signal) from the input signal path resulting in only the local side audio being sent to the far-side i.e. no echo.

The image below is the same design with the Reference signal wired incorrectly. Because the Reference is taken before the room processing blocks, the AEC algorithm will not understand that certain frequencies were cut/boosted intentionally and will not be able to model the room to its full ability.

Example: Basic Conferencing with Local Sound Reinforcement

This example shows 4 microphones feeding the audio to the far side via a 'Telephone Hybrid' as well as feeding the local speakers for local sound reinforcement. Signal mixing is performed using the Gated Automixer processing object. The best method for this type of design incorporates a mix-minus setup to maintain proper gain structure, and to prevent the speaker directly above the person talking from transmitting a delayed - room-coloured - copy that will re-enter the open microphone and be transmitted to the far side along with the original voice signal.

The design below shows the both the far side and near side signals feeding the local room speakers. This design works, but as explained above, since the Reference signal is not being fed after the room processing blocks (as close to the speaker output as possible) the AEC algorithm won't perform to its full potential.

If the Reference is moved to the same location as in the previous 'No Reinforcement' example, it will satisfy the rule of placing the Reference 'as close as possible' to the speaker output, but in doing so the Reference will be fed with a mix of both the near side and far side signals. Since the Reference signal is the 'signal we want to remove from the input audio path' then this means that the AEC algorithm will cancel the speaker's voice coming into the AEC Input Card. Since the input microphone signal path is being fed to the far side as well as the local speakers then the far side will not be able to hear the speaker either. (Typically what happens is that only portions of the speaker's voice gets cancelled because of the VAD state and it causes the voice to distort and sound bad to both the far side and the near side)

To solve this dilemma utilize an N-input parametric EQ and another set of High/Low Pass objects in order to provide the Reference the same signal as the room speaker. This means that you only Reference (remove) the far side signal while still feeding a mix of both near side and far side audio to the room speakers. It is very important to make sure the same settings are maintained in both signal paths. In particular, care must be taken that any non-linear processing (such as compression or limiting) that happens to the speaker output signal, also happens to the Reference signal. BSS Audio recommend using the 'copy control values' feature to ensure the settings are identical.

Example: Local Media Distribution

Add to the previous Local Sound Reinforcement design by adding a local DVD player and a local PC audio input for presentations that the near side would like to share with the far side as well as having the near side speakers distribute this material. This design requires that the local media inputs (DVD/PC) are sent directly to the far side via a 'Telephone Hybrid' to provide a high quality audio signal. For the near side to hear the local media inputs through their speakers, Reference (remove) the far side signal and local media signal from the microphone input signal path to prevent the far side from hearing their own voice (echo) and from getting a lower quality local media signal - which can be interpreted as an echo as well. Remember that you are already directly sending the local media signal to the far side so you need to make sure that the local media signal is not allowed to travel to the far side via the microphone input signal path as well.

Once again, it should be emphasized that the ERL meter needs to be in the 'green' zone while the local Media sources are playing during the conference or the AEC algorithm will not be able to remove the echoes.


Digital Cards

The Soundweb London Digital Input Cards and Digital Output Cards are designed to populate any of the four card slots on Soundweb London devices. These digital cards enable Soundweb London devices to send and receive AES/EBU and S/PDIF audio signals.

Basic Functionality

The Digital Input Cards and Digital Output Cards each have two connectors which are used as follows: -

Digital Input Cards (Card position "A" in rear panel diagram)

  • Connector 1 (Connector on right hand side in rear panel diagram)

    • Stereo Audio, Channels 1&2 - AES/EBU

    • Stereo Audio, Channels 3&4 - AES/EBU

  • Connector 2 (Connector on left hand side in rear panel diagram)

    • Stereo Audio, Channels 1&2 - S/PDIF

    • Stereo Audio, Channels 3&4 - S/PDIF

Digital Input Card Connections
Connector | [S/PDIF Combicon] |  | [AES/EBU Combicon]
Signal pair | 3&4 | 1&2 | 3&4 | 1&2
Pin | [S + -] | [S + -] | [S + -] | [S + -]

AES/EBU

Positive: to +
Negative: to -
Shield : to S

S/PDIF

Signal : to + Signal Ground: to - Shield* : to S

* Short "S" to "-" for unshielded cable

Digital Output Cards (Card position"C" in rear panel diagram)

  • Connector 1 (Connector on right hand side in rear panel diagram)

    • Stereo Audio, Channels 1&2 - AES/EBU / S/PDIF

    • Stereo Audio, Channels 3&4 - AES/EBU / S/PDIF

  • Connector 2 (Connector on left hand side in rear panel diagram)

    • Clock Input - High Impedance

    • Clock Input - 75R Terminated

  • active clock selected within HiQnet London Architect

Digital Output Card Connections

Connector | [Clock Input] |  | [Audio Output]
Signal pair | 3&4 | 1&2 | 3&4 | 1&2
Pin | [S + -] | [S + -] | [S + -] | [S + -]

Clock Input

Positive: to +
Negative: to -
Shield : to S

AES/EBU

Positive : to + Negative : to - Shield : to S

S/PDIF

Signal : to + Signal Ground: to - Shield* : to S

* Short "S" to "-" for unshielded cable

Digital Card Configuration

The digital cards can be configured, within HiQnet London Architect, in the following ways: -

  • 2 Stereo AES/EBU signals

  • 1 Stereo AES/EBU signal / 1 Stereo S/PDIF signal

  • 2 Stereo S/PDIF signals

Digital Cards - SyncBus

SyncBus is used to sync the Digital Output Card to another digital card.

All digital cards are connected through a parallel bus.

Each digital card has 2 SyncBus connectors so that all cards can be daisy chained together.

SyncBus is used automatically when a digital output card is synced to another digital card and the clock is sent from one card to the other.

Digital Cards - Front Panel Information on Soundweb London Devices

In, Out, Dig LEDs

These indicate which card is contained within the card slot

  • Digital Input Card - 'IN' and 'DIG' illuminated

  • Digital Output Card - 'OUT' and 'DIG' illuminated

  • Sync/48V LED - illuminates to indicate that signals are synced

  • Signal LED - indicates signal present (illuminates at -40dBFS)

  • Clip LED - indicates high signal at input stage

Note: The Clip LED may illuminate frequently when using digital inputs. This is no cause for concern as digital playback media is often normalized to Full Scale, resulting in a highly optimised but implicitly safe signal.

Digital Input Card Configuration

The Digital Input Card Default Control Panel allows users to configure, control and monitor a Digital Input Card.

Input Type

Input Type allows an AES/EBU or S/PDIF digital input to be selected per stereo signal.

Bypass Sample Rate Conversion

The Bypass Sample Rate Conversion button allows users to bypass the sample rate conversion per stereo signal in order to improve audio quality for matched sample rates.

Note: For trouble-free operation of Bypass Sample Rate Conversion, the external clock must be the same sample rate as the device; either 48 kHz or 96 kHz and ultimately locked to the same clock source. If the clocks are not locked drift may occur, resulting in audible clicks.

Sample Rate

Sample Rate shows the current sample rate per stereo signal.

Possible values are: -

  • 32 kHz

  • 44.1 kHz

  • 48 kHz – this will also be displayed when the sample rate is at the pull-down frequency of 47.952kHz

  • 88.2 kHz

  • 96 kHz - this will also be displayed when the sample rate is at the pull-down frequency of 95.904kHz

  • Not Locked -no signal present

  • Out of Range - signal is present and may be correctly received but lies outside the legal range for locking outputs

Non-audio LED

The Non-audio LED illuminates when the input is locked but receiving invalid audio. When the Non-Audio LED is illuminated the audio is muted.

Error LED

The Error LED illuminates when there is a problem with the incoming digital stream. Audio may be present but the cause of the error should be investigated.

Input Meter

The Input Meter gives clear input channel metering and offers the following ballistics properties: -

  • Attack - attack rate (or speed) of meter

  • Release - release rate (or speed) of meter

  • Reference - 0dB reference point of meter

Digital Output Card Configuration

The Digital Output Card Default Control Panel allows users to configure, control and monitor a Digital Output Card.

Clock Source

Clock Source allows the digital outputs per Digital Output Card to be synchronised to the following variety of clock sources: -

  • Internal 44.1kHz

  • Internal 48kHz

  • External 44.1kHz/48kHz 75? Terminated

  • External 44.1kHz/48kHz High Impedance

  • Digital Card A, Channels 1 and 2

  • Digital Card B, Channels 1 and 2

  • Digital Card C, Channels 1 and 2

  • Digital Card D, Channels 1 and 2
  • Internal - The main board of the Soundweb London device clocks at 48 kHz or 96 kHz. The internal clock is used for the DSPs and any analogue cards fitted. Internal clocks are derived from these frequencies to provide 44.1 kHz or 48 kHz sources. A 1x or 2x multiple of the internal clock can be output. So to obtain, for example, a 96 kHz output, a user would select Internal 48 kHz (2 x 48 kHz = 96 kHz).

Note: Since the clock source is specified per digital card, it is not possible to output 44.1 kHz on one output pair and 48 kHz on the other. However, this can be achieved using more than one Digital Output Card.

  • External - The Digital Output Card will lock to the rate of the external clock source providing it is 44.1 kHz or 48 kHz. There are two external inputs, one is 75 ohm terminated and the other is high impedance.

Note: The external clock source frequency is not measured by the digital output card so is always labelled 44.1 kHz / 48 kHz. The user is responsible for ensuring that the external clock frequency is correct.

The output clock frequency of a digital card is a 1x or 2x multiple of the input clock frequency. To output an 88.2 kHz audio signal the external source clock frequency must be 44.1 kHz.

Note: If, for example, the external clock frequency drifts up to 48 kHz, the output would drift to 96 kHz, even though the indicated Output Sample Rate is set to 88.2 kHz.

If an external clock frequency is selected but no clock is present, the Status will indicate 'Warning: not locked'.

  • Digital Card

Sync to another digital card requires that the SyncBus is fitted. Digital Output Cards can be synced to any other digital card, input (channels 1&2) or output. There are a number of invalid conditions which are detected and the status displayed appropriately. These errors are described under the Status Indicator heading in the Digital Output Card section.

  • Pull-down Sample rates

When synchronising the BLU link network to an external clock at pull-down sample rate of 47.952kHz or 95.904kHz via the BNC connector on the BLU-800/BLU-805/BLU-806 or BLU-320/BLU-325/BLU-326, the main board of the Soundweb London device(s) will clock at that frequency. This means that when the digital card syncs to internal 48kHz it will in fact be running at 47.952kHz and similarly when it syncs to internal 96kHz it will be running at 95.904kHz.

Note: In the case that an error is displayed, the output clock will be suppressed resulting in no audio being output from that channel pair.

Source Sample Rate

Source sample rate shows the current Source Sample Rate per Digital Output Card. Possible values are: -

  • 32 kHz

  • 44.1 kHz

  • 48 kHz

  • 88.2 kHz

  • 96 kHz

  • 44.1 kHz / 48 kHz

  • Not Locked

If the clock is locked, the Source Sample Rate will show the following: -

  • Synced to an internal clock - either 44.1 kHz or 48 kHz (matching the selected clock source)

  • Synced to an external clock - 44.1 kHz / 48 kHz (indicating that only those two frequencies are valid)

  • Synced to an input card - 32 kHz to 96 kHz (matching the input sample rate of channels 1&2)

  • Synced to an output card - 44.1 kHz to 96 kHz (matching the output sample rate of channels 1&2)

The Source Sample Rate will show Not Locked in the following conditions: -

  • Synced to an external clock and no clock present

  • Synced to a digital input card which is itself not locked

  • Synced to a digital output card which is itself not locked for any reason

Output Type

Output Type allows AES/EBU or S/PDIF digital outputs to be selected per stereo signal.

Output Sample Rate

Output Sample Rate allows the output sample rate to be selected per stereo signal.

Bypass Sample Rate Conversion

Bypass Sample Rate Conversion allows the signal to bypass the sample rate conversion per stereo signal in order to improve audio quality for matched sample rates.

Note: For trouble-free operation of Bypass Sample Rate Conversion, the external clock must be the same sample rate as the device; either 48 kHz or 96 kHz and ultimately locked to the same clock source. If the clocks are not locked drift may occur, resulting in audible clicks.

Status Indicator

The Status Indicator shows one of the following conditions: -

  • Locked

  • Warning: Not Locked

  • Error: Attempted sync to self (1)

  • Error: Attempted sync to analogue card (2)

  • Error: Attempted sync to empty slot (3)

  • Error: Incompatible source/sample rate (4)

  • Error: Attempted sync loop (5)

Error Conditions

  • (1) This nonsensical setting is detected
  • (2) Analogue cards do not provide a clock signal so an attempt to sync to an analogue card will not work.
  • (3) Only other digital cards can provide a clock source.
  • (4) Shown when the requested output sample rate is not a multiple of the source sample rate. When this is displayed the output signal is also suppressed. For example, if the clock source is set to Internal 48 kHz and the Output Sample Rate set to 44.1 kHz, this error will be displayed. If a digital output card is locked to a digital input card that is receiving a 32 kHz signal, the incompatible message will display whatever output sample rate is selected. If a digital output card is locked to a digital input card that is not locked, or out of range, the incompatible message will display.

Note: If the card is locked to an external clock, indicated as 44.1 kHz / 48 kHz the card can not detect if the source and output are compatible. So if the user connects a 44.1 kHz external clock and selects a 48 kHz output, the actual output will be 44.1 kHz, and no incompatible status message will be displayed.

  • (5) If, for example, digital card A is synced to digital card B which is synced to digital card A there is a sync loop. Up to 4 cards can be synced in a circular fashion. All cards involved will display the sync loop status message. A card that is synced to a digital output card that is synced to self will also display the sync loop status message.

Indicator Colouring

  • Green - Correct functionality

  • Orange - Warning condition, cause should be investigated

  • Red - Error condition, output signal suppressed (user intervention required)

Output Meter

The Output Meter gives clear output channel metering and offers the following ballistics properties: -

  • Attack - attack rate (or speed) of meter

  • Release - release rate (or speed) of meter

  • Reference - 0dB reference point of meter


Telephone Hybrid Cards

The function of a telephone hybrid is to allow audio to be sent and received over a standard POTS or analog PSTN/PBX telephone connection. Hybrids are necessary components in most standard teleconferencing systems.

  • WARNING Do not connect the card to a digital PBX line. Some digital PBX lines carry high current and can permanently damage the telephone hybrid card if taken off-hook.

Telephone Hybrid Definitions

  • LEC: Line Echo Cancellation
  • POTS: Plain Old Telephone System
  • DTMF: Dual-tone multi-frequency
  • CO: Telephone Central Office
  • PBX: Private Branch Exchange
  • Double Talk: Both far and near side speech are present.
  • Ringtone: An audio sample that is played when an incoming call is detected
  • On-Hook: The telephone interface is not in a call
  • Off-Hook: The telephone interface is in a call
  • Tip: The Ground side connection to the telephone network (Typically GREEN on single pair wiring)
  • Ring: The negative side connection to the telephon network (Typically RED on single pair wiring)

Telephone Hybrid Card Front Panel Information on Soundweb London Devices

The front panel will have both the IN and OUT LEDs lit for the card position where the Telephone Hybrid card is loaded. The Off-Hook (OH) LED in position 4 ('Sync/48V' amber LED) will illuminate when the telephone is OFF-HOOK, the position 3 LED is not used. The RX (far-end) signal of the telephone interface will be displayed on the front panel's Channel 3 green signal LED. The TX (near-end) signal of the telephone interface will be displayed on the front panel's Channel 4 green signal LED. The clip LEDs for channels 3 and 4 are not used.

Telephone hybrid cards can only operate within a BLU-800, BLU-805, BLU-806, BLU-160, BLU-320, BLU-325, BLU-326 or BLU-120 at a sample rate of 48kHz. If a telephone hybrid card is fitted to one of these devices which had already been configured for 96kHz the in/out LEDs on the front panel will flash to indicate this. Attempts to go online will fail and be recorded in the Event Log. It will be necessary to change the sample rate in the design to 48kHz before going online to the device. The BLU-102 has a fixed configuration with a Telephone Hybrid card, this device can only operate at 48kHz.

Telephone Hybrid Card Connections

Channels 1&2 (Orange 6 pin):

Standard Analog Mic/Line Balanced Inputs

Telephone Interface (Green 5pin):

[Tip] [Tip] [N/C] [Ring] [Ring]

The connector for the telephone interface has two Tip/Ring interfaces. These pins are connected in parallel on the hybrid card in order to allow for an additional telephone set to be connected without purchasing a telephone splitter. Either pair can be connected to a POTS or analog PBX/PSTN line.

Telephone Hybrid Card Control Panel

The control panel contains two pages of controls. The first page contains the telephone hybrid controls for making phone calls etc. The second page contains the controls for the two analogue input channels on the card.

Telephone Hybrid Control Panel

This panel has all the controls needed to use the telephone hybrid functionality of the card. There is the telephone keypad, the various audio level controls plus 16 speed-dial numbers.

Telephone Keypad

Telephone number edit

This edit control shows you the current telephone number being entered via the keypad button.

Keys 0-9, * and #

The buttons add a character to the number that is being entered in the telephone edit. If these buttons are pressed during a call then a DTMF tone is played.

Pause

This key adds a comma to the current telephone number. When dialed the comma causes the dialer to pause for a specific length of time before dialing the next number. This is useful when dialing an external line from behind a PBX or dialing internationally. The pause length can be set in telephone hybrid card properties.

International

This is used when dialing internationally. When the dialer encounters a + in the current telephone number it dials the pre-defined international dial out code. The International Dial Out is a property of the telephone hybrid card and can be edited in HiQnet London Architect.

For example, if the International Dial Out is set to '011' then dialing +441707665000 will result in the DTMF tones - 011441707665000

Delete

Deletes the current telephone number from the Telephone number edit

Backspace

Removes the last character from the current telephone number. This allows you to correct the number if the wrong button has been pressed.

Redial

Re dials the last dialed number.

Hook Flash

Performs a hook flash when the hybrid is off hook. A hook flash places the hybrid back on hook for a short time before taking it off hook again. Used by some exchanges to perform extra functionality such as conference calls.

Pick Up/Hang Up

The large green/red button with a telephone icon is the "Pick Up/Hang Up" button. It is used to take the hybrid off hook and then place it back on hook again. There are two different ways to dial a number using the hybrid card.

  • Whilst on hook, dial the number to call and then press the "Pick Up/Hang Up" button to take the hybrid off hook and dial the number. When the call is over, hit the "Pick Up/Hang Up" button again to place the hybrid back on hook.
  • Alternatively, press the "Pick Up/Hang Up" button to take the hybrid off hook and then dial the desired number. When the call is over, hit the "Pick Up/Hang Up" button again to place the hybrid back on hook.
Volume Up/Down

Adjusts the level of the received audio (far-end) of the telephone interface.

Mute

Mutes the transmitted audio. When muted the far end cannot hear near end audio.

TX Panel

TX Level

Controls the level of the transmitted audio.

TX Mute

Mutes the transmitted audio.

RX Panel

RX Level

Controls the level of the received audio.

RX Mute

Mutes the received audio.

RX Meter

Meters the received audio.

Speed Dials

It is possible to store up to 16 different speed dial numbers directly from the control panel. Each of these numbers can be stored and recalled using just the buttons on the control panel. Alternatively, the speed dial numbers can be edited directly using the 'Speed Dial Number' edit controls.

To store a speed dial there are two methods.

  • Edit the number in the 'Speed Dial Number' edit directly
  • Enter a number in the current telephone number edit using the dial buttons. Once the number has been entered press the 'store' button for the speed dial you want to store the number into.

You can enter a name for your speed dial numbers in the 'Speed Dial Name' edit box.

Advanced users can access a further 34 (50 in total) speed dials from the design tree by dragging onto a phone number edit control on a custom control panel.

To recall a speed dial simply press the 'dial' button next to the speed dial you wish to dial. The telephone hybrid will automatically dial the number.

Other Controls

DTMF Level

Controls the level of the DTMF tones generated when dialing a number. This fader only adjusts the DTMF level heard by the near-side. This allows the user to balance the DTMF signal component of the reinforced signal mix. The DTMF level sent to the telephone interface is set to -6dBm in order to meet telephone certification requirements.

Dial Tone Level

When the hybrid card detects a dial tone, adjust this fader to change the loudness of the tone.

Ring tone Level

The ringtone is the audio sample that is played when an incoming call is detected. The level of the ringtone can be adjusted.

Auto-Answer

Selects the number of incoming rings before the hybrid card will automatically answer an incoming call.

Overload

This LED lights up if the hybrid detects a potentially damaging amount of current. The hybrid will automatically protect itself in this case to avoid damage to the hardware. If this occurs you should check the installation (i.e. that it is not plugged into a digital PBX socket) and the country setting to ensure that the correct country is set.

Line Voltage

Displays the voltage being read on the telephone interface terminals TIP(T) RING(R). Nominal voltage is -48 volts (DC) when on-hook. Typical voltages are -36VDC to -54VDC, however voltages may vary from country to country. When wired in reverse polarity the voltage will read positive. The hybrid card is designed to work with normal or reverse polarity.

Side tone Level (advanced feature, can only be accessed from the Design Tree)

Sidetone is the amount of transmitted audio that is fed back into the received audio path. For typical telephone sets, sidetone makes talking into a handset "feel" more natural. For teleconferencing applications sidetone is generally not preferred as the user already "hears" their own voices being reflected off surfaces of the room. The default level of the Sidetone fader is set at -inf (off). A user can adjust this mix with this level control.

LEC On/Off (advanced feature, can only be accessed from the Design Tree)

The hybrid card has an onboard DSP Line Echo Cancellation algorithm to further reduce near-side echo due to impedance mismatches of the telephone subscriber loop. The hybrid card will provide >50dB of separation when enabled. Default = ON.

DTMF Detect (advanced feature, can only be accessed from the Design Tree)

The hybrid cards can detect DTMF tones produced by the far end telephone. This allows a user calling the hybrid to perform commands using their telephone handset. For each DTMF tone there is a corresponding LED (available in the design tree). These LEDs pulse when the DTMF tone is detected. By linking these LEDs to the logic system the user can recall presets or perform other custom logic.

Ringtone (advanced feature, can only be accessed from the Design Tree)

Selects between Default Ring or No Ring Tone.

Dial Tone (advanced feature, can only be accessed from the Design Tree)

Active when the Hybrid card detects the country specific dial tone from the telephone system.

Analogue Control Panel

This panel has the normal controls for the two analogue input channels. These controls are identical to those on an analogue input card. In addition there is an indicator for incoming calls.

Telephone Hybrid Card Properties

Use Meter

Enables input channel metering for the card

Country

The card MUST be set to the country where the hybrid card is installed in order to meet telephone certification requirements. London Architect will not allow you to load a design file until this property has been set. Failure to select the correct country will result in some or all of the following symptoms:

Near-end echo, poor audio quality, inconsistent dialing or inability to make/receive calls.

Incorrect setting of this property could result in permanent damage of the hybrid card due to different voltage/current requirements of particular countries.

International Dial Out

Allows storing of a country's international switchboard access number then allows easy access to it by using the '+' key on the dial pad.

Hook Flash Length

Set the length of the Hook Flash in ms as required by your telephone exchange or application.

Comma Pause Length

Set the length of the pause in ms introduced by a comma as required by your telephone exchange or application.

DTMF Tone Length

Set the length of the DTMF tone in ms as required by your telephone exchange or application.

DTMF Tone Gap Length

Set the length of the gap between DTMF tones in ms as required by your telephone exchange or application.

Auto Disconnect

When set to Yes the hybrid will automatically go back on hook when the far side ends the call.

Auto Disconnect Type

This is only available when Auto Disconnect is set to Yes. You can select from the following values:
  • Loop Drop - this method looks for a drop in loop current to detect disconnection of call.
  • Call Progress - this method looks for country specific call disconnected tones to detect disconnection of the call.
  • Loop Drop and Call Progress - uses both of the above methods to detect disconnection of call.

Minimum Ring Length (ms)

The minimum length of a ring in ms to be considered valid as required by your telephone exchange or application.

Maximum Ring Gap

The maximum gap in a ring sequence in ms before the ring is considered complete.

London Architect Configuration Symbol

For each recognized telephone hybrid card in a Soundweb London unit the following configuration symbols will appear in the Default Configuration view:

The left hand Hybrid card block has 2 channels of analogue input like a standard Soundweb London input card, and 1 channel for input from the telephone exchange to be processed by the hybrid card. The right hand block returns audio to the exchange.

Connecting the Hybrid Card

In a teleconferencing system the hybrid card would be connected as shown below:

Sample Teleconference Application using the Hybrid and AEC card

In this teleconferencing system the telephone hybrid card is used with an AEC card. The far side audio is played through speakers in the conference room and the local speech is picked up using 4 microphones. An automixer is used to mix the mic signal together automatically. The AEC card ensures that no far side audio gets sent back to the caller.

Sample Teleconference Application using the Hybrid and AEC Processing object

This teleconferencing system is the same as the one above but since it uses an AEC processing object instead of the AEC card the wiring looks different The AEC Processing object is used with the Telephone Hybrid in the BLU-102. The far side audio is played through speakers in the conference room and the local speech is picked up using 4 microphones. An automixer is used to mix the mic signal together automatically. The AEC card ensures that no far side audio gets sent back to the caller.


Processing Object Descriptions

General Properties

Device Properties

Signal Processing Objects

Logic Objects

Wire Tags

Frame

Note

Text

Watermark


Device Properties Pane

The Properties for a device can be accessed by right clicking on the device in the Main Window or from the View Menu.

General Properties

Show Object Type

Set to Yes to display the object type e.g. BLU-800

Show Object Name

Set to Yes to display the object name.

Object Name

Sets the name of the object. In the example above the object name is U1, which can be changed in the properties.

HiQnet Address

Unique address for each device. The HiQnet address of the device can be changed in properties.

Clock

Sample Rate

Set the sample rate of the device for 48kHz or 96k.

Sample Rate Pulldown

When the sample rate of the device is set for 48kHz an optional pulldown sample rate of 47.952kHz can be selected. Similarly if the sample rate is 96kHz it can be changed to 95.904kHz. On the BLU-800 and BLU-320 this option will only be enabled when 'Sync to BNC' or 'Sync to BLU link has been selected. The pulldown sample rate should only be selected when syncing from a WORD CLOCK via the BNC connection at the rear of a BLU-800 or BLU-320 which is in your design. See the BNC Sync page for details on how to use this feature.

BLU link sync

This property is only available on BLU-800s/BLU-805/BLU-806s and BLU-320s/BLU-325/BLU-326s.

  • Default Sync - The device will synchronise to its default which will be either CobraNet if it has a valid CobraNet connection, AVB if it has an AVB connection, DANTE if it has a valid Dante connection or BLU-link if another device in the BLU link ring is the master.

  • Sync to BLU link - forces the device to synchronise to the clock on the BLU link ring instead of CobraNet.

  • Sync to BNC - forces the device to synchronise to the word clock on the BNC input on its rear panel.

Latency

Set CobraNet latency - 11/3ms, 22/3ms or 51/3ms

Serial Port

Baud Rate

Set the baud rate for the serial port

Data Bits

Set the number of bits for serial data

Stop Bits

Set the number of stop bits for serial data

Parity

Set the parity

Acknowledge(ACK)

Used when communicating serially to a London device. Set to yes to inform the London device that it should expect acknowledgement of messages being sent. The London device will continue to send a message until an acknowledgement has been received.

Visual

Show Control Ports

Displays or hides the control port nodes for the device

Show Ethernet

Displays or hides the ethernet nodes for the device

Show BLU link

Displays or hides the BLU link nodes for a BLU link device

Compiler

Delay Compensation

Whether the compiler delay compensates the design. Set to 'yes' (default) for the different paths in the design to all be delayed by the same amount

Optimisations

Logic Subscriptions

When enabled, only logic sources and ends will be subscribed to. Only enable this if you are having performance issues with logic

Logic Change Block

When enabled, only logic sources and ends will be written to the change block. Only enable this if you are having performance issues with logic

Dynamic Meters

Dynamic Meters

Sets the number of dynamic meters to use in the selected device

Control Ports

Control Port Subscribe

When enabled, the control ports are subscribed continuously. This means that when the control ports are notified that the parameter assigned to them has been changed elsewhere, e.g. a change of gain value on a control panel, the value of that parameter will be forced back to match that set on the control ports. If this is disabled, the parameter, the gain say, will change to that on the control panel or the control port depending upon which one is changed.

Upon rebooting a London device the control ports are always scanned and the value on the control panel will change to match that on the control port regardless of the setting of this property.

Care should be taken when assigning parameters to control ports which are being subscribed continuously. If you assign the same parameter to more than one port or if you assign linked parameters to the ports, the BSS London device may experience a high CPU loading. London Architect will warn you of this when going online.

Recall Presets on Startup

Version 2.00 introduced an issue which caused presets assigned to control ports to recall when the device powered up. Version 2.04 and later fixes this issue i.e. presets will not be recalled when the device powers up. If however, you have already exploited this, you can enable this property to make the control ports behave as they did in 2.00 and 2.02.

Dither

CobraNet 16 Bit Outputs

Set to 'yes' to apply dither to 16 bit CobraNet outputs

CobraNet 20 Bit Outputs

Set to 'yes' to apply dither to 20 bit CobraNet outputs

BLU link

BLU link

Click on the ... icon to select the BLU link network you want this device to be part of (only applies to BLU link devices)

Dante

Rename Dante Card

Set to 'Yes' to force the device to rename the Dante card (rather than the Dante controller)

Rename Dante Channels

Set to 'Yes' to force the device to rename the Dante Channels (rather than the Dante controller)

Polarity (BLU-100/101/102 only)

Can be set for Normal or Inverted if you wish to invert the polarity of the analogue input cards.

Key Bindings

Key Bindings

Click on the ... icon to assign keyboard shortcuts to the controls


Key Bindings

Introduction

Key bindings are a way of using keys on your PC keyboard or any external keyboard to control any of the parameters within your HiQnet London Architect design file. A key binding is an association between a physical key on a keyboard and a parameter. A parameter can have any number of key bindings associated with it, and a particular key binding can control any number of parameters.

Key bindings detects individual keys being pressed. It does not distinguish between upper and lower case, and modifiers such as SHIFT or CTRL are seen as separate key presses.

Key bindings will only function when HiQnet London Architect is running, is in Operate mode, and is the foreground application.

Configuration

Key bindings are associated with parameters and are configured using the properties grid. There are two different ways to access the key bindings.

1. By selecting a processing object. There is a key bindings section in the properties for the processing object as shown below:

This shows the key bindings section for an Analogue Input Card.

2. By selecting a control on a control panel. There is a key bindings section in the properties of the control as shown below:

This shows the key bindings section for the fader assigned to channel 1 gain.

To create a new key binding press the dotted button. This displays the key binding dialog which allows you to configure how the key binding should work.

Key

  • Shows the currently assigned key to the key binding. A value shown in <> brackets is the virtual key code or <None> if no key is assigned.

Set button

  • This button brings up a further dialog and allows you to press the desired key on your keyboard. Select OK to accept the desired key.

Edit button

  • This button allows you to enter the virtual key code directly. This is useful if you do not have the keyboard attached to the PC. For example the SPACE BAR has the virtual key code 32. You may enter the value for the virtual key code in decimal, or in hexadecimal if you precede it with 0x, such as 0x20.

Clear button

  • This deletes the existing key binding.

Type

  • The type of key binding. Can be one of the following:

  • Toggle - pressing the key will toggle the parameter between its minimum and maximum values.

  • Momentary - pressing the key will set the parameter to the maximum value. Releasing the key will set the parameter to the minimum value.

  • Inverse Momentary - pressing the key will set the parameter to the minimum value. Releasing the key will set the parameter to the maximum value.

  • Value - this will set the parameter to the value set in the Value combo box.

  • Bump U - this will increment the parameter by the percentage value set in the Value combo box.

  • Bump Down - this will decrement the parameter by the percentage value set in the Value combo box.

Value

  • The value to change the parameter to. See above.

When you OK the dialog the key binding will be created. You can add as many key bindings as you wish to the same parameter.

IMPORTANT: It is possible that other applications or Windows itself can process key requests before HiQnet London Architect can process them. For example, by default Windows will process the “PRINT SCREEN” button and will not be handled by HiQnet London Architect. It is not recommended that you bind any of the system keys (SCROLL, PAUSE, ALT etc).

Using Key Bindings

Key bindings only work when the keyboard is connected to the PC running HiQnet London Architect, and HiQnet London Architect is in Operate mode and is the foreground application in Windows.

Key bindings will override any keyboard shortcuts configured in HiQnet London Architect. For example assigning the L key to a key binding will mean the users can no longer use Alt + L to log off.

NOTE: Key bindings only work when HiQnet London Architect is the foreground window. You can force HiQnet London Architect to be the foreground window by running Main.exe from the HiQnet London Architect install directory while HiQnet London Architect is running.

Adding a Virtual Key File for Custom Keys

By default HiQnet London Architect uses the virtual key file “VirtualKeys.vkf” to display user friendly names for the virtual key codes. You can find the file in the HiQnet London Architect directory. If you have a keyboard which has keys which are not represented in the default virtual key file you can create your own virtual key file. Create a text file with the extension .vkf and place it in the HiQnet London Architect installation directory. The virtual key file is a comma separated values file. Each line consists of

key code, user friendly name

Your virtual key file will be loaded next time HiQnet London Architect runs.


Dynamic Meters

Dynamic meters can be applied at various points in the design to monitor signal level when online to a device. The signal level will display signals of -30dB up to 20dB, while the text box will give an actual reading down to -80dB then -infinity. Hover the mouse over any wire in the design in either operate mode or when online and the dynamic meter will appear showing the signal level at that point. Click on the white 'push-pin' at the bottom of the meter to pin it to the wire so that it will not disappear when the mouse is moved away. This will allow you to view more than one dynamic meter at a time. Up to 20 dynamic meters can be used in any device. The number of dynamic meters for a device can be set in device properties. It is possible to un-pin the meters, by clicking on the 'push-pin' again, thus enabling you to create new meters again.

When you come back offline the meters will disappear from the design.

The default number of meters for a device is set at 2, however, if a design is loaded from an earlier version of HiQnet London Architect (pre 1.18), the meters will be set to 0 so that the design continues to compile to the same amount as previously.

The configuration window needs to be at 100% zoom in order for the dynamic meters to work.


Signal Processing Objects

A copious selection of default processing objects is provided within HiQnet London Architect. These digital signal processing objects are grouped in categories in the Hardware tree relating to their generic purpose. Most digital audio signal requirements should be covered by the range of options available. There are default control panels for most of these objects that perform very similarly to 'plug-in' style processing, as found in other audio software (e.g. VST). The difference with HiQnet London Architect default control panels is that any of the controls can be taken out of any panel and used to construct custom control panels with only the required controls.

Processing objects can be added to a configurable device by dragging the required processing object from the Hardware tree into the Configuration window for that device. There follows a more in depth description of the functionality of each of the available objects, this includes information about the number of inputs and outputs, general properties and control options. To access the default control panel of a processing object, double click on its rectangular box icon in the Configuration window of the device that you wish to control.

Dynamics (green)

Mixers/Gains (blue)

Equalisation (purple)

Crossovers/Filters (brown)

Delays (orange)

Primitives (light brown)

Tools (dark brown)

Matrices (turquoise)

BLU link (light blue)

Conferencing (light green)

Stereo Processing Objects


Dynamics

Ambient noise compensator Gap

Ambient Noise Compensator Non Gap

Compressor

Ducker

Expander

Gate

Leveller

Limiter


Ambient noise compensator

Ambient noise compensator Gap

Allows the level of an announcer (or other programme material) to 'ride' on the average background (ambient) noise level so that the programme is kept at an audible level above that of the ambient noise.

It does this by measuring the level of the ambient noise (using a suitably placed microphone), and controlling the gain of the programme channel accordingly.

Since the gain must be controlled only by the ambient noise, and not by the level of the programme itself, the ambient signal level will only be measured and the gain adjusted during periods of inactivity in the programme channel.

The length of the gap in programme required for sampling to occur is adjustable to allow for reverberation on the programme.

Various controls further allow the user to vary the announcement threshold level for gap detection, the minimum and maximum applied gain, the speed of gain change, and the reference ambient level.

Inputs and Outputs

Announcement (Programme) input

Ambient input - labelled 'Ambient'

Audio output

Control Panel

  • (Ambient) Threshold control

Adjusts the ambient signal level at which unity gain will exist.
The amount by which the announcement channel gain is increased is equal to the amount by which the ambient level exceeds this threshold.
Lower threshold settings will tolerate lower ambient signal levels before increasing the announcement gain.
To lift the announcement out of the ambient noise more, reduce the setting of this control.

  • Ambient Level Meter

Displays the current ambient noise level. It's positioning next to the Threshold control shows the difference between the ambient level and the threshold, (which is equal to the applied gain).

  • Announcement gain meter

Indicates the current announcement channel gain. This also operates when the ANC is bypassed giving a visible indication of what the applied gain will be when bypass is disengaged.

  • Min Gain control

Determines the minimum gain that will be applied to the announcement channel.
This should be set (with the aid of the Min Gain button) during quiet ambient levels so that an adequate announcement level is obtained.

  • Min Gain button

Forces the gain to the minimum setting for set-up purposes.
Illuminates when activated.

  • Max Gain control

Determines the maximum gain that will be applied to the announcement channel.
This should be set (with the aid of the Max Gain button) during high ambient levels such that sensible operating levels, free of distortion etc. are maintained.

  • Max Gain button

Forces the gain to the maximum setting for set-up purposes.
Illuminates when activated.

  • Speed control

Determines the speed at which the gain will change. Obtrusiveness will be minimised at slower speed settings, although responsiveness to sudden changes in ambient level will be reduced.

  • Gap Time control

Determines the amount of time the announcement channel must be 'silent' in order for the ambient channel to be sampled.
In highly reverberant environments, a long gap time may be required to avoid false gain changes because of measuring the reverb tail of the announcement, rather than the ambient noise level.
Use the Ambient Meter as a guide to how quickly the signal dies away after an announcement ends.

  • Gap Threshold

Determines the announcement input signal level below which the announcement channel signal must drop before it is considered to be in a gap, and thus allow ambient level sampling.
Try setting the Threshold control 10dB or so above the idle noise of the announcement channel.

  • Gap LED

Informs the user when there is an announcement gap that is allowing ambient signal sampling to take place.

  • Bypass button

Removes the processor from the signal path.

Use bypass to set up the nominal announcement level.

Notes

The ambient microphone should be connected to an analogue input on a BLU-80 or BLU-16 Signal Processor.

The input gain should be adjusted to achieve a sensible operating level.

When setting the Ambient Threshold control, the input gain should be taken into account.

The Ambient microphone should be positioned clear of non-representative sources of sound and, to prevent tampering, preferably a place not accessible to the public.

In a large environment, several microphones could be used with a mixer object in Soundweb to get an average of the levels.

! This object is capable of raising signal levels beyond the clipping point, so care should be exercised when using positive Maximum Gain values.

! It is recommended that a Limiter be used on the output of the Ambient Noise Compensator so that short term high-level signals are not allowed to pass through to the output.


Non-Gap Ambient Noise Compensator

Ambient Noise Compensator Non Gap

Allows the level of an announcer (or other programme material) to 'ride' on the average background (ambient) noise level so that the programme is kept at an audible level above that of the ambient noise.

It does this by dynamically measuring the level of the ambient noise (using a suitably placed microphone), and controlling the gain of the programme channel accordingly.

When a change in applied gain occurs (due to a change in the ambient level), the rate at which the applied gain changes to the new gain is governed by the attack and release settings. The gain moves towards its new value exponentially.

Since the gain must be controlled only by the ambient noise, and not by the level of the programme itself, it is important that the measurement microphone(s) used to generate the ambient level input should be placed away from the announcement/program speakers and should be directed towards the ambient noise source, otherwise the microphones will 'hear' the announcement/program material, rather than the true ambient noise and could therefore create a feedback loop, increasing the gain because they detect a rise in level (due to the increased gain), and so on until they hit the max gain.

Inputs and Outputs

Announcement (Programme) input

Ambient input - labelled 'Ambient'

Audio output

Control Panel

  • (Ambient) Threshold control

Adjusts the ambient signal level at which unity gain will exist.
The amount by which the announcement channel gain is increased is equal to the amount by which the ambient level exceeds this threshold, multiplied by the ratio setting.
To lift the announcement out of the ambient noise more, reduce the setting of this control.

  • Ambient Level Meter

Displays the current ambient noise level. Its positioning next to the Threshold control shows the difference between the ambient level and the threshold.

  • Announcement Gain Meter

Indicates the current announcement channel gain. This also operates when the ANC is bypassed giving a visible indication of what the applied gain will be when bypass is disengaged.

  • Min Gain control

Determines the minimum gain that will be applied to the announcement channel.
This should be set (with the aid of the Min Gain button) during quiet ambient levels so that an adequate announcement level is obtained.

  • Min Gain button

Forces the gain to the minimum setting for set-up purposes.
Illuminates when activated.

  • Max Gain control

Determines the maximum gain that will be applied to the announcement channel.
This should be set (with the aid of the Max Gain button) during high ambient levels such that sensible operating levels, free of distortion etc. are maintained.

  • Max Gain button

Forces the gain to the maximum setting for set-up purposes.
Illuminates when activated.

  • Ratio control

Determines the ratio of the gain that will be applied to the announcement channel. At a ratio of 1:1, if the ambient level is 4dB over the threshold, the gain will be 4dB. If the ratio is 5:1, the applied gain will be 20dB. If the ratio is 0.1:1, the applied gain will be 0.4dB, and so on.

  • Attack and Release controls

Attack and release should be adjusted to allow the applied gain to track the ambient level for the given application. For example, fairly short attack and release times could be used on railway platforms to allow an announcement to quickly adjust as a train pulled into a station, whereas longer ballistics could be used in a stadium to gradually turn up announce levels as the stadium fills before a match.

  • Bypass button

Removes the processor from the signal path. Bypass overrides all controls and sets the gain to 0dB almost instantaneously.

Use bypass to set up the nominal announcement level.

Notes

The ambient microphone should be connected to an analogue input on a BLU-80 or BLU-16 Signal Processor.

The input gain should be adjusted to achieve a sensible operating level.

When setting the Ambient Threshold control, the input gain should be taken into account.

The Ambient microphone should be positioned clear of non-representative sources of sound and, to prevent tampering, preferably a place not accessible to the public.

In a large environment, several microphones could be used with a mixer object in Soundweb to get an average of the levels.

! This object is capable of raising signal levels beyond the clipping point, so care should be exercised when using positive Maximum Gain values.

! It is recommended that a Limiter be used on the output of the Ambient Noise Compensator so that short term high-level signals are not allowed to pass through to the output.


Compressor

A fully featured compressor with the classic BSS 'progressive knee' sound, which produces a gentle ratio near the threshold becoming progressively more aggressive further into compression. An auto-release mode not only allows the release time to be related to the user-set attack time, but also varies this relationship depending on the nature of the program to give a very natural sounding result. Two versions of the compressor are available, a single channel version, and a stereo version, where two independent audio channels are controlled by a single control panel, the side chains being locked together to prevent stereo image shifts.

Inputs and Outputs

The single channel compressor has one audio input and one audio output.

The stereo compressor is identical to the single channel version except that it has 2 inputs and 2 outputs. Adjustment of controls has the same effect on both channels.

Properties

Side chain

A side chain input can be made available so that an equaliser for example can be introduced to make compression frequency conscious. Any side chain processing would normally derive its signal from the same source that is fed to the audio input of the compressor.

Control Panel

Threshold control

  • Adjusts the level threshold above which compression will take place. Below this threshold, no compression will take place.

Ratio control

  • Adjusts the aggressiveness of compression.

Gain control

  • Adjusts out any gain anomalies.

Attack control

  • Adjusts the time it takes for the compressor to respond to signal levels above the threshold.

Note that this control also affects the release time in 'Auto Release' mode.

Release control

  • Adjusts the time it takes for the compressor to recover after the signal level goes below threshold.

Note that this control has no effect in 'Auto Release' mode.

Bypass button

  • Removes the compressor from the signal path.

Auto Release button

  • Automatically adjusts the release time optimally for the programme material.

Note that the time constants are still dependent on the attack setting.

Gain Reduction meter

  • Displays the amount of gain reduction being applied.

Notes

! This object will cause audible distortion if the Attack and Release times are too fast since it will be trying to apply dynamic gain reduction to the instantaneous values of lower frequency waveforms.

! This object is capable of raising signal levels beyond the clipping point so; care should be exercised when using positive gain values.


Ducker

  • Reduces the level of a (music) signal depending on the level of a control (mic) signal.

  • Features an exponential attack and decilinear (linear dB per unit time) recovery for natural sounding fades.

Inputs and Outputs

The single channel ducker has one audio input for music, an audio input for the control (microphone) signal, and one audio output.

The stereo ducker is identical to the single channel version except that it has 2 audio inputs for music, an audio input for the control (microphone) signal, and 2 audio outputs. Adjustment of controls has the same effect on both channels.

Properties

Mic feed to output

This sends the Mic signal direct to the output for further mixing elsewhere.

Control Panel

Threshold control

  • Adjusts the level threshold of the Mic signal above which gain reduction of the music signal will take place. Below this threshold, no gain reduction will take place.

Range control

  • Adjusts how 'deeply' the ducker will reduce the signal level of the music signal.

Duck time control

  • Adjusts the time it takes for the ducker to fade the music down when the Mic signal levels goes above threshold.

Hold control

  • Extends the 'ducked' phase to prevent 'chatter'.

Recover time control

  • Adjusts the time it takes the ducker to fade the music signal up when the mic signal level falls below the threshold.

Bypass button

  • Removes the ducker from the signal path.

Gain Reduction meter

  • Displays the amount of gain reduction being applied.

Notes

! This object will cause audible distortion if the Attack and Release times are too fast since it will be trying to apply dynamic gain reduction to the instantaneous values of lower frequency waveforms


Expander

Reduces the level of signals that fall below a threshold level.

Inputs and Outputs

The single channel expander has one audio input and one audio output.

The stereo expander is identical to the single channel version except that it has 2 inputs and 2 outputs. Adjustment of controls has the same effect on both channels.

Properties

Side chain

A side chain input can be made available so that an equaliser (for example) can be introduced to make expansion frequency conscious. Any side chain processing would normally derive its signal from the same source that is fed to the audio input of the expander.

Control Panel

Threshold control

  • Adjusts the level threshold below which gain reduction will take place. Above this threshold no gain reduction will take place.

Ratio control

  • Adjusts the aggressiveness of expansion.

Attack control

  • Adjusts the time it takes for the expander to recover after the signal level goes above threshold.

Release control

  • Adjusts the time it takes for the expander to respond to signal levels which fall below the threshold.

Bypass button

  • Removes the expander from the signal path.

Gain Reduction meter

  • Displays the amount of gain reduction being applied.

Notes

! The expander can cause distortion at low frequencies when the Release control is set to low values. Unless you particularly need the expander to attenuate very quickly when the signal falls below threshold, set the Release control to a reasonably high value.


Gate

  • Reduces the level of signals that fall below a threshold level.

  • Features an exponential attack and reverse exponential release, which helps to preserve the natural decay of the instrument or signal source, rather than imposing a synthetic envelope upon it.

Inputs and Outputs

The single channel gate has one audio input and one audio output.

The stereo gate is identical to the single channel version except that it has 2 inputs and 2 outputs. Adjustment of controls has the same effect on both channels.

If the side chain option is switched on an additional input is available, giving access to the control side chain.

Properties

Side chain

A side chain input can be made available so that an equaliser, for example, can be introduced to make gating frequency conscious. Any side chain processing would normally derive its signal from the same source that is fed to the audio input of the gate.

Control Panel

Threshold control

  • Adjusts the level threshold below which gain reduction will take place. Above this threshold, no gain reduction will take place.

Range control

  • Adjusts how 'deeply' the gate will reduce the signal level of below-threshold signals.

Attack control

  • Adjusts the time it takes for the gate to recover after the signal level goes above threshold.

Hold control

  • Extends the 'gate-open' phase to prevent 'chatter'.

Release control

  • Adjusts the time it takes for the gate to respond to signal levels which fall below the threshold.

Bypass button

  • Removes the gate from the signal path.

Manual Open button

  • Tests the attack/hold/release settings without having to manipulate the signal level.

Below Threshold meter

  • Displays the input signal level relative to the current threshold setting.

Note that it is quite normal for this meter to show erratic readings when the threshold is set to very low values.

Open indicator

Shows when the gate is not reducing the signal level.

Notes

! The gate can cause distortion at low frequencies when the Release control is set to low values. Unless you particularly need the gate to attenuate very quickly when the signal falls below threshold, set the Release control to a reasonably high value.


Leveller

The leveller will attempt to keep the nominal level of the signal close to the desired target level set by the user, by gently changing the gain. An intelligent detection algorithm makes this processing object very free of side effects and easy to set up.

Inputs and Outputs

One audio input and one audio output.

Properties

Voice band Filter: Optionally included so that the levelling action favours frequencies in the human vocal range, helping to discriminate from noise signals.

Control Panel

Target Output control
Adjusts the level which the leveller tries to maintain. The more positive the value, the higher the output level will be.

Ratio control
Adjusts the aggressiveness of levelling. Lower values allow more tolerance; allowing the output level to differ more from the target level, which preserves more of the original dynamics of the signal at the expense of firm control over the level. Higher ratio values cause the output level to be more tightly 'driven' towards the target level.

Maximum Gain control
Determines how much gain the object is allowed to apply to bring a low level signal up to the target level. Higher gain values allow the leveller to add more gain when the signal level is low, but will also bring up the noise floor more.

Speed control
Adjusts the time it takes for the leveller to recover from high levels when low levels are encountered. Higher values make the recovery slower, so there are no sudden jumps in gain. Lower (faster) values allow the leveller to track and counteract rapidly decreasing levels.

Bypass button
Removes the leveller from the signal path.
! WARNING - significant changes in signal level can be caused by this control.

Threshold control
Determines the lowest input level that the Leveller will attempt to correct. Correct setting of this control is critical to the leveller's ability to discriminate unwanted noise from the wanted signal. Lower values will allow the leveller to 'pull-up' lower level signals, but will also make it more prone to activate on noise signals. Note that the intelligent detection algorithm helps to prevent noise signals from triggering levelling action even when they are above the threshold level, (if the leveller does not recognise them as vocal signals).

Active LED
Shows when the intelligent detector is allowing levelling action to take place. This is used along with the Threshold control to confirm that noise signals do not activate the detector, but wanted signals do.

Gain meter
Displays how much adjustment the leveller is applying to the signal.

Notes

! It should be noted that this object is capable of raising signal levels beyond the clipping point, so care should be exercised when using large Maximum Gain values.

! It is recommended that a Limiter be used on the output of the Leveller so that short-term high-level signals (which may not be attenuated by the Leveller), are not allowed to pass through to the output.

An expander connected on the input side of the leveller may be useful in aiding the leveller to discriminate noise signals from wanted signals


Limiter

A two-stage protection limiter for protecting against amplifier clipping and loudspeaker damage. The first stage has ballistics suitable for long term protection whilst retaining transparency and minimising signal level loss. The second stage has much faster ballistics to protect against loudspeaker over-excursion.

Inputs and Outputs

One audio input and one audio output.

Control Panel

Threshold control

  • Adjusts the level threshold above which limiting will take place.

Attack control

  • Adjusts the time it takes for the limiter to respond to signal levels above the threshold.

Release control

  • Adjusts the time it takes for the limiter to recover after the signal level goes below threshold.

Notes

  • This object will cause audible distortion if the Attack and Release times are too fast since it will be trying to apply dynamic gain reduction to the instantaneous values of lower frequency waveforms.


Mixers/Gains

Automixer Gain Sharing

Automixer Gated

Gain

Gain N-Input

Gain Timed

Mixer

Room Combine


Automixer

Automixer Gain Sharing

In addition to the features of a conventional mixer 'Automixers' allow 'hands-free' multi-microphone mixing without the need for 'manual gain riding' to keep background noise and feedback under control.

These objects use an Adaptive Threshold Gain Sharing technique to control the attenuation in each input channel. Note that due to this automation, automatic mixers can use many DSP resources.

All inputs share the available gain; i.e. an 'open' microphone will attract the most gain. If more than one microphone is in use, the gain in the active channels is shared to give the same overall system gain. When all inputs are idle, the shared gain keeps all channels slightly active to avoid 'pumping' of the background noise. Downward expansion is however available for further reducing the background noise contribution from idle microphones. Options are provided to allow the mixer to be expanded not only within a given device, but also across the network. Aux. buses can be created and direct channel outputs may be made available for final mixing elsewhere, or for adding equalisation or other processing.

Inputs and Outputs

The number of inputs can be set from 2 to 48.

The output is either mono or stereo.

There is optionally one output for each aux. bus.

There is optionally one output for each group bus.

The direct out property produces an output per channel.

The master option adds a further Mix Input, Chain Input and Threshold Output.

The slave option adds a further Mix Input, Chain Input, Threshold Input and Chain Output.

Properties

Number of Channels:

The number of input channels can be selected between 2 and 48.

Stereo:

Set to "Yes" the automixer will have a stereo pair of outputs, L and R. In Master or Slave mode there will also be a Left and Right Mix Input

Number of Groups:

Up to 4 group output buses can be selected.

Number of Auxes:

Up to 4 aux. output buses can be selected.

Pan Law:

The law of the pan controls may be set to either -3.0dB, -4.5dB or -6.0dB. These figures relate to the attenuation applied to each channel at the central pan position.

Master/Slave Status:

For expanding the mixer, either for making a larger mixer within a device, or for splitting a mixer across more than one device. The control signals are shared using two special versions of the automixer - Master and Slave.

Voice Band filters:

Filtering may be included so that the automixing action favours frequencies in the human vocal range. This helps the mixer to distinguish between speech and noise, giving a voice signal a better chance of 'winning' against a noise signal on another channel.

Direct Outs:

In addition to a single mixed output, the individual automixed channels may be output for further processing or mixing elsewhere. These individual outputs are taken from before the mix but after any processing such as gain and so on are applied. Set to Yes if Direct outputs are required. .

Control Panel

Image:Automix control panel.jpg

Fader for each input. This controls the level of the channel's input before the automix logic is applied.

Pan control control (stereo objects only)

Mute button for each input.

Polarity button for each input (for signal inversion)

Gain control for each output

Solo control for each input channel for quick identification of signals and level setting: Allows only 'soloed' channels to be heard. NOTE: This feature is disabled in any 'master' or 'slave' automixer.

! This is a 'solo-in-place' which impacts the main output.

Override button for each input: Forces this channel to be heard above all the others. Useful for a chairperson to interrupt a conference speaker for example. NOTE: Use of this feature modifies the behavior of the 'On Indicator.'

Auto/Manual button assigns each channel to operate as either a conventional mixer channel (Manual) or an automated channel (Auto). It should be noted that when a channel is set to manual it will still contribute to the overall gain attenuation for the channels which are set to Auto.

Off Gain determines what maximum attenuation will be applied by the downward expander to an idle channel. The Off Gain provides some downward expansion per input, which allows the relative difference between 'winning' inputs and 'losing' inputs to be accentuated. This is useful for suppressing low level 'idle' inputs (i.e. background noise), giving a larger offset between the louder winning signal (which we want to hear) and suppressing low level signals (which we don't want to hear). When this control is set to 0dB, no downward expansion is applied. The setting of this control has some effect on the point at which the On indicators illuminate.

Gain control for the Main output(s)

Master Mute button for the Main output(s)

Slope control determines how aggressive the gain sharing is. Low slope settings cause the object to behave just like a conventional mixer. High slope settings cause the inputs to attenuate more deeply for 'closed' microphones. The fully clockwise 2:1 setting will be appropriate for most applications, but if you find the action to be too aggressive and do not want idle microphones to be 'dimmed' as much, then back this control off slightly.

Speed control determines how quickly a channel recovers from being open. Fast (anti-clockwise) settings will be needed if different speakers are speaking in quick succession since slow settings would prevent a newly active channel from fading up quickly enough. If the setting is too fast however, the gain sharing could 'pump' the gain up and down between spoken words. A setting somewhere near the centre of the travel will be found suitable in most cases.

On Indicator for each input shows when a channel is active. The 'on' level is related to the setting of the 'off gain' control. Since the gain sharing algorithm is a linear process, there is actually no concept of absolute 'on' or 'off'. Note that only one On indicator is allowed to be 'on' at a time so that the indicators may be applied to logic outputs to identify the speaker in automated camera applications. NOTE: When any channel is placed into 'Override' mode, the on indicator for that channel will be on as long as override mode is engaged. The on indicators for non-override channels will be off.

Aux Masters level and mute control for each aux bus output (Auxes are post-fader and post processing)

Group level level and mute control for each group bus output

Signal Name shows the name of the input signal

Automixer Expansion

It is possible to combine several Automixers together so that they act as one large Automixer. This makes use of the Master/Slave Status setting in the Properties Pane and also makes use of the Threshold and Chain control signals. These control signals can be passed across devices using Cobraet, Digital Audio Bus or Digital cards, if required. Note: these control signals cannot be across devices using the analogue inputs and outputs.

Connecting two Automixers

Connect the Threshold Out of the master to the Threshold In of the slave, and the Chain Out of the slave to the Chain In of the master. If you require the outputs of the two mixers to be combined, connect the Mix Out of the slave to the Mix In of the master, then use the Mix Out of the master.

Image:Automixers_two.png</p> <p style=

Connecting more than two Automixers

Create one master and several slaves and connect the Threshold Out on the master to all the Threshold Ins of the slaves and 'daisy chain ' the Chain Out of one slave to the Chain In of the next slave, and so on (in any order) to the Chain In of the master. If you require the outputs of all the mixers to be combined, 'daisy chain' the Mix Out of one slave to the Mix In of the next slave and so on (in any order) to the Mix In of the master, then use the Mix Out of the master.

Image:Automixers_four.png</p> <p> <span style=

Notes on connecting several Automixers

• The Speed and Slope controls should be set the same on all linked Automixers for correct operation.

• If you require the Aux or Group outputs of two or more Automixers you will need to combine them manually using a Summer or Mixer.

Threshold Bus and Chain control signals

Combining Automixers is made possible by distributing a Threshold bus control signal. This control signal represents the RMS sum of all the Automixers’ input signals. This control signal is required by every individual Automixer to allow all the Automixers to act as a composite Automixer.

Each slave Automixer contributes to the Threshold bus by summing its local control signal to the signal received at its Chain In input, and passing the resultant signal via its Chain Out output to the next slave Automixer’s Chain In input. These are connected in a daisy chain fashion until the last slave Automixer’s Chain Out is connected to the Chain In of the master Automixer.

The master Automixer then sums this signal with its local control signal, creating the resultant Threshold bus. This resultant Threshold bus is then sent from the master to every one of the slave Automixers, so that every Automixer receives the same resultant Threshold bus. This is achieved by connecting the Threshold Out of the master Automixer to the Threshold Input of every slave Automixer.

Notes: ! This object is capable of raising signal levels beyond the clipping point, so care should be exercised when using positive gain values.


Gated Automixer

Automixer Gated

Overview

The gated automixer is designed to replace a standard mixer and to provide a degree of automatic mixing with little or no manual input. All channels are gated to remove low level noise. As a signal is detected on a particular channel the gate requests to open. However, the gated automixer may or may not allow the gate to open based on a number of rules. These rules allow the installer to specify a maximum number of open microphones (NOM) as well as allocating priority levels to individual channels. The gated automixer will manage the channels such that the number of open microphones does not exceed the NOM value as well and ensuring the highest priority channels take preference over lower priority channels.

Priority Scheme

Each channel of the gated automixer is allocated a priority between 1 and 32 (1 is the highest priority). As the channel gates try to open, their priorities are compared and only the highest priority channels are allowed to open. This means that higher priority channels will take preference over lower priority channels. In some cases this may mean that an existing channel will be muted because a higher priority channel has opened.

NOM

This parameter limits the maximum Number of Open Microphones (NOM) allowed in the system. Numerous open microphones present in the system will cause the ambient noise of the system to increase as well as causing potential audio coupling (feedback or howling) between the open microphones and the system speakers. The gated automixer keeps the ambient noise to a minimum and prevents acoustic feedback by automatically reducing the gain of the system. The amount of attenuation applied is determined by the number of open mics.

NOM Attenuation

For every doubling of open channels (mics), the gated automixer will reduce the gain by the amount of the NOM Attenuation parameter.

Duck Gain

Some applications require that higher priority channels not only take preference when deciding which channels should be open, but also that they should be louder than lower priority channels. The duck gain allows you to specify how much a lower priority channel should be ducked by if a higher priority channel is open.

Default Mic and Last Mic

In some circumstances the installer would want to allocate one microphone as the ‘default’. If all channels are below threshold then the default microphone channel will open automatically.

If no default is set then the Last Mic setting can be used to leave the last microphone on even though it has dropped below the threshold.

Adaptive Threshold

The level at which a gate opens is the channel threshold, however, in some circumstances having a fixed threshold can be problematic. For example, if an audience applauds loudly this may raise the level above the threshold on many channels causing the gated automixer to open those channels in error. To implement an adaptive threshold the ‘Threshold In’ input is typically connected to an ambient microphone. As the ambient level rises then the gate thresholds also rise so that they are less likely to open.

Cascaded Automixers

The gated automixer is capable of being cascaded to create much larger gated automixers. The gated automixers must be connected via BLU Link because of the digital nature of the information being passed between them. They cannot be connected via analog cards, digital cards or CobraNet. A number of cascaded gated automixers act as a single very large gated automixer up to thousands of channels.

Internals

The internal audio processing for a single channel of the gated automixer is shown below :-

;

  • The input audio first passes through the channel gain before being fed into both the Gate Threshold Detect and the Gate Attenuation.

  • The Gate Threshold Detect monitors the audio level to decide if the gate needs to open taking into account the current level of the ambient input.

  • The output of the Gate Threshold Detect passes through the Priority Logic which decides if the channel may actually open and also the level of NOM attenuation and duck gain that should be applied. All channels feed into the same Priority Logic so it can decide which channels should come on based on their priorities and the NOM etc.

  • The Priority logic then sends control signals to the Gate Attenuation (to open or close the gate) and also to the NOM Attenuation (to apply the NOM attenuation and duck gain).

  • The resulting signal is then mixed with all the other channel outputs to create the output signal. If direct outputs are enabled they are taken before the mixer.

  • In the case of a cascaded automixer the Priority Logic communicates with the logic in the other automixers via the chain signals to ensure that they all act as a single large automixer.

Note: - The NOM attenuation and duck attenuation are applied even when the gate is closed and therefore the signal will be attenuated by the off gain plus the nom attenuation and the duck gain. The reason for doing this is to ensure that when the gate opens the channel is already at the correct level. Also, if the NOM and duck gain were not applied to the ‘off’ signal then it would be possible for the ‘on’ signal to actually be quieter than the ‘off’ signal.

Inputs and Outputs

  • The number of inputs can be set from 2 to 96.

  • The output can be either mono or stereo.

  • The direct out property produces an output per channel.

  • The master option adds a further Mix Input, Chain Input and Chain Output.

  • The slave option adds a further Mix Input, Chain Input, and Chain Output.

Properties

Number of Channels:

The number of input channels can be selected between 2 and 96.

Stereo:

Set to "Yes" the gated automixer will have a stereo pair of outputs, L and R. In Master or Slave mode there will also be a Left and Right Mix Input

Pan Law:

The law of the pan controls may be set to either -3.0dB, -4.5dB or -6.0dB. These figures relate to the attenuation applied to each channel at the central pan position.

Master/Slave Status:

For expanding the mixer, either for making a larger mixer within a device, or for splitting a mixer across more than one device. The control signals are shared using two special versions of the gated automixer – Master and Slave.

Voice Band filters:

Filtering may be included so that the automixing action favours frequencies in the human vocal range. This helps the mixer to distinguish between speech and noise, giving a voice signal a better chance of 'winning' against a noise signal on another channel.

Direct Outs:

In addition to a single mixed output, the individual channels may be output for further processing or mixing elsewhere. These individual outputs are taken from before the mix but after any processing such as priority logic, gain and so on are applied. Set to Yes if Direct outputs are required.

Channel Number Start:

Only available for the slave option. Since the slave automixer is cascaded from a master it is likely that you would want the channel numbering to continue from the last channel number of the previous automixer.

Control Panel

Channel Controls

Polarity button for each input for signal inversion.

Local Gate button for each input. If set the attack, hold and release settings for the gate are specified in the channel strip rather than in the Global Gate section.

Attack control sets the gate attack time for the channel. Only available if the Local Gate button is on.

Hold control sets the gate hold time for the channel. Only available if the Local Gate button is on.

Release control sets the gate release time for the channel. Only available if the Local Gate button is on.

Threshold control sets the gate threshold for the channel. This is the level at which the gate opens. The gate threshold may be raised due to the Adaptive Threshold.

Off Gain control for each input: Determines what maximum attenuation will be applied to the channel when off.

Gate Override button for each input: Force the gate to open for that channel. The channel is still subjected to priority logic so may still be muted.

Gate indicator for each input shows when a channel is above threshold (the gate wants to open).

Open indicator for each input shows when a channel is active.

Pan control (stereo objects only)

Gain fader for each input. This controls the level of the channel's input before the automix logic is applied.

Mute button for each input.

Solo control for each input channel for quick identification of signals and level setting: Allows only 'soloed' channels to be heard. Note the NOM count is invalid when any channel is solo'ed.

! This is a 'solo-in-place' which impacts the main output.

Default Mic. One microphone can be set to be on as the default when all channels are below the threshold.

Priority control for each channel. 1 is the highest priority and 32 is the lowest.

Auto button assigns each channel to operate as either a conventional mixer channel or an automated channel. By switching Auto to off the channel is completely removed from the automix logic and NOM attenuation.

Signal Name shows the name of the input signal

Global Gate Controls

Attack control sets the gate attack time for all channel gates with the exception of any channels which have the Local Gate button set.

Hold control sets the gate hold time for all channel gates with the exception of any channels which have the Local Gate button set.

Release control sets the gate release time for all channel gates with the exception of any channels which have the Local Gate button set.

Hysteresis control sets the level below threshold that the gate uses when turning off.

Ambient Controls

Threshold control set the ambient level at which the adaptive threshold starts. Above this level the gate thresholds will be raised accordingly.

Attack control sets the speed at which the adaptive threshold logic responds to changes in the ambient level.

Release control sets the speed at which the adaptive threshold logic responds to changes in the ambient level.

Ambient meter shows the current ambient level.

NOM Controls

NOM control sets the maximum number of open microphones while NOM count displays the number of microphones which are actually open.

Attenuation control sets the amount that the output gain is attenuated by per doubling of open channels. For example, if the attenuation is -3dB and the number of open mics is 2 then -3dB of gain will be applied to the output. If the number of open channels is 4 then -6dB of gain will be applied.

Speed control sets the speed at which the NOM attenuation is applied.

Last Mic control tells the automixer to leave the last open mic on even if the level drops below the gate threshold.

Duck Gain control sets the amount that lower priority channels are attenuated by if a higher priority channel is also open.

Nom Attenuation meter shows the current NOM attenuation that is being applied.

Master Mix Controls

Master Gain control for the Main output(s)

Master Mute button for the Main output(s)

Automixer Expansion

It is possible to combine several gated automixers together so that they act as one very large gated automixer. This makes use of the Master/Slave Status setting in the Properties Pane and also makes use of the Chain control signals. If the automixers are on different devices then the Chain control signals can only be sent over BLU Link. The gated automixers are always connected in a ring with a single master and one or more slaves.

Connecting two Gated Automixers

Connect the Chain Out of the master to the Chain In of the slave, and the Chain Out of the slave to the Chain In of the master. If you require the outputs of the two mixers to be combined, connect the Mix Out of the slave to the Mix In of the master, then use the Mix Out of the master.

Connecting more than two Automixers

Create one master and several slaves and connect the Chain Out of the master to the Chain In of the first slave. Then ‘daisy chain’ the Chain Out of the slave to the Chain In of the next slave, and so on (in any order) to the Chain In of the master. If you require the outputs of all the mixers to be combined, 'daisy chain' the Mix Out of one slave to the Mix In of the next slave and so on (in any order) to the Mix In of the master, then use the Mix Out of the master.

Notes on connecting several Gated Automixers

  • The Speed controls should be set the same on all linked gated automixers for consistent operation.

  • The Chain signals can only be sent via BLU Link if the automixers are on different devices. Those signals are digital information and rely on the bandwidth and low latency of BLU Link for correct operation. They cannot be sent by any other means. They are displayed using a different line color in London Architect to help differentiate them from audio signals.

  • If you are using adaptive threshold then the ambient signal must be connected to the Threshold In of all gated automixers manually.

  • When connecting several automixers together the data takes longer to circulate around the loop. The time it takes for the data to circulate around the loop has an effect on the attack time of the gates. The BLU Link network is low latency so under normal circumstances the round trip time is very short and does not adversely affect the gate attack time. However, in some very large BLU Link rings with many slave gated automixers the round trip may become significant. Switching the design to 96KHz will halve any communication delays since the devices and the BLU Link network all run at double the speed.

  • When gated automixers are cascaded across 2 or more devices you may require an indication that they are connected. For this purpose an LED is available for use on custom control panels. You can access this from the design tree in the NOM folder for the gated automixer in each device. Just drag and drop onto the custom panel. If for any reason the link between automixers is broken (e.g. Blu link is pulled out) the LED on your custom panel will go off. In the event of a broken link, the slaves mute and the master reverts to fully functional standalone. When the link is re-established, cascaded functionality resumes (including any changes made to the masterslave(s) during broken link). Whenever the link is established or broken an event is logged in the eventlog and the LED set accordingly.

Generating the ambient from mics

Sometimes it is not convenient to install a dedicated ambient microphone and in those situations the signals from all the microphones can be summed using a mixer to produce the ambient signal.

Note: ! This object is capable of raising signal levels beyond the clipping point, so care should be exercised when using positive gain values.


Gain

Gain Mono

A straightforward gain control for raising or lowering the level of the signal and integral mute button.

Inputs and Outputs

One audio input and one audio output.

Control Panel

Gain fader

  • Adjusts the gain from +10dB down to -infinity (off).

Mute button

  • Mutes the output. On multi channel gain objects there are separate mutes per channel and an overall mute.

Polarity button

  • Inverts the signal.

Bump Up/Bump Down ( + and - )

  • Bumps the gain value up or down. The % increase or decrease in value is set in the properties.

Properties

Subrange: The maximum and minimum values the gain can control can be set to. This could be useful to prevent clipping by limiting the maximum gain for example.

Bump Up %: Bump up value as a percentage of the range

Bump Down %: Bump down value as a percentage of the range

Notes

! This object is capable of raising signal levels beyond the clipping point, so care should be exercised when using positive gain values.


N-Input Gain

Gain N-Input

A straightforward gain control block for raising or lowering the level of 2 or more signals, with integral mute and polarity buttons.

Inputs and Outputs

Select 2 to 32 inputs and outputs.

Control Panel

Gain Fader

  • Adjusts the gain from +10dB down to -infinity (off).

Mute Button

  • Mutes the output. On multi-channel gain objects there are separate mutes per channel and an overall master mute

Polarity Button

  • Inverts the signal.

Signal Name

  • Shows the name of the input signal.

Notes

! This object is capable of raising signal levels beyond the clipping point, so care should be exercised when using positive gain values.


Mixer

A mixer object to mix an array of inputs to an output (or stereo output). Aux buses and groups are optional.

Inputs and Outputs

The number of inputs is dependent on the Number of Channels parameter in the Properties. By default a 4 input mixer object is created. The output is either mono or stereo. There is optionally one output for each aux bus and one output for each group bus.

Properties

Number of Channels: (2-48)

Select the number of mixer input channels.

Stereo (Yes/No)

Select whether the mixer has 1 or 2 output channels

Number of Groups (1-4)

Channels can be grouped to output together.

Number of Auxes (1-4)

The number of aux buses can be selected between 0 and 4.

Pan Law: (stereo mixers only)

The law of the pan controls may be set to either -3dB, -4.5dB or -6dB.

These figures relate to the attenuation applied to each channel at the central pan position.

Control Panel

Image:Mixer control panel.jpg

Fader for each input

Pan control (stereo objects only)

Mute button for each input

Polarity button for each input to invert the signal

Gain control for each output

Solo control for each input channel for quick identification of signals and level setting.

Aux send level: output control for each input for each bus (optional)

Aux Pre-Fade button to allow the aux signal to be routed either from before or after the fader (optional).

Route to group switches routing to the group outputs on or off per channel.

Signal name shows the name of the input signal

Notes

! This object is capable of raising signal levels beyond the clipping point, so care should be exercised when using positive gain values.


Room Combine

Today, most hotels and conference facilities rely on flexible room configurations for a wide variety of events. Typically this involves one or more large rooms that may be divided by flexible partitions. These combinations of space are referred to as "room combining" and have their own unique requirements when it comes to the audio system. The key is the management of the audio signal to interconnect sub-room sound systems when those sub-rooms are combined into larger rooms. The Room Combine PO (Processing Object) simplifies system setup for such a 'room combining' application. When rooms are "combined", all controls for each involved room will mirror each other perfectly. These controls are objects like faders, mute buttons and source selectors.

Adding a Room Combine Processing Object

The Room Combine Processing Object (P.O.) is located under the "Mixers/Gains" section. A Room Combine P.O. can be added by right-clicking inside the Default Config screen as follows:

Input and Outputs

Chain/Threshold Signal Routing

The Room Combine can route slave automixer control and audio signals. When two or more rooms are involved all automixers will perform as one single automixer to ensure proper gain levels and channel weighting are achieved. These signals are the Chain and Threshold signals located on Slave automixers. Master Automixers or Standalone automixers cannot be used in conjunction with the Room Combine for proper operation. Slave Automixers do not have a Master gain control. When using the Slave Automixer in conjunction with the Room Combine P.O., the Master gain fader is the "Mix" fader located inside The Room Combine P.O.

Room Source

The Room Source inputs are for receiving a mono audio output from each room. The Source signal input needs to be connected to the output signal of the Slave Automixer if Automixers are utilized.

Background Music (BGM)

The BGM input is used for receiving audio to be distributed in each room as background music. When two or more rooms are combined, the combined rooms will receive the same BGM source.

Room Mix

This output from the P.O. has the mixed audio signal for each room, composed of the room source audio and the BGM audio.

Properties

Configure Rooms

This dialogue box allows you to configure the exact layout of the rooms, including all moveable partitions. To open the "Configure Rooms" pane, click on the "..." button on the right-most side of the Configure Rooms property. The maximum number of rooms is 49, but the useable number of rooms will depend on the DSP resources of the target device. The layout of rooms is totally flexible, for example a 'square grid' up to 7x7 rooms can be specified, or a layout of 49x1 rooms, or anything in between. The default name for each room and each partition can be edited by the user and this will be reflected in the label used on the default control panel.

  • Selecting items with the mouse

    • Selecting Rooms - Rooms may be selected on the dialog by clicking on the room with the mouse. A grey border will be shown around the selected room. Multiple rooms may be selected by using the SHIFT key with the mouse click.

    • Selecting Partitions - Partitions may be selected on the dialog by clicking on the partition with the mouse. A grey border will be shown around the selected partition. Multiple partitions may be selected by using the SHIFT key with the mouse click. When a partition has just been selected, the two rooms which are connected by the partition will be highlighted with a green border.

    • De-selecting Rooms and Partitions - Left clicking anywhere on the background of the dialog with the mouse will de-select all currently selected items.

    • Selecting multiple items - It is also possible to select multiple items from the dialog by left clicking the mouse on the background of the dialog, holding the left mouse button down and dragging the mouse to form a rectangular area which is used to select rooms and partitions on the dialog. The items selected in this way will be shown with the grey border around them.

  • Adding Room(s)

Rooms can be added by right clicking with the mouse on the background of the dialog and selecting either 'Add Room', or one of the 'Add Room Grid' options from the context menu.

  • Deleting Room(s)

    • Rooms may be deleted by selecting a room (or multiple rooms), right clicking with the mouse and selecting the 'Delete Room(s)' item from the context menu.

    • Alternatively, the DELETE key may be used to delete all rooms which are currently selected.

  • Adding a Partition

    • A partition may be added by selecting exactly two rooms, right clicking with the mouse and selecting the 'Add Partition' item from the context menu.

    • A partition may be added by double-clicking on a first room with the mouse, then moving the mouse and left-clicking on a second room to be associated with the partition. (hint : When double clicking the first room, avoid double-clicking on the room name text area of the room as this is used to customise the room name text)

  • Deleting Partition(s)

    • Partitions may be deleted by selecting the partition (or multiple partitions), right clicking with the mouse and selecting the 'Delete Partition(s)' item from the context menu.

    • Alternatively, the DELETE key may be used to delete all partitions which are currently selected.

  • Moving a Room or Partition

    • Select the Room or Partition to be moved, hold the left mouse button down and drag the selected item.

    • The cursor will change to show the selected item can be moved in any direction.

    • The selected item can then be re-located to its new position by dragging the mouse with the left button held down. Release the left mouse button to complete the move operation.

  • Moving multiple Rooms or Partitions

    • Select multiple Rooms or Partitions by either left clicking on each item while the SHIFT key is held down, or by dragging the mouse to form a rectangle which encompasses the items to be selected.

    • Keep the SHIFT key held down, and left click and drag any one of the selected items.

    • The cursor will change to show the selected items can be moved in any direction.

    • All the selected items can then be re-located to their new position by dragging the mouse with the left button held down. Release the left mouse button to complete the move operation.

  • Re-Sizing a Room or Partition

    • When a room or partition is selected, the grey border is created with small black square re-sizing points which can be used for re-sizing the selected item.

    • To re-size, move the mouse until it sits over one of the re-sizing points, the cursor will change to indicate the direction for re-sizing.

    • Now hold the left mouse button down and drag the mouse in one of the directions indicated by the cursor. Release the left mouse button to end the re-sizing operation.

  • Renaming Rooms or Partitions

    • Rooms and Partitions are created with default names. These names can be customised by the user by double clicking on the room or partition name and entering the new text for the Room or Partition name. This text will appear throughout the 'Room Combine' processing object to identify the room or partition.

Number of Rooms

This is a read only property showing the number of rooms actually configured in the 'Configure Rooms' dialog. To add or delete rooms or change the layout of the rooms shown in the Default Control Panel it is necessary to click on the right side of the "Configure Rooms" property located in the Properties tab.

Number of Partitions

This is a read only property showing the number of partitions actually configured in the 'Configure Rooms' dialog. To add or delete partitions or change the layout of the partitions shown in the Default Control Panel it is necessary to click on the right side of the "Configure Rooms" property located in the Properties tab.

Number of BGM Inputs

Sets the number of background music channels (0 to 24) available for each room.

Use Automixer I/O

When set to 'Yes', 'chain' and 'threshold' signals will be available for wiring with automixers.

Enable Stereo

Enables or disables stereo signals in/out of each room. Enabling this property will create Left/Right signals for the following inputs :

  • Mix BGM Signal Path = Yes

'Room Source' L/R inputs,
'BGM' L/R inputs,
'Room Mix' L/R outputs.

  • Mix BGM Signal Path = No

'Room Source' L/R inputs,
'BGM' L/R inputs,
'Room Source' L/R outputs,
'Room BGM' L/R outputs.

When Stereo is selected, separate Left and Right channel meter inidcations will be available on the default control panel.

Mix BGM Signal Path

Enables or disables the mixing of the 'BGM' signal with the 'Room Source' input. When enabled the room combine will have a 'Room Mix' output signal per room which is the mixed combination of 'Room Source' and 'BGM' input signals for the room. When disabled, the room combine will have separate 'Room Source' and 'BGM' output signals per room.

Priority Partition Mode

With priority partition mode set to 'Yes' :

  • Room Combine will operate in 'partition' mode where opening or closing partitions determines which group a room will be part of.

  • When each room is created it will be assigned a 'default group' number which is the same as the room number.

  • When rooms are combined, the group number for the combined room will be set to the lowest numbered room which is present in the room combination.

  • When a room is combined with an existing group of rooms, the room controls will take on the values of the highest priority room (i.e. lowest room number) in the group which is formed.

Example 1) Room 1 and Room 2 are combined to form a new room group (group 1). Room 1 master gain is set at 0dB, Room 2 master gain is set at -10dB. At the instant the rooms are combined, both rooms master gain will be set to 0dB.

Example 2) Room 1 and Room 2 are already combined in a room group (group 1). Room 3 is combined into the group. Room 1 and 2 master gains are set at 0dB, Room 3 master gain is set at -20dB. At the instant the rooms are combined, all rooms master gains will be set to 0dB.

This mode can be useful when you need to perform some logic which is dependent upon knowing the current group that a room is in, e.g. disable the room controls when a room is combined with a higher priority 'master' room. From the design tree you can drag and drop the group (for the room you are checking) onto a logic comparator. Then assign the compare value to be the group number you wish to test against. The logic comparator can then be wired to other objects such as presets, logic ends and so on which can be used to trigger other processing objects or actions. The example shown below can be read as "when room 2 is combined with room 1, i.e. when room 2 becomes part of group 1, do this particular action", and "when room 2 is not combined with room 1, i.e. when room 2 is part of group 2, do this (other) action"

Image:Room combine logic.jpg

When priority partition mode is set to 'No' :

  • Room Combine may operate in 'room' mode or in 'Partition' mode. In 'room' mode rooms are selected to join a particular group.

  • Each room is created with a default group of 0 ('unassigned').

  • When rooms are combined, the next available group (in sequence 1..number of groups) will be used to determine the group for the room combination.

  • When a room is combined with an existing group of rooms, the room controls for the room group formed will take on the most conservative values of all the rooms in the group which is formed.

Example 1) Room 1 and Room 2 are combined to form a new room group (group 1). Room 1 master gain is set at 0dB, Room 2 master gain is set at -10dB. At the instant the rooms are combined, both rooms master gain will be set to -10dB.

Example 2) Room 1 and Room 2 are already combined in a room group (group 1). Room 3 is combined into the group. Room 1 and 2 master gains are set at 0dB, Room 3 master gain is set at -20dB. At the instant the rooms are combined, all rooms master gains will be set to -20dB.

Changing any of the above properties will cause the default control panel to close.

Use Signal Names

When set to 'Yes' the signal names for each of the BGM source inputs will be reflected in the default control panel BGM Input drop down list box.

When set to 'No', the BGM Input drop down list box on the control panel will be populated with numbers from 1 up to the number of BGM sources.

Group Colours

Group colours are used to indicate which group a room is part of. These appear on the 'Room Controls' and 'Room Combine' pages of the default control panel. Changes to this property will to override the default colours used to represent the active groups.

Default Control Panel

The Room Combine default control panel is built dynamically from the layout of the rooms specified in the configure rooms dialogue located in the Properties tab. It consists of two pages; Room controls and Room Combining.

Room Controls

The controls for each room are shown on the 'Room Controls' tab of the default control panel. The title of each room is displayed at the top of the controls, with the background colour indicating which group the room belongs to. For example, the default panel below shows rooms 1, 2 and 5 in one group, rooms 3 and 4 in a second group and rooms 6 and 7 in a third group. When rooms are combined in a group their controls will be linked to one another in an 'exact link'.

Image:Room combine 1.jpg

Source Fader

A fader is provided to control the level for each Source input.

Source Mute

A mute control is provided for each of the Source inputs.

BGM Fader

This fader controls the level of the background music being fed into each room. This will not be displayed if the number of BGM inputs is set to 0.

BGM Mute

Used to mute or unmute the background music being fed into each room. This will not be displayed if the number of BGM inputs is set to 0.

BGM Input

Use this source select to chose which BGM source is being fed into the room. This will not be displayed if the number of BGM inputs is set to 0.

Master Fader

This fader controls the mix of the source input and the BGM input.

Master Meter

This meter represents the audio which is being fed into the room. If the 'Enable Stereo' property is set to 'Yes' then separate meters for both left and right stereo channels will be displayed.

Master Mute

This mute controls the mute-state of all sources being fed into this room

Room Combining

The Room combining page can operate in two different modes. These are detailed below.

Operation Modes

Room Mode

In room mode you select which rooms go into which groups.

Creating a group of rooms

  • Select the active group from the drop down list, or by clicking on the group button to the right of the active group drop down list.

  • Click on a room to allow it to become part of the group (On) or to leave the group (Off).

  • The room is set to the active group, this is indicated by the colour of the room in the control panel.

  • Select another room to add to the active group.

  • All the controls in a group are linked together in an exact link. When the link is established all controls, faders, mutes and so on are set to the new group value. The rules for determining the value of these control settings depends upon the Priority Partition Mode property setting.

Removing a room from a group

  • Select "None" as the active group from the drop down box

  • Click on the room to remove from the group

  • The room group number is set to "None" (0), and the room colour becomes black to indicate that it is not part of any group

  • All controls in the room are unlinked from the other rooms in the group

Partition Mode

Partition mode is where rooms are combined according to the current state of a 'wall partition' connecting the two rooms. In a real situation the wall partition state could be driven from a relay contact coming into the Soundweb London unit as a control port input.

Opening a Wall Partition

  • The wall partition between rooms 1 and 2 is opened

  • Room 2 joins room 1's group as it is has lower group number

  • The rooms become the same colour to show the rooms are in the same group

  • All controls for room 1 and 2 are linked together in an exact link

Closing a Wall Partition

  • The wall partition between rooms 1 and 2 is closed

  • Rooms 1 and 2 are set to no specific group (None / 0)

  • Rooms 1 and 2 become black to show the rooms are not part of any group

  • All controls for rooms 1 and 2 are unlinked

Opening a wall partition between groups

  • The wall partition between two existing groups is opened.

  • The rooms which are in the higher numbered group are set to be in the lower numbered group.

  • The rooms colours change appropriately showing the rooms in the new group.

  • The controls for all rooms in the new group are linked.

Closing a wall partition between groups

  • Closing a wall partition splits a group, creating two new groups

  • The room colours change appropriately showing the rooms are in two different groups

  • Controls are unlinked between the rooms and linked according to their new groups

Room and Partition Mode

It is possible to use room and partition mode simultaneously.

Room Combine DSP Primitives

This section illustrates the use of DSP primitives by the Room Combine P.O. as an aid to understand how the P.O. works internally. The example below shows the processing which is required 'per room' for the following setup :

4 rooms
4 BGM inputs
'Mix BGM Signal Path' property = 'Yes'
'Enable Stereo' property = 'No'

If separate BGM and room source outputs were required, i.e.

'Mix BGM Signal Path' property = 'No'

then the DSP primitives would look like :

Notes :The two gains work like a 2 input 'n-input' gain. The actual gain applied is the gain for the source or BGM, PLUS the master gain.

The summer is a simple mixer that applies unity gain


Timed Gain

Gain Timed

This gain control automatically raises or attenuates the signal over a fixed, user set time. Four gain values can be set along with the time for the gain control to reach this final value, beginning from the current value on the fader. Each of these can be individually invoked. Invoking any of the set gains will override any gain change currently taking place.

Inputs and Outputs

One audio input and one audio output.

Control Panel

Gain Fader

  • The gain fader moves while the change of gain is in progress. Can also be used to manually adjust the gain from +10dB down to -infinity (off) in the same manner as the basic gain object.

Mute Button

  • Mutes the output.

Polarity Button

  • Inverts the signal

Gain Set

  • Up to four final gain settings can be set either by entering the values in the box or using the up/down spin pairs.

Time Set

  • Set how long it should take for each of the gains to reach their final values, beginning from the current value on the fader.

Fade Button

  • Press one of these buttons to start the associated timed gain.

Indicators

  • The indicator will flash on and off for a timed gain which has been invoked until the gain fader reaches the final value. When no gain change is taking place the indicators next to any of the gains which are at the same value as the fader will be ON.

Cancel Fade Button

  • Press this to immediately stop the gain change.

Properties

Subrange: The maximum and minimum values the gain can control can be set to. This could be useful to prevent clipping by limiting the maximum gain for example.

Notes

! This object is capable of raising signal levels beyond the clipping point, so care should be exercised when using positive gain values.


Equalisation

Graphic EQ Mono

Graphic EQ N-Input

Parametric EQ Mono

Parametric EQ N-Input


Graphic EQ

Graphic EQ Mono

Simulates a conventional graphic equaliser for fast, intuitive frequency response control. It has the additional benefit of a 'Selectivity' control to determine the combining characteristics of the filters. Faders can be removed from the graphic equaliser in order to make a read only representation of the frequency response. The resulting EQ curve can be viewed in the default control panel for this processing object.

Inputs and Outputs

One audio input and one audio output.

Properties

Number of Bands

Select the number of bands needed to perform your equalisation task. More bands can use more DSP power.

Low Frequency Optimisation

Defaults to yes. Optimised IIR filter for improved low frequency performance. This is optional to maintain backwards compatibility with existing designs.

Control Panel

Boost/Cut fader per band.

Selectivity control (Broad to narrow)

  • Adjusts how the bands interact.

  • Lower selectivity settings produce a smooth overall response with some interaction. Higher settings reduce interaction but tend to produce a response with more ripple.

Flat button

  • Sets all the faders to 0dB.

Note that this loses all the fader settings.

Bypass button

  • Removes the equaliser from the signal path.

Controlled Parameters

  • Individual faders can be removed from the EQ.


N-Input Graphic EQ

Graphic EQ N-Input

Identical to the Graphic EQ but with an extra property which allows the selection of up to 4 audio inputs and outputs. Applies identical filtering to all channels of audio.


Parametric Equaliser

Parametric EQ Mono

A multi-function equaliser for corrective or creative frequency response control. This consists of a predetermined number of ‘bands’, each of which may have all parameters (i.e. Frequency, Bandwidth, Boost/Cut) controlled from a convenient graphics window.

Inputs and Outputs

One audio output input and one audio output.

Properties

Number of Bands

Select the number of bands needed to perform your equalisation task. More bands can use more dsp power.

Low Frequency Optimisation

Defaults to YES. Optimised IIR filter for improved low frequency performance. This is optional to maintain backwards compatibility with existing designs.

Control Panel

Most of the manipulation may be done in the graphics window, which also shows the actual combined response of the filters.
Empty squares (nodes) denote the current positions of the filters (in terms of frequency and boost/cut).
A solid square (the selected filter node) denotes the currently selected filter, and any adjustments made to the controls will affect this filter.
To create an additional EQ curve feature, click and drag a new filter up (or down) from the 0dB line.
Note that the right-click menu allows access to a filter 'bypass' function that allows an individual band of equalisation to be temporarily taken out of the signal path.

Filter Type combo box
Selects between bell, high-pass shelving or low-pass shelving shapes. May also be adjusted in a menu by right clicking on the filter node.

Slope Type combo box
Allows the cut-off slope to be adjusted (for shelving shapes only).

Frequency control
Adjusts the centre frequency of a bell filter, or the cut-off frequency of a shelving filter. May also be adjusted by moving the filter node in the graphics window horizontally using the mouse.

Width control
Adjusts the bandwidth of the filter (bell shape only).
May also be adjusted by pressing the shift key and moving the filter node in the graphics window vertically using the mouse.

Boost/Cut control.
May also be adjusted by moving the filter node in the graphics window vertically using the mouse. Shift+double click will return all of the boost/cut settings to 0dB.

Bypass button
Removes the equaliser from the signal path.


N-Input Parametric EQ

Parametric EQ N-Input

Identical to the Parametric EQ but with an extra property which allows the selection of up to 32 audio inputs and outputs. Applies identical filtering to all channels of audio.


Crossovers/Filters

Crossover

High Pass Filter

Low Pass Filter

Phase Filter


Crossover

A fully featured loudspeaker management processor consisting of various alignments of crossover filters, gain controls, and mid-band limiters. The limiter is a two-stage protection limiter for protecting against amplifier clipping and loudspeaker damage. The first stage has ballistics suitable for long term protection whilst retaining transparency and minimising signal level loss. The second stage has much faster ballistics to protect against loudspeaker over-excursion. Limiter ballistics are automatically set by the system to give the optimum performance based on the high-pass frequency of the band. Options include delays, phase filters and limiter metering.

Inputs and Outputs

The single channel crossover has

  • One audio output per band

  • One common audio input.

  • When the option for Inserts On is selected, there is one input per band.

The stereo crossover has

  • 2 audio outputs per band

  • 2 audio inputs.

  • When the option for Inserts On is selected, there are 2 inputs per band.

Adjustment of controls has the same effect on both input channels and the corresponding band output channels.

Properties

Number of Bands (1-6)

  • Select the number of output bands in the crossover.

Delay (off/on)

  • A delay-line may be inserted into each band for aligning loudspeaker drivers in time.

Meters (off/on)

  • Metering may be added to monitor the action of the limiters.

Phase Filters (off/on)

  • Phase filters may be included to apply phase shifts between adjacent bands for fine-tuning alignment.

Inserts (off/on)

  • The input feeds to the crossover filters are normally internally connected together to form a single common input, they may optionally be split into separate inputs so that equalisation (for example) can be uniquely applied to individual outputs without disturbing the calibration of the limiter.

Filters (out/24dB/48dB)

  • For each band the high and low filter roll-off slopes can be set individually.

Signal Names

  • Custom signal names can be inserted for each output band. Placing the '$' symbol in front of the name will cause that output name to be preceded by the signal name at the input

Low Frequency Optimisation

  • Defaults to YES. Optimised IIR filter for improved low frequency performance. This is optional to maintain backwards compatibility with existing designs.

Control Panel

The graphical representation of crossover areas indicates what part of the frequency range each band occupies. Each band is represented by a different colour curve. A triangular control handle is provided at each band edge, an upward triangle for the lower band edge and a downward triangle for the upper band edge. These are initially paired with the corresponding control handle of the adjacent band edge at thge same frequency, but can be split to provide a frequency offset between bands. A further set of control handles allow the crossover point of both bands to be adjusted together maintaining any offset.

Parameters

Filter Type

  • This combo box selects the type of response for a crossover band edge (the crossover filter 'shape').

  • Note that the shape can be set differently on each band edge and, even on adjacent band edges, although this latter situation is probably best avoided in audio terms.

The filter types available are:

  • Butterworth 6dB/Octave

  • Butterworth 12dB/Octave

  • Bessel 12dB/Octave

  • Linkwitz-Riley 12dB/Octave

  • Butterworth 18dB/Octave

  • Butterworth 24dB/Octave

  • Bessel 24dB/Octave

  • Linkwitz-Riley 24dB/Octave

  • Neville Thiele Method 36dB/Octave

  • Butterworth 48dB/Octave

  • Butterworth 48dB/Octave

  • Neville Thiele Method 52dB/Octave

Frequency

  • Drag nodes horizontally with the mouse to change the crossover frequency. Normally the node at the intersection of two adjacent bands would be moved so that the adjacent bands track together.

  • Some applications require adjacent crossover frequencies to be offset (overlapped for example). This can be done by selecting one band edge so it can be moved independently.

  • Alternatively, the Frequency control below the window may be adjusted.

Gain control

  • Trims the output level of the band.

  • The gain control is before the limiter, so does not alter the calibration of the limiter threshold.

! This control is capable of raising signal levels beyond the clipping point; so, care should be exercised when using positive gain values.

Delay spin box (for each band)

  • This sets a delay time on the band with default units in milliseconds. Units may be changed in the properties grid to metres, feet or frames.

Polarity button

Reverses the polarity of the band.

Mute button

  • Silences the band output.

Limiter Threshold control

  • Adjusts the level threshold above which limiting will take place.

  • If other processing objects are connected between the output of the crossover and the output, the limiter threshold setting may be inaccurate, and the user must compensate for level changes which occur in these objects.

Meter

  • Displays the input signal level relative to the limiter threshold.

A reading of 0dB corresponds to the limit threshold, whereas a reading of +6dB for instance means the signal is exceeding the threshold by 6dB, and is being compressed by 6dB.

Phase spin box (on control panel)

  • Adjusts the phase shift applied between a pair of bands.

  • As there is some interaction between the phase controls, it is recommended that the highest frequency band phase be adjusted first, and then successively lower ones.


High Pass Filter

Removes low frequencies, or for use as a single band crossover for creating feeds for high-frequency drivers.

Inputs and Outputs

One audio output input and one audio output.

Properties

Max Slope (24/48):
The maximum cut-off slope can be adjusted so that resources are not wasted in allowing for high-slope filters (such as 48dB/Octave) in applications where gentler and less resource-hungry slopes are acceptable.
Note that regardless of what the maximum is set to, the control panel will always allow lower slopes to be selected at any time.

Low Frequency Optimisation
Defaults to yes. Optimised IIR filter for improved low frequency performance. This is optional to maintain backwards compatibility with existing designs.

Control Panel

Frequency control
Adjusts the high-pass frequency.

Filter Type combo box
Selects the filter shape (or crossover alignment) and cut-off slope.

Bypass button
Removes the filter from the signal path.


Low Pass Filter

Removes high frequencies, or for use as a single band crossover for creating feeds for sub-bass drivers for example.

Inputs and Outputs

One audio output and one audio output.

Properties

Max Slope (24/48):
The maximum cut-off slope can be adjusted so that resources are not wasted in allowing for high-slope filters (such as 48dB/Octave) in applications where gentler and less resource-hungry slopes are acceptable.
Note that regardless of what the maximum is set to, the control panel will always allow lower slopes to be selected at any time.

Low Frequency Optimisation

Defaults to yes. Optimised IIR filter for improved low frequency performance. This is optional to maintain backwards compatibility with existing designs.

Control Panel

Frequency control
Adjusts the low-pass frequency.

Filter Type combo box
Selects the filter shape (or crossover alignment) and cut-off slope.

Bypass button
Removes the filter from the signal path.


Phase Filter

A first order (single pole) all-pass filter for applying frequency-conscious phase shifting, whilst maintaining a flat magnitude response. The phase angle, and the frequency, at which the phase angle is to apply, is both adjustable.

Inputs and Outputs

One audio input and one audio output.

Properties

Low Frequency Optimisation

Defaults to yes. Optimised IIR filter for improved low frequency performance. This is optional to maintain backwards compatibility with existing designs.

Control Panel

Frequency control for adjusting the frequency at which the phase angle is to apply.

Phase control for adjusting the phase angle by which the signal is to be shifted at the frequency set by the Frequency control.


Delay

A basic delay object for delaying an audio signal by a predetermined time or distance without affecting the signal in any other way. The delay is represented in milliseconds, metres and feet and inches. Changing any one of these properties changes all the others commensurately.

Inputs and Outputs

The number of inputs and outputs can be selected in the properties to be between 1 and 16.

Properties

Units: Adjust and display the delay in terms of inches and feet, metres, milliseconds or frames.

Control Panel

Delay time adjustable using spin increment/decrement boxes.


Primitives

FIR Filter

Modulator

Summer


FIR Filter

A filter processing object that can import mathematically created FIR filter coefficients exported from other applications as comma separated value (.csv files) or .dat format files.

The number of coefficients can be specified in the Properties up to 6,700.

The import files are located using a dialogue box displayed by clicking on the Coefficients field in the Properties for this processing object.


Modulator

The output is the input multiplied by the other input, i.e. the output is the product of the inputs. The inputs can be AC (i.e. normal audio signals) or DC (e.g. dynamics side chains etc.). Note that distortion will result if both inputs are AC (audio).

The modulator could for instance be used to allow the amplitude in one signal path to control the amplitude of a signal in another signal path to achieve a level-riding effect. To do this, you would put the controlling signal through a 'meter' to turn it into DC, then apply that to one modulator input, then pass the controlled signal through the other modulator input to the output.

Inputs & Outputs

Two inputs, one output and no control panel or properties.


Summer

The output of the summer is a mono sum of all of the inputs.

Inputs and Outputs

  • Select from 2 to 32 inputs

  • One output


Audio Coupler

The audio coupler enables signal names to be changed within London Architect. Simply enter the new signal names in properties for the object.

Do not connect the output of an Audio Coupler to the input of an Audio Coupler, this will cause the compiler to give a Parse Error

Inputs and Outputs

From 2 to 48 inputs / outputs

Control Panel

Audio Coupler default control panel

The default control panel shows the input signal names.

Properties

Number of Inputs

  • Changes the number of inputs / outputs, ranging from 2 - 48

Show Input Signal Names

  • Option to show / hide input signal names

Signal Names

  • Custom signal names can be inserted for each output. Use the '$' symbol to insert the current signal name.


Meter

Meter Peak

A signal level metering object to monitor and display signal levels on the screen.

Inputs and Outputs

One input.

One optional control output.

Control Panel

Attack time control

  • Adjusts how the meter responds to short duration transients.

Release time control

  • Adjusts how long the meter takes to recover.

Reference control

  • Sets the reference level for 0dB

Properties

Enable Control Output

  • Adds a non-audio control output which tracks the input. This can be used with the Modulator or the sidechain inputs of the Gate, Compressor and Expander.


RMS Meter

Meter RMS

A signal level metering object to monitor and display RMS signal levels on the screen. This is a true RMS meter and as such uses more DSP resources than the meter.

Inputs and Outputs

One input.

One optional control output.

Control Panel

Image:Rms meter control panel.jpg

Attack time control

  • Adjusts how the meter responds to short duration transients.

Release time control

  • Adjusts how long the meter takes to recover.

Reference control

  • Sets the reference level for 0dB

Properties

Enable Control Output

  • Adds an output to the meter which follows the input.


Meter Trigger

A signal level metering object to monitor and display signal levels on the screen and to set the trigger when the reference level has been reached.

Inputs and Outputs

One input.

Control Panel

Image:Meter trigger control panel.jpg

Attack time control

  • Adjusts how the meter responds to short duration transients.

Release time control

  • Adjusts how long the meter takes to recover.

Reference control

  • Sets where 0dB on the meter refers. Sets the input level for the trigger.

Trigger

  • The trigger LED comes on when the reference level has been reached or exceeded.


Noise generator

A random noise signal source which generates either white or pink noise of adjustable level. Two or more instances of these noise generators will produce uncorrelated outputs.

Inputs and Outputs

One audio output.

Control Panel

Level control.
Adjusts the output level.

Noise Type combo box.
Selects between white or pink noise generation.

Notes

White noise has equal energy per linear (Hz) bandwidth, and is useful for FFT based analysis. Pink noise has equal energy per percentage (Octave) bandwidth, and is useful for use with conventional Real Time Analysers that have equal octave width bands (e.g. 1/3 octave).


Tone generator

A test tone signal source that generates a sine wave of adjustable frequency and level.

Inputs and Outputs

One audio output.

Control Panel

Level control. (-60 to +20dB)
Adjusts the output level.

Frequency control. (20Hz to 20KHz)
Adjusts the frequency of the test tone emission.


Matrices

Matrix Mixer

Matrix Router

Source Matrix

Source Selector


Matrix Mixer

This object is used to connect an array of inputs to an array of outputs with an individual gain setting for each cross point. When using large (128 X 128) matrix mixers you should refer to DSP Considerations.

Inputs and Outputs

The number of inputs and outputs for the Matrix Mixer processing object is specified on dragging into the Configuration window. A dialogue box asks for the user to specify either a fixed selection of inputs and outputs or to leave these variable. Using a fixed number of inputs may improve the performance of some editing functions, however at any time this can be changed back to variable by using the Object Menu or the right click menu.

Control Panel

Connect button for each cross point.

  • Click it to connect an input to an output (green), or to disconnect (no-colour).

Gain control for each cross point.

  • Press the SHIFT key in operate mode whilst adjusting the gain control.

Properties

Number of input and output nodes specifiable if matrix mixer is not fixed in its creation.

Parameters

Output gain can be adjusted and outputs can be switched on or off per channel.


Matrix router

These are identical to matrix mixers except that the gain at each cross point is fixed at 0dB. When using large (128 X 128) matrix routers you should refer to DSP Considerations.

Inputs and Outputs

The number of inputs and outputs for the Matrix Router processing object is specified on dragging into the Configuration window. A dialogue box asks for the user to specify either a fixed selection of inputs and outputs or to leave these adjustable. Using a fixed number of inputs may improve the performance of some editing functions, however at any time this can be changed back to variable by using the Object Menu or the right click menu.

Properties

Number of input and output nodes specifiable if matrix mixer is not fixed in its creation.

Signal Names

  • Custom signal names can be inserted for each output.

Parameters

Outputs can be switched on or off per channel.

Control Panel


Source Matrix

Routes between a predefined number of inputs and outputs. Each output can be sourced from one input or none.

Properties

Number of Inputs

  • Select from 2 to 128 input channels

Number of Outputs

  • Select from 2 to 128 output channels

Allow None

  • Enables the mixer to be forced into having at least one routable signal by switching this option to 'no'.

Source Names

  • Can be edited per channel by clicking in the box in the edit field. A dialogue appears that allows each of the defined source channels names to be edited.

Parameters

Input for Output

  • Set the input to be routed to each output

Control Panel

One combo box per output. For each output select which input is to be routed or select "none".


Source Selector

An input select switch to choose between a predetermined number of inputs.

Properties

Number of channels: Select from 2 to 128 input channels

Allow None: Sets whether the 'None' position is available or not (no input).

Use signal names: When set to No, the input selector combo box will be filled with numbers from 2 to the number of channels. When set to Yes, the input selector combo box will be filled with the signal names at each input.

Control Panel

The combo box permits the selection of an input, or optionally 'None'.


BLU link PO

A BLU link input or output processing object can be added to the BLU-800, BLU-160, BLU-100, BLU-101 and BLU-102.

A BLU link input or output can be added to transport BLU link audio throughout the network

Inputs and Outputs

The BLU-800/BLU-805/BLU-806 and BLU-160 can have up to 32 input and output channels on each BLU link object up to a maximum of 256 channels per device. The BLU-100, BLU-101 and BLU-102 can each have up to 32 input and output channels on each BLU link object up to a maximum of 48 channels per device.

Properties

Enable Meters: Enables the meters on the default control panel.

BLU link channels: Configure the channels for the selected BLU link object.


Dante PO

Dante Processing Object

A Dante input or output processing object can be added to the BLU-806 and BLU-326.

A Dante input or output can be added to transport Dante audio throughout the network

Inputs and Outputs

The BLU-806 and BLU-326 can have up to 32 input and output channels on each Dante object up to a maximum of 64 channels per device at 48kHz and 32 channels per device at 96kHz.

Properties

Number of Channels: The number of channels in the Dante object up to a maximum of 32 channels per object.

Enable Meters: Enables the meters on the default control panel.

Channel Names: Configure the channels for the selected Dante object.


Conferencing

An AEC processing object can be added to the BLU-101 or BLU-102

.

The BLU-101 and BLU-102 are fixed card configuration devices. In both these devices AEC card processing objects can be added in the design window which allows access to the AEC processing on the input card. This processing is identical to the standard AEC input cards. Simply wire from the analogue inputs to the inputs of the AEC object and treat it as an AEC input card. The direct input signals come from the analogue inputs and the AEC inputs come from the AEC object.

Control Panel

The control panel for the AEC processing object differs from that of the AEC input card since it does not show the analogue input meters and input controls which can be found on the control panel for the analogue input card.

For detailed information on this processing object see AEC input cards.


Stereo

Many processing objects are available in mono, stereo, and N-Input versions. More information about these objects is available on their individual pages.

Compressor Stereo

Ducker Stereo

Expander Stereo

Gate Stereo

Mixer Stereo

Automixer Gain Sharing Stereo

Automixer Gated Stereo

Gain N-Input

Graphic EQ N-Input

Parametric EQ N-Input

Crossover Stereo

Delay

Summer

Matrices


Logic Objects

Logic Objects Introduction

A selection of logic processing objects is provided with HiQnet London Architect. These logic objects can be accessed from the Hardware Tree or by selecting the LOGIC tab. Most logic requirements should be covered by the range of options available. There are default control panels for some of these objects and where they exist, any of the controls can be taken out of any panel and used to construct custom control panels with only the required controls.

Logic objects can be added to a configurated device by dragging the required processor from the Hardware tree into the Configuration window for that device. There follows a more in depth description of the functionality of each of the available objects, this includes information about the number of inputs and outputs, properties and control options. To access a logic object's default control panel double click on the logic object itself within the Configuration window of the device. Further information can be accessed on The Logic System page.

AND

Calendar

Counter Trigger

Counter/shifter

Device Monitor

Ethernet Trigger/Table

Event Log Monitor

Logic Comparator

Logic Coupler

Logic Delay

Logic Display

Logic End

Logic Pulse

Logic Source

Logic Timed Delay

Logic Value

NAND

NOR

NOT

OR

Preset Table

Preset Trigger

Priority Encoder

Serial Trigger / Table

Single Pulse Trigger

Snapshot Object

Truth Table


AND

A logic AND gate takes two or more logic-level inputs and produces a single logic-level output. Because the output is also a logic level, an output of one logic gate can connect to the input of one or more other logic gates. Two outputs cannot be connected together, however, as they may be attempting to produce different logic values. The AND logic object is a digital logic gate that implements logical conjunction - it behaves according to the truth table below. A HIGH output (1) results from both the inputs to the AND gate being HIGH (1). If neither or only one input to the AND gate is HIGH, a LOW output results.

The lights on the logic object design block indicate the current state of the inputs and output. These are operational in simulation and when online to the device.

AND Truth Table

A | B | O/P
0 | 0 | 0
0 | 1 | 0
1 | 0 | 0
1 | 1 | 1

Properties

Number of Inputs

Sets the number of inputs. This is selectable from 2 to 32.


Calendar

The logic calendar object gives a high or low output at specific programmed dates and times according to a configurable list of events. The light on the logic object design block indicates the current state of the output. This is operational in simulation and when online to the device.

Properties

Calendar
Click on this to see a table of timed on/off events configured for this object.

State
Indicates whether this event refers to the logic state changing to on or off.

Time
Displays the time and date when the event is triggered.

# & Unit
Displays the frequency of recurrence.
Double clicking on this table will open the following event configuration dialog.

The time, date, and state (on or off) are set up here along with any event recurrence. Click OK to save a state to the table.

NOTE: Ensure that the correct time zone has been set up in File Preferences in order for the calendar object to operate when expected.


Counter Trigger

The output of the Counter Trigger object will change to the ON state (high) once the number of low to high transitions at the input match that of the Count value under properties.
The output will remain high until the reset (R) input has been turned on (goes high). The output of counter will then go low and remain low (regardless of the input value) until the reset input changes back to the OFF state (low). The output of the counter will go high again once the number of low to high transitions at the input match that of the Count value under properties.
The lights on the logic object design block indicate the current state of the inputs and output. These are operational in simulation and when online to the device.

Properties

Count
Sets the number of input pulses to be counted before the output turns ON.


Counter/shifter

The outputs of the counter / shifter change in response to a rising edge on the INPUT pin.

The outputs can be reset by taking the RESET (R) pin high. For binary 'Type' RESET means all output pins to 0 (low) and for shift down 'Type' RESET means pin 1 to 1 (high) and all other output pins to 0. The outputs will remain in this state until the RESET pin goes high again and the INPUT pin goes high again to start the count / shift.

Taking the DIRECTION (D) pin high will cause the outputs to count or shift down rather than up.

The lights on the logic object design block indicate the current state of the inputs and output. These are operational in simulation and when online to the device.

Properties

Number of outputs
Displays the number of outputs. This can be set from 1 to 32.

Type
Selects whether the counter / shifter is to be set up as a binary counter or shift down. When set to be a binary counter, the outputs will increment in binary fashion each time the input goes high. When set as a shift down, the output which is high will move on to the next output each time the input goes high.


Device Monitor

The Device Monitor Logic Object checks for the presence of any specified Soundweb London device, Crown amplifier or any other HiQnet device on the network which exists within the design. The output of the device monitor will be high only when it detects the presence of the device and will be low if the device either drops off the network or is switched off. The device monitor provides a logic output used to drive indicators, presets or other logic objects. One Device Monitor is required for each device to be monitored. Note that when a design is being loaded, the output of the Device Monitors will be low (indicating no connection) until the device discovery process is complete for each monitored device.

Properties

Use the properties to enter the HiQnet node address of the device to be monitored. There are 2 methods - by device name, which is more convenient and by HiQnet address which is more flexible.

Use Device Name
Select YES to choose the Device Name to monitor. The device must be included in the design for its name to appear in the Device Name list. The HiQnet node address of the device will automatically be entered if the device is on the network. If the device is not on the network then a HiQnet node address will be generated.
Select NO to manually enter the HiQnet node address of the device to be monitored. This is useful if the device you wish to monitor is not currently on the network and or design.

Device Name
Active when "Use Device Name" is set to YES. The name of the device to be monitored can be selected. Only devices included in the design will
have their names on the list.

HiQnet Node address
Active when "Specify Named Device" set to NO,. Enter the HiQnet node address of the device to be monitored. This can either be in hex in the format 0x1234 or in decimal in the format 1234. If no node address or name has been entered for the device to be monitored, the output of the device monitor will indicate that no device is connected.

Poll Time
Sets the frequency at which the Device Monitor will send out a message to the given node to determine if the device is present.

Timeout
If no reply is received from the device within the time set by Time-out then the logic output is set to zero. Timeout must always be set to a value greater than the Poll Time.

TCP/UDP
Determines the method used for sending polling messages and responses. When set to TCP the device will open a socket to the device being monitored and all messages will be guaranteed. When set to UDP the devices will send polling messages and responses without setting up a socket. Messages sent using UDP are therefore not guaranteed.

TEST Override
This only applies to simulation. Set to "Normal", the output of the device monitor will be low whilst the device is offline. Set to "Force Output High", the output of the device monitor will be forced high whilst the device is offline.


Ethernet Trigger/Table

The Ethernet Trigger/Table is used to send custom messages out of the Ethernet port on the rear of the Soundweb London device. It can be set up in two modes:

  • List mode which allows two messages per input - one for a LOW (0) input and one for a HIGH (1) input.

  • Table mode which treats the inputs as binary thus giving a greater number of states.

The Connected output will illuminate when a TCP connection has been made, triggered by a HIGH on the Connected input. These are operational in simulation and when online to the device.

Operation

A transition from low to high on the Connect input node will cause the London to attempt to create a socket to the provided Ethernet Address, port #, and protocol type (TCP or UDP) specified in the properties of the logic object. The Connected indicator will illuminate when a successful connection has been established (TCP). Messages can now be sent to the device(s). If a connection cannot be made to the specified device, or is broken, the London will automatically retry every 30s to establish a connection as long as the Connect node is held high.

NOTE: Socket time-outs can take up to a few minutes after actually being broken before the Connected indicator will turn off if the remote socket simply drops offline without sending a close message (reboot, AC power reset, unplugged Ethernet cable, etc). To ensure a connection you can set the Connect node low and set back high. This will cause the London to request a new socket connection and the Connected status will be updated.

When the Type is set to UDP the Connect input Node is ignored and therefore is not required to be held high. Messages sent using UDP are not guaranteed.

Ethernet Message Edit Table

Clicking on the edit button next 'Ethernet Table' in the Properties window will open the following window.

Enter the messages in decimal, hexadecimal or ASCII.

Properties

Number of Inputs
This sets the number of inputs, selectable from 1 to 12 when in 'Table Mode' and from 1 to 31 when in 'List Mode'

Mode of Operation
This sets the mode of operation to either List or Table mode.

Ethernet Table
Click here to set up the messages.

IP Address
Enter the IP Address of the device you wish to send messages to. Loopback addresses and the address of the London device itself are not valid entries

IP Port
Enter the IP Port number for the application.

Type
Select either TCP or UDP protocol.

Message Syntax

When in Decimal or Hexadecimal mode, all bytes must be separated by a comma.
Example in Decimal: 80,79,78,13 and in Hexadecimal 50,4F,4E,0D

Entering Mixed Ascii/Hex/Decimal Messages

Some devices require the message to contain a printable ASCII message followed by an unprintable ASCII character such as a carriage return. The best way to accomplish this type of data entry is to start in ASCII mode and switch to Hex/Dec mode as shown in the sequence below:

Type in the printable ASCII characters and press enter

Use the drop-down box to select either Hex or Decimal (decimal shown below)

You can now add the Carriage-Return (decimal 13) to the end of the message

Toggling back and forth between ASCII and decimal will show the Carriage Return character is present.

Number of Ethernet Trigger Logic Objects

The number of Ethernet objects that can be placed is dependent upon the number of sockets available in a Soundweb London device since each object will open 1 socket. Each Soundweb London device can open a maximum of 500 sockets, however some of these will already be in use for HiQnet, TCP, FTP communications and the like. The remaining sockets can be used by instances of Ethernet Trigger/Table objects. This only applies to Ethernet Triggers using the TCP protocol. The quantity of Ethernet objects using UDP is not limited by the number of available sockets.


Event Log Monitor

The Event Log Monitor Logic Object will monitor any HiQnet device on the network for various events or errors. The Event Log Monitor can monitor any HiQnet devices which are in the design and which output their event log. Currently Crown is the only HiQnet manufacturer to support this. The logic output(s) of the Event Log Monitor will remain low when there are no events coming in from the device. On detection of one of the events whose ID has been entered in the properties, the corresponding output of the monitor will go high. The event log monitor provides a logic output used to drive indicators, presets or other logic objects. One Event Log Monitor is required for each device to be monitored. The event log monitor will only give a high output when it receives an error, if it is not connected to a device it will indicate no errors. BSS Audio would recommend using a device monitor in conjunction with the event log monitor.

Properties

Use the properties to enter the HiQnet node address of the device to be monitored. There are 2 methods - by device name, which is more convenient and by HiQnet address which is more flexible.

Number of outputs
The number of event log outputs can be selected from 1 to 32

Use Device Name
Select YES to choose the Device Name to monitor. The device must be included in the design for its name to appear in the Device Name list. The HiQnet node address of the device will automatically be entered if the device is on the network. If the device is not on the network then a HiQnet node address will be generated.
Select NO to manually enter the HiQnet node address of the device to be monitored. This is useful if the device you wish to monitor is not currently on the network and or design.

Device Type
Specifies the type of device to filter the device list on. Currently only Crown supports HiQnet Event Log reporting.

Device Name
Active when "Use Device Name" is set to YES. The name of the device to be monitored can be selected. Only devices included in the design will have their names on the list.

HiQnet Node Address
Active when "Use Device Name" is set to NO. Enter the HiQnet node address of the device to be monitored. This can either be in hex in the format 0x1234 or in decimal in the format 1234.

Hold Time
Set this to specify the time period that each output stays on after receiving an event.

Category
This sets the category of the event from the devices's event log which can be obtained from the device manufacturer. All Crown events are category 16.

ID
This sets the ID of the event from the devices event log. Each event has an individual ID. These IDs can be obtained from the manufacturer of the device to be monitored. See Crown event IDs here.

Description
This allows the user to enter a description of the event which will then be displayed beside the output pin.

TEST Override
This only applies to simulation. Set to NORMAL, the specified output of the event log monitor will be low whilst the device is offline (indicating no error). Set to FORCED, the specified output of the event log monitor will be forced high (to indicate an error) whilst the device is offline.


Logic Buzzer

The Logic Buzzer can be configured only on the BLU-GPXdevice. It provides a means by which to sound the Buzzer on these devices. The buzzer will sound when the input goes high and will be silent when the input is low.


Logic Comparator

The output of the logic comparator goes high when its Raw Value compares favourably with a fixed Compare Value. This object is used with an associated continuous control such as a rotary or a fader or a meter from a processing object. To assign a value to the Logic Comparator, the control object (rotary, fader or meter) must be dragged onto it. A value for comparison can be set either directly on the control panel for the comparator, in the properties for the comparator, or by setting the control to the value for comparison and clicking on the copy button. Both the raw value and the value for comparison are in Hexadecimal.
The light on the logic object design block indicates that the Raw Value compares favourably with the Compare Value. This is operational in simulation and when online to the device.

See Common Object and State Variable IDs for the range of values which can be entered for each control after conversion to hexadecimal.

Logic Comparator Control Panel

Double clicking on the Logic Comparator will open the default logic comparator window.

The control panel may be used to assign the trigger value for the Logic Comparator. This is done by setting the continuous controller to the trigger value and then clicking the COPY button on the control panel.

Properties

Compare Operator
Controls the behaviour of the Logic Comparator output state - set to less than <, less than or equal to <=, equal to =, greater than or equal to >= or greater than > than the compare value.

Sign
Set signed to compare negative values. Signed means the number is in twos-complement form which can represent negative numbers.

Compare Value
This is the value [in hex] that will be compared against in the Compare Operation.


Logic Coupler

The outputs of the logic coupler always exactly match the state of the inputs. This object is useful for connecting sections of a logic circuit together and allows for simplified copy/paste operations within logic.
The lights on the logic object design block indicate the current state of the inputs and outputs. These are operational in simulation and when online to the device.

Properties

Number of Inputs
The number of inputs can be set to between 1 and 32. The number of outputs is always equal to the number of inputs.


Logic Delay

The output of the logic delay will follow the input but will be delayed according to the values set in properties. The delay following a low level at the input can be set independently of that for a high level at the input.
The Logic Delay does NOT function as an audio delay.
The lights on the logic object design block indicate the current state of the input and output. These are operational in simulation and when online to the device.

Properties

Delay On (x 100ms)
The delay time before the output signal turns ON after the input signal goes high.

Delay Off (x 100ms)
The delay time before the output signal turns OFF after the input signal goes low.
The Delay ON/OFF is set in increments of 100ms, for example a setting of 3 equals 300ms.


Logic Display

The Logic Display gives the ability to write customised text out to the front panel LCD display. When the ‘Write’ input transitions to the high state the text configured in the properties will be written to the display and the output of the Logic Display will go high.

If configured by the properties (‘Clear on Reset’), the ‘Reset’ input can be used to clear the customised text from the front panel LCD. When the ‘Reset’ input is high the Logic Display output will be driven low.

If there are more than one of the Logic Display objects in the design, the object which is triggered last will take control of the display. The output of any previously triggered Logic Display Object will remain high until it either reaches its timeout or its Reset input is taken high.

LCD Text Top Line

The text to be displayed on the top line of the LCD (16 characters maximum).

LCD Text Bottom Line

The text to be displayed on the bottom line of the LCD (16 characters maximum).

Clear on Timeout

Whether the LCD text should be cleared on timeout or not. If set to ‘Yes’ the customised text written to the LCD will be cleared after the configured timeout (see below), the output will go low after the timeout and the LCD display will revert to its standard behaviour.

Timeout (in seconds)

The timeout period in seconds before the customised LCD text will get cleared and the output of the Logic Display goes low.

Clear on Reset

Whether the customised LCD text should be cleared when the reset input goes high. If set to ‘Yes’ the customised text written to the LCD will be cleared when the ‘reset’ input goes high and the LCD display will revert to its standard behaviour. The output of the Logic Display object will go low.


Logic End

The Logic End provides a means by which logic can drive other parts of the system, for example control parameters by means of a link. How it links to the control parameters is dependent on the parameter and how many binary states the logic end is given. In many cases, only an exact link is allowed, so care must be taken in configuring this object.

When linking a logic end to a source selector, the "Allow None" state of the source selector must always be set to "Yes". The binary value of the number of inputs to the Logic End (i.e. 2^no. of inputs) must match the number of inputs to the source selector, plus one. Thus, an 8-input source selector cannot be connected to a 3-input logic end, but a 7-input source selector with "Allow None" set to "Yes" can. Similarly, a 6-input source selector cannot be linked to a 3-input logic end. Care must be taken when changing the number of inputs to a source selector or logic end after creating a link, ensuring that the system still functions as expected.

Mapping a Logic End from one London device to a Logic Value in another London device provides an efficient means of transferring up to 32 logic values across London devices by using just one link.

The lights on the logic object design block indicate the current state of the inputs. These are operational in simulation and when online to the device.

Control Panel

Image:Logic end panel.jpg

Image:Logic end colours.jpg

The Logic End will display a colour LED on its control panel depending upon the binary value at its input. The colours can be set in the design properties for the Logic End control panel for up to 64 output states. Any output states above this will be represented by the same colour as the 64th state i.e. colour 63. A single input Logic End can be placed on a logic control port since it can only have a value of 0 or 1.

Properties

Number of Inputs

Sets the number of inputs to the logic end. Selectable from 1 to 32

PC Commands

Enter a command to be run by the PC when a logic input goes high or low.

Custom Events

Enter an event to be logged in the Event Log when a logic input goes high or low.

Custom events can also be used to reboot your device when triggered from a logic end. Enter $reboot for the device to reboot when the logic end goes high or low.


Logic Locate

The Logic Locate gives a high or low output depending on the state of the LOCATE button on the front panel of the device. The output of the Logic Locate will remain high as long as the LOCATE button is being pressed.

Properties

TEST Override

This only applies in simulation. Set to ‘Normal’, the output of the Locate Source will be low whilst the device is offline. Set to ‘Force Output High’, the output of the Locate Source will be high whilst the device is offline.


Logic Pulse

The Logic Pulse produces on and off logic pulses at user defined intervals. It can be used in two ways. If set to be "normal" then it will pulse on and off at the user defined intervals indefinitely. If set to be "startup" then it will pulse only once on startup i.e. when the device is powered up or when the configuration is loaded. In this condition, at startup, the output of the logic pulse will be off for the "Off time", then on for the "On time" then off again for ever i.e. until the device is rebooted or the config is re-loaded. This is a useful feature if you wish to recall a preset upon startup.

The light on the logic object design block indicates the current state of the output. This is operational in simulation and when online to the device.

Properties

On Time (x 100ms)

Sets the time that the Logic Pulse remains high, in multiples of 100ms, e.g. when set to 10, it will remain high for 1 second.

Off Time (x 100ms)

Sets the time that the Logic Pulse remains low, in multiples of 100ms.

Type

Sets the operation to be "Normal" or "Startup".


Logic Source

The Logic Source gives a high or low output depending on the state of its control panel. It can be set either manually using London Architect, from the logic control ports, or by being linked to another control. The Auto Off property will automatically set the Logic Source to OFF after a pre-defined ON period - this is especially useful in touch-panel designs as a method of de-bouncing the touch operation.
The light on the logic object design block indicates the current state of the output. This is operational in simulation and when online to the device.

Properties

Auto Off (x 100ms)
Sets the time that the Logic Source remains high, in multiples of 100ms, e.g. when set to 10, it will remain high for 1 second.

Logic Source
Sets the the Logic Source ON or OFF. This is duplicated in the Logic Source control panel.

Control Panel

Double clicking on the Logic Source object will open the Logic Source control panel.


Logic Source Select

A logic input select to choose between a predetermined number of inputs. The output will go high when its respective input is selected. This can be done in a number of ways -

  • Set the Source Select Input in properties.
  • Select the input from the control panel.
  • Associate the Logic Source Select with the logic input control ports and assign as either an Analog Input or as a Multistate Input. The selection on the control port input will be reflected on the output number of the Logic Source Select.
  • Link the object to another processing object such as an audio Source Selector.

Properties

Number of Outputs

Sets the number of outputs on the Logic Source Select from 1 to 8.

Allow None

Sets whether the 'None' position is available or not (no input).

Control Panel

The combo box permits the selection of an input, or optionally 'None'.


Logic Timed Delay

The output of the Logic Timed Delay object will follow the input but will be delayed according to the time, in seconds, set in properties. The delay following a low level at the input can be set independently of that for a high level at the input. This object is intended for long delays (minutes) and is referenced to the real time clock of the device. The Logic Delay does NOT function as an audio delay.
The lights on the logic object design block indicate the current state of the input and output. These are operational in simulation and when online to the device.

Properties

Delay On (in seconds)
The delay time, in seconds, before the output signal turns ON after the input signal goes high.

Delay Off (in seconds)
The delay time, in seconds, before the output signal turns OFF after the input signal goes low.


Logic Value

The Logic Value object gives a binary or a shift down output which represents the control which has been mapped to it. For example, with a source selector mapped the output will give a representation of the state of the source select.

To map an object to a logic value, open its control panel then drag and drop it onto the logic value object.

The lights on the logic object design block indicate the current state of the outputs. These are operational in simulation and when online to the device.

Properties

Number of Outputs

This sets the number of outputs, selectable from 2 to 32.

Type

This sets the output mode to be either in binary form or shift down.


NAND

A logic NAND gate takes two or more logic-level inputs and produces a single logic-level output. The NAND gate behaves according to the truth table below. The output of the NAND gate will be LOW (0) when both inputs are HIGH (1). Under all other conditions the output will be HIGH (1)

The lights on the logic object design block indicate the current state of the inputs and output. These are operational in simulation and when online to the device.

NAND Truth Table

A | B | O/P
0 | 0 | 1
0 | 1 | 1
1 | 0 | 1
1 | 1 | 0

Properties

Number of Inputs

Sets the number of inputs. This is selectable from 2 to 32.


NOR

A logic NOR gate takes two or more logic-level inputs and produces a single logic-level output. The NOR gate behaves according to the truth table below. The output of the NOR gate will be LOW (0) when any input is HIGH (1). The output will be HIGH (1) only when all inputs are LOW (0).

The lights on the logic object design block indicate the current state of the inputs and output. These are operational in simulation and when online to the device.

NOR Truth Table

A | B | O/P
0 | 0 | 1
0 | 1 | 0
1 | 0 | 0
1 | 1 | 0

Properties

Number of Inputs

Sets the number of inputs. This is selectable from 2 to 32.


NOT

A logic NOT gate has only one input and one output. The output of the NOT object is always the exact opposite of the input, and behaves according to the truth table shown below.

The lights on the logic object design block indicate the current state of the input and output. These are operational in simulation and when online to the device.

NOT Truth Table

I/P | O/P
0 | 1
1 | 0


OR

A logic OR gate takes two or more logic-level inputs and produces a single logic-level output. The OR gate behaves according to the truth table below. The output of the OR gate will be HIGH (1) when any input is HIGH (1). The output will be LOW (0) only when ALL inputs are LOW (0).

The lights on the logic object design block indicate the current state of the inputs and output. These are operational in simulation and when online to the device.

OR Truth Table

A | B | O/P
0 | 0 | 0
0 | 1 | 1
1 | 0 | 1
1 | 1 | 1

Properties

Number of Inputs

Sets the number of inputs. This is selectable from 2 to 32.


Preset Table

The Preset Table is used to recall parameter and venue presets. The input is in binary format, so for example with a 2 input Preset Table, up to 4 presets can be recalled.
The lights on the logic object design block indicate the current selected preset. These are operational in simulation and when online to the device.

Preset Edit Table
Click on the Image:Preset_table_window_select.jpg button in the Preset Table properties to assign presets to each state.

Double click in the edit column for any state in order to assign a preset to that state.

Properties

Number of Inputs
Sets the number of inputs. This is selectable from 2 to 12.
Preset Table
Click here to assign the presets to be recalled.


Preset Trigger

The Preset Trigger is used to recall parameter and/or venue presets. A preset can be recalled when the Preset Trigger input is set to LOW (0) and a further preset can be recalled with the Preset Trigger input HIGH (1).
The light on the logic object design block indicates the current state of the input. This is operational in simulation and when online to the device.

Assigning Presets
Clicking on the drop down menu next to either of the Activate Preset properties will open the following window.

Select the parameter presets or venue presets to be recalled here.

Properties

Activate Preset on 0
Click here to assign the preset to be recalled when the input is LOW (0).

Activate Preset on 1
Click here to assign the preset to be recalled when the input is HIGH (1).


Priority Encoder

The Priority Encoder will give an output which is the binary representation of the input number. If more than one input is selected, then priority will be given to the lowest input.
For example, if inputs P6 and P8 are high, the output will be the binary representation of 6 i.e. 0000 0110.
Up to 23 inputs are available on a single encoder. If more are required they can be cascaded, see below. It also has a "Data Valid" output which is ON if any input is selected. If no input is selected then the output will be a binary representation of the highest input number (22 for a 23 input encoder) and the "Data Valid" output will be OFF.

Cascading Priority Encoders
If more than 23 priority inputs are required it is possible to cascade priority encoder objects. The output format of the last encoder is the same as for a single encoder, and will output up to the total number of priority inputs.
There is no need to fill the first encoder with 23 inputs before cascading. The cascaded sequence will still output a contiguous binary value for each of the inputs regardless of how many inputs each encoder uses.
If the first encoder has no input set, it clears the Data Valid output and sets the highest possible number it can output on its output binary bus. Further cascaded encoders can detect this condition on their "Data Valid" inputs and simply add their inputs to this value. If no inputs are set on any of the cascaded encoders, the final output will have the highest possible value of all the inputs but the Data Valid not set. If the "Data Valid" output is set for any encoder then the following encoder will pass the binary value through unchanged - this way priority is always given to the to the lowest output number. Therefore, the final output will have either the binary equivalent of the first priority input and the Data Valid output set, or, the highest possible value of all the inputs but the Data Valid not set.
In this example, there are 8 inputs on each encoder.
Range
Encoder 1: 0 to 7
Encoder 2: 8 to 15
Encoder 3: 16 to 23

If no input is active on the first device, the Data Valid output is clear and the binary is set to the highest value that encoder could produce. In this example the first encoder will output the value 7; the second encoder will output the value 15 if it too has no inputs active. If an input is active on the third object, it can detect that no Data Valid input is present and ADD its input value to the binary input. It then sets its Data Valid output to indicate that the binary value is valid.
Outputs shown
Encoder 1: 7, (max possible for this encoder), data invalid
Encoder 2: 15, (max possible of first 2 encoders), data invalid
Encoder 3: 16, (input number 16 is first set input), data valid

Properties

Priority Inputs
This sets the number of priority inputs to be converted to binary. This can be set from 1 to 23. Only the lowest numbered input is converted, so P0 has the highest priority.


Serial Trigger/Table

The Serial Trigger/Table is used to send custom serial strings out of the RS-232 port on the rear of the Soundweb London device. It can be set up in two modes:
  • List mode which allows two serial strings per input - one for a LOW (0) input and one for a HIGH (1) input.
  • Table mode which treats the inputs as binary thus giving a greater number of states.
The lights on the logic object design block indicate the current selected preset. These are operational in simulation and when online to the device.

Serial String Edit Table
Clicking on the edit button next to the Serial Table in the Properties window will open the following window.

Enter the serial string in decimal, hexadecimal or ASCII.

Properties

Number of Inputs
This sets the number of inputs, selectable from 1 to 12 when in 'Table Mode' and from 1 to 32 when in 'List Mode'.

Mode of Operation
This sets the mode of operation to either List or Table mode.

Serial Table
Click here to set up the serial strings.


Single Pulse Trigger

The Single Pulse Trigger will set its output high, in response to its input going high and remain high for a pre-defined period.

The behaviour of this Logic Object can be set to one of three modes:

  • "Ignore input during pulse" means that the logic object will behave as it has been set up regardless of any changes to the input during the set period for the pulse.

  • "Restart pulse on low to high" will restart the pulse period at any point when the input is taken high again.

  • "Cancel pulse on high to low" will immediately set the output to LOW (0) upon the input going LOW (0) again.

Properties

Off Time (x 100ms)

Sets the time before the output turns on (HIGH) in steps of 100ms, e.g. 1=100ms

On Time (x 100ms)

Sets the time that the output remains on (HIGH) in steps of 100ms, e.g. 1=100ms

Behaviour

Sets the mode of operation to "Ignore input during pulse", "Cancel pulse on high to low" or "Restart pulse on low to high".


Snapshot Object

Overview

The Snapshot object gives a way of storing and recalling a set of logic values (a snapshot) whilst online. A Snapshot object can store a number of these snapshots, each of which can be stored and recalled at any time. Only one of the following inputs should be high at any one time: Store; Recall; Clear; Bypass. If more than one of these inputs is high at any one time, the object will be in an error condition during which time none of them will have any effect.

Store

To store a snapshot, the data is placed on the data inputs, the snapshot number is placed on the snapshot select inputs and the Store input is taken high.

Recall

Similarly, to recall a snapshot, the snapshot number is placed on the snapshot select inputs, and the Recall input is taken high. The object then places the stored data on the data output. As long as recall is kept high, any snapshots selected will immediately appear on the output.

Snapshot Selection

The snapshot select inputs can be interpreted as priority or binary.

Priority Mode: the lowest active input specifies the number
Binary Mode: all the inputs specify a binary number

So for example, if only priority inputs S3 and S5 were active (0001 0100), snapshot 3 would be selected.

In binary, the same input 0001 0100, (B2 and B4 active) would be interpreted as binary, that is value 20, and because the first snapshot is stored at binary 0, is snapshot 21.

If set as binary, a pattern of 1010 for instance would store it as snapshot 6.

Clear

Clear will set the stored snapshot value for the selected location to zero. The data outputs will remain unchanged.

Bypass

To bypass the Snapshot object and pass data straight through from the data input to the data output, the Snapshot object can be put into bypass mode by setting the Bypass input high. This mode overrides the data that would be output by recall, although these actions still work internally.

Properties

Logic Inputs

Sets the number of logic inputs for the Snapshot function, selectable from 1 to 27. The number of logic outputs will automatically be set to the same.

Snapshot Selection Inputs

Sets the number of inputs to be used for selecting a Snapshot to be recalled or stored. Depending on whether the inputs are configured as priority or binary will affect how many inputs are available.

Maximum selection inputs
Priority: (28 - Number of Logic Inputs)
Binary : 8

Snapshot Addressing

Sets the Snapshot selection to be Priority or Binary.

When set to Priority, only the lowest active snapshot selection line selects the snapshot. The lowest input, S1 has the highest priority. Each input selects a single snapshot so 3 lines allows the storage of 3 snapshots.

When set to Binary, the snapshot selection lines are interpreted as a binary number, so 3 lines allows the storage of 8 snapshots.

Clear Outputs

When set to YES the outputs will be cleared when the stored snapshot for the selected location is cleared.

Snapshot n

This is a list of the contents of each snapshot, which can be edited offline.


Truth Table

The Truth Table sets its outputs according to rules associated with its input states. The input is in binary format. The truth table can be manually edited to define the state of the outputs for each input state. Alternatively a *.CSV file can be imported.

The lights on the logic object design block indicate the current state of the inputs and outputs. These are operational in simulation and when online to the device.

Edit Truth Table

The Truth Table above is set as 2 inputs and 8 outputs. With both inputs low, outputs 2, 5 and 7 will be high, with input 1 high and input 2 low, outputs 1, 2, 4 and 7 will be high, and so on.

As an alternative to manually entering the states for the truth table, a *.CSV file could be imported instead by clicking on the button. The example shown below will produce the above truth table when imported. Note that the inputs states are represented in decimal.

Properties

Number of Inputs

This sets the number of inputs, selectable from 2 to 12.

Number of Outputs

This sets the number of outputs, selectable from 1 to 32.

Truth Table

Click to edit the relationship between inputs and outputs.


Wire Tags

Introduction

Wire Tags are a way of reducing wiring clutter in your design windows (System, Configuration, and Logic). Each wire tag can have up to 128 channels. Each source wire tag can have multiple destination wire tags. Wire Tags do not use any DSP resources or impact the speed of logic simulation.

Creating Wire Tags

There are two ways in which to create a wire tag.

1. In the same way you would add a Processing Object.

2. Use the menu item which also has a shortcut CTRL + W.

You can create additional destination wire tags by creating a new wire tag via method 2 whilst having an existing wire tag selected. This will create a new destination wire tag for the selected wire tag.

You may customize wire tags by adjusting the colour of the tag. Changing the colour will change the source and all destination tags in that wire tag.

NOTE: Wire tags are not available in the Macro Editor.

Here is an example of an 8 channel wire tag with two destination tags.


Support for remote access via VPN

Support for Remote Access via VPN - Introduction

Creating A VPN Connection in Windows

Using HiQnet London Architect Across a VPN

Application Example


Support for Remote Access via VPN - Introduction

This section discusses some of the issues regarding the access of Soundweb London networked devices from a remote PC over the internet. For example, this could allow monitoring of a Soundweb London installation using HiQnet London Architect running on a remote PC with Internet access. During the discussion, HiQnet London Architect software version 1.12 is assumed.

One issue of importance during this remote access is security of the data. Communication is taking place over a public network and if no security measures are taken this data could potentially be captured and used by anyone en-route. Fortunately security measures such as use of a 'Virtual Private Network' (VPN) can allow such communication over the Internet in a secure way.

Virtual Private Networks (VPNs)

A 'Virtual Private Network' can be described as the ability to tunnel through the Internet or other public network in a manner that provides the same security and other features formerly only available on private networks. This is illustrated below for the typical scenario of running HiQnet London Architect from a remote PC with Internet access and connecting to a Soundweb London network using a VPN connection: -

Using VPNs to communicate across the Internet allows security to be maintained as the VPN uses a secure tunnelled connection. Security measures include authentication of users and encryption of data packets over the VPN. With tunnelling, a message packet is encapsulated within an IP packet for transmission across the public network, with the encapsulating information being stripped off upon arrival at the target.

In Windows XP, two types of remote access VPN technology exist, these are: -

  • PPTP (Point to Point Tunnelling Protocol) -- This has good encryption and uses user authentication. PPTP is used in Microsoft VPN clients and is the easiest to setup as it does not require a certificate infrastructure but uses the login credentials to create the encryption keys for the session.

  • L2TP (Layer 2 Tunnelling Protocol) -- This uses IPSec security for a higher level of encryption than PPTP and adds user authentication using a certificate scheme.

In the diagram above, the remote PC user would set up a VPN client connection to the Soundweb London installation. This would normally be achieved by using a ' well-known' name which has been registered for the VPN connection (e.g. vpn.mySoundwebLondonInstall.com ), this is just an easier way of connecting to the IP address of the VPN server router. The next step would be to supply a username and password which has previously been set up on the VPN server router. Once the supplied user account has been authenticated, the VPN server router will allocate an IP address to the VPN client (i.e. the remote HiQnet London Architect PC) which will make it appear like the PC is just another node sitting on the same network as the Soundweb London devices.

Broadcast Exchanges over the VPN

All unicast (i.e. point to point) IP traffic will be transported over the VPN connection as if the VPN client were on the same network. However, some forms of traffic are not automatically transported over the VPN connection and typically this will include broadcast based protocols. Broadcast packets will go no further than the router at the VPN client end of the connection. However, some protocols such as ARP and DHCP get around this by having the router 'spoof' replies to the local broadcast packets. This 'spoofing' of replies is handled by 'Proxy ARP' and 'DHCP Relay Agent' software within the router.

HiQnet London Architect also uses broadcast packets: -

  • HiQnet devices announcing their presence on the network

  • HiQnet London Architect querying which devices are present on the network

No facilities exist in the router software to aid the transport of these packets over the VPN. The way around this problem is the use of the 'Static Routes' feature within HiQnet London Architect. Essentially this is a way of defining point to point routes to all Soundweb London devices with which communication must be possible.

VPN Clients within Business Organizations

If the remote HiQnet London Architect PC (VPN Client) is operating from within a business environment (e.g. with firewall, proxy web server, network address translators etc.) then it is possible that the VPN connection to the Soundweb London installation may not be established. This could be associated to the network infrastructure within the business organization. For example, in a business environment it is common to use proxy servers to access web pages for other computers. When a computer requests a web page it is retrieved by the proxy server and then forwarded to the requesting computer. The remote computer hosting the web page is never in direct contact with the requesting computer, only with the proxy server. This behaviour can interfere with the establishment of VPN connections unless the proxy server itself is 'VPN aware'. The best solution in this case is to consult the IT department within the business to determine what is preventing outgoing VPN connections from being established.


Creating A VPN Connection In Windows

Choice of VPN Router and Configuration

It is recommended that the VPN router chosen to act as the remote VPN server is compatible with Windows platforms (i.e. supports PPTP, L2TP and L2TP over IPSec). This will make the setting up of the VPN client on the remote Windows PC much easier with no special software required. The DrayTek Vigor 2900 Series VPN routers offer this compatibility and were used during tests with London Architect. Other manufacturers VPN routers may require you to install their own proprietary VPN client software on the Windows PC at additional cost (e.g. NetGear 'ProSafe' series).

The VPN router manufacturer's instructions should be followed in order to configure properly for your particular network environment. A VPN user account should be set up for the remote connection. With the DrayTek vigor 2900 router this was a simple matter of using a web browser interface to configure the IP addresses for the public (Internet) connection, and the IP addresses for the private network. Also a VPN user account was setup with 'username' and 'password' and ability to accept PPTP VPN connections.

Using Windows XP Professional As A VPN Server (alternative to VPN server router)

Some installations may already be connected to the Internet via an existing router. If the router does not provide VPN server capabilities, then you can either replace it with one that does, or you can add a VPN server to the network and forward the VPN port from the router to the VPN server.

Windows XP Professional can act as a VPN server and configuration is straightforward. The advantage of using a PC as the VPN server is that many installations will already have a PC for running HiQnet London Architect.

The instructions below describe how to set up a Windows XP Professional PC as a VPN server.

To configure your computer to accept incoming connections: -

  • In Control Panel, click Network Connections.

  • Under Network Tasks, click Create a new connection to start the New Connections Wizard. The first time you start the New Connections Wizard, the Location Information dialog box appears, requesting country or region, area code and, if necessary, a carrier code and an outside access number. You also need to indicate whether your phone system uses tone or pulse dialing. After typing this information in the dialog box, click OK.

  • In the New Connection Wizard page, click Next.

  • On the Network Connection Type dialog box, select Set up an advanced connection and then click Next.

  • On the Advanced Connection Options page, select Accept incoming connections and then click Next. This allows other computers to connect to your Windows XP Professional-based computer by means of the Internet, a phone line, or a direct cable connection.

  • On the Devices for Incoming Connections page, select the check box next to each device you want to use for incoming connections and then click Next. [Please note that "Devices" in this context does not refer to Soundweb London Devices]

  • On the Incoming Virtual Private Connection page, select Allow virtual private connections, and then click Next. This enables a virtual private connection so that another computer can use the Internet or another public network to access your computer. For this to occur, your computer must have a known name or an IP address on the Internet. This could be a static IP address, domain associated to a static IP address or domain associated to a dynamic IP address.

  • On the User Permissions page, select the check box next to each existing user name you want to add, or click Add for each new user you want to add. Click Next. This specifies the name of each user you permit to access your computer.

  • On the Networking Software page, select the check box next to each type of networking software that should be enabled for incoming connections. Click Next, and then click Finish.

  • You will need to forward port 1723 from your router to the PC. "VPN passthrough" must also be enabled on the router.

To specify the IP address range of incoming connections: -

  • In Control Panel, click Network Connections.

  • Right click on Incoming Connections and select Properties.

  • Select the Networking tab.

  • Select Internet Protocol (TCP/IP).

  • Click Properties.

  • Turn on the radio button for Specify TCP/IP addresses.

  • Enter IP addresses in the From and To fields which are in the same subnet as the Soundweb London devices.

Please note that failing to specify the IP address range of incoming connections could result in failure to communicate with the Soundweb London devices.

Configuring the Windows VPN Client (using PPTP)

This section will explain the procedure for creating a VPN client connection under Windows-XP or Windows 2000 with default settings, which will use the PPTP protocol for the connection. This type of connection is easiest to set up and offers good (if not the ultimate) security.

  • Open Network Connections. (Click Start, click Control Panel, click Network Connections, and then click Network Connections.)

  • Under Network Tasks, click Create a new connection, and then click Next.

  • On the Welcome to the New Connection Wizard page of the New Connection Wizard, click Next

  • On the Network Connection Type page, click Connect to the network at my workplace, and then click Next as shown below.

  • On the Network Connection page, click Virtual Private Network connection, and then click Next as shown below.

  • On the Connection Name page, type the name of the connection or your company name, and then click Next.

  • Select 'Do not dial the initial connection' since dial-up vpn connections are not supported with London because of bandwidth restrictions. This may change in the future as dial-up connections get faster.

  • On the VPN Server Selection page, type the Domain Name System (DNS) name or Internet Protocol (IP) address of your company's VPN server on the Internet, and then click Next. An example is shown below.

  • On the Completing the New Connection Wizard page, click Finish. The VPN connection has now been configured with default settings. For information on how to connect to the VPN and what steps must be taken in order to use London Architect across the VPN, follow this link Using London Architect Across A Vpn


Using HiQnet London Architect Across a VPN

Configuration

In order to be able to communicate with Soundweb London devices over a VPN connection the IP addresses of all devices within the Soundweb London network must be known and specified within HiQnet London Architect. The reason for this is that the device discovery procedure used by HiQnet London Architect will not work over the VPN connection as it uses broadcast IP packets. We therefore have to perform the 'discovery' manually by specifying a list of static IP addresses.

First the VPN connection must be established.

  • Provide the user name and password allocated for your VPN account by the VPN network administrator as shown in the diagram below :-

  • Set up the network interface that you wish to use for communication to the Soundweb London devices (this should be the VPN connection interface).

Static Routes Configuration

  • Once the VPN connection is established, the static routes must be entered into HiQnet London Architect File Preferences. The Static Routes preferences dialog can also be accessed from the 'Network' pane: -

  • Static routes are then entered using the Static Routes entry dialog :-

  • Click on the Add button, the Add Static Route dialog will open.

  • Type in the IP address of the Soundweb London device on the VPN network.

  • Add a text description for the static route, click the OK button.

  • Repeat the last three steps for each Soundweb London device with which you wish to communicate on the VPN.

Dynamic IP Addresses and Dynamic DNS

Depending on the broadband provider and account type, the VPN server will either be allocated a fixed IP address or a dynamic IP address. If it has a fixed IP address then you can connect to the VPN easily by using that IP address. However, if the VPN server is allocated a dynamic IP address then you must make some other provision for discovering the IP address when connecting to the VPN. The easiest way to achieve this is to use a third party dynamic DNS service provider such as no-ip or DYNdns. These allow you to register a DNS entry for your router and then refer to this instead of the IP address when connecting to the VPN.

If you plan on using a dynamic IP address for your VPN server, then you should ensure that it supports one of the many dynamic DNS services available.

Potential Problems

Since the configuration of static routes within HiQnet London Architect assumes that the IP addresses of each Soundweb London device will be fixed, problems may arise if the IP addresses have been allocated by a DHCP server or Auto IP. This could result in a Soundweb London device being allocated a different IP address (e.g. from the DHCP server) if it undergoes a power cycle. Keeping track of such automatic allocation of IP addresses would be most impractical when using static routes. In order to avoid this type of problem, it is recommended that Soundweb London devices are allocated fixed IP addresses where the project includes scope for a VPN connection in the design.

Performance

The use of HiQnet London Architect over a VPN may be limited by the connection speed for the VPN, especially if a slow connection is used. Typically, upload speeds at the VPN client end will be the limiting factor and on a typical broadband connection this may be 256 kBit/s.

The upload will get utilised during the transfer of firmware and design files from HiQnet London Architect to the Soundweb London devices.

Firmware Loading Times

To update the firmware in a Soundweb London device, HiQnet London Architect must transfer the firmware file to each device. This process will take considerably longer over a broadband connection than a 100Mbit Ethernet connection (a regular ADSL connection is about 300 times slower than 100Mbit Ethernet when uploading). Please be aware that it can take several minutes to upload a firmware file to a device and will depend on the speed of your broadband connection. If you load firmware to several Soundweb London devices simultaneously it will take proportionately longer to send the firmware file.

When loading firmware over a broadband connection, the loading progress bar may not move for several minutes. This behaviour is normal and the loading will progress as normal once the firmware transfer is complete.

Ports required for VPN:

  • 3804 TCP

  • 3804 UDP

  • 21 TCP - done

  • 49152 to 50152 TCP

FTP transfers (used when loading configurations and firmware) use ports 49152-50152. However, if there is only one PC online, then it will always use 49152. If there are 2 pcs online, then it will use 49152 and 49153.

Conclusion

Use of 'Virtual Private Network' to connect to Soundweb London installations provides a convenient way of remotely configuring, controlling and monitoring a Soundweb London installation while maintaining security through use of privileged user authentication and encryption of data packets.

Provided that the Soundweb London installation is VPN capable and that the connecting user has the HiQnet London Architect design file available, the user should be able to interact with the Soundweb London install anywhere where there is an Internet connection available with a reasonable bandwidth.

In order to maximise the probability of successful remote operation of Soundweb London installation over a VPN, the following guidelines are recommended: -

  • Choose a VPN server router which is Microsoft VPN Client (PPTP) compatible for ease of configuration

  • Use Firewalls / Routers / Proxy Servers which are 'VPN aware'

  • Use Firewalls which are 'FTP aware'

  • Configure Static Routes in HiQnet London Architect to Soundweb London devices

  • Configure 'passive' FTP in HiQnet London Architect

  • Use fixed IP addresses for the devices within the Soundweb London installation (no DHCP or AutoIP)


Application Example

Introduction

The following example details how to configure the following system: -

Hardware

  • Control PC

  • ADSL Router

  • VPN Router

  • Soundweb London BLU-80

PC and ADSL Router

HiQnet London Architect is installed on the PC following the usual installation process. The ADSL router is a generic ADSL router providing Internet access to the PC. Most broadband routers today implement VPN passthrough which enables the PC to connect through the ADSL router to the VPN server. Please check with the manufacturer of the router or your service provider to confirm support of VPN passthrough.

Follow the setup instructions in the user manual supplied with the ADSL router.

BLU-80 and VPN Router

The VPN router must now be set up to provide internet access to the remote site. To configure the VPN router you will need to connect a PC to the LAN side of the router and follow the user manual supplied with the VPN router.

Note: It will be much simpler to connect to the remote site if the broadband connection is allocated a fixed IP address by the broadband provider. For broadband connections with a dynamically allocated IP address please see the Dynamic IP Addresses and Dynamic DNS section of this documentation.

Once the VPN router is set up correctly, you should have Internet access at the remote site. The next step it to configure VPN access on the router. This process should be described in detail either in the user manual supplied with the router or on the manufacturer’s website.

Next, using HiQnet London Architect, set the BLU-80 to use a fixed IP address ensuring that it doesn't conflict with the range allocated by the DHCP server or the IP addresses allocated to VPN clients. For example, if the router uses 192.168.1.200 - 192.168.1.255 as the range for VPN clients, set the IP address of the BLU-80 to 192.168.1.100.

HiQnet London Architect On Site

While on site, the HiQnet London Architect design file should be uploaded to the BLU-80 and the audio installation debugged. Once satisfied that the design is complete, open the file preferences and select the static routes tab. Next, click on the Auto button to add the BLU-80 to the static routes: -

Save the design file to store the static routes in the file. The remote site is now ready to be controlled and monitored remotely via the VPN.

Remote Control and Monitoring Over VPN

Now, when off site and connected to the Internet via the generic ADSL router, the VPN connection can be used to connect to the BLU-80. First, set up a VPN connection to the VPN router using the the Windows New Connection Wizard (see Configuring the Windows VPN Client (using PPTP) section of this documentation for further details).

You should now have a new network adapter shown in Network Connections. To connect to the VPN simply double click on the VPN network adapter. Enter the user name and password you set up when configuring the VPN server: -

Load the design file into HiQnet London Architect and select the VPN adapter in Tools, Application Preferences, HiQnet (tab): -

You can now configure, control and monitor the BLU-80 as though connected on the same LAN.

Please be aware that some processes may take longer than normal due to the bandwidth of the connection.


Network Troubleshooting

A few common network problems and possible solutions are listed below.

Problem | Solution
Soundweb London device appears in the Network view when first powered on, but disappears shortly thereafter and doesn't come back. | The device may have a valid IP address with a netmask of 0.0.0.0. While the device is visible in the Network view, assign a correct netmask.
Only one Soundweb London device out of two or more shows up in the Network view at a time, and which device is visible changes periodically. | The devices may have conflicting HiQnet addresses. 1. Power down all but one of the affected devices. 2. Refresh the Network view. 3. Assign the visible device a unique HiQnet address. 4. Reconnect power to the other devices one at a time, repeating steps 2 and 3 for each affected device.


Network Cable Termination Guide

Network Cable Termination Guide

Control

Soundweb London devices are connected to a 100BASE-T Ethernet switch network by using a CAT5 or better cable wired straight through. This may be terminated T568A or T568B, as long as it is terminated the same on both ends, it will work as a straight through cable.

Your PC may be connected directly to a London devices Control network port without the use of an Ethernet switch by using an Ethernet crossover cable.

The only difference between the T568A and T568B pin/pair assignments are that pairs 2 and 3 are swapped, therefore a crossover cable is a cable with one end terminated T568A and the other T568B.

CobraNet

The CM-1 card is an Ethernet device with two ports. As above, these ports are connected to an Ethernet switch network by using a CAT5 or better cable wired straight through. If you only have two CobraNet devices, they can be connected together using crossover cables. Connect the Primary to Primary and Secondary to Secondary.

BLU link

BLU link is not Ethernet, it is a proprietary point to point networking protocol that requires CAT5e or better cable. The BLU link ports are auto sensing, so you can use a straight through (same termination on both ends) or crossover (T568A to T568B) connection between them. BLU link can also be run over fiber using standard media converters.

Color Codes

T568A

T568B

RJ45 Plug


Boot Loader

Firmware Upgrade using 'BootLoader.exe' Tool

The Boot Loader tool can be found in C:\Program Files\Harman Pro\London Architect. This tool can be used to load firmware to any of the BLU devices as an alternative to using London Architect. To load the firmware using the 'BootLoader.exe' tool, the user should perform the following actions :

  • Launch the 'BootLoader.exe' tool

If loading firmware into a BLU-80, BLU-32, BLU-16, BLU-800/BLU-805/BLU-806, BLU-320/BLU-325/BLU-326, BLU-160, or BLU-120 the device must be powered up whilst pressing the 'LOCATE' button. If loading firmware into a BLU-10 the device must be powered up whilst pressing the Exit button. Once the MAC address of the device is shown on the display release the 'LOCATE' button. Note that this can take up to 12 seconds on the BLU-800, BLU-320, BLU-160 and BLU-120.

  • On the Boot Loader tool select the 'Standard Transfer Mode' radio button.
  • Select the 'Browse' button to locate the firmware you want to load.
  • Enter the 'Unit MAC Address' (from the display) then click the 'Add To List' button. Several MAC addresses can be added to the list but only one type of device (eg BLU-80's only or BLU-32's only etc.) can have firmware loaded at any one time.
  • Select the 'Start' button to download the firmware.
  • After a successful firmware load the device will reboot. The new firmware version will be shown on the display.
  • Select the 'Clear' button to clear the list before adding further MAC addresses for other device types.

If loading firmware to a BLU-8 the device must be powered up whilst holding the 'LOCATE' button. You will see the RED LEDs cycling.

  • Select the 'Acknowledged Transfer Mode' radio button.
  • Wait until the BLU-8 MAC Address appears in the list box (this should only take up to 5 seconds)
  • The MAC Address should start with the sequence '00:0F:D4:xx:xx:xx'. If this is not the case then no firmware loading will be possible as the device has not been assigned the correct BSS Audio MAC address during manufacture (please return the device to BSS Audio).
  • Select the 'Browse' button to locate the BLU-8 firmware file to load.
  • Select the 'Start' button to download the firmware to the BLU-8.
  • The progress of the firmware download / programming may be monitored on the BLU-8 LEDs, see BLU-8 Firmware Upgrade.

If loading firmware to a BLU-8v2 the device must be powered up whilst holding the 'LOCATE' button. You will see button LEDs 1 to 4 illuminated AMBER.

  • Select the 'Standard Transfer Mode' radio button.
  • Wait until the BLU-8v2 MAC Address appears in the list box (this should only take up to 5 seconds)
  • The MAC Address should start with the sequence '00:0F:D4:xx:xx:xx'. If this is not the case then no firmware loading will be possible as the device has not been assigned the correct BSS Audio MAC address during manufacture (please return the device to BSS Audio).
  • Select the 'Browse' button to locate the BLU-8v2 firmware file to load.
  • Select the 'Start' button to download the firmware to the BLU-8v2.
  • The progress of the firmware download / programming may be monitored on the BLU-8v2 LEDs, see BLU-8v2 Firmware Upgrade.

If loading firmware to a BLU-100, BLU-101 or BLU-102 you need to find the MAC address of the device before using the BootLoader application. You can find the MAC address either by viewing the 'Network Device Network Settings' for the device in the network view of London Architect, using the London Configurator tool or by using hyperterminal and typing in RMAC. Once you have established the MAC address, power up the device whilst pressing the 'LOCATE' button. The COM, STAT and ERR LEDs will be YELLOW to indicate that the unit is in BootLoader mode. The entire process will take several minutes.

  • On the Boot Loader tool select the 'Standard Transfer Mode' radio button.
  • Select the 'Browse' button to locate the firmware you want to load.
  • Enter the 'Unit MAC Address' then click the 'Add To List' button. Several MAC addresses can be added to the list but only one type of device (eg BLU-80's only or BLU-100's only etc.) can have firmware loaded at any one time.
  • Select the 'Start' button to download the firmware.
  • The blue bar on the Bootloader app. indicates the file transfer, this will take a couple of minutes.
  • After a further 2 minutes (approximately) the COM, STAT and ERR LEDs will alternate ‘All Off’ / ‘All YELLOW’ to indicate that the firmware file is being flashed to the device after a successful transfer, this will also take a couple of minutes..
  • After a successful firmware load the device will reboot.
  • Select the 'Clear' button to clear the list before adding further MAC addresses for other device types.

If the Boot code has detected any problems, errors will be indicated on the COM/STAT/ERR LEDs according to the following table :

 | COM LED | STAT LED | ERR LED
General Error | Off | Off | Red
Fatal Error | Red | Red | Red
MAC Address Error | Yellow | Yellow | Red
Invalid Application Error | Off | Green | Red
Invalid FPGA Error | Off | Yellow | Red


London Configurator

Serial Communication using 'London Configurator.exe' Tool

The London Configurator tool can be found in the London Architect installation directory (C:\Program Files\Harman Pro\London Architect). This tool can be used to send and receive a set of commands to/from any of the BLU devices as an alternative to using London Architect. Specifically aimed at the BLU-100, BLU-101 and BLU-102, it will allow you to get the information from the device that is usually present on the front panel LCD display of the other London devices.

The application will read from the device and display:

  • IP configuration information, i.e. IP address, Subnet Mask, Gateway and Auto IP on/off

  • HiQnet Node address

  • Device name

  • MAC address

  • Firmware version

  • The status of the ports (FTP, HTTP, Telnet and Raw Message) i.e. open (checkbox ticked) or closed (checkbox blank)

The application can write to the device:

  • IP configuration information, i.e. IP address, Subnet Mask, Gateway and Auto IP on/off

  • HiQnet Node address

  • Device name

  • FTP, HTTP, Telnet and Raw Message ports open (tick the checkbox) or close (un-tick the checkbox)

Using the London Configurator

Reading the configuration from the London device

Connect the serial port of the London device to a serial COM port on your PC using a null modem cable. The serial settings should be set to :

  • 115200 bps, Priority None, Data bits 8, Stop bits 1.

Upon opening, the London Configurator will default to using COM 1. If you are connected on COM 1 already then the configuration information from the London device will be displayed. If you are not connected on COM 1 then select the correct COM port for your PC and click on Refresh to receive the configuration information from the London device.

Send commands to device

Make sure that your PC is connected to the London device. Click Refresh to obtain the current settings from the device. Enter any changes you wish to make on the form and click on Send. The device will then reboot for the changes to take effect, this could take a couple of minutes. Click on Refresh to read from the device again and confirm your changes.

Auto IP

If you check the Auto IP box the IP configuration boxes will grey out since the settings will not be valid. After sending the command, allow time for the device to reboot and obtain an IP address. Clicking on Refresh will display the new IP settings.


IP Settings

The London IP Settings tool can be used to send IP configurations to any London device on the network. Start up, in boot mode, the device who's configuration you want to change. To do this simply hold down the front or rear locate button whilst power cycling the device. Continue to hold the locate button until the MAC address is displayed on the device's front panel, this could take up to 12 seconds. Enter the device's MAC address in the MAC address field of the dialog. Now reboot the device so that it starts up normally. Enter the IP config details or check the auto ip box and then click on Send to send the changes down to the device.

* The BLU-100, BLU-101 and BLU-102 do not have a front panel display, you may wish to use the London Configurator utility in this case.


Crown Modules

London Architect offers control of the following Crown amplifier modules:

  • CTs 4200, CTs 8200, USP3/CN, USP4/CN

Error reporting, load monitoring, signal level monitoring, gain control, source routing and Cobranet configuration.

  • Macro Tech i 2 Channel, PIP Lite

Error reporting, load monitoring, signal level monitoring and gain control.

  • USP3

Error reporting, load monitoring, signal level monitoring, gain control and signal path routing.

  • PIP-BLU

Error reporting, load monitoring, signal level monitoring, gain control, signal path routing, BSS Audio BLU link configuration, input compressor and output limiter configuration.


PIP-BLU

The PIP-BLU is a Programmable Input Processor input module for Crown CTs Series, two channel amplifiers. The PIP-BLU connects to an Ethernet network allowing it to be remotely controlled and monitored via London Architect. In addition the PIP-BLU allows the transport of real-time digital audio via the BSS Audio BLU link audio bus allowing digital audio to be transported between BSS London devices and the amplifier.

Inputs and Outputs

  • Two analogue audio inputs and BLU link i/o. Up to 4 channels of BLU link audio can be assigned to the input channels.

  • Two amplifier outputs, two analogue audio outputs (for monitoring) and BLU link. Two channels of audio can be assigned to the BLU link output channels.

Properties

Clock

Sample Rate - The sample rate can be set to 48kHz or 96kHz

Parameter Presets

Proxy Device For Presets - Presets cannot be recalled directly from the PIP BLU which means that you are required to use a London device as a proxy. All London devices which are in your design will be listed for you to select which one you wish to use as proxy. When a parameter preset or venue preset is recalled the proxy device manages the setting of the PIP BLU to its preset state.

BLU link

BLU link - Click on the ... icon to assign the BLU link network you want the device to be part of .

Channel Assignment - The BLU link input and output channels can be assigned in properties, click on the icon to open the channel assignment dialog.

Use the channel assignment dialog to select which BLU link channels you want to pick off for the BLU link inputs and outputs. Up to 4 channels of BLU link can be assigned to the inputs and 2 channels to the outputs. See BLU link Configuring a device. For the PIP-BLU the dialog displays the BLU link channel, the BLU link channel name from the transmitting device, the name of the transmitting device and the name of the receiving device. Since the PIP-BLU doesn't have BLU link objects as such, the fields for Tx object and Rx object are blank for the amps.

Control Panel

Main Panel

Limit LEDs - The LED indicator IS GREEN when no gain reduction is applied and changes to AMBER when gain reduction is greater than 0dB throughout the signal path.

Temp LEDs - The Thermal Status indicator is normally GREEN and will change to AMBER when the thermal headroom used reaches 60% or more.

Power - Power on/off for each channel of the amplifier. Displays GREEN when power is on.

Mute - This control mutes / un-mutes the input signal through the control module.

Polarity - Inverts the signal per channel.

Output Gain - The output fader controls allow you to manually set the output level for both channels of the amplifier.

Output Clip LEDs - These indicators turn RED when the output is clipping.

Amplifier Output Meter - Displays the amplifier peak output levels for both channels.

Input Clip LEDs - These indicators turn RED when the input signal is clipping.

Amplifier Input Meter - Displays the "raw" (before attenuation) RMS input level presented to both amplifier inputs. The signal displayed on these meters is the Amplifier Input Source which has been selected on the Signal Path page.

Data - Engaging this control will illuminate the data LED on the front panel of the amplifier thus allowing you to see which amplifier is being controlled.

Stereo / Mono - You can select between three modes, Dual, Y, and Bridge

Dual - This mode is the default configuration for the amplifier. In this configuration the amplifier will act as a typical amplifier. It can also be referred to as 2 x 2 mode. Each channel acts independently.

Y - When Y mode is selected, whichever source is selected for Amplifier output 1 will be processed through both amplifier channels and will be applied to both amplifier outputs.

Bridge - This mode is typical bridge mono mode as the amplifier will act as one large single channel amplifier. The output wiring must be changed to match this mode. With the PIP-BLU module installed in a 2 Channel CTs amplifier, this control still functions. It is not necessary to move the switch on the rear of the amplifier. However, the light on the front of the CTs will not illuminate to indicate that it is in bridge mode. In this mode only the channel 1 indicators and controls are available, channel 2 controls have no effect.

Testing LEDs - Conditions are not always adequate for load testing. The PIP-BLU reports this through a pair of "Testing" LEDs. These LEDs may be found both on the Load Monitoring Page and on the Main View of the Control Panel. If conditions are adequate for load testing, these LEDs will be illuminated.

Status - When Load Monitoring is turned on and conditions are sufficient for testing to be taking place, then the Status, as shown both on the main View and the Load Monitoring pages of the Control Panel, displays:

Low - displayed if the detected average impedance falls below the low limit as set on the Load Monitoring page.

Normal -displayed if the detected average impedance falls in the range between the low and high limits.

High - displayed if the detected average impedance rises above the high limit.

Error Reporting

Channel Specific

Channel Error Reporting - Report errors to the Event Log Monitor and the Event Log.

Clip Count - The Count slider lets you set number of Clip events per unit of time allowed before an error is generated.

Thermal Level % - This control lets you set an acceptable thermal level between 1% and 100%. If the actual thermal level exceeds this setting, an error message will be generated if selected.

Clip Detect Time % - With the time control, you can set the number of seconds (1 to 10) during which the number of Clip error events are counted for possible error reporting.

Auto Standby Threshold - The PIP-BLU module has an auto-standby feature that will turn off the high voltage rails of the amplifier. The threshold control allows you to set an input level threshold between -40 dB to +16 dB. If the input level fails to exceed this threshold for a period of time set by the Turn-off Delay, this amplifier channel will be put into standby.

Auto Standby Turn-off Delay - The Turn-off Delay control lets you set the amount of time for which the input level must remain below the Input Gate Level before the amplifier channel is put into standby. The range of control is 1 minute to 255 minutes.

Device Specific

Report via Network - The Line Voltage section allows you to monitor the line voltage in real time. With this button engaged the amplifier will report errors to London Architect and the London Architect Event Log. You can use the Logic Event Log Monitor to set the Event IDs and detect the errors

Actual (Volts) - The actual Line Voltage is displayed here.

High Limit (Volts) - Set the Line Voltage upper limit.

Low Limit (Volts) - Set the Line Voltage lower limit.

Load Monitoring

On/Off - This button activates or deactivates Load Monitoring for the selected channel.

Impedance Limits - You can define both the high and low impedance limits. If the average impedance goes outside of these bounds while Load Monitoring is enabled, then the High or Low Status message will be shown.

Nominal Load Impedance - Enter a nominal load impedance in ohms. The value of this setting determines the outcome of the testing.

Reporting Out Of Range - Allows errors to be reported to the Event Log and the Event Log Monitor.

Testing LEDs - The load can only be measured when there is adequate output level. Otherwise the signals are too small to measure and the testing LED is Off. The Testing LEDs are also on the Main view.

Load Status (see Main Panel above) - When Load Monitoring is turned on and conditions are sufficient for testing to be taking place, then the Status, as shown both on the main View and the Load Monitoring pages of the Control Panel,displays:

Low - displayed if the detected average impedance falls below the low limit as set on the Load Monitoring page.

Normal - displayed if the detected average impedance falls in the range between the low and high limits.

High - displayed if the detected average impedance rises above the high limit.

Testing LEDs - The load can only be measured when there is adequate output level. Otherwise the signals are too small to measure and the testing LED is Off.

Impedance Monitor - The average impedance is displayed here.

Signal Path

On this page you can select which input sources are to be processed and routed to the Amplifier outputs and which sources to route to the Analogue outputs and the BLU link outputs.

Scaled Amplifier Outputs 1 and 2 can be routed to both the Analog and Blu link outputs for monitoring.

PIP outputs 1 and 2 can also be routed to the Analogue and Blu link outputs. The PIP outputs are the signals which are presented at the amplifier inputs.

If routing audio from BLU link inputs or to BLU link outputs you must also remember to assign the BLU link output channels.

BLU link

BLU link V2 - The indicator is On if all devices connected via BLU link have BLU link version 2. BLU link version 2 has fixed latency.

Mastership Priority - The BLU link network requires one device on the ring to act as master for the whole ring. The master will provide the clock for all the other devices on the ring. This means that the whole ring is synchronised to a single audio clock. Priority can be set from 0 to 254 with 254 being the highest priority.

Sync LEDs - One of the following LEDs will be lit to show how this device is synchronized:-

Error - This BLU link network is connected to multiple CobraNet networks

Master - This device is clock master

BLU link In - This device is receiving clock from the BLU link 'In' connection.

BLU link Out - This device is receiving clock from the BLU link 'Out' connection.

Link In/Out - Link In is illuminated if a valid ethernet link is present on the 'In' port. Link Out is illuminated if a valid ethernet link is present on the 'Out' port.

Valid In/Out - Valid In is illuminated if valid BLU link audio is present on the 'In' port. Valid Out is illuminated if valid BLU link audio is present on the 'Out' port.

Corrected Counters - The corrected counters show the number of recoverable bit errors that have occurred.

Error Counters - The error counters show the number of unrecoverable bit errors that have occurred.

Reset - Resets the counters.

Meters

The meters display the signal present on the analogue and BLU link inputs and outputs as well as the amplifier outputs.

Input Compressor

Input RMS Meter

Output RMS Meter

Enable - This button activates or deactivates input compression for the selected channel.

Threshold - The Threshold control sets the level that the input must exceed before compression is activated.

Ratio - The compression ratio controls the amount of compression that is applied for each step of input above the threshold. The range of control is 2:1 through 32:1.

Attack - The Attack Time control sets the amount of time it takes to attenuate the input signal by 20 dB. The range of control is 1 millisecond up to 100 milliseconds.

Release - The Release Time control sets the amount of time it takes to increase the gain by 20 dB once the input signal has fallen below the Threshold. The range of control is 10 milliseconds through to 10 seconds.

Gain Reduction Meter - This meter displays the amount of reduction that is occurring in the processing block. This meter does not show any compression or limiting that is occurring as a result of the output limiters.

Compressor Link - The link button links the two channels of the compressor so that if either channel is in compression the other channel will also compress. Note this button will not function if one of the channels of the compressor block is disabled or if the amplifier is not in Dual mode.

Output Limiters

Peak Voltage Limiter - The Peak Voltage Limiter block allows you to limit the peak voltage of the output signal through the amplifier. Each Peak Voltage Limiter section includes:

Enable - Click on this button to turn the Peak Voltage Limiter on and off.

Threshold - Use this control to set a peak voltage in volts.

Attack - Set the amount of time after the voltage threshold is exceeded before limiting takes place. The range for this control is from 1 to 100 milliseconds

Release - Set the amount of time after the voltage drops below threshold before limiting is released. The range for this control is 0.01 to 10 seconds.

Gain Reduction Meter - This meter displays the amount of peak voltage limiting taking place.

Output Peak Meter - Displays the amplifier peak output levels. These are the same meters as on the Main view.

RMS Power Limiter - The RMS Power Limiter block allows you to base limiting on the average power of the output signal through the amplifier. The RMS Power Limiter section includes four controls:

Enable - Click on this button to turn the RMS Power Limiter on and off.

Threshold - Use this control to set a maximum RMS power in watts. The range for this control is 10 to 10,000 watts.

Attack - Set the amount of time after the RMS power threshold is exceeded before limiting takes place. This control has a range from 1 to 30 seconds.

Release - Set the amount of time after the RMS power drops below threshold before limiting is released. The range of control is 1 to 30 seconds.

Gain Reduction Meter - This meter displays the amount of RMS power limiting taking place.

Output RMS Meter - Displays the amplifier RMS output levels.

Limiter Link - The link button links the two channels of the limiter so that if either channel is limiting the other channel will also limit. Note this button will not function if one of the channels of the limiter block is disabled or if the amplifier is not in Dual mode.

Firmware Loading

If the firmware version is greater than that currently on PIP BLU, HiQnet London Architect will automatically detect this when going Online and will prompt to go through the firmware upgrade process.

The firmware upgrade process can be manually initiated by clicking on the Load Firmware icon in the Network View: .

Changing network settings

The network settings of the PIP-BLU can be changed in the HiQnet London Architect Network View. To interact with the PIP-BLU in the Network View, select it in the network tree and click on one of the Network View icons show below:

The following operations can be performed by clicking on the Network View icons (left to right):

  • Locate the device on the network

  • This is greyed out. PIP BLUs cannot be rebooted from London Architect.

  • Change the device's settings:

    • Change the device name (Note: a unique name should be given to each PIP-BLU in the system)

    • Change the device HiQnet address - not supported for Crown amps.

    • Configure the device to use AutoIP or DHCP addressing

    • Configure the device to use manual IP address settings

  • Automatically add network devices to the design

  • Upload firmware to devices on the network


Third-party Control

Third-party controllers may control a Soundweb London network via RS-232 or TCP/IP. For more information, see the following pages:

Third-party Control Protocol - Physical interface, control protocol

Direct Inject Tool - Tool for generating control messages

Common Object and State Variable IDs - Tables of Object IDs and State Variable IDs for convenient reference

Parameter Range Scaling - Formulas for converting human-readable values (such as dB, Hz, and seconds) to and from device values

Third-party Control Troubleshooting - Troubleshooting common control problems


Third-party Control Protocol

Introduction

This section is provided for Soundweb London users who wish to provide their own user interface or control system for a Soundweb London system. The user interface or control system can be based on a PC running a custom application, a dedicated show controller, a proprietary control system such as Crestron or AMX, or even a custom piece of hardware.

The Soundweb London third-party control protocol builds on the flexibility of the RAW_MSG extension protocol introduced with Soundweb Original and gives almost complete control of a Soundweb London network via RS-232 or TCP/IP.

Interface Options

Soundweb London devices accept third-party control commands via RS-232 or TCP/IP. It is only necessary to connect to a single device in a Soundweb London network. That device will forward control messages to other devices as necessary.

Serial/RS-232

  • The connection from the controller to the Soundweb London device should be made using a 3-wire null modem cable. In most cases it is fine if the other pins are connected, but some controllers will only work with 3-wire cables.RS232

PC or Controller |  | Soundweb London
RX | Pin 2 | TX | Pin 3
TX | Pin 3 | RX | Pin 2
GND | Pin 5 | GND | Pin 5

  • Soundweb London devices use 8-bit data bytes, no parity, and one stop bit (i.e. '8N1').

  • The default bit rate is 115,200 bps. This can be changed in HiQnet London Architect by clicking on the desired device in the system layout, opening the Properties window, and selecting the desired data rate. Other parameters, such as whether the device will expect messages to be acknowledged, can also be adjusted here.

TCP/IP

  • Soundweb London devices also accept third-party control messages via TCP/IP connections on port 1023. Refer to your controller's documentation for more information on connecting to a device via TCP/IP.

Protocol Description

The Soundweb London third-party control protocol (also called the 'Direct Inject' protocol) is a simple message-based protocol. Each message consists of a start byte, a message type ID byte, the message payload (which depends on the message type), a checksum byte, and an end byte. On serial connections, messages with a valid checksum are acknowledged with an ACK byte, while messages with an invalid checksum trigger a NAK response.

In a typical scenario, a controller might first send a series of SUBSCRIBE messages to learn the current state of the Soundweb London system. The Soundweb London device would respond with a SET message corresponding to each valid SUBSCRIBE message. The Soundweb London device will also notify the controller with a SET message each time a subscribed control parameter changes (unless the change is made by the controller itself). The controller could then send SET messages each time a control parameter should be changed based on user interaction or controller automation. When the controller is done controlling the Soundweb London system, it sends UNSUBSCRIBE messages corresponding to each SUBSCRIBE sent previously.

Message Format

Soundweb London third-party control messages have the following format:

STX | ID | Payload | Checksum | ETX
0x02 | Message body - see below |  |  | 0x03

The message body is constructed in three steps:

  1. The ID and Payload are assembled according to the appropriate format for the given message type.

  2. An XOR checksum of the ID and Payload is appended.

  3. Any control codes are escaped.

Message ID

There are nine message types. The behavior of each is described in the following table:

ID | Message Type | Description
0x88 | DI_SETSV | Set a control parameter.
0x89 | DI_SUBSCRIBESV | Return the current value of and subscribe to a control parameter.
0x8A | DI_UNSUBSCRIBESV* | Unsubscribe from a control parameter.
0x8B | DI_VENUE_PRESET_RECALL | Recall a Venue Preset.
0x8C | DI_PARAM_PRESET_RECALL | Recall a Parameter Preset.
0x8D | DI_SETSVPERCENT | Set a control parameter by percentage.
0x8E | DI_SUBSCRIBESVPERCENT | Return the current value of and subscribe to a control parameter as a percentage of its total range.
0x8F | DI_UNSUBSCRIBESVPERCENT* | Unsubscribe from a state variable previously subscribed as a percentage of its total range.
0x90 | DI_BUMPSVPERCENT | Increment a control parameter by the given signed percentage of its total range.
*DI_UNSUBSCRIBESV and DI_UNSUBSCRIBESVPERCENT are not interchangeable.

Payload

The payload varies slightly with each message type. The message ID and payload together are 5 bytes for preset messages, 13 bytes for all other messages (before any control codes are escaped).

Message Type |  | Payload Format
0x88 | DI_SETSV |
0x89 | DI_SUBSCRIBESV
0x8A | DI_UNSUBSCRIBESV
0x8D | DI_SETSVPERCENT
0x8E | DI_SUBSCRIBESVPERCENT
0x8F | DI_UNSUBSCRIBESVPERCENT
0x90 | DI_BUMPSVPERCENT
0x8B | DI_VENUE_PRESET_RECALL
0x8C | DI_PARAM_PRESET_RECALL

Address

Control parameters (also called 'State Variables') on a Soundweb London device are logically grouped into Virtual Devices (corresponding to categories of objects, such as Audio and Logic) and Objects (corresponding to individual processing objects). Each Object is uniquely identified on the Soundweb London network by its HiQnet address. HiQnet addresses are typically represented in hexadecimal and have the following format: 0xNodeVDObject.

Field | Size | Name | Description
Node | 2 | HiQnet Node Address | The HiQnet node address of the targeted Soundweb London device. Each physical Soundweb London device has a unique HiQnet node address assigned to it using the HiQnet London Architect software. If the node field is zero, the message will be sent to the device that is directly connected to the controller via RS-232 or TCP/IP. Otherwise the message will be forwarded to the corresponding device.
VD | 1 | Virtual Device ID | The ID of the targeted virtual device. Objects (such as gains, mixer, logic elements, etc.) within the Soundweb London system are organized into Virtual Devices. A list of the Virtual Devices in a Soundweb London DSP device follows below.
Object | 3 | Object ID | The ID of the targeted processing object. Each processing object, logic object, etc. has a unique object ID.

Node

The node address of a Soundweb London device is shown in the Properties window when the device is selected in the system layout. It is also shown in the Network window when a device is selected in the network tree. See Connecting to a Soundweb London network for more information on changing a device's node address. The node address is the first four hexadecimal digits of the HiQnet address.

Virtual Device

Each Soundweb London DSP device contains four virtual devices. The Virtual Device ID is the third byte of the HiQnet address, or the fifth and sixth hexadecimal digits.

VD | Description
0x00 | Basic settings
0x01 | Links
0x02 | Logic objects
0x03 | Audio processing objects

Object

The Object ID is the last six hexadecimal digits of the HiQnet address shown in the Properties window when a processing object is selected in the device's audio configuration.

State Variable

Each control parameter of an Object is identified by a State Variable ID. State Variable IDs are consistently defined for each object type. For example, the mute control of every Gain object always has State Variable ID 0x01. If an object has a large number of control parameters, it is possible to use a formula to calculate the State Variable ID based on input and/or output channels, rather than hard-coding each control parameter ID. See Common Object and State Variable IDs for a list of objects and their corresponding State Variable IDs, including formulas for calculating State Variable IDs for some objects. The State Variable ID for a control parameter can be discovered by selecting the desired object, opening the Properties window, and clicking the desired control parameter in the Parameters list of the Properties window:

Gain Object: Gain SV ID is 0x00

Gain Object: Gain SV ID is 0x00

The two-byte State Variable ID is always an unsigned 16-bit big-endian integer.

Data

The four-byte data section is always a signed 32-bit big-endian integer (i.e. the most significant byte is transmitted first). The contents of the data section are determined by the message type.

Message Type |  | Data Type
0x88 | DI_SETSV | Raw control value
0x8D | DI_SETSVPERCENT | Percentage of control range
0x90 | DI_BUMPSVPERCENT
0x89 | DI_SUBSCRIBESV | Zero for non-meter SVs, subscription rate for meter SVs
0x8E | DI_SUBSCRIBESVPERCENT
0x8A | DI_UNSUBSCRIBESV | Zero
0x8F | DI_UNSUBSCRIBESVPERCENT
0x8B | DI_VENUE_PRESET_RECALL | Preset ID
0x8C | DI_PARAM_PRESET_RECALL

Raw Value

Each type of control parameter (i.e. gain, mute, frequency, time, etc.) has its own encoded format for raw values. See Appendix A for information on calculating raw values.

Percentage

The value of the control as a percentage of its total range (i.e. 0 to 100) multiplied by 65536 to allow for fractions of a percent. The accepted range of values is 0 to 6553600 for DI_SETSVPERCENT, -6553600 to 6553600 for DI_BUMPSVPERCENT.

Subscription Rate

The delay in milliseconds between updates sent by a meter. The Soundweb London device will round this value to 50ms increments. The rate must be zero when subscribing to a non-meter control parameter. Control system and logic performance may suffer if this value is too low.

Preset ID

Each preset on a Soundweb London network is assigned a unique ID when it is created. Once assigned, the Preset ID will not change when other presets are added or deleted. The message type corresponding to the preset's type (DI_VENUE_PRESET_RECALL for venue presets, DI_PARAM_PRESET_RECALL for parameter presets) must be used, as venue presets and parameter presets may have the same ID.

Preset IDs are shown in square brackets next to each preset in the design tree:

Note: Preset recall messages are broadcast across the network, so unexpected results may occur if presets are recalled with two separate HiQnet London Architect designs running on the same physical network.

Checksum

The checksum is a single-byte exclusive OR (XOR) of all the bytes in the message body, computed before control codes are escaped and before STX and ETX are added.

Note: If the checksum is a reserved control code it must be escaped in the same way as bytes in the body of the message. See Control Codes below.

Control Codes

The following byte values have special meanings and must be escaped if they occur within the message body. If a byte in the message body is one of the control codes, insert ESC (0x1B) before the byte and add 0x80 (decimal 128) to its value. Any other byte can be used within the message body. Note that substitution must be performed on the message body after the checksum has been calculated and appended and before STX and ETX are added to the message, as the checksum itself may be a control code in need of substitution.

Code | Substitution | Name | Description
0x02 | 0x1B 0x82 | STX | ASCII Start of Text
0x03 | 0x1B 0x83 | ETX | ASCII End of Text
0x06 | 0x1B 0x86 | ACK | ASCII Acknowledge
0x15 | 0x1B 0x95 | NAK | ASCII No-acknowledge
0x1B | 0x1B 0x9B | ESC | ASCII Escape

Examples

The following examples display the complete structure of an actual control message and demonstrate a possible approach to sending and receiving control messages.

A Sample Message

This sample direct inject message will flash the locate light on the device indicated by the address.

Start | Type | Address |  |  |  |  |  | State Variable |  | Data |  |  |  | Check- sum | End
 |  | Node |  | VD | Object
02 | 88 | 00 | 00 | 00 | 00 | 00 | 00 | 00 | 04 | 00 | 00 | 00 | 00 | 8C | 03
 | The bytes in the message body used to calculate the checksum. |  |  |  |  |  |  |  |  |  |  |  |  |

Sending Messages

The following pseudocode procedure sends a correctly formatted message by computing the checksum, escaping control characters, and adding STX and ETX.

char checksum = 0 /* Stores the running checksum */

send (STX) /* Send the start-of-text character */

for each character in message body /* Loop through each character of the message */
{
checksum = checksum XOR character /* Add the current character to the checksum */

if (is_special (character))
{
send (ESC)
send (character + 128) /* Escape special characters */
}
else
{
send (character) /* Send non-special characters normally */
}
}

if (is_special (checksum)) /* Escape the checksum if needed */
{
send (ESC)
send (checksum + 128)
}
else
{
send (checksum)
}

send (ETX) /* Send the end-of-text character */

if (connected via RS-232) /* Wait for the device to get the message */
{
waitfor (ACK or NAK)
}

Receiving Messages

The following pseudocode procedure receives a message, processes escaped control characters, and makes sure the message is valid by verifying the checksum.

bool got_escape /* Indicates whether the previous character was ESC */
char checksum = 0 /* Stores the running checksum */

on received character
{
if (character equals STX)
{
/* This is the start of a new message */
checksum = 0 /* Clear the checksum */
clear_message_buffer() /* Clear the message buffer */
got_escape = false /* Clear the "escape received" status */
}
else if (character equals ETX)
{
/* This is the end of a message, verify the checksum */
if (get_last_byte_in_message_buffer() equals checksum)
{
send (ACK) /* The received checksum matched the computed checksum */
}
else
{
send (NAK) /* The received checksum was invalid */
}
got_escape = false /* Clear the "escape received" status */
}
else if (character = ESC)
{
got_escape = true /* Set the "escape received" status */
}
else
{
if (got_escape = true)
{
/* The last character was ESC - this must be an escaped control code */
add_byte_to_message_buffer (character - 128)
checksum = checksum XOR (character - 128)
}
else
{
/* The last character was not ESC - this must be an ordinary byte */
add_byte_to_message_buffer (character)
checksum = checksum XOR character
}
got_escape = false /* Clear the "escape received" status */
}
}


Direct Inject Tool

Introduction

For some control situations, generating messages on the fly as described in the Third-party Control Protocol section of the help is too complex. There are two methods of generating control strings for simpler controller configurations that only need to send a small number of fixed messages to a Soundweb London network. The first is through the Direct Inject toolbar in HiQnet London Architect. The second is using the Direct Inject message tool.

Direct Inject Toolbar in HiQnet London Architect

The Direct Inject toolbar may be useful if a small number of fixed messages is required for your third-party controller.

To generate a control string that sets a control parameter to a specific value, simply select the control, set it to the desired value using soft-operate mode, and copy the contents of the DI toolbar.

For example, to generate a message to set a gain object to 0dB, first select the gain control:

Then copy the string from the toolbar:

Note: For messages to appear in the toolbar you will need to be in design mode or soft-operate mode (Soft-operate mode is activated by holding the ALT key while in design mode and adjusting the desired control).

The format of the strings generated by the toolbar can be customized by pressing the ellipsis icon to open the Message Setup dialog:

The toolbar can be configured to provide many different serial string formats and DI message types, in decimal and hexadecimal, with surrounding keywords if required, allowing you to save the time needed to format control messages for your controller.

For example, if your controller uses a function called SEND, followed by a list of bytes in quotes, then the toolbar should be configured as follows:

The above example generates:

SEND "0x02, 0x88, 0x00, 0x01, 0x1B, 0x83, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8B, 0x03"

For a C-style format, try the following:

Which generates:

char message[] = {0x02, 0x88, 0x00, 0x01, 0x1B, 0x83, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8B, 0x03};

Direct Inject Tool

The intention of this tool is for testing and debugging. It can be used to generate strings in a similar way to London Architect, but will allow you to send messages over a serial connection and over Ethernet and also provides testing for subscription.

Launch the DI tool by clicking on the DI box icon on the message toolbar.

Note: For the curious, the DI box icon is a picture of the BSS Audio AR-133 direct-inject box.

Menus

Options

Show

  • Incoming bytes

This option controls whether the received bytes are shown in hex. This is useful for debugging serial trigger objects.

  • Incoming ACKs

This option controls whether ACKs are shown in the received message traffic window. The word ACK is shown in the window when an 0x06 byte is received back from the device. If you have incoming bytes also switched on, you will see ACK 0x06.

  • Incoming messages, Outgoing messages

These two options control whether the sent and received messages are shown in the message traffic windows. They default to on which is the most useful. Consider switching them off if you have lots of traffic, e.g. many subscriptions, to improve performance of the graphical meters in the meter window (described below).

A double-click in either of the message traffic windows will clear them.

Acknowledge message

This option controls whether the Acknowledge character is sent in response to received messages. It defaults to ON.

Log

  • Control ports

This is a useful debug feature if you need to closely inspect the control ports on a device, perhaps tracking down interference. When used in conjunction with the control port subscriptions in the toolbox window, it will write real-time control port values to a file called cplog.txt in the directory that the application was launched from (usually "C:\Program Files\Harman Pro\London Architect\"). It is a comma separated value file, as shown:

port: 0, 001,
port: 0, 255,

Auto-track London Architect object

This option connects London Architect to the DI message tool so that the details of the currently selected State variable are copied across to assist in simple testing. See full description in the following pages.

Auto-track London Architect message toolbarSimilar to tracking the selected object, this option copies the message string from the London Architect message toolbar in the DI message tool so that it can be sent to a device on the selected communications port.

Settings

Comms

This option launches the communications setup dialog.

Show

Toolbox

Show the toolbox window.

GPX/GPZ Toolbox

Show the toolbox window for the BLU-GPX and BLU-GPX

Meters

Show the meters window.

Network window

Show the network window (when using Ethernet). There is also a button to show the network window, on the left hand side of the main window.

Help

About

Show the about box, with version information.

Getting started

You must first choose a communication method from the Settings dialog, available by selecting Comms from the Settings menu. The available communication methods are RS-232 (serial) and TCP/IP (Ethernet).

RS-232 Connection

A serial connection requires you to choose a valid COM port and baud rate. The Direct Inject Message Tool provides a large selection of ports to allow the use of serial servers such as the Moxa multi-port server. The default rate for Soundweb London devices is 115200, but this can be changed in the device's Properties view in HiQnet London Architect. The rate selected in the Message Tool must match the rate set for the device in HiQnet London Architect. Note that HiQnet London Architect may be using one or more serial ports open, if it is configured to use them for FDS devices in the Serial tab of the Application Preferences dialog. These must be unchecked and Architect restarted if you wish to use those ports in the Message Tool. See the Third-party Control Protocol section for information on the physical connection required.

Direct Inject Message Tool - Communication Settings

After selecting the correct settings, the status bar of the Message Tool window will indicate whether opening the port was successful.

Successfully connected to the serial port on COM1.

Another application is using the serial port, choose another or close the other application.

TCP/IP Connection

Ethernet is a little more involved. Select the Ethernet option, then choose a network adapter for the DI message tool to use. To aid sending messages to units, we have provided two methods of viewing the devices on the network and therefore retrieving their IP addresses.

When you are running London Architect at the same time as the DI message tool, the Ethernet port for device discovery (3804) is in use by Architect, so we provide a list of devices directly from Architect. If you are using the DI message tool on its own, then it can discover the devices on the network on its own, via a UDP connection.

The network view pops out the side of the main dialog by choosing 'Network window' on the Show menu or by pressing the thin button on the left of the Message settings section of the main dialog.

When this view is populated with units, you will see their name and device type as an icon. As you click on a unit in this tree view, the application will attempt to make a TCP connection to the unit on port 1023 (the DI message port).

The status of this connection is shown in the status bar of the main dialog.

If successful, you can press the locate button in this pop-out view to verify the connection. This will flash the locate button on front and rear of the unit.

Successfully connected to a unit on Ethernet with a remote IP address of 10.1.4.4.

Toolbox

The Direct Inject message tool provides a useful toolbox for sanity checking. Open this small dialog by clicking on the Show menu, then Toolbox. To very simply check you are connected to the unit correctly and at the right baud rate, press the Locate button on this toolbox dialog. The unit will flash its locate button on the front and rear of the unit.

The following controls are for simple test and debugging, they are not intended to be used for a live system. The supported methods of control are in London Architect where there are duplicate controls on the device control panel. Use these at your own risk.

Contrast

Slide this control to adjust the display contrast on the device.

Logic outputs

The logic outputs on the Soundweb London Device can be directly set from these controls.

Control ports

These controls allow subscription directly to the control port value. Click on each of the edit boxes to subscribe. When subscription messages are sent back from the device, the value is shown in the box for that control port. Click again to toggle the subscription off. Use this in conjunction with the option to log control port values if required.

CobraNet

Meters on is a control to globally switch the CobraNet bundle meters on and off.

When the Free cycles option is checked, a subscription message is sent to the Free cycle meter state variable. This will show a percentage of free processing cycles on the CobraNet card's processor. These two controls give a very quick method of determining the amount of processing cycles spent on meters.

Set time from PC

Press to set the time on the Soundweb London device. This is a simple test function, and does not take account of daylight saving adjustments on your local PC.

GPX/GPZ Toolbox

The Direct Inject Message GPX/GPZ Toolbox is functionally the same as the Toolbox described above with the following exceptions.

Logic Outputs

The GPX/GPZ Toolbox offers control over 23 Logic Output ports as oppose to the 6 ports which are found at the rear of the other London processing devices.

Relay Outputs

The Relay Outputs on the BLU-GPX and BLU-GPZ can be directly set from these controls.

Control Ports

These are subscribed as described in the Toolbox topic above. 36 Control Ports can be subscribed as oppose to the 12 which are available in the other London processing devices.

Cobranet

Cobranet is not available on the BLU-GPX or BLU-GPZ.

Synchronizing with London Architect's DI Toolbar

Strings generated by the Direct Inject toolbar in HiQnet London Architect can be sent using the Direct Inject message tool to test your setup. They can be generated in decimal or '0x'-prefixed hex, separated by either spaces or commas. When parsing the string in the toolbar, the DI tool looks for an '0x' first; if present the string is interpreted as hex, decimal otherwise. To make use of this facility, configure the message format in HiQnet London Architect as follows:

Example string formats compatible with the DI tool:

Decimal: 2 136 0 1 27 131 0 1 0 0 0 0 0 0 0 139 3
2,136,0,1,27,131,0,1,0,0,0,0,0,0,0,139,3

Hex: 0x02 0x88 0x00 0x01 0x1B 0x83 0x00 0x01 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x8B 0x03
0x02,0x88,0x00,0x01,0x1B,0x83,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x8B,0x03

Now enable toolbar tracking in the DI message tool by checking the "Auto-track London Architect message toolbar" entry in the Options menu.

The string that London Architect is displaying will be automatically shown in the DI message tool in real time, so that you don't need to copy and paste it.

Examples

Controlling a Gain

The following is an example of using the message tool to set a gain:

Enable the Auto-track London Architect Object setting in the DI tool's Options menu.

Select HiQnet address in the Message Settings part of the DI message tool dialog. In the Properties window, click on the Gain parameter of a gain processing object. The HiQNet address in the DI tool will change change to that of the gain object.

Select a message type of Set and a data type of 'Gain, dB.' Data can be entered directly in decibels with the 'Gain, dB' data type. The current value is copied from HiQnet London Architect along with the other object data.

Note that the Node, VD, and Object ID fields will accept both hexadecimal and decimal numbers; the numbers generated by HiQnet London Architect for these values are hexadecimal. The State Variable IDs generated in HiQnet London Architect are decimal numbers so these should be entered into the DI tool in decimal.

If you wish to enter the Node, VD, and Object ID of a processing object manually, refer to Common Object and State Variable IDs for a table of common Object IDs. Note in particular that all audio processing objects live in virtual device 0x03, and that node 0x0000 refers to the device directly connected to the DI tool via TCP/IP or RS-232.

Note: When entering hexadecimal numbers in any of the edit fields, prefix them with 0x.

Subscribing to Meters

The following example sets up the message tool to display the four input meters from an Analogue Input card installed in slot A.

Select Subscribe as the message type.

The VD should be 0x03. The Object ID should be 0x000001, which is the first I/O card.

Set the State Variable ID to 0, which is the first channel's meter (for Analogue I/O cards).

The data field is the subscription rate in milliseconds, so a value of 100 will produce meter updates at a rate of 10 updates per second. Setting this value too low may adversely affect control system and logic performance.

Press Send to send this subscribe message.

Repeat this process with State Variable IDs of 6, 12, and 18.

The meter window provides four meters which listen to messages from Virtual Device 0x03, and the Object and State Variables IDs that you provide in the edit boxes. The value is always drawn in decibels. The setting of the Data Type field is ignored when sending a subscribe command. To unsubscribe, change the message type to Unsubscribe. The Data field is not used in this case, while all other settings remain the same as when subscribing. See the Third-party Control Protocol section of the help for more information on the message protocol.

Set the meters window up as follows:

The top edit box on each channel is the Object ID to listen to. The bottom edit box is the State Variable ID to listen to. This window is configured to show all four meters from an Analogue Input card in slot A.

See Common Object and State Variable IDs for a complete list of I/O card and meter State Variable IDs.

To subscribe to state variables other than indicators and meters, the Data field must be set to zero (0). When you issue the subscribe command to a State Variable, the current value of that state variable is immediately sent back. Further updates are sent when the state variable changes, unless the change was triggered by the controller holding the subscription. It is not possible to subscribe to non-meter state variables with a periodic update rate.

You may use the subscribe command on state variables effectively as a GET command. Each time you send a subscribe message, the current value is sent back, though you should immediately unsubscribe if you don't want to receive future updates.

Control System Debugging

A good way of debugging a system is to be online to the Soundweb London DSP unit with HiQnet London Architect and to run the Direct Inject message tool connected to the unit via TCP/IP or its serial port.

With both HiQnet London Architect and the London Direct Inject application open, messages can be tested in both directions; sending from the unit by adjusting a control in HiQnet London Architect and by sending from the message tool.

Messages sent from HiQnet London Architect will appear in the incoming box and serve as examples of message construction for sending from your piece of equipment, since they will be the same.

Remember, start simple with perhaps just a couple of mute buttons to establish you have everything cabled correctly and each unit configured correctly.


Common Object and State Variable IDs

Common Object IDs

Fixed elements of a Soundweb London device are assigned constant Object IDs. These Object IDs are subject to change in future releases, so third-party control systems should be rechecked when upgrading to a new release of HiQnet London Architect.

Note: Object ID values are given in hexadecimal.

Description | Relevant Devices | Virtual Device | Object ID
General Device Settings | All networked Soundweb London devices | General Settings (VD 0x00) | 0x00
Analog/Digital I/O Card A | All Soundweb London DSP devices | Audio Objects (VD 0x03) | 0x01
Analog/Digital I/O Card B | All Soundweb London DSP devices | Audio Objects (VD 0x03) | 0x02
Analog/Digital I/O Card C | All Soundweb London DSP devices | Audio Objects (VD 0x03) | 0x03
Analog/Digital I/O Card D | All Soundweb London DSP devices | Audio Objects (VD 0x03) | 0x04
Analogue output card E | BLU-100 only | Audio Objects (VD 0x03) | 0x05
AEC/Hybrid I/O Card A | All BLU-XX0 DSP devices | Audio Objects (VD 0x03) | 0x01
AEC/Hybrid I/O Card B | All BLU-XX0 DSP devices | Audio Objects (VD 0x03) | 0x02
AEC/Hybrid I/O Card C | All BLU-XX0 DSP devices | Audio Objects (VD 0x03) | 0x03
AEC/Hybrid I/O Card D | All BLU-XX0 DSP devices | Audio Objects (VD 0x03) | 0x04
CobraNet Input Bundle A | CobraNet-enabled Soundweb London DSP devices | Audio Objects (VD 0x03) | 0x11
CobraNet Input Bundle B | CobraNet-enabled Soundweb London DSP devices | Audio Objects (VD 0x03) | 0x12
CobraNet Input Bundle C | CobraNet-enabled Soundweb London DSP devices | Audio Objects (VD 0x03) | 0x13
CobraNet Input Bundle D | CobraNet-enabled Soundweb London DSP devices | Audio Objects (VD 0x03) | 0x14
CobraNet Output Bundle A | CobraNet-enabled Soundweb London DSP devices | Audio Objects (VD 0x03) | 0x15
CobraNet Output Bundle B | CobraNet-enabled Soundweb London DSP devices | Audio Objects (VD 0x03) | 0x16
CobraNet Output Bundle C | CobraNet-enabled Soundweb London DSP devices | Audio Objects (VD 0x03) | 0x17
CobraNet Output Bundle D | CobraNet-enabled Soundweb London DSP devices | Audio Objects (VD 0x03) | 0x18

Common State Variable IDs

State Variable IDs for all audio processing objects, some logic objects, and the most commonly used general device settings are included in this section. State Variable IDs for processing objects with multiple inputs and outputs follow a predictable pattern. Rather than listing all possible IDs (which would take hundreds of pages), simple formulas are given for calculating the SV ID based on input and/or output. It is assumed that inputs and outputs are numbered from 1 to n. State Variable ID calculations can be verified by looking up the desired control parameter in the object's properties or its entry in the Design tree. Additional control parameters not listed in these tables may also be found in the design tree.

Note: State Variable IDs are given in decimal.

Finding a State Variable ID in the design tree Finding a State Variable ID in the design tree | Finding a State Variable ID in an object's properties Finding a State Variable ID in an object's properties

Audio Processing Objects

Audio processing objects reside within Virtual Device 0x03 of a Soundweb London DSP device.

Audio I/O Cards

Analogue Input Card

Description | SV ID | Type | Range | Meter?
Meter | 0 + ((input - 1) * 6) | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Meter Reference | 1 + ((input - 1) * 6) | Scalar | -500000 (-50dB) to 200000 (+20dB) | No
Meter Attack | 2 + ((input - 1) * 6) | Log | -2000000 (10µs) to 2301029 (0.2s) | No
Meter Release | 3 + ((input - 1) * 6) | Log | 1698970 (50ms) to 3698970 (5s) | No
Gain | 4 + ((input - 1) * 6) | Discrete | 1 (+0dB) to 8 (+48dB) | No
Phantom Power | 5 + ((input - 1) * 6) | Binary | 0 to 1 | No

Analogue Output Card

Description | SV ID | Type | Range | Meter?
Meter | 0 + ((output - 1) * 4) | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Meter Reference | 1 + ((output - 1) * 4) | Scalar | -500000 (-50dB) to 200000 (+20dB) | No
Meter Attack | 2 + ((output - 1) * 4) | Log | -2000000 (10Âµs) to 2301029 (0.2s) | No
Meter Release | 3 + ((output - 1) * 4) | Log | 1698970 (50ms) to 3698970 (5s) | No

Digital Input Card

Description | SV ID | Type | Range | Meter?
Input 1&2 Type | 0 | Discrete | 0 (AES/EBU) to 1 (S/PDIF) | No
Input 1&2 Bypass SRC | 1 | Binary | 0 to 1 | No
Input 1&2 Sample Rate | 2 | Discrete (read-only) | 0 (32kHz) to 9 (Invalid) | No
Input 1&2 Error | 3 | Binary (read-only) | 0 to 1 | No
Input 1&2 Non-audio | 5 | Binary (read-only) | 0 to 1 | No
Input 3&4 Type | 100 | Discrete | 0 (AES/EBU) to 1 (S/PDIF) | No
Input 3&4 Bypass SRC | 101 | Binary | 0 to 1 | No
Input 3&4 Sample Rate | 102 | Discrete (read-only) | 0 (32kHz) to 9 (Invalid) | No
Input 3&4 Error | 103 | Binary (read-only) | 0 to 1 | No
Input 3&4 Non-audio | 105 | Binary (read-only) | 0 to 1 | No
Meter | 1000 + ((input - 1) * 4) | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Meter Reference | 1001 + ((input - 1) * 4) | Scalar | -500000 (-50dB) to 200000 (+20dB) | No
Meter Attack | 1002 + ((input - 1) * 4) | Log | -2000000 (10µs) to 2301029 (0.2s) | No
Meter Release | 1003 + ((input - 1) * 4) | Log | 1698970 (50ms) to 3698970 (5s) | No

Digital Output Card

Description | SV ID | Type | Range | Meter?
Clock Source | 0 | Discrete | 0 (Int. 44.1k) to 7 (Digi D) | No
Clock Source Rate | 1 | Discrete | 0 (32kHz) to 9 (Invalid) | No
Output 1&2 Type | 100 | Discrete | 0 (AES/EBU) to 1 (S/PDIF) | No
Output 1&2 Sample Rate | 101 | Discrete | 0 (44.1kHz) to 3 (96kHz) | No
Output 1&2 Bypass SRC | 102 | Binary | 0 to 1 | No
Output 1&2 Status | 103 | Discrete (read-only) | 0 (Locked) to 6 (Error: Sync loop) | No
Output 3&4 Type | 200 | Discrete | 0 (AES/EBU) to 1 (S/PDIF) | No
Output 3&4 Sample Rate | 201 | Discrete | 0 (44.1kHz) to 3 (96kHz) | No
Output 3&4 Bypass SRC | 202 | Binary | 0 to 1 | No
Output 3&4 Status | 203 | Discrete (read-only) | 0 (Locked) to 6 (Error: Sync loop) | No
Meter | 1000 + ((output - 1) * 4) | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Meter Reference | 1001 + ((output - 1) * 4) | Scalar | -500000 (-50dB) to 200000 (+20dB) | No
Meter Attack | 1002 + ((output - 1) * 4) | Log | -2000000 (10µs) to 2301029 (0.2s) | No
Meter Release | 1003 + ((output - 1) * 4) | Log | 1698970 (50ms) to 3698970 (5s) | No

AEC Input Card

Description | SV ID | Type | Range | Meter?
Meter | 0 + ((input - 1) * 100) | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Meter Reference | 1 + ((input - 1) * 100) | Scalar | -500000 (-50dB) to 200000 (+20dB) | No
Meter Attack | 2 + ((input - 1) * 100) | Log | -2000000 (10µs) to 2301029 (0.2s) | No
Meter Release | 3 + ((input - 1) * 100) | Log | 1698970 (50ms) to 3698970 (5s) | No
Gain | 4 + ((input - 1) * 100) | Discrete | 0 (+0dB) to 8 (+48dB) | No
Phantom Switch | 5 + ((input - 1) * 100) | Discrete | 0 (Off) to 1 (On) | No
AEC Enable | 10 + ((input - 1) * 100) | Discrete | 0 (Off) to 1 (On) | No
Non-Linear Processing Enable | 11 + ((input - 1) * 100) | Discrete | 0 (Off) to 1 (On) | No
Non-Linear Processing Level | 12 + ((input - 1) * 100) | Scalar | 0 (0%) to 10000 (100%) | No
Noise Cancellation Enable | 15 + ((input - 1) * 100) | Discrete | 0 (Off) to 1 (On) | No
Noise Cancellation Level | 16 + ((input - 1) * 100) | Scalar | -250000 (-25dB) to 0 (0dB) | No
ERL Meter | 13 + ((input - 1) * 100) | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
ERLE Meter | 14 + ((input - 1) * 100) | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Signal Threshold | 17 + ((input - 1) * 100) | Gain | -280617 (-inf dB) to 0 (0dB) | No
Mic Active | 18 + ((input - 1) * 100) | Discrete (read only) | 0 (Off) to 1 (On) | Yes
AGC Enable | 20 + ((input - 1) * 100) | Discrete | 0 (Off) to 1 (On) | No
AGC Max Gain | 21 + ((input - 1) * 100) | Scalar | 0 (0dB) to 200000 (20dB) | No
AGC Min Gain | 22 + ((input - 1) * 100) | Scalar | -200000 (-20dB) to 0 (0dB) | No
AGC Max Target | 23 + ((input - 1) * 100) | Scalar | -200000 (-10dB) to 100000 (+10dB) | No
AGC Min Target | 24 + ((input - 1) * 100) | Scalar | -200000 (-10dB) to 100000 (+10dB) | No
AGC Attack | 26 + ((input - 1) * 100) | Discrete | 10 (0.1dB/s) to 10000 (100dB/s) | No
AGC Release | 27 + ((input - 1) * 100) | Discrete | 10 (0.1dB/s) to 10000 (100dB/s) | No
AGC Current Gain | 25 + ((input - 1) * 100) | Scalar (read-only) | -200000 (-20dB) to 200000 (+20dB) | Yes

Telephone Hybrid Card

Description | SV ID | Type | Range | Meter?
Meter | 0 + ((input - 1) * 6) | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Meter Reference | 1 + ((input - 1) * 6) | Scalar | -500000 (-50dB) to 200000 (+20dB) | No
Meter Attack | 2 + ((input - 1) * 6) | Log | -2000000 (10µs) to 2301029 (0.2s) | No
Meter Release | 3 + ((input - 1) * 100) | Log | 1698970 (50ms) to 3698970 (5s) | No
Gain | 4 + ((input - 1) * 6) | Discrete | 0 (+0dB) to 8 (+48dB) | No
Phantom Switch | 5 + ((input - 1) * 6) | Discrete | 0 (Off) to 1 (On) | No
TX Meter | 142 | Scalar (read-only) | -800000 (-80dB) to -60000 (-6dB) | Yes
TX Gain | 141 | Scalar | -120000 (-12dB) to 120000 (12dB) | No
TX Mute | 140 | Discrete | 0 (Unmuted) to 1 (Muted) | No
RX Meter | 145 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
RX Gain | 144 | Scalar | -120000 (-12dB) to 120000 (12dB) | No
RX Mute | 143 | Discrete | 0 (Unmuted) to 1 (Muted) | No
DTMF Level | 146 | Scalar | -200000 (-20dB) to 0 (0dB) | No
Ring Level | 147 | Scalar | -200000 (-20dB) to 0 (0dB) | No
Dial Tone Level | 148 | Scalar | -200000 (-20dB) to 0 (0dB) | No
Side Tone Gain | 149 | Scalar | -800000 (-80dB) to 0 (0dB) | No
LEC | 153 | Discrete | 0 (Off) to 1 (On) | No
Limiter Active | 154 | Discrete (read-only) | 0 (Off) to 1 (On) | Yes
Line Voltage (V) | 155 | Discrete (read-only) | -1000 to 1000 | Yes
Current Overload | 156 | Discrete (read-only) | 0 (Off) to 1 (On) | Yes

BLU link

Note: BLU link meter numbers are assigned according to the order in which channels are added to an input or output object, not the BLU link channel number itself. For example, a BLU link Input object with BLU link channels 1, 3, 5, 7, and 9 assigned would still number its meters 1, 2, 3, 4, and 5.

BLU link Input

Description | SV ID | Type | Range | Meter?
Meter Attack | 0 | Log | -2000000 (10µs) to 2301029 (0.2s) | No
Meter Release | 1 | Log | 1698970 (50ms) to 3698970 (5s) | No
Meter Reference | 2 | Scalar | -500000 (-50dB) to 200000 (+20dB) | No
Meter | 100 + (input - 1) | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes

BLU link Output

Description | SV ID | Type | Range | Meter?
Meter Attack | 0 | Log | -2000000 (10Âµs) to 2301029 (0.2s) | No
Meter Release | 1 | Log | 1698970 (50ms) to 3698970 (5s) | No
Meter Reference | 2 | Scalar | -500000 (-50dB) to 200000 (+20dB) | No
Meter | 100 + (output - 1) | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes

CobraNet

CobraNet Input Bundle

Description | SV ID | Type | Range | Meter?
Bundle Number | 0 | Discrete | 0 to 65729 | No
Meter | input | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Receiving Audio | 9 | Binary (read-only) | 0 to 1 | No
Dropouts | 10 | Discrete (read-only) | 0 to ... | No
Reset Dropouts | 11 | Binary (momentary) | 0 to 1 | No
Meters Active | 12 | Binary (read-only) | 0 to 1 | No

CobraNet Output Bundle

Description | SV ID | Type | Range | Meter?
Bundle Number | 0 | Discrete | 0 to 65729 | No
Transmit Priority | 1 | Discrete | 1 to 255 | No
Resolution | 1 + output | Discrete | 0 (Off) to 3 (24-bit) | No
Transmit Position | 10 | Discrete (read-only) | 0 to ... | No
Meter | 10 + output | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Dropouts | 19 | Discrete (read-only) | 0 to ... | No
Reset Dropouts | 20 | Binary (momentary) | 0 to 1 | No
Meters Active | 21 | Binary (read-only) | 0 to 1 | No
Maximum Receivers | 22 | Discrete | 1 to 4 | No

AVB

AVB Receive

Description | SV ID | Type | Range | Meter?
Force Pilot Stream | 2 | Discrete | 0 to 1 | No
Attack | 10 | Log | -200,000 (10us) to 2,301,029 (0.2s) | No
Release | 11 | Log | 1,698,970 (50ms) to 3,698,970 (5s) | No
Reference | 12 | Scalar | -500,000 (-50dB) to 200,000 (20dB) | No
Meter | 100 Plus Output - 1 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes

AVB Transmit

Description | SV ID | Type | Range | Meter?
Presentation Offset (ns) | 3 | Discrete | 50,000 to 2,000,000 | No
Attack | 10 | Log | -200,000 (10us) to 2,301,029 (0.2s) | No
Release | 11 | Log | 1,698,970 (50ms) to 3,698,970 (5s) | No
Reference | 12 | Scalar | -500,000 (-50dB) to 200,000 (20dB) | No
Meter | 100 Plus Output - 1 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes

Dante

Dante Input

Description | SV ID | Type | Range | Meter?
Attack | 1 | Log | -200,000 (10us) to 2,301,029 (0.2s) | No
Release | 2 | Log | 1,698,970 (50ms) to 3,698,970 (5s) | No
Reference | 3 | Scalar | -500,000 (-50dB) to 200,000 (20dB) | No
Meter | 100 Plus Output - 1 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes

Dante Output

Description | SV ID | Type | Range | Meter?
Attack | 1 | Log | -200,000 (10us) to 2,301,029 (0.2s) | No
Release | 2 | Log | 1,698,970 (50ms) to 3,698,970 (5s) | No
Reference | 3 | Scalar | -500,000 (-50dB) to 200,000 (20dB) | No
Meter | 100 Plus Output - 1 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes

Crossovers/Filters

Crossover

Description | SV ID | Type | Range | Meter?
High-pass Filter Type | 0 + ((band - 1) * 32) | Discrete | 0 (Out) to 12 (NTM-52)* | No
Low-pass Filter Type | 1 + ((band - 1) * 32) | Discrete | 0 (Out) to 12 (NTM-52)* | No
High-pass Frequency | 2 + ((band - 1) * 32) | Log | 1301029 (20Hz) to 4301029 (20kHz) | No
Low-pass Frequency | 3 + ((band - 1) * 32) | Log | 1301029 (20Hz) to 4301029 (20kHz) | No
Gain | 4 + ((band - 1) * 32) | Scalar | -150000 (-15dB) to 150000 (+15dB) | No
Phase** | 14 + ((band - 1) * 32) | Scalar | 0 (0°) to 1800000 (180°) | No
Delay | 15 + ((band - 1) * 32) | Delay | 0 (0ms) to 7680 (80ms) | No
Invert Polarity | 16 + ((band - 1) * 32) | Binary | 0 to 1 | No
Mute | 17 + ((band - 1) * 32) | Binary | 0 to 1 | No
Limiter Threshold | 18 + ((band - 1) * 32) | Scalar | -200000 (-20dB) to 200000 (+20dB) | No
Output Meter | 19 + ((band - 1) * 32) | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
*Filter Type range is 0 (Out) to 8 (24 L-R) if filter's corresponding Band n High/Low property is set to 24.
**Phase filter is not present on the first band.

High-pass Filter

Description | SV ID | Type | Range | Meter?
Bypass | 0 | Binary | 0 to 1 | No
Frequency | 1 | Log | 1301029 (20Hz) to 4301029 (20kHz) | No
Filter Type | 4 | Discrete | 0 (Out) to 12 (NTM-52)* | No
*Filter Type range is 0 (Out) to 8 (24 L-R) if filter's Max Slope property is set to 24.

Low-pass Filter

Description | SV ID | Type | Range | Meter?
Bypass | 0 | Binary | 0 to 1 | No
Frequency | 1 | Log | 1301029 (20Hz) to 4301029 (20kHz) | No
Filter Type | 4 | Discrete | 0 (Out) to 12 (NTM-52)* | No
*Filter Type range is 0 (Out) to 8 (24 L-R) if filter's Max Slope property is set to 24.

Phase Filter

Description | SV ID | Type | Range | Meter?
Frequency | 0 | Log | 1301029 (20Hz) to 4301029 (20kHz) | No
Phase | 1 | Scalar | 0 (0°) to 1800000 (180°) | No

Stereo Crossover

Description | SV ID | Type | Range | Meter?
High-pass Filter Type | 0 + ((band - 1) * 32) | Discrete | 0 (Out) to 12 (NTM-52)* | No
Low-pass Filter Type | 1 + ((band - 1) * 32) | Discrete | 0 (Out) to 12 (NTM-52)* | No
High-pass Frequency | 2 + ((band - 1) * 32) | Log | 1301029 (20Hz) to 4301029 (20kHz) | No
Low-pass Frequency | 3 + ((band - 1) * 32) | Log | 1301029 (20Hz) to 4301029 (20kHz) | No
Gain | 4 + ((band - 1) * 32) | Scalar | -150000 (-15dB) to 150000 (+15dB) | No
Phase** | 14 + ((band - 1) * 32) | Scalar | 0 (0°) to 1800000 (180°) | No
Delay | 15 + ((band - 1) * 32) | Delay | 0 (0ms) to 7680 (80ms) | No
Invert Polarity | 16 + ((band - 1) * 32) | Binary | 0 to 1 | No
Mute | 17 + ((band - 1) * 32) | Binary | 0 to 1 | No
Limiter Threshold | 18 + ((band - 1) * 32) | Scalar | -200000 (-20dB) to 200000 (+20dB) | No
Output Meter (Left) | 19 + ((band - 1) * 32) | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Output Meter (Right) | 20 + ((band - 1) * 32) | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
*Filter Type range is 0 (Out) to 8 (24 L-R) if filter's corresponding Band n High/Low property is set to 24.
**Phase filter is not present on the first band.

Delays

Delay

Description | SV ID | Type | Range | Meter?
Delay | 0 | Delay | 0 (0ms) to 261120 (2720ms) | No

Dynamics

Ambient Noise Compensator

Description | SV ID | Type | Range | Meter?
Ambient Threshold | 0 | Scalar | -600000 (-60dB) to 0 (+0dB) | No
Ambient Meter | 1 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Min | 2 | Scalar | -200000 (-20dB) to 200000 (+20dB) | No
Max | 3 | Scalar | -200000 (-20dB) to 200000 (+20dB) | No
Set Min/Max from Signal | 4 | Discrete | 0 (Operate) to 2 (Set Max) | No
Gap Speed | 6 | Log | 3000000 (1s) to 4778151 (60s) | No
Applied Gain | 7 | Scalar (read-only) | -200000 (-20dB) to 200000 (+20dB) | Yes
Gap Time | 8 | Log | 2000000 (0.1s) to 3698970 (5s) | No
Gap Detected | 9 | Binary (read-only) | 0 to 1 | No
Gap Threshold | 10 | Scalar | -400000 (-40dB) to 200000 (+20dB) | No
Bypass | 11 | Binary | 0 to 1 | No

Compressor

Description | SV ID | Type | Range | Meter?
Bypass | 0 | Binary | 0 to 1 | No
Threshold | 1 | Scalar | -300000 (-30dB) to 200000 (+inf dB)* | No
Ratio | 2 | Scalar | 10200 (1.02:1) to 200001 (inf:1)** | No
Attack | 3 | Log | -1301029 (50µs) to 2301029 (0.2s) | No
Release | 4 | Log | 698970 (5ms) to 3301029 (2s) | No
Gain Reduction*** | 5 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Gain | 7 | Scalar | -200000 (-20dB) to 200000 (+20dB) | No
Auto Release | 8 | Binary | 0 to 1 | No
*Values greater than or equal to +20dB are treated as +inf dB.
**Values greater than 20:1 are treated as inf:1.
***Positive values indicate reduced gain.

Ducker

Description | SV ID | Type | Range | Meter?
Bypass | 0 | Binary | 0 to 1 | No
Threshold | 1 | Scalar | -600000 (-60dB) to 200000 (+20dB) | No
Range | 2 | Scalar | 0 (+0dB) to 700000 (+70dB) | No
Duck Time | 3 | Log | -1698970 (20µs) to 2301029 (0.2s) | No
Hold | 4 | Log | 0 (1ms) to 4000000 (10s) | No
Recover | 5 | Log | 0 (1ms) to 4000000 (10s) | No
Gain Reduction* | 9 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
*Positive values indicate reduced gain.

Expander

Description | SV ID | Type | Range | Meter?
Bypass | 0 | Binary | 0 to 1 | No
Threshold | 1 | Scalar | -800000 (-80dB) to 200000 (+20dB) | No
Attack | 3 | Log | -1698970 (20µs) to 2301029 (0.2s) | No
Release | 5 | Log | 0 (1ms) to 3477121 (3s) | No
Ratio | 7 | Discrete | 0 (2:1) to 4 (inf:1) | No
Gain Reduction* | 9 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
*Positive values indicate reduced gain.

Gate

Description | SV ID | Type | Range | Meter?
Bypass | 0 | Binary | 0 to 1 | No
Threshold | 1 | Scalar | -600000 (-60dB) to 200000 (+20dB) | No
Range | 2 | Scalar | 0 (Out) to 700000 (+70dB) | No
Attack | 3 | Log | -1698970 (20µs) to 3176091 (1.5s) | No
Hold | 4 | Log | 0 (1ms) to 3477121 (3s) | No
Release | 5 | Log | 0 (1ms) to 3477121 (3s) | No
Manual Open | 6 | Binary | 0 to 1 | No
Gate Open | 8 | Binary (read-only) | 0 to 1 | No
Relative Level* | 10 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
*Level is relative to the threshold setting.

Leveller

Description | SV ID | Type | Range | Meter?
Bypass | 0 | Binary | 0 to 1 | No
Ratio | 1 | Scalar | 20000 (2:1) to 200001 (inf:1)* | No
Threshold | 2 | Scalar | -600000 (-60dB) to 0 (+0dB) | No
Applied Gain | 4 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Target Output | 5 | Scalar | -300000 (-30dB) to 200000 (+20dB) | No
Max Gain | 6 | Scalar | 0 (+0dB) to 200000 (+20dB) | No
Speed | 7 | Log | 2000000 (0.1s) to 4000000 (10s) | No
Leveller Active | 8 | Binary (read-only) | 0 to 1 | No
*Values greater than 20:1 are treated as inf:1.

Limiter

Description | SV ID | Type | Range | Meter?
Threshold | 1 | Scalar | -200000 (-20dB) to 200000 (+20dB) | No
Attack | 3 | Log | -1698970 (20µs) to 2301029 (0.2s) | No
Release | 4 | Log | 0 (1ms) to 3000000 (1s) | No
Limiter Active | 5 | Binary (read-only) | 0 to 1 | No

Non-gap Ambient Noise Compensator

Description | SV ID | Type | Range | Meter?
Ambient Threshold | 0 | Scalar | -600000 (-60dB) to 0 (+0dB) | No
Ambient Meter | 1 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Min | 2 | Scalar | -200000 (-20dB) to 200000 (+20dB) | No
Max | 3 | Scalar | -200000 (-20dB) to 200000 (+20dB) | No
Set Min/Max from Signal | 4 | Discrete | 0 (Operate) to 2 (Set Max) | No
Attack | 5 | Log | 2000000 (0.1s) to 4698970 (50s) | No
Release | 6 | Log | 2000000 (0.1s) to 4698970 (50s) | No
Applied Gain | 7 | Scalar (read-only) | -200000 (-20dB) to 200000 (+20dB) | Yes
Ratio | 10 | Scalar | 1000 (0.1:1) to 50000 (5:1) | No
Bypass | 11 | Binary | 0 to 1 | No

Stereo Compressor

Description | SV ID | Type | Range | Meter?
Bypass | 0 | Binary | 0 to 1 | No
Threshold | 1 | Scalar | -300000 (-30dB) to 200000 (+inf dB)* | No
Ratio | 2 | Scalar | 10200 (1.02:1) to 200001 (inf:1)** | No
Attack | 3 | Log | -1301029 (50µs) to 2301029 (0.2s) | No
Release | 4 | Log | 698970 (5ms) to 3301029 (2s) | No
Gain Reduction*** | 5 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Gain | 7 | Scalar | -200000 (-20dB) to 200000 (+20dB) | No
Auto Release | 8 | Binary | 0 to 1 | No
*Values greater than or equal to +20dB are treated as +inf dB.
**Values greater than 20:1 are treated as inf:1.
***Positive values indicate reduced gain.

Stereo Ducker

Description | SV ID | Type | Range | Meter?
Bypass | 0 | Binary | 0 to 1 | No
Threshold | 1 | Scalar | -600000 (-60dB) to 200000 (+20dB) | No
Range | 2 | Scalar | 0 (+0dB) to 700000 (+70dB) | No
Duck Time | 3 | Log | -1698970 (20µs) to 2301029 (0.2s) | No
Hold | 4 | Log | 0 (1ms) to 4000000 (10s) | No
Recover | 5 | Log | 0 (1ms) to 4000000 (10s) | No
Gain Reduction* | 9 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
*Positive values indicate reduced gain.

Stereo Expander

Description | SV ID | Type | Range | Meter?
Bypass | 0 | Binary | 0 to 1 | No
Threshold | 1 | Scalar | -800000 (-80dB) to 200000 (+20dB) | No
Attack | 3 | Log | -1698970 (20µs) to 2301029 (0.2s) | No
Release | 5 | Log | 0 (1ms) to 3477121 (3s) | No
Ratio | 7 | Discrete | 0 (2:1) to 4 (inf:1) | No
Gain Reduction* | 9 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
*Positive values indicate reduced gain.

Stereo Gate

Description | SV ID | Type | Range | Meter?
Bypass | 0 | Binary | 0 to 1 | No
Threshold | 1 | Scalar | -600000 (-60dB) to 200000 (+20dB) | No
Range | 2 | Scalar | 0 (Out) to 700000 (+70dB) | No
Attack | 3 | Log | -1698970 (20µs) to 3176091 (1.5s) | No
Hold | 4 | Log | 0 (1ms) to 3477121 (3s) | No
Release | 5 | Log | 0 (1ms) to 3477121 (3s) | No
Manual Open | 6 | Binary | 0 to 1 | No
Gate Open | 8 | Binary (read-only) | 0 to 1 | No
Relative Level* | 10 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
*Level is relative to the threshold setting.

Equalisation

Graphic EQ

Description | SV ID | Type | Range | Meter?
Band Gain | 32 + (band - 1) | Scalar | -120000 (-12dB) to 120000 (+12dB) | No
Selectivity | 65 | Scalar | 10000 (100%) to 15000 (150%) | No
Bypass | 66 | Binary | 0 to 1 | No
Reset to Flat | 67 | Binary (momentary) | 0 to 1 | No

N-input Graphic EQ

Description | SV ID | Type | Range | Meter?
Band Gain | 32 + (band - 1) | Scalar | -120000 (-12dB) to 120000 (+12dB) | No
Selectivity | 65 | Scalar | 10000 (100%) to 15000 (150%) | No
Bypass | 66 | Binary | 0 to 1 | No
Reset to Flat | 67 | Binary (momentary) | 0 to 1 | No

N-input Parametric EQ

Description | SV ID | Type | Range | Meter?
Bypass | 0 + ((band - 1) * 16) | Binary | 0 to 1 | No
Frequency | 1 + ((band - 1) * 16) | Log | 1301029 (20Hz) to 4301029 (20kHz) | No
Boost/Cut | 2 + ((band - 1) * 16) | Scalar | -150001 (-inf dB)* to 150000 (+15dB) | No
Width** | 3 + ((band - 1) * 16) | Scalar | 100 (0.01Oct) to 40000 (4Oct) | No
Filter Type | 4 + ((band - 1) * 16) | Discrete | 0 (Bell) to 2 (High Shelf) | No
Slope*** | 6 + ((band - 1) * 16) | Discrete | 0 (6dB/Oct) to 3 (15dB/Oct) | No
Bypass All | 512 | Binary | 0 to 1 | No
*Values less than -15dB are treated as -inf dB.
**Width only applies to Bell filters.
***Slope only applies to Shelf filters.

Parametric EQ

Description | SV ID | Type | Range | Meter?
Bypass | 0 + ((band - 1) * 16) | Binary | 0 to 1 | No
Frequency | 1 + ((band - 1) * 16) | Log | 1301029 (20Hz) to 4301029 (20kHz) | No
Boost/Cut | 2 + ((band - 1) * 16) | Scalar | -150001 (-inf dB)* to 150000 (+15dB) | No
Width** | 3 + ((band - 1) * 16) | Scalar | 100 (0.01Oct) to 40000 (4Oct) | No
Filter Type | 4 + ((band - 1) * 16) | Discrete | 0 (Bell) to 2 (High Shelf) | No
Slope*** | 6 + ((band - 1) * 16) | Discrete | 0 (6dB/Oct) to 3 (15dB/Oct) | No
Bypass All | 512 | Binary | 0 to 1 | No
*Values less than -15dB are treated as -inf dB.
**Width only applies to Bell filters.
***Slope only applies to Shelf filters.

Matrices

Matrix Mixer

Description | SV ID | Type | Range | Meter?
Enable Crosspoint | 0 + ((input - 1) + ((output - 1) * 128)) | Binary | 0 to 1 | No
Crosspoint Gain | 16384 + ((input - 1) + ((output - 1) * 128)) | Gain | -280617 (-80dB) to 0 (+0dB) | No

Matrix Router

Description | SV ID | Type | Range | Meter?
Enable Crosspoint | 0 + ((input - 1) + ((output - 1) * 128)) | Binary | 0 to 1 | No

Source Matrix

Description | SV ID | Type | Range | Meter?
Input Selection | 0 + (output - 1) | Discrete | 0 (None) to n* | No
*Range is 1 to n if the Allow None property is set to No.

Source Selector

Description | SV ID | Type | Range | Meter?
Input Selection | 0 | Discrete | 0 (None) to n* | No
*Range is 1 to n if the Allow None property is set to No.

Mixers/Gains

Automixer Gain Sharing

Description | SV ID | Type | Range | Meter?
Gain | 0 + ((input - 1) * 100) | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Mute | 1 + ((input - 1) * 100) | Binary | 0 to 1 | No
Pan | 2 + ((input - 1) * 6) | Scalar | 0 (100% Left) to 10000 (100% Right) | No
Invert Polarity | 3 + ((input - 1) * 100) | Binary | 0 to 1 | No
Solo | 4 + ((input - 1) * 100) | Binary | 0 to 1 | No
Override | 5 + ((input - 1) * 100) | Binary | 0 to 1 | No
Off Gain | 6 + ((input - 1) * 100) | Scalar | -400000 (-40dB) to 0 (+0dB) | No
Auto | 7 + ((input - 1) * 100) | Binary | 0 to 1 | No
Aux n Send Level | 20 + (aux - 1) + ((input - 1) * 100) | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Route to Group n | 40 + (group - 1) + ((input - 1) * 100) | Binary | 0 to 1 | No
Aux n Pre/Post | 10000 + ((aux - 1) * 10) | Discrete | 0 (Pre) to 1 (Post) | No
Aux n Gain | 10001 + ((aux - 1) * 10) | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Aux n Mute | 10002 + ((aux - 1) * 10) | Binary | 0 to 1 | No
Group n Gain | 11000 + ((group - 1) * 10) | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Group n Mute | 11001 + ((group - 1) * 10) | Binary | 0 to 1 | No
Master Gain (Left/Mono) | 20000 | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Master Mute (Left/Mono) | 20001 | Binary | 0 to 1 | No
Master Gain (Right) | 20002 | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Master Mute (Right) | 20003 | Binary | 0 to 1 | No
Speed | 20004 | Log | 1698970 (50ms) to 3301029 (2s) | No
Slope | 20005 | Scalar | 10000 (1:1) to 20000 (2:1) | No

Automixer Gated

Description | SV ID | Type | Range | Meter?
Gain | 0 + ((input - 1) * 100) | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Mute | 1 + ((input - 1) * 100) | Binary | 0 to 1 | No
Pan | 2 + ((input - 1) * 100) | Scalar | 0 (100% Left) to 10000 (100% Right) | No
Invert Polarity | 3 + ((input - 1) * 100) | Binary | 0 to 1 | No
Solo | 4 + ((input - 1) * 100) | Binary | 0 to 1 | No
Override | 5 + ((input - 1) * 100) | Binary | 0 to 1 | No
Off Gain | 6 + ((input - 1) * 100) | Scalar | -400000 (-40dB) to 0 (+0dB) | No
Auto | 7 + ((input - 1) * 100) | Binary | 0 to 1 | No
Priority | 12 + ((input - 1) * 100) | Discrete | 1 to 32 | No
Sensitivity | 14 + ((input - 1) * 100) | Scalar | -800000(-80dB) to 200000(+20dB) | No
Default Mic | 18 + ((input - 1) * 100) | Discrete | 0 (Off) to 1 (On) | No
Channel Attack | 15 + ((input - 1) * 100) | Log | -1698970 (20us) to 3176091 (1.5s) | No
Channel Hold | 16 + ((input - 1) * 100) | Log | 0 (1ms) to 3477121 (3.0s) | No
Channel Release | 17 + ((input - 1) * 100) | Log | 0 (1ms) to 3477121 (3.0s) | No
Local | 19 + ((input - 1) * 100) | Discrete | 0 (Off) to 1 (On) | No
Gain Left/Master | 20000 | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Mute Left/Master | 20001 | Discrete | 0 to 1 | No
Gain Right | 20002 | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Mute Right | 20003 | Discrete | 0 to 1 | No
NOM | 20006 | Discrete | 1 to 4 | No
NOM Attenuation | 20007 | Scalar | -60000 (-6dB) to | No
NOM Speed | 20004 | Log | 1698970 (50ms) to 3698970 (5s) | No
Last Mic Hold | 20008 | Discrete | 0 (Off) to 1 (On) | No
Low Priority Duck Gain | 20020 | Gain | -280617 (-80dB) to 0 (0dB) | No
Gate Attack | 20012 | Log | -1698970 (20us) to 3176091 (1.5s) | No
Gate Hold | 20013 | Log | 0 (1ms) to 3477121 (3.0s) | No
Gate Release | 20014 | Log | 0 (1ms) to 3477121 (3.0s) | No
Gate Hysteresis | 20021 | Scalar | 0 (0dB) to 60000 (+6dB) | No
Ambient Threshold | 20015 | Scalar | -600000 (-60dB) to 200000 (+20dB) | No
Ambient Attack | 20017 | Log | -200000 (10us) to 2301029 (0.2s) | No
Ambient Release | 20018 | Log | 1698970 (50ms) to 3698970 (5.0s) | No
Ambient Ratio | 20019 | Scalar | 1000 (0.1:1) to 50000 (5:1) | No

Gain

Description | SV ID | Type | Range | Meter?
Gain | 0 | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Mute | 1 | Binary | 0 to 1 | No
Invert Polarity | 2 | Binary | 0 to 1 | No

Timed Gain

Description | SV ID | Type | Range | Meter?
Gain | 0 | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Mute | 1 | Binary | 0 to 1 | No
Invert Polarity | 2 | Binary | 0 to 1 | No
Cancel | 4 | Binary | 0 to 1 | No
Timer Gain | 16 * timer gain | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Timer Time | (16 * timer gain) + 1 | Discrete | 1 to 43,200 seconds | No
Timer Invoke | (16 * timer gain) + 3 | Discrete | 0(off) to 1(on) | No

Mixer

Description | SV ID | Type | Range | Meter?
Gain | 0 + ((input - 1) * 100) | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Mute | 1 + ((input - 1) * 100) | Binary | 0 to 1 | No
Pan | 2 + ((input - 1) * 6) | Scalar | 0 (100% Left) to 10000 (100% Right) | No
Invert Polarity | 3 + ((input - 1) * 100) | Binary | 0 to 1 | No
Solo | 4 + ((input - 1) * 100) | Binary | 0 to 1 | No
Aux n Send Level | 20 + (aux - 1) + ((input - 1) * 100) | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Route to Group n | 40 + (group - 1) + ((input - 1) * 100) | Binary | 0 to 1 | No
Aux n Pre/Post | 10000 + ((aux - 1) * 10) | Discrete | 0 (Pre) to 1 (Post) | No
Aux n Gain | 10001 + ((aux - 1) * 10) | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Aux n Mute | 10002 + ((aux - 1) * 10) | Binary | 0 to 1 | No
Group n Gain | 11000 + ((group - 1) * 10) | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Group n Mute | 11001 + ((group - 1) * 10) | Binary | 0 to 1 | No
Master Gain (Left/Mono) | 20000 | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Master Mute (Left/Mono) | 20001 | Binary | 0 to 1 | No
Master Gain (Right) | 20002 | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Master Mute (Right) | 20003 | Binary | 0 to 1 | No

N-input Gain

Description | SV ID | Type | Range | Meter?
Gain | 0 + (input - 1) | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Mute | 32 + (input - 1) | Binary | 0 to 1 | No
Invert Polarity | 64 + (input - 1) | Binary | 0 to 1 | No
Master Gain | 96 | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Master Mute | 97 | Binary | 0 to 1 | No

Room Combine

Description | SV ID | Type | Range | Meter?
Partition n Open | (n - 1) | Binary | 0 (Closed) to 1 (Open) | No
Active Group* | 249 | Discrete | 0 to n | No
Group | 250 + ((room - 1) * 50) | Discrete | 0 to n | No
In Active Group* | 251 + ((room - 1) * 50) | Binary | 0 to 1 | No
Master Gain | 252 + ((room - 1) * 50) | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Master Meter (Left/Mono) | 253 + ((room - 1) * 50) | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Master Mute | 254 + ((room - 1) * 50) | Binary | 0 to 1 | No
Source Gain | 255 + ((room - 1) * 50) | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Source Mute | 256 + ((room - 1) * 50) | Binary | 0 to 1 | No
Background Music Gain | 257 + ((room - 1) * 50) | Gain | -280617 (-80dB) to 100000 (+10dB) | No
Background Music Mute | 258 + ((room - 1) * 50) | Binary | 0 to 1 | No
Background Music Source | 259 + ((room - 1) * 50) | Discrete | 0 to m | No
Master Meter (Right) | 260 + ((room - 1) * 50) | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
 | *To set a room's group in the same manner as the Room Combine object's default control panel, first set the Active Group parameter to the desired group. Next set the desired room's In Active Group parameter to 0, then back to 1 (In other words, group changes are triggered on the rising edge of In Active Group). The room's Group parameter may also be set directly.

Primitives

FIR Filter

No control parameters

Modulator

No control parameters

Summer

No control parameters

Tools

Audio Coupler

No control parameters

Meter

Description | SV ID | Type | Range | Meter?
Meter | 0 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Meter Attack | 1 | Log | -2000000 (10Âµs) to 2301029 (0.2s) | No
Meter Release | 2 | Log | 1698970 (50ms) to 3698970 (5s) | No
Meter Reference | 3 | Scalar | -500000 (-50dB) to 200000 (+20dB) | No

Meter Trigger

Description | SV ID | Type | Range | Meter?
Meter | 0 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Meter Attack | 1 | Log | -2000000 (10µs) to 2301029 (0.2s) | No
Meter Release | 2 | Log | 1698970 (50ms) to 3698970 (5s) | No
Trigger Reference | 3 | Scalar | -500000 (-50dB) to 200000 (+20dB) | No
Trigger | 4 | Binary | 0 to 1 | No

Noise Generator

Description | SV ID | Type | Range | Meter?
Level | 0 | Scalar | -600000 (-60dB) to 200000 (+20dB) | No
Type | 1 | Discrete | 0 (White) to 1 (Pink) | No

RMS Meter

Description | SV ID | Type | Range | Meter?
Meter | 0 | Scalar (read-only) | -800000 (-80dB) to 400000 (+40dB) | Yes
Meter Attack | 1 | Log | -2000000 (10µs) to 2301029 (0.2s) | No
Meter Release | 2 | Log | 1698970 (50ms) to 3698970 (5s) | No
Meter Reference | 3 | Scalar | -500000 (-50dB) to 200000 (+20dB) | No

Tone Generator

Description | SV ID | Type | Range | Meter?
Level | 0 | Scalar | -600000 (-60dB) to 200000 (+20dB) | No
Frequency | 1 | Log | 1301029 (20Hz) to 4301029 (20kHz) | No

Logic Objects

Logic objects reside within Virtual Device 0x02 of a Soundweb London DSP device.

Logic Source

Description | SV ID | Type | Range | Meter?
Logic Output | 1 | Discrete | 0 to 1 | No

Logic End

Description | SV ID | Type | Range | Meter?
Logic Output | 0 | Discrete (read-only) | 0 to 2^inputs* | No
*The value of a 32-input Logic End will be negative when input 32 is high, unless an unsigned 32-bit integer is used.

Logic Locate

Description | SV ID | Type | Range | Meter?
Test Override | 2 | Discrete | 0 to 1 | No

Logic Source Select

Description | SV ID | Type | Range | Meter?
Input Selection | 0 | Discrete | 0 (None) to n* | No
*Range is 1 to n if the Allow None property is set to No.

General Device Settings

The following State Variable IDs are in Virtual Device 0x00, Object 0x00 on the device in question. See the sample message in the Third-party Control Protocol document for an example of addressing these settings. Additional control parameters are available in the Design tree.

Description | SV ID | Type | Range | Meter? | BLU-8 | BLU-10 | BLU-16 | BLU-32 | BLU-80 | BLU-120 | BLU-160 | BLU-320 | BLU-800 | BLU-100 | BLU-101 | BLU-102 | BLU-805 | BLU-325 | BLU-806 | BLU-326 | BLU-GPX
General Settings |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
Display Contrast | 0 | Discrete | 0 to 255 | No | No | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | No | No | No | Yes | Yes | Yes | Yes | Yes
Locate LED | 4 | Arbitrary (write-only) | Any | No | No | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Three-wire Control Mode | 118 | Binary | 0 to 1 | No | No | No | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes
3-wire mode Bank 2 | 119 | Binary | 0 to 1 | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | Yes
3-wire mode Bank 3 | 120 | Binary | 0 to 1 | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | Yes
Internal Temperature | 3000 | Discrete | 0 to 8500 (85 degrees C) | Yes | No | No | No | No | No | Yes | Yes | Yes | Yes | No | No | No | Yes | Yes | Yes | Yes | No
CobraNet Settings |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
Conductor Priority (1 is low) | 1000 | Discrete | 1 to 255 | No | No | No | No | Yes | Yes | No | No | Yes | Yes | No | No | No | No | No | No | No | No
Conductor State | 1001 | Binary (read-only) | 0 to 1 | No | No | No | No | Yes | Yes | No | No | Yes | Yes | No | No | No | No | No | No | No | No
Secondary Interface Active | 1009 | Binary (read-only) | 0 to 1 | No | No | No | No | Yes | Yes | No | No | Yes | Yes | No | No | No | No | No | No | No | No
Meters Active | 1011 | Binary | 0 to 1 | No | No | No | No | Yes | Yes | No | No | Yes | Yes | No | No | No | No | No | No | No | No
BLU link Settings |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
Priority | 2001 | Discrete | 0 to 255 | No | No | No | No | No | No | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | No
Reset Input Error Count | 2103 | Binary (momentary) | 0 to 1 | No | No | No | No | No | No | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | No
Reset Output Error Count | 2203 | Binary (momentary) | 0 to 1 | No | No | No | No | No | No | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | No
Reset Input Port | 2107 | Binary (momentary) | 0 to 1 | No | No | No | No | No | No | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | No
Reset Output Port | 2307 | Binary (momentary) | 0 to 1 | No | No | No | No | No | No | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | No
BLU-8 Settings |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
Sleep Enabled | 1 | Binary | 0 to 1 | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No
Sleep Delay | 2 | Discrete (seconds) | 0 to 32767 | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No
LED Max Brightness | 3 | Discrete | 1 to 4 | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No
Lockout On Sleep | 6 | Binary | 0 to 1 | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No
Lockout Active | 7 | Binary | 0 to 1 | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No
BLU-8v2 Settings |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
Sleep Enabled | 50 | Binary | 0 to 1 | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No
Sleep Delay | 51 | Discrete (seconds) | 0 to 32767 | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No
LED Max Brightness | 52 | Discrete | 1 to 4 | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No
Lockout On Sleep | 53 | Binary | 0 to 1 | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No
Lockout Active | 54 | Binary | 0 to 1 | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No
BLU-10 Settings |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
Sleep Mode Brightness | 50 | Discrete | 0 to 255 | No | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No
Active Brightness | 51 | Discrete | 0 to 255 | No | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No
Sleep Enabled | 52 | Binary | 0 to 1 | No | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No
Sleep Delay | 53 | Discrete (seconds) | 0 to 3600 | No | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No
Start Page Enabled | 55 | Binary | 0 to 1 | No | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No
Start Page Delay | 56 | Discrete (seconds) | 10 to 3600 | No | No | Yes | No | No | No | No | No | No | No | No | No | No | No | No | No | No | No


Parameter Range Scaling

Since Soundweb London third-party control messages always use a signed 32-bit integer for the data value, conversions are required from human-readable floating-point values to 32-bit fixed-point values. These conversions are designed to increase control precision and improve the feel of user interfaces. Formulas are given below for converting human-readable values to and from device values.

Binary

Binary values are either 0 or 1, where 0 means false, off, or disabled, and 1 means true, on, or enabled.

Delay

Delay times are specified in samples at 96kHz. The delay processing object uses this data type, as do the delays within a crossover object.

Conversion to Device

ValueToSend = (milliseconds * 96000) / 1000

Conversion from Device

milliseconds = (ReceivedValue * 1000) / 96000

Discrete

Discrete values are integer values sent to the device without any scaling.

Examples:

  • Input card gain

  • Crossover filter type

  • Parametric filter slope

  • Parametric filter type

  • Gain object phase

  • Expander ratio

  • High pass filter type

Gain

This scale is used for gains. It is designed to give a natural feel to graphical faders linearly mapped to the scale's range. A linear range between -10dB and +10dB gives added detail around 0dB, while a logarithmic range from -80dB to -10dB gives a pleasing falloff toward silence. The following graph illustrates this nicely. The X axis is the value sent to the device. The Y axis is the corresponding level in dB.

Image:gain graph small.png

Conversion to Device

Conversion from dB to device:

If the value is greater than or equal to -10dB:

ValueToSend = dBValue * 10000

If the value is less than -10dB, then the formula is:

ValueToSend = -Log10(-dBValue / 10)) * 200000 â€“ 100000

Conversion from device

Conversion from device to dB:

If the value is greater than or equal to -100000:

dBValue = ReceivedValue / 10000

If the value is less than -100000:

dBValue = -10 * (10 ^ ((ReceivedValue + 100000) / -200000))

where ^ is the exponentiation operator.

Log

Frequency and time controls on filters and dynamics processors use a logarithmic scale.

Frequency values are specified in Hz.

Examples:

  • High and low pass filter frequencies

  • Parametric EQ filter frequencies

  • Crossover frequency

Speed is specified in milliseconds.

Examples:

  • Compressor attack

  • Compressor release

Conversion to Device

ValueToSend = Log10( Value ) * 1000000

Conversion from Device

Value = 10 ^ (ReceivedValue / 1000000)

where ^ is the exponentiation operator.

Scalar

The Scalar data type uses a decimal fixed-point encoding. Floating-point values are multiplied by 10000 to allow detailed control.

Examples:

  • Meter reference

  • Leveller threshold

  • Parametric filter boost/cut

  • Compressor threshold

  • Automixer slope

  • Parametric filter width

  • Mixer pan

  • Graphic EQ selectivity

Conversion to Device

ValueToSend = Value * 10000

Conversion from Device

Value = ReceivedValue / 10000

DI_SETSVPERCENT and DI_BUMPSVPERCENT

The DI_SETSVPERCENT and DI_BUMPSVPERCENT messages use a 16.16 fixed-point format. The value of the control as a percentage of its total range (i.e. 0 to 100) is multiplied by 65536 to allow for fractions of a percent. The accepted range of values is 0 to 6553600 for DI_SETSVPERCENT, -6553600 to 6553600 for DI_BUMPSVPERCENT.

DI_SUBSCRUBESVPERCENT, DI_SETSVPERCENT, DI_BUMPSVPERCENT, and DI_UNSUBSCRIBESVPERCENT can be used on any control.

Conversion to Device

ValueToSend = PercentageValue * 65536

Conversion from Device

PercentageValue = ValueReceived / 65536

Example Values

10% = 655360 ( 0x00 0x0A 0x00 0x00 )

                                12.5%= 819200 ( 0x00 0x0C 0x80 0x00 )

                                50% = 3276800 ( 0x00 0x32 0x00 0x00 )

                                100%= 6553600( 0x00 0x64 0x00 0x00 )

                                -10%= -655360( 0xFF 0xF6 0x00 0x00 )

                                -12.5%= -819200( 0xFF 0xF3 0x80 0x00 )


Third-party Control Troubleshooting

Problem

Solution

Soundweb London devices are sending updates once a second, regardless of the subscription rate. Messages continue even after unsubscribing.

The device is waiting for an ACK or NAK character in response to messages.

Option 1: Set the "Acknowledge (ACK)" property of the device in question to No. See the Serial/RS-232 entry in the Third-party Control Protocol section of the help for more information.

Option 2: Respond to each message from the device with ACK for valid messages and NAK for invalid messages (i.e. messages whose checksum failed).

This does not apply to TCP/IP control connections, as they do not use the ACK/NAK mechanism.


London Architect Build Numbers

The following table cross references London Architect build numbers to London Architect versions.

Build Number | LA Version
684 | 1.12
684 | 1.12.R2
713 | 1.14
714 | 1.14.R2
716 | 1.14.R2b
716 | 1.14.R3
784 | 2.00.R2
785 | 2.00.R3
786 | 2.00.R4
801 | 2.02
802 | 2.02.R2
803 | 2.02.R3
839 | 2.04
840 | 2.04.R2
841 | 2.04.R3
846 | 2.04.R4
876 | 2.06
877 | 2.06.R2
878 | 2.06.R3
888 | 2.06.R4
898 | 2.06.R5
925 | 3.00
934 | 3.00.R2
944 | 3.00.R3
951 | 3.00.R4
955 | 3.00.R6
959 | 3.00.R7
985 | 3.02.R2
990 | 3.02.R3
1003 | 3.02.R4
1011 | 3.04
1051 | 3.06
1055 | 3.06 R2
1071 | 3.08
1074 | 3.08.R2
1075 | 3.08.R3
1078 | 3.08.R4
1117 | 3.10.R2
1123 | 3.10.R3
1124 | 3.10.R4
1144 | 3.10.R5
1145 | 3.10.R6
1146 | 3.10.R7
1147 | 3.10.R8
1190 | 4.00
1192 | 4.00.R2
1324 | 5.00


Create PC Control Group

From the Panel Menu

Creates a PC Control Group which includes the currently selected controls.


Help Write System Information

From the Help Menu

Creates a report containing system information for devices on the network.

See Also

Write System Information


Auto IP & Processor IP Assignment

If your PC is already on a network, and is assigned an IP address automatically by DHCP from a router, then the PC will already have an IP address so, the Soundweb London processor will need to become part of this network. Soundweb London processors have the ability to search for a valid network to join on power up and, where connected to a router or switch where DHCP is enabled, the unit should pick up an address in the same range as the host network. This process takes around ten seconds after power up when for a while, the IP address will flash alternately (with the name of the processor) as ‘0.0.0.0’ until an IP is assigned.

Where no IP address is found the unit will assign itself an address somewhere in the range 169.254.x.x. A subnet mask of 255.255.0.0 is used, where the first two numbers will be chosen automatically by the London unit, and the last two are chosen randomly, hence avoiding any likely clashes of IP address. This IP address will stay with the unit until it is powered down and then re-powered back up when the assignment process will begin again.


Basic Functionality

Digital Cards - Basic Functionality

The Digital Input Cards and Digital Output Cards each have two connectors which are used as follows: -

Digital Input Cards (Card position "A" in rear panel diagram)

  • Connector 1 (Connector on right hand side in rear panel diagram)

    • Stereo Audio, Channels 1&2 - AES/EBU

    • Stereo Audio, Channels 3&4 - AES/EBU

  • Connector 2 (Connector on left hand side in rear panel diagram)

    • Stereo Audio, Channels 1&2 - S/PDIF

    • Stereo Audio, Channels 3&4 - S/PDIF

Digital Input Card Connections

Connector | [S/PDIF Combicon] |  | [AES/EBU Combicon]
Signal pair | 3&4 | 1&2 | 3&4 | 1&2
Pin | [S + -] | [S + -] | [S + -] | [S + -]

AES/EBU

Positive: to +
Negative: to -
Shield : to S

S/PDIF

Signal : to + Signal Ground: to - Shield* : to S

* Short "S" to "-" for unshielded cable

Digital Output Cards (Card position"“C" in rear panel diagram)

  • Connector 1 (Connector on right hand side in rear panel diagram)

    • Stereo Audio, Channels 1&2 - AES/EBU / S/PDIF

    • Stereo Audio, Channels 3&4 - AES/EBU / S/PDIF

  • Connector 2* (Connector on left hand side in rear panel diagram)

    • Clock Input - High Impedance

    • Clock Input - 75R Terminated

  • active clock selected within HiQnet London Architect

Digital Output Card Connections

Connector | [Clock Input] |  | [Audio Output]
Signal pair | 3&4 | 1&2 | 3&4 | 1&2
Pin | [S + -] | [S + -] | [S + -] | [S + -]

Clock Input

Positive: to +
Negative: to -
Shield : to S

AES/EBU

Positive : to + Negative : to - Shield : to S

S/PDIF

Signal : to + Signal Ground: to - Shield* : to S

* Short "S" to "-" for unshielded cable

Digital Card Configuration

The digital cards can be configured, within HiQnet London Architect, in the following ways: -

  • 2 Stereo AES/EBU signals

  • 1 Stereo AES/EBU signal / 1 Stereo S/PDIF signal

  • 2 Stereo S/PDIF signals


Construction Windows

On creating a new Architect design file a default layout of construction windows is presented for the use of the designer. The default window layout includes almost all the possible windows that you could need to design a system.

The ones docked around the screen are the user windows and are interactive dialogue boxes that allow properties to be changed, errors to be traced and communication with the network.

The central window is the Main window and this is the primary design area. This can be split into a multi level zoned set of windows and, a placed configurable device, when double clicked will open its Configuration window on top of these.

The ‘Zones’ area will show any created nested windows to the Main layout; this area is of a fixed width due to the Navigator below.


Creating Custom Control Panels

New Custom Control Panel

Create a blank user panel by selecting ‘New Custom Control Panel’ from the Panel menu. This page has a grey background by default and appears as a grey tabbed window.

Rename Custom Control Panel

The currently viewed custom control panel can be renamed using the ‘Rename Custom Control Panel’ in the Panel menu.

Convert Default to Custom

The layout of a default panel (i.e. those supplied with the application) can be converted to create a new 'custom' control panel by opening the default control panel and selecting ‘Convert Default to Custom’ under the Panel menu. In this way particular controls can be cherry picked from the default control panels and added to create your own specialist control surfaces.


Custom Control Panel Pages

An advanced feature for creating multi-layered control panels.

To create a nested level (page) into the current control panel design use the ‘New Custom Control Panel Page’ option in the Panel menu.

An example of how this can improve panel design can be seen in the control panels for the FDS-366. Here the separate crossover elements can all be edited within the same control panel (i.e. without opening new windows) by pressing buttons that select different control panel pages. If you show the Control Panel Pages window the different pages used in the construction of this default panel are viewable and selectable.


Front Panel Information on Soundweb London Devices

Digital Cards - Front Panel Information on Soundweb London Devices

  • In, Out, Dig LEDs - indicate which card is contained within the card slot

  • Digital Input Card - 'IN' and 'DIG' illuminated

  • Digital Output Card - 'OUT' and 'DIG' illuminated

  • Sync/48V LED - illuminates to indicate that signals are synced

  • Signal LED - indicates signal present (illuminates at -40dBFS)

  • Clip LED - indicates high signal at input stage*

Note: The Clip LED may illuminate frequently when using digital inputs. This is no cause for concern as digital playback media is often normalized to ‘Full Scale’, resulting in a highly optimised but implicitly safe signal.


Gain/Mute

Gain

A straightforward gain control for raising or lowering the level of the signal and integral mute button.

Inputs and Outputs

One audio input and one audio output.

Control Panel

Gain fader
Adjusts the gain from +10dB down to -¥ (off).

Mute button
Mutes the output. On multi channel gain objects there are separate mutes per channel and an overall mute.

Polarity button
Inverts the signal.

! This object is capable of raising signal levels beyond the clipping point, so care should be exercised when using positive gain values.


How to Operate

Operating the controls

To use the control panels set up in your design, the software system has to be put into Operate mode.

The design can be operated in simulation mode independently of the external hardware. This is useful for setting system parameters and testing the overall operation of the control panels.

Once online the control panels should be ready for use and interactive with the hardware, i.e. affecting the signals – when passed through the system.

Meters will show audio levels where appropriate and, the presence of signal will be shown through Configuration wiring when the mouse pointer is placed over them.

Operate mode is engaged automatically when going online to the devices and will be switched back off when going back offline.


Network Window

This is where Architect communicates with the outside system or network of devices. In this window external hardware devices can be seen online and have their firmware operating systems upgraded through the use of the firmware loader.

It is also possible to update the design file with new devices found out on the network and to match the design to the network.

Another useful feature is the ability to ‘locate a device on the network’. If a device is selected and this toolbar button is pressed a light will illuminate on the external hardware (both back and front of the unit). This is particularly useful for identifying a Blu box in an install – whether you are in front or behind the units.


Parameter Recall

Parameter Preset

A Parameter Preset stores sets of parameter values and settings for Parameter Preset Groups of controls. These Parameter Presets of the values can then be saved for later selection as part of a Device or Venue Preset; they can also be recalled manually from the drop down list in the Presets toolbar.

A Parameter Preset Group of controls needs to be created first in order to be able to store any values for controls.

To add a Parameter Preset to a Parameter Preset Group, press the ‘Add Parameter Preset’ button on the Preset toolbar. Give the preset a name (relating to its function) and it will then appear in the drop down list of Parameter Presets (second drop down box).

To assign values to the chosen controls, use the quick Operate mode (hold down the Alt key in a control panel) and adjust the controls to the required settings. Now, let go of the Alt key (as the settings cannot be stored in Operate mode). These values need to be saved using the ‘Store Parameter Preset’ button in the Preset toolbar.

Once these presets are assigned they then appear in the Design tree under the Presets folder showing their attachment to the Parameter Preset Groups. From here they can be dragged onto a custom control panel layout where they become buttons to recall the Parameter Preset.

To check the values stored within a Parameter Preset use the Stored Parameter Value Editor found on the Preset toolbar. In the left hand pane the ‘Relevant device’ tree can be opened to show the device that has had this Parameter Preset applied to it. Below this will be listed the editable items, e.g. control panels (default and custom) that have controls used within the Parameter Preset. Clicking on one of these will display the values for this control panel’s used controls in the right hand panel. By default this box will open showing a complete list of parameter values affected by this preset under the device name in the right hand pane.

Several presets will need to be created to switch between settings.


Parameter Recall Groups

Parameter Preset Groups

A user selected collection of parameters and controls for use with Parameter Presets.

Control surface objects, e.g. faders, buttons, rotary controls and input boxes, can be collected together by selection in a control panel layout and added to a new Parameter Preset Group using ‘Create new Parameter Preset Group’ in the right click menu. Further controls can be added later by using the ‘Add to Parameter Preset Group’ right click option through following selections on control panels; this opens a choice of Parameter Preset Groups to choose from. A control group can be added to incrementally thus building up a preset containing the relevant controls and no others – their values will remain at defaults and will not be changed.

Parameter Preset Groups can be created empty in the Presets toolbar (and then controls added to them later) by pressing the ‘New Parameter Preset Group’ button. A functional name should be added for these groups to aid in identifying their purpose more easily later, e.g. "Audio Volumes"

All the parameters for a particular device can be added at once by right clicking on a device in the Main design window and choosing ‘Add to Parameter Preset Group’. Bear in mind that it will be clearer and easier to navigate a control group if only the necessary controls are added.

If there are any controls from a device already assigned to a group then a dialogue will warn that the operation cannot be completed because these parameters are already included and to thin out the set of parameters required to be added.

Parameter Preset Groups then appear in the Design tree in the ‘Presets’ folder and can be dragged onto a custom control panel layout automatically creating a preset selector that can choose between Parameter Presets assigned to this group.

To check the contents of a group use the Stored Parameter Value Editor found on the Preset toolbar. The device that has its controls stored in the Parameter Preset Group will be shown in the left hand pane and, if you open up its tree, you will see the control panels that have controls used. Clicking on one of these will display the parameters and their values in the right hand pane. The values can be changed here – most are type in boxes for a value but some, where there are only several values available, are drop down boxes.


SyncBus

Digital Cards - SyncBus

SyncBus is used to sync the Digital Output Card to another digital card.

All digital cards are connected through a parallel bus.

Each digital card has 2 SyncBus connectors so that all cards can be daisy chained together.

SyncBus is used automatically when a digital output card is synced to another digital card and the clock is sent from one card to the other.


Venue Recall

Venue Preset

Recalls settings for the whole system, this includes selected (or all) devices, their Device Presets and, Parameter Presets for selected Parameter Preset Groups. Venue Presets are useful for system wide changes in set up across multiple boxes.

To create a Venue Preset press the red ‘V’ button in the Preset toolbar. This opens the Venue Preset window where these presets can be created, configured, renamed, recalled and deleted.

Start a Venue Preset by pressing the ‘New’ button. You are then prompted to type a name, use something that describes the purpose of the preset, e.g. for a stadium, ‘Pitch set up’ and ‘Track set up’. Continue with the ‘Next’ button where you can now select which devices you want to change settings in.

The following screen allows you to select Device Presets to recall when the Venue Preset is selected; click in the Device Presets boxes to engage drop down lists of any pre-stored Device Presets. If the current set up of the devices is what you want to go with then use the ‘Snapshot’ facility to create Device Presets automatically.

Next a list of pre-configured Parameter Preset Groups can be selected for use with Parameter Presets (in the next screen along if ticked here) to further change settings.

Note that if the required settings have been achieved through a Device Preset selection earlier then there may be no need to use these groups of settings. Conversely, if the Device Presets are not configured, i.e. left blank, then the Venue Preset can be used to exclusively change certain parameters based on predetermined control groups using Parameter Presets.

Device Presets are perhaps better for easy box based overall changes that might include Configuration changes or other hardware settings that cannot be accessed through Parameter Presets. Parameter Presets are better for more focused actions within certain devices.

The final screen shows a summary of the setting that has been created for the Venue Preset; check this carefully to make sure that the preset will have the desired result. You can go back through all the settings to change assignments as necessary. The ‘Finish’ button in this screen closes the window and returns back to the Venue Presets window.

The settings for a Venue Preset can be edited at any time by clicking on the Venue Preset name in the list and pressing the ‘Configure’ button, this runs through the process described above again.


Tools Application Preferences

From the Tools Menu

Allows users to make changes to how London Architect appears, starts up and functions while running.

See Also

Application Preferences


Tools File Preferences

From the Tools Menu

Allows users to set network, time zone and appearance settings for individual files. It also allows the user to change the way these individual files behave when going online with hardware.

See Also

File Preferences


Tools Menu

The tools menu is used to configure design, application and device settings.

Application Preferences

File Preferences

Set Up Design Security Settings

Log Off

Set Up Box Security Settings

Reset Window Layout

Launch macro editor

Rescan macro directory

London Device Conversion